Copyright: v1.0 Copyright GDT Cologne 1995


contents
                 Delphi Rich Help [image] (c) Reinhard Greeven [GDT]

All 270 Delphi Classes

EAbort  (SYSUTILS)
EBreakpoint  (SYSUTILS)
EClassNotFound  (CLASSES)
EComponentError  (CLASSES)
EConvertError  (SYSUTILS)
EDBEditError  (MASK)
EDBEngineError  (DB)
EDatabaseError  (DB)
EDivByZero  (SYSUTILS)
EFCreateError  (CLASSES)
EFOpenError  (CLASSES)
EFault  (SYSUTILS)
EFilerError  (CLASSES)
EGPFault  (SYSUTILS)
EInOutError  (SYSUTILS)
EIntError  (SYSUTILS)
EIntOverflow  (SYSUTILS)
EInvalidCast  (SYSUTILS)
EInvalidGraphic  (GRAPHICS)
EInvalidGraphicOperation  (GRAPHICS)
EInvalidGridOperation  (GRIDS)
EInvalidImage  (CLASSES)
EInvalidObject  (CONTROLS)
EInvalidOp  (SYSUTILS)
EInvalidOpCode  (SYSUTILS)
EInvalidOperation  (CONTROLS)
EInvalidPointer  (SYSUTILS)
EListError  (CLASSES)
EMCIDeviceError  (MPLAYER)
EMathError  (SYSUTILS)
EMenuError  (MENUS)
EMethodNotFound  (CLASSES)
EOutOfMemory  (SYSUTILS)
EOutOfResources  (CONTROLS)
EOutlineError  (OUTLINE)
EOverflow  (SYSUTILS)
EPageFault  (SYSUTILS)
EParserError  (CLASSES)
EPrinter  (PRINTERS)
EProcessorException  (SYSUTILS)
EPropertyError  (DSGNINTF)
ERangeError  (SYSUTILS)
EReadError  (CLASSES)
EReportError  (REPORT)
EResNotFound  (CLASSES)
ESingleStep  (SYSUTILS)
EStackFault  (SYSUTILS)
EStreamError  (CLASSES)
EStringListError  (CLASSES)
EUnderflow  (SYSUTILS)
EWriteError  (CLASSES)
EZeroDivide  (SYSUTILS)
Exception  (SYSUTILS)
OutlineError  (OUTLINE)
TApplication  (FORMS)
TBCDField  (DBTABLES)
TBatchMove  (DBTABLES)
TBevel  (EXTCTRLS)
TBitBtn  (BUTTONS)
TBitmap  (GRAPHICS)
TBitmapImage  (GRAPHICS)
TBlobField  (DBTABLES)
TBlobStream  (DBTABLES)
TBooleanField  (DBTABLES)
TBrush  (GRAPHICS)
TButton  (STDCTRLS)
TButtonControl  (STDCTRLS)
TBytesField  (DBTABLES)
TCanvas  (GRAPHICS)
TCaptionProperty  (DSGNINTF)
TCharProperty  (DSGNINTF)
TCheckBox  (STDCTRLS)
TClassProperty  (DSGNINTF)
TClipboard  (CLIPBRD)
TColorDialog  (DIALOGS)
TColorProperty  (DSGNINTF)
TComboBox  (STDCTRLS)
TComboButton  (DBLOOKUP)
TComboButton  (DIALOGS)
TCommonDialog  (DIALOGS)
TComponent  (CLASSES)
TComponentEditor  (DSGNINTF)
TComponentList  (DSGNINTF)
TComponentNameProperty  (DSGNINTF)
TComponentProperty  (DSGNINTF)
TControl  (CONTROLS)
TControlCanvas  (CONTROLS)
TControlScrollBar  (FORMS)
TCurrencyField  (DBTABLES)
TCursorProperty  (DSGNINTF)
TCustomCheckBox  (STDCTRLS)
TCustomComboBox  (STDCTRLS)
TCustomControl  (CONTROLS)
TCustomDBGrid  (DBGRIDS)
TCustomEdit  (STDCTRLS)
TCustomGrid  (GRIDS)
TCustomGroupBox  (STDCTRLS)
TCustomLabel  (STDCTRLS)
TCustomListBox  (STDCTRLS)
TCustomMaskEdit  (MASK)
TCustomMemo  (STDCTRLS)
TCustomOutline  (OUTLINE)
TCustomPanel  (EXTCTRLS)
TCustomRadioGroup  (EXTCTRLS)
TDBCheckBox  (DBCTRLS)
TDBComboBox  (DBCTRLS)
TDBDataSet  (DB)
TDBEdit  (DBCTRLS)
TDBError  (DB)
TDBGrid  (DBGRIDS)
TDBImage  (DBCTRLS)
TDBListBox  (DBCTRLS)
TDBLookupCombo  (DBLOOKUP)
TDBLookupList  (DBLOOKUP)
TDBMemo  (DBCTRLS)
TDBRadioGroup  (DBCTRLS)
TDBText  (DBCTRLS)
TDataLink  (DB)
TDataSet  (DB)
TDataSetDesigner  (DB)
TDataSource  (DB)
TDatabase  (DB)
TDateField  (DBTABLES)
TDateTimeField  (DBTABLES)
TDdeClientConv  (DDEMAN)
TDdeClientItem  (DDEMAN)
TDdeMgr  (DDEMAN)
TDdeServerConv  (DDEMAN)
TDdeServerItem  (DDEMAN)
TDefaultEditor  (DSGNINTF)
TDesigner  (FORMS)
TDirectoryListBox  (FILECTRL)
TDlgControl  (DIALOGS)
TDrawGrid  (GRIDS)
TDriveComboBox  (FILECTRL)
TEdit  (STDCTRLS)
TEnumProperty  (DSGNINTF)
TField  (DB)
TFieldDataLink  (DBTABLES)
TFieldDef  (DB)
TFieldDefs  (DB)
TFileListBox  (FILECTRL)
TFileStream  (CLASSES)
TFiler  (CLASSES)
TFilterComboBox  (FILECTRL)
TFindDialog  (DIALOGS)
TFloatField  (DBTABLES)
TFloatProperty  (DSGNINTF)
TFolderBitmap  (FILECTRL)
TFont  (GRAPHICS)
TFontDialog  (DIALOGS)
TFontNameProperty  (DSGNINTF)
TFontProperty  (DSGNINTF)
TForm  (FORMS)
TFormDesigner  (DSGNINTF)
TGraphic  (GRAPHICS)
TGraphicControl  (CONTROLS)
TGraphicField  (DBTABLES)
TGraphicsObject  (GRAPHICS)
TGridDataLink  (DBGRIDS)
TGroupBox  (STDCTRLS)
THandleStream  (CLASSES)
THeader  (EXTCTRLS)
THintWindow  (CONTROLS)
TIExpert  (EXPTINTF)
TIFileStream  (ISTREAMS)
TIMemoryStream  (ISTREAMS)
TIStream  (VIRTINTF)
TIToolServices  (TOOLINTF)
TIcon  (GRAPHICS)
TIconImage  (GRAPHICS)
TImage  (EXTCTRLS)
TImageList  (GRAPHICS)
TIndexDef  (DBTABLES)
TIndexDefs  (DBTABLES)
TIniFile  (INIFILES)
TInplaceEdit  (GRIDS)
TIntegerField  (DBTABLES)
TIntegerProperty  (DSGNINTF)
TInterface  (VIRTINTF)
TInternalImage  (GRAPHICS)
TLabel  (STDCTRLS)
TList  (CLASSES)
TListBox  (STDCTRLS)
TLoginDialog  (DBLOGDLG)
TMPFilenameProperty  (DSGNINTF)
TMainMenu  (MENUS)
TMaskEdit  (MASK)
TMediaPlayer  (MPLAYER)
TMemo  (STDCTRLS)
TMemoField  (DBTABLES)
TMemoryStream  (CLASSES)
TMenu  (MENUS)
TMenuItem  (MENUS)
TMetafile  (GRAPHICS)
TMetafileImage  (GRAPHICS)
TMethodProperty  (DSGNINTF)
TModalResultProperty  (DSGNINTF)
TNavButton  (DBCTRLS)
TNavDataLink  (DBCTRLS)
TNotebook  (EXTCTRLS)
TNumericField  (DBTABLES)
TObject  (SYSTEM)
TOleContainer  (TOCTRL)
TOleDropNotify  (TOCTRL)
TOpenDialog  (DIALOGS)
TOrdinalProperty  (DSGNINTF)
TOutline  (OUTLINE)
TOutlineNode  (OUTLINE)
TPage  (EXTCTRLS)
TPaintBox  (EXTCTRLS)
TPanel  (EXTCTRLS)
TParam  (DBTABLES)
TParamDlg  (PARAMDLG)
TParamList  (DB)
TParams  (DBTABLES)
TParser  (CLASSES)
TPasswordDialog  (DBPWDLG)
TPen  (GRAPHICS)
TPersistent  (CLASSES)
TPicture  (GRAPHICS)
TPopupGrid  (DBLOOKUP)
TPopupMenu  (MENUS)
TPrintDialog  (DIALOGS)
TPrinter  (PRINTERS)
TPrinterSetupDialog  (DIALOGS)
TProcParams  (PROCDLG)
TPropertyEditor  (DSGNINTF)
TQuery  (DBTABLES)
TQueryParams  (QBINDDLG)
TRadioButton  (STDCTRLS)
TRadioGroup  (EXTCTRLS)
TReader  (CLASSES)
TReplaceDialog  (DIALOGS)
TReport  (REPORT)
TReportDirProperty  (REPORT)
TReportEditor  (REPORT)
TReportNameProperty  (REPORT)
TSaveDialog  (DIALOGS)
TScreen  (FORMS)
TScrollBar  (STDCTRLS)
TScrollBox  (FORMS)
TScrollingWinControl  (FORMS)
TSession  (DB)
TSetElementProperty  (DSGNINTF)
TSetProperty  (DSGNINTF)
TShape  (EXTCTRLS)
TShortCutProperty  (DSGNINTF)
TSmallintField  (DBTABLES)
TSpeedButton  (BUTTONS)
TStoredProc  (DBTABLES)
TStream  (CLASSES)
TStringField  (DBTABLES)
TStringGrid  (GRIDS)
TStringGridStrings  (GRIDS)
TStringList  (CLASSES)
TStringProperty  (DSGNINTF)
TStrings  (CLASSES)
TTabOrderProperty  (DSGNINTF)
TTabSet  (TABS)
TTable  (DBTABLES)
TTableDataLink  (DBTABLES)
TTimeField  (DBTABLES)
TTimer  (EXTCTRLS)
TVarBytesField  (DBTABLES)
TVirtualStream  (ISTREAMS)
TWinControl  (CONTROLS)
TWinOleHelper  (FORMS)
TWordField  (DBTABLES)
TWriter  (CLASSES)


Hierachy/Properties/Methods of TObject (SYSTEM)
Class TObject (SYSTEM)

Hierarchy
Properties (0)
Methods (17)


Hierachy/Properties/Methods of EStreamError (CLASSES)
Class EStreamError (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EFCreateError (CLASSES)
Class EFCreateError (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EFOpenError (CLASSES)
Class EFOpenError (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EFilerError (CLASSES)
Class EFilerError (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EReadError (CLASSES)
Class EReadError (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EWriteError (CLASSES)
Class EWriteError (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EClassNotFound (CLASSES)
Class EClassNotFound (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EMethodNotFound (CLASSES)
Class EMethodNotFound (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EInvalidImage (CLASSES)
Class EInvalidImage (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EResNotFound (CLASSES)
Class EResNotFound (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EListError (CLASSES)
Class EListError (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EStringListError (CLASSES)
Class EStringListError (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EComponentError (CLASSES)
Class EComponentError (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EParserError (CLASSES)
Class EParserError (CLASSES)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TList (CLASSES)
Class TList (CLASSES)

Hierarchy
Properties (4)
Methods (35)


Hierachy/Properties/Methods of TPersistent (CLASSES)
Class TPersistent (CLASSES)

Hierarchy
Properties (0)
Methods (21)


Hierachy/Properties/Methods of TStrings (CLASSES)
Class TStrings (CLASSES)

Hierarchy
Properties (4)
Methods (52)


Hierachy/Properties/Methods of TStringList (CLASSES)
Class TStringList (CLASSES)

Hierarchy
Properties (8)
Methods (58)


Hierachy/Properties/Methods of TStream (CLASSES)
Class TStream (CLASSES)

Hierarchy
Properties (2)
Methods (31)


Hierachy/Properties/Methods of THandleStream (CLASSES)
Class THandleStream (CLASSES)

Hierarchy
Properties (3)
Methods (31)


Hierachy/Properties/Methods of TFileStream (CLASSES)
Class TFileStream (CLASSES)

Hierarchy
Properties (3)
Methods (31)


Hierachy/Properties/Methods of TMemoryStream (CLASSES)
Class TMemoryStream (CLASSES)

Hierarchy
Properties (3)
Methods (38)


Hierachy/Properties/Methods of TFiler (CLASSES)
Class TFiler (CLASSES)

Hierarchy
Properties (1)
Methods (19)


Hierachy/Properties/Methods of TReader (CLASSES)
Class TReader (CLASSES)

Hierarchy
Properties (6)
Methods (53)


Hierachy/Properties/Methods of TWriter (CLASSES)
Class TWriter (CLASSES)

Hierarchy
Properties (1)
Methods (39)


Hierachy/Properties/Methods of TParser (CLASSES)
Class TParser (CLASSES)

Hierarchy
Properties (2)
Methods (30)


Hierachy/Properties/Methods of TComponent (CLASSES)
Class TComponent (CLASSES)

Hierarchy
Properties (8)
Methods (48)


Hierachy/Properties/Methods of TControlScrollBar (FORMS)
Class TControlScrollBar (FORMS)

Hierarchy
Properties (7)
Methods (32)


Hierachy/Properties/Methods of TScrollingWinControl (FORMS)
Class TScrollingWinControl (FORMS)

Hierarchy
Properties (67)
Methods (272)


Hierachy/Properties/Methods of TScrollBox (FORMS)
Class TScrollBox (FORMS)

Hierarchy
Properties (69)
Methods (274)


Hierachy/Properties/Methods of TDesigner (FORMS)
Class TDesigner (FORMS)

Hierarchy
Properties (2)
Methods (24)


Hierachy/Properties/Methods of TWinOleHelper (FORMS)
Class TWinOleHelper (FORMS)

Hierarchy
Properties (0)
Methods (25)


Hierachy/Properties/Methods of TForm (FORMS)
Class TForm (FORMS)

Hierarchy
Properties (124)
Methods (351)


Hierachy/Properties/Methods of TScreen (FORMS)
Class TScreen (FORMS)

Hierarchy
Properties (20)
Methods (62)


Hierachy/Properties/Methods of TApplication (FORMS)
Class TApplication (FORMS)

Hierarchy
Properties (31)
Methods (95)


Hierachy/Properties/Methods of EMenuError (MENUS)
Class EMenuError (MENUS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TMenuItem (MENUS)
Class TMenuItem (MENUS)

Hierarchy
Properties (23)
Methods (75)


Hierachy/Properties/Methods of TMenu (MENUS)
Class TMenu (MENUS)

Hierarchy
Properties (11)
Methods (57)


Hierachy/Properties/Methods of TMainMenu (MENUS)
Class TMainMenu (MENUS)

Hierarchy
Properties (12)
Methods (64)


Hierachy/Properties/Methods of TPopupMenu (MENUS)
Class TPopupMenu (MENUS)

Hierarchy
Properties (16)
Methods (59)


Hierachy/Properties/Methods of EInvalidGraphic (GRAPHICS)
Class EInvalidGraphic (GRAPHICS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EInvalidGraphicOperation (GRAPHICS)
Class EInvalidGraphicOperation (GRAPHICS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TGraphicsObject (GRAPHICS)
Class TGraphicsObject (GRAPHICS)

Hierarchy
Properties (1)
Methods (22)


Hierachy/Properties/Methods of TFont (GRAPHICS)
Class TFont (GRAPHICS)

Hierarchy
Properties (9)
Methods (37)


Hierachy/Properties/Methods of TPen (GRAPHICS)
Class TPen (GRAPHICS)

Hierarchy
Properties (6)
Methods (33)


Hierachy/Properties/Methods of TBrush (GRAPHICS)
Class TBrush (GRAPHICS)

Hierarchy
Properties (5)
Methods (32)


Hierachy/Properties/Methods of TCanvas (GRAPHICS)
Class TCanvas (GRAPHICS)

Hierarchy
Properties (10)
Methods (65)


Hierachy/Properties/Methods of TGraphic (GRAPHICS)
Class TGraphic (GRAPHICS)

Hierarchy
Properties (5)
Methods (37)


Hierachy/Properties/Methods of TPicture (GRAPHICS)
Class TPicture (GRAPHICS)

Hierarchy
Properties (7)
Methods (41)


Hierachy/Properties/Methods of TMetafileImage (GRAPHICS)
Class TMetafileImage (GRAPHICS)

Hierarchy
Properties (0)
Methods (19)


Hierachy/Properties/Methods of TMetafile (GRAPHICS)
Class TMetafile (GRAPHICS)

Hierarchy
Properties (7)
Methods (43)


Hierachy/Properties/Methods of TInternalImage (GRAPHICS)
Class TInternalImage (GRAPHICS)

Hierarchy
Properties (0)
Methods (20)


Hierachy/Properties/Methods of TBitmapImage (GRAPHICS)
Class TBitmapImage (GRAPHICS)

Hierarchy
Properties (0)
Methods (20)


Hierachy/Properties/Methods of TBitmap (GRAPHICS)
Class TBitmap (GRAPHICS)

Hierarchy
Properties (10)
Methods (57)


Hierachy/Properties/Methods of TIconImage (GRAPHICS)
Class TIconImage (GRAPHICS)

Hierarchy
Properties (0)
Methods (20)


Hierachy/Properties/Methods of TIcon (GRAPHICS)
Class TIcon (GRAPHICS)

Hierarchy
Properties (6)
Methods (43)


Hierachy/Properties/Methods of TImageList (GRAPHICS)
Class TImageList (GRAPHICS)

Hierarchy
Properties (4)
Methods (26)


Hierachy/Properties/Methods of EOutOfResources (CONTROLS)
Class EOutOfResources (CONTROLS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EInvalidObject (CONTROLS)
Class EInvalidObject (CONTROLS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EInvalidOperation (CONTROLS)
Class EInvalidOperation (CONTROLS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TControlCanvas (CONTROLS)
Class TControlCanvas (CONTROLS)

Hierarchy
Properties (11)
Methods (67)


Hierachy/Properties/Methods of TControl (CONTROLS)
Class TControl (CONTROLS)

Hierarchy
Properties (47)
Methods (147)


Hierachy/Properties/Methods of TWinControl (CONTROLS)
Class TWinControl (CONTROLS)

Hierarchy
Properties (64)
Methods (264)


Hierachy/Properties/Methods of TGraphicControl (CONTROLS)
Class TGraphicControl (CONTROLS)

Hierarchy
Properties (48)
Methods (149)


Hierachy/Properties/Methods of TCustomControl (CONTROLS)
Class TCustomControl (CONTROLS)

Hierarchy
Properties (65)
Methods (265)


Hierachy/Properties/Methods of THintWindow (CONTROLS)
Class THintWindow (CONTROLS)

Hierarchy
Properties (65)
Methods (269)


Hierachy/Properties/Methods of TCommonDialog (DIALOGS)
Class TCommonDialog (DIALOGS)

Hierarchy
Properties (10)
Methods (49)


Hierachy/Properties/Methods of TDlgControl (DIALOGS)
Class TDlgControl (DIALOGS)

Hierarchy
Properties (0)
Methods (22)


Hierachy/Properties/Methods of TComboButton (DIALOGS)
Class TComboButton (DIALOGS)

Hierarchy
Properties (0)
Methods (30)


Hierachy/Properties/Methods of TOpenDialog (DIALOGS)
Class TOpenDialog (DIALOGS)

Hierarchy
Properties (20)
Methods (59)


Hierachy/Properties/Methods of TSaveDialog (DIALOGS)
Class TSaveDialog (DIALOGS)

Hierarchy
Properties (20)
Methods (59)


Hierachy/Properties/Methods of TColorDialog (DIALOGS)
Class TColorDialog (DIALOGS)

Hierarchy
Properties (14)
Methods (51)


Hierachy/Properties/Methods of TFontDialog (DIALOGS)
Class TFontDialog (DIALOGS)

Hierarchy
Properties (16)
Methods (54)


Hierachy/Properties/Methods of TPrinterSetupDialog (DIALOGS)
Class TPrinterSetupDialog (DIALOGS)

Hierarchy
Properties (10)
Methods (50)


Hierachy/Properties/Methods of TPrintDialog (DIALOGS)
Class TPrintDialog (DIALOGS)

Hierarchy
Properties (19)
Methods (50)


Hierachy/Properties/Methods of TFindDialog (DIALOGS)
Class TFindDialog (DIALOGS)

Hierarchy
Properties (17)
Methods (61)


Hierachy/Properties/Methods of TReplaceDialog (DIALOGS)
Class TReplaceDialog (DIALOGS)

Hierarchy
Properties (19)
Methods (62)


Hierachy/Properties/Methods of TSpeedButton (BUTTONS)
Class TSpeedButton (BUTTONS)

Hierarchy
Properties (56)
Methods (165)


Hierachy/Properties/Methods of TBitBtn (BUTTONS)
Class TBitBtn (BUTTONS)

Hierarchy
Properties (79)
Methods (283)


Hierachy/Properties/Methods of TClipboard (CLIPBRD)
Class TClipboard (CLIPBRD)

Hierarchy
Properties (3)
Methods (43)


Hierachy/Properties/Methods of EDatabaseError (DB)
Class EDatabaseError (DB)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EDBEngineError (DB)
Class EDBEngineError (DB)

Hierarchy
Properties (5)
Methods (28)


Hierachy/Properties/Methods of TDBError (DB)
Class TDBError (DB)

Hierarchy
Properties (5)
Methods (19)


Hierachy/Properties/Methods of TSession (DB)
Class TSession (DB)

Hierarchy
Properties (16)
Methods (71)


Hierachy/Properties/Methods of TParamList (DB)
Class TParamList (DB)

Hierarchy
Properties (3)
Methods (17)


Hierachy/Properties/Methods of TDatabase (DB)
Class TDatabase (DB)

Hierarchy
Properties (23)
Methods (73)


Hierachy/Properties/Methods of TDataSetDesigner (DB)
Class TDataSetDesigner (DB)

Hierarchy
Properties (1)
Methods (20)


Hierachy/Properties/Methods of TFieldDef (DB)
Class TFieldDef (DB)

Hierarchy
Properties (6)
Methods (20)


Hierachy/Properties/Methods of TFieldDefs (DB)
Class TFieldDefs (DB)

Hierarchy
Properties (2)
Methods (26)


Hierachy/Properties/Methods of TDataSet (DB)
Class TDataSet (DB)

Hierarchy
Properties (42)
Methods (164)


Hierachy/Properties/Methods of TDBDataSet (DB)
Class TDBDataSet (DB)

Hierarchy
Properties (48)
Methods (170)


Hierachy/Properties/Methods of TDataSource (DB)
Class TDataSource (DB)

Hierarchy
Properties (15)
Methods (58)


Hierachy/Properties/Methods of TField (DB)
Class TField (DB)

Hierarchy
Properties (39)
Methods (99)


Hierachy/Properties/Methods of TDataLink (DB)
Class TDataLink (DB)

Hierarchy
Properties (8)
Methods (44)


Hierachy/Properties/Methods of TDBEdit (DBCTRLS)
Class TDBEdit (DBCTRLS)

Hierarchy
Properties (87)
Methods (341)


Hierachy/Properties/Methods of TDBText (DBCTRLS)
Class TDBText (DBCTRLS)

Hierarchy
Properties (58)
Methods (165)


Hierachy/Properties/Methods of TDBCheckBox (DBCTRLS)
Class TDBCheckBox (DBCTRLS)

Hierarchy
Properties (75)
Methods (285)


Hierachy/Properties/Methods of TDBComboBox (DBCTRLS)
Class TDBComboBox (DBCTRLS)

Hierarchy
Properties (87)
Methods (308)


Hierachy/Properties/Methods of TDBListBox (DBCTRLS)
Class TDBListBox (DBCTRLS)

Hierarchy
Properties (88)
Methods (299)


Hierachy/Properties/Methods of TDBRadioGroup (DBCTRLS)
Class TDBRadioGroup (DBCTRLS)

Hierarchy
Properties (77)
Methods (289)


Hierachy/Properties/Methods of TDBMemo (DBCTRLS)
Class TDBMemo (DBCTRLS)

Hierarchy
Properties (90)
Methods (312)


Hierachy/Properties/Methods of TDBImage (DBCTRLS)
Class TDBImage (DBCTRLS)

Hierarchy
Properties (76)
Methods (288)


Hierachy/Properties/Methods of TNavButton (DBCTRLS)
Class TNavButton (DBCTRLS)

Hierarchy
Properties (58)
Methods (166)


Hierachy/Properties/Methods of TNavDataLink (DBCTRLS)
Class TNavDataLink (DBCTRLS)

Hierarchy
Properties (8)
Methods (44)


Hierachy/Properties/Methods of TGridDataLink (DBGRIDS)
Class TGridDataLink (DBGRIDS)

Hierarchy
Properties (11)
Methods (50)


Hierachy/Properties/Methods of TCustomDBGrid (DBGRIDS)
Class TCustomDBGrid (DBGRIDS)

Hierarchy
Properties (106)
Methods (395)


Hierachy/Properties/Methods of TDBGrid (DBGRIDS)
Class TDBGrid (DBGRIDS)

Hierarchy
Properties (106)
Methods (395)


Hierachy/Properties/Methods of TLoginDialog (DBLOGDLG)
Class TLoginDialog (DBLOGDLG)

Hierarchy
Properties (124)
Methods (351)


Hierachy/Properties/Methods of TDBLookupCombo (DBLOOKUP)
Class TDBLookupCombo (DBLOOKUP)

Hierarchy
Properties (92)
Methods (329)


Hierachy/Properties/Methods of TDBLookupList (DBLOOKUP)
Class TDBLookupList (DBLOOKUP)

Hierarchy
Properties (112)
Methods (417)


Hierachy/Properties/Methods of TPopupGrid (DBLOOKUP)
Class TPopupGrid (DBLOOKUP)

Hierarchy
Properties (112)
Methods (417)


Hierachy/Properties/Methods of TComboButton (DBLOOKUP)
Class TComboButton (DBLOOKUP)

Hierarchy
Properties (56)
Methods (165)


Hierachy/Properties/Methods of TPasswordDialog (DBPWDLG)
Class TPasswordDialog (DBPWDLG)

Hierarchy
Properties (124)
Methods (356)


Hierachy/Properties/Methods of TIndexDef (DBTABLES)
Class TIndexDef (DBTABLES)

Hierarchy
Properties (4)
Methods (20)


Hierachy/Properties/Methods of TIndexDefs (DBTABLES)
Class TIndexDefs (DBTABLES)

Hierarchy
Properties (2)
Methods (25)


Hierachy/Properties/Methods of TTableDataLink (DBTABLES)
Class TTableDataLink (DBTABLES)

Hierarchy
Properties (8)
Methods (45)


Hierachy/Properties/Methods of TTable (DBTABLES)
Class TTable (DBTABLES)

Hierarchy
Properties (61)
Methods (217)


Hierachy/Properties/Methods of TBatchMove (DBTABLES)
Class TBatchMove (DBTABLES)

Hierarchy
Properties (23)
Methods (51)


Hierachy/Properties/Methods of TParam (DBTABLES)
Class TParam (DBTABLES)

Hierarchy
Properties (17)
Methods (47)


Hierachy/Properties/Methods of TParams (DBTABLES)
Class TParams (DBTABLES)

Hierarchy
Properties (1)
Methods (32)


Hierachy/Properties/Methods of TStoredProc (DBTABLES)
Class TStoredProc (DBTABLES)

Hierarchy
Properties (55)
Methods (192)


Hierachy/Properties/Methods of TQuery (DBTABLES)
Class TQuery (DBTABLES)

Hierarchy
Properties (58)
Methods (193)


Hierachy/Properties/Methods of TStringField (DBTABLES)
Class TStringField (DBTABLES)

Hierarchy
Properties (42)
Methods (99)


Hierachy/Properties/Methods of TNumericField (DBTABLES)
Class TNumericField (DBTABLES)

Hierarchy
Properties (42)
Methods (104)


Hierachy/Properties/Methods of TIntegerField (DBTABLES)
Class TIntegerField (DBTABLES)

Hierarchy
Properties (45)
Methods (108)


Hierachy/Properties/Methods of TSmallintField (DBTABLES)
Class TSmallintField (DBTABLES)

Hierarchy
Properties (45)
Methods (108)


Hierachy/Properties/Methods of TWordField (DBTABLES)
Class TWordField (DBTABLES)

Hierarchy
Properties (45)
Methods (108)


Hierachy/Properties/Methods of TFloatField (DBTABLES)
Class TFloatField (DBTABLES)

Hierarchy
Properties (47)
Methods (110)


Hierachy/Properties/Methods of TCurrencyField (DBTABLES)
Class TCurrencyField (DBTABLES)

Hierarchy
Properties (47)
Methods (110)


Hierachy/Properties/Methods of TBCDField (DBTABLES)
Class TBCDField (DBTABLES)

Hierarchy
Properties (48)
Methods (110)


Hierachy/Properties/Methods of TBooleanField (DBTABLES)
Class TBooleanField (DBTABLES)

Hierarchy
Properties (41)
Methods (102)


Hierachy/Properties/Methods of TDateTimeField (DBTABLES)
Class TDateTimeField (DBTABLES)

Hierarchy
Properties (41)
Methods (102)


Hierachy/Properties/Methods of TDateField (DBTABLES)
Class TDateField (DBTABLES)

Hierarchy
Properties (41)
Methods (102)


Hierachy/Properties/Methods of TTimeField (DBTABLES)
Class TTimeField (DBTABLES)

Hierarchy
Properties (41)
Methods (102)


Hierachy/Properties/Methods of TBytesField (DBTABLES)
Class TBytesField (DBTABLES)

Hierarchy
Properties (40)
Methods (99)


Hierachy/Properties/Methods of TVarBytesField (DBTABLES)
Class TVarBytesField (DBTABLES)

Hierarchy
Properties (40)
Methods (99)


Hierachy/Properties/Methods of TBlobField (DBTABLES)
Class TBlobField (DBTABLES)

Hierarchy
Properties (40)
Methods (108)


Hierachy/Properties/Methods of TMemoField (DBTABLES)
Class TMemoField (DBTABLES)

Hierarchy
Properties (41)
Methods (108)


Hierachy/Properties/Methods of TGraphicField (DBTABLES)
Class TGraphicField (DBTABLES)

Hierarchy
Properties (40)
Methods (108)


Hierachy/Properties/Methods of TBlobStream (DBTABLES)
Class TBlobStream (DBTABLES)

Hierarchy
Properties (2)
Methods (33)


Hierachy/Properties/Methods of TFieldDataLink (DBTABLES)
Class TFieldDataLink (DBTABLES)

Hierarchy
Properties (16)
Methods (51)


Hierachy/Properties/Methods of TDdeClientConv (DDEMAN)
Class TDdeClientConv (DDEMAN)

Hierarchy
Properties (19)
Methods (83)


Hierachy/Properties/Methods of TDdeClientItem (DDEMAN)
Class TDdeClientItem (DDEMAN)

Hierarchy
Properties (13)
Methods (55)


Hierachy/Properties/Methods of TDdeServerConv (DDEMAN)
Class TDdeServerConv (DDEMAN)

Hierarchy
Properties (11)
Methods (51)


Hierachy/Properties/Methods of TDdeServerItem (DDEMAN)
Class TDdeServerItem (DDEMAN)

Hierarchy
Properties (14)
Methods (56)


Hierachy/Properties/Methods of TDdeMgr (DDEMAN)
Class TDdeMgr (DDEMAN)

Hierarchy
Properties (11)
Methods (63)


Hierachy/Properties/Methods of TComponentList (DSGNINTF)
Class TComponentList (DSGNINTF)

Hierarchy
Properties (2)
Methods (21)


Hierachy/Properties/Methods of TFormDesigner (DSGNINTF)
Class TFormDesigner (DSGNINTF)

Hierarchy
Properties (2)
Methods (31)


Hierachy/Properties/Methods of TPropertyEditor (DSGNINTF)
Class TPropertyEditor (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TOrdinalProperty (DSGNINTF)
Class TOrdinalProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TIntegerProperty (DSGNINTF)
Class TIntegerProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TCharProperty (DSGNINTF)
Class TCharProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TEnumProperty (DSGNINTF)
Class TEnumProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TFloatProperty (DSGNINTF)
Class TFloatProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TStringProperty (DSGNINTF)
Class TStringProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TSetElementProperty (DSGNINTF)
Class TSetElementProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TSetProperty (DSGNINTF)
Class TSetProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TClassProperty (DSGNINTF)
Class TClassProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TMethodProperty (DSGNINTF)
Class TMethodProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TComponentProperty (DSGNINTF)
Class TComponentProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TComponentNameProperty (DSGNINTF)
Class TComponentNameProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TFontNameProperty (DSGNINTF)
Class TFontNameProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TColorProperty (DSGNINTF)
Class TColorProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TCursorProperty (DSGNINTF)
Class TCursorProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TFontProperty (DSGNINTF)
Class TFontProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TModalResultProperty (DSGNINTF)
Class TModalResultProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TShortCutProperty (DSGNINTF)
Class TShortCutProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TMPFilenameProperty (DSGNINTF)
Class TMPFilenameProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TTabOrderProperty (DSGNINTF)
Class TTabOrderProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TCaptionProperty (DSGNINTF)
Class TCaptionProperty (DSGNINTF)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of EPropertyError (DSGNINTF)
Class EPropertyError (DSGNINTF)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TComponentEditor (DSGNINTF)
Class TComponentEditor (DSGNINTF)

Hierarchy
Properties (2)
Methods (22)


Hierachy/Properties/Methods of TDefaultEditor (DSGNINTF)
Class TDefaultEditor (DSGNINTF)

Hierarchy
Properties (2)
Methods (24)


Hierachy/Properties/Methods of TIExpert (EXPTINTF)
Class TIExpert (EXPTINTF)

Hierarchy
Properties (0)
Methods (27)


Hierachy/Properties/Methods of TShape (EXTCTRLS)
Class TShape (EXTCTRLS)

Hierarchy
Properties (51)
Methods (153)


Hierachy/Properties/Methods of TPaintBox (EXTCTRLS)
Class TPaintBox (EXTCTRLS)

Hierarchy
Properties (49)
Methods (149)


Hierachy/Properties/Methods of TImage (EXTCTRLS)
Class TImage (EXTCTRLS)

Hierarchy
Properties (52)
Methods (155)


Hierachy/Properties/Methods of TBevel (EXTCTRLS)
Class TBevel (EXTCTRLS)

Hierarchy
Properties (50)
Methods (151)


Hierachy/Properties/Methods of TTimer (EXTCTRLS)
Class TTimer (EXTCTRLS)

Hierarchy
Properties (11)
Methods (54)


Hierachy/Properties/Methods of TCustomPanel (EXTCTRLS)
Class TCustomPanel (EXTCTRLS)

Hierarchy
Properties (75)
Methods (274)


Hierachy/Properties/Methods of TPanel (EXTCTRLS)
Class TPanel (EXTCTRLS)

Hierarchy
Properties (75)
Methods (274)


Hierachy/Properties/Methods of TPage (EXTCTRLS)
Class TPage (EXTCTRLS)

Hierarchy
Properties (69)
Methods (265)


Hierachy/Properties/Methods of TNotebook (EXTCTRLS)
Class TNotebook (EXTCTRLS)

Hierarchy
Properties (69)
Methods (269)


Hierachy/Properties/Methods of THeader (EXTCTRLS)
Class THeader (EXTCTRLS)

Hierarchy
Properties (71)
Methods (271)


Hierachy/Properties/Methods of TCustomRadioGroup (EXTCTRLS)
Class TCustomRadioGroup (EXTCTRLS)

Hierarchy
Properties (68)
Methods (275)


Hierachy/Properties/Methods of TRadioGroup (EXTCTRLS)
Class TRadioGroup (EXTCTRLS)

Hierarchy
Properties (68)
Methods (275)


Hierachy/Properties/Methods of TFileListBox (FILECTRL)
Class TFileListBox (FILECTRL)

Hierarchy
Properties (90)
Methods (309)


Hierachy/Properties/Methods of TFolderBitmap (FILECTRL)
Class TFolderBitmap (FILECTRL)

Hierarchy
Properties (10)
Methods (57)


Hierachy/Properties/Methods of TDirectoryListBox (FILECTRL)
Class TDirectoryListBox (FILECTRL)

Hierarchy
Properties (87)
Methods (306)


Hierachy/Properties/Methods of TDriveComboBox (FILECTRL)
Class TDriveComboBox (FILECTRL)

Hierarchy
Properties (85)
Methods (302)


Hierachy/Properties/Methods of TFilterComboBox (FILECTRL)
Class TFilterComboBox (FILECTRL)

Hierarchy
Properties (85)
Methods (301)


Hierachy/Properties/Methods of EInvalidGridOperation (GRIDS)
Class EInvalidGridOperation (GRIDS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TInplaceEdit (GRIDS)
Class TInplaceEdit (GRIDS)

Hierarchy
Properties (84)
Methods (337)


Hierachy/Properties/Methods of TCustomGrid (GRIDS)
Class TCustomGrid (GRIDS)

Hierarchy
Properties (94)
Methods (363)


Hierachy/Properties/Methods of TDrawGrid (GRIDS)
Class TDrawGrid (GRIDS)

Hierarchy
Properties (102)
Methods (364)


Hierachy/Properties/Methods of TStringGridStrings (GRIDS)
Class TStringGridStrings (GRIDS)

Hierarchy
Properties (4)
Methods (53)


Hierachy/Properties/Methods of TStringGrid (GRIDS)
Class TStringGrid (GRIDS)

Hierarchy
Properties (106)
Methods (377)


Hierachy/Properties/Methods of TIniFile (INIFILES)
Class TIniFile (INIFILES)

Hierarchy
Properties (1)
Methods (27)


Hierachy/Properties/Methods of TIMemoryStream (ISTREAMS)
Class TIMemoryStream (ISTREAMS)

Hierarchy
Properties (2)
Methods (23)


Hierachy/Properties/Methods of TIFileStream (ISTREAMS)
Class TIFileStream (ISTREAMS)

Hierarchy
Properties (1)
Methods (23)


Hierachy/Properties/Methods of TVirtualStream (ISTREAMS)
Class TVirtualStream (ISTREAMS)

Hierarchy
Properties (2)
Methods (32)


Hierachy/Properties/Methods of EDBEditError (MASK)
Class EDBEditError (MASK)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TCustomMaskEdit (MASK)
Class TCustomMaskEdit (MASK)

Hierarchy
Properties (84)
Methods (330)


Hierachy/Properties/Methods of TMaskEdit (MASK)
Class TMaskEdit (MASK)

Hierarchy
Properties (84)
Methods (330)


Hierachy/Properties/Methods of EMCIDeviceError (MPLAYER)
Class EMCIDeviceError (MPLAYER)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TMediaPlayer (MPLAYER)
Class TMediaPlayer (MPLAYER)

Hierarchy
Properties (96)
Methods (320)


Hierachy/Properties/Methods of OutlineError (OUTLINE)
Class OutlineError (OUTLINE)

Hierarchy
Properties (14)
Methods (62)


Hierachy/Properties/Methods of EOutlineError (OUTLINE)
Class EOutlineError (OUTLINE)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TOutlineNode (OUTLINE)
Class TOutlineNode (OUTLINE)

Hierarchy
Properties (14)
Methods (66)


Hierachy/Properties/Methods of TCustomOutline (OUTLINE)
Class TCustomOutline (OUTLINE)

Hierarchy
Properties (110)
Methods (426)


Hierachy/Properties/Methods of TOutline (OUTLINE)
Class TOutline (OUTLINE)

Hierarchy
Properties (110)
Methods (426)


Hierachy/Properties/Methods of TParamDlg (PARAMDLG)
Class TParamDlg (PARAMDLG)

Hierarchy
Properties (124)
Methods (352)


Hierachy/Properties/Methods of EPrinter (PRINTERS)
Class EPrinter (PRINTERS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TPrinter (PRINTERS)
Class TPrinter (PRINTERS)

Hierarchy
Properties (12)
Methods (40)


Hierachy/Properties/Methods of TProcParams (PROCDLG)
Class TProcParams (PROCDLG)

Hierarchy
Properties (124)
Methods (367)


Hierachy/Properties/Methods of TQueryParams (QBINDDLG)
Class TQueryParams (QBINDDLG)

Hierarchy
Properties (124)
Methods (361)


Hierachy/Properties/Methods of EReportError (REPORT)
Class EReportError (REPORT)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TReport (REPORT)
Class TReport (REPORT)

Hierarchy
Properties (21)
Methods (70)


Hierachy/Properties/Methods of TReportEditor (REPORT)
Class TReportEditor (REPORT)

Hierarchy
Properties (2)
Methods (22)


Hierachy/Properties/Methods of TReportDirProperty (REPORT)
Class TReportDirProperty (REPORT)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TReportNameProperty (REPORT)
Class TReportNameProperty (REPORT)

Hierarchy
Properties (4)
Methods (46)


Hierachy/Properties/Methods of TCustomGroupBox (STDCTRLS)
Class TCustomGroupBox (STDCTRLS)

Hierarchy
Properties (65)
Methods (266)


Hierachy/Properties/Methods of TGroupBox (STDCTRLS)
Class TGroupBox (STDCTRLS)

Hierarchy
Properties (65)
Methods (266)


Hierachy/Properties/Methods of TCustomLabel (STDCTRLS)
Class TCustomLabel (STDCTRLS)

Hierarchy
Properties (54)
Methods (159)


Hierachy/Properties/Methods of TLabel (STDCTRLS)
Class TLabel (STDCTRLS)

Hierarchy
Properties (54)
Methods (159)


Hierachy/Properties/Methods of TCustomEdit (STDCTRLS)
Class TCustomEdit (STDCTRLS)

Hierarchy
Properties (80)
Methods (293)


Hierachy/Properties/Methods of TEdit (STDCTRLS)
Class TEdit (STDCTRLS)

Hierarchy
Properties (80)
Methods (293)


Hierachy/Properties/Methods of TCustomMemo (STDCTRLS)
Class TCustomMemo (STDCTRLS)

Hierarchy
Properties (86)
Methods (298)


Hierachy/Properties/Methods of TMemo (STDCTRLS)
Class TMemo (STDCTRLS)

Hierarchy
Properties (86)
Methods (299)


Hierachy/Properties/Methods of TCustomComboBox (STDCTRLS)
Class TCustomComboBox (STDCTRLS)

Hierarchy
Properties (82)
Methods (295)


Hierachy/Properties/Methods of TComboBox (STDCTRLS)
Class TComboBox (STDCTRLS)

Hierarchy
Properties (82)
Methods (295)


Hierachy/Properties/Methods of TButtonControl (STDCTRLS)
Class TButtonControl (STDCTRLS)

Hierarchy
Properties (64)
Methods (264)


Hierachy/Properties/Methods of TButton (STDCTRLS)
Class TButton (STDCTRLS)

Hierarchy
Properties (68)
Methods (267)


Hierachy/Properties/Methods of TCustomCheckBox (STDCTRLS)
Class TCustomCheckBox (STDCTRLS)

Hierarchy
Properties (69)
Methods (271)


Hierachy/Properties/Methods of TCheckBox (STDCTRLS)
Class TCheckBox (STDCTRLS)

Hierarchy
Properties (69)
Methods (271)


Hierachy/Properties/Methods of TRadioButton (STDCTRLS)
Class TRadioButton (STDCTRLS)

Hierarchy
Properties (66)
Methods (268)


Hierachy/Properties/Methods of TCustomListBox (STDCTRLS)
Class TCustomListBox (STDCTRLS)

Hierarchy
Properties (82)
Methods (290)


Hierachy/Properties/Methods of TListBox (STDCTRLS)
Class TListBox (STDCTRLS)

Hierarchy
Properties (82)
Methods (290)


Hierachy/Properties/Methods of TScrollBar (STDCTRLS)
Class TScrollBar (STDCTRLS)

Hierarchy
Properties (73)
Methods (274)


Hierachy/Properties/Methods of TOleContainer (TOCTRL)
Class TOleContainer (TOCTRL)

Hierarchy
Properties (87)
Methods (310)


Hierachy/Properties/Methods of TOleDropNotify (TOCTRL)
Class TOleDropNotify (TOCTRL)

Hierarchy
Properties (5)
Methods (19)


Hierachy/Properties/Methods of TIToolServices (TOOLINTF)
Class TIToolServices (TOOLINTF)

Hierarchy
Properties (0)
Methods (43)


Hierachy/Properties/Methods of TInterface (VIRTINTF)
Class TInterface (VIRTINTF)

Hierarchy
Properties (0)
Methods (19)


Hierachy/Properties/Methods of TIStream (VIRTINTF)
Class TIStream (VIRTINTF)

Hierarchy
Properties (0)
Methods (23)


Hierachy/Properties/Methods of Exception (SYSUTILS)
Class Exception (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EAbort (SYSUTILS)
Class EAbort (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EOutOfMemory (SYSUTILS)
Class EOutOfMemory (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EInOutError (SYSUTILS)
Class EInOutError (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EIntError (SYSUTILS)
Class EIntError (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EDivByZero (SYSUTILS)
Class EDivByZero (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of ERangeError (SYSUTILS)
Class ERangeError (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EIntOverflow (SYSUTILS)
Class EIntOverflow (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EMathError (SYSUTILS)
Class EMathError (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EInvalidOp (SYSUTILS)
Class EInvalidOp (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EZeroDivide (SYSUTILS)
Class EZeroDivide (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EOverflow (SYSUTILS)
Class EOverflow (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EUnderflow (SYSUTILS)
Class EUnderflow (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EInvalidPointer (SYSUTILS)
Class EInvalidPointer (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EInvalidCast (SYSUTILS)
Class EInvalidCast (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EConvertError (SYSUTILS)
Class EConvertError (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EProcessorException (SYSUTILS)
Class EProcessorException (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EFault (SYSUTILS)
Class EFault (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EGPFault (SYSUTILS)
Class EGPFault (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EStackFault (SYSUTILS)
Class EStackFault (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EPageFault (SYSUTILS)
Class EPageFault (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EInvalidOpCode (SYSUTILS)
Class EInvalidOpCode (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of EBreakpoint (SYSUTILS)
Class EBreakpoint (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of ESingleStep (SYSUTILS)
Class ESingleStep (SYSUTILS)

Hierarchy
Properties (3)
Methods (26)


Hierachy/Properties/Methods of TTabSet (TABS)
Class TTabSet (TABS)

Hierarchy
Properties (81)
Methods (270)


Properties of TObject (SYSTEM)
0 Properties of TObject (SYSTEM)
0 superordinates
17 methods

no properties


Properties of EStreamError (CLASSES)
3 Properties of EStreamError (CLASSES)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EFCreateError (CLASSES)
3 Properties of EFCreateError (CLASSES)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EFOpenError (CLASSES)
3 Properties of EFOpenError (CLASSES)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EFilerError (CLASSES)
3 Properties of EFilerError (CLASSES)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EReadError (CLASSES)
3 Properties of EReadError (CLASSES)
4 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EWriteError (CLASSES)
3 Properties of EWriteError (CLASSES)
4 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EClassNotFound (CLASSES)
3 Properties of EClassNotFound (CLASSES)
4 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EMethodNotFound (CLASSES)
3 Properties of EMethodNotFound (CLASSES)
4 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EInvalidImage (CLASSES)
3 Properties of EInvalidImage (CLASSES)
4 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EResNotFound (CLASSES)
3 Properties of EResNotFound (CLASSES)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EListError (CLASSES)
3 Properties of EListError (CLASSES)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EStringListError (CLASSES)
3 Properties of EStringListError (CLASSES)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EComponentError (CLASSES)
3 Properties of EComponentError (CLASSES)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EParserError (CLASSES)
3 Properties of EParserError (CLASSES)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TList (CLASSES)
4 Properties of TList (CLASSES)
1 superordinates
35 methods

Capacity : Integer; (public) read/write

Count : Integer; (public) read/write

Items [Index: Integer]: Pointer; (public) read/write

List : PPointerList; (public) read


Properties of TPersistent (CLASSES)
0 Properties of TPersistent (CLASSES)
1 superordinates
21 methods

no properties


Properties of TStrings (CLASSES)
4 Properties of TStrings (CLASSES)
2 superordinates
52 methods

Count : Integer; (public) read

Objects [Index: Integer]: TObject; (public) read/write

Strings [Index: Integer]: string; (public) read/write

Values [const Name: string]: string; (public) read/write


Properties of TStringList (CLASSES)
8 Properties of TStringList (CLASSES)
3 superordinates
58 methods

Count  (inherited) : Integer; (public) read
found in TStrings

Duplicates : TDuplicates; (public) read/write

Objects  (inherited) [Index: Integer]: TObject; (public) read/write
found in TStrings

OnChange : TNotifyEvent; (public) read/write

OnChanging : TNotifyEvent; (public) read/write

Sorted : Boolean; (public) read/write

Strings  (inherited) [Index: Integer]: string; (public) read/write
found in TStrings

Values  (inherited) [const Name: string]: string; (public) read/write
found in TStrings


Properties of TStream (CLASSES)
2 Properties of TStream (CLASSES)
1 superordinates
31 methods

Position : Longint; (public) read/write

Size : Longint; (public) read


Properties of THandleStream (CLASSES)
3 Properties of THandleStream (CLASSES)
2 superordinates
31 methods

Handle : Integer; (public) read

Position  (inherited) : Longint; (public) read/write
found in TStream

Size  (inherited) : Longint; (public) read
found in TStream


Properties of TFileStream (CLASSES)
3 Properties of TFileStream (CLASSES)
3 superordinates
31 methods

Handle  (inherited) : Integer; (public) read
found in THandleStream

Position  (inherited) : Longint; (public) read/write
found in TStream

Size  (inherited) : Longint; (public) read
found in TStream


Properties of TMemoryStream (CLASSES)
3 Properties of TMemoryStream (CLASSES)
2 superordinates
38 methods

Memory : Pointer; (public) read

Position  (inherited) : Longint; (public) read/write
found in TStream

Size  (inherited) : Longint; (public) read
found in TStream


Properties of TFiler (CLASSES)
1 Properties of TFiler (CLASSES)
1 superordinates
19 methods

Root : TComponent; (public) read/write


Properties of TReader (CLASSES)
6 Properties of TReader (CLASSES)
2 superordinates
53 methods

OnError : TReaderError; (public) read/write

OnFindMethod : TFindMethodEvent; (public) read/write

OnSetName : TSetNameEvent; (public) read/write

Owner : TComponent; (public) read/write

Parent : TComponent; (public) read/write

Root  (inherited) : TComponent; (public) read/write
found in TFiler


Properties of TWriter (CLASSES)
1 Properties of TWriter (CLASSES)
2 superordinates
39 methods

Root  (inherited) : TComponent; (public) read/write
found in TFiler


Properties of TParser (CLASSES)
2 Properties of TParser (CLASSES)
1 superordinates
30 methods

SourceLine : Integer; (public) read

Token : Char; (public) read


Properties of TComponent (CLASSES)
8 Properties of TComponent (CLASSES)
2 superordinates
48 methods

ComponentCount : Integer; (public) read

ComponentIndex : Integer; (public) read/write

ComponentState : TComponentState; (public) read

Components [Index: Integer]: TComponent; (public) read

DesignInfo : Longint; (public) read/write

Name : TComponentName; (published) read/write

Owner : TComponent; (public) read

Tag : Longint; (published) read/write


Properties of TControlScrollBar (FORMS)
7 Properties of TControlScrollBar (FORMS)
2 superordinates
32 methods

Increment : TScrollBarInc; (published) read/write

Kind : TScrollBarKind; (public) read

Margin : Word; (published) read/write

Position : Integer; (published) read/write

Range : Integer; (published) read/write

ScrollPos : Integer; (public) read

Visible : Boolean; (published) read/write


Properties of TScrollingWinControl (FORMS)
67 Properties of TScrollingWinControl (FORMS)
5 superordinates
272 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoScroll : Boolean; (protected) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TScrollingWinControl (FORMS) (002)
67 Properties of TScrollingWinControl (FORMS) (002)
5 superordinates
272 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TScrollingWinControl (FORMS) (003)
67 Properties of TScrollingWinControl (FORMS) (003)
5 superordinates
272 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl


Properties of TScrollingWinControl (FORMS) (004)
67 Properties of TScrollingWinControl (FORMS) (004)
5 superordinates
272 methods

HorzScrollBar : TControlScrollBar; (published) read/write

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl


Properties of TScrollingWinControl (FORMS) (005)
67 Properties of TScrollingWinControl (FORMS) (005)
5 superordinates
272 methods

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl


Properties of TScrollingWinControl (FORMS) (006)
67 Properties of TScrollingWinControl (FORMS) (006)
5 superordinates
272 methods

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TScrollingWinControl (FORMS) (007)
67 Properties of TScrollingWinControl (FORMS) (007)
5 superordinates
272 methods

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

VertScrollBar : TControlScrollBar; (published) read/write

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TScrollBox (FORMS)
69 Properties of TScrollBox (FORMS)
6 superordinates
274 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

AutoScroll  (inherited) : Boolean; (protected) read/write
found in TScrollingWinControl
AutoScroll ; (published)

BorderStyle : TBorderStyle; (published) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TScrollBox (FORMS) (002)
69 Properties of TScrollBox (FORMS) (002)
6 superordinates
274 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)


Properties of TScrollBox (FORMS) (003)
69 Properties of TScrollBox (FORMS) (003)
6 superordinates
274 methods

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl


Properties of TScrollBox (FORMS) (004)
69 Properties of TScrollBox (FORMS) (004)
6 superordinates
274 methods

Hint  (inherited) : string; (published) read/write
found in TControl

HorzScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)


Properties of TScrollBox (FORMS) (005)
69 Properties of TScrollBox (FORMS) (005)
6 superordinates
274 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

OnResize : TNotifyEvent; (published) read/write


Properties of TScrollBox (FORMS) (006)
69 Properties of TScrollBox (FORMS) (006)
6 superordinates
274 methods

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)


Properties of TScrollBox (FORMS) (007)
69 Properties of TScrollBox (FORMS) (007)
6 superordinates
274 methods

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

VertScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDesigner (FORMS)
2 Properties of TDesigner (FORMS)
1 superordinates
24 methods

Form : TForm; (public) read/write

IsControl : Boolean; (public) read/write


Properties of TWinOleHelper (FORMS)
0 Properties of TWinOleHelper (FORMS)
1 superordinates
25 methods

no properties


Properties of TForm (FORMS)
124 Properties of TForm (FORMS)
6 superordinates
351 methods

Active : Boolean; (public) read

ActiveControl : TWinControl; (published) read/write

ActiveMDIChild : TForm; (public) read

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoScroll  (inherited) : Boolean; (protected) read/write
found in TScrollingWinControl

AutoScroll  (published)

BorderIcons : TBorderIcons; (published) read/write

BorderStyle : TFormBorderStyle; (published) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl


Properties of TForm (FORMS) (002)
124 Properties of TForm (FORMS) (002)
6 superordinates
351 methods

Canvas : TCanvas; (public) read

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

Caption  (published)

ClientHandle : HWND; (public) read

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientHeight  (published) write

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

ClientWidth  (published) write


Properties of TForm (FORMS) (003)
124 Properties of TForm (FORMS) (003)
6 superordinates
351 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl

Color  (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TForm (FORMS) (004)
124 Properties of TForm (FORMS) (004)
6 superordinates
351 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Ctl3D  (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Designer : TDesigner; (public) read/write

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

DropTarget : Boolean; (public) read/write

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)


Properties of TForm (FORMS) (005)
124 Properties of TForm (FORMS) (005)
6 superordinates
351 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

FormStyle : TFormStyle; (published) read/write

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Height  (published)

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Helper : TWinOleHelper; (public) read/write

Hint  (inherited) : string; (published) read/write
found in TControl

HorzScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

HorzScrollBar  (published)


Properties of TForm (FORMS) (006)
124 Properties of TForm (FORMS) (006)
6 superordinates
351 methods

Icon : TIcon; (published) read/write

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

KeyPreview : Boolean; (published) read/write

Left  (inherited) : Integer; (published) read/write
found in TControl

MDIChildCount : Integer; (public) read

MDIChildren [I: Integer]: TForm; (public) read

Menu : TMainMenu; (published) read/write

ModalResult : TModalResult; (public) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TForm (FORMS) (007)
124 Properties of TForm (FORMS) (007)
6 superordinates
351 methods

ObjectMenuItem : TMenuItem; (published) read/write

OnActivate : TNotifyEvent; (published) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnClick  (published)

OnClose : TCloseEvent; (published) read/write

OnCloseQuery : TCloseQueryEvent; (published) read/write

OnCreate : TNotifyEvent; (published) read/write

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (published)

OnDeactivate : TNotifyEvent; (published) read/write


Properties of TForm (FORMS) (008)
124 Properties of TForm (FORMS) (008)
6 superordinates
351 methods

OnDestroy : TNotifyEvent; (published) read/write

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragDrop  (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnDragOver  (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnHide : TNotifyEvent; (published) read/write

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl


Properties of TForm (FORMS) (009)
124 Properties of TForm (FORMS) (009)
6 superordinates
351 methods

OnKeyDown  (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyPress  (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyUp  (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseDown  (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseMove  (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl


Properties of TForm (FORMS) (010)
124 Properties of TForm (FORMS) (010)
6 superordinates
351 methods

OnMouseUp  (published)

OnPaint : TNotifyEvent; (published) read/write

OnResize : TNotifyEvent; (published) read/write

OnShow : TNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TForm (FORMS) (011)
124 Properties of TForm (FORMS) (011)
6 superordinates
351 methods

PixelsPerInch : Integer; (published) read/write

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

PopupMenu  (published)

Position : TPosition; (published) read/write

PrintScale : TPrintScale; (published) read/write

Scaled : Boolean; (published) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl


Properties of TForm (FORMS) (012)
124 Properties of TForm (FORMS) (012)
6 superordinates
351 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TileMode : TTileMode; (public) read/write

Top  (inherited) : Integer; (published) read/write
found in TControl

VertScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

VertScrollBar  (published)

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Visible  (published) write

Width  (inherited) : Integer; (published) read/write
found in TControl

Width  (published)


Properties of TForm (FORMS) (013)
124 Properties of TForm (FORMS) (013)
6 superordinates
351 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowMenu : TMenuItem; (published) read/write

WindowState : TWindowState; (published) read/write

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TScreen (FORMS)
20 Properties of TScreen (FORMS)
3 superordinates
62 methods

ActiveControl : TWinControl; (public) read

ActiveForm : TForm; (public) read

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Cursor : TCursor; (public) read/write

Cursors [Index: Integer]: HCURSOR; (public) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Fonts : TStrings; (public) read


Properties of TScreen (FORMS) (002)
20 Properties of TScreen (FORMS) (002)
3 superordinates
62 methods

FormCount : Integer; (public) read

Forms [Index: Integer]: TForm; (public) read

Height : Integer; (public) read

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnActiveControlChange : TNotifyEvent; (public) read/write

OnActiveFormChange : TNotifyEvent; (public) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

PixelsPerInch : Integer; (public) read

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Width : Integer; (public) read


Properties of TApplication (FORMS)
31 Properties of TApplication (FORMS)
3 superordinates
95 methods

Active : Boolean; (public) read

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DialogHandle : HWnd; (public) read/write

ExeName : string; (public) read

Handle : HWnd; (public) read/write

HelpFile : string; (public) read/write


Properties of TApplication (FORMS) (002)
31 Properties of TApplication (FORMS) (002)
3 superordinates
95 methods

Hint : string; (public) read/write

HintColor : TColor; (public) read/write

HintPause : Integer; (public) read/write

Icon : TIcon; (public) read/write

MainForm : TForm; (public) read

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnActivate : TNotifyEvent; (public) read/write

OnDeactivate : TNotifyEvent; (public) read/write

OnException : TExceptionEvent; (public) read/write

OnHelp : THelpEvent; (public) read/write


Properties of TApplication (FORMS) (003)
31 Properties of TApplication (FORMS) (003)
3 superordinates
95 methods

OnHint : TNotifyEvent; (public) read/write

OnIdle : TIdleEvent; (public) read/write

OnMessage : TMessageEvent; (public) read/write

OnMinimize : TNotifyEvent; (public) read/write

OnRestore : TNotifyEvent; (public) read/write

OnShowHint : TShowHintEvent; (public) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

ShowHint : Boolean; (public) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Terminated : Boolean; (public) read


Properties of TApplication (FORMS) (004)
31 Properties of TApplication (FORMS) (004)
3 superordinates
95 methods

Title : string; (public) read/write


Properties of EMenuError (MENUS)
3 Properties of EMenuError (MENUS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TMenuItem (MENUS)
23 Properties of TMenuItem (MENUS)
3 superordinates
75 methods

Break : TMenuBreak; (published) read/write

Caption : string; (published) read/write

Checked : Boolean; (published) read/write

Command : Word; (public) read

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Count : Integer; (public) read

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent


Properties of TMenuItem (MENUS) (002)
23 Properties of TMenuItem (MENUS) (002)
3 superordinates
75 methods

Enabled : Boolean; (published) read/write

GroupIndex : Byte; (published) read/write

Handle : HMENU; (public) read

HelpContext : THelpContext; (published) read/write

Hint : string; (published) read/write

Items [Index: Integer]: TMenuItem; (public) read

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick : TNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent : TMenuItem; (public) read


Properties of TMenuItem (MENUS) (003)
23 Properties of TMenuItem (MENUS) (003)
3 superordinates
75 methods

ShortCut : TShortCut; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Visible : Boolean; (published) read/write


Properties of TMenu (MENUS)
11 Properties of TMenu (MENUS)
3 superordinates
57 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Handle : HMENU; (public) read

Items : TMenuItem; (published) read

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Owner  (inherited) : TComponent; (public) read
found in TComponent

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TMenu (MENUS) (002)
11 Properties of TMenu (MENUS) (002)
3 superordinates
57 methods

WindowHandle : HWND; (public) read/write


Properties of TMainMenu (MENUS)
12 Properties of TMainMenu (MENUS)
4 superordinates
64 methods

AutoMerge : Boolean; (published) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Handle  (inherited) : HMENU; (public) read
found in TMenu

Items  (inherited) : TMenuItem; (published) read
found in TMenu

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TMainMenu (MENUS) (002)
12 Properties of TMainMenu (MENUS) (002)
4 superordinates
64 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

WindowHandle  (inherited) : HWND; (public) read/write
found in TMenu


Properties of TPopupMenu (MENUS)
16 Properties of TPopupMenu (MENUS)
4 superordinates
59 methods

Alignment : TPopupAlignment; (published) read/write

AutoPopup : Boolean; (published) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Handle  (inherited) : HMENU; (public) read
found in TMenu

HelpContext : THelpContext; (published) read/write

Items  (inherited) : TMenuItem; (published) read
found in TMenu


Properties of TPopupMenu (MENUS) (002)
16 Properties of TPopupMenu (MENUS) (002)
4 superordinates
59 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnPopup : TNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

PopupComponent : TComponent; (public) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

WindowHandle  (inherited) : HWND; (public) read/write
found in TMenu


Properties of EInvalidGraphic (GRAPHICS)
3 Properties of EInvalidGraphic (GRAPHICS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EInvalidGraphicOperation (GRAPHICS)
3 Properties of EInvalidGraphicOperation (GRAPHICS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TGraphicsObject (GRAPHICS)
1 Properties of TGraphicsObject (GRAPHICS)
2 superordinates
22 methods

OnChange : TNotifyEvent; (public) read/write


Properties of TFont (GRAPHICS)
9 Properties of TFont (GRAPHICS)
3 superordinates
37 methods

Color : TColor; (published) read/write

Handle : HFont; (public) read/write

Height : Integer; (published) read/write

Name : TFontName; (published) read/write

OnChange  (inherited) : TNotifyEvent; (public) read/write
found in TGraphicsObject

Pitch : TFontPitch; (published) read/write

PixelsPerInch : Integer; (public) read/write

Size : Integer; (published) read/write

Style : TFontStyles; (published) read/write


Properties of TPen (GRAPHICS)
6 Properties of TPen (GRAPHICS)
3 superordinates
33 methods

Color : TColor; (published) read/write

Handle : HPen; (public) read/write

Mode : TPenMode; (published) read/write

OnChange  (inherited) : TNotifyEvent; (public) read/write
found in TGraphicsObject

Style : TPenStyle; (published) read/write

Width : Integer; (published) read/write


Properties of TBrush (GRAPHICS)
5 Properties of TBrush (GRAPHICS)
3 superordinates
32 methods

Bitmap : TBitmap; (public) read/write

Color : TColor; (published) read/write

Handle : HBrush; (public) read/write

OnChange  (inherited) : TNotifyEvent; (public) read/write
found in TGraphicsObject

Style : TBrushStyle; (published) read/write


Properties of TCanvas (GRAPHICS)
10 Properties of TCanvas (GRAPHICS)
2 superordinates
65 methods

Brush : TBrush; (published) read/write

ClipRect : TRect; (public) read

CopyMode : TCopyMode; (published) read/write

Font : TFont; (published) read/write

Handle : HDC; (public) read/write

OnChange : TNotifyEvent; (public) read/write

OnChanging : TNotifyEvent; (public) read/write

Pen : TPen; (published) read/write

PenPos : TPoint; (public) read/write

Pixels [X, Y: Integer]: TColor; (public) read/write


Properties of TGraphic (GRAPHICS)
5 Properties of TGraphic (GRAPHICS)
2 superordinates
37 methods

Empty : Boolean; (public) read

Height : Integer; (public) read/write

Modified : Boolean; (public) read/write

OnChange : TNotifyEvent; (public) read/write

Width : Integer; (public) read/write


Properties of TPicture (GRAPHICS)
7 Properties of TPicture (GRAPHICS)
2 superordinates
41 methods

Bitmap : TBitmap; (public) read/write

Graphic : TGraphic; (public) read/write

Height : Integer; (public) read

Icon : TIcon; (public) read/write

Metafile : TMetafile; (public) read/write

OnChange : TNotifyEvent; (public) read/write

Width : Integer; (public) read


Properties of TMetafileImage (GRAPHICS)
0 Properties of TMetafileImage (GRAPHICS)
1 superordinates
19 methods

no properties


Properties of TMetafile (GRAPHICS)
7 Properties of TMetafile (GRAPHICS)
3 superordinates
43 methods

Empty  (inherited) : Boolean; (public) read
found in TGraphic

Handle : HMETAFILE; (public) read/write

Height  (inherited) : Integer; (public) read/write
found in TGraphic

Inch : Word; (public) read/write

Modified  (inherited) : Boolean; (public) read/write
found in TGraphic

OnChange  (inherited) : TNotifyEvent; (public) read/write
found in TGraphic

Width  (inherited) : Integer; (public) read/write
found in TGraphic


Properties of TInternalImage (GRAPHICS)
0 Properties of TInternalImage (GRAPHICS)
1 superordinates
20 methods

no properties


Properties of TBitmapImage (GRAPHICS)
0 Properties of TBitmapImage (GRAPHICS)
2 superordinates
20 methods

no properties


Properties of TBitmap (GRAPHICS)
10 Properties of TBitmap (GRAPHICS)
3 superordinates
57 methods

Canvas : TCanvas; (public) read

Empty  (inherited) : Boolean; (public) read
found in TGraphic

Handle : HBITMAP; (public) read/write

Height  (inherited) : Integer; (public) read/write
found in TGraphic

Modified  (inherited) : Boolean; (public) read/write
found in TGraphic

Monochrome : Boolean; (public) read/write

OnChange  (inherited) : TNotifyEvent; (public) read/write
found in TGraphic

Palette : HPALETTE; (public) read/write

TransparentColor : TColor; (public) read

Width  (inherited) : Integer; (public) read/write
found in TGraphic


Properties of TIconImage (GRAPHICS)
0 Properties of TIconImage (GRAPHICS)
2 superordinates
20 methods

no properties


Properties of TIcon (GRAPHICS)
6 Properties of TIcon (GRAPHICS)
3 superordinates
43 methods

Empty  (inherited) : Boolean; (public) read
found in TGraphic

Handle : HICON; (public) read/write

Height  (inherited) : Integer; (public) read/write
found in TGraphic

Modified  (inherited) : Boolean; (public) read/write
found in TGraphic

OnChange  (inherited) : TNotifyEvent; (public) read/write
found in TGraphic

Width  (inherited) : Integer; (public) read/write
found in TGraphic


Properties of TImageList (GRAPHICS)
4 Properties of TImageList (GRAPHICS)
1 superordinates
26 methods

Count : Integer; (public) read

Delta : Integer; (public) read/write

Height : Integer; (public) read

Width : Integer; (public) read


Properties of EOutOfResources (CONTROLS)
3 Properties of EOutOfResources (CONTROLS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EInvalidObject (CONTROLS)
3 Properties of EInvalidObject (CONTROLS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EInvalidOperation (CONTROLS)
3 Properties of EInvalidOperation (CONTROLS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TControlCanvas (CONTROLS)
11 Properties of TControlCanvas (CONTROLS)
3 superordinates
67 methods

Brush  (inherited) : TBrush; (published) read/write
found in TCanvas

ClipRect  (inherited) : TRect; (public) read
found in TCanvas

Control : TControl; (public) read/write

CopyMode  (inherited) : TCopyMode; (published) read/write
found in TCanvas

Font  (inherited) : TFont; (published) read/write
found in TCanvas

Handle  (inherited) : HDC; (public) read/write
found in TCanvas

OnChange  (inherited) : TNotifyEvent; (public) read/write
found in TCanvas

OnChanging  (inherited) : TNotifyEvent; (public) read/write
found in TCanvas

Pen  (inherited) : TPen; (published) read/write
found in TCanvas

PenPos  (inherited) : TPoint; (public) read/write
found in TCanvas


Properties of TControlCanvas (CONTROLS) (002)
11 Properties of TControlCanvas (CONTROLS) (002)
3 superordinates
67 methods

Pixels  (inherited) [X, Y: Integer]: TColor; (public) read/write
found in TCanvas


Properties of TControl (CONTROLS)
47 Properties of TControl (CONTROLS)
3 superordinates
147 methods

Align : TAlign; (public) read/write

BoundsRect : TRect; (public) read/write

Caption : TCaption; (protected) read/write

ClientHeight : Integer; (public) read/write

ClientOrigin : TPoint; (public) read

ClientRect : TRect; (public) read

ClientWidth : Integer; (public) read/write

Color : TColor; (protected) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TControl (CONTROLS) (002)
47 Properties of TControl (CONTROLS) (002)
3 superordinates
147 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState : TControlState; (public) read/write

ControlStyle : TControlStyle; (public) read/write

Cursor : TCursor; (published) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor : TCursor; (protected) read/write

DragMode : TDragMode; (protected) read/write

Enabled : Boolean; (public) read/write

Font : TFont; (protected) read/write


Properties of TControl (CONTROLS) (003)
47 Properties of TControl (CONTROLS) (003)
3 superordinates
147 methods

Height : Integer; (published) read/write

Hint : string; (published) read/write

IsControl : Boolean; (protected) read/write

Left : Integer; (published) read/write

MouseCapture : Boolean; (protected) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick : TNotifyEvent; (protected) read/write

OnDblClick : TNotifyEvent; (protected) read/write

OnDragDrop : TDragDropEvent; (protected) read/write

OnDragOver : TDragOverEvent; (protected) read/write


Properties of TControl (CONTROLS) (004)
47 Properties of TControl (CONTROLS) (004)
3 superordinates
147 methods

OnEndDrag : TEndDragEvent; (protected) read/write

OnMouseDown : TMouseEvent; (protected) read/write

OnMouseMove : TMouseMoveEvent; (protected) read/write

OnMouseUp : TMouseEvent; (protected) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent : TWinControl; (public) read/write

ParentColor : Boolean; (protected) read/write

ParentFont : Boolean; (protected) read/write

ParentShowHint : Boolean; (protected) read/write

PopupMenu : TPopupMenu; (protected) read/write


Properties of TControl (CONTROLS) (005)
47 Properties of TControl (CONTROLS) (005)
3 superordinates
147 methods

ShowHint : Boolean; (public) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text : TCaption; (protected) read/write

Top : Integer; (published) read/write

Visible : Boolean; (public) read/write

Width : Integer; (published) read/write

WindowText : PChar; (protected) read/write


Properties of TWinControl (CONTROLS)
64 Properties of TWinControl (CONTROLS)
4 superordinates
264 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush : TBrush; (public) read

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TWinControl (CONTROLS) (002)
64 Properties of TWinControl (CONTROLS) (002)
4 superordinates
264 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount : Integer; (public) read

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls [Index: Integer]: TControl; (public) read

Ctl3D : Boolean; (protected) read/write

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc : Pointer; (protected) read/write


Properties of TWinControl (CONTROLS) (003)
64 Properties of TWinControl (CONTROLS) (003)
4 superordinates
264 methods

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle : HWnd; (public) read

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext : THelpContext; (published) read/write

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TWinControl (CONTROLS) (004)
64 Properties of TWinControl (CONTROLS) (004)
4 superordinates
264 methods

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter : TNotifyEvent; (protected) read/write

OnExit : TNotifyEvent; (protected) read/write


Properties of TWinControl (CONTROLS) (005)
64 Properties of TWinControl (CONTROLS) (005)
4 superordinates
264 methods

OnKeyDown : TKeyEvent; (protected) read/write

OnKeyPress : TKeyPressEvent; (protected) read/write

OnKeyUp : TKeyEvent; (protected) read/write

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D : Boolean; (protected) read/write


Properties of TWinControl (CONTROLS) (006)
64 Properties of TWinControl (CONTROLS) (006)
4 superordinates
264 methods

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing : Boolean; (public) read

TabOrder : TTabOrder; (public) read/write

TabStop : Boolean; (public) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl


Properties of TWinControl (CONTROLS) (007)
64 Properties of TWinControl (CONTROLS) (007)
4 superordinates
264 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle : HWnd; (protected) read/write

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TGraphicControl (CONTROLS)
48 Properties of TGraphicControl (CONTROLS)
4 superordinates
149 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Canvas : TCanvas; (protected) read

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TGraphicControl (CONTROLS) (002)
48 Properties of TGraphicControl (CONTROLS) (002)
4 superordinates
149 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl


Properties of TGraphicControl (CONTROLS) (003)
48 Properties of TGraphicControl (CONTROLS) (003)
4 superordinates
149 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl


Properties of TGraphicControl (CONTROLS) (004)
48 Properties of TGraphicControl (CONTROLS) (004)
4 superordinates
149 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TGraphicControl (CONTROLS) (005)
48 Properties of TGraphicControl (CONTROLS) (005)
4 superordinates
149 methods

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TCustomControl (CONTROLS)
65 Properties of TCustomControl (CONTROLS)
5 superordinates
265 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas : TCanvas; (protected) read

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TCustomControl (CONTROLS) (002)
65 Properties of TCustomControl (CONTROLS) (002)
5 superordinates
265 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TCustomControl (CONTROLS) (003)
65 Properties of TCustomControl (CONTROLS) (003)
5 superordinates
265 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl


Properties of TCustomControl (CONTROLS) (004)
65 Properties of TCustomControl (CONTROLS) (004)
5 superordinates
265 methods

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl


Properties of TCustomControl (CONTROLS) (005)
65 Properties of TCustomControl (CONTROLS) (005)
5 superordinates
265 methods

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TCustomControl (CONTROLS) (006)
65 Properties of TCustomControl (CONTROLS) (006)
5 superordinates
265 methods

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl


Properties of TCustomControl (CONTROLS) (007)
65 Properties of TCustomControl (CONTROLS) (007)
5 superordinates
265 methods

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of THintWindow (CONTROLS)
65 Properties of THintWindow (CONTROLS)
6 superordinates
269 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl
Canvas ; (public)

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (public)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (public)


Properties of THintWindow (CONTROLS) (002)
65 Properties of THintWindow (CONTROLS) (002)
6 superordinates
269 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of THintWindow (CONTROLS) (003)
65 Properties of THintWindow (CONTROLS) (003)
6 superordinates
269 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl


Properties of THintWindow (CONTROLS) (004)
65 Properties of THintWindow (CONTROLS) (004)
6 superordinates
269 methods

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl


Properties of THintWindow (CONTROLS) (005)
65 Properties of THintWindow (CONTROLS) (005)
6 superordinates
269 methods

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of THintWindow (CONTROLS) (006)
65 Properties of THintWindow (CONTROLS) (006)
6 superordinates
269 methods

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl


Properties of THintWindow (CONTROLS) (007)
65 Properties of THintWindow (CONTROLS) (007)
6 superordinates
269 methods

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TCommonDialog (DIALOGS)
10 Properties of TCommonDialog (DIALOGS)
3 superordinates
49 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Ctl3D : Boolean; (published) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

HelpContext : THelpContext; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Owner  (inherited) : TComponent; (public) read
found in TComponent

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TDlgControl (DIALOGS)
0 Properties of TDlgControl (DIALOGS)
1 superordinates
22 methods

no properties


Properties of TComboButton (DIALOGS)
0 Properties of TComboButton (DIALOGS)
1 superordinates
30 methods

no properties


Properties of TOpenDialog (DIALOGS)
20 Properties of TOpenDialog (DIALOGS)
4 superordinates
59 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Ctl3D  (inherited) : Boolean; (published) read/write
found in TCommonDialog

DefaultExt : TFileExt; (published) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

FileEditStyle : TFileEditStyle; (published) read/write

FileName : TFileName; (published) read/write

Files : TStrings; (public) read


Properties of TOpenDialog (DIALOGS) (002)
20 Properties of TOpenDialog (DIALOGS) (002)
4 superordinates
59 methods

Filter : string; (published) read/write

FilterIndex : Integer; (published) read/write

HelpContext  (inherited) : THelpContext; (published) read/write
found in TCommonDialog

HistoryList : TStrings; (published) read/write

InitialDir : string; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Options : TOpenOptions; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Title : string; (published) read/write


Properties of TSaveDialog (DIALOGS)
20 Properties of TSaveDialog (DIALOGS)
5 superordinates
59 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Ctl3D  (inherited) : Boolean; (published) read/write
found in TCommonDialog

DefaultExt  (inherited) : TFileExt; (published) read/write
found in TOpenDialog

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

FileEditStyle  (inherited) : TFileEditStyle; (published) read/write
found in TOpenDialog

FileName  (inherited) : TFileName; (published) read/write
found in TOpenDialog

Files  (inherited) : TStrings; (public) read
found in TOpenDialog


Properties of TSaveDialog (DIALOGS) (002)
20 Properties of TSaveDialog (DIALOGS) (002)
5 superordinates
59 methods

Filter  (inherited) : string; (published) read/write
found in TOpenDialog

FilterIndex  (inherited) : Integer; (published) read/write
found in TOpenDialog

HelpContext  (inherited) : THelpContext; (published) read/write
found in TCommonDialog

HistoryList  (inherited) : TStrings; (published) read/write
found in TOpenDialog

InitialDir  (inherited) : string; (published) read/write
found in TOpenDialog

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Options  (inherited) : TOpenOptions; (published) read/write
found in TOpenDialog

Owner  (inherited) : TComponent; (public) read
found in TComponent

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Title  (inherited) : string; (published) read/write
found in TOpenDialog


Properties of TColorDialog (DIALOGS)
14 Properties of TColorDialog (DIALOGS)
4 superordinates
51 methods

Color : TColor; (published) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Ctl3D  (inherited) : Boolean; (published) read/write
found in TCommonDialog

Ctl3D  (published)

CustomColors : TStrings; (published) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

HelpContext  (inherited) : THelpContext; (published) read/write
found in TCommonDialog


Properties of TColorDialog (DIALOGS) (002)
14 Properties of TColorDialog (DIALOGS) (002)
4 superordinates
51 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Options : TColorDialogOptions; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TFontDialog (DIALOGS)
16 Properties of TFontDialog (DIALOGS)
4 superordinates
54 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Ctl3D  (inherited) : Boolean; (published) read/write
found in TCommonDialog

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Device : TFontDialogDevice; (published) read/write

Font : TFont; (published) read/write

HelpContext  (inherited) : THelpContext; (published) read/write
found in TCommonDialog

MaxFontSize : Integer; (published) read/write


Properties of TFontDialog (DIALOGS) (002)
16 Properties of TFontDialog (DIALOGS) (002)
4 superordinates
54 methods

MinFontSize : Integer; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnApply : TFDApplyEvent; (published) read/write

Options : TFontDialogOptions; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TPrinterSetupDialog (DIALOGS)
10 Properties of TPrinterSetupDialog (DIALOGS)
4 superordinates
50 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Ctl3D  (inherited) : Boolean; (published) read/write
found in TCommonDialog

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

HelpContext  (inherited) : THelpContext; (published) read/write
found in TCommonDialog

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Owner  (inherited) : TComponent; (public) read
found in TComponent

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TPrintDialog (DIALOGS)
19 Properties of TPrintDialog (DIALOGS)
5 superordinates
50 methods

Collate : Boolean; (published) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Copies : Integer; (published) read/write

Ctl3D  (inherited) : Boolean; (published) read/write
found in TCommonDialog

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

FromPage : Integer; (published) read/write

HelpContext  (inherited) : THelpContext; (published) read/write
found in TCommonDialog


Properties of TPrintDialog (DIALOGS) (002)
19 Properties of TPrintDialog (DIALOGS) (002)
5 superordinates
50 methods

MaxPage : Integer; (published) read/write

MinPage : Integer; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Options : TPrintDialogOptions; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

PrintRange : TPrintRange; (published) read/write

PrintToFile : Boolean; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

ToPage : Integer; (published) read/write


Properties of TFindDialog (DIALOGS)
17 Properties of TFindDialog (DIALOGS)
4 superordinates
61 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Ctl3D  (inherited) : Boolean; (published) read/write
found in TCommonDialog

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

FindText : string; (published) read/write

Handle : HWnd; (public) read

HelpContext  (inherited) : THelpContext; (published) read/write
found in TCommonDialog

Left : Integer; (public) read/write


Properties of TFindDialog (DIALOGS) (002)
17 Properties of TFindDialog (DIALOGS) (002)
4 superordinates
61 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnFind : TNotifyEvent; (published) read/write

Options : TFindOptions; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Position : TPoint; (public) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Top : Integer; (public) read/write


Properties of TReplaceDialog (DIALOGS)
19 Properties of TReplaceDialog (DIALOGS)
5 superordinates
62 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Ctl3D  (inherited) : Boolean; (published) read/write
found in TCommonDialog

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

FindText  (inherited) : string; (published) read/write
found in TFindDialog

Handle  (inherited) : HWnd; (public) read
found in TFindDialog

HelpContext  (inherited) : THelpContext; (published) read/write
found in TCommonDialog

Left  (inherited) : Integer; (public) read/write
found in TFindDialog


Properties of TReplaceDialog (DIALOGS) (002)
19 Properties of TReplaceDialog (DIALOGS) (002)
5 superordinates
62 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnFind  (inherited) : TNotifyEvent; (published) read/write
found in TFindDialog

OnReplace : TNotifyEvent; (published) read/write

Options  (inherited) : TFindOptions; (published) read/write
found in TFindDialog

Owner  (inherited) : TComponent; (public) read
found in TComponent

Position  (inherited) : TPoint; (public) read/write
found in TFindDialog

ReplaceText : string; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Top  (inherited) : Integer; (public) read/write
found in TFindDialog


Properties of TSpeedButton (BUTTONS)
56 Properties of TSpeedButton (BUTTONS)
5 superordinates
165 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AllowAllUp : Boolean; (published) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Canvas  (inherited) : TCanvas; (protected) read
found in TGraphicControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TSpeedButton (BUTTONS) (002)
56 Properties of TSpeedButton (BUTTONS) (002)
5 superordinates
165 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Down : Boolean; (published) read/write

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl


Properties of TSpeedButton (BUTTONS) (003)
56 Properties of TSpeedButton (BUTTONS) (003)
5 superordinates
165 methods

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Glyph : TBitmap; (published) read/write

GroupIndex : Integer; (published) read/write

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Layout : TButtonLayout; (published) read/write

Left  (inherited) : Integer; (published) read/write
found in TControl


Properties of TSpeedButton (BUTTONS) (004)
56 Properties of TSpeedButton (BUTTONS) (004)
5 superordinates
165 methods

Margin : Integer; (published) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

NumGlyphs : TNumGlyphs; (published) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)


Properties of TSpeedButton (BUTTONS) (005)
56 Properties of TSpeedButton (BUTTONS) (005)
5 superordinates
165 methods

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Spacing : Integer; (published) read/write


Properties of TSpeedButton (BUTTONS) (006)
56 Properties of TSpeedButton (BUTTONS) (006)
5 superordinates
165 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TBitBtn (BUTTONS)
79 Properties of TBitBtn (BUTTONS)
7 superordinates
283 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Cancel  (inherited) : Boolean; (published) read/write
found in TButton

Cancel  (published)

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption  (inherited) ; (published)
found in TButton

Caption  (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl


Properties of TBitBtn (BUTTONS) (002)
79 Properties of TBitBtn (BUTTONS) (002)
7 superordinates
283 methods

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TBitBtn (BUTTONS) (003)
79 Properties of TBitBtn (BUTTONS) (003)
7 superordinates
283 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

Default  (inherited) : Boolean; (published) read/write
found in TButton

Default  (published)

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor  (inherited) ; (published)
found in TButton

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode  (inherited) ; (published)
found in TButton

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)
Enabled  (inherited) ; (published)
found in TButton

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font  (inherited) ; (published)
found in TButton


Properties of TBitBtn (BUTTONS) (004)
79 Properties of TBitBtn (BUTTONS) (004)
7 superordinates
283 methods

Glyph : TBitmap; (published) read/write

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Kind : TBitBtnKind; (published) read/write

Layout : TButtonLayout; (published) read/write

Left  (inherited) : Integer; (published) read/write
found in TControl

Margin : Integer; (published) read/write


Properties of TBitBtn (BUTTONS) (005)
79 Properties of TBitBtn (BUTTONS) (005)
7 superordinates
283 methods

ModalResult  (inherited) : TModalResult; (published) read/write
found in TButton

ModalResult  (published)

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

NumGlyphs : TNumGlyphs; (published) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick  (inherited) ; (published)
found in TButton

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop  (inherited) ; (published)
found in TButton

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver  (inherited) ; (published)
found in TButton

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag  (inherited) ; (published)
found in TButton


Properties of TBitBtn (BUTTONS) (006)
79 Properties of TBitBtn (BUTTONS) (006)
7 superordinates
283 methods

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)
OnEnter  (inherited) ; (published)
found in TButton

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)
OnExit  (inherited) ; (published)
found in TButton

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown  (inherited) ; (published)
found in TButton

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress  (inherited) ; (published)
found in TButton

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp  (inherited) ; (published)
found in TButton

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown  (inherited) ; (published)
found in TButton

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove  (inherited) ; (published)
found in TButton

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp  (inherited) ; (published)
found in TButton

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl


Properties of TBitBtn (BUTTONS) (007)
79 Properties of TBitBtn (BUTTONS) (007)
7 superordinates
283 methods

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont  (inherited) ; (published)
found in TButton

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)
ParentShowHint  (inherited) ; (published)
found in TButton

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu  (inherited) ; (published)
found in TButton

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)
ShowHint  (inherited) ; (published)
found in TButton

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Spacing : Integer; (published) read/write

Style : TButtonStyle; (published) read/write

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)
TabOrder  (inherited) ; (published)
found in TButton


Properties of TBitBtn (BUTTONS) (008)
79 Properties of TBitBtn (BUTTONS) (008)
7 superordinates
283 methods

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TButton

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)
Visible  (inherited) ; (published)
found in TButton

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TClipboard (CLIPBRD)
3 Properties of TClipboard (CLIPBRD)
2 superordinates
43 methods

AsText : string; (public) read/write

FormatCount : Integer; (public) read

Formats [Index: Integer]: Word; (public) read


Properties of EDatabaseError (DB)
3 Properties of EDatabaseError (DB)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EDBEngineError (DB)
5 Properties of EDBEngineError (DB)
3 superordinates
28 methods

ErrorCount : Integer; (public) read

Errors [Index: Integer]: TDBError; (public) read

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TDBError (DB)
5 Properties of TDBError (DB)
1 superordinates
19 methods

Category : Byte; (public) read

ErrorCode : DBIResult; (public) read

Message : TMessageStr; (public) read

NativeError : Longint; (public) read

SubCode : Byte; (public) read


Properties of TSession (DB)
16 Properties of TSession (DB)
3 superordinates
71 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DatabaseCount : Integer; (public) read

Databases [Index: Integer]: TDatabase; (public) read

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Handle : HDBISES; (public) read

KeepConnections : Boolean; (public) read/write

Locale : TLocale; (public) read


Properties of TSession (DB) (002)
16 Properties of TSession (DB) (002)
3 superordinates
71 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

NetFileDir : string; (public) read/write

OnPassword : TPasswordEvent; (public) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

PrivateDir : string; (public) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TParamList (DB)
3 Properties of TParamList (DB)
1 superordinates
17 methods

Buffer : PChar; (public) read

FieldCount : Integer; (public) read

FieldDescs : PFieldDescList; (public) read


Properties of TDatabase (DB)
23 Properties of TDatabase (DB)
3 superordinates
73 methods

AliasName : TSymbolStr; (published) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Connected : Boolean; (published) read/write

DatabaseName : TFileName; (published) read/write

DatasetCount : Integer; (public) read

Datasets [Index: Integer]: TDBDataset; (public) read

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent


Properties of TDatabase (DB) (002)
23 Properties of TDatabase (DB) (002)
3 superordinates
73 methods

DriverName : TSymbolStr; (published) read/write

Handle : HDBIDB; (public) read

IsSQLBased : Boolean; (public) read

KeepConnection : Boolean; (published) read/write

Locale : TLocale; (public) read

LoginPrompt : Boolean; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnLogin : TLoginEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Params : TStrings; (published) read/write


Properties of TDatabase (DB) (003)
23 Properties of TDatabase (DB) (003)
3 superordinates
73 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Temporary : Boolean; (public) read/write

TransIsolation : TTransIsolation; (published) read/write


Properties of TDataSetDesigner (DB)
1 Properties of TDataSetDesigner (DB)
1 superordinates
20 methods

DataSet : TDataSet; (public) read


Properties of TFieldDef (DB)
6 Properties of TFieldDef (DB)
1 superordinates
20 methods

DataType : TFieldType; (public) read

FieldClass : TFieldClass; (public) read

FieldNo : Integer; (public) read

Name : string; (public) read

Required : Boolean; (public) read

Size : Word; (public) read


Properties of TFieldDefs (DB)
2 Properties of TFieldDefs (DB)
1 superordinates
26 methods

Count : Integer; (public) read

Items [Index: Integer]: TFieldDef; (public) read


Properties of TDataSet (DB)
42 Properties of TDataSet (DB)
3 superordinates
164 methods

Active : Boolean; (published) read/write

AfterCancel : TDataSetNotifyEvent; (published) read/write

AfterClose : TDataSetNotifyEvent; (published) read/write

AfterDelete : TDataSetNotifyEvent; (published) read/write

AfterEdit : TDataSetNotifyEvent; (published) read/write

AfterInsert : TDataSetNotifyEvent; (published) read/write

AfterOpen : TDataSetNotifyEvent; (published) read/write

AfterPost : TDataSetNotifyEvent; (published) read/write

AutoCalcFields : Boolean; (published) read/write

BOF : Boolean; (public) read


Properties of TDataSet (DB) (002)
42 Properties of TDataSet (DB) (002)
3 superordinates
164 methods

BeforeCancel : TDataSetNotifyEvent; (published) read/write

BeforeClose : TDataSetNotifyEvent; (published) read/write

BeforeDelete : TDataSetNotifyEvent; (published) read/write

BeforeEdit : TDataSetNotifyEvent; (published) read/write

BeforeInsert : TDataSetNotifyEvent; (published) read/write

BeforeOpen : TDataSetNotifyEvent; (published) read/write

BeforePost : TDataSetNotifyEvent; (published) read/write

CanModify : Boolean; (public) read

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TDataSet (DB) (003)
42 Properties of TDataSet (DB) (003)
3 superordinates
164 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSource : TDataSource; (public) read

DefaultFields : Boolean; (public) read

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Designer : TDataSetDesigner; (public) read

EOF : Boolean; (public) read

FieldCount : Integer; (public) read

FieldDefs : TFieldDefs; (public) read/write

Fields [Index: Integer]: TField; (public) read/write


Properties of TDataSet (DB) (004)
42 Properties of TDataSet (DB) (004)
3 superordinates
164 methods

Handle : HDBICur; (public) read

InfoQueryMode : Boolean; (protected) read

Locale : TLocale; (public) read

Modified : Boolean; (public) read

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnCalcFields : TDataSetNotifyEvent; (published) read/write

OnNewRecord : TDataSetNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

RecordCount : Longint; (public) read

RecordSize : Word; (public) read


Properties of TDataSet (DB) (005)
42 Properties of TDataSet (DB) (005)
3 superordinates
164 methods

State : TDataSetState; (public) read

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TDBDataSet (DB)
48 Properties of TDBDataSet (DB)
4 superordinates
170 methods

Active  (inherited) : Boolean; (published) read/write
found in TDataSet

AfterCancel  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterClose  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterDelete  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterEdit  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterInsert  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterOpen  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterPost  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AutoCalcFields  (inherited) : Boolean; (published) read/write
found in TDataSet

BOF  (inherited) : Boolean; (public) read
found in TDataSet


Properties of TDBDataSet (DB) (002)
48 Properties of TDBDataSet (DB) (002)
4 superordinates
170 methods

BeforeCancel  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeClose  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeDelete  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeEdit  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeInsert  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeOpen  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforePost  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

CanModify  (inherited) : Boolean; (public) read
found in TDataSet

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TDBDataSet (DB) (003)
48 Properties of TDBDataSet (DB) (003)
4 superordinates
170 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DBFlags : TDBFlags; (protected) read

DBHandle : HDBIDB; (public) read

DBLocale : TLocale; (public) read

DataSource  (inherited) : TDataSource; (public) read
found in TDataSet

Database : TDatabase; (public) read

DatabaseName : TFileName; (published) read/write

DefaultFields  (inherited) : Boolean; (public) read
found in TDataSet

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent


Properties of TDBDataSet (DB) (004)
48 Properties of TDBDataSet (DB) (004)
4 superordinates
170 methods

Designer  (inherited) : TDataSetDesigner; (public) read
found in TDataSet

EOF  (inherited) : Boolean; (public) read
found in TDataSet

FieldCount  (inherited) : Integer; (public) read
found in TDataSet

FieldDefs  (inherited) : TFieldDefs; (public) read/write
found in TDataSet

Fields  (inherited) [Index: Integer]: TField; (public) read/write
found in TDataSet

Handle  (inherited) : HDBICur; (public) read
found in TDataSet

InfoQueryMode  (inherited) : Boolean; (protected) read
found in TDataSet

Locale  (inherited) : TLocale; (public) read
found in TDataSet

Modified  (inherited) : Boolean; (public) read
found in TDataSet

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TDBDataSet (DB) (005)
48 Properties of TDBDataSet (DB) (005)
4 superordinates
170 methods

OnCalcFields  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

OnNewRecord  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

Owner  (inherited) : TComponent; (public) read
found in TComponent

RecordCount  (inherited) : Longint; (public) read
found in TDataSet

RecordSize  (inherited) : Word; (public) read
found in TDataSet

State  (inherited) : TDataSetState; (public) read
found in TDataSet

Tag  (inherited) : Longint; (published) read/write
found in TComponent

UpdateMode : TUpdateMode; (protected) read/write


Properties of TDataSource (DB)
15 Properties of TDataSource (DB)
3 superordinates
58 methods

AutoEdit : Boolean; (published) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet : TDataSet; (published) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Enabled : Boolean; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnDataChange : TDataChangeEvent; (published) read/write


Properties of TDataSource (DB) (002)
15 Properties of TDataSource (DB) (002)
3 superordinates
58 methods

OnStateChange : TNotifyEvent; (published) read/write

OnUpdateData : TNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

State : TDataSetState; (public) read

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TField (DB)
39 Properties of TField (DB)
3 superordinates
99 methods

Alignment : TAlignment; (published) read/write

AsBoolean : Boolean; (public) read/write

AsDateTime : TDateTime; (public) read/write

AsFloat : Double; (public) read/write

AsInteger : Longint; (public) read/write

AsString : string; (public) read/write

Calculated : Boolean; (published) read/write

CanModify : Boolean; (public) read

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TField (DB) (002)
39 Properties of TField (DB) (002)
3 superordinates
99 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet : TDataSet; (public) read/write

DataSize : Word; (public) read

DataType : TFieldType; (public) read

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayLabel : string; (published) read/write

DisplayName : PString; (public) read

DisplayText : string; (public) read

DisplayWidth : Integer; (published) read/write


Properties of TField (DB) (003)
39 Properties of TField (DB) (003)
3 superordinates
99 methods

EditMask : string; (public) read/write

EditMaskPtr : PString; (public) read

FieldName : string; (published) read/write

FieldNo : Integer; (public) read

Index : Integer; (published) read/write

IsIndexField : Boolean; (public) read

IsNull : Boolean; (public) read

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange : TFieldNotifyEvent; (published) read/write

OnGetText : TFieldGetTextEvent; (published) read/write


Properties of TField (DB) (004)
39 Properties of TField (DB) (004)
3 superordinates
99 methods

OnSetText : TFieldSetTextEvent; (published) read/write

OnValidate : TFieldNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly : Boolean; (published) read/write

Required : Boolean; (published) read/write

Size : Word; (public) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text : string; (public) read/write

Visible : Boolean; (published) read/write


Properties of TDataLink (DB)
8 Properties of TDataLink (DB)
2 superordinates
44 methods

Active : Boolean; (public) read

ActiveRecord : Integer; (public) read/write

BufferCount : Integer; (public) read/write

DataSet : TDataSet; (public) read

DataSource : TDataSource; (public) read/write

Editing : Boolean; (public) read

ReadOnly : Boolean; (public) read/write

RecordCount : Integer; (public) read


Properties of TDBEdit (DBCTRLS)
87 Properties of TDBEdit (DBCTRLS)
7 superordinates
341 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoSelect  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
AutoSelect ; (published)

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
AutoSize ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomEdit
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

CharCase  (inherited) : TEditCharCase; (protected) read/write
found in TCustomEdit
CharCase ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl


Properties of TDBEdit (DBCTRLS) (002)
87 Properties of TDBEdit (DBCTRLS) (002)
7 superordinates
341 methods

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl


Properties of TDBEdit (DBCTRLS) (003)
87 Properties of TDBEdit (DBCTRLS) (003)
7 superordinates
341 methods

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataField : string; (published) read/write

DataSource : TDataSource; (published) read/write

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

EditMask  (inherited) : string; (protected) read/write
found in TCustomMaskEdit


Properties of TDBEdit (DBCTRLS) (004)
87 Properties of TDBEdit (DBCTRLS) (004)
7 superordinates
341 methods

EditText  (inherited) : string; (public) read/write
found in TCustomMaskEdit

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Field : TField; (public) read

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

HideSelection  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TDBEdit (DBCTRLS) (005)
87 Properties of TDBEdit (DBCTRLS) (005)
7 superordinates
341 methods

IsMasked  (inherited) : Boolean; (public) read
found in TCustomMaskEdit

Left  (inherited) : Integer; (published) read/write
found in TControl

MaskState  (inherited) : TMaskedState; (protected) read/write
found in TCustomMaskEdit

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomMaskEdit
MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomEdit
MaxLength ; (published)

Modified  (inherited) : Boolean; (public) read/write
found in TCustomEdit

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OEMConvert  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomEdit
OnChange ; (published)

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)


Properties of TDBEdit (DBCTRLS) (006)
87 Properties of TDBEdit (DBCTRLS) (006)
7 superordinates
341 methods

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)


Properties of TDBEdit (DBCTRLS) (007)
87 Properties of TDBEdit (DBCTRLS) (007)
7 superordinates
341 methods

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomEdit

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PasswordChar  (inherited) : Char; (protected) read/write
found in TCustomEdit
PasswordChar ; (published)


Properties of TDBEdit (DBCTRLS) (008)
87 Properties of TDBEdit (DBCTRLS) (008)
7 superordinates
341 methods

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ReadOnly : Boolean; (published) read/write
ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

SelLength  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelStart  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelText  (inherited) : string; (public) read/write
found in TCustomEdit

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomEdit


Properties of TDBEdit (DBCTRLS) (009)
87 Properties of TDBEdit (DBCTRLS) (009)
7 superordinates
341 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text  (inherited) : string; (public) read/write
found in TCustomMaskEdit
Text  (inherited) ; (public)
found in TCustomEdit

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDBText (DBCTRLS)
58 Properties of TDBText (DBCTRLS)
6 superordinates
165 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

Alignment  (inherited) : TAlignment; (protected) read/write
found in TCustomLabel
Alignment ; (published)

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomLabel

AutoSize  (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Canvas  (inherited) : TCanvas; (protected) read
found in TGraphicControl
Canvas  (inherited) ; (public)
found in TCustomLabel

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl


Properties of TDBText (DBCTRLS) (002)
58 Properties of TDBText (DBCTRLS) (002)
6 superordinates
165 methods

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataField : string; (published) read/write


Properties of TDBText (DBCTRLS) (003)
58 Properties of TDBText (DBCTRLS) (003)
6 superordinates
165 methods

DataSource : TDataSource; (published) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Field : TField; (public) read

FocusControl  (inherited) : TWinControl; (protected) read/write
found in TCustomLabel

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl


Properties of TDBText (DBCTRLS) (004)
58 Properties of TDBText (DBCTRLS) (004)
6 superordinates
165 methods

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)


Properties of TDBText (DBCTRLS) (005)
58 Properties of TDBText (DBCTRLS) (005)
6 superordinates
165 methods

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowAccelChar  (inherited) : Boolean; (protected) read/write
found in TCustomLabel

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)


Properties of TDBText (DBCTRLS) (006)
58 Properties of TDBText (DBCTRLS) (006)
6 superordinates
165 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Transparent  (inherited) : Boolean; (protected) read/write
found in TCustomLabel
Transparent ; (published)

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl

WordWrap  (inherited) : Boolean; (protected) read/write
found in TCustomLabel
WordWrap ; (published)


Properties of TDBCheckBox (DBCTRLS)
75 Properties of TDBCheckBox (DBCTRLS)
7 superordinates
285 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

Alignment  (inherited) : TLeftRight; (protected) read/write
found in TCustomCheckBox
Alignment ; (published)

AllowGrayed  (inherited) : Boolean; (protected) read/write
found in TCustomCheckBox
AllowGrayed ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

Checked  (inherited) : Boolean; (protected) read/write
found in TCustomCheckBox
Checked ; (public)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl


Properties of TDBCheckBox (DBCTRLS) (002)
75 Properties of TDBCheckBox (DBCTRLS) (002)
7 superordinates
285 methods

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TDBCheckBox (DBCTRLS) (003)
75 Properties of TDBCheckBox (DBCTRLS) (003)
7 superordinates
285 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataField : string; (published) read/write

DataSource : TDataSource; (published) read/write

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Field : TField; (public) read


Properties of TDBCheckBox (DBCTRLS) (004)
75 Properties of TDBCheckBox (DBCTRLS) (004)
7 superordinates
285 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)


Properties of TDBCheckBox (DBCTRLS) (005)
75 Properties of TDBCheckBox (DBCTRLS) (005)
7 superordinates
285 methods

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)


Properties of TDBCheckBox (DBCTRLS) (006)
75 Properties of TDBCheckBox (DBCTRLS) (006)
7 superordinates
285 methods

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ReadOnly : Boolean; (published) read/write


Properties of TDBCheckBox (DBCTRLS) (007)
75 Properties of TDBCheckBox (DBCTRLS) (007)
7 superordinates
285 methods

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

State  (inherited) : TCheckBoxState; (protected) read/write
found in TCustomCheckBox
State ; (public)

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomCheckBox

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

ValueChecked : string; (published) read/write


Properties of TDBCheckBox (DBCTRLS) (008)
75 Properties of TDBCheckBox (DBCTRLS) (008)
7 superordinates
285 methods

ValueUnchecked : string; (published) read/write

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDBComboBox (DBCTRLS)
87 Properties of TDBComboBox (DBCTRLS)
6 superordinates
308 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (public) read
found in TCustomComboBox

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)


Properties of TDBComboBox (DBCTRLS) (002)
87 Properties of TDBComboBox (DBCTRLS) (002)
6 superordinates
308 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TDBComboBox (DBCTRLS) (003)
87 Properties of TDBComboBox (DBCTRLS) (003)
6 superordinates
308 methods

DataField : string; (published) read/write

DataSource : TDataSource; (published) read/write

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

DropDownCount  (inherited) : Integer; (protected) read/write
found in TCustomComboBox
DropDownCount ; (published)

DroppedDown  (inherited) : Boolean; (public) read/write
found in TCustomComboBox

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Field : TField; (public) read


Properties of TDBComboBox (DBCTRLS) (004)
87 Properties of TDBComboBox (DBCTRLS) (004)
6 superordinates
308 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemHeight  (inherited) : Integer; (protected) read/write
found in TCustomComboBox
ItemHeight ; (published)

ItemIndex  (inherited) : Integer; (public) read/write
found in TCustomComboBox

Items  (inherited) : TStrings; (public) read/write
found in TCustomComboBox

Items  (published) write


Properties of TDBComboBox (DBCTRLS) (005)
87 Properties of TDBComboBox (DBCTRLS) (005)
6 superordinates
308 methods

Left  (inherited) : Integer; (published) read/write
found in TControl

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomComboBox

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomComboBox
OnChange ; (published)

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawItem  (inherited) : TDrawItemEvent; (protected) read/write
found in TCustomComboBox
OnDrawItem ; (published)


Properties of TDBComboBox (DBCTRLS) (006)
87 Properties of TDBComboBox (DBCTRLS) (006)
6 superordinates
308 methods

OnDropDown  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomComboBox
OnDropDown ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMeasureItem  (inherited) : TMeasureItemEvent; (protected) read/write
found in TCustomComboBox
OnMeasureItem ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl


Properties of TDBComboBox (DBCTRLS) (007)
87 Properties of TDBComboBox (DBCTRLS) (007)
6 superordinates
308 methods

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomComboBox

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ReadOnly : Boolean; (published) read/write


Properties of TDBComboBox (DBCTRLS) (008)
87 Properties of TDBComboBox (DBCTRLS) (008)
6 superordinates
308 methods

SelLength  (inherited) : Integer; (public) read/write
found in TCustomComboBox

SelStart  (inherited) : Integer; (public) read/write
found in TCustomComboBox

SelText  (inherited) : string; (public) read/write
found in TCustomComboBox

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Sorted  (inherited) : Boolean; (protected) read/write
found in TCustomComboBox
Sorted ; (published)

Style  (inherited) : TComboBoxStyle; (protected) read/write
found in TCustomComboBox
Style ; (published)

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomComboBox


Properties of TDBComboBox (DBCTRLS) (009)
87 Properties of TDBComboBox (DBCTRLS) (009)
6 superordinates
308 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text ; (public)

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDBListBox (DBCTRLS)
88 Properties of TDBListBox (DBCTRLS)
6 superordinates
299 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomListBox
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (public) read
found in TCustomListBox

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TDBListBox (DBCTRLS) (002)
88 Properties of TDBListBox (DBCTRLS) (002)
6 superordinates
299 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

Columns  (inherited) : Integer; (protected) read/write
found in TCustomListBox

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TDBListBox (DBCTRLS) (003)
88 Properties of TDBListBox (DBCTRLS) (003)
6 superordinates
299 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Ctl3D  (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataField : string; (published) read/write

DataSource : TDataSource; (published) read/write

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)


Properties of TDBListBox (DBCTRLS) (004)
88 Properties of TDBListBox (DBCTRLS) (004)
6 superordinates
299 methods

ExtendedSelect  (inherited) : Boolean; (protected) read/write
found in TCustomListBox

Field : TField; (public) read

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IntegralHeight  (inherited) : Boolean; (protected) read/write
found in TCustomListBox
IntegralHeight ; (published)

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemHeight  (inherited) : Integer; (protected) read/write
found in TCustomListBox
ItemHeight ; (published)


Properties of TDBListBox (DBCTRLS) (005)
88 Properties of TDBListBox (DBCTRLS) (005)
6 superordinates
299 methods

ItemIndex  (inherited) : Integer; (public) read/write
found in TCustomListBox

Items  (inherited) : TStrings; (public) read/write
found in TCustomListBox

Items  (published) write

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

MultiSelect  (inherited) : Boolean; (protected) read/write
found in TCustomListBox

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)


Properties of TDBListBox (DBCTRLS) (006)
88 Properties of TDBListBox (DBCTRLS) (006)
6 superordinates
299 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawItem  (inherited) : TDrawItemEvent; (protected) read/write
found in TCustomListBox
OnDrawItem ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMeasureItem  (inherited) : TMeasureItemEvent; (protected) read/write
found in TCustomListBox
OnMeasureItem ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)


Properties of TDBListBox (DBCTRLS) (007)
88 Properties of TDBListBox (DBCTRLS) (007)
6 superordinates
299 methods

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomListBox

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)


Properties of TDBListBox (DBCTRLS) (008)
88 Properties of TDBListBox (DBCTRLS) (008)
6 superordinates
299 methods

ReadOnly : Boolean; (published) read/write

SelCount  (inherited) : Integer; (public) read
found in TCustomListBox

Selected  (inherited) [Index: Integer]: Boolean; (public) read/write
found in TCustomListBox

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Sorted  (inherited) : Boolean; (protected) read/write
found in TCustomListBox

Style  (inherited) : TListBoxStyle; (protected) read/write
found in TCustomListBox

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomListBox


Properties of TDBListBox (DBCTRLS) (009)
88 Properties of TDBListBox (DBCTRLS) (009)
6 superordinates
299 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

TopIndex  (inherited) : Integer; (public) read/write
found in TCustomListBox

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDBRadioGroup (DBCTRLS)
77 Properties of TDBRadioGroup (DBCTRLS)
8 superordinates
289 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)


Properties of TDBRadioGroup (DBCTRLS) (002)
77 Properties of TDBRadioGroup (DBCTRLS) (002)
8 superordinates
289 methods

Columns  (inherited) : Integer; (protected) read/write
found in TCustomRadioGroup
Columns ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)


Properties of TDBRadioGroup (DBCTRLS) (003)
77 Properties of TDBRadioGroup (DBCTRLS) (003)
8 superordinates
289 methods

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataField : string; (published) read/write

DataLink : TFieldDataLink; (protected) read

DataSource : TDataSource; (published) read/write

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Field : TField; (public) read


Properties of TDBRadioGroup (DBCTRLS) (004)
77 Properties of TDBRadioGroup (DBCTRLS) (004)
8 superordinates
289 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemIndex  (inherited) : Integer; (protected) read/write
found in TCustomRadioGroup
ItemIndex ; (public)

Items  (inherited) : TStrings; (protected) read/write
found in TCustomRadioGroup

Items  (published) write

Left  (inherited) : Integer; (published) read/write
found in TControl


Properties of TDBRadioGroup (DBCTRLS) (005)
77 Properties of TDBRadioGroup (DBCTRLS) (005)
8 superordinates
289 methods

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange : TNotifyEvent; (published) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)


Properties of TDBRadioGroup (DBCTRLS) (006)
77 Properties of TDBRadioGroup (DBCTRLS) (006)
8 superordinates
289 methods

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)


Properties of TDBRadioGroup (DBCTRLS) (007)
77 Properties of TDBRadioGroup (DBCTRLS) (007)
8 superordinates
289 methods

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ReadOnly : Boolean; (published) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl


Properties of TDBRadioGroup (DBCTRLS) (008)
77 Properties of TDBRadioGroup (DBCTRLS) (008)
8 superordinates
289 methods

Top  (inherited) : Integer; (published) read/write
found in TControl

Value : string; (public) read/write

Values : TStrings; (published) read/write

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDBMemo (DBCTRLS)
90 Properties of TDBMemo (DBCTRLS)
7 superordinates
312 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

Alignment  (inherited) : TAlignment; (protected) read/write
found in TCustomMemo
Alignment ; (published)

AutoDisplay : Boolean; (published) read/write

AutoSelect  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomEdit
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

CharCase  (inherited) : TEditCharCase; (protected) read/write
found in TCustomEdit


Properties of TDBMemo (DBCTRLS) (002)
90 Properties of TDBMemo (DBCTRLS) (002)
7 superordinates
312 methods

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TDBMemo (DBCTRLS) (003)
90 Properties of TDBMemo (DBCTRLS) (003)
7 superordinates
312 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataField : string; (published) read/write

DataSource : TDataSource; (published) read/write

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)


Properties of TDBMemo (DBCTRLS) (004)
90 Properties of TDBMemo (DBCTRLS) (004)
7 superordinates
312 methods

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Field : TField; (public) read

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

HideSelection  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TDBMemo (DBCTRLS) (005)
90 Properties of TDBMemo (DBCTRLS) (005)
7 superordinates
312 methods

Left  (inherited) : Integer; (published) read/write
found in TControl

Lines  (inherited) : TStrings; (public) read/write
found in TCustomMemo

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomEdit
MaxLength ; (published)

Modified  (inherited) : Boolean; (public) read/write
found in TCustomEdit

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OEMConvert  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomEdit
OnChange ; (published)

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)


Properties of TDBMemo (DBCTRLS) (006)
90 Properties of TDBMemo (DBCTRLS) (006)
7 superordinates
312 methods

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)


Properties of TDBMemo (DBCTRLS) (007)
90 Properties of TDBMemo (DBCTRLS) (007)
7 superordinates
312 methods

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomEdit

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PasswordChar  (inherited) : Char; (protected) read/write
found in TCustomEdit

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)


Properties of TDBMemo (DBCTRLS) (008)
90 Properties of TDBMemo (DBCTRLS) (008)
7 superordinates
312 methods

ReadOnly : Boolean; (published) read/write
ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

ScrollBars  (inherited) : TScrollStyle; (protected) read/write
found in TCustomMemo
ScrollBars ; (published)

SelLength  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelStart  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelText  (inherited) : string; (public) read/write
found in TCustomEdit

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomEdit


Properties of TDBMemo (DBCTRLS) (009)
90 Properties of TDBMemo (DBCTRLS) (009)
7 superordinates
312 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text  (inherited) ; (public)
found in TCustomEdit

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

WantReturns  (inherited) : Boolean; (protected) read/write
found in TCustomMemo

WantTabs  (inherited) : Boolean; (protected) read/write
found in TCustomMemo
WantTabs ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl

WordWrap  (inherited) : Boolean; (protected) read/write
found in TCustomMemo
WordWrap ; (published)


Properties of TDBImage (DBCTRLS)
76 Properties of TDBImage (DBCTRLS)
6 superordinates
288 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

AutoDisplay : Boolean; (published) read/write

BorderStyle : TBorderStyle; (published) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

Center : Boolean; (published) read/write

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl


Properties of TDBImage (DBCTRLS) (002)
76 Properties of TDBImage (DBCTRLS) (002)
6 superordinates
288 methods

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl


Properties of TDBImage (DBCTRLS) (003)
76 Properties of TDBImage (DBCTRLS) (003)
6 superordinates
288 methods

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataField : string; (published) read/write

DataSource : TDataSource; (published) read/write

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)


Properties of TDBImage (DBCTRLS) (004)
76 Properties of TDBImage (DBCTRLS) (004)
6 superordinates
288 methods

Field : TField; (public) read

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TDBImage (DBCTRLS) (005)
76 Properties of TDBImage (DBCTRLS) (005)
6 superordinates
288 methods

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)


Properties of TDBImage (DBCTRLS) (006)
76 Properties of TDBImage (DBCTRLS) (006)
6 superordinates
288 methods

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentColor  (published)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)


Properties of TDBImage (DBCTRLS) (007)
76 Properties of TDBImage (DBCTRLS) (007)
6 superordinates
288 methods

Picture : TPicture; (public) read/write

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ReadOnly : Boolean; (published) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Stretch : Boolean; (published) read/write

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TDBImage (DBCTRLS) (008)
76 Properties of TDBImage (DBCTRLS) (008)
6 superordinates
288 methods

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TNavButton (DBCTRLS)
58 Properties of TNavButton (DBCTRLS)
6 superordinates
166 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AllowAllUp  (inherited) : Boolean; (published) read/write
found in TSpeedButton

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Canvas  (inherited) : TCanvas; (protected) read
found in TGraphicControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption  (inherited) ; (published)
found in TSpeedButton

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TNavButton (DBCTRLS) (002)
58 Properties of TNavButton (DBCTRLS) (002)
6 superordinates
166 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Down  (inherited) : Boolean; (published) read/write
found in TSpeedButton

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl


Properties of TNavButton (DBCTRLS) (003)
58 Properties of TNavButton (DBCTRLS) (003)
6 superordinates
166 methods

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled  (inherited) ; (published)
found in TSpeedButton

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font  (inherited) ; (published)
found in TSpeedButton

Glyph  (inherited) : TBitmap; (published) read/write
found in TSpeedButton

GroupIndex  (inherited) : Integer; (published) read/write
found in TSpeedButton

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl

Index : TNavigateBtn; (public) read/write

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Layout  (inherited) : TButtonLayout; (published) read/write
found in TSpeedButton


Properties of TNavButton (DBCTRLS) (004)
58 Properties of TNavButton (DBCTRLS) (004)
6 superordinates
166 methods

Left  (inherited) : Integer; (published) read/write
found in TControl

Margin  (inherited) : Integer; (published) read/write
found in TSpeedButton

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

NavStyle : TNavButtonStyle; (public) read/write

NumGlyphs  (inherited) : TNumGlyphs; (published) read/write
found in TSpeedButton

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick  (inherited) ; (published)
found in TSpeedButton

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick  (inherited) ; (published)
found in TSpeedButton

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl


Properties of TNavButton (DBCTRLS) (005)
58 Properties of TNavButton (DBCTRLS) (005)
6 superordinates
166 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown  (inherited) ; (published)
found in TSpeedButton

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove  (inherited) ; (published)
found in TSpeedButton

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp  (inherited) ; (published)
found in TSpeedButton

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont  (inherited) ; (published)
found in TSpeedButton

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint  (inherited) ; (published)
found in TSpeedButton

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl


Properties of TNavButton (DBCTRLS) (006)
58 Properties of TNavButton (DBCTRLS) (006)
6 superordinates
166 methods

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint  (inherited) ; (published)
found in TSpeedButton

Spacing  (inherited) : Integer; (published) read/write
found in TSpeedButton

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible  (inherited) ; (published)
found in TSpeedButton

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TNavDataLink (DBCTRLS)
8 Properties of TNavDataLink (DBCTRLS)
3 superordinates
44 methods

Active  (inherited) : Boolean; (public) read
found in TDataLink

ActiveRecord  (inherited) : Integer; (public) read/write
found in TDataLink

BufferCount  (inherited) : Integer; (public) read/write
found in TDataLink

DataSet  (inherited) : TDataSet; (public) read
found in TDataLink

DataSource  (inherited) : TDataSource; (public) read/write
found in TDataLink

Editing  (inherited) : Boolean; (public) read
found in TDataLink

ReadOnly  (inherited) : Boolean; (public) read/write
found in TDataLink

RecordCount  (inherited) : Integer; (public) read
found in TDataLink


Properties of TGridDataLink (DBGRIDS)
11 Properties of TGridDataLink (DBGRIDS)
3 superordinates
50 methods

Active  (inherited) : Boolean; (public) read
found in TDataLink

ActiveRecord  (inherited) : Integer; (public) read/write
found in TDataLink

BufferCount  (inherited) : Integer; (public) read/write
found in TDataLink

DataSet  (inherited) : TDataSet; (public) read
found in TDataLink

DataSource  (inherited) : TDataSource; (public) read/write
found in TDataLink

DefaultFields : Boolean; (public) read

Editing  (inherited) : Boolean; (public) read
found in TDataLink

FieldCount : Integer; (public) read

Fields [I: Integer]: TField; (public) read

ReadOnly  (inherited) : Boolean; (public) read/write
found in TDataLink


Properties of TGridDataLink (DBGRIDS) (002)
11 Properties of TGridDataLink (DBGRIDS) (002)
3 superordinates
50 methods

RecordCount  (inherited) : Integer; (public) read
found in TDataLink


Properties of TCustomDBGrid (DBGRIDS)
106 Properties of TCustomDBGrid (DBGRIDS)
7 superordinates
395 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomGrid

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TCustomDBGrid (DBGRIDS) (002)
106 Properties of TCustomDBGrid (DBGRIDS) (002)
7 superordinates
395 methods

Col  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColWidths  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

Color  (inherited) : TColor; (protected) read/write
found in TControl

Color  (inherited)  (protected)
found in TCustomGrid

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TCustomDBGrid (DBGRIDS) (003)
106 Properties of TCustomDBGrid (DBGRIDS) (003)
7 superordinates
395 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataLink : TGridDataLink; (protected) read

DataSource : TDataSource; (protected) read/write

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DefaultColWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid

DefaultDrawing : Boolean; (protected) read/write
DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomGrid


Properties of TCustomDBGrid (DBGRIDS) (004)
106 Properties of TCustomDBGrid (DBGRIDS) (004)
7 superordinates
395 methods

DefaultRowHeight  (inherited) : Integer; (protected) read/write
found in TCustomGrid

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

EditorMode  (inherited) : Boolean; (protected) read/write
found in TCustomGrid
EditorMode ; (public)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

FieldCount : Integer; (public) read

Fields [Index: Integer]: TField; (public) read

FixedColor  (inherited) : TColor; (protected) read/write
found in TCustomGrid

FixedCols  (inherited) : Integer; (protected) read/write
found in TCustomGrid


Properties of TCustomDBGrid (DBGRIDS) (005)
106 Properties of TCustomDBGrid (DBGRIDS) (005)
7 superordinates
395 methods

FixedRows  (inherited) : Integer; (protected) read/write
found in TCustomGrid

Font  (inherited) : TFont; (protected) read/write
found in TControl

GridHeight  (inherited) : Integer; (protected) read
found in TCustomGrid

GridLineWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid

GridWidth  (inherited) : Integer; (protected) read
found in TCustomGrid

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

InplaceEditor  (inherited) : TInplaceEdit; (protected) read
found in TCustomGrid


Properties of TCustomDBGrid (DBGRIDS) (006)
106 Properties of TCustomDBGrid (DBGRIDS) (006)
7 superordinates
395 methods

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

LeftCol  (inherited) : Longint; (protected) read/write
found in TCustomGrid

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnColEnter : TNotifyEvent; (protected) read/write

OnColExit : TNotifyEvent; (protected) read/write

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl


Properties of TCustomDBGrid (DBGRIDS) (007)
106 Properties of TCustomDBGrid (DBGRIDS) (007)
7 superordinates
395 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnDrawDataCell : TDrawDataCellEvent; (protected) read/write

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl


Properties of TCustomDBGrid (DBGRIDS) (008)
106 Properties of TCustomDBGrid (DBGRIDS) (008)
7 superordinates
395 methods

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Options : TDBGridOptions; (protected) read/write
Options  (inherited) : TGridOptions; (protected) read/write
found in TCustomGrid

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentColor  (protected)
ParentColor  (inherited)  (protected)
found in TCustomGrid

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl


Properties of TCustomDBGrid (DBGRIDS) (009)
106 Properties of TCustomDBGrid (DBGRIDS) (009)
7 superordinates
395 methods

ReadOnly : Boolean; (protected) read/write

Row  (inherited) : Longint; (protected) read/write
found in TCustomGrid

RowCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

RowHeights  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

ScrollBars  (inherited) : TScrollStyle; (protected) read/write
found in TCustomGrid

SelectedField : TField; (public) read/write

SelectedIndex : Integer; (public) read/write

Selection  (inherited) : TGridRect; (protected) read/write
found in TCustomGrid

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl


Properties of TCustomDBGrid (DBGRIDS) (010)
106 Properties of TCustomDBGrid (DBGRIDS) (010)
7 superordinates
395 methods

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (inherited)  (published)
found in TCustomGrid

TabStops  (inherited) [Index: Longint]: Boolean; (protected) read/write
found in TCustomGrid

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TitleColor : TColor; (protected) read/write

TitleFont : TFont; (protected) read/write

Top  (inherited) : Integer; (published) read/write
found in TControl

TopRow  (inherited) : Longint; (protected) read/write
found in TCustomGrid


Properties of TCustomDBGrid (DBGRIDS) (011)
106 Properties of TCustomDBGrid (DBGRIDS) (011)
7 superordinates
395 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl

VisibleColCount  (inherited) : Integer; (protected) read
found in TCustomGrid

VisibleRowCount  (inherited) : Integer; (protected) read
found in TCustomGrid

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDBGrid (DBGRIDS)
106 Properties of TDBGrid (DBGRIDS)
8 superordinates
395 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomGrid
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl
Canvas ; (public)

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TDBGrid (DBGRIDS) (002)
106 Properties of TDBGrid (DBGRIDS) (002)
8 superordinates
395 methods

Col  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColWidths  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

Color  (inherited)  (protected)
found in TCustomGrid

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TDBGrid (DBGRIDS) (003)
106 Properties of TDBGrid (DBGRIDS) (003)
8 superordinates
395 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataLink  (inherited) : TGridDataLink; (protected) read
found in TCustomDBGrid

DataSource  (inherited) : TDataSource; (protected) read/write
found in TCustomDBGrid
DataSource ; (published)

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DefaultColWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid

DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomDBGrid
DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomGrid
DefaultDrawing ; (published)


Properties of TDBGrid (DBGRIDS) (004)
106 Properties of TDBGrid (DBGRIDS) (004)
8 superordinates
395 methods

DefaultRowHeight  (inherited) : Integer; (protected) read/write
found in TCustomGrid

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

EditorMode  (inherited) : Boolean; (protected) read/write
found in TCustomGrid
EditorMode  (inherited) ; (public)
found in TCustomDBGrid

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

FieldCount  (inherited) : Integer; (public) read
found in TCustomDBGrid

Fields  (inherited) [Index: Integer]: TField; (public) read
found in TCustomDBGrid

FixedColor  (inherited) : TColor; (protected) read/write
found in TCustomGrid
FixedColor ; (published)

FixedCols  (inherited) : Integer; (protected) read/write
found in TCustomGrid


Properties of TDBGrid (DBGRIDS) (005)
106 Properties of TDBGrid (DBGRIDS) (005)
8 superordinates
395 methods

FixedRows  (inherited) : Integer; (protected) read/write
found in TCustomGrid

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

GridHeight  (inherited) : Integer; (protected) read
found in TCustomGrid

GridLineWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid

GridWidth  (inherited) : Integer; (protected) read
found in TCustomGrid

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

InplaceEditor  (inherited) : TInplaceEdit; (protected) read
found in TCustomGrid


Properties of TDBGrid (DBGRIDS) (006)
106 Properties of TDBGrid (DBGRIDS) (006)
8 superordinates
395 methods

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

LeftCol  (inherited) : Longint; (protected) read/write
found in TCustomGrid

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnColEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomDBGrid
OnColEnter ; (published)

OnColExit  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomDBGrid
OnColExit ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)


Properties of TDBGrid (DBGRIDS) (007)
106 Properties of TDBGrid (DBGRIDS) (007)
8 superordinates
395 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawDataCell  (inherited) : TDrawDataCellEvent; (protected) read/write
found in TCustomDBGrid
OnDrawDataCell ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl


Properties of TDBGrid (DBGRIDS) (008)
106 Properties of TDBGrid (DBGRIDS) (008)
8 superordinates
395 methods

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Options  (inherited) : TDBGridOptions; (protected) read/write
found in TCustomDBGrid
Options  (inherited) : TGridOptions; (protected) read/write
found in TCustomGrid
Options ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomDBGrid
ParentColor  (inherited)  (protected)
found in TCustomGrid

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)


Properties of TDBGrid (DBGRIDS) (009)
106 Properties of TDBGrid (DBGRIDS) (009)
8 superordinates
395 methods

ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomDBGrid
ReadOnly ; (published)

Row  (inherited) : Longint; (protected) read/write
found in TCustomGrid

RowCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

RowHeights  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

ScrollBars  (inherited) : TScrollStyle; (protected) read/write
found in TCustomGrid

SelectedField  (inherited) : TField; (public) read/write
found in TCustomDBGrid

SelectedIndex  (inherited) : Integer; (public) read/write
found in TCustomDBGrid

Selection  (inherited) : TGridRect; (protected) read/write
found in TCustomGrid

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl


Properties of TDBGrid (DBGRIDS) (010)
106 Properties of TDBGrid (DBGRIDS) (010)
8 superordinates
395 methods

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomGrid

TabStops  (inherited) [Index: Longint]: Boolean; (protected) read/write
found in TCustomGrid

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TitleColor  (inherited) : TColor; (protected) read/write
found in TCustomDBGrid

TitleFont  (inherited) : TFont; (protected) read/write
found in TCustomDBGrid
TitleFont ; (published)

Top  (inherited) : Integer; (published) read/write
found in TControl

TopRow  (inherited) : Longint; (protected) read/write
found in TCustomGrid


Properties of TDBGrid (DBGRIDS) (011)
106 Properties of TDBGrid (DBGRIDS) (011)
8 superordinates
395 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

VisibleColCount  (inherited) : Integer; (protected) read
found in TCustomGrid

VisibleRowCount  (inherited) : Integer; (protected) read
found in TCustomGrid

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TLoginDialog (DBLOGDLG)
124 Properties of TLoginDialog (DBLOGDLG)
7 superordinates
351 methods

Active  (inherited) : Boolean; (public) read
found in TForm

ActiveControl  (inherited) : TWinControl; (published) read/write
found in TForm

ActiveMDIChild  (inherited) : TForm; (public) read
found in TForm

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoScroll  (inherited) : Boolean; (protected) read/write
found in TScrollingWinControl

AutoScroll  (inherited)  (published)
found in TForm

BorderIcons  (inherited) : TBorderIcons; (published) read/write
found in TForm

BorderStyle  (inherited) : TFormBorderStyle; (published) read/write
found in TForm

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl


Properties of TLoginDialog (DBLOGDLG) (002)
124 Properties of TLoginDialog (DBLOGDLG) (002)
7 superordinates
351 methods

Canvas  (inherited) : TCanvas; (public) read
found in TForm

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

Caption  (inherited)  (published)
found in TForm

ClientHandle  (inherited) : HWND; (public) read
found in TForm

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientHeight  (inherited)  (published) write
found in TForm

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

ClientWidth  (inherited)  (published) write
found in TForm


Properties of TLoginDialog (DBLOGDLG) (003)
124 Properties of TLoginDialog (DBLOGDLG) (003)
7 superordinates
351 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl

Color  (inherited)  (published)
found in TForm

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TLoginDialog (DBLOGDLG) (004)
124 Properties of TLoginDialog (DBLOGDLG) (004)
7 superordinates
351 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Ctl3D  (inherited)  (published)
found in TForm

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Designer  (inherited) : TDesigner; (public) read/write
found in TForm

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

DropTarget  (inherited) : Boolean; (public) read/write
found in TForm

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled  (inherited) ; (published)
found in TForm


Properties of TLoginDialog (DBLOGDLG) (005)
124 Properties of TLoginDialog (DBLOGDLG) (005)
7 superordinates
351 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font  (inherited) ; (published)
found in TForm

FormStyle  (inherited) : TFormStyle; (published) read/write
found in TForm

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Height  (inherited)  (published)
found in TForm

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Helper  (inherited) : TWinOleHelper; (public) read/write
found in TForm

Hint  (inherited) : string; (published) read/write
found in TControl

HorzScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

HorzScrollBar  (inherited)  (published)
found in TForm


Properties of TLoginDialog (DBLOGDLG) (006)
124 Properties of TLoginDialog (DBLOGDLG) (006)
7 superordinates
351 methods

Icon  (inherited) : TIcon; (published) read/write
found in TForm

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

KeyPreview  (inherited) : Boolean; (published) read/write
found in TForm

Left  (inherited) : Integer; (published) read/write
found in TControl

MDIChildCount  (inherited) : Integer; (public) read
found in TForm

MDIChildren  (inherited) [I: Integer]: TForm; (public) read
found in TForm

Menu  (inherited) : TMainMenu; (published) read/write
found in TForm

ModalResult  (inherited) : TModalResult; (public) read/write
found in TForm

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TLoginDialog (DBLOGDLG) (007)
124 Properties of TLoginDialog (DBLOGDLG) (007)
7 superordinates
351 methods

ObjectMenuItem  (inherited) : TMenuItem; (published) read/write
found in TForm

OnActivate  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnClick  (inherited)  (published)
found in TForm

OnClose  (inherited) : TCloseEvent; (published) read/write
found in TForm

OnCloseQuery  (inherited) : TCloseQueryEvent; (published) read/write
found in TForm

OnCreate  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited)  (published)
found in TForm

OnDeactivate  (inherited) : TNotifyEvent; (published) read/write
found in TForm


Properties of TLoginDialog (DBLOGDLG) (008)
124 Properties of TLoginDialog (DBLOGDLG) (008)
7 superordinates
351 methods

OnDestroy  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited)  (published)
found in TForm

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnDragOver  (inherited)  (published)
found in TForm

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnHide  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl


Properties of TLoginDialog (DBLOGDLG) (009)
124 Properties of TLoginDialog (DBLOGDLG) (009)
7 superordinates
351 methods

OnKeyDown  (inherited)  (published)
found in TForm

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited)  (published)
found in TForm

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited)  (published)
found in TForm

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited)  (published)
found in TForm

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited)  (published)
found in TForm

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl


Properties of TLoginDialog (DBLOGDLG) (010)
124 Properties of TLoginDialog (DBLOGDLG) (010)
7 superordinates
351 methods

OnMouseUp  (inherited)  (published)
found in TForm

OnPaint  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnResize  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnShow  (inherited) : TNotifyEvent; (published) read/write
found in TForm

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TLoginDialog (DBLOGDLG) (011)
124 Properties of TLoginDialog (DBLOGDLG) (011)
7 superordinates
351 methods

PixelsPerInch  (inherited) : Integer; (published) read/write
found in TForm

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

PopupMenu  (inherited)  (published)
found in TForm

Position  (inherited) : TPosition; (published) read/write
found in TForm

PrintScale  (inherited) : TPrintScale; (published) read/write
found in TForm

Scaled  (inherited) : Boolean; (published) read/write
found in TForm

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint  (inherited) ; (published)
found in TForm

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl


Properties of TLoginDialog (DBLOGDLG) (012)
124 Properties of TLoginDialog (DBLOGDLG) (012)
7 superordinates
351 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TileMode  (inherited) : TTileMode; (public) read/write
found in TForm

Top  (inherited) : Integer; (published) read/write
found in TControl

VertScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

VertScrollBar  (inherited)  (published)
found in TForm

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Visible  (inherited)  (published) write
found in TForm

Width  (inherited) : Integer; (published) read/write
found in TControl

Width  (inherited)  (published)
found in TForm


Properties of TLoginDialog (DBLOGDLG) (013)
124 Properties of TLoginDialog (DBLOGDLG) (013)
7 superordinates
351 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowMenu  (inherited) : TMenuItem; (published) read/write
found in TForm

WindowState  (inherited) : TWindowState; (published) read/write
found in TForm

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDBLookupCombo (DBLOOKUP)
92 Properties of TDBLookupCombo (DBLOOKUP)
6 superordinates
329 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoSelect  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
AutoSelect ; (published)

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomEdit

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

CharCase  (inherited) : TEditCharCase; (protected) read/write
found in TCustomEdit

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl


Properties of TDBLookupCombo (DBLOOKUP) (002)
92 Properties of TDBLookupCombo (DBLOOKUP) (002)
6 superordinates
329 methods

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl


Properties of TDBLookupCombo (DBLOOKUP) (003)
92 Properties of TDBLookupCombo (DBLOOKUP) (003)
6 superordinates
329 methods

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataField : string; (published) read/write

DataSource : TDataSource; (published) read/write

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayValue : string; (public) read/write

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)


Properties of TDBLookupCombo (DBLOOKUP) (004)
92 Properties of TDBLookupCombo (DBLOOKUP) (004)
6 superordinates
329 methods

DropDownCount : Integer; (published) read/write

DropDownWidth : Integer; (published) read/write

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

HideSelection  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TDBLookupCombo (DBLOOKUP) (005)
92 Properties of TDBLookupCombo (DBLOOKUP) (005)
6 superordinates
329 methods

Left  (inherited) : Integer; (published) read/write
found in TControl

LookupDisplay : string; (published) read/write

LookupField : string; (published) read/write

LookupSource : TDataSource; (published) read/write

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomEdit
MaxLength ; (published)

Modified  (inherited) : Boolean; (public) read/write
found in TCustomEdit

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OEMConvert  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomEdit
OnChange ; (published)


Properties of TDBLookupCombo (DBLOOKUP) (006)
92 Properties of TDBLookupCombo (DBLOOKUP) (006)
6 superordinates
329 methods

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDropDown : TNotifyEvent; (published) read/write

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)


Properties of TDBLookupCombo (DBLOOKUP) (007)
92 Properties of TDBLookupCombo (DBLOOKUP) (007)
6 superordinates
329 methods

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Options : TDBLookupListOptions; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomEdit

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)


Properties of TDBLookupCombo (DBLOOKUP) (008)
92 Properties of TDBLookupCombo (DBLOOKUP) (008)
6 superordinates
329 methods

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PasswordChar  (inherited) : Char; (protected) read/write
found in TCustomEdit

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ReadOnly : Boolean; (published) read/write
ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

SelLength  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelStart  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelText  (inherited) : string; (public) read/write
found in TCustomEdit

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl


Properties of TDBLookupCombo (DBLOOKUP) (009)
92 Properties of TDBLookupCombo (DBLOOKUP) (009)
6 superordinates
329 methods

Style : TDBLookupComboStyle; (published) read/write

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomEdit

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text  (inherited) ; (public)
found in TCustomEdit

Top  (inherited) : Integer; (published) read/write
found in TControl

Value : string; (public) read/write

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl


Properties of TDBLookupCombo (DBLOOKUP) (010)
92 Properties of TDBLookupCombo (DBLOOKUP) (010)
6 superordinates
329 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDBLookupList (DBLOOKUP)
112 Properties of TDBLookupList (DBLOOKUP)
8 superordinates
417 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomGrid
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TDBLookupList (DBLOOKUP) (002)
112 Properties of TDBLookupList (DBLOOKUP) (002)
8 superordinates
417 methods

Col  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColWidths  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

Color  (inherited)  (protected)
found in TCustomGrid

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TDBLookupList (DBLOOKUP) (003)
112 Properties of TDBLookupList (DBLOOKUP) (003)
8 superordinates
417 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataField : string; (published) read/write

DataLink  (inherited) : TGridDataLink; (protected) read
found in TCustomDBGrid

DataSource : TDataSource; (published) read/write
DataSource  (inherited) : TDataSource; (protected) read/write
found in TCustomDBGrid

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DefaultColWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid


Properties of TDBLookupList (DBLOOKUP) (004)
112 Properties of TDBLookupList (DBLOOKUP) (004)
8 superordinates
417 methods

DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomDBGrid
DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomGrid

DefaultRowHeight  (inherited) : Integer; (protected) read/write
found in TCustomGrid

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayValue : string; (public) read/write

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

EditorMode  (inherited) : Boolean; (protected) read/write
found in TCustomGrid
EditorMode  (inherited) ; (public)
found in TCustomDBGrid

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

FieldCount  (inherited) : Integer; (public) read
found in TCustomDBGrid

Fields  (inherited) [Index: Integer]: TField; (public) read
found in TCustomDBGrid


Properties of TDBLookupList (DBLOOKUP) (005)
112 Properties of TDBLookupList (DBLOOKUP) (005)
8 superordinates
417 methods

FixedColor  (inherited) : TColor; (protected) read/write
found in TCustomGrid

FixedCols  (inherited) : Integer; (protected) read/write
found in TCustomGrid

FixedRows  (inherited) : Integer; (protected) read/write
found in TCustomGrid

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

GridHeight  (inherited) : Integer; (protected) read
found in TCustomGrid

GridLineWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid

GridWidth  (inherited) : Integer; (protected) read
found in TCustomGrid

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl


Properties of TDBLookupList (DBLOOKUP) (006)
112 Properties of TDBLookupList (DBLOOKUP) (006)
8 superordinates
417 methods

Hint  (inherited) : string; (published) read/write
found in TControl

InplaceEditor  (inherited) : TInplaceEdit; (protected) read
found in TCustomGrid

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

LeftCol  (inherited) : Longint; (protected) read/write
found in TCustomGrid

LookupDisplay : string; (published) read/write

LookupField : string; (published) read/write

LookupSource : TDataSource; (published) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TDBLookupList (DBLOOKUP) (007)
112 Properties of TDBLookupList (DBLOOKUP) (007)
8 superordinates
417 methods

OnClick : TNotifyEvent; (published) read/write
OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnColEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomDBGrid

OnColExit  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomDBGrid

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawDataCell  (inherited) : TDrawDataCellEvent; (protected) read/write
found in TCustomDBGrid

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)


Properties of TDBLookupList (DBLOOKUP) (008)
112 Properties of TDBLookupList (DBLOOKUP) (008)
8 superordinates
417 methods

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Options  (inherited) : TDBGridOptions; (protected) read/write
found in TCustomDBGrid
Options : TDBLookupListOptions; (published) read/write
Options  (inherited) : TGridOptions; (protected) read/write
found in TCustomGrid

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)


Properties of TDBLookupList (DBLOOKUP) (009)
112 Properties of TDBLookupList (DBLOOKUP) (009)
8 superordinates
417 methods

ParentColor  (inherited)  (protected)
found in TCustomDBGrid
ParentColor  (inherited)  (protected)
found in TCustomGrid

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ReadOnly : Boolean; (published) read/write
ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomDBGrid

Row  (inherited) : Longint; (protected) read/write
found in TCustomGrid

RowCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

RowHeights  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

ScrollBars  (inherited) : TScrollStyle; (protected) read/write
found in TCustomGrid


Properties of TDBLookupList (DBLOOKUP) (010)
112 Properties of TDBLookupList (DBLOOKUP) (010)
8 superordinates
417 methods

SelectedField  (inherited) : TField; (public) read/write
found in TCustomDBGrid

SelectedIndex  (inherited) : Integer; (public) read/write
found in TCustomDBGrid

Selection  (inherited) : TGridRect; (protected) read/write
found in TCustomGrid

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomGrid

TabStops  (inherited) [Index: Longint]: Boolean; (protected) read/write
found in TCustomGrid

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TDBLookupList (DBLOOKUP) (011)
112 Properties of TDBLookupList (DBLOOKUP) (011)
8 superordinates
417 methods

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TitleColor  (inherited) : TColor; (protected) read/write
found in TCustomDBGrid

TitleFont  (inherited) : TFont; (protected) read/write
found in TCustomDBGrid

Top  (inherited) : Integer; (published) read/write
found in TControl

TopRow  (inherited) : Longint; (protected) read/write
found in TCustomGrid

Value : string; (public) read/write

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

VisibleColCount  (inherited) : Integer; (protected) read
found in TCustomGrid

VisibleRowCount  (inherited) : Integer; (protected) read
found in TCustomGrid

Width  (inherited) : Integer; (published) read/write
found in TControl


Properties of TDBLookupList (DBLOOKUP) (012)
112 Properties of TDBLookupList (DBLOOKUP) (012)
8 superordinates
417 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TPopupGrid (DBLOOKUP)
112 Properties of TPopupGrid (DBLOOKUP)
9 superordinates
417 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align  (inherited) ; (published)
found in TDBLookupList

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomGrid
BorderStyle  (inherited) ; (published)
found in TDBLookupList

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TPopupGrid (DBLOOKUP) (002)
112 Properties of TPopupGrid (DBLOOKUP) (002)
9 superordinates
417 methods

Col  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColWidths  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color  (inherited) ; (published)
found in TDBLookupList

Color  (inherited)  (protected)
found in TCustomGrid

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TPopupGrid (DBLOOKUP) (003)
112 Properties of TPopupGrid (DBLOOKUP) (003)
9 superordinates
417 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D  (inherited) ; (published)
found in TDBLookupList

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DataField  (inherited) : string; (published) read/write
found in TDBLookupList

DataLink  (inherited) : TGridDataLink; (protected) read
found in TCustomDBGrid

DataSource  (inherited) : TDataSource; (published) read/write
found in TDBLookupList
DataSource  (inherited) : TDataSource; (protected) read/write
found in TCustomDBGrid

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DefaultColWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid


Properties of TPopupGrid (DBLOOKUP) (004)
112 Properties of TPopupGrid (DBLOOKUP) (004)
9 superordinates
417 methods

DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomDBGrid
DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomGrid

DefaultRowHeight  (inherited) : Integer; (protected) read/write
found in TCustomGrid

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayValue  (inherited) : string; (public) read/write
found in TDBLookupList

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor  (inherited) ; (published)
found in TDBLookupList

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode  (inherited) ; (published)
found in TDBLookupList

EditorMode  (inherited) : Boolean; (protected) read/write
found in TCustomGrid
EditorMode  (inherited) ; (public)
found in TCustomDBGrid

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled  (inherited) ; (published)
found in TDBLookupList

FieldCount  (inherited) : Integer; (public) read
found in TCustomDBGrid

Fields  (inherited) [Index: Integer]: TField; (public) read
found in TCustomDBGrid


Properties of TPopupGrid (DBLOOKUP) (005)
112 Properties of TPopupGrid (DBLOOKUP) (005)
9 superordinates
417 methods

FixedColor  (inherited) : TColor; (protected) read/write
found in TCustomGrid

FixedCols  (inherited) : Integer; (protected) read/write
found in TCustomGrid

FixedRows  (inherited) : Integer; (protected) read/write
found in TCustomGrid

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font  (inherited) ; (published)
found in TDBLookupList

GridHeight  (inherited) : Integer; (protected) read
found in TCustomGrid

GridLineWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid

GridWidth  (inherited) : Integer; (protected) read
found in TCustomGrid

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl


Properties of TPopupGrid (DBLOOKUP) (006)
112 Properties of TPopupGrid (DBLOOKUP) (006)
9 superordinates
417 methods

Hint  (inherited) : string; (published) read/write
found in TControl

InplaceEditor  (inherited) : TInplaceEdit; (protected) read
found in TCustomGrid

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

LeftCol  (inherited) : Longint; (protected) read/write
found in TCustomGrid

LookupDisplay  (inherited) : string; (published) read/write
found in TDBLookupList

LookupField  (inherited) : string; (published) read/write
found in TDBLookupList

LookupSource  (inherited) : TDataSource; (published) read/write
found in TDBLookupList

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TPopupGrid (DBLOOKUP) (007)
112 Properties of TPopupGrid (DBLOOKUP) (007)
9 superordinates
417 methods

OnClick  (inherited) : TNotifyEvent; (published) read/write
found in TDBLookupList
OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnColEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomDBGrid

OnColExit  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomDBGrid

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick  (inherited) ; (published)
found in TDBLookupList

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop  (inherited) ; (published)
found in TDBLookupList

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver  (inherited) ; (published)
found in TDBLookupList

OnDrawDataCell  (inherited) : TDrawDataCellEvent; (protected) read/write
found in TCustomDBGrid

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag  (inherited) ; (published)
found in TDBLookupList

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter  (inherited) ; (published)
found in TDBLookupList

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit  (inherited) ; (published)
found in TDBLookupList


Properties of TPopupGrid (DBLOOKUP) (008)
112 Properties of TPopupGrid (DBLOOKUP) (008)
9 superordinates
417 methods

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown  (inherited) ; (published)
found in TDBLookupList

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress  (inherited) ; (published)
found in TDBLookupList

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp  (inherited) ; (published)
found in TDBLookupList

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Options  (inherited) : TDBGridOptions; (protected) read/write
found in TCustomDBGrid
Options  (inherited) : TDBLookupListOptions; (published) read/write
found in TDBLookupList
Options  (inherited) : TGridOptions; (protected) read/write
found in TCustomGrid

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor  (inherited) ; (published)
found in TDBLookupList


Properties of TPopupGrid (DBLOOKUP) (009)
112 Properties of TPopupGrid (DBLOOKUP) (009)
9 superordinates
417 methods

ParentColor  (inherited)  (protected)
found in TCustomDBGrid
ParentColor  (inherited)  (protected)
found in TCustomGrid

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D  (inherited) ; (published)
found in TDBLookupList

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont  (inherited) ; (published)
found in TDBLookupList

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint  (inherited) ; (published)
found in TDBLookupList

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu  (inherited) ; (published)
found in TDBLookupList

ReadOnly  (inherited) : Boolean; (published) read/write
found in TDBLookupList
ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomDBGrid

Row  (inherited) : Longint; (protected) read/write
found in TCustomGrid

RowCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid
RowCount ; (public)

RowHeights  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

ScrollBars  (inherited) : TScrollStyle; (protected) read/write
found in TCustomGrid


Properties of TPopupGrid (DBLOOKUP) (010)
112 Properties of TPopupGrid (DBLOOKUP) (010)
9 superordinates
417 methods

SelectedField  (inherited) : TField; (public) read/write
found in TCustomDBGrid

SelectedIndex  (inherited) : Integer; (public) read/write
found in TCustomDBGrid

Selection  (inherited) : TGridRect; (protected) read/write
found in TCustomGrid

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint  (inherited) ; (published)
found in TDBLookupList

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder  (inherited) ; (published)
found in TDBLookupList

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop  (inherited) ; (published)
found in TDBLookupList

TabStop  (inherited)  (published)
found in TCustomGrid

TabStops  (inherited) [Index: Longint]: Boolean; (protected) read/write
found in TCustomGrid

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TPopupGrid (DBLOOKUP) (011)
112 Properties of TPopupGrid (DBLOOKUP) (011)
9 superordinates
417 methods

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TitleColor  (inherited) : TColor; (protected) read/write
found in TCustomDBGrid

TitleFont  (inherited) : TFont; (protected) read/write
found in TCustomDBGrid

Top  (inherited) : Integer; (published) read/write
found in TControl

TopRow  (inherited) : Longint; (protected) read/write
found in TCustomGrid

Value  (inherited) : string; (public) read/write
found in TDBLookupList

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible  (inherited) ; (published)
found in TDBLookupList

VisibleColCount  (inherited) : Integer; (protected) read
found in TCustomGrid

VisibleRowCount  (inherited) : Integer; (protected) read
found in TCustomGrid

Width  (inherited) : Integer; (published) read/write
found in TControl


Properties of TPopupGrid (DBLOOKUP) (012)
112 Properties of TPopupGrid (DBLOOKUP) (012)
9 superordinates
417 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TComboButton (DBLOOKUP)
56 Properties of TComboButton (DBLOOKUP)
6 superordinates
165 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AllowAllUp  (inherited) : Boolean; (published) read/write
found in TSpeedButton

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Canvas  (inherited) : TCanvas; (protected) read
found in TGraphicControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption  (inherited) ; (published)
found in TSpeedButton

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TComboButton (DBLOOKUP) (002)
56 Properties of TComboButton (DBLOOKUP) (002)
6 superordinates
165 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Down  (inherited) : Boolean; (published) read/write
found in TSpeedButton

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl


Properties of TComboButton (DBLOOKUP) (003)
56 Properties of TComboButton (DBLOOKUP) (003)
6 superordinates
165 methods

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled  (inherited) ; (published)
found in TSpeedButton

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font  (inherited) ; (published)
found in TSpeedButton

Glyph  (inherited) : TBitmap; (published) read/write
found in TSpeedButton

GroupIndex  (inherited) : Integer; (published) read/write
found in TSpeedButton

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Layout  (inherited) : TButtonLayout; (published) read/write
found in TSpeedButton

Left  (inherited) : Integer; (published) read/write
found in TControl


Properties of TComboButton (DBLOOKUP) (004)
56 Properties of TComboButton (DBLOOKUP) (004)
6 superordinates
165 methods

Margin  (inherited) : Integer; (published) read/write
found in TSpeedButton

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

NumGlyphs  (inherited) : TNumGlyphs; (published) read/write
found in TSpeedButton

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick  (inherited) ; (published)
found in TSpeedButton

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick  (inherited) ; (published)
found in TSpeedButton

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown  (inherited) ; (published)
found in TSpeedButton


Properties of TComboButton (DBLOOKUP) (005)
56 Properties of TComboButton (DBLOOKUP) (005)
6 superordinates
165 methods

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove  (inherited) ; (published)
found in TSpeedButton

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp  (inherited) ; (published)
found in TSpeedButton

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont  (inherited) ; (published)
found in TSpeedButton

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint  (inherited) ; (published)
found in TSpeedButton

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint  (inherited) ; (published)
found in TSpeedButton

Spacing  (inherited) : Integer; (published) read/write
found in TSpeedButton


Properties of TComboButton (DBLOOKUP) (006)
56 Properties of TComboButton (DBLOOKUP) (006)
6 superordinates
165 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible  (inherited) ; (published)
found in TSpeedButton

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TPasswordDialog (DBPWDLG)
124 Properties of TPasswordDialog (DBPWDLG)
7 superordinates
356 methods

Active  (inherited) : Boolean; (public) read
found in TForm

ActiveControl  (inherited) : TWinControl; (published) read/write
found in TForm

ActiveMDIChild  (inherited) : TForm; (public) read
found in TForm

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoScroll  (inherited) : Boolean; (protected) read/write
found in TScrollingWinControl

AutoScroll  (inherited)  (published)
found in TForm

BorderIcons  (inherited) : TBorderIcons; (published) read/write
found in TForm

BorderStyle  (inherited) : TFormBorderStyle; (published) read/write
found in TForm

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl


Properties of TPasswordDialog (DBPWDLG) (002)
124 Properties of TPasswordDialog (DBPWDLG) (002)
7 superordinates
356 methods

Canvas  (inherited) : TCanvas; (public) read
found in TForm

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

Caption  (inherited)  (published)
found in TForm

ClientHandle  (inherited) : HWND; (public) read
found in TForm

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientHeight  (inherited)  (published) write
found in TForm

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

ClientWidth  (inherited)  (published) write
found in TForm


Properties of TPasswordDialog (DBPWDLG) (003)
124 Properties of TPasswordDialog (DBPWDLG) (003)
7 superordinates
356 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl

Color  (inherited)  (published)
found in TForm

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TPasswordDialog (DBPWDLG) (004)
124 Properties of TPasswordDialog (DBPWDLG) (004)
7 superordinates
356 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Ctl3D  (inherited)  (published)
found in TForm

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Designer  (inherited) : TDesigner; (public) read/write
found in TForm

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

DropTarget  (inherited) : Boolean; (public) read/write
found in TForm

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled  (inherited) ; (published)
found in TForm


Properties of TPasswordDialog (DBPWDLG) (005)
124 Properties of TPasswordDialog (DBPWDLG) (005)
7 superordinates
356 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font  (inherited) ; (published)
found in TForm

FormStyle  (inherited) : TFormStyle; (published) read/write
found in TForm

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Height  (inherited)  (published)
found in TForm

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Helper  (inherited) : TWinOleHelper; (public) read/write
found in TForm

Hint  (inherited) : string; (published) read/write
found in TControl

HorzScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

HorzScrollBar  (inherited)  (published)
found in TForm


Properties of TPasswordDialog (DBPWDLG) (006)
124 Properties of TPasswordDialog (DBPWDLG) (006)
7 superordinates
356 methods

Icon  (inherited) : TIcon; (published) read/write
found in TForm

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

KeyPreview  (inherited) : Boolean; (published) read/write
found in TForm

Left  (inherited) : Integer; (published) read/write
found in TControl

MDIChildCount  (inherited) : Integer; (public) read
found in TForm

MDIChildren  (inherited) [I: Integer]: TForm; (public) read
found in TForm

Menu  (inherited) : TMainMenu; (published) read/write
found in TForm

ModalResult  (inherited) : TModalResult; (public) read/write
found in TForm

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TPasswordDialog (DBPWDLG) (007)
124 Properties of TPasswordDialog (DBPWDLG) (007)
7 superordinates
356 methods

ObjectMenuItem  (inherited) : TMenuItem; (published) read/write
found in TForm

OnActivate  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnClick  (inherited)  (published)
found in TForm

OnClose  (inherited) : TCloseEvent; (published) read/write
found in TForm

OnCloseQuery  (inherited) : TCloseQueryEvent; (published) read/write
found in TForm

OnCreate  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited)  (published)
found in TForm

OnDeactivate  (inherited) : TNotifyEvent; (published) read/write
found in TForm


Properties of TPasswordDialog (DBPWDLG) (008)
124 Properties of TPasswordDialog (DBPWDLG) (008)
7 superordinates
356 methods

OnDestroy  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited)  (published)
found in TForm

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnDragOver  (inherited)  (published)
found in TForm

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnHide  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl


Properties of TPasswordDialog (DBPWDLG) (009)
124 Properties of TPasswordDialog (DBPWDLG) (009)
7 superordinates
356 methods

OnKeyDown  (inherited)  (published)
found in TForm

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited)  (published)
found in TForm

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited)  (published)
found in TForm

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited)  (published)
found in TForm

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited)  (published)
found in TForm

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl


Properties of TPasswordDialog (DBPWDLG) (010)
124 Properties of TPasswordDialog (DBPWDLG) (010)
7 superordinates
356 methods

OnMouseUp  (inherited)  (published)
found in TForm

OnPaint  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnResize  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnShow  (inherited) : TNotifyEvent; (published) read/write
found in TForm

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TPasswordDialog (DBPWDLG) (011)
124 Properties of TPasswordDialog (DBPWDLG) (011)
7 superordinates
356 methods

PixelsPerInch  (inherited) : Integer; (published) read/write
found in TForm

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

PopupMenu  (inherited)  (published)
found in TForm

Position  (inherited) : TPosition; (published) read/write
found in TForm

PrintScale  (inherited) : TPrintScale; (published) read/write
found in TForm

Scaled  (inherited) : Boolean; (published) read/write
found in TForm

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint  (inherited) ; (published)
found in TForm

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl


Properties of TPasswordDialog (DBPWDLG) (012)
124 Properties of TPasswordDialog (DBPWDLG) (012)
7 superordinates
356 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TileMode  (inherited) : TTileMode; (public) read/write
found in TForm

Top  (inherited) : Integer; (published) read/write
found in TControl

VertScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

VertScrollBar  (inherited)  (published)
found in TForm

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Visible  (inherited)  (published) write
found in TForm

Width  (inherited) : Integer; (published) read/write
found in TControl

Width  (inherited)  (published)
found in TForm


Properties of TPasswordDialog (DBPWDLG) (013)
124 Properties of TPasswordDialog (DBPWDLG) (013)
7 superordinates
356 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowMenu  (inherited) : TMenuItem; (published) read/write
found in TForm

WindowState  (inherited) : TWindowState; (published) read/write
found in TForm

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TIndexDef (DBTABLES)
4 Properties of TIndexDef (DBTABLES)
1 superordinates
20 methods

Expression : string; (public) read

Fields : string; (public) read

Name : string; (public) read

Options : TIndexOptions; (public) read


Properties of TIndexDefs (DBTABLES)
2 Properties of TIndexDefs (DBTABLES)
1 superordinates
25 methods

Count : Integer; (public) read

Items [Index: Integer]: TIndexDef; (public) read


Properties of TTableDataLink (DBTABLES)
8 Properties of TTableDataLink (DBTABLES)
3 superordinates
45 methods

Active  (inherited) : Boolean; (public) read
found in TDataLink

ActiveRecord  (inherited) : Integer; (public) read/write
found in TDataLink

BufferCount  (inherited) : Integer; (public) read/write
found in TDataLink

DataSet  (inherited) : TDataSet; (public) read
found in TDataLink

DataSource  (inherited) : TDataSource; (public) read/write
found in TDataLink

Editing  (inherited) : Boolean; (public) read
found in TDataLink

ReadOnly  (inherited) : Boolean; (public) read/write
found in TDataLink

RecordCount  (inherited) : Integer; (public) read
found in TDataLink


Properties of TTable (DBTABLES)
61 Properties of TTable (DBTABLES)
5 superordinates
217 methods

Active  (inherited) : Boolean; (published) read/write
found in TDataSet

AfterCancel  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterClose  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterDelete  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterEdit  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterInsert  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterOpen  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterPost  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AutoCalcFields  (inherited) : Boolean; (published) read/write
found in TDataSet

BOF  (inherited) : Boolean; (public) read
found in TDataSet


Properties of TTable (DBTABLES) (002)
61 Properties of TTable (DBTABLES) (002)
5 superordinates
217 methods

BeforeCancel  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeClose  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeDelete  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeEdit  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeInsert  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeOpen  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforePost  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

CanModify  (inherited) : Boolean; (public) read
found in TDataSet

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TTable (DBTABLES) (003)
61 Properties of TTable (DBTABLES) (003)
5 superordinates
217 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DBFlags  (inherited) : TDBFlags; (protected) read
found in TDBDataSet

DBHandle  (inherited) : HDBIDB; (public) read
found in TDBDataSet

DBLocale  (inherited) : TLocale; (public) read
found in TDBDataSet

DataSource  (inherited) : TDataSource; (public) read
found in TDataSet

Database  (inherited) : TDatabase; (public) read
found in TDBDataSet

DatabaseName  (inherited) : TFileName; (published) read/write
found in TDBDataSet

DefaultFields  (inherited) : Boolean; (public) read
found in TDataSet

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent


Properties of TTable (DBTABLES) (004)
61 Properties of TTable (DBTABLES) (004)
5 superordinates
217 methods

Designer  (inherited) : TDataSetDesigner; (public) read
found in TDataSet

EOF  (inherited) : Boolean; (public) read
found in TDataSet

Exclusive : Boolean; (published) read/write

FieldCount  (inherited) : Integer; (public) read
found in TDataSet

FieldDefs  (inherited) : TFieldDefs; (public) read/write
found in TDataSet

Fields  (inherited) [Index: Integer]: TField; (public) read/write
found in TDataSet

Handle  (inherited) : HDBICur; (public) read
found in TDataSet

IndexDefs : TIndexDefs; (public) read

IndexFieldCount : Integer; (public) read

IndexFieldNames : string; (published) read/write


Properties of TTable (DBTABLES) (005)
61 Properties of TTable (DBTABLES) (005)
5 superordinates
217 methods

IndexFields [Index: Integer]: TField; (public) read/write

IndexName : string; (published) read/write

InfoQueryMode  (inherited) : Boolean; (protected) read
found in TDataSet

KeyExclusive : Boolean; (public) read/write

KeyFieldCount : Integer; (public) read/write

Locale  (inherited) : TLocale; (public) read
found in TDataSet

MasterFields : string; (published) read/write

MasterSource : TDataSource; (published) read/write

Modified  (inherited) : Boolean; (public) read
found in TDataSet

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TTable (DBTABLES) (006)
61 Properties of TTable (DBTABLES) (006)
5 superordinates
217 methods

OnCalcFields  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

OnNewRecord  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly : Boolean; (published) read/write

RecordCount  (inherited) : Longint; (public) read
found in TDataSet

RecordSize  (inherited) : Word; (public) read
found in TDataSet

State  (inherited) : TDataSetState; (public) read
found in TDataSet

TableName : TFileName; (published) read/write

TableType : TTableType; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TTable (DBTABLES) (007)
61 Properties of TTable (DBTABLES) (007)
5 superordinates
217 methods

UpdateMode  (inherited) : TUpdateMode; (protected) read/write
found in TDBDataSet
UpdateMode ; (published)


Properties of TBatchMove (DBTABLES)
23 Properties of TBatchMove (DBTABLES)
3 superordinates
51 methods

AbortOnKeyViol : Boolean; (published) read/write

AbortOnProblem : Boolean; (published) read/write

ChangedCount : Longint; (public) read

ChangedTableName : TFileName; (published) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Destination : TTable; (published) read/write


Properties of TBatchMove (DBTABLES) (002)
23 Properties of TBatchMove (DBTABLES) (002)
3 superordinates
51 methods

KeyViolCount : Longint; (public) read

KeyViolTableName : TFileName; (published) read/write

Mappings : TStrings; (published) read/write

Mode : TBatchMode; (published) read/write

MovedCount : Longint; (public) read

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Owner  (inherited) : TComponent; (public) read
found in TComponent

ProblemCount : Longint; (public) read

ProblemTableName : TFileName; (published) read/write

RecordCount : Longint; (published) read/write


Properties of TBatchMove (DBTABLES) (003)
23 Properties of TBatchMove (DBTABLES) (003)
3 superordinates
51 methods

Source : TDataSet; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Transliterate : Boolean; (published) read/write


Properties of TParam (DBTABLES)
17 Properties of TParam (DBTABLES)
1 superordinates
47 methods

AsBCD : Double; (public) read/write

AsBoolean : Boolean; (public) read/write

AsCurrency : Double; (public) read/write

AsDate : TDateTime; (public) read/write

AsDateTime : TDateTime; (public) read/write

AsFloat : Double; (public) read/write

AsInteger : LongInt; (public) read/write

AsSmallInt : LongInt; (public) read/write

AsString : string; (public) read/write

AsTime : TDateTime; (public) read/write


Properties of TParam (DBTABLES) (002)
17 Properties of TParam (DBTABLES) (002)
1 superordinates
47 methods

AsWord : LongInt; (public) read/write

Bound : Boolean; (public) read/write

DataType : TFieldType; (public) read/write

IsNull : Boolean; (public) read

Name : string; (public) read/write

ParamType : TParamType; (public) read/write

Text : string; (public) read/write


Properties of TParams (DBTABLES)
1 Properties of TParams (DBTABLES)
2 superordinates
32 methods

Items [Index: Word]: TParam; (public) read


Properties of TStoredProc (DBTABLES)
55 Properties of TStoredProc (DBTABLES)
5 superordinates
192 methods

Active  (inherited) : Boolean; (published) read/write
found in TDataSet

AfterCancel  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterClose  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterDelete  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterEdit  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterInsert  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterOpen  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterPost  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AutoCalcFields  (inherited) : Boolean; (published) read/write
found in TDataSet

BOF  (inherited) : Boolean; (public) read
found in TDataSet


Properties of TStoredProc (DBTABLES) (002)
55 Properties of TStoredProc (DBTABLES) (002)
5 superordinates
192 methods

BeforeCancel  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeClose  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeDelete  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeEdit  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeInsert  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeOpen  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforePost  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

CanModify  (inherited) : Boolean; (public) read
found in TDataSet

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TStoredProc (DBTABLES) (003)
55 Properties of TStoredProc (DBTABLES) (003)
5 superordinates
192 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DBFlags  (inherited) : TDBFlags; (protected) read
found in TDBDataSet

DBHandle  (inherited) : HDBIDB; (public) read
found in TDBDataSet

DBLocale  (inherited) : TLocale; (public) read
found in TDBDataSet

DataSource  (inherited) : TDataSource; (public) read
found in TDataSet

Database  (inherited) : TDatabase; (public) read
found in TDBDataSet

DatabaseName  (inherited) : TFileName; (published) read/write
found in TDBDataSet

DefaultFields  (inherited) : Boolean; (public) read
found in TDataSet

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent


Properties of TStoredProc (DBTABLES) (004)
55 Properties of TStoredProc (DBTABLES) (004)
5 superordinates
192 methods

Designer  (inherited) : TDataSetDesigner; (public) read
found in TDataSet

EOF  (inherited) : Boolean; (public) read
found in TDataSet

FieldCount  (inherited) : Integer; (public) read
found in TDataSet

FieldDefs  (inherited) : TFieldDefs; (public) read/write
found in TDataSet

Fields  (inherited) [Index: Integer]: TField; (public) read/write
found in TDataSet

Handle  (inherited) : HDBICur; (public) read
found in TDataSet

InfoQueryMode  (inherited) : Boolean; (protected) read
found in TDataSet

Locale  (inherited) : TLocale; (public) read
found in TDataSet

Modified  (inherited) : Boolean; (public) read
found in TDataSet

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TStoredProc (DBTABLES) (005)
55 Properties of TStoredProc (DBTABLES) (005)
5 superordinates
192 methods

OnCalcFields  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

OnNewRecord  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

Overload : Word; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

ParamBindMode : TParamBindMode; (published) read/write

ParamCount : Word; (public) read

Params : TParams; (published) read/write

Prepared : Boolean; (public) read/write

RecordCount  (inherited) : Longint; (public) read
found in TDataSet

RecordSize  (inherited) : Word; (public) read
found in TDataSet


Properties of TStoredProc (DBTABLES) (006)
55 Properties of TStoredProc (DBTABLES) (006)
5 superordinates
192 methods

State  (inherited) : TDataSetState; (public) read
found in TDataSet

StmtHandle : HDBIStmt; (public) read

StoredProcName : string; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

UpdateMode  (inherited) : TUpdateMode; (protected) read/write
found in TDBDataSet


Properties of TQuery (DBTABLES)
58 Properties of TQuery (DBTABLES)
5 superordinates
193 methods

Active  (inherited) : Boolean; (published) read/write
found in TDataSet

AfterCancel  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterClose  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterDelete  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterEdit  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterInsert  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterOpen  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AfterPost  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

AutoCalcFields  (inherited) : Boolean; (published) read/write
found in TDataSet

BOF  (inherited) : Boolean; (public) read
found in TDataSet


Properties of TQuery (DBTABLES) (002)
58 Properties of TQuery (DBTABLES) (002)
5 superordinates
193 methods

BeforeCancel  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeClose  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeDelete  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeEdit  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeInsert  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforeOpen  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

BeforePost  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

CanModify  (inherited) : Boolean; (public) read
found in TDataSet

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TQuery (DBTABLES) (003)
58 Properties of TQuery (DBTABLES) (003)
5 superordinates
193 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DBFlags  (inherited) : TDBFlags; (protected) read
found in TDBDataSet

DBHandle  (inherited) : HDBIDB; (public) read
found in TDBDataSet

DBLocale  (inherited) : TLocale; (public) read
found in TDBDataSet

DataSource : TDataSource; (published) read/write
DataSource  (inherited) : TDataSource; (public) read
found in TDataSet

Database  (inherited) : TDatabase; (public) read
found in TDBDataSet

DatabaseName  (inherited) : TFileName; (published) read/write
found in TDBDataSet

DefaultFields  (inherited) : Boolean; (public) read
found in TDataSet

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent


Properties of TQuery (DBTABLES) (004)
58 Properties of TQuery (DBTABLES) (004)
5 superordinates
193 methods

Designer  (inherited) : TDataSetDesigner; (public) read
found in TDataSet

EOF  (inherited) : Boolean; (public) read
found in TDataSet

FieldCount  (inherited) : Integer; (public) read
found in TDataSet

FieldDefs  (inherited) : TFieldDefs; (public) read/write
found in TDataSet

Fields  (inherited) [Index: Integer]: TField; (public) read/write
found in TDataSet

Handle  (inherited) : HDBICur; (public) read
found in TDataSet

InfoQueryMode  (inherited) : Boolean; (protected) read
found in TDataSet

Local : Boolean; (public) read

Locale  (inherited) : TLocale; (public) read
found in TDataSet

Modified  (inherited) : Boolean; (public) read
found in TDataSet


Properties of TQuery (DBTABLES) (005)
58 Properties of TQuery (DBTABLES) (005)
5 superordinates
193 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnCalcFields  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

OnNewRecord  (inherited) : TDataSetNotifyEvent; (published) read/write
found in TDataSet

Owner  (inherited) : TComponent; (public) read
found in TComponent

ParamCount : Word; (public) read

Params : TParams; (published) read/write

Prepared : Boolean; (public) read/write

RecordCount  (inherited) : Longint; (public) read
found in TDataSet

RecordSize  (inherited) : Word; (public) read
found in TDataSet

RequestLive : Boolean; (published) read/write


Properties of TQuery (DBTABLES) (006)
58 Properties of TQuery (DBTABLES) (006)
5 superordinates
193 methods

SQL : TStrings; (published) read/write

SQLBinary : PChar; (public) read/write

State  (inherited) : TDataSetState; (public) read
found in TDataSet

StmtHandle : HDBIStmt; (public) read

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text : PChar; (public) read

UniDirectional : Boolean; (published) read/write

UpdateMode  (inherited) : TUpdateMode; (protected) read/write
found in TDBDataSet
UpdateMode ; (published)


Properties of TStringField (DBTABLES)
42 Properties of TStringField (DBTABLES)
4 superordinates
99 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TStringField (DBTABLES) (002)
42 Properties of TStringField (DBTABLES) (002)
4 superordinates
99 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField


Properties of TStringField (DBTABLES) (003)
42 Properties of TStringField (DBTABLES) (003)
4 superordinates
99 methods

EditMask  (inherited) : string; (public) read/write
found in TField
EditMask ; (published)

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField


Properties of TStringField (DBTABLES) (004)
42 Properties of TStringField (DBTABLES) (004)
4 superordinates
99 methods

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Size  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Transliterate : Boolean; (published) read/write


Properties of TStringField (DBTABLES) (005)
42 Properties of TStringField (DBTABLES) (005)
4 superordinates
99 methods

Value : string; (public) read/write

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TNumericField (DBTABLES)
42 Properties of TNumericField (DBTABLES)
4 superordinates
104 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

Alignment  (published)

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TNumericField (DBTABLES) (002)
42 Properties of TNumericField (DBTABLES) (002)
4 superordinates
104 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayFormat : string; (published) read/write

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField


Properties of TNumericField (DBTABLES) (003)
42 Properties of TNumericField (DBTABLES) (003)
4 superordinates
104 methods

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditFormat : string; (published) read/write

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField


Properties of TNumericField (DBTABLES) (004)
42 Properties of TNumericField (DBTABLES) (004)
4 superordinates
104 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TNumericField (DBTABLES) (005)
42 Properties of TNumericField (DBTABLES) (005)
4 superordinates
104 methods

Text  (inherited) : string; (public) read/write
found in TField

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TIntegerField (DBTABLES)
45 Properties of TIntegerField (DBTABLES)
5 superordinates
108 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

Alignment  (inherited)  (published)
found in TNumericField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TIntegerField (DBTABLES) (002)
45 Properties of TIntegerField (DBTABLES) (002)
5 superordinates
108 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayFormat  (inherited) : string; (published) read/write
found in TNumericField

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField


Properties of TIntegerField (DBTABLES) (003)
45 Properties of TIntegerField (DBTABLES) (003)
5 superordinates
108 methods

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditFormat  (inherited) : string; (published) read/write
found in TNumericField

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField


Properties of TIntegerField (DBTABLES) (004)
45 Properties of TIntegerField (DBTABLES) (004)
5 superordinates
108 methods

MaxValue : Longint; (published) read/write

MinValue : Longint; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField


Properties of TIntegerField (DBTABLES) (005)
45 Properties of TIntegerField (DBTABLES) (005)
5 superordinates
108 methods

Size  (inherited) : Word; (public) read/write
found in TField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Value : Longint; (public) read/write

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TSmallintField (DBTABLES)
45 Properties of TSmallintField (DBTABLES)
6 superordinates
108 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

Alignment  (inherited)  (published)
found in TNumericField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TSmallintField (DBTABLES) (002)
45 Properties of TSmallintField (DBTABLES) (002)
6 superordinates
108 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayFormat  (inherited) : string; (published) read/write
found in TNumericField

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField


Properties of TSmallintField (DBTABLES) (003)
45 Properties of TSmallintField (DBTABLES) (003)
6 superordinates
108 methods

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditFormat  (inherited) : string; (published) read/write
found in TNumericField

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField


Properties of TSmallintField (DBTABLES) (004)
45 Properties of TSmallintField (DBTABLES) (004)
6 superordinates
108 methods

MaxValue  (inherited) : Longint; (published) read/write
found in TIntegerField

MinValue  (inherited) : Longint; (published) read/write
found in TIntegerField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField


Properties of TSmallintField (DBTABLES) (005)
45 Properties of TSmallintField (DBTABLES) (005)
6 superordinates
108 methods

Size  (inherited) : Word; (public) read/write
found in TField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Value  (inherited) : Longint; (public) read/write
found in TIntegerField

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TWordField (DBTABLES)
45 Properties of TWordField (DBTABLES)
6 superordinates
108 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

Alignment  (inherited)  (published)
found in TNumericField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TWordField (DBTABLES) (002)
45 Properties of TWordField (DBTABLES) (002)
6 superordinates
108 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayFormat  (inherited) : string; (published) read/write
found in TNumericField

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField


Properties of TWordField (DBTABLES) (003)
45 Properties of TWordField (DBTABLES) (003)
6 superordinates
108 methods

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditFormat  (inherited) : string; (published) read/write
found in TNumericField

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField


Properties of TWordField (DBTABLES) (004)
45 Properties of TWordField (DBTABLES) (004)
6 superordinates
108 methods

MaxValue  (inherited) : Longint; (published) read/write
found in TIntegerField

MinValue  (inherited) : Longint; (published) read/write
found in TIntegerField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField


Properties of TWordField (DBTABLES) (005)
45 Properties of TWordField (DBTABLES) (005)
6 superordinates
108 methods

Size  (inherited) : Word; (public) read/write
found in TField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Value  (inherited) : Longint; (public) read/write
found in TIntegerField

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TFloatField (DBTABLES)
47 Properties of TFloatField (DBTABLES)
5 superordinates
110 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

Alignment  (inherited)  (published)
found in TNumericField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TFloatField (DBTABLES) (002)
47 Properties of TFloatField (DBTABLES) (002)
5 superordinates
110 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Currency : Boolean; (published) read/write

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayFormat  (inherited) : string; (published) read/write
found in TNumericField

DisplayLabel  (inherited) : string; (published) read/write
found in TField


Properties of TFloatField (DBTABLES) (003)
47 Properties of TFloatField (DBTABLES) (003)
5 superordinates
110 methods

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditFormat  (inherited) : string; (published) read/write
found in TNumericField

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField


Properties of TFloatField (DBTABLES) (004)
47 Properties of TFloatField (DBTABLES) (004)
5 superordinates
110 methods

IsNull  (inherited) : Boolean; (public) read
found in TField

MaxValue : Double; (published) read/write

MinValue : Double; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

Precision : Integer; (published) read/write


Properties of TFloatField (DBTABLES) (005)
47 Properties of TFloatField (DBTABLES) (005)
5 superordinates
110 methods

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Value : Double; (public) read/write

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TCurrencyField (DBTABLES)
47 Properties of TCurrencyField (DBTABLES)
6 superordinates
110 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

Alignment  (inherited)  (published)
found in TNumericField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TCurrencyField (DBTABLES) (002)
47 Properties of TCurrencyField (DBTABLES) (002)
6 superordinates
110 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Currency  (inherited) : Boolean; (published) read/write
found in TFloatField

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayFormat  (inherited) : string; (published) read/write
found in TNumericField

DisplayLabel  (inherited) : string; (published) read/write
found in TField


Properties of TCurrencyField (DBTABLES) (003)
47 Properties of TCurrencyField (DBTABLES) (003)
6 superordinates
110 methods

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditFormat  (inherited) : string; (published) read/write
found in TNumericField

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField


Properties of TCurrencyField (DBTABLES) (004)
47 Properties of TCurrencyField (DBTABLES) (004)
6 superordinates
110 methods

IsNull  (inherited) : Boolean; (public) read
found in TField

MaxValue  (inherited) : Double; (published) read/write
found in TFloatField

MinValue  (inherited) : Double; (published) read/write
found in TFloatField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

Precision  (inherited) : Integer; (published) read/write
found in TFloatField


Properties of TCurrencyField (DBTABLES) (005)
47 Properties of TCurrencyField (DBTABLES) (005)
6 superordinates
110 methods

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Value  (inherited) : Double; (public) read/write
found in TFloatField

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TBCDField (DBTABLES)
48 Properties of TBCDField (DBTABLES)
6 superordinates
110 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

Alignment  (inherited)  (published)
found in TNumericField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TBCDField (DBTABLES) (002)
48 Properties of TBCDField (DBTABLES) (002)
6 superordinates
110 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

Currency  (inherited) : Boolean; (published) read/write
found in TFloatField

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayFormat  (inherited) : string; (published) read/write
found in TNumericField

DisplayLabel  (inherited) : string; (published) read/write
found in TField


Properties of TBCDField (DBTABLES) (003)
48 Properties of TBCDField (DBTABLES) (003)
6 superordinates
110 methods

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditFormat  (inherited) : string; (published) read/write
found in TNumericField

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField


Properties of TBCDField (DBTABLES) (004)
48 Properties of TBCDField (DBTABLES) (004)
6 superordinates
110 methods

IsNull  (inherited) : Boolean; (public) read
found in TField

MaxValue  (inherited) : Double; (published) read/write
found in TFloatField

MinValue  (inherited) : Double; (published) read/write
found in TFloatField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

Precision  (inherited) : Integer; (published) read/write
found in TFloatField


Properties of TBCDField (DBTABLES) (005)
48 Properties of TBCDField (DBTABLES) (005)
6 superordinates
110 methods

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Size  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Value  (inherited) : Double; (public) read/write
found in TFloatField

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TBooleanField (DBTABLES)
41 Properties of TBooleanField (DBTABLES)
4 superordinates
102 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TBooleanField (DBTABLES) (002)
41 Properties of TBooleanField (DBTABLES) (002)
4 superordinates
102 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField

DisplayValues : string; (published) read/write


Properties of TBooleanField (DBTABLES) (003)
41 Properties of TBooleanField (DBTABLES) (003)
4 superordinates
102 methods

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField


Properties of TBooleanField (DBTABLES) (004)
41 Properties of TBooleanField (DBTABLES) (004)
4 superordinates
102 methods

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Value : Boolean; (public) read/write


Properties of TBooleanField (DBTABLES) (005)
41 Properties of TBooleanField (DBTABLES) (005)
4 superordinates
102 methods

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TDateTimeField (DBTABLES)
41 Properties of TDateTimeField (DBTABLES)
4 superordinates
102 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TDateTimeField (DBTABLES) (002)
41 Properties of TDateTimeField (DBTABLES) (002)
4 superordinates
102 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayFormat : string; (published) read/write

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField


Properties of TDateTimeField (DBTABLES) (003)
41 Properties of TDateTimeField (DBTABLES) (003)
4 superordinates
102 methods

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditMask  (inherited) : string; (public) read/write
found in TField
EditMask ; (published)

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField


Properties of TDateTimeField (DBTABLES) (004)
41 Properties of TDateTimeField (DBTABLES) (004)
4 superordinates
102 methods

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Value : TDateTime; (public) read/write


Properties of TDateTimeField (DBTABLES) (005)
41 Properties of TDateTimeField (DBTABLES) (005)
4 superordinates
102 methods

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TDateField (DBTABLES)
41 Properties of TDateField (DBTABLES)
5 superordinates
102 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TDateField (DBTABLES) (002)
41 Properties of TDateField (DBTABLES) (002)
5 superordinates
102 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayFormat  (inherited) : string; (published) read/write
found in TDateTimeField

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField


Properties of TDateField (DBTABLES) (003)
41 Properties of TDateField (DBTABLES) (003)
5 superordinates
102 methods

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditMask  (inherited) : string; (public) read/write
found in TField
EditMask  (inherited) ; (published)
found in TDateTimeField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField


Properties of TDateField (DBTABLES) (004)
41 Properties of TDateField (DBTABLES) (004)
5 superordinates
102 methods

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Value  (inherited) : TDateTime; (public) read/write
found in TDateTimeField


Properties of TDateField (DBTABLES) (005)
41 Properties of TDateField (DBTABLES) (005)
5 superordinates
102 methods

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TTimeField (DBTABLES)
41 Properties of TTimeField (DBTABLES)
5 superordinates
102 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TTimeField (DBTABLES) (002)
41 Properties of TTimeField (DBTABLES) (002)
5 superordinates
102 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayFormat  (inherited) : string; (published) read/write
found in TDateTimeField

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField


Properties of TTimeField (DBTABLES) (003)
41 Properties of TTimeField (DBTABLES) (003)
5 superordinates
102 methods

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField

EditMask  (inherited) : string; (public) read/write
found in TField
EditMask  (inherited) ; (published)
found in TDateTimeField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField


Properties of TTimeField (DBTABLES) (004)
41 Properties of TTimeField (DBTABLES) (004)
5 superordinates
102 methods

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Value  (inherited) : TDateTime; (public) read/write
found in TDateTimeField


Properties of TTimeField (DBTABLES) (005)
41 Properties of TTimeField (DBTABLES) (005)
5 superordinates
102 methods

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TBytesField (DBTABLES)
40 Properties of TBytesField (DBTABLES)
4 superordinates
99 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TBytesField (DBTABLES) (002)
40 Properties of TBytesField (DBTABLES) (002)
4 superordinates
99 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField


Properties of TBytesField (DBTABLES) (003)
40 Properties of TBytesField (DBTABLES) (003)
4 superordinates
99 methods

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField


Properties of TBytesField (DBTABLES) (004)
40 Properties of TBytesField (DBTABLES) (004)
4 superordinates
99 methods

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Size  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TVarBytesField (DBTABLES)
40 Properties of TVarBytesField (DBTABLES)
4 superordinates
99 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TVarBytesField (DBTABLES) (002)
40 Properties of TVarBytesField (DBTABLES) (002)
4 superordinates
99 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField


Properties of TVarBytesField (DBTABLES) (003)
40 Properties of TVarBytesField (DBTABLES) (003)
4 superordinates
99 methods

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField


Properties of TVarBytesField (DBTABLES) (004)
40 Properties of TVarBytesField (DBTABLES) (004)
4 superordinates
99 methods

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Size  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TBlobField (DBTABLES)
40 Properties of TBlobField (DBTABLES)
4 superordinates
108 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TBlobField (DBTABLES) (002)
40 Properties of TBlobField (DBTABLES) (002)
4 superordinates
108 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField


Properties of TBlobField (DBTABLES) (003)
40 Properties of TBlobField (DBTABLES) (003)
4 superordinates
108 methods

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField


Properties of TBlobField (DBTABLES) (004)
40 Properties of TBlobField (DBTABLES) (004)
4 superordinates
108 methods

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Size  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TMemoField (DBTABLES)
41 Properties of TMemoField (DBTABLES)
5 superordinates
108 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TMemoField (DBTABLES) (002)
41 Properties of TMemoField (DBTABLES) (002)
5 superordinates
108 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField


Properties of TMemoField (DBTABLES) (003)
41 Properties of TMemoField (DBTABLES) (003)
5 superordinates
108 methods

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField


Properties of TMemoField (DBTABLES) (004)
41 Properties of TMemoField (DBTABLES) (004)
5 superordinates
108 methods

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Size  (inherited)  (published)
found in TBlobField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Transliterate : Boolean; (public) read/write


Properties of TMemoField (DBTABLES) (005)
41 Properties of TMemoField (DBTABLES) (005)
5 superordinates
108 methods

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TGraphicField (DBTABLES)
40 Properties of TGraphicField (DBTABLES)
5 superordinates
108 methods

Alignment  (inherited) : TAlignment; (published) read/write
found in TField

AsBoolean  (inherited) : Boolean; (public) read/write
found in TField

AsDateTime  (inherited) : TDateTime; (public) read/write
found in TField

AsFloat  (inherited) : Double; (public) read/write
found in TField

AsInteger  (inherited) : Longint; (public) read/write
found in TField

AsString  (inherited) : string; (public) read/write
found in TField

Calculated  (inherited) : Boolean; (published) read/write
found in TField

CanModify  (inherited) : Boolean; (public) read
found in TField

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent


Properties of TGraphicField (DBTABLES) (002)
40 Properties of TGraphicField (DBTABLES) (002)
5 superordinates
108 methods

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DataSet  (inherited) : TDataSet; (public) read/write
found in TField

DataSize  (inherited) : Word; (public) read
found in TField

DataType  (inherited) : TFieldType; (public) read
found in TField

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DisplayLabel  (inherited) : string; (published) read/write
found in TField

DisplayName  (inherited) : PString; (public) read
found in TField

DisplayText  (inherited) : string; (public) read
found in TField

DisplayWidth  (inherited) : Integer; (published) read/write
found in TField


Properties of TGraphicField (DBTABLES) (003)
40 Properties of TGraphicField (DBTABLES) (003)
5 superordinates
108 methods

EditMask  (inherited) : string; (public) read/write
found in TField

EditMaskPtr  (inherited) : PString; (public) read
found in TField

FieldName  (inherited) : string; (published) read/write
found in TField

FieldNo  (inherited) : Integer; (public) read
found in TField

Index  (inherited) : Integer; (published) read/write
found in TField

IsIndexField  (inherited) : Boolean; (public) read
found in TField

IsNull  (inherited) : Boolean; (public) read
found in TField

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

OnGetText  (inherited) : TFieldGetTextEvent; (published) read/write
found in TField


Properties of TGraphicField (DBTABLES) (004)
40 Properties of TGraphicField (DBTABLES) (004)
5 superordinates
108 methods

OnSetText  (inherited) : TFieldSetTextEvent; (published) read/write
found in TField

OnValidate  (inherited) : TFieldNotifyEvent; (published) read/write
found in TField

Owner  (inherited) : TComponent; (public) read
found in TComponent

ReadOnly  (inherited) : Boolean; (published) read/write
found in TField

Required  (inherited) : Boolean; (published) read/write
found in TField

Size  (inherited) : Word; (public) read/write
found in TField

Size  (inherited)  (published)
found in TBlobField

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : string; (public) read/write
found in TField

Visible  (inherited) : Boolean; (published) read/write
found in TField


Properties of TBlobStream (DBTABLES)
2 Properties of TBlobStream (DBTABLES)
2 superordinates
33 methods

Position  (inherited) : Longint; (public) read/write
found in TStream

Size  (inherited) : Longint; (public) read
found in TStream


Properties of TFieldDataLink (DBTABLES)
16 Properties of TFieldDataLink (DBTABLES)
3 superordinates
51 methods

Active  (inherited) : Boolean; (public) read
found in TDataLink

ActiveRecord  (inherited) : Integer; (public) read/write
found in TDataLink

BufferCount  (inherited) : Integer; (public) read/write
found in TDataLink

CanModify : Boolean; (public) read

Control : TWinControl; (public) read/write

DataSet  (inherited) : TDataSet; (public) read
found in TDataLink

DataSource  (inherited) : TDataSource; (public) read/write
found in TDataLink

Editing : Boolean; (public) read
Editing  (inherited) : Boolean; (public) read
found in TDataLink

Field : TField; (public) read

FieldName : string; (public) read/write


Properties of TFieldDataLink (DBTABLES) (002)
16 Properties of TFieldDataLink (DBTABLES) (002)
3 superordinates
51 methods

OnActiveChange : TNotifyEvent; (public) read/write

OnDataChange : TNotifyEvent; (public) read/write

OnEditingChange : TNotifyEvent; (public) read/write

OnUpdateData : TNotifyEvent; (public) read/write

ReadOnly  (inherited) : Boolean; (public) read/write
found in TDataLink

RecordCount  (inherited) : Integer; (public) read
found in TDataLink


Properties of TDdeClientConv (DDEMAN)
19 Properties of TDdeClientConv (DDEMAN)
3 superordinates
83 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ConnectMode : TDataMode; (published) read/write

Conv : HConv; (public) read

DataMode : TDataMode; (public) read/write

DdeFmt : Integer; (public) read

DdeService : String; (published) read/write

DdeTopic : String; (published) read/write


Properties of TDdeClientConv (DDEMAN) (002)
19 Properties of TDdeClientConv (DDEMAN) (002)
3 superordinates
83 methods

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

FormatChars : Boolean; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClose : TNotifyEvent; (published) read/write

OnOpen : TNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

ServiceApplication : String; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

WaitStat : Boolean; (public) read


Properties of TDdeClientItem (DDEMAN)
13 Properties of TDdeClientItem (DDEMAN)
3 superordinates
55 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DdeConv : TDdeClientConv; (published) read/write

DdeItem : String; (published) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Lines : TStrings; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange : TNotifyEvent; (published) read/write


Properties of TDdeClientItem (DDEMAN) (002)
13 Properties of TDdeClientItem (DDEMAN) (002)
3 superordinates
55 methods

Owner  (inherited) : TComponent; (public) read
found in TComponent

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text : String; (published) read/write


Properties of TDdeServerConv (DDEMAN)
11 Properties of TDdeServerConv (DDEMAN)
3 superordinates
51 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClose : TNotifyEvent; (published) read/write

OnExecuteMacro : TMacroEvent; (published) read/write

OnOpen : TNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TDdeServerConv (DDEMAN) (002)
11 Properties of TDdeServerConv (DDEMAN) (002)
3 superordinates
51 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TDdeServerItem (DDEMAN)
14 Properties of TDdeServerItem (DDEMAN)
3 superordinates
56 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Fmt : Integer; (public) read

Lines : TStrings; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange : TNotifyEvent; (published) read/write

OnPokeData : TNotifyEvent; (published) read/write


Properties of TDdeServerItem (DDEMAN) (002)
14 Properties of TDdeServerItem (DDEMAN) (002)
3 superordinates
56 methods

Owner  (inherited) : TComponent; (public) read
found in TComponent

ServerConv : TDdeServerConv; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text : string; (published) read/write


Properties of TDdeMgr (DDEMAN)
11 Properties of TDdeMgr (DDEMAN)
3 superordinates
63 methods

AppName : string; (public) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DdeInstId : LongInt; (public) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

LinkClipFmt : Word; (public) read

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TDdeMgr (DDEMAN) (002)
11 Properties of TDdeMgr (DDEMAN) (002)
3 superordinates
63 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TComponentList (DSGNINTF)
2 Properties of TComponentList (DSGNINTF)
1 superordinates
21 methods

Count : Integer; (public) read

Items [Index: Integer]: TComponent; (public) read


Properties of TFormDesigner (DSGNINTF)
2 Properties of TFormDesigner (DSGNINTF)
2 superordinates
31 methods

Form  (inherited) : TForm; (public) read/write
found in TDesigner

IsControl  (inherited) : Boolean; (public) read/write
found in TDesigner


Properties of TPropertyEditor (DSGNINTF)
4 Properties of TPropertyEditor (DSGNINTF)
1 superordinates
46 methods

Designer : TFormDesigner; (public) read

PrivateDirectory : string; (public) read

PropCount : Integer; (public) read

Value : string; (public) read/write


Properties of TOrdinalProperty (DSGNINTF)
4 Properties of TOrdinalProperty (DSGNINTF)
2 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TIntegerProperty (DSGNINTF)
4 Properties of TIntegerProperty (DSGNINTF)
3 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TCharProperty (DSGNINTF)
4 Properties of TCharProperty (DSGNINTF)
3 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TEnumProperty (DSGNINTF)
4 Properties of TEnumProperty (DSGNINTF)
3 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TFloatProperty (DSGNINTF)
4 Properties of TFloatProperty (DSGNINTF)
2 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TStringProperty (DSGNINTF)
4 Properties of TStringProperty (DSGNINTF)
2 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TSetElementProperty (DSGNINTF)
4 Properties of TSetElementProperty (DSGNINTF)
2 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TSetProperty (DSGNINTF)
4 Properties of TSetProperty (DSGNINTF)
3 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TClassProperty (DSGNINTF)
4 Properties of TClassProperty (DSGNINTF)
2 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TMethodProperty (DSGNINTF)
4 Properties of TMethodProperty (DSGNINTF)
2 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TComponentProperty (DSGNINTF)
4 Properties of TComponentProperty (DSGNINTF)
2 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TComponentNameProperty (DSGNINTF)
4 Properties of TComponentNameProperty (DSGNINTF)
3 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TFontNameProperty (DSGNINTF)
4 Properties of TFontNameProperty (DSGNINTF)
3 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TColorProperty (DSGNINTF)
4 Properties of TColorProperty (DSGNINTF)
4 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TCursorProperty (DSGNINTF)
4 Properties of TCursorProperty (DSGNINTF)
4 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TFontProperty (DSGNINTF)
4 Properties of TFontProperty (DSGNINTF)
3 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TModalResultProperty (DSGNINTF)
4 Properties of TModalResultProperty (DSGNINTF)
4 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TShortCutProperty (DSGNINTF)
4 Properties of TShortCutProperty (DSGNINTF)
3 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TMPFilenameProperty (DSGNINTF)
4 Properties of TMPFilenameProperty (DSGNINTF)
3 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TTabOrderProperty (DSGNINTF)
4 Properties of TTabOrderProperty (DSGNINTF)
4 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TCaptionProperty (DSGNINTF)
4 Properties of TCaptionProperty (DSGNINTF)
3 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of EPropertyError (DSGNINTF)
3 Properties of EPropertyError (DSGNINTF)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TComponentEditor (DSGNINTF)
2 Properties of TComponentEditor (DSGNINTF)
1 superordinates
22 methods

Component : TComponent; (public) read

Designer : TFormDesigner; (public) read


Properties of TDefaultEditor (DSGNINTF)
2 Properties of TDefaultEditor (DSGNINTF)
2 superordinates
24 methods

Component  (inherited) : TComponent; (public) read
found in TComponentEditor

Designer  (inherited) : TFormDesigner; (public) read
found in TComponentEditor


Properties of TIExpert (EXPTINTF)
0 Properties of TIExpert (EXPTINTF)
2 superordinates
27 methods

no properties


Properties of TShape (EXTCTRLS)
51 Properties of TShape (EXTCTRLS)
5 superordinates
153 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush : TBrush; (published) read/write

Canvas  (inherited) : TCanvas; (protected) read
found in TGraphicControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TShape (EXTCTRLS) (002)
51 Properties of TShape (EXTCTRLS) (002)
5 superordinates
153 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)


Properties of TShape (EXTCTRLS) (003)
51 Properties of TShape (EXTCTRLS) (003)
5 superordinates
153 methods

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl


Properties of TShape (EXTCTRLS) (004)
51 Properties of TShape (EXTCTRLS) (004)
5 superordinates
153 methods

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TShape (EXTCTRLS) (005)
51 Properties of TShape (EXTCTRLS) (005)
5 superordinates
153 methods

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

Pen : TPen; (published) read/write

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

Shape : TShapeType; (published) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl


Properties of TShape (EXTCTRLS) (006)
51 Properties of TShape (EXTCTRLS) (006)
5 superordinates
153 methods

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TPaintBox (EXTCTRLS)
49 Properties of TPaintBox (EXTCTRLS)
5 superordinates
149 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Canvas  (inherited) : TCanvas; (protected) read
found in TGraphicControl
Canvas ; (public)

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TPaintBox (EXTCTRLS) (002)
49 Properties of TPaintBox (EXTCTRLS) (002)
5 superordinates
149 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)


Properties of TPaintBox (EXTCTRLS) (003)
49 Properties of TPaintBox (EXTCTRLS) (003)
5 superordinates
149 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)


Properties of TPaintBox (EXTCTRLS) (004)
49 Properties of TPaintBox (EXTCTRLS) (004)
5 superordinates
149 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

OnPaint : TNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)


Properties of TPaintBox (EXTCTRLS) (005)
49 Properties of TPaintBox (EXTCTRLS) (005)
5 superordinates
149 methods

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TImage (EXTCTRLS)
52 Properties of TImage (EXTCTRLS)
5 superordinates
155 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

AutoSize : Boolean; (published) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Canvas : TCanvas; (public) read
Canvas  (inherited) : TCanvas; (protected) read
found in TGraphicControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

Center : Boolean; (published) read/write

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TImage (EXTCTRLS) (002)
52 Properties of TImage (EXTCTRLS) (002)
5 superordinates
155 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)


Properties of TImage (EXTCTRLS) (003)
52 Properties of TImage (EXTCTRLS) (003)
5 superordinates
155 methods

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)


Properties of TImage (EXTCTRLS) (004)
52 Properties of TImage (EXTCTRLS) (004)
5 superordinates
155 methods

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TImage (EXTCTRLS) (005)
52 Properties of TImage (EXTCTRLS) (005)
5 superordinates
155 methods

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

Picture : TPicture; (published) read/write

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Stretch : Boolean; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)


Properties of TImage (EXTCTRLS) (006)
52 Properties of TImage (EXTCTRLS) (006)
5 superordinates
155 methods

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TBevel (EXTCTRLS)
50 Properties of TBevel (EXTCTRLS)
5 superordinates
151 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Canvas  (inherited) : TCanvas; (protected) read
found in TGraphicControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TBevel (EXTCTRLS) (002)
50 Properties of TBevel (EXTCTRLS) (002)
5 superordinates
151 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl


Properties of TBevel (EXTCTRLS) (003)
50 Properties of TBevel (EXTCTRLS) (003)
5 superordinates
151 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl


Properties of TBevel (EXTCTRLS) (004)
50 Properties of TBevel (EXTCTRLS) (004)
5 superordinates
151 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)


Properties of TBevel (EXTCTRLS) (005)
50 Properties of TBevel (EXTCTRLS) (005)
5 superordinates
151 methods

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

Shape : TBevelShape; (published) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Style : TBevelStyle; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TTimer (EXTCTRLS)
11 Properties of TTimer (EXTCTRLS)
3 superordinates
54 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Enabled : Boolean; (published) read/write

Interval : Word; (published) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnTimer : TNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TTimer (EXTCTRLS) (002)
11 Properties of TTimer (EXTCTRLS) (002)
3 superordinates
54 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TCustomPanel (EXTCTRLS)
75 Properties of TCustomPanel (EXTCTRLS)
6 superordinates
274 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

Alignment : TAlignment; (protected) read/write

BevelInner : TPanelBevel; (protected) read/write

BevelOuter : TPanelBevel; (protected) read/write

BevelWidth : TBevelWidth; (protected) read/write

BorderStyle : TBorderStyle; (protected) read/write

BorderWidth : TBorderWidth; (protected) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl


Properties of TCustomPanel (EXTCTRLS) (002)
75 Properties of TCustomPanel (EXTCTRLS) (002)
6 superordinates
274 methods

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

Color  (protected)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent


Properties of TCustomPanel (EXTCTRLS) (003)
75 Properties of TCustomPanel (EXTCTRLS) (003)
6 superordinates
274 methods

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl


Properties of TCustomPanel (EXTCTRLS) (004)
75 Properties of TCustomPanel (EXTCTRLS) (004)
6 superordinates
274 methods

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

Locked : Boolean; (protected) read/write


Properties of TCustomPanel (EXTCTRLS) (005)
75 Properties of TCustomPanel (EXTCTRLS) (005)
6 superordinates
274 methods

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl


Properties of TCustomPanel (EXTCTRLS) (006)
75 Properties of TCustomPanel (EXTCTRLS) (006)
6 superordinates
274 methods

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnResize : TNotifyEvent; (protected) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentColor  (protected)


Properties of TCustomPanel (EXTCTRLS) (007)
75 Properties of TCustomPanel (EXTCTRLS) (007)
6 superordinates
274 methods

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl


Properties of TCustomPanel (EXTCTRLS) (008)
75 Properties of TCustomPanel (EXTCTRLS) (008)
6 superordinates
274 methods

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TPanel (EXTCTRLS)
75 Properties of TPanel (EXTCTRLS)
7 superordinates
274 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

Alignment  (inherited) : TAlignment; (protected) read/write
found in TCustomPanel
Alignment ; (published)

BevelInner  (inherited) : TPanelBevel; (protected) read/write
found in TCustomPanel
BevelInner ; (published)

BevelOuter  (inherited) : TPanelBevel; (protected) read/write
found in TCustomPanel
BevelOuter ; (published)

BevelWidth  (inherited) : TBevelWidth; (protected) read/write
found in TCustomPanel
BevelWidth ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomPanel
BorderStyle ; (published)

BorderWidth  (inherited) : TBorderWidth; (protected) read/write
found in TCustomPanel
BorderWidth ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl


Properties of TPanel (EXTCTRLS) (002)
75 Properties of TPanel (EXTCTRLS) (002)
7 superordinates
274 methods

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

Color  (inherited)  (protected)
found in TCustomPanel

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent


Properties of TPanel (EXTCTRLS) (003)
75 Properties of TPanel (EXTCTRLS) (003)
7 superordinates
274 methods

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)


Properties of TPanel (EXTCTRLS) (004)
75 Properties of TPanel (EXTCTRLS) (004)
7 superordinates
274 methods

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

Locked  (inherited) : Boolean; (protected) read/write
found in TCustomPanel
Locked ; (published)


Properties of TPanel (EXTCTRLS) (005)
75 Properties of TPanel (EXTCTRLS) (005)
7 superordinates
274 methods

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl


Properties of TPanel (EXTCTRLS) (006)
75 Properties of TPanel (EXTCTRLS) (006)
7 superordinates
274 methods

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

OnResize  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomPanel
OnResize ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomPanel


Properties of TPanel (EXTCTRLS) (007)
75 Properties of TPanel (EXTCTRLS) (007)
7 superordinates
274 methods

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl


Properties of TPanel (EXTCTRLS) (008)
75 Properties of TPanel (EXTCTRLS) (008)
7 superordinates
274 methods

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TPage (EXTCTRLS)
69 Properties of TPage (EXTCTRLS)
6 superordinates
265 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TPage (EXTCTRLS) (002)
69 Properties of TPage (EXTCTRLS) (002)
6 superordinates
265 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TPage (EXTCTRLS) (003)
69 Properties of TPage (EXTCTRLS) (003)
6 superordinates
265 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Height  (published)

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl


Properties of TPage (EXTCTRLS) (004)
69 Properties of TPage (EXTCTRLS) (004)
6 superordinates
265 methods

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl


Properties of TPage (EXTCTRLS) (005)
69 Properties of TPage (EXTCTRLS) (005)
6 superordinates
265 methods

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl


Properties of TPage (EXTCTRLS) (006)
69 Properties of TPage (EXTCTRLS) (006)
6 superordinates
265 methods

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabOrder  (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl


Properties of TPage (EXTCTRLS) (007)
69 Properties of TPage (EXTCTRLS) (007)
6 superordinates
265 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Visible  (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

Width  (published)

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TNotebook (EXTCTRLS)
69 Properties of TNotebook (EXTCTRLS)
6 superordinates
269 methods

ActivePage : string; (published) read/write

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TNotebook (EXTCTRLS) (002)
69 Properties of TNotebook (EXTCTRLS) (002)
6 superordinates
269 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)


Properties of TNotebook (EXTCTRLS) (003)
69 Properties of TNotebook (EXTCTRLS) (003)
6 superordinates
269 methods

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl


Properties of TNotebook (EXTCTRLS) (004)
69 Properties of TNotebook (EXTCTRLS) (004)
6 superordinates
269 methods

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)


Properties of TNotebook (EXTCTRLS) (005)
69 Properties of TNotebook (EXTCTRLS) (005)
6 superordinates
269 methods

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

OnPageChanged : TNotifyEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TNotebook (EXTCTRLS) (006)
69 Properties of TNotebook (EXTCTRLS) (006)
6 superordinates
269 methods

PageIndex : Integer; (published) read/write

Pages : TStrings; (published) read/write

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl


Properties of TNotebook (EXTCTRLS) (007)
69 Properties of TNotebook (EXTCTRLS) (007)
6 superordinates
269 methods

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of THeader (EXTCTRLS)
71 Properties of THeader (EXTCTRLS)
6 superordinates
271 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

AllowResize : Boolean; (published) read/write

BorderStyle : TBorderStyle; (published) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl


Properties of THeader (EXTCTRLS) (002)
71 Properties of THeader (EXTCTRLS) (002)
6 superordinates
271 methods

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of THeader (EXTCTRLS) (003)
71 Properties of THeader (EXTCTRLS) (003)
6 superordinates
271 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl


Properties of THeader (EXTCTRLS) (004)
71 Properties of THeader (EXTCTRLS) (004)
6 superordinates
271 methods

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl


Properties of THeader (EXTCTRLS) (005)
71 Properties of THeader (EXTCTRLS) (005)
6 superordinates
271 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnSized : TSectionEvent; (published) read/write


Properties of THeader (EXTCTRLS) (006)
71 Properties of THeader (EXTCTRLS) (006)
6 superordinates
271 methods

OnSizing : TSectionEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

SectionWidth [X: Integer]: Integer; (public) read/write

Sections : TStrings; (published) read/write


Properties of THeader (EXTCTRLS) (007)
71 Properties of THeader (EXTCTRLS) (007)
6 superordinates
271 methods

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl


Properties of THeader (EXTCTRLS) (008)
71 Properties of THeader (EXTCTRLS) (008)
6 superordinates
271 methods

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TCustomRadioGroup (EXTCTRLS)
68 Properties of TCustomRadioGroup (EXTCTRLS)
7 superordinates
275 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TCustomRadioGroup (EXTCTRLS) (002)
68 Properties of TCustomRadioGroup (EXTCTRLS) (002)
7 superordinates
275 methods

Columns : Integer; (protected) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl


Properties of TCustomRadioGroup (EXTCTRLS) (003)
68 Properties of TCustomRadioGroup (EXTCTRLS) (003)
7 superordinates
275 methods

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl


Properties of TCustomRadioGroup (EXTCTRLS) (004)
68 Properties of TCustomRadioGroup (EXTCTRLS) (004)
7 superordinates
275 methods

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemIndex : Integer; (protected) read/write

Items : TStrings; (protected) read/write

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl


Properties of TCustomRadioGroup (EXTCTRLS) (005)
68 Properties of TCustomRadioGroup (EXTCTRLS) (005)
7 superordinates
275 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl


Properties of TCustomRadioGroup (EXTCTRLS) (006)
68 Properties of TCustomRadioGroup (EXTCTRLS) (006)
7 superordinates
275 methods

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl


Properties of TCustomRadioGroup (EXTCTRLS) (007)
68 Properties of TCustomRadioGroup (EXTCTRLS) (007)
7 superordinates
275 methods

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TRadioGroup (EXTCTRLS)
68 Properties of TRadioGroup (EXTCTRLS)
8 superordinates
275 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)


Properties of TRadioGroup (EXTCTRLS) (002)
68 Properties of TRadioGroup (EXTCTRLS) (002)
8 superordinates
275 methods

Columns  (inherited) : Integer; (protected) read/write
found in TCustomRadioGroup
Columns ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)


Properties of TRadioGroup (EXTCTRLS) (003)
68 Properties of TRadioGroup (EXTCTRLS) (003)
8 superordinates
275 methods

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl


Properties of TRadioGroup (EXTCTRLS) (004)
68 Properties of TRadioGroup (EXTCTRLS) (004)
8 superordinates
275 methods

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemIndex  (inherited) : Integer; (protected) read/write
found in TCustomRadioGroup
ItemIndex ; (published)

Items  (inherited) : TStrings; (protected) read/write
found in TCustomRadioGroup
Items ; (published)

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)


Properties of TRadioGroup (EXTCTRLS) (005)
68 Properties of TRadioGroup (EXTCTRLS) (005)
8 superordinates
275 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl


Properties of TRadioGroup (EXTCTRLS) (006)
68 Properties of TRadioGroup (EXTCTRLS) (006)
8 superordinates
275 methods

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)


Properties of TRadioGroup (EXTCTRLS) (007)
68 Properties of TRadioGroup (EXTCTRLS) (007)
8 superordinates
275 methods

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TFileListBox (FILECTRL)
90 Properties of TFileListBox (FILECTRL)
6 superordinates
309 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomListBox

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (public) read
found in TCustomListBox

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TFileListBox (FILECTRL) (002)
90 Properties of TFileListBox (FILECTRL) (002)
6 superordinates
309 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

Columns  (inherited) : Integer; (protected) read/write
found in TCustomListBox

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TFileListBox (FILECTRL) (003)
90 Properties of TFileListBox (FILECTRL) (003)
6 superordinates
309 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Directory : string; (public) read/write

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Drive : char; (public) read/write

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

ExtendedSelect  (inherited) : Boolean; (protected) read/write
found in TCustomListBox


Properties of TFileListBox (FILECTRL) (004)
90 Properties of TFileListBox (FILECTRL) (004)
6 superordinates
309 methods

FileEdit : TEdit; (published) read/write

FileName : String; (public) read/write

FileType : TFileType; (published) read/write

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IntegralHeight  (inherited) : Boolean; (protected) read/write
found in TCustomListBox
IntegralHeight ; (published)

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TFileListBox (FILECTRL) (005)
90 Properties of TFileListBox (FILECTRL) (005)
6 superordinates
309 methods

ItemHeight  (inherited) : Integer; (protected) read/write
found in TCustomListBox
ItemHeight ; (published)

ItemIndex  (inherited) : Integer; (public) read/write
found in TCustomListBox

Items  (inherited) : TStrings; (public) read/write
found in TCustomListBox

Left  (inherited) : Integer; (published) read/write
found in TControl

Mask : string; (published) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

MultiSelect  (inherited) : Boolean; (protected) read/write
found in TCustomListBox
MultiSelect ; (published)

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange : TNotifyEvent; (published) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)


Properties of TFileListBox (FILECTRL) (006)
90 Properties of TFileListBox (FILECTRL) (006)
6 superordinates
309 methods

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawItem  (inherited) : TDrawItemEvent; (protected) read/write
found in TCustomListBox

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)


Properties of TFileListBox (FILECTRL) (007)
90 Properties of TFileListBox (FILECTRL) (007)
6 superordinates
309 methods

OnMeasureItem  (inherited) : TMeasureItemEvent; (protected) read/write
found in TCustomListBox

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomListBox

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)


Properties of TFileListBox (FILECTRL) (008)
90 Properties of TFileListBox (FILECTRL) (008)
6 superordinates
309 methods

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

SelCount  (inherited) : Integer; (public) read
found in TCustomListBox

Selected  (inherited) [Index: Integer]: Boolean; (public) read/write
found in TCustomListBox

ShowGlyphs : Boolean; (published) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Sorted  (inherited) : Boolean; (protected) read/write
found in TCustomListBox

Style  (inherited) : TListBoxStyle; (protected) read/write
found in TCustomListBox

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)


Properties of TFileListBox (FILECTRL) (009)
90 Properties of TFileListBox (FILECTRL) (009)
6 superordinates
309 methods

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomListBox

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

TopIndex  (inherited) : Integer; (public) read/write
found in TCustomListBox

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TFolderBitmap (FILECTRL)
10 Properties of TFolderBitmap (FILECTRL)
4 superordinates
57 methods

Canvas  (inherited) : TCanvas; (public) read
found in TBitmap

Empty  (inherited) : Boolean; (public) read
found in TGraphic

Handle  (inherited) : HBITMAP; (public) read/write
found in TBitmap

Height  (inherited) : Integer; (public) read/write
found in TGraphic

Modified  (inherited) : Boolean; (public) read/write
found in TGraphic

Monochrome  (inherited) : Boolean; (public) read/write
found in TBitmap

OnChange  (inherited) : TNotifyEvent; (public) read/write
found in TGraphic

Palette  (inherited) : HPALETTE; (public) read/write
found in TBitmap

TransparentColor  (inherited) : TColor; (public) read
found in TBitmap

Width  (inherited) : Integer; (public) read/write
found in TGraphic


Properties of TDirectoryListBox (FILECTRL)
87 Properties of TDirectoryListBox (FILECTRL)
6 superordinates
306 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomListBox

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (public) read
found in TCustomListBox

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TDirectoryListBox (FILECTRL) (002)
87 Properties of TDirectoryListBox (FILECTRL) (002)
6 superordinates
306 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

Columns  (inherited) : Integer; (protected) read/write
found in TCustomListBox
Columns ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TDirectoryListBox (FILECTRL) (003)
87 Properties of TDirectoryListBox (FILECTRL) (003)
6 superordinates
306 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DirLabel : TLabel; (published) read/write

Directory : string; (public) read/write

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Drive : Char; (public) read/write

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)


Properties of TDirectoryListBox (FILECTRL) (004)
87 Properties of TDirectoryListBox (FILECTRL) (004)
6 superordinates
306 methods

ExtendedSelect  (inherited) : Boolean; (protected) read/write
found in TCustomListBox

FileList : TFileListBox; (published) read/write

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IntegralHeight  (inherited) : Boolean; (protected) read/write
found in TCustomListBox
IntegralHeight ; (published)

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemHeight  (inherited) : Integer; (protected) read/write
found in TCustomListBox
ItemHeight ; (published)


Properties of TDirectoryListBox (FILECTRL) (005)
87 Properties of TDirectoryListBox (FILECTRL) (005)
6 superordinates
306 methods

ItemIndex  (inherited) : Integer; (public) read/write
found in TCustomListBox

Items  (inherited) : TStrings; (public) read/write
found in TCustomListBox

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

MultiSelect  (inherited) : Boolean; (protected) read/write
found in TCustomListBox

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange : TNotifyEvent; (published) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)


Properties of TDirectoryListBox (FILECTRL) (006)
87 Properties of TDirectoryListBox (FILECTRL) (006)
6 superordinates
306 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawItem  (inherited) : TDrawItemEvent; (protected) read/write
found in TCustomListBox

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMeasureItem  (inherited) : TMeasureItemEvent; (protected) read/write
found in TCustomListBox

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)


Properties of TDirectoryListBox (FILECTRL) (007)
87 Properties of TDirectoryListBox (FILECTRL) (007)
6 superordinates
306 methods

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomListBox

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)


Properties of TDirectoryListBox (FILECTRL) (008)
87 Properties of TDirectoryListBox (FILECTRL) (008)
6 superordinates
306 methods

SelCount  (inherited) : Integer; (public) read
found in TCustomListBox

Selected  (inherited) [Index: Integer]: Boolean; (public) read/write
found in TCustomListBox

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Sorted  (inherited) : Boolean; (protected) read/write
found in TCustomListBox

Style  (inherited) : TListBoxStyle; (protected) read/write
found in TCustomListBox

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomListBox

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TDirectoryListBox (FILECTRL) (009)
87 Properties of TDirectoryListBox (FILECTRL) (009)
6 superordinates
306 methods

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

TopIndex  (inherited) : Integer; (public) read/write
found in TCustomListBox

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDriveComboBox (FILECTRL)
85 Properties of TDriveComboBox (FILECTRL)
6 superordinates
302 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (public) read
found in TCustomComboBox

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)


Properties of TDriveComboBox (FILECTRL) (002)
85 Properties of TDriveComboBox (FILECTRL) (002)
6 superordinates
302 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TDriveComboBox (FILECTRL) (003)
85 Properties of TDriveComboBox (FILECTRL) (003)
6 superordinates
302 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DirList : TDirectoryListBox; (published) read/write

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Drive : Char; (public) read/write

DropDownCount  (inherited) : Integer; (protected) read/write
found in TCustomComboBox

DroppedDown  (inherited) : Boolean; (public) read/write
found in TCustomComboBox

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)


Properties of TDriveComboBox (FILECTRL) (004)
85 Properties of TDriveComboBox (FILECTRL) (004)
6 superordinates
302 methods

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemHeight  (inherited) : Integer; (protected) read/write
found in TCustomComboBox

ItemIndex  (inherited) : Integer; (public) read/write
found in TCustomComboBox

Items  (inherited) : TStrings; (public) read/write
found in TCustomComboBox

Left  (inherited) : Integer; (published) read/write
found in TControl

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomComboBox


Properties of TDriveComboBox (FILECTRL) (005)
85 Properties of TDriveComboBox (FILECTRL) (005)
6 superordinates
302 methods

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange : TNotifyEvent; (published) read/write
OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomComboBox

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawItem  (inherited) : TDrawItemEvent; (protected) read/write
found in TCustomComboBox

OnDropDown  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomComboBox
OnDropDown ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)


Properties of TDriveComboBox (FILECTRL) (006)
85 Properties of TDriveComboBox (FILECTRL) (006)
6 superordinates
302 methods

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMeasureItem  (inherited) : TMeasureItemEvent; (protected) read/write
found in TCustomComboBox

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TDriveComboBox (FILECTRL) (007)
85 Properties of TDriveComboBox (FILECTRL) (007)
6 superordinates
302 methods

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomComboBox

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

SelLength  (inherited) : Integer; (public) read/write
found in TCustomComboBox

SelStart  (inherited) : Integer; (public) read/write
found in TCustomComboBox

SelText  (inherited) : string; (public) read/write
found in TCustomComboBox


Properties of TDriveComboBox (FILECTRL) (008)
85 Properties of TDriveComboBox (FILECTRL) (008)
6 superordinates
302 methods

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Sorted  (inherited) : Boolean; (protected) read/write
found in TCustomComboBox

Style  (inherited) : TComboBoxStyle; (protected) read/write
found in TCustomComboBox

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomComboBox

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text ; (public)

TextCase : TTextCase; (published) read/write


Properties of TDriveComboBox (FILECTRL) (009)
85 Properties of TDriveComboBox (FILECTRL) (009)
6 superordinates
302 methods

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TFilterComboBox (FILECTRL)
85 Properties of TFilterComboBox (FILECTRL)
6 superordinates
301 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (public) read
found in TCustomComboBox

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)


Properties of TFilterComboBox (FILECTRL) (002)
85 Properties of TFilterComboBox (FILECTRL) (002)
6 superordinates
301 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TFilterComboBox (FILECTRL) (003)
85 Properties of TFilterComboBox (FILECTRL) (003)
6 superordinates
301 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

DropDownCount  (inherited) : Integer; (protected) read/write
found in TCustomComboBox

DroppedDown  (inherited) : Boolean; (public) read/write
found in TCustomComboBox

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

FileList : TFileListBox; (published) read/write

Filter : string; (published) read/write

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)


Properties of TFilterComboBox (FILECTRL) (004)
85 Properties of TFilterComboBox (FILECTRL) (004)
6 superordinates
301 methods

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemHeight  (inherited) : Integer; (protected) read/write
found in TCustomComboBox

ItemIndex  (inherited) : Integer; (public) read/write
found in TCustomComboBox

Items  (inherited) : TStrings; (public) read/write
found in TCustomComboBox

Left  (inherited) : Integer; (published) read/write
found in TControl

Mask : string; (public) read


Properties of TFilterComboBox (FILECTRL) (005)
85 Properties of TFilterComboBox (FILECTRL) (005)
6 superordinates
301 methods

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomComboBox

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange : TNotifyEvent; (published) read/write
OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomComboBox

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawItem  (inherited) : TDrawItemEvent; (protected) read/write
found in TCustomComboBox

OnDropDown  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomComboBox
OnDropDown ; (published)


Properties of TFilterComboBox (FILECTRL) (006)
85 Properties of TFilterComboBox (FILECTRL) (006)
6 superordinates
301 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMeasureItem  (inherited) : TMeasureItemEvent; (protected) read/write
found in TCustomComboBox

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl


Properties of TFilterComboBox (FILECTRL) (007)
85 Properties of TFilterComboBox (FILECTRL) (007)
6 superordinates
301 methods

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomComboBox

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

SelLength  (inherited) : Integer; (public) read/write
found in TCustomComboBox

SelStart  (inherited) : Integer; (public) read/write
found in TCustomComboBox


Properties of TFilterComboBox (FILECTRL) (008)
85 Properties of TFilterComboBox (FILECTRL) (008)
6 superordinates
301 methods

SelText  (inherited) : string; (public) read/write
found in TCustomComboBox

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Sorted  (inherited) : Boolean; (protected) read/write
found in TCustomComboBox

Style  (inherited) : TComboBoxStyle; (protected) read/write
found in TCustomComboBox

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomComboBox

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text ; (public)


Properties of TFilterComboBox (FILECTRL) (009)
85 Properties of TFilterComboBox (FILECTRL) (009)
6 superordinates
301 methods

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of EInvalidGridOperation (GRIDS)
3 Properties of EInvalidGridOperation (GRIDS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TInplaceEdit (GRIDS)
84 Properties of TInplaceEdit (GRIDS)
7 superordinates
337 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoSelect  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomEdit

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

CharCase  (inherited) : TEditCharCase; (protected) read/write
found in TCustomEdit

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl


Properties of TInplaceEdit (GRIDS) (002)
84 Properties of TInplaceEdit (GRIDS) (002)
7 superordinates
337 methods

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl


Properties of TInplaceEdit (GRIDS) (003)
84 Properties of TInplaceEdit (GRIDS) (003)
7 superordinates
337 methods

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

EditMask  (inherited) : string; (protected) read/write
found in TCustomMaskEdit

EditText  (inherited) : string; (public) read/write
found in TCustomMaskEdit

Enabled  (inherited) : Boolean; (public) read/write
found in TControl


Properties of TInplaceEdit (GRIDS) (004)
84 Properties of TInplaceEdit (GRIDS) (004)
7 superordinates
337 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

HideSelection  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

IsMasked  (inherited) : Boolean; (public) read
found in TCustomMaskEdit

Left  (inherited) : Integer; (published) read/write
found in TControl

MaskState  (inherited) : TMaskedState; (protected) read/write
found in TCustomMaskEdit


Properties of TInplaceEdit (GRIDS) (005)
84 Properties of TInplaceEdit (GRIDS) (005)
7 superordinates
337 methods

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomMaskEdit
MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomEdit

Modified  (inherited) : Boolean; (public) read/write
found in TCustomEdit

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OEMConvert  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomEdit

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl


Properties of TInplaceEdit (GRIDS) (006)
84 Properties of TInplaceEdit (GRIDS) (006)
7 superordinates
337 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TInplaceEdit (GRIDS) (007)
84 Properties of TInplaceEdit (GRIDS) (007)
7 superordinates
337 methods

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentColor  (inherited)  (protected)
found in TCustomEdit

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PasswordChar  (inherited) : Char; (protected) read/write
found in TCustomEdit

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

SelLength  (inherited) : Integer; (public) read/write
found in TCustomEdit


Properties of TInplaceEdit (GRIDS) (008)
84 Properties of TInplaceEdit (GRIDS) (008)
7 superordinates
337 methods

SelStart  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelText  (inherited) : string; (public) read/write
found in TCustomEdit

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (inherited)  (published)
found in TCustomEdit

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text  (inherited) : string; (public) read/write
found in TCustomMaskEdit
Text  (inherited) ; (public)
found in TCustomEdit

Top  (inherited) : Integer; (published) read/write
found in TControl


Properties of TInplaceEdit (GRIDS) (009)
84 Properties of TInplaceEdit (GRIDS) (009)
7 superordinates
337 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TCustomGrid (GRIDS)
94 Properties of TCustomGrid (GRIDS)
6 superordinates
363 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BorderStyle : TBorderStyle; (protected) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TCustomGrid (GRIDS) (002)
94 Properties of TCustomGrid (GRIDS) (002)
6 superordinates
363 methods

Col : Longint; (protected) read/write

ColCount : Longint; (protected) read/write

ColWidths [Index: Longint]: Integer; (protected) read/write

Color  (inherited) : TColor; (protected) read/write
found in TControl

Color  (protected)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TCustomGrid (GRIDS) (003)
94 Properties of TCustomGrid (GRIDS) (003)
6 superordinates
363 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DefaultColWidth : Integer; (protected) read/write

DefaultDrawing : Boolean; (protected) read/write

DefaultRowHeight : Integer; (protected) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent


Properties of TCustomGrid (GRIDS) (004)
94 Properties of TCustomGrid (GRIDS) (004)
6 superordinates
363 methods

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

EditorMode : Boolean; (protected) read/write

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

FixedColor : TColor; (protected) read/write

FixedCols : Integer; (protected) read/write

FixedRows : Integer; (protected) read/write

Font  (inherited) : TFont; (protected) read/write
found in TControl

GridHeight : Integer; (protected) read

GridLineWidth : Integer; (protected) read/write


Properties of TCustomGrid (GRIDS) (005)
94 Properties of TCustomGrid (GRIDS) (005)
6 superordinates
363 methods

GridWidth : Integer; (protected) read

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

InplaceEditor : TInplaceEdit; (protected) read

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

LeftCol : Longint; (protected) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TCustomGrid (GRIDS) (006)
94 Properties of TCustomGrid (GRIDS) (006)
6 superordinates
363 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl


Properties of TCustomGrid (GRIDS) (007)
94 Properties of TCustomGrid (GRIDS) (007)
6 superordinates
363 methods

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Options : TGridOptions; (protected) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentColor  (protected)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl


Properties of TCustomGrid (GRIDS) (008)
94 Properties of TCustomGrid (GRIDS) (008)
6 superordinates
363 methods

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

Row : Longint; (protected) read/write

RowCount : Longint; (protected) read/write

RowHeights [Index: Longint]: Integer; (protected) read/write

ScrollBars : TScrollStyle; (protected) read/write

Selection : TGridRect; (protected) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl


Properties of TCustomGrid (GRIDS) (009)
94 Properties of TCustomGrid (GRIDS) (009)
6 superordinates
363 methods

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (published)

TabStops [Index: Longint]: Boolean; (protected) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

TopRow : Longint; (protected) read/write

Visible  (inherited) : Boolean; (public) read/write
found in TControl

VisibleColCount : Integer; (protected) read


Properties of TCustomGrid (GRIDS) (010)
94 Properties of TCustomGrid (GRIDS) (010)
6 superordinates
363 methods

VisibleRowCount : Integer; (protected) read

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TDrawGrid (GRIDS)
102 Properties of TDrawGrid (GRIDS)
7 superordinates
364 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomGrid
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl
Canvas ; (public)

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TDrawGrid (GRIDS) (002)
102 Properties of TDrawGrid (GRIDS) (002)
7 superordinates
364 methods

Col  (inherited) : Longint; (protected) read/write
found in TCustomGrid
Col ; (public)

ColCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid
ColCount ; (published)

ColWidths ; (public)
ColWidths  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

Color  (inherited)  (protected)
found in TCustomGrid

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TDrawGrid (GRIDS) (003)
102 Properties of TDrawGrid (GRIDS) (003)
7 superordinates
364 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DefaultColWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid
DefaultColWidth ; (published)

DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomGrid
DefaultDrawing ; (published)

DefaultRowHeight  (inherited) : Integer; (protected) read/write
found in TCustomGrid
DefaultRowHeight ; (published)

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent


Properties of TDrawGrid (GRIDS) (004)
102 Properties of TDrawGrid (GRIDS) (004)
7 superordinates
364 methods

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

EditorMode  (inherited) : Boolean; (protected) read/write
found in TCustomGrid
EditorMode ; (public)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

FixedColor  (inherited) : TColor; (protected) read/write
found in TCustomGrid
FixedColor ; (published)

FixedCols  (inherited) : Integer; (protected) read/write
found in TCustomGrid
FixedCols ; (published)

FixedRows  (inherited) : Integer; (protected) read/write
found in TCustomGrid
FixedRows ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

GridHeight  (inherited) : Integer; (protected) read
found in TCustomGrid
GridHeight ; (public)

GridLineWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid
GridLineWidth ; (published)


Properties of TDrawGrid (GRIDS) (005)
102 Properties of TDrawGrid (GRIDS) (005)
7 superordinates
364 methods

GridWidth  (inherited) : Integer; (protected) read
found in TCustomGrid
GridWidth ; (public)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

InplaceEditor  (inherited) : TInplaceEdit; (protected) read
found in TCustomGrid

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

LeftCol  (inherited) : Longint; (protected) read/write
found in TCustomGrid
LeftCol ; (public)

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TDrawGrid (GRIDS) (006)
102 Properties of TDrawGrid (GRIDS) (006)
7 superordinates
364 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnColumnMoved : TMovedEvent; (published) read/write

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawCell : TDrawCellEvent; (published) read/write

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)


Properties of TDrawGrid (GRIDS) (007)
102 Properties of TDrawGrid (GRIDS) (007)
7 superordinates
364 methods

OnGetEditMask : TGetEditEvent; (published) read/write

OnGetEditText : TGetEditEvent; (published) read/write

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

OnRowMoved : TMovedEvent; (published) read/write

OnSelectCell : TSelectCellEvent; (published) read/write


Properties of TDrawGrid (GRIDS) (008)
102 Properties of TDrawGrid (GRIDS) (008)
7 superordinates
364 methods

OnSetEditText : TSetEditEvent; (published) read/write

OnTopLeftChanged : TNotifyEvent; (published) read/write

Options  (inherited) : TGridOptions; (protected) read/write
found in TCustomGrid
Options ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomGrid

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)


Properties of TDrawGrid (GRIDS) (009)
102 Properties of TDrawGrid (GRIDS) (009)
7 superordinates
364 methods

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

Row  (inherited) : Longint; (protected) read/write
found in TCustomGrid
Row ; (public)

RowCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid
RowCount ; (published)

RowHeights ; (public)
RowHeights  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

ScrollBars  (inherited) : TScrollStyle; (protected) read/write
found in TCustomGrid
ScrollBars ; (published)

Selection  (inherited) : TGridRect; (protected) read/write
found in TCustomGrid
Selection ; (public)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)


Properties of TDrawGrid (GRIDS) (010)
102 Properties of TDrawGrid (GRIDS) (010)
7 superordinates
364 methods

TabStop  (inherited)  (published)
found in TCustomGrid

TabStops ; (public)
TabStops  (inherited) [Index: Longint]: Boolean; (protected) read/write
found in TCustomGrid

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

TopRow  (inherited) : Longint; (protected) read/write
found in TCustomGrid
TopRow ; (public)

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

VisibleColCount  (inherited) : Integer; (protected) read
found in TCustomGrid
VisibleColCount ; (published)

VisibleRowCount  (inherited) : Integer; (protected) read
found in TCustomGrid
VisibleRowCount ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl


Properties of TDrawGrid (GRIDS) (011)
102 Properties of TDrawGrid (GRIDS) (011)
7 superordinates
364 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TStringGridStrings (GRIDS)
4 Properties of TStringGridStrings (GRIDS)
3 superordinates
53 methods

Count  (inherited) : Integer; (public) read
found in TStrings

Objects  (inherited) [Index: Integer]: TObject; (public) read/write
found in TStrings

Strings  (inherited) [Index: Integer]: string; (public) read/write
found in TStrings

Values  (inherited) [const Name: string]: string; (public) read/write
found in TStrings


Properties of TStringGrid (GRIDS)
106 Properties of TStringGrid (GRIDS)
8 superordinates
377 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align  (inherited) ; (published)
found in TDrawGrid

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomGrid
BorderStyle  (inherited) ; (published)
found in TDrawGrid

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl
Canvas  (inherited) ; (public)
found in TDrawGrid

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

Cells [ACol, ARow: Integer]: string; (public) read/write

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl


Properties of TStringGrid (GRIDS) (002)
106 Properties of TStringGrid (GRIDS) (002)
8 superordinates
377 methods

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Col  (inherited) : Longint; (protected) read/write
found in TCustomGrid
Col  (inherited) ; (public)
found in TDrawGrid

ColCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid
ColCount  (inherited) ; (published)
found in TDrawGrid

ColWidths  (inherited) ; (public)
found in TDrawGrid
ColWidths  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color  (inherited) ; (published)
found in TDrawGrid

Color  (inherited)  (protected)
found in TCustomGrid

Cols [Index: Integer]: TStrings; (public) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent


Properties of TStringGrid (GRIDS) (003)
106 Properties of TStringGrid (GRIDS) (003)
8 superordinates
377 methods

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D  (inherited) ; (published)
found in TDrawGrid

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DefaultColWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid
DefaultColWidth  (inherited) ; (published)
found in TDrawGrid

DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomGrid
DefaultDrawing  (inherited) ; (published)
found in TDrawGrid


Properties of TStringGrid (GRIDS) (004)
106 Properties of TStringGrid (GRIDS) (004)
8 superordinates
377 methods

DefaultRowHeight  (inherited) : Integer; (protected) read/write
found in TCustomGrid
DefaultRowHeight  (inherited) ; (published)
found in TDrawGrid

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor  (inherited) ; (published)
found in TDrawGrid

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode  (inherited) ; (published)
found in TDrawGrid

EditorMode  (inherited) : Boolean; (protected) read/write
found in TCustomGrid
EditorMode  (inherited) ; (public)
found in TDrawGrid

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled  (inherited) ; (published)
found in TDrawGrid

FixedColor  (inherited) : TColor; (protected) read/write
found in TCustomGrid
FixedColor  (inherited) ; (published)
found in TDrawGrid

FixedCols  (inherited) : Integer; (protected) read/write
found in TCustomGrid
FixedCols  (inherited) ; (published)
found in TDrawGrid

FixedRows  (inherited) : Integer; (protected) read/write
found in TCustomGrid
FixedRows  (inherited) ; (published)
found in TDrawGrid

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font  (inherited) ; (published)
found in TDrawGrid


Properties of TStringGrid (GRIDS) (005)
106 Properties of TStringGrid (GRIDS) (005)
8 superordinates
377 methods

GridHeight  (inherited) : Integer; (protected) read
found in TCustomGrid
GridHeight  (inherited) ; (public)
found in TDrawGrid

GridLineWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid
GridLineWidth  (inherited) ; (published)
found in TDrawGrid

GridWidth  (inherited) : Integer; (protected) read
found in TCustomGrid
GridWidth  (inherited) ; (public)
found in TDrawGrid

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

InplaceEditor  (inherited) : TInplaceEdit; (protected) read
found in TCustomGrid

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl


Properties of TStringGrid (GRIDS) (006)
106 Properties of TStringGrid (GRIDS) (006)
8 superordinates
377 methods

LeftCol  (inherited) : Longint; (protected) read/write
found in TCustomGrid
LeftCol  (inherited) ; (public)
found in TDrawGrid

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Objects [ACol, ARow: Integer]: TObject; (public) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick  (inherited) ; (published)
found in TDrawGrid

OnColumnMoved  (inherited) : TMovedEvent; (published) read/write
found in TDrawGrid

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick  (inherited) ; (published)
found in TDrawGrid

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop  (inherited) ; (published)
found in TDrawGrid

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver  (inherited) ; (published)
found in TDrawGrid

OnDrawCell  (inherited) : TDrawCellEvent; (published) read/write
found in TDrawGrid


Properties of TStringGrid (GRIDS) (007)
106 Properties of TStringGrid (GRIDS) (007)
8 superordinates
377 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag  (inherited) ; (published)
found in TDrawGrid

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter  (inherited) ; (published)
found in TDrawGrid

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit  (inherited) ; (published)
found in TDrawGrid

OnGetEditMask  (inherited) : TGetEditEvent; (published) read/write
found in TDrawGrid

OnGetEditText  (inherited) : TGetEditEvent; (published) read/write
found in TDrawGrid

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown  (inherited) ; (published)
found in TDrawGrid

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress  (inherited) ; (published)
found in TDrawGrid

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp  (inherited) ; (published)
found in TDrawGrid

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown  (inherited) ; (published)
found in TDrawGrid

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove  (inherited) ; (published)
found in TDrawGrid


Properties of TStringGrid (GRIDS) (008)
106 Properties of TStringGrid (GRIDS) (008)
8 superordinates
377 methods

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp  (inherited) ; (published)
found in TDrawGrid

OnRowMoved  (inherited) : TMovedEvent; (published) read/write
found in TDrawGrid

OnSelectCell  (inherited) : TSelectCellEvent; (published) read/write
found in TDrawGrid

OnSetEditText  (inherited) : TSetEditEvent; (published) read/write
found in TDrawGrid

OnTopLeftChanged  (inherited) : TNotifyEvent; (published) read/write
found in TDrawGrid

Options  (inherited) : TGridOptions; (protected) read/write
found in TCustomGrid
Options  (inherited) ; (published)
found in TDrawGrid

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor  (inherited) ; (published)
found in TDrawGrid

ParentColor  (inherited)  (protected)
found in TCustomGrid


Properties of TStringGrid (GRIDS) (009)
106 Properties of TStringGrid (GRIDS) (009)
8 superordinates
377 methods

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D  (inherited) ; (published)
found in TDrawGrid

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont  (inherited) ; (published)
found in TDrawGrid

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint  (inherited) ; (published)
found in TDrawGrid

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu  (inherited) ; (published)
found in TDrawGrid

Row  (inherited) : Longint; (protected) read/write
found in TCustomGrid
Row  (inherited) ; (public)
found in TDrawGrid

RowCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid
RowCount  (inherited) ; (published)
found in TDrawGrid

RowHeights  (inherited) ; (public)
found in TDrawGrid
RowHeights  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

Rows [Index: Integer]: TStrings; (public) read/write

ScrollBars  (inherited) : TScrollStyle; (protected) read/write
found in TCustomGrid
ScrollBars  (inherited) ; (published)
found in TDrawGrid

Selection  (inherited) : TGridRect; (protected) read/write
found in TCustomGrid
Selection  (inherited) ; (public)
found in TDrawGrid


Properties of TStringGrid (GRIDS) (010)
106 Properties of TStringGrid (GRIDS) (010)
8 superordinates
377 methods

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint  (inherited) ; (published)
found in TDrawGrid

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder  (inherited) ; (published)
found in TDrawGrid

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop  (inherited) ; (published)
found in TDrawGrid

TabStop  (inherited)  (published)
found in TCustomGrid

TabStops  (inherited) ; (public)
found in TDrawGrid
TabStops  (inherited) [Index: Longint]: Boolean; (protected) read/write
found in TCustomGrid

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

TopRow  (inherited) : Longint; (protected) read/write
found in TCustomGrid
TopRow  (inherited) ; (public)
found in TDrawGrid


Properties of TStringGrid (GRIDS) (011)
106 Properties of TStringGrid (GRIDS) (011)
8 superordinates
377 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible  (inherited) ; (published)
found in TDrawGrid

VisibleColCount  (inherited) : Integer; (protected) read
found in TCustomGrid
VisibleColCount  (inherited) ; (published)
found in TDrawGrid

VisibleRowCount  (inherited) : Integer; (protected) read
found in TCustomGrid
VisibleRowCount  (inherited) ; (published)
found in TDrawGrid

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TIniFile (INIFILES)
1 Properties of TIniFile (INIFILES)
1 superordinates
27 methods

FileName : string; (public) read


Properties of TIMemoryStream (ISTREAMS)
2 Properties of TIMemoryStream (ISTREAMS)
3 superordinates
23 methods

MemoryStream : TMemoryStream; (public) read

OwnStream : Boolean; (public) read/write


Properties of TIFileStream (ISTREAMS)
1 Properties of TIFileStream (ISTREAMS)
3 superordinates
23 methods

FileStream : TFileStream; (public) read


Properties of TVirtualStream (ISTREAMS)
2 Properties of TVirtualStream (ISTREAMS)
2 superordinates
32 methods

Position  (inherited) : Longint; (public) read/write
found in TStream

Size  (inherited) : Longint; (public) read
found in TStream


Properties of EDBEditError (MASK)
3 Properties of EDBEditError (MASK)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TCustomMaskEdit (MASK)
84 Properties of TCustomMaskEdit (MASK)
6 superordinates
330 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoSelect  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomEdit

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

CharCase  (inherited) : TEditCharCase; (protected) read/write
found in TCustomEdit

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl


Properties of TCustomMaskEdit (MASK) (002)
84 Properties of TCustomMaskEdit (MASK) (002)
6 superordinates
330 methods

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl


Properties of TCustomMaskEdit (MASK) (003)
84 Properties of TCustomMaskEdit (MASK) (003)
6 superordinates
330 methods

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

EditMask : string; (protected) read/write

EditText : string; (public) read/write

Enabled  (inherited) : Boolean; (public) read/write
found in TControl


Properties of TCustomMaskEdit (MASK) (004)
84 Properties of TCustomMaskEdit (MASK) (004)
6 superordinates
330 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

HideSelection  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

IsMasked : Boolean; (public) read

Left  (inherited) : Integer; (published) read/write
found in TControl

MaskState : TMaskedState; (protected) read/write


Properties of TCustomMaskEdit (MASK) (005)
84 Properties of TCustomMaskEdit (MASK) (005)
6 superordinates
330 methods

MaxLength : Integer; (protected) read/write
MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomEdit

Modified  (inherited) : Boolean; (public) read/write
found in TCustomEdit

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OEMConvert  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomEdit

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl


Properties of TCustomMaskEdit (MASK) (006)
84 Properties of TCustomMaskEdit (MASK) (006)
6 superordinates
330 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TCustomMaskEdit (MASK) (007)
84 Properties of TCustomMaskEdit (MASK) (007)
6 superordinates
330 methods

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentColor  (inherited)  (protected)
found in TCustomEdit

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PasswordChar  (inherited) : Char; (protected) read/write
found in TCustomEdit

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

SelLength  (inherited) : Integer; (public) read/write
found in TCustomEdit


Properties of TCustomMaskEdit (MASK) (008)
84 Properties of TCustomMaskEdit (MASK) (008)
6 superordinates
330 methods

SelStart  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelText  (inherited) : string; (public) read/write
found in TCustomEdit

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (inherited)  (published)
found in TCustomEdit

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text : string; (public) read/write
Text  (inherited) ; (public)
found in TCustomEdit

Top  (inherited) : Integer; (published) read/write
found in TControl


Properties of TCustomMaskEdit (MASK) (009)
84 Properties of TCustomMaskEdit (MASK) (009)
6 superordinates
330 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TMaskEdit (MASK)
84 Properties of TMaskEdit (MASK)
7 superordinates
330 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoSelect  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
AutoSelect ; (published)

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
AutoSize ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomEdit
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

CharCase  (inherited) : TEditCharCase; (protected) read/write
found in TCustomEdit
CharCase ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl


Properties of TMaskEdit (MASK) (002)
84 Properties of TMaskEdit (MASK) (002)
7 superordinates
330 methods

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl


Properties of TMaskEdit (MASK) (003)
84 Properties of TMaskEdit (MASK) (003)
7 superordinates
330 methods

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

EditMask  (inherited) : string; (protected) read/write
found in TCustomMaskEdit
EditMask ; (published)

EditText  (inherited) : string; (public) read/write
found in TCustomMaskEdit

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)


Properties of TMaskEdit (MASK) (004)
84 Properties of TMaskEdit (MASK) (004)
7 superordinates
330 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

HideSelection  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

IsMasked  (inherited) : Boolean; (public) read
found in TCustomMaskEdit

Left  (inherited) : Integer; (published) read/write
found in TControl

MaskState  (inherited) : TMaskedState; (protected) read/write
found in TCustomMaskEdit


Properties of TMaskEdit (MASK) (005)
84 Properties of TMaskEdit (MASK) (005)
7 superordinates
330 methods

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomMaskEdit
MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomEdit
MaxLength ; (published)

Modified  (inherited) : Boolean; (public) read/write
found in TCustomEdit

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OEMConvert  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomEdit
OnChange ; (published)

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)


Properties of TMaskEdit (MASK) (006)
84 Properties of TMaskEdit (MASK) (006)
7 superordinates
330 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TMaskEdit (MASK) (007)
84 Properties of TMaskEdit (MASK) (007)
7 superordinates
330 methods

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomEdit

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PasswordChar  (inherited) : Char; (protected) read/write
found in TCustomEdit
PasswordChar ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
ReadOnly ; (published)

SelLength  (inherited) : Integer; (public) read/write
found in TCustomEdit


Properties of TMaskEdit (MASK) (008)
84 Properties of TMaskEdit (MASK) (008)
7 superordinates
330 methods

SelStart  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelText  (inherited) : string; (public) read/write
found in TCustomEdit

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomEdit

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text  (inherited) : string; (public) read/write
found in TCustomMaskEdit
Text ; (published)
Text  (inherited) ; (public)
found in TCustomEdit

Top  (inherited) : Integer; (published) read/write
found in TControl


Properties of TMaskEdit (MASK) (009)
84 Properties of TMaskEdit (MASK) (009)
7 superordinates
330 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of EMCIDeviceError (MPLAYER)
3 Properties of EMCIDeviceError (MPLAYER)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TMediaPlayer (MPLAYER)
96 Properties of TMediaPlayer (MPLAYER)
6 superordinates
320 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoEnable : Boolean; (published) read/write

AutoOpen : Boolean; (published) read/write

AutoRewind : Boolean; (published) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Capabilities : TMPDevCapsSet; (public) read

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl


Properties of TMediaPlayer (MPLAYER) (002)
96 Properties of TMediaPlayer (MPLAYER) (002)
6 superordinates
320 methods

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ColoredButtons : TButtonSet; (published) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TMediaPlayer (MPLAYER) (003)
96 Properties of TMediaPlayer (MPLAYER) (003)
6 superordinates
320 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DeviceID : Word; (public) read

DeviceType : TMPDeviceTypes; (published) read/write

Display : TWinControl; (published) read/write


Properties of TMediaPlayer (MPLAYER) (004)
96 Properties of TMediaPlayer (MPLAYER) (004)
6 superordinates
320 methods

DisplayRect : TRect; (public) read/write

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

EnabledButtons : TButtonSet; (published) read/write

EndPos : Longint; (public) read/write

Error : Longint; (public) read

ErrorMessage : string; (public) read

FileName : string; (published) read/write

Font  (inherited) : TFont; (protected) read/write
found in TControl


Properties of TMediaPlayer (MPLAYER) (005)
96 Properties of TMediaPlayer (MPLAYER) (005)
6 superordinates
320 methods

Frames : Longint; (public) read/write

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

Length : Longint; (public) read

Mode : TMPModes; (public) read

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TMediaPlayer (MPLAYER) (006)
96 Properties of TMediaPlayer (MPLAYER) (006)
6 superordinates
320 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Notify : Boolean; (public) read/write

NotifyValue : TMPNotifyValues; (public) read

OnClick : EMPNotify; (published) read/write
OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)


Properties of TMediaPlayer (MPLAYER) (007)
96 Properties of TMediaPlayer (MPLAYER) (007)
6 superordinates
320 methods

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnNotify : TNotifyEvent; (published) read/write

OnPostClick : EMPPostNotify; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl


Properties of TMediaPlayer (MPLAYER) (008)
96 Properties of TMediaPlayer (MPLAYER) (008)
6 superordinates
320 methods

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

Position : Longint; (public) read/write

Shareable : Boolean; (published) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Start : Longint; (public) read


Properties of TMediaPlayer (MPLAYER) (009)
96 Properties of TMediaPlayer (MPLAYER) (009)
6 superordinates
320 methods

StartPos : Longint; (public) read/write

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TimeFormat : TMPTimeFormats; (public) read/write

Top  (inherited) : Integer; (published) read/write
found in TControl

TrackLength [TrackNum: Integer]: Longint; (public) read

TrackPosition [TrackNum: Integer]: Longint; (public) read

Tracks : Longint; (public) read


Properties of TMediaPlayer (MPLAYER) (010)
96 Properties of TMediaPlayer (MPLAYER) (010)
6 superordinates
320 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

VisibleButtons : TButtonSet; (published) read/write

Wait : Boolean; (public) read/write

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of OutlineError (OUTLINE)
14 Properties of OutlineError (OUTLINE)
1 superordinates
62 methods

Data : Pointer; (public) read/write

ExpandCount : LongInt; (protected) read

Expanded : Boolean; (public) read/write

FullPath : string; (public) read

HasItems : Boolean; (public) read

Index : LongInt; (public) read

IsVisible : Boolean; (public) read

Items [Index: LongInt]: TOutlineNode; (protected) read

Level : Cardinal; (public) read/write

List : TList; (protected) read


Properties of OutlineError (OUTLINE) (002)
14 Properties of OutlineError (OUTLINE) (002)
1 superordinates
62 methods

Outline : TCustomOutline; (protected) read

Parent : TOutlineNode; (public) read

Text : string; (public) read/write

TopItem : Longint; (public) read


Properties of EOutlineError (OUTLINE)
3 Properties of EOutlineError (OUTLINE)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TOutlineNode (OUTLINE)
14 Properties of TOutlineNode (OUTLINE)
2 superordinates
66 methods

Data : Pointer; (public) read/write

ExpandCount : LongInt; (protected) read

Expanded : Boolean; (public) read/write

FullPath : string; (public) read

HasItems : Boolean; (public) read

Index : LongInt; (public) read

IsVisible : Boolean; (public) read

Items [Index: LongInt]: TOutlineNode; (protected) read

Level : Cardinal; (public) read/write

List : TList; (protected) read


Properties of TOutlineNode (OUTLINE) (002)
14 Properties of TOutlineNode (OUTLINE) (002)
2 superordinates
66 methods

Outline : TCustomOutline; (protected) read

Parent : TOutlineNode; (public) read

Text : string; (public) read/write

TopItem : Longint; (public) read


Properties of TCustomOutline (OUTLINE)
110 Properties of TCustomOutline (OUTLINE)
7 superordinates
426 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomGrid

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl
Canvas ; (public)

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TCustomOutline (OUTLINE) (002)
110 Properties of TCustomOutline (OUTLINE) (002)
7 superordinates
426 methods

Col  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColWidths  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

Color  (inherited) : TColor; (protected) read/write
found in TControl

Color  (inherited)  (protected)
found in TCustomGrid

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TCustomOutline (OUTLINE) (003)
110 Properties of TCustomOutline (OUTLINE) (003)
7 superordinates
426 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DefaultColWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid

DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomGrid

DefaultRowHeight  (inherited) : Integer; (protected) read/write
found in TCustomGrid

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent


Properties of TCustomOutline (OUTLINE) (004)
110 Properties of TCustomOutline (OUTLINE) (004)
7 superordinates
426 methods

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

EditorMode  (inherited) : Boolean; (protected) read/write
found in TCustomGrid

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

FixedColor  (inherited) : TColor; (protected) read/write
found in TCustomGrid

FixedCols  (inherited) : Integer; (protected) read/write
found in TCustomGrid

FixedRows  (inherited) : Integer; (protected) read/write
found in TCustomGrid

Font  (inherited) : TFont; (protected) read/write
found in TControl

GridHeight  (inherited) : Integer; (protected) read
found in TCustomGrid

GridLineWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid


Properties of TCustomOutline (OUTLINE) (005)
110 Properties of TCustomOutline (OUTLINE) (005)
7 superordinates
426 methods

GridWidth  (inherited) : Integer; (protected) read
found in TCustomGrid

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

InplaceEditor  (inherited) : TInplaceEdit; (protected) read
found in TCustomGrid

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemCount : LongInt; (public) read

ItemHeight : Integer; (protected) read/write

ItemSeparator : string; (protected) read/write


Properties of TCustomOutline (OUTLINE) (006)
110 Properties of TCustomOutline (OUTLINE) (006)
7 superordinates
426 methods

Items [Index: LongInt]: TOutlineNode; (public) read

Left  (inherited) : Integer; (published) read/write
found in TControl

LeftCol  (inherited) : Longint; (protected) read/write
found in TCustomGrid

Lines : TStrings; (protected) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnCollapse : EOutlineChange; (protected) read/write

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl


Properties of TCustomOutline (OUTLINE) (007)
110 Properties of TCustomOutline (OUTLINE) (007)
7 superordinates
426 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnDrawItem : TDrawItemEvent; (protected) read/write

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExpand : EOutlineChange; (protected) read/write

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl


Properties of TCustomOutline (OUTLINE) (008)
110 Properties of TCustomOutline (OUTLINE) (008)
7 superordinates
426 methods

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Options  (inherited) : TGridOptions; (protected) read/write
found in TCustomGrid
Options : TOutlineOptions; (protected) read/write

OutlineStyle : TOutlineStyle; (protected) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentColor  (inherited)  (protected)
found in TCustomGrid

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TCustomOutline (OUTLINE) (009)
110 Properties of TCustomOutline (OUTLINE) (009)
7 superordinates
426 methods

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PictureClosed : TBitmap; (protected) read/write

PictureLeaf : TBitmap; (protected) read/write

PictureMinus : TBitmap; (protected) read/write

PictureOpen : TBitmap; (protected) read/write

PicturePlus : TBitmap; (protected) read/write

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

Row  (inherited) : Longint; (protected) read/write
found in TCustomGrid
Row ; (public)

RowCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

RowHeights  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid


Properties of TCustomOutline (OUTLINE) (010)
110 Properties of TCustomOutline (OUTLINE) (010)
7 superordinates
426 methods

ScrollBars  (inherited) : TScrollStyle; (protected) read/write
found in TCustomGrid

SelectedItem : Longint; (public) read/write

Selection  (inherited) : TGridRect; (protected) read/write
found in TCustomGrid

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Style : TOutlineType; (protected) read/write

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (inherited)  (published)
found in TCustomGrid

TabStops  (inherited) [Index: Longint]: Boolean; (protected) read/write
found in TCustomGrid


Properties of TCustomOutline (OUTLINE) (011)
110 Properties of TCustomOutline (OUTLINE) (011)
7 superordinates
426 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

TopRow  (inherited) : Longint; (protected) read/write
found in TCustomGrid

Visible  (inherited) : Boolean; (public) read/write
found in TControl

VisibleColCount  (inherited) : Integer; (protected) read
found in TCustomGrid

VisibleRowCount  (inherited) : Integer; (protected) read
found in TCustomGrid

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TOutline (OUTLINE)
110 Properties of TOutline (OUTLINE)
8 superordinates
426 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomGrid
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl
Canvas  (inherited) ; (public)
found in TCustomOutline

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TOutline (OUTLINE) (002)
110 Properties of TOutline (OUTLINE) (002)
8 superordinates
426 methods

Col  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

ColWidths  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

Color  (inherited)  (protected)
found in TCustomGrid

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TOutline (OUTLINE) (003)
110 Properties of TOutline (OUTLINE) (003)
8 superordinates
426 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DefaultColWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid

DefaultDrawing  (inherited) : Boolean; (protected) read/write
found in TCustomGrid

DefaultRowHeight  (inherited) : Integer; (protected) read/write
found in TCustomGrid

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent


Properties of TOutline (OUTLINE) (004)
110 Properties of TOutline (OUTLINE) (004)
8 superordinates
426 methods

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

EditorMode  (inherited) : Boolean; (protected) read/write
found in TCustomGrid

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

FixedColor  (inherited) : TColor; (protected) read/write
found in TCustomGrid

FixedCols  (inherited) : Integer; (protected) read/write
found in TCustomGrid

FixedRows  (inherited) : Integer; (protected) read/write
found in TCustomGrid

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

GridHeight  (inherited) : Integer; (protected) read
found in TCustomGrid

GridLineWidth  (inherited) : Integer; (protected) read/write
found in TCustomGrid


Properties of TOutline (OUTLINE) (005)
110 Properties of TOutline (OUTLINE) (005)
8 superordinates
426 methods

GridWidth  (inherited) : Integer; (protected) read
found in TCustomGrid

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

InplaceEditor  (inherited) : TInplaceEdit; (protected) read
found in TCustomGrid

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemCount  (inherited) : LongInt; (public) read
found in TCustomOutline

ItemHeight  (inherited) : Integer; (protected) read/write
found in TCustomOutline
ItemHeight ; (published)

ItemSeparator  (inherited) : string; (protected) read/write
found in TCustomOutline
ItemSeparator ; (published)


Properties of TOutline (OUTLINE) (006)
110 Properties of TOutline (OUTLINE) (006)
8 superordinates
426 methods

Items  (inherited) [Index: LongInt]: TOutlineNode; (public) read
found in TCustomOutline

Left  (inherited) : Integer; (published) read/write
found in TControl

LeftCol  (inherited) : Longint; (protected) read/write
found in TCustomGrid

Lines  (inherited) : TStrings; (protected) read/write
found in TCustomOutline
Lines ; (published)

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnCollapse  (inherited) : EOutlineChange; (protected) read/write
found in TCustomOutline
OnCollapse ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)


Properties of TOutline (OUTLINE) (007)
110 Properties of TOutline (OUTLINE) (007)
8 superordinates
426 methods

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawItem  (inherited) : TDrawItemEvent; (protected) read/write
found in TCustomOutline
OnDrawItem ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnExpand  (inherited) : EOutlineChange; (protected) read/write
found in TCustomOutline
OnExpand ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)


Properties of TOutline (OUTLINE) (008)
110 Properties of TOutline (OUTLINE) (008)
8 superordinates
426 methods

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Options  (inherited) : TGridOptions; (protected) read/write
found in TCustomGrid
Options  (inherited) : TOutlineOptions; (protected) read/write
found in TCustomOutline
Options ; (published)

OutlineStyle  (inherited) : TOutlineStyle; (protected) read/write
found in TCustomOutline
OutlineStyle ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomGrid

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)


Properties of TOutline (OUTLINE) (009)
110 Properties of TOutline (OUTLINE) (009)
8 superordinates
426 methods

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PictureClosed  (inherited) : TBitmap; (protected) read/write
found in TCustomOutline
PictureClosed ; (published)

PictureLeaf  (inherited) : TBitmap; (protected) read/write
found in TCustomOutline
PictureLeaf ; (published)

PictureMinus  (inherited) : TBitmap; (protected) read/write
found in TCustomOutline
PictureMinus ; (published)

PictureOpen  (inherited) : TBitmap; (protected) read/write
found in TCustomOutline
PictureOpen ; (published)

PicturePlus  (inherited) : TBitmap; (protected) read/write
found in TCustomOutline
PicturePlus ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

Row  (inherited) : Longint; (protected) read/write
found in TCustomGrid
Row  (inherited) ; (public)
found in TCustomOutline

RowCount  (inherited) : Longint; (protected) read/write
found in TCustomGrid

RowHeights  (inherited) [Index: Longint]: Integer; (protected) read/write
found in TCustomGrid


Properties of TOutline (OUTLINE) (010)
110 Properties of TOutline (OUTLINE) (010)
8 superordinates
426 methods

ScrollBars  (inherited) : TScrollStyle; (protected) read/write
found in TCustomGrid
ScrollBars ; (published)

SelectedItem  (inherited) : Longint; (public) read/write
found in TCustomOutline

Selection  (inherited) : TGridRect; (protected) read/write
found in TCustomGrid

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Style  (inherited) : TOutlineType; (protected) read/write
found in TCustomOutline
Style ; (published)

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomGrid

TabStops  (inherited) [Index: Longint]: Boolean; (protected) read/write
found in TCustomGrid


Properties of TOutline (OUTLINE) (011)
110 Properties of TOutline (OUTLINE) (011)
8 superordinates
426 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

TopRow  (inherited) : Longint; (protected) read/write
found in TCustomGrid

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

VisibleColCount  (inherited) : Integer; (protected) read
found in TCustomGrid

VisibleRowCount  (inherited) : Integer; (protected) read
found in TCustomGrid

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TParamDlg (PARAMDLG)
124 Properties of TParamDlg (PARAMDLG)
7 superordinates
352 methods

Active  (inherited) : Boolean; (public) read
found in TForm

ActiveControl  (inherited) : TWinControl; (published) read/write
found in TForm

ActiveMDIChild  (inherited) : TForm; (public) read
found in TForm

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoScroll  (inherited) : Boolean; (protected) read/write
found in TScrollingWinControl

AutoScroll  (inherited)  (published)
found in TForm

BorderIcons  (inherited) : TBorderIcons; (published) read/write
found in TForm

BorderStyle  (inherited) : TFormBorderStyle; (published) read/write
found in TForm

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl


Properties of TParamDlg (PARAMDLG) (002)
124 Properties of TParamDlg (PARAMDLG) (002)
7 superordinates
352 methods

Canvas  (inherited) : TCanvas; (public) read
found in TForm

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

Caption  (inherited)  (published)
found in TForm

ClientHandle  (inherited) : HWND; (public) read
found in TForm

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientHeight  (inherited)  (published) write
found in TForm

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

ClientWidth  (inherited)  (published) write
found in TForm


Properties of TParamDlg (PARAMDLG) (003)
124 Properties of TParamDlg (PARAMDLG) (003)
7 superordinates
352 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl

Color  (inherited)  (published)
found in TForm

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TParamDlg (PARAMDLG) (004)
124 Properties of TParamDlg (PARAMDLG) (004)
7 superordinates
352 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Ctl3D  (inherited)  (published)
found in TForm

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Designer  (inherited) : TDesigner; (public) read/write
found in TForm

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

DropTarget  (inherited) : Boolean; (public) read/write
found in TForm

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled  (inherited) ; (published)
found in TForm


Properties of TParamDlg (PARAMDLG) (005)
124 Properties of TParamDlg (PARAMDLG) (005)
7 superordinates
352 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font  (inherited) ; (published)
found in TForm

FormStyle  (inherited) : TFormStyle; (published) read/write
found in TForm

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Height  (inherited)  (published)
found in TForm

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Helper  (inherited) : TWinOleHelper; (public) read/write
found in TForm

Hint  (inherited) : string; (published) read/write
found in TControl

HorzScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

HorzScrollBar  (inherited)  (published)
found in TForm


Properties of TParamDlg (PARAMDLG) (006)
124 Properties of TParamDlg (PARAMDLG) (006)
7 superordinates
352 methods

Icon  (inherited) : TIcon; (published) read/write
found in TForm

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

KeyPreview  (inherited) : Boolean; (published) read/write
found in TForm

Left  (inherited) : Integer; (published) read/write
found in TControl

MDIChildCount  (inherited) : Integer; (public) read
found in TForm

MDIChildren  (inherited) [I: Integer]: TForm; (public) read
found in TForm

Menu  (inherited) : TMainMenu; (published) read/write
found in TForm

ModalResult  (inherited) : TModalResult; (public) read/write
found in TForm

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TParamDlg (PARAMDLG) (007)
124 Properties of TParamDlg (PARAMDLG) (007)
7 superordinates
352 methods

ObjectMenuItem  (inherited) : TMenuItem; (published) read/write
found in TForm

OnActivate  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnClick  (inherited)  (published)
found in TForm

OnClose  (inherited) : TCloseEvent; (published) read/write
found in TForm

OnCloseQuery  (inherited) : TCloseQueryEvent; (published) read/write
found in TForm

OnCreate  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited)  (published)
found in TForm

OnDeactivate  (inherited) : TNotifyEvent; (published) read/write
found in TForm


Properties of TParamDlg (PARAMDLG) (008)
124 Properties of TParamDlg (PARAMDLG) (008)
7 superordinates
352 methods

OnDestroy  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited)  (published)
found in TForm

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnDragOver  (inherited)  (published)
found in TForm

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnHide  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl


Properties of TParamDlg (PARAMDLG) (009)
124 Properties of TParamDlg (PARAMDLG) (009)
7 superordinates
352 methods

OnKeyDown  (inherited)  (published)
found in TForm

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited)  (published)
found in TForm

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited)  (published)
found in TForm

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited)  (published)
found in TForm

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited)  (published)
found in TForm

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl


Properties of TParamDlg (PARAMDLG) (010)
124 Properties of TParamDlg (PARAMDLG) (010)
7 superordinates
352 methods

OnMouseUp  (inherited)  (published)
found in TForm

OnPaint  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnResize  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnShow  (inherited) : TNotifyEvent; (published) read/write
found in TForm

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TParamDlg (PARAMDLG) (011)
124 Properties of TParamDlg (PARAMDLG) (011)
7 superordinates
352 methods

PixelsPerInch  (inherited) : Integer; (published) read/write
found in TForm

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

PopupMenu  (inherited)  (published)
found in TForm

Position  (inherited) : TPosition; (published) read/write
found in TForm

PrintScale  (inherited) : TPrintScale; (published) read/write
found in TForm

Scaled  (inherited) : Boolean; (published) read/write
found in TForm

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint  (inherited) ; (published)
found in TForm

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl


Properties of TParamDlg (PARAMDLG) (012)
124 Properties of TParamDlg (PARAMDLG) (012)
7 superordinates
352 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TileMode  (inherited) : TTileMode; (public) read/write
found in TForm

Top  (inherited) : Integer; (published) read/write
found in TControl

VertScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

VertScrollBar  (inherited)  (published)
found in TForm

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Visible  (inherited)  (published) write
found in TForm

Width  (inherited) : Integer; (published) read/write
found in TControl

Width  (inherited)  (published)
found in TForm


Properties of TParamDlg (PARAMDLG) (013)
124 Properties of TParamDlg (PARAMDLG) (013)
7 superordinates
352 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowMenu  (inherited) : TMenuItem; (published) read/write
found in TForm

WindowState  (inherited) : TWindowState; (published) read/write
found in TForm

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of EPrinter (PRINTERS)
3 Properties of EPrinter (PRINTERS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TPrinter (PRINTERS)
12 Properties of TPrinter (PRINTERS)
1 superordinates
40 methods

Aborted : Boolean; (public) read

Canvas : TCanvas; (public) read

Fonts : TStrings; (public) read

Handle : HDC; (public) read

Orientation : TPrinterOrientation; (public) read/write

PageHeight : Integer; (public) read

PageNumber : Integer; (public) read

PageWidth : Integer; (public) read

PrinterIndex : Integer; (public) read/write

Printers : TStrings; (public) read


Properties of TPrinter (PRINTERS) (002)
12 Properties of TPrinter (PRINTERS) (002)
1 superordinates
40 methods

Printing : Boolean; (public) read

Title : string; (public) read/write


Properties of TProcParams (PROCDLG)
124 Properties of TProcParams (PROCDLG)
7 superordinates
367 methods

Active  (inherited) : Boolean; (public) read
found in TForm

ActiveControl  (inherited) : TWinControl; (published) read/write
found in TForm

ActiveMDIChild  (inherited) : TForm; (public) read
found in TForm

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoScroll  (inherited) : Boolean; (protected) read/write
found in TScrollingWinControl

AutoScroll  (inherited)  (published)
found in TForm

BorderIcons  (inherited) : TBorderIcons; (published) read/write
found in TForm

BorderStyle  (inherited) : TFormBorderStyle; (published) read/write
found in TForm

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl


Properties of TProcParams (PROCDLG) (002)
124 Properties of TProcParams (PROCDLG) (002)
7 superordinates
367 methods

Canvas  (inherited) : TCanvas; (public) read
found in TForm

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

Caption  (inherited)  (published)
found in TForm

ClientHandle  (inherited) : HWND; (public) read
found in TForm

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientHeight  (inherited)  (published) write
found in TForm

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

ClientWidth  (inherited)  (published) write
found in TForm


Properties of TProcParams (PROCDLG) (003)
124 Properties of TProcParams (PROCDLG) (003)
7 superordinates
367 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl

Color  (inherited)  (published)
found in TForm

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TProcParams (PROCDLG) (004)
124 Properties of TProcParams (PROCDLG) (004)
7 superordinates
367 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Ctl3D  (inherited)  (published)
found in TForm

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Designer  (inherited) : TDesigner; (public) read/write
found in TForm

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

DropTarget  (inherited) : Boolean; (public) read/write
found in TForm

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled  (inherited) ; (published)
found in TForm


Properties of TProcParams (PROCDLG) (005)
124 Properties of TProcParams (PROCDLG) (005)
7 superordinates
367 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font  (inherited) ; (published)
found in TForm

FormStyle  (inherited) : TFormStyle; (published) read/write
found in TForm

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Height  (inherited)  (published)
found in TForm

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Helper  (inherited) : TWinOleHelper; (public) read/write
found in TForm

Hint  (inherited) : string; (published) read/write
found in TControl

HorzScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

HorzScrollBar  (inherited)  (published)
found in TForm


Properties of TProcParams (PROCDLG) (006)
124 Properties of TProcParams (PROCDLG) (006)
7 superordinates
367 methods

Icon  (inherited) : TIcon; (published) read/write
found in TForm

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

KeyPreview  (inherited) : Boolean; (published) read/write
found in TForm

Left  (inherited) : Integer; (published) read/write
found in TControl

MDIChildCount  (inherited) : Integer; (public) read
found in TForm

MDIChildren  (inherited) [I: Integer]: TForm; (public) read
found in TForm

Menu  (inherited) : TMainMenu; (published) read/write
found in TForm

ModalResult  (inherited) : TModalResult; (public) read/write
found in TForm

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TProcParams (PROCDLG) (007)
124 Properties of TProcParams (PROCDLG) (007)
7 superordinates
367 methods

ObjectMenuItem  (inherited) : TMenuItem; (published) read/write
found in TForm

OnActivate  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnClick  (inherited)  (published)
found in TForm

OnClose  (inherited) : TCloseEvent; (published) read/write
found in TForm

OnCloseQuery  (inherited) : TCloseQueryEvent; (published) read/write
found in TForm

OnCreate  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited)  (published)
found in TForm

OnDeactivate  (inherited) : TNotifyEvent; (published) read/write
found in TForm


Properties of TProcParams (PROCDLG) (008)
124 Properties of TProcParams (PROCDLG) (008)
7 superordinates
367 methods

OnDestroy  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited)  (published)
found in TForm

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnDragOver  (inherited)  (published)
found in TForm

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnHide  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl


Properties of TProcParams (PROCDLG) (009)
124 Properties of TProcParams (PROCDLG) (009)
7 superordinates
367 methods

OnKeyDown  (inherited)  (published)
found in TForm

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited)  (published)
found in TForm

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited)  (published)
found in TForm

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited)  (published)
found in TForm

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited)  (published)
found in TForm

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl


Properties of TProcParams (PROCDLG) (010)
124 Properties of TProcParams (PROCDLG) (010)
7 superordinates
367 methods

OnMouseUp  (inherited)  (published)
found in TForm

OnPaint  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnResize  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnShow  (inherited) : TNotifyEvent; (published) read/write
found in TForm

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TProcParams (PROCDLG) (011)
124 Properties of TProcParams (PROCDLG) (011)
7 superordinates
367 methods

PixelsPerInch  (inherited) : Integer; (published) read/write
found in TForm

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

PopupMenu  (inherited)  (published)
found in TForm

Position  (inherited) : TPosition; (published) read/write
found in TForm

PrintScale  (inherited) : TPrintScale; (published) read/write
found in TForm

Scaled  (inherited) : Boolean; (published) read/write
found in TForm

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint  (inherited) ; (published)
found in TForm

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl


Properties of TProcParams (PROCDLG) (012)
124 Properties of TProcParams (PROCDLG) (012)
7 superordinates
367 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TileMode  (inherited) : TTileMode; (public) read/write
found in TForm

Top  (inherited) : Integer; (published) read/write
found in TControl

VertScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

VertScrollBar  (inherited)  (published)
found in TForm

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Visible  (inherited)  (published) write
found in TForm

Width  (inherited) : Integer; (published) read/write
found in TControl

Width  (inherited)  (published)
found in TForm


Properties of TProcParams (PROCDLG) (013)
124 Properties of TProcParams (PROCDLG) (013)
7 superordinates
367 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowMenu  (inherited) : TMenuItem; (published) read/write
found in TForm

WindowState  (inherited) : TWindowState; (published) read/write
found in TForm

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TQueryParams (QBINDDLG)
124 Properties of TQueryParams (QBINDDLG)
7 superordinates
361 methods

Active  (inherited) : Boolean; (public) read
found in TForm

ActiveControl  (inherited) : TWinControl; (published) read/write
found in TForm

ActiveMDIChild  (inherited) : TForm; (public) read
found in TForm

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoScroll  (inherited) : Boolean; (protected) read/write
found in TScrollingWinControl

AutoScroll  (inherited)  (published)
found in TForm

BorderIcons  (inherited) : TBorderIcons; (published) read/write
found in TForm

BorderStyle  (inherited) : TFormBorderStyle; (published) read/write
found in TForm

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl


Properties of TQueryParams (QBINDDLG) (002)
124 Properties of TQueryParams (QBINDDLG) (002)
7 superordinates
361 methods

Canvas  (inherited) : TCanvas; (public) read
found in TForm

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

Caption  (inherited)  (published)
found in TForm

ClientHandle  (inherited) : HWND; (public) read
found in TForm

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientHeight  (inherited)  (published) write
found in TForm

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

ClientWidth  (inherited)  (published) write
found in TForm


Properties of TQueryParams (QBINDDLG) (003)
124 Properties of TQueryParams (QBINDDLG) (003)
7 superordinates
361 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl

Color  (inherited)  (published)
found in TForm

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TQueryParams (QBINDDLG) (004)
124 Properties of TQueryParams (QBINDDLG) (004)
7 superordinates
361 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Ctl3D  (inherited)  (published)
found in TForm

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

Designer  (inherited) : TDesigner; (public) read/write
found in TForm

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

DropTarget  (inherited) : Boolean; (public) read/write
found in TForm

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled  (inherited) ; (published)
found in TForm


Properties of TQueryParams (QBINDDLG) (005)
124 Properties of TQueryParams (QBINDDLG) (005)
7 superordinates
361 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font  (inherited) ; (published)
found in TForm

FormStyle  (inherited) : TFormStyle; (published) read/write
found in TForm

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Height  (inherited)  (published)
found in TForm

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Helper  (inherited) : TWinOleHelper; (public) read/write
found in TForm

Hint  (inherited) : string; (published) read/write
found in TControl

HorzScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

HorzScrollBar  (inherited)  (published)
found in TForm


Properties of TQueryParams (QBINDDLG) (006)
124 Properties of TQueryParams (QBINDDLG) (006)
7 superordinates
361 methods

Icon  (inherited) : TIcon; (published) read/write
found in TForm

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

KeyPreview  (inherited) : Boolean; (published) read/write
found in TForm

Left  (inherited) : Integer; (published) read/write
found in TControl

MDIChildCount  (inherited) : Integer; (public) read
found in TForm

MDIChildren  (inherited) [I: Integer]: TForm; (public) read
found in TForm

Menu  (inherited) : TMainMenu; (published) read/write
found in TForm

ModalResult  (inherited) : TModalResult; (public) read/write
found in TForm

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TQueryParams (QBINDDLG) (007)
124 Properties of TQueryParams (QBINDDLG) (007)
7 superordinates
361 methods

ObjectMenuItem  (inherited) : TMenuItem; (published) read/write
found in TForm

OnActivate  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnClick  (inherited)  (published)
found in TForm

OnClose  (inherited) : TCloseEvent; (published) read/write
found in TForm

OnCloseQuery  (inherited) : TCloseQueryEvent; (published) read/write
found in TForm

OnCreate  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited)  (published)
found in TForm

OnDeactivate  (inherited) : TNotifyEvent; (published) read/write
found in TForm


Properties of TQueryParams (QBINDDLG) (008)
124 Properties of TQueryParams (QBINDDLG) (008)
7 superordinates
361 methods

OnDestroy  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited)  (published)
found in TForm

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnDragOver  (inherited)  (published)
found in TForm

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnHide  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl


Properties of TQueryParams (QBINDDLG) (009)
124 Properties of TQueryParams (QBINDDLG) (009)
7 superordinates
361 methods

OnKeyDown  (inherited)  (published)
found in TForm

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited)  (published)
found in TForm

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited)  (published)
found in TForm

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited)  (published)
found in TForm

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited)  (published)
found in TForm

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl


Properties of TQueryParams (QBINDDLG) (010)
124 Properties of TQueryParams (QBINDDLG) (010)
7 superordinates
361 methods

OnMouseUp  (inherited)  (published)
found in TForm

OnPaint  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnResize  (inherited) : TNotifyEvent; (published) read/write
found in TForm

OnShow  (inherited) : TNotifyEvent; (published) read/write
found in TForm

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TQueryParams (QBINDDLG) (011)
124 Properties of TQueryParams (QBINDDLG) (011)
7 superordinates
361 methods

PixelsPerInch  (inherited) : Integer; (published) read/write
found in TForm

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

PopupMenu  (inherited)  (published)
found in TForm

Position  (inherited) : TPosition; (published) read/write
found in TForm

PrintScale  (inherited) : TPrintScale; (published) read/write
found in TForm

Scaled  (inherited) : Boolean; (published) read/write
found in TForm

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint  (inherited) ; (published)
found in TForm

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl


Properties of TQueryParams (QBINDDLG) (012)
124 Properties of TQueryParams (QBINDDLG) (012)
7 superordinates
361 methods

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

TileMode  (inherited) : TTileMode; (public) read/write
found in TForm

Top  (inherited) : Integer; (published) read/write
found in TControl

VertScrollBar  (inherited) : TControlScrollBar; (published) read/write
found in TScrollingWinControl

VertScrollBar  (inherited)  (published)
found in TForm

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Visible  (inherited)  (published) write
found in TForm

Width  (inherited) : Integer; (published) read/write
found in TControl

Width  (inherited)  (published)
found in TForm


Properties of TQueryParams (QBINDDLG) (013)
124 Properties of TQueryParams (QBINDDLG) (013)
7 superordinates
361 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowMenu  (inherited) : TMenuItem; (published) read/write
found in TForm

WindowState  (inherited) : TWindowState; (published) read/write
found in TForm

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of EReportError (REPORT)
3 Properties of EReportError (REPORT)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TReport (REPORT)
21 Properties of TReport (REPORT)
3 superordinates
70 methods

AutoUnload : Boolean; (published) read/write

Busy : Boolean; (public) read

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

EndPage : Word; (published) read/write

InitialValues : TStrings; (published) read/write

MaxRecords : Word; (published) read/write


Properties of TReport (REPORT) (002)
21 Properties of TReport (REPORT) (002)
3 superordinates
70 methods

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

Owner  (inherited) : TComponent; (public) read
found in TComponent

Preview : Boolean; (published) read/write

PrintCopies : Word; (published) read/write

ReportDir : string; (published) read/write

ReportHandle : HWND; (public) read

ReportName : string; (published) read/write

StartPage : Word; (published) read/write

Tag  (inherited) : Longint; (published) read/write
found in TComponent

VersionMajor : Integer; (public) read


Properties of TReport (REPORT) (003)
21 Properties of TReport (REPORT) (003)
3 superordinates
70 methods

VersionMinor : Integer; (public) read


Properties of TReportEditor (REPORT)
2 Properties of TReportEditor (REPORT)
2 superordinates
22 methods

Component  (inherited) : TComponent; (public) read
found in TComponentEditor

Designer  (inherited) : TFormDesigner; (public) read
found in TComponentEditor


Properties of TReportDirProperty (REPORT)
4 Properties of TReportDirProperty (REPORT)
2 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TReportNameProperty (REPORT)
4 Properties of TReportNameProperty (REPORT)
2 superordinates
46 methods

Designer  (inherited) : TFormDesigner; (public) read
found in TPropertyEditor

PrivateDirectory  (inherited) : string; (public) read
found in TPropertyEditor

PropCount  (inherited) : Integer; (public) read
found in TPropertyEditor

Value  (inherited) : string; (public) read/write
found in TPropertyEditor


Properties of TCustomGroupBox (STDCTRLS)
65 Properties of TCustomGroupBox (STDCTRLS)
6 superordinates
266 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TCustomGroupBox (STDCTRLS) (002)
65 Properties of TCustomGroupBox (STDCTRLS) (002)
6 superordinates
266 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TCustomGroupBox (STDCTRLS) (003)
65 Properties of TCustomGroupBox (STDCTRLS) (003)
6 superordinates
266 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl


Properties of TCustomGroupBox (STDCTRLS) (004)
65 Properties of TCustomGroupBox (STDCTRLS) (004)
6 superordinates
266 methods

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl


Properties of TCustomGroupBox (STDCTRLS) (005)
65 Properties of TCustomGroupBox (STDCTRLS) (005)
6 superordinates
266 methods

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TCustomGroupBox (STDCTRLS) (006)
65 Properties of TCustomGroupBox (STDCTRLS) (006)
6 superordinates
266 methods

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl


Properties of TCustomGroupBox (STDCTRLS) (007)
65 Properties of TCustomGroupBox (STDCTRLS) (007)
6 superordinates
266 methods

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TGroupBox (STDCTRLS)
65 Properties of TGroupBox (STDCTRLS)
7 superordinates
266 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)


Properties of TGroupBox (STDCTRLS) (002)
65 Properties of TGroupBox (STDCTRLS) (002)
7 superordinates
266 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TGroupBox (STDCTRLS) (003)
65 Properties of TGroupBox (STDCTRLS) (003)
7 superordinates
266 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl


Properties of TGroupBox (STDCTRLS) (004)
65 Properties of TGroupBox (STDCTRLS) (004)
7 superordinates
266 methods

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)


Properties of TGroupBox (STDCTRLS) (005)
65 Properties of TGroupBox (STDCTRLS) (005)
7 superordinates
266 methods

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)


Properties of TGroupBox (STDCTRLS) (006)
65 Properties of TGroupBox (STDCTRLS) (006)
7 superordinates
266 methods

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl


Properties of TGroupBox (STDCTRLS) (007)
65 Properties of TGroupBox (STDCTRLS) (007)
7 superordinates
266 methods

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TCustomLabel (STDCTRLS)
54 Properties of TCustomLabel (STDCTRLS)
5 superordinates
159 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

Alignment : TAlignment; (protected) read/write

AutoSize : Boolean; (protected) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Canvas  (inherited) : TCanvas; (protected) read
found in TGraphicControl
Canvas ; (public)

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TCustomLabel (STDCTRLS) (002)
54 Properties of TCustomLabel (STDCTRLS) (002)
5 superordinates
159 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl


Properties of TCustomLabel (STDCTRLS) (003)
54 Properties of TCustomLabel (STDCTRLS) (003)
5 superordinates
159 methods

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

FocusControl : TWinControl; (protected) read/write

Font  (inherited) : TFont; (protected) read/write
found in TControl

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TCustomLabel (STDCTRLS) (004)
54 Properties of TCustomLabel (STDCTRLS) (004)
5 superordinates
159 methods

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl


Properties of TCustomLabel (STDCTRLS) (005)
54 Properties of TCustomLabel (STDCTRLS) (005)
5 superordinates
159 methods

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowAccelChar : Boolean; (protected) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Transparent : Boolean; (protected) read/write


Properties of TCustomLabel (STDCTRLS) (006)
54 Properties of TCustomLabel (STDCTRLS) (006)
5 superordinates
159 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl

WordWrap : Boolean; (protected) read/write


Properties of TLabel (STDCTRLS)
54 Properties of TLabel (STDCTRLS)
6 superordinates
159 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

Alignment  (inherited) : TAlignment; (protected) read/write
found in TCustomLabel
Alignment ; (published)

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomLabel
AutoSize ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Canvas  (inherited) : TCanvas; (protected) read
found in TGraphicControl
Canvas  (inherited) ; (public)
found in TCustomLabel

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TLabel (STDCTRLS) (002)
54 Properties of TLabel (STDCTRLS) (002)
6 superordinates
159 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)


Properties of TLabel (STDCTRLS) (003)
54 Properties of TLabel (STDCTRLS) (003)
6 superordinates
159 methods

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

FocusControl  (inherited) : TWinControl; (protected) read/write
found in TCustomLabel
FocusControl ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Height  (inherited) : Integer; (published) read/write
found in TControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TLabel (STDCTRLS) (004)
54 Properties of TLabel (STDCTRLS) (004)
6 superordinates
159 methods

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl


Properties of TLabel (STDCTRLS) (005)
54 Properties of TLabel (STDCTRLS) (005)
6 superordinates
159 methods

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowAccelChar  (inherited) : Boolean; (protected) read/write
found in TCustomLabel
ShowAccelChar ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Transparent  (inherited) : Boolean; (protected) read/write
found in TCustomLabel
Transparent ; (published)


Properties of TLabel (STDCTRLS) (006)
54 Properties of TLabel (STDCTRLS) (006)
6 superordinates
159 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl

WordWrap  (inherited) : Boolean; (protected) read/write
found in TCustomLabel
WordWrap ; (published)


Properties of TCustomEdit (STDCTRLS)
80 Properties of TCustomEdit (STDCTRLS)
5 superordinates
293 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoSelect : Boolean; (protected) read/write

AutoSize : Boolean; (protected) read/write

BorderStyle : TBorderStyle; (protected) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

CharCase : TEditCharCase; (protected) read/write

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl


Properties of TCustomEdit (STDCTRLS) (002)
80 Properties of TCustomEdit (STDCTRLS) (002)
5 superordinates
293 methods

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl


Properties of TCustomEdit (STDCTRLS) (003)
80 Properties of TCustomEdit (STDCTRLS) (003)
5 superordinates
293 methods

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl


Properties of TCustomEdit (STDCTRLS) (004)
80 Properties of TCustomEdit (STDCTRLS) (004)
5 superordinates
293 methods

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

HideSelection : Boolean; (protected) read/write

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MaxLength : Integer; (protected) read/write

Modified : Boolean; (public) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TCustomEdit (STDCTRLS) (005)
80 Properties of TCustomEdit (STDCTRLS) (005)
5 superordinates
293 methods

OEMConvert : Boolean; (protected) read/write

OnChange : TNotifyEvent; (protected) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl


Properties of TCustomEdit (STDCTRLS) (006)
80 Properties of TCustomEdit (STDCTRLS) (006)
5 superordinates
293 methods

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentColor  (protected)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl


Properties of TCustomEdit (STDCTRLS) (007)
80 Properties of TCustomEdit (STDCTRLS) (007)
5 superordinates
293 methods

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PasswordChar : Char; (protected) read/write

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ReadOnly : Boolean; (protected) read/write

SelLength : Integer; (public) read/write

SelStart : Integer; (public) read/write

SelText : string; (public) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl


Properties of TCustomEdit (STDCTRLS) (008)
80 Properties of TCustomEdit (STDCTRLS) (008)
5 superordinates
293 methods

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text ; (public)

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TEdit (STDCTRLS)
80 Properties of TEdit (STDCTRLS)
6 superordinates
293 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

AutoSelect  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
AutoSelect ; (published)

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
AutoSize ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomEdit
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

CharCase  (inherited) : TEditCharCase; (protected) read/write
found in TCustomEdit
CharCase ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl


Properties of TEdit (STDCTRLS) (002)
80 Properties of TEdit (STDCTRLS) (002)
6 superordinates
293 methods

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl


Properties of TEdit (STDCTRLS) (003)
80 Properties of TEdit (STDCTRLS) (003)
6 superordinates
293 methods

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl


Properties of TEdit (STDCTRLS) (004)
80 Properties of TEdit (STDCTRLS) (004)
6 superordinates
293 methods

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

HideSelection  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
HideSelection ; (published)

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomEdit
MaxLength ; (published)

Modified  (inherited) : Boolean; (public) read/write
found in TCustomEdit

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TEdit (STDCTRLS) (005)
80 Properties of TEdit (STDCTRLS) (005)
6 superordinates
293 methods

OEMConvert  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
OEMConvert ; (published)

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomEdit
OnChange ; (published)

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)


Properties of TEdit (STDCTRLS) (006)
80 Properties of TEdit (STDCTRLS) (006)
6 superordinates
293 methods

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentColor  (inherited)  (protected)
found in TCustomEdit

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)


Properties of TEdit (STDCTRLS) (007)
80 Properties of TEdit (STDCTRLS) (007)
6 superordinates
293 methods

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PasswordChar  (inherited) : Char; (protected) read/write
found in TCustomEdit
PasswordChar ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
ReadOnly ; (published)

SelLength  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelStart  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelText  (inherited) : string; (public) read/write
found in TCustomEdit

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl


Properties of TEdit (STDCTRLS) (008)
80 Properties of TEdit (STDCTRLS) (008)
6 superordinates
293 methods

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomEdit

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text ; (published)
Text  (inherited) ; (public)
found in TCustomEdit

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TCustomMemo (STDCTRLS)
86 Properties of TCustomMemo (STDCTRLS)
6 superordinates
298 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

Alignment : TAlignment; (protected) read/write

AutoSelect  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomEdit

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

CharCase  (inherited) : TEditCharCase; (protected) read/write
found in TCustomEdit

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl


Properties of TCustomMemo (STDCTRLS) (002)
86 Properties of TCustomMemo (STDCTRLS) (002)
6 superordinates
298 methods

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl


Properties of TCustomMemo (STDCTRLS) (003)
86 Properties of TCustomMemo (STDCTRLS) (003)
6 superordinates
298 methods

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl


Properties of TCustomMemo (STDCTRLS) (004)
86 Properties of TCustomMemo (STDCTRLS) (004)
6 superordinates
298 methods

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

HideSelection  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

Lines : TStrings; (public) read/write

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomEdit

Modified  (inherited) : Boolean; (public) read/write
found in TCustomEdit


Properties of TCustomMemo (STDCTRLS) (005)
86 Properties of TCustomMemo (STDCTRLS) (005)
6 superordinates
298 methods

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OEMConvert  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomEdit

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl


Properties of TCustomMemo (STDCTRLS) (006)
86 Properties of TCustomMemo (STDCTRLS) (006)
6 superordinates
298 methods

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TCustomMemo (STDCTRLS) (007)
86 Properties of TCustomMemo (STDCTRLS) (007)
6 superordinates
298 methods

ParentColor  (inherited)  (protected)
found in TCustomEdit

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PasswordChar  (inherited) : Char; (protected) read/write
found in TCustomEdit

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

ScrollBars : TScrollStyle; (protected) read/write

SelLength  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelStart  (inherited) : Integer; (public) read/write
found in TCustomEdit


Properties of TCustomMemo (STDCTRLS) (008)
86 Properties of TCustomMemo (STDCTRLS) (008)
6 superordinates
298 methods

SelText  (inherited) : string; (public) read/write
found in TCustomEdit

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (inherited)  (published)
found in TCustomEdit

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text  (inherited) ; (public)
found in TCustomEdit

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl


Properties of TCustomMemo (STDCTRLS) (009)
86 Properties of TCustomMemo (STDCTRLS) (009)
6 superordinates
298 methods

WantReturns : Boolean; (protected) read/write

WantTabs : Boolean; (protected) read/write

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl

WordWrap : Boolean; (protected) read/write


Properties of TMemo (STDCTRLS)
86 Properties of TMemo (STDCTRLS)
7 superordinates
299 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

Alignment  (inherited) : TAlignment; (protected) read/write
found in TCustomMemo
Alignment ; (published)

AutoSelect  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

AutoSize  (inherited) : Boolean; (protected) read/write
found in TCustomEdit

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomEdit
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

CharCase  (inherited) : TEditCharCase; (protected) read/write
found in TCustomEdit

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl


Properties of TMemo (STDCTRLS) (002)
86 Properties of TMemo (STDCTRLS) (002)
7 superordinates
299 methods

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl


Properties of TMemo (STDCTRLS) (003)
86 Properties of TMemo (STDCTRLS) (003)
7 superordinates
299 methods

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)


Properties of TMemo (STDCTRLS) (004)
86 Properties of TMemo (STDCTRLS) (004)
7 superordinates
299 methods

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

HideSelection  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
HideSelection ; (published)

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

Lines  (inherited) : TStrings; (public) read/write
found in TCustomMemo
Lines ; (published)

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomEdit
MaxLength ; (published)

Modified  (inherited) : Boolean; (public) read/write
found in TCustomEdit


Properties of TMemo (STDCTRLS) (005)
86 Properties of TMemo (STDCTRLS) (005)
7 superordinates
299 methods

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OEMConvert  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
OEMConvert ; (published)

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomEdit
OnChange ; (published)

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)


Properties of TMemo (STDCTRLS) (006)
86 Properties of TMemo (STDCTRLS) (006)
7 superordinates
299 methods

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)


Properties of TMemo (STDCTRLS) (007)
86 Properties of TMemo (STDCTRLS) (007)
7 superordinates
299 methods

ParentColor  (inherited)  (protected)
found in TCustomEdit

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PasswordChar  (inherited) : Char; (protected) read/write
found in TCustomEdit

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ReadOnly  (inherited) : Boolean; (protected) read/write
found in TCustomEdit
ReadOnly ; (published)

ScrollBars  (inherited) : TScrollStyle; (protected) read/write
found in TCustomMemo
ScrollBars ; (published)

SelLength  (inherited) : Integer; (public) read/write
found in TCustomEdit

SelStart  (inherited) : Integer; (public) read/write
found in TCustomEdit


Properties of TMemo (STDCTRLS) (008)
86 Properties of TMemo (STDCTRLS) (008)
7 superordinates
299 methods

SelText  (inherited) : string; (public) read/write
found in TCustomEdit

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomEdit

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text  (inherited) ; (public)
found in TCustomEdit

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)


Properties of TMemo (STDCTRLS) (009)
86 Properties of TMemo (STDCTRLS) (009)
7 superordinates
299 methods

WantReturns  (inherited) : Boolean; (protected) read/write
found in TCustomMemo
WantReturns ; (published)

WantTabs  (inherited) : Boolean; (protected) read/write
found in TCustomMemo
WantTabs ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl

WordWrap  (inherited) : Boolean; (protected) read/write
found in TCustomMemo
WordWrap ; (published)


Properties of TCustomComboBox (STDCTRLS)
82 Properties of TCustomComboBox (STDCTRLS)
5 superordinates
295 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas : TCanvas; (public) read

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TCustomComboBox (STDCTRLS) (002)
82 Properties of TCustomComboBox (STDCTRLS) (002)
5 superordinates
295 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TCustomComboBox (STDCTRLS) (003)
82 Properties of TCustomComboBox (STDCTRLS) (003)
5 superordinates
295 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

DropDownCount : Integer; (protected) read/write

DroppedDown : Boolean; (public) read/write

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl


Properties of TCustomComboBox (STDCTRLS) (004)
82 Properties of TCustomComboBox (STDCTRLS) (004)
5 superordinates
295 methods

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemHeight : Integer; (protected) read/write

ItemIndex : Integer; (public) read/write

Items : TStrings; (public) read/write

Left  (inherited) : Integer; (published) read/write
found in TControl

MaxLength : Integer; (protected) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TCustomComboBox (STDCTRLS) (005)
82 Properties of TCustomComboBox (STDCTRLS) (005)
5 superordinates
295 methods

OnChange : TNotifyEvent; (protected) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnDrawItem : TDrawItemEvent; (protected) read/write

OnDropDown : TNotifyEvent; (protected) read/write

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl


Properties of TCustomComboBox (STDCTRLS) (006)
82 Properties of TCustomComboBox (STDCTRLS) (006)
5 superordinates
295 methods

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMeasureItem : TMeasureItemEvent; (protected) read/write

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TCustomComboBox (STDCTRLS) (007)
82 Properties of TCustomComboBox (STDCTRLS) (007)
5 superordinates
295 methods

ParentColor  (protected)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

SelLength : Integer; (public) read/write

SelStart : Integer; (public) read/write

SelText : string; (public) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl


Properties of TCustomComboBox (STDCTRLS) (008)
82 Properties of TCustomComboBox (STDCTRLS) (008)
5 superordinates
295 methods

Sorted : Boolean; (protected) read/write

Style : TComboBoxStyle; (protected) read/write

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl


Properties of TCustomComboBox (STDCTRLS) (009)
82 Properties of TCustomComboBox (STDCTRLS) (009)
5 superordinates
295 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TComboBox (STDCTRLS)
82 Properties of TComboBox (STDCTRLS)
6 superordinates
295 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (public) read
found in TCustomComboBox

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)


Properties of TComboBox (STDCTRLS) (002)
82 Properties of TComboBox (STDCTRLS) (002)
6 superordinates
295 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TComboBox (STDCTRLS) (003)
82 Properties of TComboBox (STDCTRLS) (003)
6 superordinates
295 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

DropDownCount  (inherited) : Integer; (protected) read/write
found in TCustomComboBox
DropDownCount ; (published)

DroppedDown  (inherited) : Boolean; (public) read/write
found in TCustomComboBox

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl


Properties of TComboBox (STDCTRLS) (004)
82 Properties of TComboBox (STDCTRLS) (004)
6 superordinates
295 methods

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemHeight  (inherited) : Integer; (protected) read/write
found in TCustomComboBox
ItemHeight ; (published)

ItemIndex  (inherited) : Integer; (public) read/write
found in TCustomComboBox

Items  (inherited) : TStrings; (public) read/write
found in TCustomComboBox
Items ; (published)

Left  (inherited) : Integer; (published) read/write
found in TControl

MaxLength  (inherited) : Integer; (protected) read/write
found in TCustomComboBox
MaxLength ; (published)

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent


Properties of TComboBox (STDCTRLS) (005)
82 Properties of TComboBox (STDCTRLS) (005)
6 superordinates
295 methods

OnChange  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomComboBox
OnChange ; (published)

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawItem  (inherited) : TDrawItemEvent; (protected) read/write
found in TCustomComboBox
OnDrawItem ; (published)

OnDropDown  (inherited) : TNotifyEvent; (protected) read/write
found in TCustomComboBox
OnDropDown ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)


Properties of TComboBox (STDCTRLS) (006)
82 Properties of TComboBox (STDCTRLS) (006)
6 superordinates
295 methods

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMeasureItem  (inherited) : TMeasureItemEvent; (protected) read/write
found in TCustomComboBox
OnMeasureItem ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)


Properties of TComboBox (STDCTRLS) (007)
82 Properties of TComboBox (STDCTRLS) (007)
6 superordinates
295 methods

ParentColor  (inherited)  (protected)
found in TCustomComboBox

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

SelLength  (inherited) : Integer; (public) read/write
found in TCustomComboBox

SelStart  (inherited) : Integer; (public) read/write
found in TCustomComboBox

SelText  (inherited) : string; (public) read/write
found in TCustomComboBox

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl


Properties of TComboBox (STDCTRLS) (008)
82 Properties of TComboBox (STDCTRLS) (008)
6 superordinates
295 methods

Sorted  (inherited) : Boolean; (protected) read/write
found in TCustomComboBox
Sorted ; (published)

Style  (inherited) : TComboBoxStyle; (protected) read/write
found in TCustomComboBox
Style ; (published)

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomComboBox

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl
Text ; (published)

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl


Properties of TComboBox (STDCTRLS) (009)
82 Properties of TComboBox (STDCTRLS) (009)
6 superordinates
295 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TButtonControl (STDCTRLS)
64 Properties of TButtonControl (STDCTRLS)
5 superordinates
264 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TButtonControl (STDCTRLS) (002)
64 Properties of TButtonControl (STDCTRLS) (002)
5 superordinates
264 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl


Properties of TButtonControl (STDCTRLS) (003)
64 Properties of TButtonControl (STDCTRLS) (003)
5 superordinates
264 methods

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TButtonControl (STDCTRLS) (004)
64 Properties of TButtonControl (STDCTRLS) (004)
5 superordinates
264 methods

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl


Properties of TButtonControl (STDCTRLS) (005)
64 Properties of TButtonControl (STDCTRLS) (005)
5 superordinates
264 methods

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl


Properties of TButtonControl (STDCTRLS) (006)
64 Properties of TButtonControl (STDCTRLS) (006)
5 superordinates
264 methods

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl


Properties of TButtonControl (STDCTRLS) (007)
64 Properties of TButtonControl (STDCTRLS) (007)
5 superordinates
264 methods

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TButton (STDCTRLS)
68 Properties of TButton (STDCTRLS)
6 superordinates
267 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Cancel : Boolean; (published) read/write

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl


Properties of TButton (STDCTRLS) (002)
68 Properties of TButton (STDCTRLS) (002)
6 superordinates
267 methods

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl


Properties of TButton (STDCTRLS) (003)
68 Properties of TButton (STDCTRLS) (003)
6 superordinates
267 methods

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

Default : Boolean; (published) read/write

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl


Properties of TButton (STDCTRLS) (004)
68 Properties of TButton (STDCTRLS) (004)
6 superordinates
267 methods

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

ModalResult : TModalResult; (published) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)


Properties of TButton (STDCTRLS) (005)
68 Properties of TButton (STDCTRLS) (005)
6 superordinates
267 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TButton (STDCTRLS) (006)
68 Properties of TButton (STDCTRLS) (006)
6 superordinates
267 methods

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl


Properties of TButton (STDCTRLS) (007)
68 Properties of TButton (STDCTRLS) (007)
6 superordinates
267 methods

TabStop  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TCustomCheckBox (STDCTRLS)
69 Properties of TCustomCheckBox (STDCTRLS)
6 superordinates
271 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

Alignment : TLeftRight; (protected) read/write

AllowGrayed : Boolean; (protected) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

Checked : Boolean; (protected) read/write

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl


Properties of TCustomCheckBox (STDCTRLS) (002)
69 Properties of TCustomCheckBox (STDCTRLS) (002)
6 superordinates
271 methods

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TCustomCheckBox (STDCTRLS) (003)
69 Properties of TCustomCheckBox (STDCTRLS) (003)
6 superordinates
271 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl


Properties of TCustomCheckBox (STDCTRLS) (004)
69 Properties of TCustomCheckBox (STDCTRLS) (004)
6 superordinates
271 methods

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl


Properties of TCustomCheckBox (STDCTRLS) (005)
69 Properties of TCustomCheckBox (STDCTRLS) (005)
6 superordinates
271 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TCustomCheckBox (STDCTRLS) (006)
69 Properties of TCustomCheckBox (STDCTRLS) (006)
6 superordinates
271 methods

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

State : TCheckBoxState; (protected) read/write

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl


Properties of TCustomCheckBox (STDCTRLS) (007)
69 Properties of TCustomCheckBox (STDCTRLS) (007)
6 superordinates
271 methods

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TCheckBox (STDCTRLS)
69 Properties of TCheckBox (STDCTRLS)
7 superordinates
271 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

Alignment  (inherited) : TLeftRight; (protected) read/write
found in TCustomCheckBox
Alignment ; (published)

AllowGrayed  (inherited) : Boolean; (protected) read/write
found in TCustomCheckBox
AllowGrayed ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

Checked  (inherited) : Boolean; (protected) read/write
found in TCustomCheckBox
Checked ; (published)

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl


Properties of TCheckBox (STDCTRLS) (002)
69 Properties of TCheckBox (STDCTRLS) (002)
7 superordinates
271 methods

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TCheckBox (STDCTRLS) (003)
69 Properties of TCheckBox (STDCTRLS) (003)
7 superordinates
271 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl


Properties of TCheckBox (STDCTRLS) (004)
69 Properties of TCheckBox (STDCTRLS) (004)
7 superordinates
271 methods

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)


Properties of TCheckBox (STDCTRLS) (005)
69 Properties of TCheckBox (STDCTRLS) (005)
7 superordinates
271 methods

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent


Properties of TCheckBox (STDCTRLS) (006)
69 Properties of TCheckBox (STDCTRLS) (006)
7 superordinates
271 methods

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

State  (inherited) : TCheckBoxState; (protected) read/write
found in TCustomCheckBox
State ; (published)

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)


Properties of TCheckBox (STDCTRLS) (007)
69 Properties of TCheckBox (STDCTRLS) (007)
7 superordinates
271 methods

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomCheckBox

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TRadioButton (STDCTRLS)
66 Properties of TRadioButton (STDCTRLS)
6 superordinates
268 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

Alignment : TLeftRight; (published) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl
Caption ; (published)

Checked : Boolean; (published) read/write

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TRadioButton (STDCTRLS) (002)
66 Properties of TRadioButton (STDCTRLS) (002)
6 superordinates
268 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)


Properties of TRadioButton (STDCTRLS) (003)
66 Properties of TRadioButton (STDCTRLS) (003)
6 superordinates
268 methods

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl


Properties of TRadioButton (STDCTRLS) (004)
66 Properties of TRadioButton (STDCTRLS) (004)
6 superordinates
268 methods

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)


Properties of TRadioButton (STDCTRLS) (005)
66 Properties of TRadioButton (STDCTRLS) (005)
6 superordinates
268 methods

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl


Properties of TRadioButton (STDCTRLS) (006)
66 Properties of TRadioButton (STDCTRLS) (006)
6 superordinates
268 methods

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TRadioButton (STDCTRLS) (007)
66 Properties of TRadioButton (STDCTRLS) (007)
6 superordinates
268 methods

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TCustomListBox (STDCTRLS)
82 Properties of TCustomListBox (STDCTRLS)
5 superordinates
290 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BorderStyle : TBorderStyle; (protected) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas : TCanvas; (public) read

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TCustomListBox (STDCTRLS) (002)
82 Properties of TCustomListBox (STDCTRLS) (002)
5 superordinates
290 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl

Columns : Integer; (protected) read/write

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TCustomListBox (STDCTRLS) (003)
82 Properties of TCustomListBox (STDCTRLS) (003)
5 superordinates
290 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl

Enabled  (inherited) : Boolean; (public) read/write
found in TControl

ExtendedSelect : Boolean; (protected) read/write

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl


Properties of TCustomListBox (STDCTRLS) (004)
82 Properties of TCustomListBox (STDCTRLS) (004)
5 superordinates
290 methods

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IntegralHeight : Boolean; (protected) read/write

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemHeight : Integer; (protected) read/write

ItemIndex : Integer; (public) read/write

Items : TStrings; (public) read/write

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TCustomListBox (STDCTRLS) (005)
82 Properties of TCustomListBox (STDCTRLS) (005)
5 superordinates
290 methods

MultiSelect : Boolean; (protected) read/write

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl

OnDrawItem : TDrawItemEvent; (protected) read/write

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl


Properties of TCustomListBox (STDCTRLS) (006)
82 Properties of TCustomListBox (STDCTRLS) (006)
5 superordinates
290 methods

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMeasureItem : TMeasureItemEvent; (protected) read/write

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TCustomListBox (STDCTRLS) (007)
82 Properties of TCustomListBox (STDCTRLS) (007)
5 superordinates
290 methods

ParentColor  (protected)

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

SelCount : Integer; (public) read

Selected [Index: Integer]: Boolean; (public) read/write

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Sorted : Boolean; (protected) read/write


Properties of TCustomListBox (STDCTRLS) (008)
82 Properties of TCustomListBox (STDCTRLS) (008)
5 superordinates
290 methods

Style : TListBoxStyle; (protected) read/write

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

TopIndex : Integer; (public) read/write

Visible  (inherited) : Boolean; (public) read/write
found in TControl

Width  (inherited) : Integer; (published) read/write
found in TControl


Properties of TCustomListBox (STDCTRLS) (009)
82 Properties of TCustomListBox (STDCTRLS) (009)
5 superordinates
290 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TListBox (STDCTRLS)
82 Properties of TListBox (STDCTRLS)
6 superordinates
290 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

BorderStyle  (inherited) : TBorderStyle; (protected) read/write
found in TCustomListBox
BorderStyle ; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (public) read
found in TCustomListBox

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl


Properties of TListBox (STDCTRLS) (002)
82 Properties of TListBox (STDCTRLS) (002)
6 superordinates
290 methods

Color  (inherited) : TColor; (protected) read/write
found in TControl
Color ; (published)

Columns  (inherited) : Integer; (protected) read/write
found in TCustomListBox
Columns ; (published)

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TListBox (STDCTRLS) (003)
82 Properties of TListBox (STDCTRLS) (003)
6 superordinates
290 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

ExtendedSelect  (inherited) : Boolean; (protected) read/write
found in TCustomListBox
ExtendedSelect ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl


Properties of TListBox (STDCTRLS) (004)
82 Properties of TListBox (STDCTRLS) (004)
6 superordinates
290 methods

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IntegralHeight  (inherited) : Boolean; (protected) read/write
found in TCustomListBox
IntegralHeight ; (published)

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

ItemHeight  (inherited) : Integer; (protected) read/write
found in TCustomListBox
ItemHeight ; (published)

ItemIndex  (inherited) : Integer; (public) read/write
found in TCustomListBox

Items  (inherited) : TStrings; (public) read/write
found in TCustomListBox
Items ; (published)

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TListBox (STDCTRLS) (005)
82 Properties of TListBox (STDCTRLS) (005)
6 superordinates
290 methods

MultiSelect  (inherited) : Boolean; (protected) read/write
found in TCustomListBox
MultiSelect ; (published)

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawItem  (inherited) : TDrawItemEvent; (protected) read/write
found in TCustomListBox
OnDrawItem ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)


Properties of TListBox (STDCTRLS) (006)
82 Properties of TListBox (STDCTRLS) (006)
6 superordinates
290 methods

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMeasureItem  (inherited) : TMeasureItemEvent; (protected) read/write
found in TCustomListBox
OnMeasureItem ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl
ParentColor ; (published)


Properties of TListBox (STDCTRLS) (007)
82 Properties of TListBox (STDCTRLS) (007)
6 superordinates
290 methods

ParentColor  (inherited)  (protected)
found in TCustomListBox

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl
ParentFont ; (published)

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

SelCount  (inherited) : Integer; (public) read
found in TCustomListBox

Selected  (inherited) [Index: Integer]: Boolean; (public) read/write
found in TCustomListBox

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Sorted  (inherited) : Boolean; (protected) read/write
found in TCustomListBox
Sorted ; (published)


Properties of TListBox (STDCTRLS) (008)
82 Properties of TListBox (STDCTRLS) (008)
6 superordinates
290 methods

Style  (inherited) : TListBoxStyle; (protected) read/write
found in TCustomListBox
Style ; (published)

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl
TabStop ; (published)

TabStop  (inherited)  (published)
found in TCustomListBox

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

TopIndex  (inherited) : Integer; (public) read/write
found in TCustomListBox

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl


Properties of TListBox (STDCTRLS) (009)
82 Properties of TListBox (STDCTRLS) (009)
6 superordinates
290 methods

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TScrollBar (STDCTRLS)
73 Properties of TScrollBar (STDCTRLS)
5 superordinates
274 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent


Properties of TScrollBar (STDCTRLS) (002)
73 Properties of TScrollBar (STDCTRLS) (002)
5 superordinates
274 methods

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl


Properties of TScrollBar (STDCTRLS) (003)
73 Properties of TScrollBar (STDCTRLS) (003)
5 superordinates
274 methods

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TScrollBar (STDCTRLS) (004)
73 Properties of TScrollBar (STDCTRLS) (004)
5 superordinates
274 methods

Kind : TScrollBarKind; (published) read/write

LargeChange : TScrollBarInc; (published) read/write

Left  (inherited) : Integer; (published) read/write
found in TControl

Max : Integer; (published) read/write

Min : Integer; (published) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange : TNotifyEvent; (published) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl


Properties of TScrollBar (STDCTRLS) (005)
73 Properties of TScrollBar (STDCTRLS) (005)
5 superordinates
274 methods

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl


Properties of TScrollBar (STDCTRLS) (006)
73 Properties of TScrollBar (STDCTRLS) (006)
5 superordinates
274 methods

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl

OnScroll : TScrollEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl
PopupMenu ; (published)

Position : Integer; (published) read/write


Properties of TScrollBar (STDCTRLS) (007)
73 Properties of TScrollBar (STDCTRLS) (007)
5 superordinates
274 methods

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

SmallChange : TScrollBarInc; (published) read/write

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)


Properties of TScrollBar (STDCTRLS) (008)
73 Properties of TScrollBar (STDCTRLS) (008)
5 superordinates
274 methods

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Properties of TOleContainer (TOCTRL)
87 Properties of TOleContainer (TOCTRL)
6 superordinates
310 methods

Active : Boolean; (public) read/write

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

AllowInPlace : Boolean; (published) read/write

AutoActivate : TAutoActivate; (published) read/write

AutoSize : Boolean; (published) read/write

BorderStyle : TBorderStyle; (published) read/write

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl

Caption  (inherited) : TCaption; (protected) read/write
found in TControl


Properties of TOleContainer (TOCTRL) (002)
87 Properties of TOleContainer (TOCTRL) (002)
6 superordinates
310 methods

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl


Properties of TOleContainer (TOCTRL) (003)
87 Properties of TOleContainer (TOCTRL) (003)
6 superordinates
310 methods

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl

ConvertDlgHelp : THelpContext; (published) read/write

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
Ctl3D ; (published)

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl
DragCursor ; (published)

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)


Properties of TOleContainer (TOCTRL) (004)
87 Properties of TOleContainer (TOCTRL) (004)
6 superordinates
310 methods

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

Font  (inherited) : TFont; (protected) read/write
found in TControl

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

InActivation : Boolean; (public) read

InPlaceActive : Boolean; (public) read/write

InitInfo : BoleInitInfo; (public) read/write

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TOleContainer (TOCTRL) (005)
87 Properties of TOleContainer (TOCTRL) (005)
6 superordinates
310 methods

Left  (inherited) : Integer; (published) read/write
found in TControl

Modified : Boolean; (public) read/write

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

ObjClass : String; (published) read/write

ObjDoc : String; (published) read/write

ObjItem : String; (published) read/write

OnActivate : TNotifyEvent; (published) read/write

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnDblClick ; (published)


Properties of TOleContainer (TOCTRL) (006)
87 Properties of TOleContainer (TOCTRL) (006)
6 superordinates
310 methods

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyDown ; (published)

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl
OnKeyPress ; (published)

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl
OnKeyUp ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)


Properties of TOleContainer (TOCTRL) (007)
87 Properties of TOleContainer (TOCTRL) (007)
6 superordinates
310 methods

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

OnStatusLineEvent : TStatusLineEvent; (published) read/write

Owner  (inherited) : TComponent; (public) read
found in TComponent

PInitInfo : Pointer; (public) read/write

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl
ParentCtl3D ; (published)

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

Part : IBPart; (public) read


Properties of TOleContainer (TOCTRL) (008)
87 Properties of TOleContainer (TOCTRL) (008)
6 superordinates
310 methods

PartRect : TRect; (public) read/write

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

Site : TIBSite; (public) read/write

Storage : IStorage; (public) read

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl
TabOrder ; (published)

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

TabStop  (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent


Properties of TOleContainer (TOCTRL) (009)
87 Properties of TOleContainer (TOCTRL) (009)
6 superordinates
310 methods

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl

WindowText  (inherited) : PChar; (protected) read/write
found in TControl

Zoom : TZoomFactor; (published) read/write


Properties of TOleDropNotify (TOCTRL)
5 Properties of TOleDropNotify (TOCTRL)
1 superordinates
19 methods

DataFormat : Word; (public) read

DataHandle : THandle; (public) read

DropForm : TForm; (public) read

DropRect : TRect; (public) read

PInitInfo : Pointer; (public) read


Properties of TIToolServices (TOOLINTF)
0 Properties of TIToolServices (TOOLINTF)
2 superordinates
43 methods

no properties


Properties of TInterface (VIRTINTF)
0 Properties of TInterface (VIRTINTF)
1 superordinates
19 methods

no properties


Properties of TIStream (VIRTINTF)
0 Properties of TIStream (VIRTINTF)
2 superordinates
23 methods

no properties


Properties of Exception (SYSUTILS)
3 Properties of Exception (SYSUTILS)
1 superordinates
26 methods

HelpContext : Longint; (public) read/write

Message : string; (public) read/write

MessagePtr : PString; (public) read


Properties of EAbort (SYSUTILS)
3 Properties of EAbort (SYSUTILS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EOutOfMemory (SYSUTILS)
3 Properties of EOutOfMemory (SYSUTILS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EInOutError (SYSUTILS)
3 Properties of EInOutError (SYSUTILS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EIntError (SYSUTILS)
3 Properties of EIntError (SYSUTILS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EDivByZero (SYSUTILS)
3 Properties of EDivByZero (SYSUTILS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of ERangeError (SYSUTILS)
3 Properties of ERangeError (SYSUTILS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EIntOverflow (SYSUTILS)
3 Properties of EIntOverflow (SYSUTILS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EMathError (SYSUTILS)
3 Properties of EMathError (SYSUTILS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EInvalidOp (SYSUTILS)
3 Properties of EInvalidOp (SYSUTILS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EZeroDivide (SYSUTILS)
3 Properties of EZeroDivide (SYSUTILS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EOverflow (SYSUTILS)
3 Properties of EOverflow (SYSUTILS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EUnderflow (SYSUTILS)
3 Properties of EUnderflow (SYSUTILS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EInvalidPointer (SYSUTILS)
3 Properties of EInvalidPointer (SYSUTILS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EInvalidCast (SYSUTILS)
3 Properties of EInvalidCast (SYSUTILS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EConvertError (SYSUTILS)
3 Properties of EConvertError (SYSUTILS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EProcessorException (SYSUTILS)
3 Properties of EProcessorException (SYSUTILS)
2 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EFault (SYSUTILS)
3 Properties of EFault (SYSUTILS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EGPFault (SYSUTILS)
3 Properties of EGPFault (SYSUTILS)
4 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EStackFault (SYSUTILS)
3 Properties of EStackFault (SYSUTILS)
4 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EPageFault (SYSUTILS)
3 Properties of EPageFault (SYSUTILS)
4 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EInvalidOpCode (SYSUTILS)
3 Properties of EInvalidOpCode (SYSUTILS)
4 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of EBreakpoint (SYSUTILS)
3 Properties of EBreakpoint (SYSUTILS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of ESingleStep (SYSUTILS)
3 Properties of ESingleStep (SYSUTILS)
3 superordinates
26 methods

HelpContext  (inherited) : Longint; (public) read/write
found in Exception

Message  (inherited) : string; (public) read/write
found in Exception

MessagePtr  (inherited) : PString; (public) read
found in Exception


Properties of TTabSet (TABS)
81 Properties of TTabSet (TABS)
6 superordinates
270 methods

Align  (inherited) : TAlign; (public) read/write
found in TControl
Align ; (published)

AutoScroll : Boolean; (published)

BackgroundColor : TColor; (published)

BoundsRect  (inherited) : TRect; (public) read/write
found in TControl

Brush  (inherited) : TBrush; (public) read
found in TWinControl

Canvas  (inherited) : TCanvas; (protected) read
found in TCustomControl
Canvas ; (public)

Caption  (inherited) : TCaption; (protected) read/write
found in TControl

ClientHeight  (inherited) : Integer; (public) read/write
found in TControl

ClientOrigin  (inherited) : TPoint; (public) read
found in TControl

ClientRect  (inherited) : TRect; (public) read
found in TControl


Properties of TTabSet (TABS) (002)
81 Properties of TTabSet (TABS) (002)
6 superordinates
270 methods

ClientWidth  (inherited) : Integer; (public) read/write
found in TControl

Color  (inherited) : TColor; (protected) read/write
found in TControl

ComponentCount  (inherited) : Integer; (public) read
found in TComponent

ComponentIndex  (inherited) : Integer; (public) read/write
found in TComponent

ComponentState  (inherited) : TComponentState; (public) read
found in TComponent

Components  (inherited) [Index: Integer]: TComponent; (public) read
found in TComponent

ControlCount  (inherited) : Integer; (public) read
found in TWinControl

ControlState  (inherited) : TControlState; (public) read/write
found in TControl

ControlStyle  (inherited) : TControlStyle; (public) read/write
found in TControl

Controls  (inherited) [Index: Integer]: TControl; (public) read
found in TWinControl


Properties of TTabSet (TABS) (003)
81 Properties of TTabSet (TABS) (003)
6 superordinates
270 methods

Ctl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

Cursor  (inherited) : TCursor; (published) read/write
found in TControl

DefWndProc  (inherited) : Pointer; (protected) read/write
found in TWinControl

DesignInfo  (inherited) : Longint; (public) read/write
found in TComponent

DitherBackground : Boolean; (published)

DragCursor  (inherited) : TCursor; (protected) read/write
found in TControl

DragMode  (inherited) : TDragMode; (protected) read/write
found in TControl
DragMode ; (published)

Enabled  (inherited) : Boolean; (public) read/write
found in TControl
Enabled ; (published)

EndMargin : Integer; (published)

FirstIndex : Integer; (public)


Properties of TTabSet (TABS) (004)
81 Properties of TTabSet (TABS) (004)
6 superordinates
270 methods

Font  (inherited) : TFont; (protected) read/write
found in TControl
Font ; (published)

Handle  (inherited) : HWnd; (public) read
found in TWinControl

Height  (inherited) : Integer; (published) read/write
found in TControl

HelpContext  (inherited) : THelpContext; (published) read/write
found in TWinControl

Hint  (inherited) : string; (published) read/write
found in TControl

IsControl  (inherited) : Boolean; (protected) read/write
found in TControl

Left  (inherited) : Integer; (published) read/write
found in TControl

MouseCapture  (inherited) : Boolean; (protected) read/write
found in TControl

Name  (inherited) : TComponentName; (published) read/write
found in TComponent

OnChange : TTabChangeEvent ; (published)


Properties of TTabSet (TABS) (005)
81 Properties of TTabSet (TABS) (005)
6 superordinates
270 methods

OnClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl
OnClick ; (published)

OnDblClick  (inherited) : TNotifyEvent; (protected) read/write
found in TControl

OnDragDrop  (inherited) : TDragDropEvent; (protected) read/write
found in TControl
OnDragDrop ; (published)

OnDragOver  (inherited) : TDragOverEvent; (protected) read/write
found in TControl
OnDragOver ; (published)

OnDrawTab : TDrawTabEvent ; (published)

OnEndDrag  (inherited) : TEndDragEvent; (protected) read/write
found in TControl
OnEndDrag ; (published)

OnEnter  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnEnter ; (published)

OnExit  (inherited) : TNotifyEvent; (protected) read/write
found in TWinControl
OnExit ; (published)

OnKeyDown  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnKeyPress  (inherited) : TKeyPressEvent; (protected) read/write
found in TWinControl


Properties of TTabSet (TABS) (006)
81 Properties of TTabSet (TABS) (006)
6 superordinates
270 methods

OnKeyUp  (inherited) : TKeyEvent; (protected) read/write
found in TWinControl

OnMeasureTab : TMeasureTabEvent ; (published)

OnMouseDown  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseDown ; (published)

OnMouseMove  (inherited) : TMouseMoveEvent; (protected) read/write
found in TControl
OnMouseMove ; (published)

OnMouseUp  (inherited) : TMouseEvent; (protected) read/write
found in TControl
OnMouseUp ; (published)

Owner  (inherited) : TComponent; (public) read
found in TComponent

Parent  (inherited) : TWinControl; (public) read/write
found in TControl

ParentColor  (inherited) : Boolean; (protected) read/write
found in TControl

ParentCtl3D  (inherited) : Boolean; (protected) read/write
found in TWinControl

ParentFont  (inherited) : Boolean; (protected) read/write
found in TControl


Properties of TTabSet (TABS) (007)
81 Properties of TTabSet (TABS) (007)
6 superordinates
270 methods

ParentShowHint  (inherited) : Boolean; (protected) read/write
found in TControl
ParentShowHint ; (published)

PopupMenu  (inherited) : TPopupMenu; (protected) read/write
found in TControl

SelectedColor : TColor; (published)

ShowHint  (inherited) : Boolean; (public) read/write
found in TControl
ShowHint ; (published)

Showing  (inherited) : Boolean; (public) read
found in TWinControl

StartMargin : Integer; (published)

Style : TTabStyle; (published)

TabHeight : Integer; (published)

TabIndex : Integer; (published)

TabOrder  (inherited) : TTabOrder; (public) read/write
found in TWinControl


Properties of TTabSet (TABS) (008)
81 Properties of TTabSet (TABS) (008)
6 superordinates
270 methods

TabStop  (inherited) : Boolean; (public) read/write
found in TWinControl

Tabs : TStrings ; (published)

Tag  (inherited) : Longint; (published) read/write
found in TComponent

Text  (inherited) : TCaption; (protected) read/write
found in TControl

Top  (inherited) : Integer; (published) read/write
found in TControl

UnselectedColor : TColor; (published)

Visible  (inherited) : Boolean; (public) read/write
found in TControl
Visible ; (published)

VisibleTabs : Integer ; (published)

Width  (inherited) : Integer; (published) read/write
found in TControl

WindowHandle  (inherited) : HWnd; (protected) read/write
found in TWinControl


Properties of TTabSet (TABS) (009)
81 Properties of TTabSet (TABS) (009)
6 superordinates
270 methods

WindowText  (inherited) : PChar; (protected) read/write
found in TControl


Methods of TObject (SYSTEM)
17 Methods of TObject (SYSTEM)
0 superordinates
0 properties

class function
ClassInfo : Pointer ;
(published)

class function
ClassName : string ;
(published)

class function
ClassParent : TClass ;
(published)

function
ClassType : TClass ;
(published)

constructor
Create ;
(published)

procedure
DefaultHandler (var Message) ;
(published) virtual

destructor
Destroy ;
(published) virtual

procedure
Dispatch (var Message) ;
(published)

function
FieldAddress (const Name: string): Pointer ;
(published)

procedure
Free ;
(published)


Methods of TObject (SYSTEM) (002)
17 Methods of TObject (SYSTEM) (002)
0 superordinates
0 properties

procedure
FreeInstance ;
(published) virtual

class function
InheritsForm (AClass: TClass): Boolean ;
(published)

class procedure
InitInstance (Instance: Pointer): TObject ;
(published)

class function
InstanceSize : Word ;
(published)

class function
MethodAddress (const Name: string): Pointer ;
(published)

class function
MethodName (Address: Pointer): string ;
(published)

class function
NewInstance : TObject ;
(published) virtual


Methods of EStreamError (CLASSES)
26 Methods of EStreamError (CLASSES)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EStreamError (CLASSES) (002)
26 Methods of EStreamError (CLASSES) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EStreamError (CLASSES) (003)
26 Methods of EStreamError (CLASSES) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EFCreateError (CLASSES)
26 Methods of EFCreateError (CLASSES)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EFCreateError (CLASSES) (002)
26 Methods of EFCreateError (CLASSES) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EFCreateError (CLASSES) (003)
26 Methods of EFCreateError (CLASSES) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EFOpenError (CLASSES)
26 Methods of EFOpenError (CLASSES)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EFOpenError (CLASSES) (002)
26 Methods of EFOpenError (CLASSES) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EFOpenError (CLASSES) (003)
26 Methods of EFOpenError (CLASSES) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EFilerError (CLASSES)
26 Methods of EFilerError (CLASSES)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EFilerError (CLASSES) (002)
26 Methods of EFilerError (CLASSES) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EFilerError (CLASSES) (003)
26 Methods of EFilerError (CLASSES) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EReadError (CLASSES)
26 Methods of EReadError (CLASSES)
4 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EReadError (CLASSES) (002)
26 Methods of EReadError (CLASSES) (002)
4 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EReadError (CLASSES) (003)
26 Methods of EReadError (CLASSES) (003)
4 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EWriteError (CLASSES)
26 Methods of EWriteError (CLASSES)
4 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EWriteError (CLASSES) (002)
26 Methods of EWriteError (CLASSES) (002)
4 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EWriteError (CLASSES) (003)
26 Methods of EWriteError (CLASSES) (003)
4 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EClassNotFound (CLASSES)
26 Methods of EClassNotFound (CLASSES)
4 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EClassNotFound (CLASSES) (002)
26 Methods of EClassNotFound (CLASSES) (002)
4 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EClassNotFound (CLASSES) (003)
26 Methods of EClassNotFound (CLASSES) (003)
4 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EMethodNotFound (CLASSES)
26 Methods of EMethodNotFound (CLASSES)
4 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EMethodNotFound (CLASSES) (002)
26 Methods of EMethodNotFound (CLASSES) (002)
4 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EMethodNotFound (CLASSES) (003)
26 Methods of EMethodNotFound (CLASSES) (003)
4 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EInvalidImage (CLASSES)
26 Methods of EInvalidImage (CLASSES)
4 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInvalidImage (CLASSES) (002)
26 Methods of EInvalidImage (CLASSES) (002)
4 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInvalidImage (CLASSES) (003)
26 Methods of EInvalidImage (CLASSES) (003)
4 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EResNotFound (CLASSES)
26 Methods of EResNotFound (CLASSES)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EResNotFound (CLASSES) (002)
26 Methods of EResNotFound (CLASSES) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EResNotFound (CLASSES) (003)
26 Methods of EResNotFound (CLASSES) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EListError (CLASSES)
26 Methods of EListError (CLASSES)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EListError (CLASSES) (002)
26 Methods of EListError (CLASSES) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EListError (CLASSES) (003)
26 Methods of EListError (CLASSES) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EStringListError (CLASSES)
26 Methods of EStringListError (CLASSES)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EStringListError (CLASSES) (002)
26 Methods of EStringListError (CLASSES) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EStringListError (CLASSES) (003)
26 Methods of EStringListError (CLASSES) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EComponentError (CLASSES)
26 Methods of EComponentError (CLASSES)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EComponentError (CLASSES) (002)
26 Methods of EComponentError (CLASSES) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EComponentError (CLASSES) (003)
26 Methods of EComponentError (CLASSES) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EParserError (CLASSES)
26 Methods of EParserError (CLASSES)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EParserError (CLASSES) (002)
26 Methods of EParserError (CLASSES) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EParserError (CLASSES) (003)
26 Methods of EParserError (CLASSES) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TList (CLASSES)
35 Methods of TList (CLASSES)
1 superordinates
4 properties

function
Add (Item: Pointer): Integer ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
Delete (Index: Integer) ;
(public)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TList (CLASSES) (002)
35 Methods of TList (CLASSES) (002)
1 superordinates
4 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Error ;
(protected) virtual

procedure
Exchange (Index1, Index2: Integer) ;
(public)

function
Expand : TList ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
First : Pointer ;
(public)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
Get (Index: Integer): Pointer ;
(protected)

procedure
Grow ;
(protected) virtual


Methods of TList (CLASSES) (003)
35 Methods of TList (CLASSES) (003)
1 superordinates
4 properties

function
IndexOf (Item: Pointer): Integer ;
(public)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert (Index: Integer; Item: Pointer) ;
(public)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
Last : Pointer ;
(public)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Move (CurIndex, NewIndex: Integer) ;
(public)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TList (CLASSES) (004)
35 Methods of TList (CLASSES) (004)
1 superordinates
4 properties

procedure
Pack ;
(public)

procedure
Put (Index: Integer; Item: Pointer) ;
(protected)

function
Remove (Item: Pointer): Integer ;
(public)

procedure
SetCapacity (NewCapacity: Integer) ;
(protected)

procedure
SetCount (NewCount: Integer) ;
(protected)


Methods of TPersistent (CLASSES)
21 Methods of TPersistent (CLASSES)
1 superordinates
0 properties

procedure
Assign (Source: TPersistent) ;
(public) virtual

procedure
AssignError (Source: TPersistent) ;
(private)

procedure
AssignTo (Dest: TPersistent) ;
(protected) virtual

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) virtual


Methods of TPersistent (CLASSES) (002)
21 Methods of TPersistent (CLASSES) (002)
1 superordinates
0 properties

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TPersistent (CLASSES) (003)
21 Methods of TPersistent (CLASSES) (003)
1 superordinates
0 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TStrings (CLASSES)
52 Methods of TStrings (CLASSES)
2 superordinates
4 properties

function
Add (const S: string): Integer ;
(public) virtual

function
AddObject (const S: string; AObject: TObject): Integer ;
(public) virtual

procedure
AddStrings (Strings: TStrings) ;
(public) virtual

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginUpdate ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TStrings (CLASSES) (002)
52 Methods of TStrings (CLASSES) (002)
2 superordinates
4 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public) virtual/abstract

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete (Index: Integer) ;
(public) virtual/abstract

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
EndUpdate ;
(public)

function
Equals (Strings: TStrings): Boolean ;
(public)


Methods of TStrings (CLASSES) (003)
52 Methods of TStrings (CLASSES) (003)
2 superordinates
4 properties

procedure
Exchange (Index1, Index2: Integer) ;
(public) virtual

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
Get (Index: Integer): string ;
(protected) virtual/abstract

function
GetCount : Integer ;
(protected) virtual/abstract

function
GetObject (Index: Integer): TObject ;
(protected) virtual

function
GetText : PChar ;
(public) virtual

function
GetValue (const Name: string): string ;
(private)

function
GetValueIndex (const Name: string; Value: PString): Integer ;
(private)


Methods of TStrings (CLASSES) (004)
52 Methods of TStrings (CLASSES) (004)
2 superordinates
4 properties

function
IndexOf (const S: string): Integer ;
(public) virtual

function
IndexOfObject (AObject: TObject): Integer ;
(public)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert (Index: Integer; const S: string) ;
(public) virtual/abstract

procedure
InsertObject (Index: Integer; const S: string; AObject: TObject) ;
(public)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LoadFromFile (const FileName: string) ;
(public)

procedure
LoadFromStream (Stream: TStream) ;
(public) virtual

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TStrings (CLASSES) (005)
52 Methods of TStrings (CLASSES) (005)
2 superordinates
4 properties

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Move (CurIndex, NewIndex: Integer) ;
(public) virtual

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Put (Index: Integer; const S: string) ;
(protected) virtual

procedure
PutObject (Index: Integer; AObject: TObject) ;
(protected) virtual

procedure
ReadData (Reader: TReader) ;
(private)

procedure
SaveToFile (const FileName: string) ;
(public)

procedure
SaveToStream (Stream: TStream) ;
(public) virtual

procedure
SetText (Text: PChar) ;
(public) virtual

procedure
SetUpdateState (Updating: Boolean) ;
(protected) virtual


Methods of TStrings (CLASSES) (006)
52 Methods of TStrings (CLASSES) (006)
2 superordinates
4 properties

procedure
SetValue (const Name, Value: string) ;
(private)

procedure
WriteData (Writer: TWriter) ;
(private)


Methods of TStringList (CLASSES)
58 Methods of TStringList (CLASSES)
3 superordinates
8 properties

function
Add (const S: string): Integer ;
(public) override
function
Add  (inherited) (const S: string): Integer ;
(public) virtual, found in TStrings

function
AddObject  (inherited) (const S: string; AObject: TObject): Integer ;
(public) virtual, found in TStrings

procedure
AddStrings  (inherited) (Strings: TStrings) ;
(public) virtual, found in TStrings

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TStrings
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginUpdate  (inherited) ;
(public) , found in TStrings

procedure
Changed ;
(protected) virtual

procedure
Changing ;
(protected) virtual

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TStringList (CLASSES) (002)
58 Methods of TStringList (CLASSES) (002)
3 superordinates
8 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public) override
procedure
Clear  (inherited) ;
(public) virtual/abstract, found in TStrings

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TStrings
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete (Index: Integer) ;
(public) override
procedure
Delete  (inherited) (Index: Integer) ;
(public) virtual/abstract, found in TStrings

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TStringList (CLASSES) (003)
58 Methods of TStringList (CLASSES) (003)
3 superordinates
8 properties

procedure
EndUpdate  (inherited) ;
(public) , found in TStrings

function
Equals  (inherited) (Strings: TStrings): Boolean ;
(public) , found in TStrings

procedure
Exchange (Index1, Index2: Integer) ;
(public) override
procedure
Exchange  (inherited) (Index1, Index2: Integer) ;
(public) virtual, found in TStrings

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
Find (const S: string; var Index: Integer): Boolean ;
(public) virtual

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
Get (Index: Integer): string ;
(protected) override
function
Get  (inherited) (Index: Integer): string ;
(protected) virtual/abstract, found in TStrings

function
GetCount : Integer ;
(protected) override
function
GetCount  (inherited) : Integer ;
(protected) virtual/abstract, found in TStrings

function
GetObject (Index: Integer): TObject ;
(protected) override
function
GetObject  (inherited) (Index: Integer): TObject ;
(protected) virtual, found in TStrings


Methods of TStringList (CLASSES) (004)
58 Methods of TStringList (CLASSES) (004)
3 superordinates
8 properties

function
GetText  (inherited) : PChar ;
(public) virtual, found in TStrings

function
GetValue  (inherited) (const Name: string): string ;
(private) , found in TStrings

function
GetValueIndex  (inherited) (const Name: string; Value: PString): Integer ;
(private) , found in TStrings

function
IndexOf (const S: string): Integer ;
(public) override
function
IndexOf  (inherited) (const S: string): Integer ;
(public) virtual, found in TStrings

function
IndexOfObject  (inherited) (AObject: TObject): Integer ;
(public) , found in TStrings

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert (Index: Integer; const S: string) ;
(public) override
procedure
Insert  (inherited) (Index: Integer; const S: string) ;
(public) virtual/abstract, found in TStrings

procedure
InsertObject  (inherited) (Index: Integer; const S: string; AObject: TObject) ;
(public) , found in TStrings

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TStringList (CLASSES) (005)
58 Methods of TStringList (CLASSES) (005)
3 superordinates
8 properties

procedure
LoadFromFile  (inherited) (const FileName: string) ;
(public) , found in TStrings

procedure
LoadFromStream  (inherited) (Stream: TStream) ;
(public) virtual, found in TStrings

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Move  (inherited) (CurIndex, NewIndex: Integer) ;
(public) virtual, found in TStrings

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Put (Index: Integer; const S: string) ;
(protected) override
procedure
Put  (inherited) (Index: Integer; const S: string) ;
(protected) virtual, found in TStrings

procedure
PutObject (Index: Integer; AObject: TObject) ;
(protected) override
procedure
PutObject  (inherited) (Index: Integer; AObject: TObject) ;
(protected) virtual, found in TStrings

procedure
QuickSort (L, R: Integer) ;
(private)

procedure
ReadData  (inherited) (Reader: TReader) ;
(private) , found in TStrings


Methods of TStringList (CLASSES) (006)
58 Methods of TStringList (CLASSES) (006)
3 superordinates
8 properties

procedure
SaveToFile  (inherited) (const FileName: string) ;
(public) , found in TStrings

procedure
SaveToStream  (inherited) (Stream: TStream) ;
(public) virtual, found in TStrings

procedure
SetSorted (Value: Boolean) ;
(private)

procedure
SetText  (inherited) (Text: PChar) ;
(public) virtual, found in TStrings

procedure
SetUpdateState (Updating: Boolean) ;
(protected) override
procedure
SetUpdateState  (inherited) (Updating: Boolean) ;
(protected) virtual, found in TStrings

procedure
SetValue  (inherited) (const Name, Value: string) ;
(private) , found in TStrings

procedure
Sort ;
(public) virtual

procedure
WriteData  (inherited) (Writer: TWriter) ;
(private) , found in TStrings


Methods of TStream (CLASSES)
31 Methods of TStream (CLASSES)
1 superordinates
2 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

function
CopyFrom (Source: TStream; Count: Longint): Longint ;
(public)

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TStream (CLASSES) (002)
31 Methods of TStream (CLASSES) (002)
1 superordinates
2 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetPosition : Longint ;
(private)

function
GetSize : Longint ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TStream (CLASSES) (003)
31 Methods of TStream (CLASSES) (003)
1 superordinates
2 properties

function
Read (var Buffer; Count: Longint): Longint ;
(public) virtual/abstract

procedure
ReadBuffer (var Buffer; Count: Longint) ;
(public)

function
ReadComponent (Instance: TComponent): TComponent ;
(public)

function
ReadComponentRes (Instance: TComponent): TComponent ;
(public)

procedure
ReadResHeader ;
(public)

function
Seek (Offset: Longint; Origin: Word): Longint ;
(public) virtual/abstract

procedure
SetPosition (Pos: Longint) ;
(private)

function
Write (const Buffer; Count: Longint): Longint ;
(public) virtual/abstract

procedure
WriteBuffer (const Buffer; Count: Longint) ;
(public)

procedure
WriteComponent (Instance: TComponent) ;
(public)


Methods of TStream (CLASSES) (004)
31 Methods of TStream (CLASSES) (004)
1 superordinates
2 properties

procedure
WriteComponentRes (const ResName: string; Instance: TComponent) ;
(public)


Methods of THandleStream (CLASSES)
31 Methods of THandleStream (CLASSES)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

function
CopyFrom  (inherited) (Source: TStream; Count: Longint): Longint ;
(public) , found in TStream

constructor
Create (AHandle: Integer) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of THandleStream (CLASSES) (002)
31 Methods of THandleStream (CLASSES) (002)
2 superordinates
3 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetPosition  (inherited) : Longint ;
(private) , found in TStream

function
GetSize  (inherited) : Longint ;
(private) , found in TStream

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of THandleStream (CLASSES) (003)
31 Methods of THandleStream (CLASSES) (003)
2 superordinates
3 properties

function
Read (var Buffer; Count: Longint): Longint ;
(public) override
function
Read  (inherited) (var Buffer; Count: Longint): Longint ;
(public) virtual/abstract, found in TStream

procedure
ReadBuffer  (inherited) (var Buffer; Count: Longint) ;
(public) , found in TStream

function
ReadComponent  (inherited) (Instance: TComponent): TComponent ;
(public) , found in TStream

function
ReadComponentRes  (inherited) (Instance: TComponent): TComponent ;
(public) , found in TStream

procedure
ReadResHeader  (inherited) ;
(public) , found in TStream

function
Seek (Offset: Longint; Origin: Word): Longint ;
(public) override
function
Seek  (inherited) (Offset: Longint; Origin: Word): Longint ;
(public) virtual/abstract, found in TStream

procedure
SetPosition  (inherited) (Pos: Longint) ;
(private) , found in TStream

function
Write (const Buffer; Count: Longint): Longint ;
(public) override
function
Write  (inherited) (const Buffer; Count: Longint): Longint ;
(public) virtual/abstract, found in TStream

procedure
WriteBuffer  (inherited) (const Buffer; Count: Longint) ;
(public) , found in TStream

procedure
WriteComponent  (inherited) (Instance: TComponent) ;
(public) , found in TStream


Methods of THandleStream (CLASSES) (004)
31 Methods of THandleStream (CLASSES) (004)
2 superordinates
3 properties

procedure
WriteComponentRes  (inherited) (const ResName: string; Instance: TComponent) ;
(public) , found in TStream


Methods of TFileStream (CLASSES)
31 Methods of TFileStream (CLASSES)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

function
CopyFrom  (inherited) (Source: TStream; Count: Longint): Longint ;
(public) , found in TStream

constructor
Create  (inherited) (AHandle: Integer) ;
(public) , found in THandleStream
constructor
Create (const FileName: string; Mode: Word) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TFileStream (CLASSES) (002)
31 Methods of TFileStream (CLASSES) (002)
3 superordinates
3 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetPosition  (inherited) : Longint ;
(private) , found in TStream

function
GetSize  (inherited) : Longint ;
(private) , found in TStream

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TFileStream (CLASSES) (003)
31 Methods of TFileStream (CLASSES) (003)
3 superordinates
3 properties

function
Read  (inherited) (var Buffer; Count: Longint): Longint ;
(public) override, found in THandleStream
function
Read  (inherited) (var Buffer; Count: Longint): Longint ;
(public) virtual/abstract, found in TStream

procedure
ReadBuffer  (inherited) (var Buffer; Count: Longint) ;
(public) , found in TStream

function
ReadComponent  (inherited) (Instance: TComponent): TComponent ;
(public) , found in TStream

function
ReadComponentRes  (inherited) (Instance: TComponent): TComponent ;
(public) , found in TStream

procedure
ReadResHeader  (inherited) ;
(public) , found in TStream

function
Seek  (inherited) (Offset: Longint; Origin: Word): Longint ;
(public) override, found in THandleStream
function
Seek  (inherited) (Offset: Longint; Origin: Word): Longint ;
(public) virtual/abstract, found in TStream

procedure
SetPosition  (inherited) (Pos: Longint) ;
(private) , found in TStream

function
Write  (inherited) (const Buffer; Count: Longint): Longint ;
(public) override, found in THandleStream
function
Write  (inherited) (const Buffer; Count: Longint): Longint ;
(public) virtual/abstract, found in TStream

procedure
WriteBuffer  (inherited) (const Buffer; Count: Longint) ;
(public) , found in TStream

procedure
WriteComponent  (inherited) (Instance: TComponent) ;
(public) , found in TStream


Methods of TFileStream (CLASSES) (004)
31 Methods of TFileStream (CLASSES) (004)
3 superordinates
3 properties

procedure
WriteComponentRes  (inherited) (const ResName: string; Instance: TComponent) ;
(public) , found in TStream


Methods of TMemoryStream (CLASSES)
38 Methods of TMemoryStream (CLASSES)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)

function
CopyFrom  (inherited) (Source: TStream; Count: Longint): Longint ;
(public) , found in TStream

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TMemoryStream (CLASSES) (002)
38 Methods of TMemoryStream (CLASSES) (002)
2 superordinates
3 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetPosition  (inherited) : Longint ;
(private) , found in TStream

function
GetSize  (inherited) : Longint ;
(private) , found in TStream

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LoadFromFile (const FileName: string) ;
(public)

procedure
LoadFromStream (Stream: TStream) ;
(public)


Methods of TMemoryStream (CLASSES) (003)
38 Methods of TMemoryStream (CLASSES) (003)
2 superordinates
3 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
Read (var Buffer; Count: Longint): Longint ;
(public) override
function
Read  (inherited) (var Buffer; Count: Longint): Longint ;
(public) virtual/abstract, found in TStream

procedure
ReadBuffer  (inherited) (var Buffer; Count: Longint) ;
(public) , found in TStream

function
ReadComponent  (inherited) (Instance: TComponent): TComponent ;
(public) , found in TStream

function
ReadComponentRes  (inherited) (Instance: TComponent): TComponent ;
(public) , found in TStream

procedure
ReadResHeader  (inherited) ;
(public) , found in TStream

procedure
SaveToFile (const FileName: string) ;
(public)

procedure
SaveToStream (Stream: TStream) ;
(public)


Methods of TMemoryStream (CLASSES) (004)
38 Methods of TMemoryStream (CLASSES) (004)
2 superordinates
3 properties

function
Seek (Offset: Longint; Origin: Word): Longint ;
(public) override
function
Seek  (inherited) (Offset: Longint; Origin: Word): Longint ;
(public) virtual/abstract, found in TStream

procedure
SetCapacity (Value: Longint) ;
(private)

procedure
SetPosition  (inherited) (Pos: Longint) ;
(private) , found in TStream

procedure
SetSize (Size: Longint) ;
(public)

function
Write (const Buffer; Count: Longint): Longint ;
(public) override
function
Write  (inherited) (const Buffer; Count: Longint): Longint ;
(public) virtual/abstract, found in TStream

procedure
WriteBuffer  (inherited) (const Buffer; Count: Longint) ;
(public) , found in TStream

procedure
WriteComponent  (inherited) (Instance: TComponent) ;
(public) , found in TStream

procedure
WriteComponentRes  (inherited) (const ResName: string; Instance: TComponent) ;
(public) , found in TStream


Methods of TFiler (CLASSES)
19 Methods of TFiler (CLASSES)
1 superordinates
1 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (Stream: TStream; BufSize: Cardinal) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineBinaryProperty (const Name: string; ReadData, WriteData: TStreamProc; HasData: Boolean) ;
(public) virtual/abstract

procedure
DefineProperty (const Name: string; ReadData: TReaderProc; WriteData: TWriterProc; HasData: Boolean) ;
(public) virtual/abstract

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TFiler (CLASSES) (002)
19 Methods of TFiler (CLASSES) (002)
1 superordinates
1 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TReader (CLASSES)
53 Methods of TReader (CLASSES)
2 superordinates
6 properties

procedure
CheckValue (Value: TValueType) ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (Stream: TStream; BufSize: Cardinal) ;
(public) , found in TFiler
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineBinaryProperty (const Name: string; ReadData, WriteData: TStreamProc; HasData: Boolean) ;
(public) override
procedure
DefineBinaryProperty  (inherited) (const Name: string; ReadData, WriteData: TStreamProc; HasData: Boolean) ;
(public) virtual/abstract, found in TFiler

procedure
DefineProperty (const Name: string; ReadData: TReaderProc; WriteData: TWriterProc; HasData: Boolean) ;
(public) override
procedure
DefineProperty  (inherited) (const Name: string; ReadData: TReaderProc; WriteData: TWriterProc; HasData: Boolean) ;
(public) virtual/abstract, found in TFiler

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TFiler
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TReader (CLASSES) (002)
53 Methods of TReader (CLASSES) (002)
2 superordinates
6 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
EndOfList : Boolean ;
(public)

function
Error (const Message: string): Boolean ;
(protected) virtual

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindMethod (Root: TComponent; const MethodName: string): Pointer ;
(protected) virtual

procedure
FixupReferences ;
(private)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeFixups ;
(private)

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TReader (CLASSES) (003)
53 Methods of TReader (CLASSES) (003)
2 superordinates
6 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
NextValue : TValueType ;
(private)

procedure
PropertyError ;
(private)

procedure
Read (var Buf; Count: Longint) ;
(public)

function
ReadBoolean : Boolean ;
(public)

procedure
ReadBuffer ;
(private)


Methods of TReader (CLASSES) (004)
53 Methods of TReader (CLASSES) (004)
2 superordinates
6 properties

function
ReadChar : Char ;
(public)

function
ReadComponent : TComponent ;
(private)

procedure
ReadComponents (AOwner, AParent: TComponent; Proc: TReadComponentsProc) ;
(public)

procedure
ReadData (Instance: TComponent) ;
(private)

procedure
ReadDataInner (Instance: TComponent) ;
(private)

function
ReadFloat : Extended ;
(public)

function
ReadIdent : string ;
(public)

function
ReadInteger : Longint ;
(public)

procedure
ReadListBegin ;
(public)

procedure
ReadListEnd ;
(public)


Methods of TReader (CLASSES) (005)
53 Methods of TReader (CLASSES) (005)
2 superordinates
6 properties

procedure
ReadPropValue (Instance: TPersistent; PropInfo: Pointer) ;
(private)

procedure
ReadProperty (AInstance: TComponent) ;
(private)

function
ReadRootComponent (Root: TComponent): TComponent ;
(public)

function
ReadSet (SetType: Pointer): Cardinal ;
(private)

procedure
ReadSignature ;
(public)

function
ReadStr : string ;
(public)

function
ReadString : string ;
(public)

function
ReadValue : TValueType ;
(private)

procedure
SetName (Component: TComponent; var Name: string) ;
(protected) virtual

procedure
SkipComponent (SkipType: Boolean) ;
(private)


Methods of TReader (CLASSES) (006)
53 Methods of TReader (CLASSES) (006)
2 superordinates
6 properties

procedure
SkipProperty ;
(private)

procedure
SkipSetBody ;
(private)

procedure
SkipValue ;
(private)


Methods of TWriter (CLASSES)
39 Methods of TWriter (CLASSES)
2 superordinates
1 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (Stream: TStream; BufSize: Cardinal) ;
(public) , found in TFiler
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineBinaryProperty (const Name: string; ReadData, WriteData: TStreamProc; HasData: Boolean) ;
(public) override
procedure
DefineBinaryProperty  (inherited) (const Name: string; ReadData, WriteData: TStreamProc; HasData: Boolean) ;
(public) virtual/abstract, found in TFiler

procedure
DefineProperty (const Name: string; ReadData: TReaderProc; WriteData: TWriterProc; HasData: Boolean) ;
(public) override
procedure
DefineProperty  (inherited) (const Name: string; ReadData: TReaderProc; WriteData: TWriterProc; HasData: Boolean) ;
(public) virtual/abstract, found in TFiler

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TFiler
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TWriter (CLASSES) (002)
39 Methods of TWriter (CLASSES) (002)
2 superordinates
1 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Write (const Buf; Count: Longint) ;
(public)


Methods of TWriter (CLASSES) (003)
39 Methods of TWriter (CLASSES) (003)
2 superordinates
1 properties

procedure
WriteBinary (WriteData: TStreamProc) ;
(private)

procedure
WriteBoolean (Value: Boolean) ;
(public)

procedure
WriteBuffer ;
(private)

procedure
WriteChar (Value: Char) ;
(public)

procedure
WriteComponent (Component: TComponent) ;
(public)

procedure
WriteData (Instance: TComponent) ;
(private)

procedure
WriteFloat (Value: Extended) ;
(public)

procedure
WriteIdent (const Ident: string) ;
(public)

procedure
WriteInteger (Value: Longint) ;
(public)

procedure
WriteListBegin ;
(public)


Methods of TWriter (CLASSES) (004)
39 Methods of TWriter (CLASSES) (004)
2 superordinates
1 properties

procedure
WriteListEnd ;
(public)

procedure
WritePropName (const PropName: string) ;
(private)

procedure
WriteProperties (Instance: TPersistent) ;
(private)

procedure
WriteProperty (Instance: TPersistent; PropInfo: Pointer) ;
(private)

procedure
WriteRootComponent (Root: TComponent) ;
(public)

procedure
WriteSignature ;
(public)

procedure
WriteStr (const Value: string) ;
(public)

procedure
WriteString (const Value: string) ;
(public)

procedure
WriteValue (Value: TValueType) ;
(private)


Methods of TParser (CLASSES)
30 Methods of TParser (CLASSES)
1 superordinates
2 properties

procedure
CheckToken (T: Char) ;
(public)

procedure
CheckTokenSymbol (const S: string) ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (Stream: TStream) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TParser (CLASSES) (002)
30 Methods of TParser (CLASSES) (002)
1 superordinates
2 properties

procedure
Error (MessageID: Word) ;
(public)

procedure
ErrorStr (const Message: string) ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

procedure
HexToBinary (Stream: TStream) ;
(public)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TParser (CLASSES) (003)
30 Methods of TParser (CLASSES) (003)
1 superordinates
2 properties

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
NextToken : Char ;
(public)

procedure
ReadBuffer ;
(private)

procedure
SkipBlanks ;
(private)

function
SourcePos : Longint ;
(public)

function
TokenFloat : Extended ;
(public)

function
TokenInt : Longint ;
(public)

function
TokenString : string ;
(public)

function
TokenSymbolIs (const S: string): Boolean ;
(public)


Methods of TComponent (CLASSES)
48 Methods of TComponent (CLASSES)
2 superordinates
8 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName (const NewName: TComponentName) ;
(protected)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) virtual
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TComponent (CLASSES) (002)
48 Methods of TComponent (CLASSES) (002)
2 superordinates
8 properties

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents ;
(public)

procedure
Destroying ;
(public)

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent (const AName: string): TComponent ;
(public)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent (AIndex: Integer): TComponent ;
(private)


Methods of TComponent (CLASSES) (003)
48 Methods of TComponent (CLASSES) (003)
2 superordinates
8 properties

function
GetComponentCount : Integer ;
(private)

function
GetComponentIndex : Integer ;
(private)

function
GetName : TComponentName ;
(private)

function
HasParent : Boolean ;
(protected) virtual

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert (AComponent: TComponent) ;
(private)

procedure
InsertComponent (AComponent: TComponent) ;
(public)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded ;
(protected) virtual


Methods of TComponent (CLASSES) (004)
48 Methods of TComponent (CLASSES) (004)
2 superordinates
8 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual

procedure
ReadLeft (Reader: TReader) ;
(private)

procedure
ReadState (Reader: TReader) ;
(protected) virtual

procedure
ReadTop (Reader: TReader) ;
(private)

procedure
Remove (AComponent: TComponent) ;
(private)

procedure
RemoveComponent (AComponent: TComponent) ;
(public)

procedure
SetComponentIndex (Value: Integer) ;
(private)


Methods of TComponent (CLASSES) (005)
48 Methods of TComponent (CLASSES) (005)
2 superordinates
8 properties

procedure
SetDesigning (Value: Boolean) ;
(protected)

procedure
SetName (const NewName: TComponentName) ;
(protected) virtual

procedure
SetReference (Enable: Boolean) ;
(private)

procedure
ValidateRename (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual

procedure
WriteComponents (Writer: TWriter) ;
(protected) virtual

procedure
WriteLeft (Writer: TWriter) ;
(private)

procedure
WriteState (Writer: TWriter) ;
(protected) virtual

procedure
WriteTop (Writer: TWriter) ;
(private)


Methods of TControlScrollBar (FORMS)
32 Methods of TControlScrollBar (FORMS)
2 superordinates
7 properties

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
CalcAutoRange ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

function
ControlSize (ControlSB, AssumeSB: Boolean): Integer ;
(private)

constructor
Create (AControl: TScrollingWinControl; AKind: TScrollBarKind) ;
(private)
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TControlScrollBar (FORMS) (002)
32 Methods of TControlScrollBar (FORMS) (002)
2 superordinates
7 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoSetRange (Value: Integer) ;
(private)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetScrollPos : Integer ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TControlScrollBar (FORMS) (003)
32 Methods of TControlScrollBar (FORMS) (003)
2 superordinates
7 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsRangeStored : Boolean ;
(private)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

function
NeedsScrollBarVisible : Boolean ;
(private)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
ScrollMessage (var Msg: TWMScroll) ;
(private)

procedure
SetPosition (Value: Integer) ;
(private)

procedure
SetRange (Value: Integer) ;
(private)


Methods of TControlScrollBar (FORMS) (004)
32 Methods of TControlScrollBar (FORMS) (004)
2 superordinates
7 properties

procedure
SetVisible (Value: Boolean) ;
(private)

procedure
Update (ControlSB, AssumeSB: Boolean) ;
(private)


Methods of TScrollingWinControl (FORMS)
272 Methods of TScrollingWinControl (FORMS)
5 superordinates
67 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls (AControl: TControl; var ARect: TRect) ;
(protected) override
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AutoScrollInView (AControl: TControl) ;
(protected)

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl


Methods of TScrollingWinControl (FORMS) (002)
272 Methods of TScrollingWinControl (FORMS) (002)
5 superordinates
67 properties

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TScrollingWinControl (FORMS) (003)
272 Methods of TScrollingWinControl (FORMS) (003)
5 superordinates
67 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of TScrollingWinControl (FORMS) (004)
272 Methods of TScrollingWinControl (FORMS) (004)
5 superordinates
67 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TScrollingWinControl (FORMS) (005)
272 Methods of TScrollingWinControl (FORMS) (005)
5 superordinates
67 properties

procedure
CalcAutoRange ;
(private)

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale (M, D: Integer) ;
(protected) override
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl


Methods of TScrollingWinControl (FORMS) (006)
272 Methods of TScrollingWinControl (FORMS) (006)
5 superordinates
67 properties

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl


Methods of TScrollingWinControl (FORMS) (007)
272 Methods of TScrollingWinControl (FORMS) (007)
5 superordinates
67 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TScrollingWinControl (FORMS) (008)
272 Methods of TScrollingWinControl (FORMS) (008)
5 superordinates
67 properties

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl


Methods of TScrollingWinControl (FORMS) (009)
272 Methods of TScrollingWinControl (FORMS) (009)
5 superordinates
67 properties

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TScrollingWinControl (FORMS) (010)
272 Methods of TScrollingWinControl (FORMS) (010)
5 superordinates
67 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of TScrollingWinControl (FORMS) (011)
272 Methods of TScrollingWinControl (FORMS) (011)
5 superordinates
67 properties

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl


Methods of TScrollingWinControl (FORMS) (012)
272 Methods of TScrollingWinControl (FORMS) (012)
5 superordinates
67 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TScrollingWinControl (FORMS) (013)
272 Methods of TScrollingWinControl (FORMS) (013)
5 superordinates
67 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TScrollingWinControl (FORMS) (014)
272 Methods of TScrollingWinControl (FORMS) (014)
5 superordinates
67 properties

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TScrollingWinControl (FORMS) (015)
272 Methods of TScrollingWinControl (FORMS) (015)
5 superordinates
67 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TScrollingWinControl (FORMS) (016)
272 Methods of TScrollingWinControl (FORMS) (016)
5 superordinates
67 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TScrollingWinControl (FORMS) (017)
272 Methods of TScrollingWinControl (FORMS) (017)
5 superordinates
67 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

procedure
ScaleScrollBars (M, D: Integer) ;
(private)

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollInView (AControl: TControl) ;
(public)

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl


Methods of TScrollingWinControl (FORMS) (018)
272 Methods of TScrollingWinControl (FORMS) (018)
5 superordinates
67 properties

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoScroll (Value: Boolean) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TScrollingWinControl (FORMS) (019)
272 Methods of TScrollingWinControl (FORMS) (019)
5 superordinates
67 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetHorzScrollBar (Value: TControlScrollBar) ;
(private)


Methods of TScrollingWinControl (FORMS) (020)
272 Methods of TScrollingWinControl (FORMS) (020)
5 superordinates
67 properties

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TScrollingWinControl (FORMS) (021)
272 Methods of TScrollingWinControl (FORMS) (021)
5 superordinates
67 properties

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVertScrollBar (Value: TControlScrollBar) ;
(private)

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl


Methods of TScrollingWinControl (FORMS) (022)
272 Methods of TScrollingWinControl (FORMS) (022)
5 superordinates
67 properties

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateScrollBars ;
(private)

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl


Methods of TScrollingWinControl (FORMS) (023)
272 Methods of TScrollingWinControl (FORMS) (023)
5 superordinates
67 properties

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl


Methods of TScrollingWinControl (FORMS) (024)
272 Methods of TScrollingWinControl (FORMS) (024)
5 superordinates
67 properties

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll (var Message: TWMHScroll); message WM_HSCROLL ;
(private)
procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl


Methods of TScrollingWinControl (FORMS) (025)
272 Methods of TScrollingWinControl (FORMS) (025)
5 superordinates
67 properties

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl


Methods of TScrollingWinControl (FORMS) (026)
272 Methods of TScrollingWinControl (FORMS) (026)
5 superordinates
67 properties

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl


Methods of TScrollingWinControl (FORMS) (027)
272 Methods of TScrollingWinControl (FORMS) (027)
5 superordinates
67 properties

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll (var Message: TWMVScroll); message WM_VSCROLL ;
(private)
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TScrollingWinControl (FORMS) (028)
272 Methods of TScrollingWinControl (FORMS) (028)
5 superordinates
67 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TScrollBox (FORMS)
274 Methods of TScrollBox (FORMS)
6 superordinates
69 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var ARect: TRect) ;
(protected) override, found in TScrollingWinControl
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AutoScrollInView  (inherited) (AControl: TControl) ;
(protected) , found in TScrollingWinControl

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl


Methods of TScrollBox (FORMS) (002)
274 Methods of TScrollBox (FORMS) (002)
6 superordinates
69 properties

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TScrollBox (FORMS) (003)
274 Methods of TScrollBox (FORMS) (003)
6 superordinates
69 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of TScrollBox (FORMS) (004)
274 Methods of TScrollBox (FORMS) (004)
6 superordinates
69 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TScrollBox (FORMS) (005)
274 Methods of TScrollBox (FORMS) (005)
6 superordinates
69 properties

procedure
CalcAutoRange  (inherited) ;
(private) , found in TScrollingWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TScrollingWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl


Methods of TScrollBox (FORMS) (006)
274 Methods of TScrollBox (FORMS) (006)
6 superordinates
69 properties

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TScrollingWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TScrollingWinControl
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl


Methods of TScrollBox (FORMS) (007)
274 Methods of TScrollBox (FORMS) (007)
6 superordinates
69 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TScrollingWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TScrollBox (FORMS) (008)
274 Methods of TScrollBox (FORMS) (008)
6 superordinates
69 properties

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl


Methods of TScrollBox (FORMS) (009)
274 Methods of TScrollBox (FORMS) (009)
6 superordinates
69 properties

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TScrollBox (FORMS) (010)
274 Methods of TScrollBox (FORMS) (010)
6 superordinates
69 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of TScrollBox (FORMS) (011)
274 Methods of TScrollBox (FORMS) (011)
6 superordinates
69 properties

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl


Methods of TScrollBox (FORMS) (012)
274 Methods of TScrollBox (FORMS) (012)
6 superordinates
69 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TScrollBox (FORMS) (013)
274 Methods of TScrollBox (FORMS) (013)
6 superordinates
69 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TScrollBox (FORMS) (014)
274 Methods of TScrollBox (FORMS) (014)
6 superordinates
69 properties

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TScrollBox (FORMS) (015)
274 Methods of TScrollBox (FORMS) (015)
6 superordinates
69 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TScrollBox (FORMS) (016)
274 Methods of TScrollBox (FORMS) (016)
6 superordinates
69 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TScrollBox (FORMS) (017)
274 Methods of TScrollBox (FORMS) (017)
6 superordinates
69 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Resize ;
(protected) dynamic

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

procedure
ScaleScrollBars  (inherited) (M, D: Integer) ;
(private) , found in TScrollingWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollInView  (inherited) (AControl: TControl) ;
(public) , found in TScrollingWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl


Methods of TScrollBox (FORMS) (018)
274 Methods of TScrollBox (FORMS) (018)
6 superordinates
69 properties

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoScroll  (inherited) (Value: Boolean) ;
(private) , found in TScrollingWinControl

procedure
SetBorderStyle (Value: TBorderStyle) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TScrollBox (FORMS) (019)
274 Methods of TScrollBox (FORMS) (019)
6 superordinates
69 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TScrollBox (FORMS) (020)
274 Methods of TScrollBox (FORMS) (020)
6 superordinates
69 properties

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetHorzScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TScrollBox (FORMS) (021)
274 Methods of TScrollBox (FORMS) (021)
6 superordinates
69 properties

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVertScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TScrollBox (FORMS) (022)
274 Methods of TScrollBox (FORMS) (022)
6 superordinates
69 properties

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateScrollBars  (inherited) ;
(private) , found in TScrollingWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TScrollBox (FORMS) (023)
274 Methods of TScrollBox (FORMS) (023)
6 superordinates
69 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl


Methods of TScrollBox (FORMS) (024)
274 Methods of TScrollBox (FORMS) (024)
6 superordinates
69 properties

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TScrollBox (FORMS) (025)
274 Methods of TScrollBox (FORMS) (025)
6 superordinates
69 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest (var Message: TMessage); message WM_NCHITTEST ;
(private)
procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl


Methods of TScrollBox (FORMS) (026)
274 Methods of TScrollBox (FORMS) (026)
6 superordinates
69 properties

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TScrollingWinControl
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl


Methods of TScrollBox (FORMS) (027)
274 Methods of TScrollBox (FORMS) (027)
6 superordinates
69 properties

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TScrollBox (FORMS) (028)
274 Methods of TScrollBox (FORMS) (028)
6 superordinates
69 properties

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDesigner (FORMS)
24 Methods of TDesigner (FORMS)
1 superordinates
2 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TDesigner (FORMS) (002)
24 Methods of TDesigner (FORMS) (002)
1 superordinates
2 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetIsControl : Boolean ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDesignMsg (Sender: TControl; var Message: TMessage): Boolean ;
(public) virtual/abstract

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified ;
(public) virtual/abstract

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TDesigner (FORMS) (003)
24 Methods of TDesigner (FORMS) (003)
1 superordinates
2 properties

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(public) virtual/abstract

procedure
PaintGrid ;
(public) virtual/abstract

procedure
SetIsControl (Value: Boolean) ;
(private)

procedure
ValidateRename (AComponent: TComponent; const CurName, NewName: string) ;
(public) virtual/abstract


Methods of TWinOleHelper (FORMS)
25 Methods of TWinOleHelper (FORMS)
1 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TWinOleHelper (FORMS) (002)
25 Methods of TWinOleHelper (FORMS) (002)
1 superordinates
0 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
OnActivate (Active: Boolean) ;
(public) virtual/abstract

procedure
OnClose (Hide: Boolean) ;
(public) virtual/abstract

procedure
OnFormMouseDown (AControl: TControl) ;
(public) virtual/abstract


Methods of TWinOleHelper (FORMS) (003)
25 Methods of TWinOleHelper (FORMS) (003)
1 superordinates
0 properties

procedure
OnParentNotify (var Message: TWMParentNotify) ;
(public) virtual/abstract

procedure
OnResize ;
(public) virtual/abstract

function
OnSetFocus (BSet : Boolean) : Boolean ;
(public) virtual/abstract

procedure
OnSetName ;
(public) virtual/abstract

procedure
OnShowModal (BSet : Boolean) ;
(public) virtual/abstract


Methods of TForm (FORMS)
351 Methods of TForm (FORMS)
6 superordinates
124 properties

procedure
Activate ;
(protected) dynamic

procedure
ActiveChanged ;
(protected) dynamic

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var ARect: TRect) ;
(protected) override, found in TScrollingWinControl
procedure
AlignControls (AControl: TControl; var Rect: TRect) ;
(private) override
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrangeIcons ;
(public)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AutoScrollInView  (inherited) (AControl: TControl) ;
(protected) , found in TScrollingWinControl

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl


Methods of TForm (FORMS) (002)
351 Methods of TForm (FORMS) (002)
6 superordinates
124 properties

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMActivate (var Message: TCMActivate); message CM_ACTIVATE ;
(private)

procedure
CMColorChanged (var Message: TMessage); message CM_COLORCHANGED ;
(private)
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged (var Message: TMessage); message CM_CTL3DCHANGED ;
(private)
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDeactivate (var Message: TCMDeactivate); message CM_DEACTIVATE ;
(private)

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private)
procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl


Methods of TForm (FORMS) (003)
351 Methods of TForm (FORMS) (003)
6 superordinates
124 properties

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMIconChanged (var Message: TMessage); message CM_ICONCHANGED ;
(private)

procedure
CMMenuChanged (var Message: TMessage); message CM_MENUCHANGED ;
(private)

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl


Methods of TForm (FORMS) (004)
351 Methods of TForm (FORMS) (004)
6 superordinates
124 properties

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMRelease (var Message: TMessage); message CM_RELEASE ;
(private)

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private)
procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged (var Message: TMessage); message CM_TEXTCHANGED ;
(private)


Methods of TForm (FORMS) (005)
351 Methods of TForm (FORMS) (005)
6 superordinates
124 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
CalcAutoRange  (inherited) ;
(private) , found in TScrollingWinControl


Methods of TForm (FORMS) (006)
351 Methods of TForm (FORMS) (006)
6 superordinates
124 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Cascade ;
(public)

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale (M, D: Integer) ;
(protected) override
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TScrollingWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl


Methods of TForm (FORMS) (007)
351 Methods of TForm (FORMS) (007)
6 superordinates
124 properties

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ClientWndProc (var Message: TMessage) ;
(private)

procedure
Close ;
(public)

procedure
CloseModal ;
(private)

function
CloseQuery : Boolean ;
(public)

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TScrollingWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

constructor
CreateNew (AOwner: TComponent) ;
(public)


Methods of TForm (FORMS) (008)
351 Methods of TForm (FORMS) (008)
6 superordinates
124 properties

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle (const Params: TCreateParams) ;
(protected) override
procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) override, found in TScrollingWinControl
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
Deactivate ;
(protected) dynamic

procedure
DefaultHandler (var Message) ;
(protected) override
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DefocusControl (Control: TWinControl; Removing: Boolean) ;
(public)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TScrollingWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TForm (FORMS) (009)
351 Methods of TForm (FORMS) (009)
6 superordinates
124 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle ;
(protected) override
procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoHide ;
(protected) dynamic


Methods of TForm (FORMS) (010)
351 Methods of TForm (FORMS) (010)
6 superordinates
124 properties

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DoShow ;
(protected) dynamic

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TForm (FORMS) (011)
351 Methods of TForm (FORMS) (011)
6 superordinates
124 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusControl (Control: TWinControl) ;
(public)

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TForm (FORMS) (012)
351 Methods of TForm (FORMS) (012)
6 superordinates
124 properties

function
GetActiveMDIChild : TForm ;
(private)

function
GetBorderSize (Height: Boolean): Integer ;
(private)

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetCanvas : TCanvas ;
(private)

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect : TRect ;
(protected) override
function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent


Methods of TForm (FORMS) (013)
351 Methods of TForm (FORMS) (013)
6 superordinates
124 properties

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetFormImage : TBitmap ;
(public)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetIconHandle : HICON ;
(private)

function
GetMDIChildCount : Integer ;
(private)

function
GetMDIChildren (I: Integer): TForm ;
(private)


Methods of TForm (FORMS) (014)
351 Methods of TForm (FORMS) (014)
6 superordinates
124 properties

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPixelsPerInch : Integer ;
(private)

function
GetScaled : Boolean ;
(private)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextHeight : Integer ;
(private)


Methods of TForm (FORMS) (015)
351 Methods of TForm (FORMS) (015)
6 superordinates
124 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide ;
(public)
procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
IconChanged (Sender: TObject) ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TForm (FORMS) (016)
351 Methods of TForm (FORMS) (016)
6 superordinates
124 properties

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsAutoScrollStored : Boolean ;
(private)

function
IsClientSizeStored : Boolean ;
(private)

function
IsColorStored : Boolean ;
(private)
function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl


Methods of TForm (FORMS) (017)
351 Methods of TForm (FORMS) (017)
6 superordinates
124 properties

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsForm : Boolean ;
(private)

function
IsFormSizeStored : Boolean ;
(private)

function
IsIconStored : Boolean ;
(private)

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TForm (FORMS) (018)
351 Methods of TForm (FORMS) (018)
6 superordinates
124 properties

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MergeMenu (MergeState: Boolean) ;
(private)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Next ;
(public)

function
NormalColor : TColor ;
(private)


Methods of TForm (FORMS) (019)
351 Methods of TForm (FORMS) (019)
6 superordinates
124 properties

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint ;
(protected) dynamic

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow (DC: HDC) ;
(protected) override
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
Previous ;
(public)


Methods of TForm (FORMS) (020)
351 Methods of TForm (FORMS) (020)
6 superordinates
124 properties

procedure
Print ;
(public)

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState (Reader: TReader) ;
(protected) override
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTextHeight (Reader: TReader) ;
(private)

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
RefreshMDIMenu ;
(private)


Methods of TForm (FORMS) (021)
351 Methods of TForm (FORMS) (021)
6 superordinates
124 properties

procedure
Release ;
(public)

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Resize ;
(protected) dynamic

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl


Methods of TForm (FORMS) (022)
351 Methods of TForm (FORMS) (022)
6 superordinates
124 properties

procedure
ScaleScrollBars  (inherited) (M, D: Integer) ;
(private) , found in TScrollingWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollInView  (inherited) (AControl: TControl) ;
(public) , found in TScrollingWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode (Sender: TControl) ;
(public)
procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetActiveControl (Control: TWinControl) ;
(private)

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl


Methods of TForm (FORMS) (023)
351 Methods of TForm (FORMS) (023)
6 superordinates
124 properties

procedure
SetAutoScroll  (inherited) (Value: Boolean) ;
(private) , found in TScrollingWinControl

procedure
SetBorderIcons (Value: TBorderIcons) ;
(private)

procedure
SetBorderStyle (Value: TFormBorderStyle) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight (Value: Integer) ;
(private)
procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth (Value: Integer) ;
(private)
procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TForm (FORMS) (024)
351 Methods of TForm (FORMS) (024)
6 superordinates
124 properties

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigner (ADesigner: TDesigner) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus ;
(public) override
procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

function
SetFocusedControl (Control: TWinControl): Boolean ;
(public)

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetFormStyle (Value: TFormStyle) ;
(private)

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TForm (FORMS) (025)
351 Methods of TForm (FORMS) (025)
6 superordinates
124 properties

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetHorzScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetIcon (Value: TIcon) ;
(private)

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMenu (Value: TMainMenu) ;
(private)

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName (const Value: TComponentName) ;
(protected) override
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetObjectMenuItem (Value: TMenuItem) ;
(private)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TForm (FORMS) (026)
351 Methods of TForm (FORMS) (026)
6 superordinates
124 properties

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPixelsPerInch (Value: Integer) ;
(private)

procedure
SetPosition (Value: TPosition) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetScaled (Value: Boolean) ;
(private)

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TForm (FORMS) (027)
351 Methods of TForm (FORMS) (027)
6 superordinates
124 properties

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVertScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetVisible (Value: Boolean) ;
(private)
procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWindowFocus ;
(private)

procedure
SetWindowMenu (Value: TMenuItem) ;
(private)

procedure
SetWindowState (Value: TWindowState) ;
(private)

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl


Methods of TForm (FORMS) (028)
351 Methods of TForm (FORMS) (028)
6 superordinates
124 properties

procedure
Show ;
(public)
procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

function
ShowModal : Integer ;
(public)

procedure
Tile ;
(public)

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateScrollBars  (inherited) ;
(private) , found in TScrollingWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl


Methods of TForm (FORMS) (029)
351 Methods of TForm (FORMS) (029)
6 superordinates
124 properties

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename (AComponent: TComponent; const CurName, NewName: string) ;
(protected) override
procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging ;
(protected) override
procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMActivate (var Message: TWMActivate); message WM_ACTIVATE ;
(private)

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMClose (var Message: TWMClose); message WM_CLOSE ;
(private)

procedure
WMCommand (var Message: TWMCommand); message WM_COMMAND ;
(private)
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl


Methods of TForm (FORMS) (030)
351 Methods of TForm (FORMS) (030)
6 superordinates
124 properties

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy (var Message: TWMDestroy); message WM_DESTROY ;
(private)
procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEnterIdle (var Message: TWMEnterIdle); message WM_ENTERIDLE ;
(private)

procedure
WMEnterMenuLoop (var Message: TMessage); message WM_ENTERMENULOOP ;
(private)

procedure
WMEraseBkgnd (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private)
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMIconEraseBkgnd (var Message: TWMEraseBkgnd); message WM_ICONERASEBKGND ;
(private)


Methods of TForm (FORMS) (031)
351 Methods of TForm (FORMS) (031)
6 superordinates
124 properties

procedure
WMInitMenuPopup (var Message: TWMInitMenuPopup); message WM_INITMENUPOPUP ;
(private)

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus (var Message: TWMSetFocus); message WM_KILLFOCUS ;
(private)

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl


Methods of TForm (FORMS) (032)
351 Methods of TForm (FORMS) (032)
6 superordinates
124 properties

procedure
WMMDIAtivate (var Message: TWMMDIActivate); message WM_MDIACTIVATE ;
(private)

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMenuSelect (var Message: TWMMenuSelect); message WM_MENUSELECT ;
(private)

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCCreate (var Message: TWMNCCreate); message WM_NCCREATE ;
(private)

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl


Methods of TForm (FORMS) (033)
351 Methods of TForm (FORMS) (033)
6 superordinates
124 properties

procedure
WMNextDlgCtl (var Message: TWMNextDlgCtl); message WM_NEXTDLGCTL ;
(private)

procedure
WMPaint (var Message: TWMPaint); message WM_PAINT ;
(private)
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private)
procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryDragIcon (var Message: TWMQueryDragIcon); message WM_QUERYDRAGICON ;
(private)

procedure
WMQueryEndSession (var Message: TWMQueryEndSession); message WM_QUERYENDSESSION ;
(private)

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl


Methods of TForm (FORMS) (034)
351 Methods of TForm (FORMS) (034)
6 superordinates
124 properties

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private)

procedure
WMShowWindow (var Message: TWMShowWindow); message WM_SHOWWINDOW ;
(private)

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TScrollingWinControl
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private)
procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl


Methods of TForm (FORMS) (035)
351 Methods of TForm (FORMS) (035)
6 superordinates
124 properties

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc (var Message: TMessage) ;
(protected) override
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTextHeight (Writer: TWriter) ;
(private)


Methods of TForm (FORMS) (036)
351 Methods of TForm (FORMS) (036)
6 superordinates
124 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TScreen (FORMS)
62 Methods of TScreen (FORMS)
3 superordinates
20 properties

procedure
AddForm (AForm: TForm) ;
(private)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TScreen (FORMS) (002)
62 Methods of TScreen (FORMS) (002)
3 superordinates
20 properties

procedure
CreateCursors ;
(private)

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DeleteCursor (Index: Integer) ;
(private)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyCursors ;
(private)

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TScreen (FORMS) (003)
62 Methods of TScreen (FORMS) (003)
3 superordinates
20 properties

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetCursors (Index: Integer): HCURSOR ;
(private)

function
GetForm (Index: Integer): TForm ;
(private)

function
GetFormCount : Integer ;
(private)

function
GetHeight : Integer ;
(private)


Methods of TScreen (FORMS) (004)
62 Methods of TScreen (FORMS) (004)
3 superordinates
20 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetWidth : Integer ;
(private)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertCursor (Index: Integer; Handle: HCURSOR) ;
(private)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TScreen (FORMS) (005)
62 Methods of TScreen (FORMS) (005)
3 superordinates
20 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveForm (AForm: TForm) ;
(private)


Methods of TScreen (FORMS) (006)
62 Methods of TScreen (FORMS) (006)
3 superordinates
20 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor (Value: TCursor) ;
(private)

procedure
SetCursors (Index: Integer; Handle: HCURSOR) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
UpdateLastActive ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TScreen (FORMS) (007)
62 Methods of TScreen (FORMS) (007)
3 superordinates
20 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TApplication (FORMS)
95 Methods of TApplication (FORMS)
3 superordinates
31 properties

procedure
ActivateHint (CursorPos: TPoint) ;
(private)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BringToFront ;
(public)

procedure
CancelHint ;
(public)

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TApplication (FORMS) (002)
95 Methods of TApplication (FORMS) (002)
3 superordinates
31 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
ControlDestroyed (Control: TControl) ;
(public)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateForm (FormClass: TFormClass; var Reference) ;
(public)

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TApplication (FORMS) (003)
95 Methods of TApplication (FORMS) (003)
3 superordinates
31 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetExeName : string ;
(private)

function
GetHelpFile : string ;
(private)

function
GetHint : string ;
(private)


Methods of TApplication (FORMS) (004)
95 Methods of TApplication (FORMS) (004)
3 superordinates
31 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetTitle : string ;
(private)

procedure
HandleException (Sender: TObject) ;
(public)

procedure
HandleMessage ;
(public)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

function
HelpCommand (Command: Word; Data: Longint): Boolean ;
(public)

function
HelpContext (Context: THelpContext): Boolean ;
(public)

function
HelpJump (const JumpID: string): Boolean ;
(public)

procedure
HintTimerExpired ;
(private)

procedure
HookMainWindow (Hook: TWindowHook) ;
(public)


Methods of TApplication (FORMS) (005)
95 Methods of TApplication (FORMS) (005)
3 superordinates
31 properties

procedure
IconChanged (Sender: TObject) ;
(private)

procedure
Idle ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
InvokeHelp (Command: Word; Data: Longint): Boolean ;
(private)

function
IsDlgMsg (var Msg: TMsg): Boolean ;
(private)

function
IsHintMsg (var Msg: TMsg): Boolean ;
(private)


Methods of TApplication (FORMS) (006)
95 Methods of TApplication (FORMS) (006)
3 superordinates
31 properties

function
IsKeyMsg (var Msg: TMsg): Boolean ;
(private)

function
IsMDIMsg (var Msg: TMsg): Boolean ;
(private)

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

function
MessageBox (Text, Caption: PChar; Flags: Word): Integer ;
(public)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Minimize ;
(public)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
NormalizeTopMosts ;
(public)

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TApplication (FORMS) (007)
95 Methods of TApplication (FORMS) (007)
3 superordinates
31 properties

procedure
NotifyForms (Msg: Word) ;
(private)

procedure
ProcessHints (CursorPos: TPoint) ;
(private)

function
ProcessMessage : Boolean ;
(private)

procedure
ProcessMessages ;
(public)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Restore ;
(public)


Methods of TApplication (FORMS) (008)
95 Methods of TApplication (FORMS) (008)
3 superordinates
31 properties

procedure
RestoreTopMosts ;
(public)

procedure
Run ;
(public)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetHandle (Value: THandle) ;
(private)

procedure
SetHelpFile (const Value: string) ;
(private)

procedure
SetHint (const Value: string) ;
(private)

procedure
SetHintColor (Value: TColor) ;
(private)

procedure
SetHintPause (Value: Integer) ;
(private)

procedure
SetIcon (Value: TIcon) ;
(private)


Methods of TApplication (FORMS) (009)
95 Methods of TApplication (FORMS) (009)
3 superordinates
31 properties

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint (Value: Boolean) ;
(private)

procedure
SetTitle (const Value: string) ;
(private)

procedure
ShowException (E: Exception) ;
(public)

procedure
StartHintTimer ;
(private)

procedure
StopHintTimer ;
(private)

procedure
Terminate ;
(public)

procedure
UnhookMainWindow (Hook: TWindowHook) ;
(public)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent


Methods of TApplication (FORMS) (010)
95 Methods of TApplication (FORMS) (010)
3 superordinates
31 properties

procedure
WndProc (var Message: TMessage) ;
(private)

procedure
WriteComponents (Writer: TWriter) ;
(protected) override
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of EMenuError (MENUS)
26 Methods of EMenuError (MENUS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EMenuError (MENUS) (002)
26 Methods of EMenuError (MENUS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EMenuError (MENUS) (003)
26 Methods of EMenuError (MENUS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TMenuItem (MENUS)
75 Methods of TMenuItem (MENUS)
3 superordinates
23 properties

procedure
Add (Item: TMenuItem) ;
(public)

procedure
AppendTo (Menu: HMENU) ;
(private)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TMenuItem (MENUS) (002)
75 Methods of TMenuItem (MENUS) (002)
3 superordinates
23 properties

procedure
ClearHandles ;
(private)

procedure
Click ;
(public) virtual

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete (Index: Integer) ;
(public)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TMenuItem (MENUS) (003)
75 Methods of TMenuItem (MENUS) (003)
3 superordinates
23 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetCaption : string ;
(protected)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetCount : Integer ;
(protected)

function
GetHandle : HMENU ;
(protected)


Methods of TMenuItem (MENUS) (004)
75 Methods of TMenuItem (MENUS) (004)
3 superordinates
23 properties

function
GetHint : string ;
(protected)

function
GetItem (Index: Integer): TMenuItem ;
(protected)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent : Boolean ;
(protected) override
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

function
IndexOf (Item: TMenuItem): Integer ;
(public)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert (Index: Integer; Item: TMenuItem) ;
(public)

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TMenuItem (MENUS) (005)
75 Methods of TMenuItem (MENUS) (005)
3 superordinates
23 properties

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MenuChanged (Rebuild: Boolean) ;
(protected) dynamic

procedure
MergeWith (Menu: TMenuItem) ;
(private)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PopulateMenu ;
(private)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadShortCutText (Reader: TReader) ;
(private)


Methods of TMenuItem (MENUS) (006)
75 Methods of TMenuItem (MENUS) (006)
3 superordinates
23 properties

procedure
ReadState (Reader: TReader) ;
(protected) override
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
RebuildHandle ;
(private)

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove (Item: TMenuItem) ;
(public)

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetBreak (Value: TMenuBreak) ;
(protected)

procedure
SetCaption (const Value: string) ;
(protected)

procedure
SetChecked (Value: Boolean) ;
(protected)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent


Methods of TMenuItem (MENUS) (007)
75 Methods of TMenuItem (MENUS) (007)
3 superordinates
23 properties

procedure
SetEnabled (Value: Boolean) ;
(protected)

procedure
SetGroupIndex (Value: Byte) ;
(protected)

procedure
SetHint (const Value: string) ;
(protected)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShortCut (Value: TShortCut) ;
(protected)

procedure
SetVisible (Value: Boolean) ;
(protected)

procedure
SubItemChanged (Sender: TObject; Rebuild: Boolean) ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VerifyGroupIndex (Position: Integer; Value: Byte) ;
(private)


Methods of TMenuItem (MENUS) (008)
75 Methods of TMenuItem (MENUS) (008)
3 superordinates
23 properties

procedure
WriteComponents (Writer: TWriter) ;
(protected) override
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteShortCutText (Writer: TWriter) ;
(private)

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TMenu (MENUS)
57 Methods of TMenu (MENUS)
3 superordinates
11 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TMenu (MENUS) (002)
57 Methods of TMenu (MENUS) (002)
3 superordinates
11 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
DispatchCommand (ACommand: Word): Boolean ;
(public)

function
DispatchPopup (AHandle: HMENU): Boolean ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindItem (Value: Word; Kind: TFindItemKind): TMenuItem ;
(public)


Methods of TMenu (MENUS) (003)
57 Methods of TMenu (MENUS) (003)
3 superordinates
11 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetHandle : HMENU ;
(protected) virtual

function
GetHelpContext (Value: Word; ByCommand: Boolean): THelpContext ;
(public)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TMenu (MENUS) (004)
57 Methods of TMenu (MENUS) (004)
3 superordinates
11 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsShortCut (var Message: TWMKey): Boolean ;
(public)

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MenuChanged (Sender: TObject; Rebuild: Boolean) ;
(private) virtual

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TMenu (MENUS) (005)
57 Methods of TMenu (MENUS) (005)
3 superordinates
11 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TMenu (MENUS) (006)
57 Methods of TMenu (MENUS) (006)
3 superordinates
11 properties

procedure
SetWindowHandle (Value: HWND) ;
(private)

function
UpdateImage : Boolean ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents (Writer: TWriter) ;
(protected) override
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TMainMenu (MENUS)
64 Methods of TMainMenu (MENUS)
4 superordinates
12 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TMenu
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TMainMenu (MENUS) (002)
64 Methods of TMainMenu (MENUS) (002)
4 superordinates
12 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TMenu
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
DispatchCommand  (inherited) (ACommand: Word): Boolean ;
(public) , found in TMenu

function
DispatchPopup  (inherited) (AHandle: HMENU): Boolean ;
(public) , found in TMenu

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindItem  (inherited) (Value: Word; Kind: TFindItemKind): TMenuItem ;
(public) , found in TMenu


Methods of TMainMenu (MENUS) (003)
64 Methods of TMainMenu (MENUS) (003)
4 superordinates
12 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetHandle : HMENU ;
(protected) override
function
GetHandle  (inherited) : HMENU ;
(protected) virtual, found in TMenu

function
GetHelpContext  (inherited) (Value: Word; ByCommand: Boolean): THelpContext ;
(public) , found in TMenu

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetOle2AcceleratorTable (var hAccel : THandle; var numAccels: Word; Groups: array of Integer) ;
(public)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent


Methods of TMainMenu (MENUS) (004)
64 Methods of TMainMenu (MENUS) (004)
4 superordinates
12 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsShortCut  (inherited) (var Message: TWMKey): Boolean ;
(public) , found in TMenu

procedure
ItemChanged ;
(private)

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MenuChanged (Sender: TObject; Rebuild: Boolean) ;
(private) override
procedure
MenuChanged  (inherited) (Sender: TObject; Rebuild: Boolean) ;
(private) virtual, found in TMenu

procedure
Merge (Menu: TMainMenu) ;
(public)


Methods of TMainMenu (MENUS) (005)
64 Methods of TMainMenu (MENUS) (005)
4 superordinates
12 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PopulateOle2Menu (SharedMenu: HMenu; Groups: array of Integer; var Widths: array of Longint) ;
(public)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TMainMenu (MENUS) (006)
64 Methods of TMainMenu (MENUS) (006)
4 superordinates
12 properties

procedure
SetAutoMerge (Value: Boolean) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetOle2MenuHandle (Handle: HMENU) ;
(public)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetWindowHandle  (inherited) (Value: HWND) ;
(private) , found in TMenu

procedure
Unmerge (Menu: TMainMenu) ;
(public)

function
UpdateImage  (inherited) : Boolean ;
(private) , found in TMenu

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent


Methods of TMainMenu (MENUS) (007)
64 Methods of TMainMenu (MENUS) (007)
4 superordinates
12 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TMenu
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TPopupMenu (MENUS)
59 Methods of TPopupMenu (MENUS)
4 superordinates
16 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TMenu
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TPopupMenu (MENUS) (002)
59 Methods of TPopupMenu (MENUS) (002)
4 superordinates
16 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TMenu
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
DispatchCommand  (inherited) (ACommand: Word): Boolean ;
(public) , found in TMenu

function
DispatchPopup  (inherited) (AHandle: HMENU): Boolean ;
(public) , found in TMenu

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindItem  (inherited) (Value: Word; Kind: TFindItemKind): TMenuItem ;
(public) , found in TMenu


Methods of TPopupMenu (MENUS) (003)
59 Methods of TPopupMenu (MENUS) (003)
4 superordinates
16 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetHandle  (inherited) : HMENU ;
(protected) virtual, found in TMenu

function
GetHelpContext  (inherited) (Value: Word; ByCommand: Boolean): THelpContext ;
(public) , found in TMenu
function
GetHelpContext : THelpContext ;
(private)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TPopupMenu (MENUS) (004)
59 Methods of TPopupMenu (MENUS) (004)
4 superordinates
16 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsShortCut  (inherited) (var Message: TWMKey): Boolean ;
(public) , found in TMenu

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MenuChanged  (inherited) (Sender: TObject; Rebuild: Boolean) ;
(private) virtual, found in TMenu

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TPopupMenu (MENUS) (005)
59 Methods of TPopupMenu (MENUS) (005)
4 superordinates
16 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Popup (X, Y: Integer) ;
(public) virtual

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetHelpContext (Value: THelpContext) ;
(private)


Methods of TPopupMenu (MENUS) (006)
59 Methods of TPopupMenu (MENUS) (006)
4 superordinates
16 properties

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetWindowHandle  (inherited) (Value: HWND) ;
(private) , found in TMenu

function
UpdateImage  (inherited) : Boolean ;
(private) , found in TMenu

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TMenu
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of EInvalidGraphic (GRAPHICS)
26 Methods of EInvalidGraphic (GRAPHICS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInvalidGraphic (GRAPHICS) (002)
26 Methods of EInvalidGraphic (GRAPHICS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInvalidGraphic (GRAPHICS) (003)
26 Methods of EInvalidGraphic (GRAPHICS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EInvalidGraphicOperation (GRAPHICS)
26 Methods of EInvalidGraphicOperation (GRAPHICS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInvalidGraphicOperation (GRAPHICS) (002)
26 Methods of EInvalidGraphicOperation (GRAPHICS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInvalidGraphicOperation (GRAPHICS) (003)
26 Methods of EInvalidGraphicOperation (GRAPHICS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TGraphicsObject (GRAPHICS)
22 Methods of TGraphicsObject (GRAPHICS)
2 superordinates
1 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Changed ;
(protected) dynamic

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TGraphicsObject (GRAPHICS) (002)
22 Methods of TGraphicsObject (GRAPHICS) (002)
2 superordinates
1 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TGraphicsObject (GRAPHICS) (003)
22 Methods of TGraphicsObject (GRAPHICS) (003)
2 superordinates
1 properties

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TFont (GRAPHICS)
37 Methods of TFont (GRAPHICS)
3 superordinates
9 properties

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Changed  (inherited) ;
(protected) dynamic, found in TGraphicsObject

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TFont (GRAPHICS) (002)
37 Methods of TFont (GRAPHICS) (002)
3 superordinates
9 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

procedure
GetData (var FontData: TFontData) ;
(private)

function
GetHandle : HFont ;
(protected)

function
GetHeight : Integer ;
(protected)

function
GetName : TFontName ;
(protected)


Methods of TFont (GRAPHICS) (003)
37 Methods of TFont (GRAPHICS) (003)
3 superordinates
9 properties

function
GetPitch : TFontPitch ;
(protected)

function
GetSize : Integer ;
(protected)

function
GetStyle : TFontStyles ;
(protected)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetColor (Value: TColor) ;
(protected)


Methods of TFont (GRAPHICS) (004)
37 Methods of TFont (GRAPHICS) (004)
3 superordinates
9 properties

procedure
SetData (const FontData: TFontData) ;
(private)

procedure
SetHandle (Value: HFont) ;
(protected)

procedure
SetHeight (Value: Integer) ;
(protected)

procedure
SetName (const Value: TFontName) ;
(protected)

procedure
SetPitch (Value: TFontPitch) ;
(protected)

procedure
SetSize (Value: Integer) ;
(protected)

procedure
SetStyle (Value: TFontStyles) ;
(protected)


Methods of TPen (GRAPHICS)
33 Methods of TPen (GRAPHICS)
3 superordinates
6 properties

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Changed  (inherited) ;
(protected) dynamic, found in TGraphicsObject

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TPen (GRAPHICS) (002)
33 Methods of TPen (GRAPHICS) (002)
3 superordinates
6 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetColor : TColor ;
(protected)

procedure
GetData (var PenData: TPenData) ;
(private)

function
GetHandle : HPen ;
(protected)

function
GetStyle : TPenStyle ;
(protected)


Methods of TPen (GRAPHICS) (003)
33 Methods of TPen (GRAPHICS) (003)
3 superordinates
6 properties

function
GetWidth : Integer ;
(protected)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetColor (Value: TColor) ;
(protected)

procedure
SetData (const PenData: TPenData) ;
(private)

procedure
SetHandle (Value: HPen) ;
(protected)


Methods of TPen (GRAPHICS) (004)
33 Methods of TPen (GRAPHICS) (004)
3 superordinates
6 properties

procedure
SetMode (Value: TPenMode) ;
(protected)

procedure
SetStyle (Value: TPenStyle) ;
(protected)

procedure
SetWidth (Value: Integer) ;
(protected)


Methods of TBrush (GRAPHICS)
32 Methods of TBrush (GRAPHICS)
3 superordinates
5 properties

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Changed  (inherited) ;
(protected) dynamic, found in TGraphicsObject

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TBrush (GRAPHICS) (002)
32 Methods of TBrush (GRAPHICS) (002)
3 superordinates
5 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBitmap : TBitmap ;
(protected)

function
GetColor : TColor ;
(protected)

procedure
GetData (var BrushData: TBrushData) ;
(private)

function
GetHandle : HBrush ;
(protected)


Methods of TBrush (GRAPHICS) (003)
32 Methods of TBrush (GRAPHICS) (003)
3 superordinates
5 properties

function
GetStyle : TBrushStyle ;
(protected)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetBitmap (Value: TBitmap) ;
(protected)

procedure
SetColor (Value: TColor) ;
(protected)

procedure
SetData (const BrushData: TBrushData) ;
(private)


Methods of TBrush (GRAPHICS) (004)
32 Methods of TBrush (GRAPHICS) (004)
3 superordinates
5 properties

procedure
SetHandle (Value: HBrush) ;
(protected)

procedure
SetStyle (Value: TBrushStyle) ;
(protected)


Methods of TCanvas (GRAPHICS)
65 Methods of TCanvas (GRAPHICS)
2 superordinates
10 properties

procedure
Arc (X1, Y1, X2, Y2, X3, Y3, X4, Y4: Integer) ;
(public)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BrushChanged (ABrush: TObject) ;
(private)

procedure
BrushCopy (const Dest: TRect; Bitmap: TBitmap; const Source: TRect; Color: TColor) ;
(public)

procedure
Changed ;
(protected) virtual

procedure
Changing ;
(protected) virtual

procedure
Chord (X1, Y1, X2, Y2, X3, Y3, X4, Y4: Integer) ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TCanvas (GRAPHICS) (002)
65 Methods of TCanvas (GRAPHICS) (002)
2 superordinates
10 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
CopyRect (const Dest: TRect; Canvas: TCanvas; const Source: TRect) ;
(public)

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateBrush ;
(private)

procedure
CreateFont ;
(private)

procedure
CreateHandle ;
(protected) virtual

procedure
CreatePen ;
(private)

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TCanvas (GRAPHICS) (003)
65 Methods of TCanvas (GRAPHICS) (003)
2 superordinates
10 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DeselectHandles ;
(private)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Draw (X, Y: Integer; Graphic: TGraphic) ;
(public)

procedure
DrawFocusRect (const Rect: TRect) ;
(public)

procedure
Ellipse (X1, Y1, X2, Y2: Integer) ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
FillRect (const Rect: TRect) ;
(public)

procedure
FloodFill (X, Y: Integer; Color: TColor; FillStyle: TFillStyle) ;
(public)


Methods of TCanvas (GRAPHICS) (004)
65 Methods of TCanvas (GRAPHICS) (004)
2 superordinates
10 properties

procedure
FontChanged (AFont: TObject) ;
(private)

procedure
FrameRect (const Rect: TRect) ;
(public)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetClipRect : TRect ;
(private)

function
GetHandle : HDC ;
(private)

function
GetPenPos : TPoint ;
(private)

function
GetPixel (X, Y: Integer): TColor ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TCanvas (GRAPHICS) (005)
65 Methods of TCanvas (GRAPHICS) (005)
2 superordinates
10 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LineTo (X, Y: Integer) ;
(public)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MoveTo (X, Y: Integer) ;
(public)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
PenChanged (APen: TObject) ;
(private)

procedure
Pie (X1, Y1, X2, Y2, X3, Y3, X4, Y4: Integer) ;
(public)

procedure
Polygon (const Points: array of TPoint) ;
(public)

procedure
Polyline (const Points: array of TPoint) ;
(public)


Methods of TCanvas (GRAPHICS) (006)
65 Methods of TCanvas (GRAPHICS) (006)
2 superordinates
10 properties

procedure
Rectangle (X1, Y1, X2, Y2: Integer) ;
(public)

procedure
Refresh ;
(public)

procedure
RequiredState (ReqState: TCanvasState) ;
(private)

procedure
RoundRect (X1, Y1, X2, Y2, X3, Y3: Integer) ;
(public)

procedure
SetBrush (Value: TBrush) ;
(private)

procedure
SetFont (Value: TFont) ;
(private)

procedure
SetHandle (Value: HDC) ;
(private)

procedure
SetPen (Value: TPen) ;
(private)

procedure
SetPenPos (Value: TPoint) ;
(private)

procedure
SetPixel (X, Y: Integer; Value: TColor) ;
(private)


Methods of TCanvas (GRAPHICS) (007)
65 Methods of TCanvas (GRAPHICS) (007)
2 superordinates
10 properties

procedure
StretchDraw (const Rect: TRect; Graphic: TGraphic) ;
(public)

function
TextHeight (const Text: string): Integer ;
(public)

procedure
TextOut (X, Y: Integer; const Text: string) ;
(public)

procedure
TextRect (Rect: TRect; X, Y: Integer; const Text: string) ;
(public)

function
TextWidth (const Text: string): Integer ;
(public)


Methods of TGraphic (GRAPHICS)
37 Methods of TGraphic (GRAPHICS)
2 superordinates
5 properties

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Changed (Sender: TObject) ;
(protected)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create ;
(protected) virtual
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TGraphic (GRAPHICS) (002)
37 Methods of TGraphic (GRAPHICS) (002)
2 superordinates
5 properties

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Draw (ACanvas: TCanvas; const Rect: TRect) ;
(protected) virtual/abstract

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetEmpty : Boolean ;
(protected) virtual/abstract

function
GetHeight : Integer ;
(protected) virtual/abstract

function
GetWidth : Integer ;
(protected) virtual/abstract


Methods of TGraphic (GRAPHICS) (003)
37 Methods of TGraphic (GRAPHICS) (003)
2 superordinates
5 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LoadFromClipboardFormat (AFormat: Word; AData: THandle; APalette: HPALETTE) ;
(public) virtual/abstract

procedure
LoadFromFile (const Filename: string) ;
(public) virtual

procedure
LoadFromStream (Stream: TStream) ;
(public) virtual/abstract

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
ReadData (Stream: TStream) ;
(protected) virtual


Methods of TGraphic (GRAPHICS) (004)
37 Methods of TGraphic (GRAPHICS) (004)
2 superordinates
5 properties

procedure
SaveToClipboardFormat (var AFormat: Word; var AData: THandle; var APalette: HPALETTE) ;
(public) virtual/abstract

procedure
SaveToFile (const Filename: string) ;
(public) virtual

procedure
SaveToStream (Stream: TStream) ;
(public) virtual/abstract

procedure
SetHeight (Value: Integer) ;
(protected) virtual/abstract

procedure
SetModified (Value: Boolean) ;
(private)

procedure
SetWidth (Value: Integer) ;
(protected) virtual/abstract

procedure
WriteData (Stream: TStream) ;
(protected) virtual


Methods of TPicture (GRAPHICS)
41 Methods of TPicture (GRAPHICS)
2 superordinates
7 properties

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Changed (Sender: TObject) ;
(protected)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TPicture (GRAPHICS) (002)
41 Methods of TPicture (GRAPHICS) (002)
2 superordinates
7 properties

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
ForceType (GraphicType: TGraphicClass) ;
(private)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBitmap : TBitmap ;
(private)

function
GetHeight : Integer ;
(private)

function
GetIcon : TIcon ;
(private)


Methods of TPicture (GRAPHICS) (003)
41 Methods of TPicture (GRAPHICS) (003)
2 superordinates
7 properties

function
GetMetafile : TMetafile ;
(private)

function
GetWidth : Integer ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LoadFromClipboardFormat (AFormat: Word; AData: THandle; APalette: HPALETTE) ;
(public)

procedure
LoadFromFile (const Filename: string) ;
(public)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TPicture (GRAPHICS) (004)
41 Methods of TPicture (GRAPHICS) (004)
2 superordinates
7 properties

procedure
ReadData (Stream: TStream) ;
(private)

class procedure
RegisterClipboardFormat (AFormat: Word; AGraphicClass: TGraphicClass) ;
(public)

class procedure
RegisterFileFormat (const AExtension, ADescription: string; AGraphicClass: TGraphicClass) ;
(public)

procedure
SaveToClipboardFormat (var AFormat: Word; var AData: THandle; var APalette: HPALETTE) ;
(public)

procedure
SaveToFile (const Filename: string) ;
(public)

procedure
SetBitmap (Value: TBitmap) ;
(private)

procedure
SetGraphic (Value: TGraphic) ;
(private)

procedure
SetIcon (Value: TIcon) ;
(private)

procedure
SetMetafile (Value: TMetafile) ;
(private)

class function
SupportsClipboardFormat (AFormat: Word): Boolean ;
(public)


Methods of TPicture (GRAPHICS) (005)
41 Methods of TPicture (GRAPHICS) (005)
2 superordinates
7 properties

procedure
WriteData (Stream: TStream) ;
(private)


Methods of TMetafileImage (GRAPHICS)
19 Methods of TMetafileImage (GRAPHICS)
1 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TMetafileImage (GRAPHICS) (002)
19 Methods of TMetafileImage (GRAPHICS) (002)
1 superordinates
0 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Reference ;
(private)

procedure
Release ;
(private)


Methods of TMetafile (GRAPHICS)
43 Methods of TMetafile (GRAPHICS)
3 superordinates
7 properties

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TGraphic
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Changed  (inherited) (Sender: TObject) ;
(protected) , found in TGraphic

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(protected) virtual, found in TGraphic
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TMetafile (GRAPHICS) (002)
43 Methods of TMetafile (GRAPHICS) (002)
3 superordinates
7 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TGraphic
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Draw (ACanvas: TCanvas; const Rect: TRect) ;
(protected) override
procedure
Draw  (inherited) (ACanvas: TCanvas; const Rect: TRect) ;
(protected) virtual/abstract, found in TGraphic

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetEmpty : Boolean ;
(protected) override
function
GetEmpty  (inherited) : Boolean ;
(protected) virtual/abstract, found in TGraphic

function
GetHandle : HMETAFILE ;
(private)

function
GetHeight : Integer ;
(protected) override
function
GetHeight  (inherited) : Integer ;
(protected) virtual/abstract, found in TGraphic


Methods of TMetafile (GRAPHICS) (003)
43 Methods of TMetafile (GRAPHICS) (003)
3 superordinates
7 properties

function
GetInch : Word ;
(private)

function
GetWidth : Integer ;
(protected) override
function
GetWidth  (inherited) : Integer ;
(protected) virtual/abstract, found in TGraphic

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LoadFromClipboardFormat (AFormat: Word; AData: THandle; APalette: HPALETTE) ;
(public) override
procedure
LoadFromClipboardFormat  (inherited) (AFormat: Word; AData: THandle; APalette: HPALETTE) ;
(public) virtual/abstract, found in TGraphic

procedure
LoadFromFile  (inherited) (const Filename: string) ;
(public) virtual, found in TGraphic

procedure
LoadFromStream (Stream: TStream) ;
(public) override
procedure
LoadFromStream  (inherited) (Stream: TStream) ;
(public) virtual/abstract, found in TGraphic

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TMetafile (GRAPHICS) (004)
43 Methods of TMetafile (GRAPHICS) (004)
3 superordinates
7 properties

procedure
NewImage ;
(private)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
ReadData (Stream: TStream) ;
(protected) override
procedure
ReadData  (inherited) (Stream: TStream) ;
(protected) virtual, found in TGraphic

procedure
SaveToClipboardFormat (var AFormat: Word; var AData: THandle; var APalette: HPALETTE) ;
(public) override
procedure
SaveToClipboardFormat  (inherited) (var AFormat: Word; var AData: THandle; var APalette: HPALETTE) ;
(public) virtual/abstract, found in TGraphic

procedure
SaveToFile  (inherited) (const Filename: string) ;
(public) virtual, found in TGraphic

procedure
SaveToStream (Stream: TStream) ;
(public) override
procedure
SaveToStream  (inherited) (Stream: TStream) ;
(public) virtual/abstract, found in TGraphic

procedure
SetHandle (Value: HMETAFILE) ;
(private)

procedure
SetHeight (Value: Integer) ;
(protected) override
procedure
SetHeight  (inherited) (Value: Integer) ;
(protected) virtual/abstract, found in TGraphic

procedure
SetInch (Value: Word) ;
(private)

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TGraphic


Methods of TMetafile (GRAPHICS) (005)
43 Methods of TMetafile (GRAPHICS) (005)
3 superordinates
7 properties

procedure
SetWidth (Value: Integer) ;
(protected) override
procedure
SetWidth  (inherited) (Value: Integer) ;
(protected) virtual/abstract, found in TGraphic

procedure
UniqueImage ;
(private)

procedure
WriteData (Stream: TStream) ;
(protected) override
procedure
WriteData  (inherited) (Stream: TStream) ;
(protected) virtual, found in TGraphic


Methods of TInternalImage (GRAPHICS)
20 Methods of TInternalImage (GRAPHICS)
1 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TInternalImage (GRAPHICS) (002)
20 Methods of TInternalImage (GRAPHICS) (002)
1 superordinates
0 properties

procedure
FreeHandle ;
(private) virtual/abstract

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Reference ;
(private)

procedure
Release ;
(private)


Methods of TBitmapImage (GRAPHICS)
20 Methods of TBitmapImage (GRAPHICS)
2 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TBitmapImage (GRAPHICS) (002)
20 Methods of TBitmapImage (GRAPHICS) (002)
2 superordinates
0 properties

procedure
FreeHandle ;
(private) override
procedure
FreeHandle  (inherited) ;
(private) virtual/abstract, found in TInternalImage

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Reference  (inherited) ;
(private) , found in TInternalImage

procedure
Release  (inherited) ;
(private) , found in TInternalImage


Methods of TBitmap (GRAPHICS)
57 Methods of TBitmap (GRAPHICS)
3 superordinates
10 properties

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TGraphic
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Changed  (inherited) (Sender: TObject) ;
(protected) , found in TGraphic

procedure
Changing (Sender: TObject) ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
CopyImage (AHandle: HBITMAP; APalette: HPALETTE; AWidth, AHeight: Integer; AMonochrome: Boolean) ;
(private)


Methods of TBitmap (GRAPHICS) (002)
57 Methods of TBitmap (GRAPHICS) (002)
3 superordinates
10 properties

constructor
Create ;
(public) override
constructor
Create  (inherited) ;
(protected) virtual, found in TGraphic
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TGraphic
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Dormant ;
(public)

procedure
Draw (ACanvas: TCanvas; const Rect: TRect) ;
(protected) override
procedure
Draw  (inherited) (ACanvas: TCanvas; const Rect: TRect) ;
(protected) virtual/abstract, found in TGraphic

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeContext ;
(private)


Methods of TBitmap (GRAPHICS) (003)
57 Methods of TBitmap (GRAPHICS) (003)
3 superordinates
10 properties

procedure
FreeImage ;
(public)

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetCanvas : TCanvas ;
(private)

function
GetEmpty : Boolean ;
(protected) override
function
GetEmpty  (inherited) : Boolean ;
(protected) virtual/abstract, found in TGraphic

function
GetHandle : HBITMAP ;
(private)

function
GetHeight : Integer ;
(protected) override
function
GetHeight  (inherited) : Integer ;
(protected) virtual/abstract, found in TGraphic

function
GetMonochrome : Boolean ;
(private)

function
GetPalette : HPALETTE ;
(private)

function
GetTransparentColor : TColor ;
(private)

function
GetWidth : Integer ;
(protected) override
function
GetWidth  (inherited) : Integer ;
(protected) virtual/abstract, found in TGraphic


Methods of TBitmap (GRAPHICS) (004)
57 Methods of TBitmap (GRAPHICS) (004)
3 superordinates
10 properties

procedure
HandleNeeded ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LoadFromClipboardFormat (AFormat: Word; AData: THandle; APalette: HPALETTE) ;
(public) override
procedure
LoadFromClipboardFormat  (inherited) (AFormat: Word; AData: THandle; APalette: HPALETTE) ;
(public) virtual/abstract, found in TGraphic

procedure
LoadFromFile  (inherited) (const Filename: string) ;
(public) virtual, found in TGraphic

procedure
LoadFromStream (Stream: TStream) ;
(public) override
procedure
LoadFromStream  (inherited) (Stream: TStream) ;
(public) virtual/abstract, found in TGraphic

procedure
MemoryImageNeeded ;
(private)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TBitmap (GRAPHICS) (005)
57 Methods of TBitmap (GRAPHICS) (005)
3 superordinates
10 properties

procedure
NewImage (NewHandle: HBITMAP; NewPalette: HPALETTE; NewWidth, NewHeight: Integer; NewMonochrome: Boolean; NewImage: TMemoryStream) ;
(private)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
ReadData (Stream: TStream) ;
(protected) override
procedure
ReadData  (inherited) (Stream: TStream) ;
(protected) virtual, found in TGraphic

procedure
ReadStream (Size: Longint; Stream: TStream) ;
(private)

function
ReleaseHandle : HBITMAP ;
(public)

function
ReleasePalette : HPALETTE ;
(public)

procedure
SaveToClipboardFormat  (inherited) (var AFormat: Word; var AData: THandle; var APalette: HPALETTE) ;
(public) virtual/abstract, found in TGraphic
procedure
SaveToClipboardFormat (var Format: Word; var Data: THandle; var APalette: HPALETTE) ;
(public) override

procedure
SaveToFile  (inherited) (const Filename: string) ;
(public) virtual, found in TGraphic

procedure
SaveToStream (Stream: TStream) ;
(public) override
procedure
SaveToStream  (inherited) (Stream: TStream) ;
(public) virtual/abstract, found in TGraphic

procedure
SetHandle (Value: HBITMAP) ;
(private)


Methods of TBitmap (GRAPHICS) (006)
57 Methods of TBitmap (GRAPHICS) (006)
3 superordinates
10 properties

procedure
SetHeight (Value: Integer) ;
(protected) override
procedure
SetHeight  (inherited) (Value: Integer) ;
(protected) virtual/abstract, found in TGraphic

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TGraphic

procedure
SetMonochrome (Value: Boolean) ;
(private)

procedure
SetPalette (Value: HPALETTE) ;
(private)

procedure
SetWidth (Value: Integer) ;
(protected) override
procedure
SetWidth  (inherited) (Value: Integer) ;
(protected) virtual/abstract, found in TGraphic

procedure
WriteData (Stream: TStream) ;
(protected) override
procedure
WriteData  (inherited) (Stream: TStream) ;
(protected) virtual, found in TGraphic

procedure
WriteStream (Stream: TStream; WriteSize: Boolean) ;
(private)


Methods of TIconImage (GRAPHICS)
20 Methods of TIconImage (GRAPHICS)
2 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TIconImage (GRAPHICS) (002)
20 Methods of TIconImage (GRAPHICS) (002)
2 superordinates
0 properties

procedure
FreeHandle ;
(private) override
procedure
FreeHandle  (inherited) ;
(private) virtual/abstract, found in TInternalImage

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Reference  (inherited) ;
(private) , found in TInternalImage

procedure
Release  (inherited) ;
(private) , found in TInternalImage


Methods of TIcon (GRAPHICS)
43 Methods of TIcon (GRAPHICS)
3 superordinates
6 properties

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TGraphic
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Changed  (inherited) (Sender: TObject) ;
(protected) , found in TGraphic

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create ;
(public) override
constructor
Create  (inherited) ;
(protected) virtual, found in TGraphic
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TIcon (GRAPHICS) (002)
43 Methods of TIcon (GRAPHICS) (002)
3 superordinates
6 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TGraphic
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Draw (ACanvas: TCanvas; const Rect: TRect) ;
(protected) override
procedure
Draw  (inherited) (ACanvas: TCanvas; const Rect: TRect) ;
(protected) virtual/abstract, found in TGraphic

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetEmpty : Boolean ;
(protected) override
function
GetEmpty  (inherited) : Boolean ;
(protected) virtual/abstract, found in TGraphic

function
GetHandle : HICON ;
(private)

function
GetHeight : Integer ;
(protected) override
function
GetHeight  (inherited) : Integer ;
(protected) virtual/abstract, found in TGraphic


Methods of TIcon (GRAPHICS) (003)
43 Methods of TIcon (GRAPHICS) (003)
3 superordinates
6 properties

function
GetWidth : Integer ;
(protected) override
function
GetWidth  (inherited) : Integer ;
(protected) virtual/abstract, found in TGraphic

procedure
HandleNeeded ;
(private)

procedure
ImageNeeded ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LoadFromClipboardFormat  (inherited) (AFormat: Word; AData: THandle; APalette: HPALETTE) ;
(public) virtual/abstract, found in TGraphic

procedure
LoadFromFile  (inherited) (const Filename: string) ;
(public) virtual, found in TGraphic

procedure
LoadFromStream (Stream: TStream) ;
(public) override
procedure
LoadFromStream  (inherited) (Stream: TStream) ;
(public) virtual/abstract, found in TGraphic

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TIcon (GRAPHICS) (004)
43 Methods of TIcon (GRAPHICS) (004)
3 superordinates
6 properties

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
NewImage (NewHandle: HICON; NewImage: TMemoryStream) ;
(private)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
ReadData  (inherited) (Stream: TStream) ;
(protected) virtual, found in TGraphic

function
ReleaseHandle : HICON ;
(public)

procedure
SaveToClipboardFormat  (inherited) (var AFormat: Word; var AData: THandle; var APalette: HPALETTE) ;
(public) virtual/abstract, found in TGraphic
procedure
SaveToClipboardFormat (var Format: Word; var Data: THandle; var APalette: HPALETTE) ;
(protected) override

procedure
SaveToFile  (inherited) (const Filename: string) ;
(public) virtual, found in TGraphic

procedure
SaveToStream (Stream: TStream) ;
(public) override
procedure
SaveToStream  (inherited) (Stream: TStream) ;
(public) virtual/abstract, found in TGraphic

procedure
SetHandle (Value: HICON) ;
(private)

procedure
SetHeight (Value: Integer) ;
(protected) override
procedure
SetHeight  (inherited) (Value: Integer) ;
(protected) virtual/abstract, found in TGraphic


Methods of TIcon (GRAPHICS) (005)
43 Methods of TIcon (GRAPHICS) (005)
3 superordinates
6 properties

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TGraphic

procedure
SetWidth (Value: Integer) ;
(protected) override
procedure
SetWidth  (inherited) (Value: Integer) ;
(protected) virtual/abstract, found in TGraphic

procedure
WriteData  (inherited) (Stream: TStream) ;
(protected) virtual, found in TGraphic


Methods of TImageList (GRAPHICS)
26 Methods of TImageList (GRAPHICS)
1 superordinates
4 properties

function
Add (Image, Mask: TBitmap): Integer ;
(public)

function
AddMasked (Image: TBitmap; MaskColor: TColor): Integer ;
(public)

function
AllocateSpace : Integer ;
(private)

procedure
CheckImage (Image: TBitmap) ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AWidth, AHeight: Integer) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TImageList (GRAPHICS) (002)
26 Methods of TImageList (GRAPHICS) (002)
1 superordinates
4 properties

procedure
Delete (Index: Integer) ;
(public)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Draw (Canvas: TCanvas; X, Y: Integer; Index: Integer) ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetCount : Integer ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TImageList (GRAPHICS) (003)
26 Methods of TImageList (GRAPHICS) (003)
1 superordinates
4 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Replace (Index: Integer; Image, Mask: TBitmap) ;
(public)

procedure
ReplaceMasked (Index: Integer; Image: TBitmap; MaskColor: TColor) ;
(public)


Methods of EOutOfResources (CONTROLS)
26 Methods of EOutOfResources (CONTROLS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EOutOfResources (CONTROLS) (002)
26 Methods of EOutOfResources (CONTROLS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in EOutOfMemory
destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(public) override, found in EOutOfMemory
procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EOutOfResources (CONTROLS) (003)
26 Methods of EOutOfResources (CONTROLS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EInvalidObject (CONTROLS)
26 Methods of EInvalidObject (CONTROLS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInvalidObject (CONTROLS) (002)
26 Methods of EInvalidObject (CONTROLS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInvalidObject (CONTROLS) (003)
26 Methods of EInvalidObject (CONTROLS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EInvalidOperation (CONTROLS)
26 Methods of EInvalidOperation (CONTROLS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInvalidOperation (CONTROLS) (002)
26 Methods of EInvalidOperation (CONTROLS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInvalidOperation (CONTROLS) (003)
26 Methods of EInvalidOperation (CONTROLS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TControlCanvas (CONTROLS)
67 Methods of TControlCanvas (CONTROLS)
3 superordinates
11 properties

procedure
Arc  (inherited) (X1, Y1, X2, Y2, X3, Y3, X4, Y4: Integer) ;
(public) , found in TCanvas

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BrushChanged  (inherited) (ABrush: TObject) ;
(private) , found in TCanvas

procedure
BrushCopy  (inherited) (const Dest: TRect; Bitmap: TBitmap; const Source: TRect; Color: TColor) ;
(public) , found in TCanvas

procedure
Changed  (inherited) ;
(protected) virtual, found in TCanvas

procedure
Changing  (inherited) ;
(protected) virtual, found in TCanvas

procedure
Chord  (inherited) (X1, Y1, X2, Y2, X3, Y3, X4, Y4: Integer) ;
(public) , found in TCanvas

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TControlCanvas (CONTROLS) (002)
67 Methods of TControlCanvas (CONTROLS) (002)
3 superordinates
11 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
CopyRect  (inherited) (const Dest: TRect; Canvas: TCanvas; const Source: TRect) ;
(public) , found in TCanvas

constructor
Create  (inherited) ;
(public) , found in TCanvas
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateBrush  (inherited) ;
(private) , found in TCanvas

procedure
CreateFont  (inherited) ;
(private) , found in TCanvas

procedure
CreateHandle ;
(protected) override
procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TCanvas

procedure
CreatePen  (inherited) ;
(private) , found in TCanvas

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TControlCanvas (CONTROLS) (003)
67 Methods of TControlCanvas (CONTROLS) (003)
3 superordinates
11 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DeselectHandles  (inherited) ;
(private) , found in TCanvas

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCanvas
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Draw  (inherited) (X, Y: Integer; Graphic: TGraphic) ;
(public) , found in TCanvas

procedure
DrawFocusRect  (inherited) (const Rect: TRect) ;
(public) , found in TCanvas

procedure
Ellipse  (inherited) (X1, Y1, X2, Y2: Integer) ;
(public) , found in TCanvas

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
FillRect  (inherited) (const Rect: TRect) ;
(public) , found in TCanvas

procedure
FloodFill  (inherited) (X, Y: Integer; Color: TColor; FillStyle: TFillStyle) ;
(public) , found in TCanvas


Methods of TControlCanvas (CONTROLS) (004)
67 Methods of TControlCanvas (CONTROLS) (004)
3 superordinates
11 properties

procedure
FontChanged  (inherited) (AFont: TObject) ;
(private) , found in TCanvas

procedure
FrameRect  (inherited) (const Rect: TRect) ;
(public) , found in TCanvas

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeHandle ;
(public)

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetClipRect  (inherited) : TRect ;
(private) , found in TCanvas

function
GetHandle  (inherited) : HDC ;
(private) , found in TCanvas

function
GetPenPos  (inherited) : TPoint ;
(private) , found in TCanvas

function
GetPixel  (inherited) (X, Y: Integer): TColor ;
(private) , found in TCanvas

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TControlCanvas (CONTROLS) (005)
67 Methods of TControlCanvas (CONTROLS) (005)
3 superordinates
11 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LineTo  (inherited) (X, Y: Integer) ;
(public) , found in TCanvas

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MoveTo  (inherited) (X, Y: Integer) ;
(public) , found in TCanvas

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
PenChanged  (inherited) (APen: TObject) ;
(private) , found in TCanvas

procedure
Pie  (inherited) (X1, Y1, X2, Y2, X3, Y3, X4, Y4: Integer) ;
(public) , found in TCanvas

procedure
Polygon  (inherited) (const Points: array of TPoint) ;
(public) , found in TCanvas


Methods of TControlCanvas (CONTROLS) (006)
67 Methods of TControlCanvas (CONTROLS) (006)
3 superordinates
11 properties

procedure
Polyline  (inherited) (const Points: array of TPoint) ;
(public) , found in TCanvas

procedure
Rectangle  (inherited) (X1, Y1, X2, Y2: Integer) ;
(public) , found in TCanvas

procedure
Refresh  (inherited) ;
(public) , found in TCanvas

procedure
RequiredState  (inherited) (ReqState: TCanvasState) ;
(private) , found in TCanvas

procedure
RoundRect  (inherited) (X1, Y1, X2, Y2, X3, Y3: Integer) ;
(public) , found in TCanvas

procedure
SetBrush  (inherited) (Value: TBrush) ;
(private) , found in TCanvas

procedure
SetControl (AControl: TControl) ;
(private)

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TCanvas

procedure
SetHandle  (inherited) (Value: HDC) ;
(private) , found in TCanvas

procedure
SetPen  (inherited) (Value: TPen) ;
(private) , found in TCanvas


Methods of TControlCanvas (CONTROLS) (007)
67 Methods of TControlCanvas (CONTROLS) (007)
3 superordinates
11 properties

procedure
SetPenPos  (inherited) (Value: TPoint) ;
(private) , found in TCanvas

procedure
SetPixel  (inherited) (X, Y: Integer; Value: TColor) ;
(private) , found in TCanvas

procedure
StretchDraw  (inherited) (const Rect: TRect; Graphic: TGraphic) ;
(public) , found in TCanvas

function
TextHeight  (inherited) (const Text: string): Integer ;
(public) , found in TCanvas

procedure
TextOut  (inherited) (X, Y: Integer; const Text: string) ;
(public) , found in TCanvas

procedure
TextRect  (inherited) (Rect: TRect; X, Y: Integer; const Text: string) ;
(public) , found in TCanvas

function
TextWidth  (inherited) (const Text: string): Integer ;
(public) , found in TCanvas


Methods of TControl (CONTROLS)
147 Methods of TControl (CONTROLS)
3 superordinates
47 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag (Immediate: Boolean) ;
(public)

procedure
BringToFront ;
(public)

procedure
CMColorChanged (var Message: TMessage); message CM_COLORCHANGED ;
(private)

procedure
CMDesignHitTest (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private)

procedure
CMEnabledChanged (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private)

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)

procedure
CMHitTest (var Message: TCMHitTest); message CM_HITTEST ;
(private)


Methods of TControl (CONTROLS) (002)
147 Methods of TControl (CONTROLS) (002)
3 superordinates
47 properties

procedure
CMMouseEnter (var Message: TMessage); message CM_MOUSEENTER ;
(private)

procedure
CMMouseLeave (var Message: TMessage); message CM_MOUSELEAVE ;
(private)

procedure
CMParentColorChanged (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private)

procedure
CMParentFontChanged (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private)

procedure
CMParentShowHintChanged (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private)

procedure
CMVisibleChanged (var Message: TMessage); message CM_VISIBLECHANGED ;
(private)

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale (M, D: Integer) ;
(protected) dynamic

function
CheckMenuPopup (X, Y: Integer): Boolean ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TControl (CONTROLS) (003)
147 Methods of TControl (CONTROLS) (003)
3 superordinates
47 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click ;
(protected) dynamic

function
ClientToScreen (const Point: TPoint): TPoint ;
(public)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DblClick ;
(protected) dynamic

procedure
DefaultHandler (var Message) ;
(protected) override
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TControl (CONTROLS) (004)
147 Methods of TControl (CONTROLS) (004)
3 superordinates
47 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoMouseDown (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private)

procedure
DoMouseUp (var Message: TWMMouse; Button: TMouseButton) ;
(private)

procedure
DragCanceled ;
(protected) dynamic

procedure
DragDrop (DragObject: TObject; X, Y: Integer) ;
(public) dynamic

function
Dragging : Boolean ;
(public)

procedure
EndDrag (Drop: Boolean) ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TControl (CONTROLS) (005)
147 Methods of TControl (CONTROLS) (005)
3 superordinates
47 properties

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged (Sender: TObject) ;
(private)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect : TRect ;
(private)

function
GetClientHeight : Integer ;
(private)

function
GetClientOrigin : TPoint ;
(protected) virtual

function
GetClientRect : TRect ;
(protected) virtual

function
GetClientWidth : Integer ;
(private)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TControl (CONTROLS) (006)
147 Methods of TControl (CONTROLS) (006)
3 superordinates
47 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext (var WindowHandle: HWnd): HDC ;
(protected) virtual

function
GetHint : string ;
(private)

function
GetMouseCapture : Boolean ;
(private)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette : HPALETTE ;
(protected) dynamic

function
GetText : TCaption ;
(private)

function
GetTextBuf (Buffer: PChar; BufSize: Integer): Integer ;
(public)

function
GetTextLen : Integer ;
(public)


Methods of TControl (CONTROLS) (007)
147 Methods of TControl (CONTROLS) (007)
3 superordinates
47 properties

function
HasParent : Boolean ;
(protected) override
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide ;
(public)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate ;
(public) virtual

procedure
InvalidateControl (IsVisible, IsOpaque: Boolean) ;
(private)

function
IsColorStored : Boolean ;
(private)


Methods of TControl (CONTROLS) (008)
147 Methods of TControl (CONTROLS) (008)
3 superordinates
47 properties

function
IsFontStored : Boolean ;
(private)

function
IsShowHintStored : Boolean ;
(private)

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic

procedure
MouseMove (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic

procedure
MouseUp (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TControl (CONTROLS) (009)
147 Methods of TControl (CONTROLS) (009)
3 superordinates
47 properties

function
PaletteChanged (Foreground: Boolean): Boolean ;
(protected) dynamic

function
Perform (Msg, WParam: Word; LParam: Longint): Longint ;
(public)

procedure
ReadIsControl (Reader: TReader) ;
(private)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState (Reader: TReader) ;
(protected) override
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh ;
(public)

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Repaint ;
(public) virtual


Methods of TControl (CONTROLS) (010)
147 Methods of TControl (CONTROLS) (010)
3 superordinates
47 properties

procedure
RequestAlign ;
(private)

function
ScreenToClient (const Point: TPoint): TPoint ;
(public)

procedure
SendCancelMode (Sender: TControl) ;
(private)

procedure
SendToBack ;
(public)

procedure
SetAlign (Value: TAlign) ;
(private)

procedure
SetBounds (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual

procedure
SetBoundsRect (const Rect: TRect) ;
(private)

procedure
SetClientHeight (Value: Integer) ;
(private)

procedure
SetClientSize (Value: TPoint) ;
(private)

procedure
SetClientWidth (Value: Integer) ;
(private)


Methods of TControl (CONTROLS) (011)
147 Methods of TControl (CONTROLS) (011)
3 superordinates
47 properties

procedure
SetColor (Value: TColor) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor (Value: TCursor) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled (Value: Boolean) ;
(private)

procedure
SetFont (Value: TFont) ;
(private)

procedure
SetHeight (Value: Integer) ;
(private)

procedure
SetHint (const Value: string) ;
(private)

procedure
SetLeft (Value: Integer) ;
(private)

procedure
SetMouseCapture (Value: Boolean) ;
(private)


Methods of TControl (CONTROLS) (012)
147 Methods of TControl (CONTROLS) (012)
3 superordinates
47 properties

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName (const Value: TComponentName) ;
(protected) override

procedure
SetParent (AParent: TWinControl) ;
(protected) virtual

procedure
SetParentColor (Value: Boolean) ;
(private)

procedure
SetParentFont (Value: Boolean) ;
(private)

procedure
SetParentShowHint (Value: Boolean) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint (Value: Boolean) ;
(private)

procedure
SetText (const Value: TCaption) ;
(private)

procedure
SetTextBuf (Buffer: PChar) ;
(public)

procedure
SetTop (Value: Integer) ;
(private)


Methods of TControl (CONTROLS) (013)
147 Methods of TControl (CONTROLS) (013)
3 superordinates
47 properties

procedure
SetVisible (Value: Boolean) ;
(private)

procedure
SetWidth (Value: Integer) ;
(private)

procedure
SetZOrder (TopMost: Boolean) ;
(protected) dynamic

procedure
Show ;
(public)

procedure
Update ;
(public) virtual

procedure
UpdateBoundsRect (const R: TRect) ;
(protected)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging ;
(protected) dynamic

procedure
WMCancelMode (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private)

procedure
WMLButtonDblClk (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private)


Methods of TControl (CONTROLS) (014)
147 Methods of TControl (CONTROLS) (014)
3 superordinates
47 properties

procedure
WMLButtonDown (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private)

procedure
WMLButtonUp (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private)

procedure
WMMButtonDblClk (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private)

procedure
WMMButtonDown (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private)

procedure
WMMButtonUp (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private)

procedure
WMMouseMove (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private)

procedure
WMNCLButtonDown (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private)

procedure
WMNCRButtonDown (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private)

procedure
WMRButtonDblClk (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private)

procedure
WMRButtonDown (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private)


Methods of TControl (CONTROLS) (015)
147 Methods of TControl (CONTROLS) (015)
3 superordinates
47 properties

procedure
WMRButtonUp (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private)

procedure
WndProc (var Message: TMessage) ;
(protected) virtual

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl (Writer: TWriter) ;
(private)

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TWinControl (CONTROLS)
264 Methods of TWinControl (CONTROLS)
4 superordinates
64 properties

procedure
AlignControl (AControl: TControl) ;
(private)

procedure
AlignControls (AControl: TControl; var Rect: TRect) ;
(protected) virtual

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast (var Message) ;
(public)

procedure
CMColorChanged (var Message: TMessage); message CM_COLORCHANGED ;
(private)
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged (var Message: TMessage); message CM_CTL3DCHANGED ;
(private)


Methods of TWinControl (CONTROLS) (002)
264 Methods of TWinControl (CONTROLS) (002)
4 superordinates
64 properties

procedure
CMCursorChanged (var Message: TMessage); message CM_CURSORCHANGED ;
(private)

procedure
CMDesignHitTest (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private)
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private)

procedure
CMDialogKey (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private)

procedure
CMEnabledChanged (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private)
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter (var Message: TCMEnter); message CM_ENTER ;
(private)

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)

procedure
CMFocusChanged (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private)

procedure
CMFontChange (var Message: TMessage); message CM_FONTCHANGE ;
(private)

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TWinControl (CONTROLS) (003)
264 Methods of TWinControl (CONTROLS) (003)
4 superordinates
64 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private)

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private)

procedure
CMShowingChanged (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private)

procedure
CMSysColorChange (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private)


Methods of TWinControl (CONTROLS) (004)
264 Methods of TWinControl (CONTROLS) (004)
4 superordinates
64 properties

procedure
CMTimeChange (var Message: TMessage); message CM_TIMECHANGE ;
(private)

procedure
CMVisibleChanged (var Message: TMessage); message CM_VISIBLECHANGED ;
(private)
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private)

procedure
CNChar (var Message: TWMChar); message CN_CHAR ;
(private)

procedure
CNCtlColor (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private)

procedure
CNKeyDown (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private)

procedure
CNKeyUp (var Message: TWMKeyUp); message CN_KEYUP ;
(private)

procedure
CNSysChar (var Message: TWMChar); message CN_SYSCHAR ;
(private)

procedure
CNSysKeyDown (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private)

function
CanFocus : Boolean ;
(public)


Methods of TWinControl (CONTROLS) (005)
264 Methods of TWinControl (CONTROLS) (005)
4 superordinates
64 properties

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale (M, D: Integer) ;
(protected) override
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl (Control: TControl): Boolean ;
(public)


Methods of TWinControl (CONTROLS) (006)
264 Methods of TWinControl (CONTROLS) (006)
4 superordinates
64 properties

function
ControlAtPos (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle ;
(protected) virtual

procedure
CreateParams (var Params: TCreateParams) ;
(protected) virtual

procedure
CreateSubClass (var Params: TCreateParams; ControlClassName: PChar) ;
(protected)

procedure
CreateWindowHandle (const Params: TCreateParams) ;
(protected) virtual

procedure
CreateWnd ;
(protected) virtual

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler (var Message) ;
(protected) override
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent


Methods of TWinControl (CONTROLS) (007)
264 Methods of TWinControl (CONTROLS) (007)
4 superordinates
64 properties

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle ;
(protected)

procedure
DestroyWindowHandle ;
(protected) virtual

procedure
DestroyWnd ;
(protected) virtual

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign ;
(public)

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter ;
(protected) dynamic

procedure
DoExit ;
(protected) dynamic


Methods of TWinControl (CONTROLS) (008)
264 Methods of TWinControl (CONTROLS) (008)
4 superordinates
64 properties

function
DoKeyDown (var Message: TWMKey): Boolean ;
(protected)

function
DoKeyPress (var Message: TWMKey): Boolean ;
(protected)

function
DoKeyUp (var Message: TWMKey): Boolean ;
(protected)

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign ;
(public)

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl


Methods of TWinControl (CONTROLS) (009)
264 Methods of TWinControl (CONTROLS) (009)
4 superordinates
64 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected)

procedure
FixupTabList ;
(private)

function
Focused : Boolean ;
(public)

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TWinControl (CONTROLS) (010)
264 Methods of TWinControl (CONTROLS) (010)
4 superordinates
64 properties

function
GetClientOrigin : TPoint ;
(protected) override
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect : TRect ;
(protected) override
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl (Index: Integer): TControl ;
(private)

function
GetControlCount : Integer ;
(private)

function
GetDeviceContext (var WindowHandle: HWnd): HDC ;
(protected) override
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle : HWnd ;
(private)


Methods of TWinControl (CONTROLS) (011)
264 Methods of TWinControl (CONTROLS) (011)
4 superordinates
64 properties

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder : TTabOrder ;
(private)

procedure
GetTabOrderList (List: TList) ;
(public)

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated : Boolean ;
(public)


Methods of TWinControl (CONTROLS) (012)
264 Methods of TWinControl (CONTROLS) (012)
4 superordinates
64 properties

procedure
HandleNeeded ;
(public)

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert (AControl: TControl) ;
(private)

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl (AControl: TControl) ;
(public)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate ;
(public) override
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl


Methods of TWinControl (CONTROLS) (013)
264 Methods of TWinControl (CONTROLS) (013)
4 superordinates
64 properties

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame ;
(private)

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg (var Message: TWMMouse): Boolean ;
(protected)

function
IsCtl3DStored : Boolean ;
(private)

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey (var Message: TWMKey): Boolean ;
(private)

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) dynamic

procedure
KeyPress (var Key: Char) ;
(protected) dynamic


Methods of TWinControl (CONTROLS) (014)
264 Methods of TWinControl (CONTROLS) (014)
4 superordinates
64 properties

procedure
KeyUp (var Key: Word; Shift: TShiftState) ;
(protected) dynamic

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc (var Message: TMessage) ;
(protected)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TWinControl (CONTROLS) (015)
264 Methods of TWinControl (CONTROLS) (015)
4 superordinates
64 properties

procedure
NotifyControls (Msg: Word) ;
(protected)

procedure
PaintControls (DC: HDC; First: TControl) ;
(protected)

procedure
PaintHandler (var Message: TWMPaint) ;
(protected)

procedure
PaintWindow (DC: HDC) ;
(protected) virtual

function
PaletteChanged (Foreground: Boolean): Boolean ;
(protected) override
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow (Control: TWinControl): HWnd ;
(private)

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState (Reader: TReader) ;
(protected) override
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent


Methods of TWinControl (CONTROLS) (016)
264 Methods of TWinControl (CONTROLS) (016)
4 superordinates
64 properties

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign ;
(public)

procedure
RecreateWnd ;
(protected)

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove (AControl: TControl) ;
(private)

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl (AControl: TControl) ;
(public)

procedure
RemoveFocus (Removing: Boolean) ;
(private)

procedure
Repaint ;
(public) override
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl


Methods of TWinControl (CONTROLS) (017)
264 Methods of TWinControl (CONTROLS) (017)
4 superordinates
64 properties

procedure
ScaleBy (M, D: Integer) ;
(public)

procedure
ScaleControls (M, D: Integer) ;
(protected)

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy (DeltaX, DeltaY: Integer) ;
(public)

procedure
SelectFirst ;
(protected)

procedure
SelectNext (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected)

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl


Methods of TWinControl (CONTROLS) (018)
264 Methods of TWinControl (CONTROLS) (018)
4 superordinates
64 properties

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D (Value: Boolean) ;
(private)

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TWinControl (CONTROLS) (019)
264 Methods of TWinControl (CONTROLS) (019)
4 superordinates
64 properties

procedure
SetFocus ;
(public) virtual

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D (Value: Boolean) ;
(private)


Methods of TWinControl (CONTROLS) (020)
264 Methods of TWinControl (CONTROLS) (020)
4 superordinates
64 properties

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder (Value: TTabOrder) ;
(private)

procedure
SetTabStop (Value: Boolean) ;
(private)

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TWinControl (CONTROLS) (021)
264 Methods of TWinControl (CONTROLS) (021)
4 superordinates
64 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder (TopMost: Boolean) ;
(protected) override
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl (AControl: TControl) ;
(protected) virtual

procedure
Update ;
(public) override
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds ;
(private)

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState ;
(public)

procedure
UpdateShowing ;
(private)

procedure
UpdateTabOrder (Value: TTabOrder) ;
(private)


Methods of TWinControl (CONTROLS) (022)
264 Methods of TWinControl (CONTROLS) (022)
4 superordinates
64 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar (var Message: TWMChar); message WM_CHAR ;
(private)

procedure
WMCharToItem (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private)

procedure
WMCommand (var Message: TWMCommand); message WM_COMMAND ;
(private)

procedure
WMCompareItem (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private)

procedure
WMCtlColor (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private)

procedure
WMDeleteItem (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private)

procedure
WMDestroy (var Message: TWMDestroy); message WM_DESTROY ;
(private)


Methods of TWinControl (CONTROLS) (023)
264 Methods of TWinControl (CONTROLS) (023)
4 superordinates
64 properties

procedure
WMDrawItem (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private)

procedure
WMEraseBkgnd (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private)

procedure
WMFontChange (var Message: TMessage); message WM_FONTCHANGE ;
(private)

procedure
WMHScroll (var Message: TWMHScroll); message WM_HSCROLL ;
(private)

procedure
WMKeyDown (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private)

procedure
WMKeyUp (var Message: TWMKeyUp); message WM_KEYUP ;
(private)

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TWinControl (CONTROLS) (024)
264 Methods of TWinControl (CONTROLS) (024)
4 superordinates
64 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private)

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove (var Message: TWMMove); message WM_MOVE ;
(private)

procedure
WMNCDestroy (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private)

procedure
WMNCHitTest (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private)

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint (var Message: TWMPaint); message WM_PAINT ;
(private)


Methods of TWinControl (CONTROLS) (025)
264 Methods of TWinControl (CONTROLS) (025)
4 superordinates
64 properties

procedure
WMPaletteChanged (var Message: TMessage); message WM_PALETTECHANGED ;
(private)

procedure
WMParentNotify (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private)

procedure
WMQueryNewPalette (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private)

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private)

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)

procedure
WMSysColorChange (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private)

procedure
WMSysCommand (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private)


Methods of TWinControl (CONTROLS) (026)
264 Methods of TWinControl (CONTROLS) (026)
4 superordinates
64 properties

procedure
WMSysKeyDown (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private)

procedure
WMSysKeyUp (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private)

procedure
WMTimeChange (var Message: TMessage); message WM_TIMECHANGE ;
(private)

procedure
WMVBXFireEvent (var Message: TMessage); message WM_VBXFIREEVENT ;
(private)

procedure
WMVKeyToItem (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private)

procedure
WMVScroll (var Message: TWMVScroll); message WM_VSCROLL ;
(private)

procedure
WMWinIniChange (var Message: TMessage); message WM_WININICHANGE ;
(private)

procedure
WMWindowPosChanged (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private)

procedure
WndProc (var Message: TMessage) ;
(protected) override
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents (Writer: TWriter) ;
(protected) override
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TWinControl (CONTROLS) (027)
264 Methods of TWinControl (CONTROLS) (027)
4 superordinates
64 properties

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TGraphicControl (CONTROLS)
149 Methods of TGraphicControl (CONTROLS)
4 superordinates
48 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl


Methods of TGraphicControl (CONTROLS) (002)
149 Methods of TGraphicControl (CONTROLS) (002)
4 superordinates
48 properties

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TGraphicControl (CONTROLS) (003)
149 Methods of TGraphicControl (CONTROLS) (003)
4 superordinates
48 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TGraphicControl (CONTROLS) (004)
149 Methods of TGraphicControl (CONTROLS) (004)
4 superordinates
48 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TGraphicControl (CONTROLS) (005)
149 Methods of TGraphicControl (CONTROLS) (005)
4 superordinates
48 properties

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TGraphicControl (CONTROLS) (006)
149 Methods of TGraphicControl (CONTROLS) (006)
4 superordinates
48 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TGraphicControl (CONTROLS) (007)
149 Methods of TGraphicControl (CONTROLS) (007)
4 superordinates
48 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TGraphicControl (CONTROLS) (008)
149 Methods of TGraphicControl (CONTROLS) (008)
4 superordinates
48 properties

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TGraphicControl (CONTROLS) (009)
149 Methods of TGraphicControl (CONTROLS) (009)
4 superordinates
48 properties

procedure
Paint ;
(protected) virtual

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TGraphicControl (CONTROLS) (010)
149 Methods of TGraphicControl (CONTROLS) (010)
4 superordinates
48 properties

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TGraphicControl (CONTROLS) (011)
149 Methods of TGraphicControl (CONTROLS) (011)
4 superordinates
48 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TGraphicControl (CONTROLS) (012)
149 Methods of TGraphicControl (CONTROLS) (012)
4 superordinates
48 properties

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl


Methods of TGraphicControl (CONTROLS) (013)
149 Methods of TGraphicControl (CONTROLS) (013)
4 superordinates
48 properties

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl


Methods of TGraphicControl (CONTROLS) (014)
149 Methods of TGraphicControl (CONTROLS) (014)
4 superordinates
48 properties

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint (var Message: TWMPaint); message WM_PAINT ;
(private)


Methods of TGraphicControl (CONTROLS) (015)
149 Methods of TGraphicControl (CONTROLS) (015)
4 superordinates
48 properties

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomControl (CONTROLS)
265 Methods of TCustomControl (CONTROLS)
5 superordinates
65 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TCustomControl (CONTROLS) (002)
265 Methods of TCustomControl (CONTROLS) (002)
5 superordinates
65 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TCustomControl (CONTROLS) (003)
265 Methods of TCustomControl (CONTROLS) (003)
5 superordinates
65 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TCustomControl (CONTROLS) (004)
265 Methods of TCustomControl (CONTROLS) (004)
5 superordinates
65 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TCustomControl (CONTROLS) (005)
265 Methods of TCustomControl (CONTROLS) (005)
5 superordinates
65 properties

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of TCustomControl (CONTROLS) (006)
265 Methods of TCustomControl (CONTROLS) (006)
5 superordinates
65 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent


Methods of TCustomControl (CONTROLS) (007)
265 Methods of TCustomControl (CONTROLS) (007)
5 superordinates
65 properties

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TCustomControl (CONTROLS) (008)
265 Methods of TCustomControl (CONTROLS) (008)
5 superordinates
65 properties

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl


Methods of TCustomControl (CONTROLS) (009)
265 Methods of TCustomControl (CONTROLS) (009)
5 superordinates
65 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TCustomControl (CONTROLS) (010)
265 Methods of TCustomControl (CONTROLS) (010)
5 superordinates
65 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl


Methods of TCustomControl (CONTROLS) (011)
265 Methods of TCustomControl (CONTROLS) (011)
5 superordinates
65 properties

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TCustomControl (CONTROLS) (012)
265 Methods of TCustomControl (CONTROLS) (012)
5 superordinates
65 properties

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl


Methods of TCustomControl (CONTROLS) (013)
265 Methods of TCustomControl (CONTROLS) (013)
5 superordinates
65 properties

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl


Methods of TCustomControl (CONTROLS) (014)
265 Methods of TCustomControl (CONTROLS) (014)
5 superordinates
65 properties

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TCustomControl (CONTROLS) (015)
265 Methods of TCustomControl (CONTROLS) (015)
5 superordinates
65 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint ;
(protected) virtual

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow (DC: HDC) ;
(protected) override
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TCustomControl (CONTROLS) (016)
265 Methods of TCustomControl (CONTROLS) (016)
5 superordinates
65 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl


Methods of TCustomControl (CONTROLS) (017)
265 Methods of TCustomControl (CONTROLS) (017)
5 superordinates
65 properties

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl


Methods of TCustomControl (CONTROLS) (018)
265 Methods of TCustomControl (CONTROLS) (018)
5 superordinates
65 properties

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent


Methods of TCustomControl (CONTROLS) (019)
265 Methods of TCustomControl (CONTROLS) (019)
5 superordinates
65 properties

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomControl (CONTROLS) (020)
265 Methods of TCustomControl (CONTROLS) (020)
5 superordinates
65 properties

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TCustomControl (CONTROLS) (021)
265 Methods of TCustomControl (CONTROLS) (021)
5 superordinates
65 properties

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl


Methods of TCustomControl (CONTROLS) (022)
265 Methods of TCustomControl (CONTROLS) (022)
5 superordinates
65 properties

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl


Methods of TCustomControl (CONTROLS) (023)
265 Methods of TCustomControl (CONTROLS) (023)
5 superordinates
65 properties

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl


Methods of TCustomControl (CONTROLS) (024)
265 Methods of TCustomControl (CONTROLS) (024)
5 superordinates
65 properties

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl


Methods of TCustomControl (CONTROLS) (025)
265 Methods of TCustomControl (CONTROLS) (025)
5 superordinates
65 properties

procedure
WMPaint (var Message: TWMPaint); message WM_PAINT ;
(private)
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TCustomControl (CONTROLS) (026)
265 Methods of TCustomControl (CONTROLS) (026)
5 superordinates
65 properties

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TCustomControl (CONTROLS) (027)
265 Methods of TCustomControl (CONTROLS) (027)
5 superordinates
65 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of THintWindow (CONTROLS)
269 Methods of THintWindow (CONTROLS)
6 superordinates
65 properties

procedure
ActivateHint (Rect: TRect; const AHint: string) ;
(public) virtual

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl


Methods of THintWindow (CONTROLS) (002)
269 Methods of THintWindow (CONTROLS) (002)
6 superordinates
65 properties

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (003)
269 Methods of THintWindow (CONTROLS) (003)
6 superordinates
65 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (004)
269 Methods of THintWindow (CONTROLS) (004)
6 superordinates
65 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged (var Message: TMessage); message CM_TEXTCHANGED ;
(private)

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (005)
269 Methods of THintWindow (CONTROLS) (005)
6 superordinates
65 properties

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl


Methods of THintWindow (CONTROLS) (006)
269 Methods of THintWindow (CONTROLS) (006)
6 superordinates
65 properties

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl


Methods of THintWindow (CONTROLS) (007)
269 Methods of THintWindow (CONTROLS) (007)
6 superordinates
65 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of THintWindow (CONTROLS) (008)
269 Methods of THintWindow (CONTROLS) (008)
6 superordinates
65 properties

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl


Methods of THintWindow (CONTROLS) (009)
269 Methods of THintWindow (CONTROLS) (009)
6 superordinates
65 properties

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of THintWindow (CONTROLS) (010)
269 Methods of THintWindow (CONTROLS) (010)
6 superordinates
65 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (011)
269 Methods of THintWindow (CONTROLS) (011)
6 superordinates
65 properties

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl


Methods of THintWindow (CONTROLS) (012)
269 Methods of THintWindow (CONTROLS) (012)
6 superordinates
65 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of THintWindow (CONTROLS) (013)
269 Methods of THintWindow (CONTROLS) (013)
6 superordinates
65 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsHintMsg (var Msg: TMsg): Boolean ;
(public) virtual

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (014)
269 Methods of THintWindow (CONTROLS) (014)
6 superordinates
65 properties

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of THintWindow (CONTROLS) (015)
269 Methods of THintWindow (CONTROLS) (015)
6 superordinates
65 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl


Methods of THintWindow (CONTROLS) (016)
269 Methods of THintWindow (CONTROLS) (016)
6 superordinates
65 properties

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
ReleaseHandle ;
(public)

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (017)
269 Methods of THintWindow (CONTROLS) (017)
6 superordinates
65 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl


Methods of THintWindow (CONTROLS) (018)
269 Methods of THintWindow (CONTROLS) (018)
6 superordinates
65 properties

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of THintWindow (CONTROLS) (019)
269 Methods of THintWindow (CONTROLS) (019)
6 superordinates
65 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of THintWindow (CONTROLS) (020)
269 Methods of THintWindow (CONTROLS) (020)
6 superordinates
65 properties

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (021)
269 Methods of THintWindow (CONTROLS) (021)
6 superordinates
65 properties

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl


Methods of THintWindow (CONTROLS) (022)
269 Methods of THintWindow (CONTROLS) (022)
6 superordinates
65 properties

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (023)
269 Methods of THintWindow (CONTROLS) (023)
6 superordinates
65 properties

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (024)
269 Methods of THintWindow (CONTROLS) (024)
6 superordinates
65 properties

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (025)
269 Methods of THintWindow (CONTROLS) (025)
6 superordinates
65 properties

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of THintWindow (CONTROLS) (026)
269 Methods of THintWindow (CONTROLS) (026)
6 superordinates
65 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl


Methods of THintWindow (CONTROLS) (027)
269 Methods of THintWindow (CONTROLS) (027)
6 superordinates
65 properties

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCommonDialog (DIALOGS)
49 Methods of TCommonDialog (DIALOGS)
3 superordinates
10 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TCommonDialog (DIALOGS) (002)
49 Methods of TCommonDialog (DIALOGS) (002)
3 superordinates
10 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TCommonDialog (DIALOGS) (003)
49 Methods of TCommonDialog (DIALOGS) (003)
3 superordinates
10 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TCommonDialog (DIALOGS) (004)
49 Methods of TCommonDialog (DIALOGS) (004)
3 superordinates
10 properties

function
Message (var Msg: TMessage): Boolean ;
(protected) virtual

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TCommonDialog (DIALOGS) (005)
49 Methods of TCommonDialog (DIALOGS) (005)
3 superordinates
10 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDlgControl (DIALOGS)
22 Methods of TDlgControl (DIALOGS)
1 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (Owner: TComboButton) ;
(private)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler (var Message) ;
(private) override
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(private) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TDlgControl (DIALOGS) (002)
22 Methods of TDlgControl (DIALOGS) (002)
1 superordinates
0 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

procedure
Init ;
(private) virtual/abstract

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
MainWndProc (var Message: TMessage) ;
(private)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetVisible (Value: Boolean) ;
(private)


Methods of TDlgControl (DIALOGS) (003)
22 Methods of TDlgControl (DIALOGS) (003)
1 superordinates
0 properties

procedure
WMNCDestroy (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private)

procedure
WndProc (var Message: TMessage) ;
(private) virtual


Methods of TComboButton (DIALOGS)
30 Methods of TComboButton (DIALOGS)
1 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Closeup ;
(private)

constructor
Create (Owner: TOpenDialog) ;
(private)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateWnd (Dlg: HWnd; ControlID: Word) ;
(private)

procedure
DefaultHandler (var Message) ;
(private) override
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(private) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TComboButton (DIALOGS) (002)
30 Methods of TComboButton (DIALOGS) (002)
1 superordinates
0 properties

procedure
DropDown ;
(private)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TComboButton (DIALOGS) (003)
30 Methods of TComboButton (DIALOGS) (003)
1 superordinates
0 properties

procedure
RegisterClass ;
(private)

procedure
Repaint ;
(private)

procedure
WMCommand (var Message: TWMCommand); message WM_COMMAND ;
(private)

procedure
WMDestroy (var Message: TWMDestroy); message WM_DESTROY ;
(private)

procedure
WMLButtonDown (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private)

procedure
WMLButtonUp (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private)

procedure
WMMouseMove (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private)

procedure
WMNCDestroy (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private)

procedure
WMPaint (var Message: TWMPaint); message WM_PAINT ;
(private)

procedure
WndProc (var Message: TMessage) ;
(private)


Methods of TOpenDialog (DIALOGS)
59 Methods of TOpenDialog (DIALOGS)
4 superordinates
20 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCommonDialog
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TOpenDialog (DIALOGS) (002)
59 Methods of TOpenDialog (DIALOGS) (002)
4 superordinates
20 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
DoExecute (Func: Pointer): Bool ;
(private)

function
Execute : Boolean ;
(public) virtual

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TOpenDialog (DIALOGS) (003)
59 Methods of TOpenDialog (DIALOGS) (003)
4 superordinates
20 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetFiles : TStrings ;
(private)

function
GetFilter : string ;
(private)

function
GetInitialDir : string ;
(private)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetTitle : string ;
(private)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent


Methods of TOpenDialog (DIALOGS) (004)
59 Methods of TOpenDialog (DIALOGS) (004)
4 superordinates
20 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

function
Message  (inherited) (var Msg: TMessage): Boolean ;
(protected) virtual, found in TCommonDialog

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TOpenDialog (DIALOGS) (005)
59 Methods of TOpenDialog (DIALOGS) (005)
4 superordinates
20 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetFilter (const AFilter: string) ;
(private)

procedure
SetHistoryList (Value: TStrings) ;
(private)


Methods of TOpenDialog (DIALOGS) (006)
59 Methods of TOpenDialog (DIALOGS) (006)
4 superordinates
20 properties

procedure
SetInitialDir (const AInitialDir: string) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetTitle (const ATitle: string) ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TSaveDialog (DIALOGS)
59 Methods of TSaveDialog (DIALOGS)
5 superordinates
20 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TOpenDialog
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCommonDialog
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TSaveDialog (DIALOGS) (002)
59 Methods of TSaveDialog (DIALOGS) (002)
5 superordinates
20 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TOpenDialog
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
DoExecute  (inherited) (Func: Pointer): Bool ;
(private) , found in TOpenDialog

function
Execute : Boolean ;
(private) override
function
Execute  (inherited) : Boolean ;
(public) virtual, found in TOpenDialog

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TSaveDialog (DIALOGS) (003)
59 Methods of TSaveDialog (DIALOGS) (003)
5 superordinates
20 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetFiles  (inherited) : TStrings ;
(private) , found in TOpenDialog

function
GetFilter  (inherited) : string ;
(private) , found in TOpenDialog

function
GetInitialDir  (inherited) : string ;
(private) , found in TOpenDialog

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetTitle  (inherited) : string ;
(private) , found in TOpenDialog

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent


Methods of TSaveDialog (DIALOGS) (004)
59 Methods of TSaveDialog (DIALOGS) (004)
5 superordinates
20 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

function
Message  (inherited) (var Msg: TMessage): Boolean ;
(protected) virtual, found in TCommonDialog

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TSaveDialog (DIALOGS) (005)
59 Methods of TSaveDialog (DIALOGS) (005)
5 superordinates
20 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetFilter  (inherited) (const AFilter: string) ;
(private) , found in TOpenDialog

procedure
SetHistoryList  (inherited) (Value: TStrings) ;
(private) , found in TOpenDialog


Methods of TSaveDialog (DIALOGS) (006)
59 Methods of TSaveDialog (DIALOGS) (006)
5 superordinates
20 properties

procedure
SetInitialDir  (inherited) (const AInitialDir: string) ;
(private) , found in TOpenDialog

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetTitle  (inherited) (const ATitle: string) ;
(private) , found in TOpenDialog

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TColorDialog (DIALOGS)
51 Methods of TColorDialog (DIALOGS)
4 superordinates
14 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCommonDialog
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TColorDialog (DIALOGS) (002)
51 Methods of TColorDialog (DIALOGS) (002)
4 superordinates
14 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
Execute : Boolean ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TColorDialog (DIALOGS) (003)
51 Methods of TColorDialog (DIALOGS) (003)
4 superordinates
14 properties

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TColorDialog (DIALOGS) (004)
51 Methods of TColorDialog (DIALOGS) (004)
4 superordinates
14 properties

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

function
Message  (inherited) (var Msg: TMessage): Boolean ;
(protected) virtual, found in TCommonDialog

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TColorDialog (DIALOGS) (005)
51 Methods of TColorDialog (DIALOGS) (005)
4 superordinates
14 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCustomColors (Value: TStrings) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TColorDialog (DIALOGS) (006)
51 Methods of TColorDialog (DIALOGS) (006)
4 superordinates
14 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TFontDialog (DIALOGS)
54 Methods of TFontDialog (DIALOGS)
4 superordinates
16 properties

procedure
Apply (Wnd: HWND) ;
(protected) dynamic

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCommonDialog
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TFontDialog (DIALOGS) (002)
54 Methods of TFontDialog (DIALOGS) (002)
4 superordinates
16 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoApply (Wnd: HWND) ;
(private)

function
Execute : Boolean ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TFontDialog (DIALOGS) (003)
54 Methods of TFontDialog (DIALOGS) (003)
4 superordinates
16 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TFontDialog (DIALOGS) (004)
54 Methods of TFontDialog (DIALOGS) (004)
4 superordinates
16 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

function
Message  (inherited) (var Msg: TMessage): Boolean ;
(protected) virtual, found in TCommonDialog

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent


Methods of TFontDialog (DIALOGS) (005)
54 Methods of TFontDialog (DIALOGS) (005)
4 superordinates
16 properties

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetFont (Value: TFont) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
UpdateFromLogFont (const LogFont: TLogFont) ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent


Methods of TFontDialog (DIALOGS) (006)
54 Methods of TFontDialog (DIALOGS) (006)
4 superordinates
16 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TPrinterSetupDialog (DIALOGS)
50 Methods of TPrinterSetupDialog (DIALOGS)
4 superordinates
10 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCommonDialog
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TPrinterSetupDialog (DIALOGS) (002)
50 Methods of TPrinterSetupDialog (DIALOGS) (002)
4 superordinates
10 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Execute ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TPrinterSetupDialog (DIALOGS) (003)
50 Methods of TPrinterSetupDialog (DIALOGS) (003)
4 superordinates
10 properties

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TPrinterSetupDialog (DIALOGS) (004)
50 Methods of TPrinterSetupDialog (DIALOGS) (004)
4 superordinates
10 properties

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

function
Message  (inherited) (var Msg: TMessage): Boolean ;
(protected) virtual, found in TCommonDialog

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TPrinterSetupDialog (DIALOGS) (005)
50 Methods of TPrinterSetupDialog (DIALOGS) (005)
4 superordinates
10 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TPrintDialog (DIALOGS)
50 Methods of TPrintDialog (DIALOGS)
5 superordinates
19 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCommonDialog
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TPrintDialog (DIALOGS) (002)
50 Methods of TPrintDialog (DIALOGS) (002)
5 superordinates
19 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
Execute : Boolean ;
(public)
procedure
Execute  (inherited) ;
(public) , found in TPrinterSetupDialog

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TPrintDialog (DIALOGS) (003)
50 Methods of TPrintDialog (DIALOGS) (003)
5 superordinates
19 properties

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TPrintDialog (DIALOGS) (004)
50 Methods of TPrintDialog (DIALOGS) (004)
5 superordinates
19 properties

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

function
Message  (inherited) (var Msg: TMessage): Boolean ;
(protected) virtual, found in TCommonDialog

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TPrintDialog (DIALOGS) (005)
50 Methods of TPrintDialog (DIALOGS) (005)
5 superordinates
19 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TFindDialog (DIALOGS)
61 Methods of TFindDialog (DIALOGS)
4 superordinates
17 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
CloseDialog ;
(public)

procedure
ConvertFields ;
(protected) virtual


Methods of TFindDialog (DIALOGS) (002)
61 Methods of TFindDialog (DIALOGS) (002)
4 superordinates
17 properties

procedure
ConvertFieldsForCallBack ;
(protected) virtual

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCommonDialog
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
DoExecute (Func: Pointer): Bool ;
(private)

function
Execute : Boolean ;
(public) virtual


Methods of TFindDialog (DIALOGS) (003)
61 Methods of TFindDialog (DIALOGS) (003)
4 superordinates
17 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Find ;
(protected) dynamic

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetLeft : Integer ;
(protected)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TFindDialog (DIALOGS) (004)
61 Methods of TFindDialog (DIALOGS) (004)
4 superordinates
17 properties

function
GetPosition : TPoint ;
(protected)

function
GetTop : Integer ;
(protected)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

function
Message (var Msg: TMessage): Boolean ;
(protected) override
function
Message  (inherited) (var Msg: TMessage): Boolean ;
(protected) virtual, found in TCommonDialog


Methods of TFindDialog (DIALOGS) (005)
61 Methods of TFindDialog (DIALOGS) (005)
4 superordinates
17 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TFindDialog (DIALOGS) (006)
61 Methods of TFindDialog (DIALOGS) (006)
4 superordinates
17 properties

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetLeft (Value: Integer) ;
(protected)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetPosition (const Point: TPoint) ;
(protected)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetTop (Value: Integer) ;
(protected)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TFindDialog (DIALOGS) (007)
61 Methods of TFindDialog (DIALOGS) (007)
4 superordinates
17 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TReplaceDialog (DIALOGS)
62 Methods of TReplaceDialog (DIALOGS)
5 superordinates
19 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
CloseDialog  (inherited) ;
(public) , found in TFindDialog

procedure
ConvertFields ;
(protected) override
procedure
ConvertFields  (inherited) ;
(protected) virtual, found in TFindDialog


Methods of TReplaceDialog (DIALOGS) (002)
62 Methods of TReplaceDialog (DIALOGS) (002)
5 superordinates
19 properties

procedure
ConvertFieldsForCallBack ;
(protected) override
procedure
ConvertFieldsForCallBack  (inherited) ;
(protected) virtual, found in TFindDialog

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TFindDialog
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCommonDialog
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TFindDialog
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
DoExecute  (inherited) (Func: Pointer): Bool ;
(private) , found in TFindDialog

function
Execute : Boolean ;
(public) override
function
Execute  (inherited) : Boolean ;
(public) virtual, found in TFindDialog


Methods of TReplaceDialog (DIALOGS) (003)
62 Methods of TReplaceDialog (DIALOGS) (003)
5 superordinates
19 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Find  (inherited) ;
(protected) dynamic, found in TFindDialog

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetLeft  (inherited) : Integer ;
(protected) , found in TFindDialog

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TReplaceDialog (DIALOGS) (004)
62 Methods of TReplaceDialog (DIALOGS) (004)
5 superordinates
19 properties

function
GetPosition  (inherited) : TPoint ;
(protected) , found in TFindDialog

function
GetTop  (inherited) : Integer ;
(protected) , found in TFindDialog

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

function
Message (var Msg: TMessage): Boolean ;
(public) override
function
Message  (inherited) (var Msg: TMessage): Boolean ;
(protected) override, found in TFindDialog
function
Message  (inherited) (var Msg: TMessage): Boolean ;
(protected) virtual, found in TCommonDialog


Methods of TReplaceDialog (DIALOGS) (005)
62 Methods of TReplaceDialog (DIALOGS) (005)
5 superordinates
19 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Replace ;
(protected) dynamic


Methods of TReplaceDialog (DIALOGS) (006)
62 Methods of TReplaceDialog (DIALOGS) (006)
5 superordinates
19 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetLeft  (inherited) (Value: Integer) ;
(protected) , found in TFindDialog

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetPosition  (inherited) (const Point: TPoint) ;
(protected) , found in TFindDialog

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetTop  (inherited) (Value: Integer) ;
(protected) , found in TFindDialog

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TReplaceDialog (DIALOGS) (007)
62 Methods of TReplaceDialog (DIALOGS) (007)
5 superordinates
19 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TSpeedButton (BUTTONS)
165 Methods of TSpeedButton (BUTTONS)
5 superordinates
56 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMButtonPressed (var Message: TMessage); message CM_BUTTONPRESSED ;
(private)

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private)

procedure
CMEnabledChanged (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private)
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl


Methods of TSpeedButton (BUTTONS) (002)
165 Methods of TSpeedButton (BUTTONS) (002)
5 superordinates
56 properties

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMSysColorChange (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private)

procedure
CMTextChanged (var Message: TMessage); message CM_TEXTCHANGED ;
(private)

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl


Methods of TSpeedButton (BUTTONS) (003)
165 Methods of TSpeedButton (BUTTONS) (003)
5 superordinates
56 properties

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click ;
(public) override
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TGraphicControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TSpeedButton (BUTTONS) (004)
165 Methods of TSpeedButton (BUTTONS) (004)
5 superordinates
56 properties

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TGraphicControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TSpeedButton (BUTTONS) (005)
165 Methods of TSpeedButton (BUTTONS) (005)
5 superordinates
56 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TSpeedButton (BUTTONS) (006)
165 Methods of TSpeedButton (BUTTONS) (006)
5 superordinates
56 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetGlyph : TBitmap ;
(private)

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl


Methods of TSpeedButton (BUTTONS) (007)
165 Methods of TSpeedButton (BUTTONS) (007)
5 superordinates
56 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNumGlyphs : TNumGlyphs ;
(private)

function
GetPalette : HPALETTE ;
(protected) override
function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

procedure
GlyphChanged (Sender: TObject) ;
(private)

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TSpeedButton (BUTTONS) (008)
165 Methods of TSpeedButton (BUTTONS) (008)
5 superordinates
56 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TSpeedButton (BUTTONS) (009)
165 Methods of TSpeedButton (BUTTONS) (009)
5 superordinates
56 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove (Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TGraphicControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl


Methods of TSpeedButton (BUTTONS) (010)
165 Methods of TSpeedButton (BUTTONS) (010)
5 superordinates
56 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TSpeedButton (BUTTONS) (011)
165 Methods of TSpeedButton (BUTTONS) (011)
5 superordinates
56 properties

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAllowAllUp (Value: Boolean) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TSpeedButton (BUTTONS) (012)
165 Methods of TSpeedButton (BUTTONS) (012)
5 superordinates
56 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDown (Value: Boolean) ;
(private)

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGlyph (Value: TBitmap) ;
(private)

procedure
SetGroupIndex (Value: Integer) ;
(private)

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl


Methods of TSpeedButton (BUTTONS) (013)
165 Methods of TSpeedButton (BUTTONS) (013)
5 superordinates
56 properties

procedure
SetLayout (Value: TButtonLayout) ;
(private)

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMargin (Value: Integer) ;
(private)

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetNumGlyphs (Value: TNumGlyphs) ;
(private)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TSpeedButton (BUTTONS) (014)
165 Methods of TSpeedButton (BUTTONS) (014)
5 superordinates
56 properties

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSpacing (Value: Integer) ;
(private)

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl


Methods of TSpeedButton (BUTTONS) (015)
165 Methods of TSpeedButton (BUTTONS) (015)
5 superordinates
56 properties

procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateExclusive ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl
procedure
WMLButtonDblClk (var Message: TWMLButtonDown); message WM_LBUTTONDBLCLK ;
(private)

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TSpeedButton (BUTTONS) (016)
165 Methods of TSpeedButton (BUTTONS) (016)
5 superordinates
56 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TGraphicControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TSpeedButton (BUTTONS) (017)
165 Methods of TSpeedButton (BUTTONS) (017)
5 superordinates
56 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TBitBtn (BUTTONS)
283 Methods of TBitBtn (BUTTONS)
7 superordinates
79 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TBitBtn (BUTTONS) (002)
283 Methods of TBitBtn (BUTTONS) (002)
7 superordinates
79 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TButton
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TButton
procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private)
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TButton
procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TBitBtn (BUTTONS) (003)
283 Methods of TBitBtn (BUTTONS) (003)
7 superordinates
79 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TBitBtn (BUTTONS) (004)
283 Methods of TBitBtn (BUTTONS) (004)
7 superordinates
79 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TButton

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private)

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNMeasureItem (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private)


Methods of TBitBtn (BUTTONS) (005)
283 Methods of TBitBtn (BUTTONS) (005)
7 superordinates
79 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TBitBtn (BUTTONS) (006)
283 Methods of TBitBtn (BUTTONS) (006)
7 superordinates
79 properties

procedure
Click ;
(public) override
procedure
Click  (inherited) ;
(public) override, found in TButton
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TButton
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TButton
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TButton
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TBitBtn (BUTTONS) (007)
283 Methods of TBitBtn (BUTTONS) (007)
7 superordinates
79 properties

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TBitBtn (BUTTONS) (008)
283 Methods of TBitBtn (BUTTONS) (008)
7 superordinates
79 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl


Methods of TBitBtn (BUTTONS) (009)
283 Methods of TBitBtn (BUTTONS) (009)
7 superordinates
79 properties

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem (const DrawItemStruct: TDrawItemStruct) ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl


Methods of TBitBtn (BUTTONS) (010)
283 Methods of TBitBtn (BUTTONS) (010)
7 superordinates
79 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent


Methods of TBitBtn (BUTTONS) (011)
283 Methods of TBitBtn (BUTTONS) (011)
7 superordinates
79 properties

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetGlyph : TBitmap ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetKind : TBitBtnKind ;
(private)

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNumGlyphs : TNumGlyphs ;
(private)


Methods of TBitBtn (BUTTONS) (012)
283 Methods of TBitBtn (BUTTONS) (012)
7 superordinates
79 properties

function
GetPalette : HPALETTE ;
(protected) override
function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

procedure
GlyphChanged (Sender: TObject) ;
(private)

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent


Methods of TBitBtn (BUTTONS) (013)
283 Methods of TBitBtn (BUTTONS) (013)
7 superordinates
79 properties

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl


Methods of TBitBtn (BUTTONS) (014)
283 Methods of TBitBtn (BUTTONS) (014)
7 superordinates
79 properties

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsCustom : Boolean ;
(private)

function
IsCustomCaption : Boolean ;
(private)

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl


Methods of TBitBtn (BUTTONS) (015)
283 Methods of TBitBtn (BUTTONS) (015)
7 superordinates
79 properties

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TBitBtn (BUTTONS) (016)
283 Methods of TBitBtn (BUTTONS) (016)
7 superordinates
79 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent


Methods of TBitBtn (BUTTONS) (017)
283 Methods of TBitBtn (BUTTONS) (017)
7 superordinates
79 properties

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl


Methods of TBitBtn (BUTTONS) (018)
283 Methods of TBitBtn (BUTTONS) (018)
7 superordinates
79 properties

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl


Methods of TBitBtn (BUTTONS) (019)
283 Methods of TBitBtn (BUTTONS) (019)
7 superordinates
79 properties

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetButtonStyle (ADefault: Boolean) ;
(protected) override
procedure
SetButtonStyle  (inherited) (ADefault: Boolean) ;
(protected) virtual, found in TButton

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDefault  (inherited) (Value: Boolean) ;
(private) , found in TButton


Methods of TBitBtn (BUTTONS) (020)
283 Methods of TBitBtn (BUTTONS) (020)
7 superordinates
79 properties

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGlyph (Value: TBitmap) ;
(private)

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetKind (Value: TBitBtnKind) ;
(private)

procedure
SetLayout (Value: TButtonLayout) ;
(private)

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TBitBtn (BUTTONS) (021)
283 Methods of TBitBtn (BUTTONS) (021)
7 superordinates
79 properties

procedure
SetMargin (Value: Integer) ;
(private)

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetNumGlyphs (Value: TNumGlyphs) ;
(private)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TBitBtn (BUTTONS) (022)
283 Methods of TBitBtn (BUTTONS) (022)
7 superordinates
79 properties

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSpacing (Value: Integer) ;
(private)

procedure
SetStyle (Value: TButtonStyle) ;
(private)

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TBitBtn (BUTTONS) (023)
283 Methods of TBitBtn (BUTTONS) (023)
7 superordinates
79 properties

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent


Methods of TBitBtn (BUTTONS) (024)
283 Methods of TBitBtn (BUTTONS) (024)
7 superordinates
79 properties

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl


Methods of TBitBtn (BUTTONS) (025)
283 Methods of TBitBtn (BUTTONS) (025)
7 superordinates
79 properties

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private)
procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl


Methods of TBitBtn (BUTTONS) (026)
283 Methods of TBitBtn (BUTTONS) (026)
7 superordinates
79 properties

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl


Methods of TBitBtn (BUTTONS) (027)
283 Methods of TBitBtn (BUTTONS) (027)
7 superordinates
79 properties

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TBitBtn (BUTTONS) (028)
283 Methods of TBitBtn (BUTTONS) (028)
7 superordinates
79 properties

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TButtonControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl


Methods of TBitBtn (BUTTONS) (029)
283 Methods of TBitBtn (BUTTONS) (029)
7 superordinates
79 properties

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TClipboard (CLIPBRD)
43 Methods of TClipboard (CLIPBRD)
2 superordinates
3 properties

procedure
Adding ;
(private)

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignGraphic (Source: TGraphic) ;
(private)

procedure
AssignPicture (Source: TPicture) ;
(private)

procedure
AssignTo (Dest: TPersistent) ;
(protected) override
procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignToBitmap (Dest: TBitmap) ;
(private)

procedure
AssignToMetafile (Dest: TMetafile) ;
(private)

procedure
AssignToPicture (Dest: TPicture) ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TClipboard (CLIPBRD) (002)
43 Methods of TClipboard (CLIPBRD) (002)
2 superordinates
3 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)

procedure
Close ;
(public)

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TClipboard (CLIPBRD) (003)
43 Methods of TClipboard (CLIPBRD) (003)
2 superordinates
3 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsHandle (Format: Word): THandle ;
(public)

function
GetAsText : string ;
(private)

function
GetComponent (Owner, Parent: TComponent): TComponent ;
(public)

function
GetFormatCount : Integer ;
(private)

function
GetFormats (Index: Integer): Word ;
(private)

function
GetTextBuf (Buffer: PChar; BufSize: Integer): Integer ;
(public)

function
HasFormat (Format: Word): Boolean ;
(public)


Methods of TClipboard (CLIPBRD) (004)
43 Methods of TClipboard (CLIPBRD) (004)
2 superordinates
3 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Open ;
(public)

procedure
SetAsHandle (Format: Word; Value: THandle) ;
(public)

procedure
SetAsText (const Value: string) ;
(private)

procedure
SetBuffer (Format: Word; var Buffer; Size: Integer) ;
(private)


Methods of TClipboard (CLIPBRD) (005)
43 Methods of TClipboard (CLIPBRD) (005)
2 superordinates
3 properties

procedure
SetComponent (Component: TComponent) ;
(public)

procedure
SetTextBuf (Buffer: PChar) ;
(public)

procedure
WndProc (var Message: TMessage) ;
(private)


Methods of EDatabaseError (DB)
26 Methods of EDatabaseError (DB)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EDatabaseError (DB) (002)
26 Methods of EDatabaseError (DB) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EDatabaseError (DB) (003)
26 Methods of EDatabaseError (DB) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EDBEngineError (DB)
28 Methods of EDBEngineError (DB)
3 superordinates
5 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (ErrorCode: DBIResult) ;
(public)
constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EDBEngineError (DB) (002)
28 Methods of EDBEngineError (DB) (002)
3 superordinates
5 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetError (Index: Integer): TDBError ;
(private)

function
GetErrorCount : Integer ;
(private)


Methods of EDBEngineError (DB) (003)
28 Methods of EDBEngineError (DB) (003)
3 superordinates
5 properties

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TDBError (DB)
19 Methods of TDBError (DB)
1 superordinates
5 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (Owner: EDBEngineError; ErrorCode: DBIResult; NativeError: Longint; Message: PChar) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TDBError (DB) (002)
19 Methods of TDBError (DB) (002)
1 superordinates
5 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetCategory : Byte ;
(private)

function
GetSubCode : Byte ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TSession (DB)
71 Methods of TSession (DB)
3 superordinates
16 properties

procedure
AddPassword (const Password: string) ;
(public)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
CloseDatabase (Database: TDatabase) ;
(public)


Methods of TSession (DB) (002)
71 Methods of TSession (DB) (002)
3 superordinates
16 properties

constructor
Create (AOwner: TComponent) ;
(public)
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DropConnections ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TSession (DB) (003)
71 Methods of TSession (DB) (003)
3 superordinates
16 properties

function
FindDatabase (const DatabaseName: string): TDatabase ;
(public)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

procedure
GetAliasNames (List: TStrings) ;
(public)

procedure
GetAliasParams (const AliasName: string; List: TStrings) ;
(public)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

procedure
GetConfigParams (Path, Section: PChar; List: TStrings) ;
(private)

function
GetDatabase (Index: Integer): TDatabase ;
(private)


Methods of TSession (DB) (004)
71 Methods of TSession (DB) (004)
3 superordinates
16 properties

function
GetDatabaseCount : Integer ;
(private)

procedure
GetDatabaseNames (List: TStrings) ;
(public)

procedure
GetDriverNames (List: TStrings) ;
(public)

procedure
GetDriverParams (const DriverName: string; List: TStrings) ;
(public)

function
GetHandle : HDBISES ;
(private)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNetFileDir : string ;
(private)

function
GetPassword : Boolean ;
(public)

function
GetPrivateDir : string ;
(private)

procedure
GetStoredProcNames (const DatabaseName: string; List: TStrings) ;
(public)


Methods of TSession (DB) (005)
71 Methods of TSession (DB) (005)
3 superordinates
16 properties

procedure
GetTableNames (const DatabaseName, Pattern: string; Extensions, SystemTables: Boolean; List: TStrings) ;
(public)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TSession (DB) (006)
71 Methods of TSession (DB) (006)
3 superordinates
16 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

function
OpenDatabase (const DatabaseName: string): TDatabase ;
(public)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveAllPasswords ;
(public)

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemovePassword (const Password: string) ;
(public)


Methods of TSession (DB) (007)
71 Methods of TSession (DB) (007)
3 superordinates
16 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetNetFileDir (const Value: string) ;
(private)

procedure
SetPrivateDir (const Value: string) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TSession (DB) (008)
71 Methods of TSession (DB) (008)
3 superordinates
16 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TParamList (DB)
17 Methods of TParamList (DB)
1 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (Params: TStrings) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TParamList (DB) (002)
17 Methods of TParamList (DB) (002)
1 superordinates
3 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TDatabase (DB)
73 Methods of TDatabase (DB)
3 superordinates
23 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckActive ;
(private)

procedure
CheckInactive ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TDatabase (DB) (002)
73 Methods of TDatabase (DB) (002)
3 superordinates
23 properties

procedure
Close ;
(public)

procedure
CloseDatasets ;
(public)

procedure
Commit ;
(public)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TDatabase (DB) (003)
73 Methods of TDatabase (DB) (003)
3 superordinates
23 properties

procedure
EndTransaction (TransEnd: EXEnd) ;
(private)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAliasName : TSymbolStr ;
(private)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetConnected : Boolean ;
(private)


Methods of TDatabase (DB) (004)
73 Methods of TDatabase (DB) (004)
3 superordinates
23 properties

function
GetDataset (Index: Integer): TDBDataset ;
(private)

function
GetDatasetCount : Integer ;
(private)

function
GetDriverName : TSymbolStr ;
(private)

function
GetIsSQLBased : Boolean ;
(private)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TDatabase (DB) (005)
73 Methods of TDatabase (DB) (005)
3 superordinates
23 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded ;
(protected) override
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
Login (LoginParams: TStrings) ;
(private)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Open ;
(public)

procedure
ParamsChanging (Sender: TObject) ;
(private)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TDatabase (DB) (006)
73 Methods of TDatabase (DB) (006)
3 superordinates
23 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Rollback ;
(public)

procedure
SetAliasName (const Value: TSymbolStr) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetConnected (Value: Boolean) ;
(private)

procedure
SetDatabaseName (const Value: TFileName) ;
(private)

procedure
SetDatabaseType (const Value: TSymbolStr; Aliased: Boolean) ;
(private)


Methods of TDatabase (DB) (007)
73 Methods of TDatabase (DB) (007)
3 superordinates
23 properties

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDriverName (const Value: TSymbolStr) ;
(private)

procedure
SetKeepConnection (Value: Boolean) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetParams (Value: TStrings) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
StartTransaction ;
(public)

procedure
ValidateName (const Name: string) ;
(public)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TDatabase (DB) (008)
73 Methods of TDatabase (DB) (008)
3 superordinates
23 properties

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDataSetDesigner (DB)
20 Methods of TDataSetDesigner (DB)
1 superordinates
1 properties

procedure
BeginDesign ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (DataSet: TDataSet) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataEvent (Event: TDataEvent; Info: Longint) ;
(public) virtual

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TDataSetDesigner (DB) (002)
20 Methods of TDataSetDesigner (DB) (002)
1 superordinates
1 properties

procedure
EndDesign ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TFieldDef (DB)
20 Methods of TFieldDef (DB)
1 superordinates
6 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (Owner: TFieldDefs; const Name: string; DataType: TFieldType; Size: Word; Required: Boolean; FieldNo: Integer) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateField (Owner: TComponent): TField ;
(public)

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TFieldDef (DB) (002)
20 Methods of TFieldDef (DB) (002)
1 superordinates
6 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetFieldClass : TFieldClass ;
(private)

function
GetName : string ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TFieldDefs (DB)
26 Methods of TFieldDefs (DB)
1 superordinates
2 properties

procedure
Add (const Name: string; DataType: TFieldType; Size: Word; Required: Boolean) ;
(public)

procedure
AddFieldDesc (FieldDesc: FLDDesc; Required: Boolean; FieldNo: Word) ;
(public)

procedure
Assign (FieldDefs: TFieldDefs) ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)

constructor
Create (DataSet: TDataSet) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TFieldDefs (DB) (002)
26 Methods of TFieldDefs (DB) (002)
1 superordinates
2 properties

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
Find (const Name: string): TFieldDef ;
(public)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetCount : Integer ;
(private)

function
GetItem (Index: Integer): TFieldDef ;
(private)

function
IndexOf (const Name: string): Integer ;
(public)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TFieldDefs (DB) (003)
26 Methods of TFieldDefs (DB) (003)
1 superordinates
2 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Update ;
(public)


Methods of TDataSet (DB)
164 Methods of TDataSet (DB)
3 superordinates
42 properties

procedure
ActivateBuffers ;
(private)

function
ActiveBuffer : PChar ;
(public)

procedure
AddDataSource (DataSource: TDataSource) ;
(private)

procedure
AddField (Field: TField) ;
(private)

procedure
AddRecord (const Values: array of const; Append: Boolean) ;
(private)

procedure
Append ;
(public)

procedure
AppendRecord (const Values: array of const) ;
(public)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent


Methods of TDataSet (DB) (002)
164 Methods of TDataSet (DB) (002)
3 superordinates
42 properties

procedure
BeginInsertAppend ;
(private)

procedure
BindFields (Binding: Boolean) ;
(private)

procedure
Cancel ;
(public)

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckBrowseMode ;
(public)

procedure
CheckCanModify ;
(private)

procedure
CheckFieldName (const FieldName: string) ;
(private)

procedure
CheckInactive ;
(protected)

procedure
CheckRequiredFields ;
(private)

procedure
CheckSetKeyMode ;
(private)


Methods of TDataSet (DB) (003)
164 Methods of TDataSet (DB) (003)
3 superordinates
42 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
ClearBuffers ;
(protected)

procedure
ClearFields ;
(public)

procedure
Close ;
(public)

procedure
CloseCursor ;
(protected) virtual

procedure
CopyBuffer (SourceIndex, DestIndex: Integer) ;
(private)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TDataSet (DB) (004)
164 Methods of TDataSet (DB) (004)
3 superordinates
42 properties

procedure
CreateFields ;
(private)

function
CreateHandle : HDBICur ;
(protected) virtual

procedure
CursorPosChanged ;
(public)

procedure
DataEvent (Event: TDataEvent; Info: Longint) ;
(protected) virtual

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete ;
(public)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyFields ;
(private)


Methods of TDataSet (DB) (005)
164 Methods of TDataSet (DB) (005)
3 superordinates
42 properties

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableControls ;
(public)

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoAfterCancel ;
(protected) virtual

procedure
DoAfterClose ;
(protected) virtual

procedure
DoAfterDelete ;
(protected) virtual

procedure
DoAfterEdit ;
(protected) virtual

procedure
DoAfterInsert ;
(protected) virtual

procedure
DoAfterOpen ;
(protected) virtual

procedure
DoAfterPost ;
(protected) virtual


Methods of TDataSet (DB) (006)
164 Methods of TDataSet (DB) (006)
3 superordinates
42 properties

procedure
DoBeforeCancel ;
(protected) virtual

procedure
DoBeforeClose ;
(protected) virtual

procedure
DoBeforeDelete ;
(protected) virtual

procedure
DoBeforeEdit ;
(protected) virtual

procedure
DoBeforeInsert ;
(protected) virtual

procedure
DoBeforeOpen ;
(protected) virtual

procedure
DoBeforePost ;
(protected) virtual

procedure
DoOnCalcFields ;
(protected) virtual

procedure
DoOnNewRecord ;
(protected) virtual

procedure
Edit ;
(public)


Methods of TDataSet (DB) (007)
164 Methods of TDataSet (DB) (007)
3 superordinates
42 properties

procedure
EnableControls ;
(public)

procedure
EndInsertAppend ;
(private)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FieldByName (const FieldName: string): TField ;
(public)

function
FieldByNumber (FieldNo: Integer): TField ;
(private)

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindField (const FieldName: string): TField ;
(public)

procedure
First ;
(public)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBookmark (Bookmark: TBookmark) ;
(public)


Methods of TDataSet (DB) (008)
164 Methods of TDataSet (DB) (008)
3 superordinates
42 properties

procedure
FreeFieldBuffers ;
(private)

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActive : Boolean ;
(private)

function
GetBookmark : TBookmark ;
(public)

procedure
GetCalcFields (Index: Integer) ;
(private)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetCurrentRecord (Buffer: PChar): Boolean ;
(public)

function
GetDataSource : TDataSource ;
(protected) virtual


Methods of TDataSet (DB) (009)
164 Methods of TDataSet (DB) (009)
3 superordinates
42 properties

function
GetField (Index: Integer): TField ;
(private)

function
GetFieldCount : Integer ;
(private)

procedure
GetFieldNames (List: TStrings) ;
(public)

function
GetIndexField (Index: Integer): TField ;
(protected)

function
GetIndexFieldCount : Integer ;
(protected)

procedure
GetIndexInfo ;
(private)

function
GetKeyBuffer (KeyIndex: TKeyIndex): PKeyBuffer ;
(protected)

function
GetKeyExclusive : Boolean ;
(protected)

function
GetKeyFieldCount : Integer ;
(protected)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TDataSet (DB) (010)
164 Methods of TDataSet (DB) (010)
3 superordinates
42 properties

function
GetNextRecord : Boolean ;
(private)

function
GetNextRecords : Integer ;
(private)

function
GetPriorRecord : Boolean ;
(private)

function
GetPriorRecords : Integer ;
(private)

function
GetRecord (Index: Integer; GetMode: TGetMode): DBIResult ;
(private)

function
GetRecordCount : Longint ;
(private)

procedure
GotoBookmark (Bookmark: TBookmark) ;
(public)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

procedure
InitFieldDefs ;
(protected) virtual


Methods of TDataSet (DB) (011)
164 Methods of TDataSet (DB) (011)
3 superordinates
42 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

function
InitKeyBuffer (Buffer: PKeyBuffer): PKeyBuffer ;
(private)

procedure
InitRecord (Buffer: PChar) ;
(private)

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert ;
(public)

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertRecord (const Values: array of const) ;
(public)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
InternalClose ;
(private)

procedure
InternalOpen ;
(private)

function
IsLinkedTo (DataSource: TDataSource): Boolean ;
(public)


Methods of TDataSet (DB) (012)
164 Methods of TDataSet (DB) (012)
3 superordinates
42 properties

procedure
Last ;
(public)

procedure
Loaded ;
(protected) override
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MoveBuffer (CurIndex, NewIndex: Integer) ;
(private)

procedure
MoveBy (Distance: Integer) ;
(public)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Next ;
(public)

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Open ;
(public)


Methods of TDataSet (DB) (013)
164 Methods of TDataSet (DB) (013)
3 superordinates
42 properties

procedure
OpenCursor ;
(protected) virtual

procedure
Post ;
(public)

procedure
PostKeyBuffer (Commit: Boolean) ;
(private)

procedure
PrepareCursor ;
(protected) virtual

procedure
Prior ;
(public)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh ;
(public)

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TDataSet (DB) (014)
164 Methods of TDataSet (DB) (014)
3 superordinates
42 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveDataSource (DataSource: TDataSource) ;
(private)

procedure
RemoveField (Field: TField) ;
(private)

function
ResetCursorRange : Boolean ;
(protected)

procedure
Resync (Mode: TResyncMode) ;
(public)

procedure
SetActive (Value: Boolean) ;
(private)

procedure
SetBufListSize (Value: Integer) ;
(private)

procedure
SetBufferCount (Value: Integer) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCurrentRecord (Index: Integer) ;
(private)


Methods of TDataSet (DB) (015)
164 Methods of TDataSet (DB) (015)
3 superordinates
42 properties

function
SetCursorRange : Boolean ;
(protected)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetField (Index: Integer; Value: TField) ;
(private)

procedure
SetFieldDefs (Value: TFieldDefs) ;
(private)

procedure
SetFields (const Values: array of const) ;
(public)

procedure
SetIndexField (Index: Integer; Value: TField) ;
(protected)

procedure
SetKeyBuffer (KeyIndex: TKeyIndex; Clear: Boolean) ;
(protected)

procedure
SetKeyExclusive (Value: Boolean) ;
(protected)

procedure
SetKeyFieldCount (Value: Integer) ;
(protected)

procedure
SetKeyFields (KeyIndex: TKeyIndex; const Values: array of const) ;
(protected)


Methods of TDataSet (DB) (016)
164 Methods of TDataSet (DB) (016)
3 superordinates
42 properties

procedure
SetLinkRanges (MasterFields: TList) ;
(protected)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName (const Value: TComponentName) ;
(protected) override

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetState (Value: TDataSetState) ;
(private)

procedure
SwitchToIndex (IndexName, TagName: PChar) ;
(protected)

procedure
UpdateBufferCount ;
(private)

procedure
UpdateCursorPos ;
(public)

procedure
UpdateFieldDefs ;
(private)

procedure
UpdateRecord ;
(public)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent


Methods of TDataSet (DB) (017)
164 Methods of TDataSet (DB) (017)
3 superordinates
42 properties

procedure
WriteComponents (Writer: TWriter) ;
(protected) override
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBDataSet (DB)
170 Methods of TDBDataSet (DB)
4 superordinates
48 properties

procedure
ActivateBuffers  (inherited) ;
(private) , found in TDataSet

function
ActiveBuffer  (inherited) : PChar ;
(public) , found in TDataSet

procedure
AddDataSource  (inherited) (DataSource: TDataSource) ;
(private) , found in TDataSet

procedure
AddField  (inherited) (Field: TField) ;
(private) , found in TDataSet

procedure
AddRecord  (inherited) (const Values: array of const; Append: Boolean) ;
(private) , found in TDataSet

procedure
Append  (inherited) ;
(public) , found in TDataSet

procedure
AppendRecord  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent


Methods of TDBDataSet (DB) (002)
170 Methods of TDBDataSet (DB) (002)
4 superordinates
48 properties

procedure
BeginInsertAppend  (inherited) ;
(private) , found in TDataSet

procedure
BindFields  (inherited) (Binding: Boolean) ;
(private) , found in TDataSet

procedure
Cancel  (inherited) ;
(public) , found in TDataSet

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckBrowseMode  (inherited) ;
(public) , found in TDataSet

procedure
CheckCanModify  (inherited) ;
(private) , found in TDataSet

procedure
CheckFieldName  (inherited) (const FieldName: string) ;
(private) , found in TDataSet

procedure
CheckInactive  (inherited) ;
(protected) , found in TDataSet

procedure
CheckRequiredFields  (inherited) ;
(private) , found in TDataSet

procedure
CheckSetKeyMode  (inherited) ;
(private) , found in TDataSet


Methods of TDBDataSet (DB) (003)
170 Methods of TDBDataSet (DB) (003)
4 superordinates
48 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
ClearBuffers  (inherited) ;
(protected) , found in TDataSet

procedure
ClearFields  (inherited) ;
(public) , found in TDataSet

procedure
Close  (inherited) ;
(public) , found in TDataSet

procedure
CloseCursor ;
(protected) override
procedure
CloseCursor  (inherited) ;
(protected) virtual, found in TDataSet

procedure
CopyBuffer  (inherited) (SourceIndex, DestIndex: Integer) ;
(private) , found in TDataSet

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TDataSet
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TDBDataSet (DB) (004)
170 Methods of TDBDataSet (DB) (004)
4 superordinates
48 properties

procedure
CreateFields  (inherited) ;
(private) , found in TDataSet

function
CreateHandle  (inherited) : HDBICur ;
(protected) virtual, found in TDataSet

procedure
CursorPosChanged  (inherited) ;
(public) , found in TDataSet

procedure
DataEvent  (inherited) (Event: TDataEvent; Info: Longint) ;
(protected) virtual, found in TDataSet

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete  (inherited) ;
(public) , found in TDataSet

destructor
Destroy  (inherited) ;
(public) override, found in TDataSet
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyFields  (inherited) ;
(private) , found in TDataSet


Methods of TDBDataSet (DB) (005)
170 Methods of TDBDataSet (DB) (005)
4 superordinates
48 properties

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableControls  (inherited) ;
(public) , found in TDataSet

procedure
Disconnect ;
(protected) virtual

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoAfterCancel  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterClose  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterDelete  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterEdit  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterInsert  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterOpen  (inherited) ;
(protected) virtual, found in TDataSet


Methods of TDBDataSet (DB) (006)
170 Methods of TDBDataSet (DB) (006)
4 superordinates
48 properties

procedure
DoAfterPost  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeCancel  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeClose  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeDelete  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeEdit  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeInsert  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeOpen  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforePost  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoOnCalcFields  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoOnNewRecord  (inherited) ;
(protected) virtual, found in TDataSet


Methods of TDBDataSet (DB) (007)
170 Methods of TDBDataSet (DB) (007)
4 superordinates
48 properties

procedure
Edit  (inherited) ;
(public) , found in TDataSet

procedure
EnableControls  (inherited) ;
(public) , found in TDataSet

procedure
EndInsertAppend  (inherited) ;
(private) , found in TDataSet

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FieldByName  (inherited) (const FieldName: string): TField ;
(public) , found in TDataSet

function
FieldByNumber  (inherited) (FieldNo: Integer): TField ;
(private) , found in TDataSet

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindField  (inherited) (const FieldName: string): TField ;
(public) , found in TDataSet

procedure
First  (inherited) ;
(public) , found in TDataSet

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TDBDataSet (DB) (008)
170 Methods of TDBDataSet (DB) (008)
4 superordinates
48 properties

procedure
FreeBookmark  (inherited) (Bookmark: TBookmark) ;
(public) , found in TDataSet

procedure
FreeFieldBuffers  (inherited) ;
(private) , found in TDataSet

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActive  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetBookmark  (inherited) : TBookmark ;
(public) , found in TDataSet

procedure
GetCalcFields  (inherited) (Index: Integer) ;
(private) , found in TDataSet

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetCurrentRecord  (inherited) (Buffer: PChar): Boolean ;
(public) , found in TDataSet


Methods of TDBDataSet (DB) (009)
170 Methods of TDBDataSet (DB) (009)
4 superordinates
48 properties

function
GetDBFlag (Flag: Integer): Boolean ;
(private)

function
GetDBHandle : HDBIDB ;
(private)

function
GetDBLocale : TLocale ;
(private)

function
GetDataSource  (inherited) : TDataSource ;
(protected) virtual, found in TDataSet

function
GetField  (inherited) (Index: Integer): TField ;
(private) , found in TDataSet

function
GetFieldCount  (inherited) : Integer ;
(private) , found in TDataSet

procedure
GetFieldNames  (inherited) (List: TStrings) ;
(public) , found in TDataSet

function
GetIndexField  (inherited) (Index: Integer): TField ;
(protected) , found in TDataSet

function
GetIndexFieldCount  (inherited) : Integer ;
(protected) , found in TDataSet

procedure
GetIndexInfo  (inherited) ;
(private) , found in TDataSet


Methods of TDBDataSet (DB) (010)
170 Methods of TDBDataSet (DB) (010)
4 superordinates
48 properties

function
GetKeyBuffer  (inherited) (KeyIndex: TKeyIndex): PKeyBuffer ;
(protected) , found in TDataSet

function
GetKeyExclusive  (inherited) : Boolean ;
(protected) , found in TDataSet

function
GetKeyFieldCount  (inherited) : Integer ;
(protected) , found in TDataSet

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNextRecord  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetNextRecords  (inherited) : Integer ;
(private) , found in TDataSet

function
GetPriorRecord  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetPriorRecords  (inherited) : Integer ;
(private) , found in TDataSet

function
GetRecord  (inherited) (Index: Integer; GetMode: TGetMode): DBIResult ;
(private) , found in TDataSet

function
GetRecordCount  (inherited) : Longint ;
(private) , found in TDataSet


Methods of TDBDataSet (DB) (011)
170 Methods of TDBDataSet (DB) (011)
4 superordinates
48 properties

procedure
GotoBookmark  (inherited) (Bookmark: TBookmark) ;
(public) , found in TDataSet

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

procedure
InitFieldDefs  (inherited) ;
(protected) virtual, found in TDataSet

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

function
InitKeyBuffer  (inherited) (Buffer: PKeyBuffer): PKeyBuffer ;
(private) , found in TDataSet

procedure
InitRecord  (inherited) (Buffer: PChar) ;
(private) , found in TDataSet

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) ;
(public) , found in TDataSet

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertRecord  (inherited) (const Values: array of const) ;
(public) , found in TDataSet


Methods of TDBDataSet (DB) (012)
170 Methods of TDBDataSet (DB) (012)
4 superordinates
48 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
InternalClose  (inherited) ;
(private) , found in TDataSet

procedure
InternalOpen  (inherited) ;
(private) , found in TDataSet

function
IsLinkedTo  (inherited) (DataSource: TDataSource): Boolean ;
(public) , found in TDataSet

procedure
Last  (inherited) ;
(public) , found in TDataSet

procedure
Loaded  (inherited) ;
(protected) override, found in TDataSet
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MoveBuffer  (inherited) (CurIndex, NewIndex: Integer) ;
(private) , found in TDataSet

procedure
MoveBy  (inherited) (Distance: Integer) ;
(public) , found in TDataSet


Methods of TDBDataSet (DB) (013)
170 Methods of TDBDataSet (DB) (013)
4 superordinates
48 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Next  (inherited) ;
(public) , found in TDataSet

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Open  (inherited) ;
(public) , found in TDataSet

procedure
OpenCursor ;
(protected) override
procedure
OpenCursor  (inherited) ;
(protected) virtual, found in TDataSet

procedure
Post  (inherited) ;
(public) , found in TDataSet

procedure
PostKeyBuffer  (inherited) (Commit: Boolean) ;
(private) , found in TDataSet

procedure
PrepareCursor  (inherited) ;
(protected) virtual, found in TDataSet

procedure
Prior  (inherited) ;
(public) , found in TDataSet

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TDBDataSet (DB) (014)
170 Methods of TDBDataSet (DB) (014)
4 superordinates
48 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TDataSet

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveDataSource  (inherited) (DataSource: TDataSource) ;
(private) , found in TDataSet

procedure
RemoveField  (inherited) (Field: TField) ;
(private) , found in TDataSet

function
ResetCursorRange  (inherited) : Boolean ;
(protected) , found in TDataSet

procedure
Resync  (inherited) (Mode: TResyncMode) ;
(public) , found in TDataSet

procedure
SetActive  (inherited) (Value: Boolean) ;
(private) , found in TDataSet


Methods of TDBDataSet (DB) (015)
170 Methods of TDBDataSet (DB) (015)
4 superordinates
48 properties

procedure
SetBufListSize  (inherited) (Value: Integer) ;
(private) , found in TDataSet

procedure
SetBufferCount  (inherited) (Value: Integer) ;
(private) , found in TDataSet

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCurrentRecord  (inherited) (Index: Integer) ;
(private) , found in TDataSet

function
SetCursorRange  (inherited) : Boolean ;
(protected) , found in TDataSet

procedure
SetDBFlag (Flag: Integer; Value: Boolean) ;
(protected) virtual

procedure
SetDatabaseName (const Value: TFileName) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetField  (inherited) (Index: Integer; Value: TField) ;
(private) , found in TDataSet

procedure
SetFieldDefs  (inherited) (Value: TFieldDefs) ;
(private) , found in TDataSet


Methods of TDBDataSet (DB) (016)
170 Methods of TDBDataSet (DB) (016)
4 superordinates
48 properties

procedure
SetFields  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

procedure
SetIndexField  (inherited) (Index: Integer; Value: TField) ;
(protected) , found in TDataSet

procedure
SetKeyBuffer  (inherited) (KeyIndex: TKeyIndex; Clear: Boolean) ;
(protected) , found in TDataSet

procedure
SetKeyExclusive  (inherited) (Value: Boolean) ;
(protected) , found in TDataSet

procedure
SetKeyFieldCount  (inherited) (Value: Integer) ;
(protected) , found in TDataSet

procedure
SetKeyFields  (inherited) (KeyIndex: TKeyIndex; const Values: array of const) ;
(protected) , found in TDataSet

procedure
SetLinkRanges  (inherited) (MasterFields: TList) ;
(protected) , found in TDataSet

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TDataSet

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetState  (inherited) (Value: TDataSetState) ;
(private) , found in TDataSet


Methods of TDBDataSet (DB) (017)
170 Methods of TDBDataSet (DB) (017)
4 superordinates
48 properties

procedure
SwitchToIndex  (inherited) (IndexName, TagName: PChar) ;
(protected) , found in TDataSet

procedure
UpdateBufferCount  (inherited) ;
(private) , found in TDataSet

procedure
UpdateCursorPos  (inherited) ;
(public) , found in TDataSet

procedure
UpdateFieldDefs  (inherited) ;
(private) , found in TDataSet

procedure
UpdateRecord  (inherited) ;
(public) , found in TDataSet

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TDataSet
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDataSource (DB)
58 Methods of TDataSource (DB)
3 superordinates
15 properties

procedure
AddDataLink (DataLink: TDataLink) ;
(private)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TDataSource (DB) (002)
58 Methods of TDataSource (DB) (002)
3 superordinates
15 properties

procedure
DataEvent (Event: TDataEvent; Info: Longint) ;
(private)

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Edit ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TDataSource (DB) (003)
58 Methods of TDataSource (DB) (003)
3 superordinates
15 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TDataSource (DB) (004)
58 Methods of TDataSource (DB) (004)
3 superordinates
15 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsLinkedTo (DataSet: TDataSet): Boolean ;
(public)

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyDataLinks (Event: TDataEvent; Info: Longint) ;
(private)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TDataSource (DB) (005)
58 Methods of TDataSource (DB) (005)
3 superordinates
15 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveDataLink (DataLink: TDataLink) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDataSet (ADataSet: TDataSet) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled (Value: Boolean) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent


Methods of TDataSource (DB) (006)
58 Methods of TDataSource (DB) (006)
3 superordinates
15 properties

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetState (Value: TDataSetState) ;
(private)

procedure
UpdateState ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TField (DB)
99 Methods of TField (DB)
3 superordinates
39 properties

procedure
AccessError (const TypeName: string) ;
(protected)

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue (const Value: TVarRec) ;
(public)

procedure
Change ;
(protected) virtual

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive ;
(protected)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TField (DB) (002)
99 Methods of TField (DB) (002)
3 superordinates
39 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public) virtual

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged ;
(protected)

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TField (DB) (003)
99 Methods of TField (DB) (003)
3 superordinates
39 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl ;
(public)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers ;
(protected) virtual

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean : Boolean ;
(protected) virtual

function
GetAsDateTime : TDateTime ;
(protected) virtual

function
GetAsFloat : Double ;
(protected) virtual


Methods of TField (DB) (004)
99 Methods of TField (DB) (004)
3 superordinates
39 properties

function
GetAsInteger : Longint ;
(protected) virtual

function
GetAsString : string ;
(protected) virtual

function
GetCanModify : Boolean ;
(protected)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData (Buffer: Pointer): Boolean ;
(public)

function
GetDefaultWidth : Integer ;
(protected) virtual

function
GetDisplayLabel : string ;
(private)

function
GetDisplayName : PString ;
(private)


Methods of TField (DB) (005)
99 Methods of TField (DB) (005)
3 superordinates
39 properties

function
GetDisplayText : string ;
(private)

function
GetDisplayWidth : Integer ;
(private)

function
GetEditMask : string ;
(private)

function
GetEditText : string ;
(private)

function
GetFieldName : string ;
(private)

function
GetIndex : Integer ;
(private)

function
GetIsIndexField : Boolean ;
(private)

function
GetIsNull : Boolean ;
(private)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText (var Text: string; DisplayText: Boolean) ;
(protected) virtual


Methods of TField (DB) (006)
99 Methods of TField (DB) (006)
3 superordinates
39 properties

function
HasParent : Boolean ;
(protected) override
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored : Boolean ;
(private)

function
IsDisplayWidthStored : Boolean ;
(private)

function
IsValidChar (InputChar: Char): Boolean ;
(public) virtual

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TField (DB) (007)
99 Methods of TField (DB) (007)
3 superordinates
39 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged (LayoutAffected: Boolean) ;
(protected)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState (Reader: TReader) ;
(protected) override
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TField (DB) (008)
99 Methods of TField (DB) (008)
3 superordinates
39 properties

procedure
SetAlignment (Value: TAlignment) ;
(private)

procedure
SetAsBoolean (Value: Boolean) ;
(protected) virtual

procedure
SetAsDateTime (Value: TDateTime) ;
(protected) virtual

procedure
SetAsFloat (Value: Double) ;
(protected) virtual

procedure
SetAsInteger (Value: Longint) ;
(protected) virtual

procedure
SetAsString (const Value: string) ;
(protected) virtual

procedure
SetCalculated (Value: Boolean) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData (Buffer: Pointer) ;
(public)

procedure
SetDataSet (ADataSet: TDataSet) ;
(private)


Methods of TField (DB) (009)
99 Methods of TField (DB) (009)
3 superordinates
39 properties

procedure
SetDataType (Value: TFieldType) ;
(protected)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayLabel (Value: string) ;
(private)

procedure
SetDisplayWidth (Value: Integer) ;
(private)

procedure
SetEditMask (const Value: string) ;
(private)

procedure
SetEditText (const Value: string) ;
(private)

procedure
SetFieldName (const Value: string) ;
(private)

procedure
SetIndex (Value: Integer) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TField (DB) (010)
99 Methods of TField (DB) (010)
3 superordinates
39 properties

procedure
SetSize (Value: Word) ;
(protected)

procedure
SetText (const Value: string) ;
(protected) virtual

procedure
SetVisible (Value: Boolean) ;
(private)

procedure
UpdateDataSize ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDataLink (DB)
44 Methods of TDataLink (DB)
2 superordinates
8 properties

procedure
ActiveChanged ;
(protected) virtual

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
CheckBrowseMode ;
(protected) virtual

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TDataLink (DB) (002)
44 Methods of TDataLink (DB) (002)
2 superordinates
8 properties

procedure
DataEvent (Event: TDataEvent; Info: Longint) ;
(private)

procedure
DataSetChanged ;
(protected) virtual

procedure
DataSetScrolled (Distance: Integer) ;
(protected) virtual

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
Edit : Boolean ;
(public)

procedure
EditingChanged ;
(protected) virtual

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TDataLink (DB) (003)
44 Methods of TDataLink (DB) (003)
2 superordinates
8 properties

procedure
FocusControl (Field: TFieldRef) ;
(protected) virtual

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActiveRecord : Integer ;
(private)

function
GetDataSet : TDataSet ;
(private)

function
GetRecordCount : Integer ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LayoutChanged ;
(protected) virtual


Methods of TDataLink (DB) (004)
44 Methods of TDataLink (DB) (004)
2 superordinates
8 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
RecordChanged (Field: TField) ;
(protected) virtual

procedure
SetActive (Value: Boolean) ;
(private)

procedure
SetActiveRecord (Value: Integer) ;
(private)

procedure
SetBufferCount (Value: Integer) ;
(private)

procedure
SetDataSource (ADataSource: TDataSource) ;
(private)

procedure
SetEditing (Value: Boolean) ;
(private)

procedure
SetReadOnly (Value: Boolean) ;
(private)


Methods of TDataLink (DB) (005)
44 Methods of TDataLink (DB) (005)
2 superordinates
8 properties

procedure
UpdateData ;
(protected) virtual

procedure
UpdateRange ;
(private)

procedure
UpdateRecord ;
(public)

procedure
UpdateState ;
(private)


Methods of TDBEdit (DBCTRLS)
341 Methods of TDBEdit (DBCTRLS)
7 superordinates
87 properties

function
AddEditFormat  (inherited) (const Value: string; Active: Boolean): string ;
(private) , found in TCustomMaskEdit

procedure
AdjustHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrowKeys  (inherited) (CharCode: Word; Shift: TShiftState) ;
(private) , found in TCustomMaskEdit

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl


Methods of TDBEdit (DBCTRLS) (002)
341 Methods of TDBEdit (DBCTRLS) (002)
7 superordinates
87 properties

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter (var Message: TCMEnter); message CM_ENTER ;
(private)
procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TCustomMaskEdit
procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl
procedure
CMEnter  (inherited) (var Message: TCMGotFocus); message CM_ENTER ;
(private) , found in TCustomEdit

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TCustomMaskEdit
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (003)
341 Methods of TDBEdit (DBCTRLS) (003)
7 superordinates
87 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomEdit
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TDBEdit (DBCTRLS) (004)
341 Methods of TDBEdit (DBCTRLS) (004)
7 superordinates
87 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomMaskEdit
procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomEdit

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomEdit

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (005)
341 Methods of TDBEdit (DBCTRLS) (005)
7 superordinates
87 properties

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
CalcTextMargin ;
(private)

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) override
procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomEdit

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CharKeys  (inherited) (var CharCode: Char): Boolean ;
(private) , found in TCustomMaskEdit


Methods of TDBEdit (DBCTRLS) (006)
341 Methods of TDBEdit (DBCTRLS) (006)
7 superordinates
87 properties

procedure
CheckCursor  (inherited) ;
(protected) , found in TCustomMaskEdit

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomMaskEdit
procedure
Clear  (inherited) ;
(public) , found in TCustomEdit

procedure
ClearSelection  (inherited) ;
(public) , found in TCustomEdit

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TDBEdit (DBCTRLS) (007)
341 Methods of TDBEdit (DBCTRLS) (007)
7 superordinates
87 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
CopyToClipboard  (inherited) ;
(public) , found in TCustomEdit

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomMaskEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomEdit
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomEdit
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CursorDec  (inherited) (CursorPos: Integer) ;
(private) , found in TCustomMaskEdit


Methods of TDBEdit (DBCTRLS) (008)
341 Methods of TDBEdit (DBCTRLS) (008)
7 superordinates
87 properties

procedure
CursorInc  (inherited) (CursorPos: Integer; Incr: Integer) ;
(private) , found in TCustomMaskEdit

procedure
CutToClipboard  (inherited) ;
(public) , found in TCustomEdit

procedure
DataChange (Sender: TObject) ;
(private)

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DeleteKeys  (inherited) (CharCode: Word) ;
(private) , found in TCustomMaskEdit

function
DeleteSelection  (inherited) (var Value: string; Offset: Integer; Len: Integer): Boolean ;
(private) , found in TCustomMaskEdit

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomMaskEdit
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent


Methods of TDBEdit (DBCTRLS) (009)
341 Methods of TDBEdit (DBCTRLS) (009)
7 superordinates
87 properties

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoInputChar  (inherited) (var NewChar: Char; MaskOffset: Integer): Boolean ;
(private) , found in TCustomMaskEdit

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (010)
341 Methods of TDBEdit (DBCTRLS) (010)
7 superordinates
87 properties

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

function
EditCanModify : Boolean ;
(protected) override
function
EditCanModify  (inherited) : Boolean ;
(protected) virtual, found in TCustomMaskEdit

procedure
EditingChange (Sender: TObject) ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (011)
341 Methods of TDBEdit (DBCTRLS) (011)
7 superordinates
87 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindLiteralChar  (inherited) (MaskOffset: Integer; InChar: Char): Integer ;
(private) , found in TCustomMaskEdit

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TDBEdit (DBCTRLS) (012)
341 Methods of TDBEdit (DBCTRLS) (012)
7 superordinates
87 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (013)
341 Methods of TDBEdit (DBCTRLS) (013)
7 superordinates
87 properties

function
GetDataField : string ;
(private)

function
GetDataSource : TDataSource ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditMask  (inherited) : string ;
(private) , found in TCustomMaskEdit

function
GetEditText  (inherited) : string ;
(private) , found in TCustomMaskEdit

function
GetField : TField ;
(private)

function
GetFirstEditChar  (inherited) : Integer ;
(protected) , found in TCustomMaskEdit

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetLastEditChar  (inherited) : Integer ;
(protected) , found in TCustomMaskEdit


Methods of TDBEdit (DBCTRLS) (014)
341 Methods of TDBEdit (DBCTRLS) (014)
7 superordinates
87 properties

function
GetMasked  (inherited) : Boolean ;
(private) , found in TCustomMaskEdit

function
GetMaxChars  (inherited) : Integer ;
(protected) , found in TCustomMaskEdit

function
GetMaxLength  (inherited) : Integer ;
(private) , found in TCustomMaskEdit

function
GetModified  (inherited) : Boolean ;
(private) , found in TCustomEdit

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNextEditChar  (inherited) (Offset: Integer): Integer ;
(protected) , found in TCustomMaskEdit

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPriorEditChar  (inherited) (Offset: Integer): Integer ;
(protected) , found in TCustomMaskEdit

function
GetReadOnly : Boolean ;
(private)


Methods of TDBEdit (DBCTRLS) (015)
341 Methods of TDBEdit (DBCTRLS) (015)
7 superordinates
87 properties

procedure
GetSel  (inherited) (var SelStart: Integer; var SelStop: Integer) ;
(protected) , found in TCustomMaskEdit

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelText  (inherited) : String ;
(private) , found in TCustomEdit

function
GetSelTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TCustomEdit

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl
function
GetText  (inherited) : string ;
(private) , found in TCustomMaskEdit

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TCustomMaskEdit
function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TDBEdit (DBCTRLS) (016)
341 Methods of TDBEdit (DBCTRLS) (016)
7 superordinates
87 properties

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HomeEndKeys  (inherited) (CharCode: Word; Shift: TShiftState) ;
(private) , found in TCustomMaskEdit

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

function
InputChar  (inherited) (var NewChar: Char; Offset: Integer): Boolean ;
(private) , found in TCustomMaskEdit

function
InputString  (inherited) (var Value: string; const NewValue: string; Offset: Integer): Integer ;
(private) , found in TCustomMaskEdit

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (017)
341 Methods of TDBEdit (DBCTRLS) (017)
7 superordinates
87 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TDBEdit (DBCTRLS) (018)
341 Methods of TDBEdit (DBCTRLS) (018)
7 superordinates
87 properties

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomMaskEdit
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomMaskEdit
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomMaskEdit
procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TDBEdit (DBCTRLS) (019)
341 Methods of TDBEdit (DBCTRLS) (019)
7 superordinates
87 properties

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard  (inherited) ;
(public) , found in TCustomEdit


Methods of TDBEdit (DBCTRLS) (020)
341 Methods of TDBEdit (DBCTRLS) (020)
7 superordinates
87 properties

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
ReformatText  (inherited) (const NewMask: string) ;
(protected) , found in TCustomMaskEdit

procedure
Refresh  (inherited) ;
(public) , found in TControl


Methods of TDBEdit (DBCTRLS) (021)
341 Methods of TDBEdit (DBCTRLS) (021)
7 superordinates
87 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

function
RemoveEditFormat  (inherited) (const Value: string): string ;
(private) , found in TCustomMaskEdit

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Reset ;
(protected) override
procedure
Reset  (inherited) ;
(protected) virtual, found in TCustomMaskEdit

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (022)
341 Methods of TDBEdit (DBCTRLS) (022)
7 superordinates
87 properties

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomEdit

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomEdit


Methods of TDBEdit (DBCTRLS) (023)
341 Methods of TDBEdit (DBCTRLS) (023)
7 superordinates
87 properties

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCharCase  (inherited) (Value: TEditCharCase) ;
(private) , found in TCustomEdit

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Pos: Integer) ;
(protected) , found in TCustomMaskEdit
procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl


Methods of TDBEdit (DBCTRLS) (024)
341 Methods of TDBEdit (DBCTRLS) (024)
7 superordinates
87 properties

procedure
SetDataField (const Value: string) ;
(private)

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TCustomMaskEdit

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TCustomMaskEdit

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFocused (Value: Boolean) ;
(private)

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TDBEdit (DBCTRLS) (025)
341 Methods of TDBEdit (DBCTRLS) (025)
7 superordinates
87 properties

procedure
SetHideSelection  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomMaskEdit
procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOEMConvert  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDBEdit (DBCTRLS) (026)
341 Methods of TDBEdit (DBCTRLS) (026)
7 superordinates
87 properties

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPasswordChar  (inherited) (Value: Char) ;
(private) , found in TCustomEdit

procedure
SetReadOnly (Value: Boolean) ;
(private)
procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSel  (inherited) (SelStart: Integer; SelStop: Integer) ;
(protected) , found in TCustomMaskEdit

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomEdit


Methods of TDBEdit (DBCTRLS) (027)
341 Methods of TDBEdit (DBCTRLS) (027)
7 superordinates
87 properties

procedure
SetSelTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TCustomEdit

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl
procedure
SetText  (inherited) (const Value: string) ;
(private) , found in TCustomMaskEdit

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl


Methods of TDBEdit (DBCTRLS) (028)
341 Methods of TDBEdit (DBCTRLS) (028)
7 superordinates
87 properties

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData (Sender: TObject) ;
(private)

procedure
UpdateHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (029)
341 Methods of TDBEdit (DBCTRLS) (029)
7 superordinates
87 properties

function
Validate  (inherited) (const Value: string; var Pos: Integer): Boolean ;
(private) , found in TCustomMaskEdit

procedure
ValidateEdit  (inherited) ;
(public) , found in TCustomMaskEdit

procedure
ValidateError  (inherited) ;
(protected) , found in TCustomMaskEdit

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (030)
341 Methods of TDBEdit (DBCTRLS) (030)
7 superordinates
87 properties

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMCut (var Message: TMessage); message WM_CUT ;
(private)
procedure
WMCut  (inherited) (var Message: TMessage); message WM_CUT ;
(private) , found in TCustomMaskEdit

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode  (inherited) (var Message: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomMaskEdit

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (031)
341 Methods of TDBEdit (DBCTRLS) (031)
7 superordinates
87 properties

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomMaskEdit
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TCustomMaskEdit
procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (032)
341 Methods of TDBEdit (DBCTRLS) (032)
7 superordinates
87 properties

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint (var Message: TWMPaint); message WM_PAINT ;
(private)
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMPaste (var Message: TMessage); message WM_PASTE ;
(private)
procedure
WMPaste  (inherited) (var Message: TMessage); message WM_PASTE ;
(private) , found in TCustomMaskEdit

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl


Methods of TDBEdit (DBCTRLS) (033)
341 Methods of TDBEdit (DBCTRLS) (033)
7 superordinates
87 properties

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus  (inherited) (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomMaskEdit

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl


Methods of TDBEdit (DBCTRLS) (034)
341 Methods of TDBEdit (DBCTRLS) (034)
7 superordinates
87 properties

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TDBEdit (DBCTRLS) (035)
341 Methods of TDBEdit (DBCTRLS) (035)
7 superordinates
87 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBText (DBCTRLS)
165 Methods of TDBText (DBCTRLS)
6 superordinates
58 properties

procedure
AdjustBounds  (inherited) ;
(private) , found in TCustomLabel

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TCustomLabel

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl


Methods of TDBText (DBCTRLS) (002)
165 Methods of TDBText (DBCTRLS) (002)
6 superordinates
58 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomLabel
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomLabel

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent


Methods of TDBText (DBCTRLS) (003)
165 Methods of TDBText (DBCTRLS) (003)
6 superordinates
58 properties

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomLabel
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TGraphicControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChange (Sender: TObject) ;
(private)


Methods of TDBText (DBCTRLS) (004)
165 Methods of TDBText (DBCTRLS) (004)
6 superordinates
58 properties

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TGraphicControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoDrawText  (inherited) (var Rect: TRect; Flags: Word) ;
(private) , found in TCustomLabel

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl


Methods of TDBText (DBCTRLS) (005)
165 Methods of TDBText (DBCTRLS) (005)
6 superordinates
58 properties

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TDBText (DBCTRLS) (006)
165 Methods of TDBText (DBCTRLS) (006)
6 superordinates
58 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDataField : string ;
(private)

function
GetDataSource : TDataSource ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TDBText (DBCTRLS) (007)
165 Methods of TDBText (DBCTRLS) (007)
6 superordinates
58 properties

function
GetField : TField ;
(private)

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetTransparent  (inherited) : Boolean ;
(private) , found in TCustomLabel

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent


Methods of TDBText (DBCTRLS) (008)
165 Methods of TDBText (DBCTRLS) (008)
6 superordinates
58 properties

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TDBText (DBCTRLS) (009)
165 Methods of TDBText (DBCTRLS) (009)
6 superordinates
58 properties

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TCustomLabel
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Paint  (inherited) ;
(protected) override, found in TCustomLabel
procedure
Paint  (inherited) ;
(protected) virtual, found in TGraphicControl


Methods of TDBText (DBCTRLS) (010)
165 Methods of TDBText (DBCTRLS) (010)
6 superordinates
58 properties

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl


Methods of TDBText (DBCTRLS) (011)
165 Methods of TDBText (DBCTRLS) (011)
6 superordinates
58 properties

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TCustomLabel

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomLabel

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TDBText (DBCTRLS) (012)
165 Methods of TDBText (DBCTRLS) (012)
6 superordinates
58 properties

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataField (const Value: string) ;
(private)

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl


Methods of TDBText (DBCTRLS) (013)
165 Methods of TDBText (DBCTRLS) (013)
6 superordinates
58 properties

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TDBText (DBCTRLS) (014)
165 Methods of TDBText (DBCTRLS) (014)
6 superordinates
58 properties

procedure
SetShowAccelChar  (inherited) (Value: Boolean) ;
(private) , found in TCustomLabel

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTransparent  (inherited) (Value: Boolean) ;
(private) , found in TCustomLabel

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWordWrap  (inherited) (Value: Boolean) ;
(private) , found in TCustomLabel

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl


Methods of TDBText (DBCTRLS) (015)
165 Methods of TDBText (DBCTRLS) (015)
6 superordinates
58 properties

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TDBText (DBCTRLS) (016)
165 Methods of TDBText (DBCTRLS) (016)
6 superordinates
58 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TGraphicControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TDBText (DBCTRLS) (017)
165 Methods of TDBText (DBCTRLS) (017)
6 superordinates
58 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBCheckBox (DBCTRLS)
285 Methods of TDBCheckBox (DBCTRLS)
7 superordinates
75 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomCheckBox
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (002)
285 Methods of TDBCheckBox (DBCTRLS) (002)
7 superordinates
75 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TCustomCheckBox
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TDBCheckBox (DBCTRLS) (003)
285 Methods of TDBCheckBox (DBCTRLS) (003)
7 superordinates
75 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (004)
285 Methods of TDBCheckBox (DBCTRLS) (004)
7 superordinates
75 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomCheckBox

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (005)
285 Methods of TDBCheckBox (DBCTRLS) (005)
7 superordinates
75 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TDBCheckBox (DBCTRLS) (006)
285 Methods of TDBCheckBox (DBCTRLS) (006)
7 superordinates
75 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomCheckBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomCheckBox
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomCheckBox
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DataChange (Sender: TObject) ;
(private)

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl


Methods of TDBCheckBox (DBCTRLS) (007)
285 Methods of TDBCheckBox (DBCTRLS) (007)
7 superordinates
75 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TDBCheckBox (DBCTRLS) (008)
285 Methods of TDBCheckBox (DBCTRLS) (008)
7 superordinates
75 properties

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl


Methods of TDBCheckBox (DBCTRLS) (009)
285 Methods of TDBCheckBox (DBCTRLS) (009)
7 superordinates
75 properties

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TDBCheckBox (DBCTRLS) (010)
285 Methods of TDBCheckBox (DBCTRLS) (010)
7 superordinates
75 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetChecked  (inherited) : Boolean ;
(private) , found in TCustomCheckBox

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (011)
285 Methods of TDBCheckBox (DBCTRLS) (011)
7 superordinates
75 properties

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataField : string ;
(private)

function
GetDataSource : TDataSource ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetField : TField ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl


Methods of TDBCheckBox (DBCTRLS) (012)
285 Methods of TDBCheckBox (DBCTRLS) (012)
7 superordinates
75 properties

function
GetReadOnly : Boolean ;
(private)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetValueCheck : string ;
(private)

function
GetValueUncheck : string ;
(private)

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (013)
285 Methods of TDBCheckBox (DBCTRLS) (013)
7 superordinates
75 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl


Methods of TDBCheckBox (DBCTRLS) (014)
285 Methods of TDBCheckBox (DBCTRLS) (014)
7 superordinates
75 properties

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (015)
285 Methods of TDBCheckBox (DBCTRLS) (015)
7 superordinates
75 properties

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (016)
285 Methods of TDBCheckBox (DBCTRLS) (016)
7 superordinates
75 properties

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TDBCheckBox (DBCTRLS) (017)
285 Methods of TDBCheckBox (DBCTRLS) (017)
7 superordinates
75 properties

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (018)
285 Methods of TDBCheckBox (DBCTRLS) (018)
7 superordinates
75 properties

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment  (inherited) (Value: TLeftRight) ;
(private) , found in TCustomCheckBox

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl


Methods of TDBCheckBox (DBCTRLS) (019)
285 Methods of TDBCheckBox (DBCTRLS) (019)
7 superordinates
75 properties

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetChecked  (inherited) (Value: Boolean) ;
(private) , found in TCustomCheckBox

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataField (const Value: string) ;
(private)


Methods of TDBCheckBox (DBCTRLS) (020)
285 Methods of TDBCheckBox (DBCTRLS) (020)
7 superordinates
75 properties

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl


Methods of TDBCheckBox (DBCTRLS) (021)
285 Methods of TDBCheckBox (DBCTRLS) (021)
7 superordinates
75 properties

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReadOnly (Value: Boolean) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetState  (inherited) (Value: TCheckBoxState) ;
(private) , found in TCustomCheckBox

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (022)
285 Methods of TDBCheckBox (DBCTRLS) (022)
7 superordinates
75 properties

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetValueCheck (const Value: string) ;
(private)

procedure
SetValueUncheck (const Value: string) ;
(private)

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl


Methods of TDBCheckBox (DBCTRLS) (023)
285 Methods of TDBCheckBox (DBCTRLS) (023)
7 superordinates
75 properties

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Toggle ;
(protected) override
procedure
Toggle  (inherited) ;
(protected) virtual, found in TCustomCheckBox

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData (Sender: TObject) ;
(private)

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent


Methods of TDBCheckBox (DBCTRLS) (024)
285 Methods of TDBCheckBox (DBCTRLS) (024)
7 superordinates
75 properties

function
ValueMatch (const ValueList, Value: string): Boolean ;
(private)

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (025)
285 Methods of TDBCheckBox (DBCTRLS) (025)
7 superordinates
75 properties

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TDBCheckBox (DBCTRLS) (026)
285 Methods of TDBCheckBox (DBCTRLS) (026)
7 superordinates
75 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (027)
285 Methods of TDBCheckBox (DBCTRLS) (027)
7 superordinates
75 properties

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus  (inherited) (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomCheckBox

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TDBCheckBox (DBCTRLS) (028)
285 Methods of TDBCheckBox (DBCTRLS) (028)
7 superordinates
75 properties

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TButtonControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TDBCheckBox (DBCTRLS) (029)
285 Methods of TDBCheckBox (DBCTRLS) (029)
7 superordinates
75 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBComboBox (DBCTRLS)
308 Methods of TDBComboBox (DBCTRLS)
6 superordinates
87 properties

procedure
AdjustDropDown  (inherited) ;
(private) , found in TCustomComboBox

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMCancelMode  (inherited) (var Message: TCMCancelMode); message CM_CANCELMODE ;
(private) , found in TCustomComboBox


Methods of TDBComboBox (DBCTRLS) (002)
308 Methods of TDBComboBox (DBCTRLS) (002)
6 superordinates
87 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (003)
308 Methods of TDBComboBox (DBCTRLS) (003)
6 superordinates
87 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TCustomComboBox
procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (004)
308 Methods of TDBComboBox (DBCTRLS) (004)
6 superordinates
87 properties

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomComboBox

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TCustomComboBox
procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem  (inherited) (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private) , found in TCustomComboBox

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (005)
308 Methods of TDBComboBox (DBCTRLS) (005)
6 superordinates
87 properties

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNMeasureItem  (inherited) (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private) , found in TCustomComboBox

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) override
procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomComboBox

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TDBComboBox (DBCTRLS) (006)
308 Methods of TDBComboBox (DBCTRLS) (006)
6 superordinates
87 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomComboBox

procedure
Click ;
(protected) override
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ComboWndProc (var Message: TMessage; ComboWnd: HWnd; ComboProc: Pointer) ;
(protected) override
procedure
ComboWndProc  (inherited) (var Message: TMessage; ComboWnd: HWnd; ComboProc: Pointer) ;
(protected) virtual, found in TCustomComboBox

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomComboBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TDBComboBox (DBCTRLS) (007)
308 Methods of TDBComboBox (DBCTRLS) (007)
6 superordinates
87 properties

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomComboBox
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomComboBox
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DataChange (Sender: TObject) ;
(private)

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomComboBox
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TDBComboBox (DBCTRLS) (008)
308 Methods of TDBComboBox (DBCTRLS) (008)
6 superordinates
87 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) override, found in TCustomComboBox
procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (009)
308 Methods of TDBComboBox (DBCTRLS) (009)
6 superordinates
87 properties

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem  (inherited) (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) virtual, found in TCustomComboBox

procedure
DropDown ;
(protected) override
procedure
DropDown  (inherited) ;
(protected) dynamic, found in TCustomComboBox

procedure
EditWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TCustomComboBox


Methods of TDBComboBox (DBCTRLS) (010)
308 Methods of TDBComboBox (DBCTRLS) (010)
6 superordinates
87 properties

procedure
EditingChange (Sender: TObject) ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TDBComboBox (DBCTRLS) (011)
308 Methods of TDBComboBox (DBCTRLS) (011)
6 superordinates
87 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComboText : string ;
(private)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent


Methods of TDBComboBox (DBCTRLS) (012)
308 Methods of TDBComboBox (DBCTRLS) (012)
6 superordinates
87 properties

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataField : string ;
(private)

function
GetDataSource : TDataSource ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetDroppedDown  (inherited) : Boolean ;
(private) , found in TCustomComboBox

function
GetField : TField ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItemHeight  (inherited) : Integer ;
(private) , found in TCustomComboBox


Methods of TDBComboBox (DBCTRLS) (013)
308 Methods of TDBComboBox (DBCTRLS) (013)
6 superordinates
87 properties

function
GetItemIndex  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetReadOnly : Boolean ;
(private)

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetSelText  (inherited) : String ;
(private) , found in TCustomComboBox

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (014)
308 Methods of TDBComboBox (DBCTRLS) (014)
6 superordinates
87 properties

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (015)
308 Methods of TDBComboBox (DBCTRLS) (015)
6 superordinates
87 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TDBComboBox (DBCTRLS) (016)
308 Methods of TDBComboBox (DBCTRLS) (016)
6 superordinates
87 properties

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
ListWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TCustomComboBox

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MeasureItem  (inherited) (Index: Integer; var Height: Integer) ;
(protected) virtual, found in TCustomComboBox

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TDBComboBox (DBCTRLS) (017)
308 Methods of TDBComboBox (DBCTRLS) (017)
6 superordinates
87 properties

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl


Methods of TDBComboBox (DBCTRLS) (018)
308 Methods of TDBComboBox (DBCTRLS) (018)
6 superordinates
87 properties

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl


Methods of TDBComboBox (DBCTRLS) (019)
308 Methods of TDBComboBox (DBCTRLS) (019)
6 superordinates
87 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (020)
308 Methods of TDBComboBox (DBCTRLS) (020)
6 superordinates
87 properties

procedure
SelectAll  (inherited) ;
(public) , found in TCustomComboBox

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TDBComboBox (DBCTRLS) (021)
308 Methods of TDBComboBox (DBCTRLS) (021)
6 superordinates
87 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComboText (const Value: string) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataField (const Value: string) ;
(private)

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDroppedDown  (inherited) (Value: Boolean) ;
(private) , found in TCustomComboBox


Methods of TDBComboBox (DBCTRLS) (022)
308 Methods of TDBComboBox (DBCTRLS) (022)
6 superordinates
87 properties

procedure
SetEditReadOnly ;
(private)

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetItemHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetItemIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetItems (Value: TStrings) ;
(private)
procedure
SetItems  (inherited) (Value: TStrings) ;
(private) , found in TCustomComboBox

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TDBComboBox (DBCTRLS) (023)
308 Methods of TDBComboBox (DBCTRLS) (023)
6 superordinates
87 properties

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReadOnly (Value: Boolean) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TDBComboBox (DBCTRLS) (024)
308 Methods of TDBComboBox (DBCTRLS) (024)
6 superordinates
87 properties

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomComboBox

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSorted  (inherited) (Value: Boolean) ;
(private) , found in TCustomComboBox

procedure
SetStyle  (inherited) (Value: TComboBoxStyle) ;
(private) , found in TCustomComboBox

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl


Methods of TDBComboBox (DBCTRLS) (025)
308 Methods of TDBComboBox (DBCTRLS) (025)
6 superordinates
87 properties

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (026)
308 Methods of TDBComboBox (DBCTRLS) (026)
6 superordinates
87 properties

procedure
UpdateData (Sender: TObject) ;
(private)

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (027)
308 Methods of TDBComboBox (DBCTRLS) (027)
6 superordinates
87 properties

procedure
WMCreate  (inherited) (var Message: TWMCreate); message WM_CREATE ;
(private) , found in TCustomComboBox

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TCustomComboBox
procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TCustomComboBox
procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TCustomComboBox
procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TCustomComboBox
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (028)
308 Methods of TDBComboBox (DBCTRLS) (028)
6 superordinates
87 properties

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomComboBox
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TCustomComboBox
procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (029)
308 Methods of TDBComboBox (DBCTRLS) (029)
6 superordinates
87 properties

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl


Methods of TDBComboBox (DBCTRLS) (030)
308 Methods of TDBComboBox (DBCTRLS) (030)
6 superordinates
87 properties

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl


Methods of TDBComboBox (DBCTRLS) (031)
308 Methods of TDBComboBox (DBCTRLS) (031)
6 superordinates
87 properties

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc (var Message: TMessage) ;
(protected) override
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TCustomComboBox
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBListBox (DBCTRLS)
299 Methods of TDBListBox (DBCTRLS)
6 superordinates
88 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (002)
299 Methods of TDBListBox (DBCTRLS) (002)
6 superordinates
88 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TDBListBox (DBCTRLS) (003)
299 Methods of TDBListBox (DBCTRLS) (003)
6 superordinates
88 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (004)
299 Methods of TDBListBox (DBCTRLS) (004)
6 superordinates
88 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomListBox

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem  (inherited) (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private) , found in TCustomListBox

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNMeasureItem  (inherited) (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private) , found in TCustomListBox


Methods of TDBListBox (DBCTRLS) (005)
299 Methods of TDBListBox (DBCTRLS) (005)
6 superordinates
88 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TDBListBox (DBCTRLS) (006)
299 Methods of TDBListBox (DBCTRLS) (006)
6 superordinates
88 properties

procedure
Clear  (inherited) ;
(public) , found in TCustomListBox

procedure
Click ;
(protected) override
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomListBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomListBox
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl


Methods of TDBListBox (DBCTRLS) (007)
299 Methods of TDBListBox (DBCTRLS) (007)
6 superordinates
88 properties

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomListBox
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DataChange (Sender: TObject) ;
(private)

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomListBox
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) override, found in TCustomListBox
procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TDBListBox (DBCTRLS) (008)
299 Methods of TDBListBox (DBCTRLS) (008)
6 superordinates
88 properties

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl


Methods of TDBListBox (DBCTRLS) (009)
299 Methods of TDBListBox (DBCTRLS) (009)
6 superordinates
88 properties

procedure
DragCanceled  (inherited) ;
(protected) override, found in TCustomListBox
procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem  (inherited) (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) virtual, found in TCustomListBox

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (010)
299 Methods of TDBListBox (DBCTRLS) (010)
6 superordinates
88 properties

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TDBListBox (DBCTRLS) (011)
299 Methods of TDBListBox (DBCTRLS) (011)
6 superordinates
88 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataField : string ;
(private)

function
GetDataSource : TDataSource ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetField : TField ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl


Methods of TDBListBox (DBCTRLS) (012)
299 Methods of TDBListBox (DBCTRLS) (012)
6 superordinates
88 properties

function
GetItemHeight  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetItemIndex  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetReadOnly : Boolean ;
(private)

function
GetSelCount  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetSelected  (inherited) (Index: Integer): Boolean ;
(private) , found in TCustomListBox

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (013)
299 Methods of TDBListBox (DBCTRLS) (013)
6 superordinates
88 properties

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetTopIndex  (inherited) : Integer ;
(private) , found in TCustomListBox

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TDBListBox (DBCTRLS) (014)
299 Methods of TDBListBox (DBCTRLS) (014)
6 superordinates
88 properties

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (015)
299 Methods of TDBListBox (DBCTRLS) (015)
6 superordinates
88 properties

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

function
ItemAtPos  (inherited) (Pos: TPoint; Existing: Boolean): Integer ;
(public) , found in TCustomListBox

function
ItemRect  (inherited) (Index: Integer): TRect ;
(public) , found in TCustomListBox

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (016)
299 Methods of TDBListBox (DBCTRLS) (016)
6 superordinates
88 properties

procedure
MeasureItem  (inherited) (Index: Integer; var Height: Integer) ;
(protected) virtual, found in TCustomListBox

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (017)
299 Methods of TDBListBox (DBCTRLS) (017)
6 superordinates
88 properties

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (018)
299 Methods of TDBListBox (DBCTRLS) (018)
6 superordinates
88 properties

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (019)
299 Methods of TDBListBox (DBCTRLS) (019)
6 superordinates
88 properties

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomListBox

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl


Methods of TDBListBox (DBCTRLS) (020)
299 Methods of TDBListBox (DBCTRLS) (020)
6 superordinates
88 properties

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumnWidth  (inherited) ;
(private) , found in TCustomListBox

procedure
SetColumns  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataField (const Value: string) ;
(private)


Methods of TDBListBox (DBCTRLS) (021)
299 Methods of TDBListBox (DBCTRLS) (021)
6 superordinates
88 properties

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetExtendedSelect  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetIntegralHeight  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetItemHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox


Methods of TDBListBox (DBCTRLS) (022)
299 Methods of TDBListBox (DBCTRLS) (022)
6 superordinates
88 properties

procedure
SetItemIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetItems (Value: TStrings) ;
(private)
procedure
SetItems  (inherited) (Value: TStrings) ;
(private) , found in TCustomListBox

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetMultiSelect  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDBListBox (DBCTRLS) (023)
299 Methods of TDBListBox (DBCTRLS) (023)
6 superordinates
88 properties

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReadOnly (Value: Boolean) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelected  (inherited) (Index: Integer; Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSorted  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetStyle  (inherited) (Value: TListBoxStyle) ;
(private) , found in TCustomListBox

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl


Methods of TDBListBox (DBCTRLS) (024)
299 Methods of TDBListBox (DBCTRLS) (024)
6 superordinates
88 properties

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTopIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (025)
299 Methods of TDBListBox (DBCTRLS) (025)
6 superordinates
88 properties

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData (Sender: TObject) ;
(private)

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (026)
299 Methods of TDBListBox (DBCTRLS) (026)
6 superordinates
88 properties

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (027)
299 Methods of TDBListBox (DBCTRLS) (027)
6 superordinates
88 properties

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private)
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomListBox
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (028)
299 Methods of TDBListBox (DBCTRLS) (028)
6 superordinates
88 properties

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomListBox
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of TDBListBox (DBCTRLS) (029)
299 Methods of TDBListBox (DBCTRLS) (029)
6 superordinates
88 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomListBox
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl


Methods of TDBListBox (DBCTRLS) (030)
299 Methods of TDBListBox (DBCTRLS) (030)
6 superordinates
88 properties

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TCustomListBox
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBRadioGroup (DBCTRLS)
289 Methods of TDBRadioGroup (DBCTRLS)
8 superordinates
77 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) override, found in TCustomGroupBox
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrangeButtons  (inherited) ;
(private) , found in TCustomRadioGroup

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
ButtonClick  (inherited) (Sender: TObject) ;
(private) , found in TCustomRadioGroup


Methods of TDBRadioGroup (DBCTRLS) (002)
289 Methods of TDBRadioGroup (DBCTRLS) (002)
8 superordinates
77 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGroupBox
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TCustomGroupBox
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TCustomRadioGroup
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (003)
289 Methods of TDBRadioGroup (DBCTRLS) (003)
8 superordinates
77 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomRadioGroup
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (004)
289 Methods of TDBRadioGroup (DBCTRLS) (004)
8 superordinates
77 properties

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomGroupBox

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (005)
289 Methods of TDBRadioGroup (DBCTRLS) (005)
8 superordinates
77 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanModify : Boolean ;
(protected) override
function
CanModify  (inherited) : Boolean ;
(protected) virtual, found in TCustomRadioGroup

procedure
Change ;
(protected) dynamic

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TDBRadioGroup (DBCTRLS) (006)
289 Methods of TDBRadioGroup (DBCTRLS) (006)
8 superordinates
77 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click ;
(protected) override
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomRadioGroup
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGroupBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (007)
289 Methods of TDBRadioGroup (DBCTRLS) (007)
8 superordinates
77 properties

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DataChange (Sender: TObject) ;
(private)

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomRadioGroup
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (008)
289 Methods of TDBRadioGroup (DBCTRLS) (008)
8 superordinates
77 properties

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl


Methods of TDBRadioGroup (DBCTRLS) (009)
289 Methods of TDBRadioGroup (DBCTRLS) (009)
8 superordinates
77 properties

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (010)
289 Methods of TDBRadioGroup (DBCTRLS) (010)
8 superordinates
77 properties

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetButtonValue (Index: Integer): string ;
(private)

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl


Methods of TDBRadioGroup (DBCTRLS) (011)
289 Methods of TDBRadioGroup (DBCTRLS) (011)
8 superordinates
77 properties

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataField : string ;
(private)

function
GetDataSource : TDataSource ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetField : TField ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (012)
289 Methods of TDBRadioGroup (DBCTRLS) (012)
8 superordinates
77 properties

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetReadOnly : Boolean ;
(private)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TDBRadioGroup (DBCTRLS) (013)
289 Methods of TDBRadioGroup (DBCTRLS) (013)
8 superordinates
77 properties

function
GetValue : string ;
(private)

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (014)
289 Methods of TDBRadioGroup (DBCTRLS) (014)
8 superordinates
77 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TDBRadioGroup (DBCTRLS) (015)
289 Methods of TDBRadioGroup (DBCTRLS) (015)
8 superordinates
77 properties

procedure
ItemsChange  (inherited) (Sender: TObject) ;
(private) , found in TCustomRadioGroup

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TDBRadioGroup (DBCTRLS) (016)
289 Methods of TDBRadioGroup (DBCTRLS) (016)
8 superordinates
77 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TCustomGroupBox
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl


Methods of TDBRadioGroup (DBCTRLS) (017)
289 Methods of TDBRadioGroup (DBCTRLS) (017)
8 superordinates
77 properties

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TCustomRadioGroup
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TDBRadioGroup (DBCTRLS) (018)
289 Methods of TDBRadioGroup (DBCTRLS) (018)
8 superordinates
77 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (019)
289 Methods of TDBRadioGroup (DBCTRLS) (019)
8 superordinates
77 properties

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetButtonCount  (inherited) (Value: Integer) ;
(private) , found in TCustomRadioGroup

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TDBRadioGroup (DBCTRLS) (020)
289 Methods of TDBRadioGroup (DBCTRLS) (020)
8 superordinates
77 properties

procedure
SetColumns  (inherited) (Value: Integer) ;
(private) , found in TCustomRadioGroup

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataField (const Value: string) ;
(private)

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl


Methods of TDBRadioGroup (DBCTRLS) (021)
289 Methods of TDBRadioGroup (DBCTRLS) (021)
8 superordinates
77 properties

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetItemIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomRadioGroup

procedure
SetItems (Value: TStrings) ;
(private)
procedure
SetItems  (inherited) (Value: TStrings) ;
(private) , found in TCustomRadioGroup

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (022)
289 Methods of TDBRadioGroup (DBCTRLS) (022)
8 superordinates
77 properties

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReadOnly (Value: Boolean) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TDBRadioGroup (DBCTRLS) (023)
289 Methods of TDBRadioGroup (DBCTRLS) (023)
8 superordinates
77 properties

procedure
SetValue (const Value: string) ;
(private)

procedure
SetValues (Value: TStrings) ;
(private)

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl


Methods of TDBRadioGroup (DBCTRLS) (024)
289 Methods of TDBRadioGroup (DBCTRLS) (024)
8 superordinates
77 properties

procedure
UpdateButtons  (inherited) ;
(private) , found in TCustomRadioGroup

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData (Sender: TObject) ;
(private)

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (025)
289 Methods of TDBRadioGroup (DBCTRLS) (025)
8 superordinates
77 properties

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (026)
289 Methods of TDBRadioGroup (DBCTRLS) (026)
8 superordinates
77 properties

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (027)
289 Methods of TDBRadioGroup (DBCTRLS) (027)
8 superordinates
77 properties

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of TDBRadioGroup (DBCTRLS) (028)
289 Methods of TDBRadioGroup (DBCTRLS) (028)
8 superordinates
77 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomRadioGroup
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl


Methods of TDBRadioGroup (DBCTRLS) (029)
289 Methods of TDBRadioGroup (DBCTRLS) (029)
8 superordinates
77 properties

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBMemo (DBCTRLS)
312 Methods of TDBMemo (DBCTRLS)
7 superordinates
90 properties

procedure
AdjustHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl


Methods of TDBMemo (DBCTRLS) (002)
312 Methods of TDBMemo (DBCTRLS) (002)
7 superordinates
90 properties

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter (var Message: TCMEnter); message CM_ENTER ;
(private)
procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl
procedure
CMEnter  (inherited) (var Message: TCMGotFocus); message CM_ENTER ;
(private) , found in TCustomEdit

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TDBMemo (DBCTRLS) (003)
312 Methods of TDBMemo (DBCTRLS) (003)
7 superordinates
90 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomEdit
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of TDBMemo (DBCTRLS) (004)
312 Methods of TDBMemo (DBCTRLS) (004)
7 superordinates
90 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomEdit

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomEdit

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TDBMemo (DBCTRLS) (005)
312 Methods of TDBMemo (DBCTRLS) (005)
7 superordinates
90 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) override
procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomEdit

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TDBMemo (DBCTRLS) (006)
312 Methods of TDBMemo (DBCTRLS) (006)
7 superordinates
90 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomEdit

procedure
ClearSelection  (inherited) ;
(public) , found in TCustomEdit

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
CopyToClipboard  (inherited) ;
(public) , found in TCustomEdit

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomMemo
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TDBMemo (DBCTRLS) (007)
312 Methods of TDBMemo (DBCTRLS) (007)
7 superordinates
90 properties

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomMemo
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomEdit
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) override, found in TCustomMemo
procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomEdit
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CutToClipboard  (inherited) ;
(public) , found in TCustomEdit

procedure
DataChange (Sender: TObject) ;
(private)

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomMemo
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TDBMemo (DBCTRLS) (008)
312 Methods of TDBMemo (DBCTRLS) (008)
7 superordinates
90 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TDBMemo (DBCTRLS) (009)
312 Methods of TDBMemo (DBCTRLS) (009)
7 superordinates
90 properties

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EditingChange (Sender: TObject) ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl


Methods of TDBMemo (DBCTRLS) (010)
312 Methods of TDBMemo (DBCTRLS) (010)
7 superordinates
90 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TDBMemo (DBCTRLS) (011)
312 Methods of TDBMemo (DBCTRLS) (011)
7 superordinates
90 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataField : string ;
(private)

function
GetDataSource : TDataSource ;
(private)


Methods of TDBMemo (DBCTRLS) (012)
312 Methods of TDBMemo (DBCTRLS) (012)
7 superordinates
90 properties

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetField : TField ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetModified  (inherited) : Boolean ;
(private) , found in TCustomEdit

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetReadOnly : Boolean ;
(private)

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomEdit


Methods of TDBMemo (DBCTRLS) (013)
312 Methods of TDBMemo (DBCTRLS) (013)
7 superordinates
90 properties

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelText  (inherited) : String ;
(private) , found in TCustomEdit

function
GetSelTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TCustomEdit

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl


Methods of TDBMemo (DBCTRLS) (014)
312 Methods of TDBMemo (DBCTRLS) (014)
7 superordinates
90 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl


Methods of TDBMemo (DBCTRLS) (015)
312 Methods of TDBMemo (DBCTRLS) (015)
7 superordinates
90 properties

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomMemo
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TDBMemo (DBCTRLS) (016)
312 Methods of TDBMemo (DBCTRLS) (016)
7 superordinates
90 properties

procedure
LoadMemo ;
(public)

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TDBMemo (DBCTRLS) (017)
312 Methods of TDBMemo (DBCTRLS) (017)
7 superordinates
90 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard  (inherited) ;
(public) , found in TCustomEdit

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TDBMemo (DBCTRLS) (018)
312 Methods of TDBMemo (DBCTRLS) (018)
7 superordinates
90 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl


Methods of TDBMemo (DBCTRLS) (019)
312 Methods of TDBMemo (DBCTRLS) (019)
7 superordinates
90 properties

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomEdit

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TDBMemo (DBCTRLS) (020)
312 Methods of TDBMemo (DBCTRLS) (020)
7 superordinates
90 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(protected) , found in TCustomMemo

procedure
SetAutoDisplay (Value: Boolean) ;
(private)

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomEdit

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCharCase  (inherited) (Value: TEditCharCase) ;
(private) , found in TCustomEdit

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TDBMemo (DBCTRLS) (021)
312 Methods of TDBMemo (DBCTRLS) (021)
7 superordinates
90 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataField (const Value: string) ;
(private)

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl


Methods of TDBMemo (DBCTRLS) (022)
312 Methods of TDBMemo (DBCTRLS) (022)
7 superordinates
90 properties

procedure
SetFocused (Value: Boolean) ;
(private)

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHideSelection  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLines  (inherited) (Value: TStrings) ;
(protected) , found in TCustomMemo

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDBMemo (DBCTRLS) (023)
312 Methods of TDBMemo (DBCTRLS) (023)
7 superordinates
90 properties

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOEMConvert  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPasswordChar  (inherited) (Value: Char) ;
(private) , found in TCustomEdit

procedure
SetReadOnly (Value: Boolean) ;
(private)
procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TDBMemo (DBCTRLS) (024)
312 Methods of TDBMemo (DBCTRLS) (024)
7 superordinates
90 properties

procedure
SetScrollBars  (inherited) (Value: TScrollStyle) ;
(protected) , found in TCustomMemo

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomEdit

procedure
SetSelTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TCustomEdit

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl


Methods of TDBMemo (DBCTRLS) (025)
312 Methods of TDBMemo (DBCTRLS) (025)
7 superordinates
90 properties

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWordWrap  (inherited) (Value: Boolean) ;
(protected) , found in TCustomMemo

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl


Methods of TDBMemo (DBCTRLS) (026)
312 Methods of TDBMemo (DBCTRLS) (026)
7 superordinates
90 properties

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData (Sender: TObject) ;
(private)

procedure
UpdateHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl


Methods of TDBMemo (DBCTRLS) (027)
312 Methods of TDBMemo (DBCTRLS) (027)
7 superordinates
90 properties

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMCut (var Message: TMessage); message WM_CUT ;
(private)

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode  (inherited) (var Message: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomMemo


Methods of TDBMemo (DBCTRLS) (028)
312 Methods of TDBMemo (DBCTRLS) (028)
7 superordinates
90 properties

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private)
procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl


Methods of TDBMemo (DBCTRLS) (029)
312 Methods of TDBMemo (DBCTRLS) (029)
7 superordinates
90 properties

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TCustomMemo
procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMPaste (var Message: TMessage); message WM_PASTE ;
(private)


Methods of TDBMemo (DBCTRLS) (030)
312 Methods of TDBMemo (DBCTRLS) (030)
7 superordinates
90 properties

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl


Methods of TDBMemo (DBCTRLS) (031)
312 Methods of TDBMemo (DBCTRLS) (031)
7 superordinates
90 properties

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBMemo (DBCTRLS) (032)
312 Methods of TDBMemo (DBCTRLS) (032)
7 superordinates
90 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBImage (DBCTRLS)
288 Methods of TDBImage (DBCTRLS)
6 superordinates
76 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TDBImage (DBCTRLS) (002)
288 Methods of TDBImage (DBCTRLS) (002)
6 superordinates
76 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter (var Message: TCMEnter); message CM_ENTER ;
(private)
procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TDBImage (DBCTRLS) (003)
288 Methods of TDBImage (DBCTRLS) (003)
6 superordinates
76 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TDBImage (DBCTRLS) (004)
288 Methods of TDBImage (DBCTRLS) (004)
6 superordinates
76 properties

procedure
CMTextChanged (var Message: TMessage); message CM_TEXTCHANGED ;
(private)

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TDBImage (DBCTRLS) (005)
288 Methods of TDBImage (DBCTRLS) (005)
6 superordinates
76 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TDBImage (DBCTRLS) (006)
288 Methods of TDBImage (DBCTRLS) (006)
6 superordinates
76 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
CopyToClipboard ;
(public)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CutToClipboard ;
(public)


Methods of TDBImage (DBCTRLS) (007)
288 Methods of TDBImage (DBCTRLS) (007)
6 superordinates
76 properties

procedure
DataChange (Sender: TObject) ;
(private)

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TDBImage (DBCTRLS) (008)
288 Methods of TDBImage (DBCTRLS) (008)
6 superordinates
76 properties

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TDBImage (DBCTRLS) (009)
288 Methods of TDBImage (DBCTRLS) (009)
6 superordinates
76 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl


Methods of TDBImage (DBCTRLS) (010)
288 Methods of TDBImage (DBCTRLS) (010)
6 superordinates
76 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent


Methods of TDBImage (DBCTRLS) (011)
288 Methods of TDBImage (DBCTRLS) (011)
6 superordinates
76 properties

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataField : string ;
(private)

function
GetDataSource : TDataSource ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetField : TField ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TDBImage (DBCTRLS) (012)
288 Methods of TDBImage (DBCTRLS) (012)
6 superordinates
76 properties

function
GetPalette : HPALETTE ;
(protected) override
function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetReadOnly : Boolean ;
(private)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent


Methods of TDBImage (DBCTRLS) (013)
288 Methods of TDBImage (DBCTRLS) (013)
6 superordinates
76 properties

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl


Methods of TDBImage (DBCTRLS) (014)
288 Methods of TDBImage (DBCTRLS) (014)
6 superordinates
76 properties

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
LoadPicture ;
(public)


Methods of TDBImage (DBCTRLS) (015)
288 Methods of TDBImage (DBCTRLS) (015)
6 superordinates
76 properties

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl


Methods of TDBImage (DBCTRLS) (016)
288 Methods of TDBImage (DBCTRLS) (016)
6 superordinates
76 properties

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard ;
(public)

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

procedure
PictureChanged (Sender: TObject) ;
(private)

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TDBImage (DBCTRLS) (017)
288 Methods of TDBImage (DBCTRLS) (017)
6 superordinates
76 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TDBImage (DBCTRLS) (018)
288 Methods of TDBImage (DBCTRLS) (018)
6 superordinates
76 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TDBImage (DBCTRLS) (019)
288 Methods of TDBImage (DBCTRLS) (019)
6 superordinates
76 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoDisplay (Value: Boolean) ;
(private)

procedure
SetBorderStyle (Value: TBorderStyle) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCenter (Value: Boolean) ;
(private)

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TDBImage (DBCTRLS) (020)
288 Methods of TDBImage (DBCTRLS) (020)
6 superordinates
76 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataField (const Value: string) ;
(private)

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TDBImage (DBCTRLS) (021)
288 Methods of TDBImage (DBCTRLS) (021)
6 superordinates
76 properties

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPicture (Value: TPicture) ;
(private)


Methods of TDBImage (DBCTRLS) (022)
288 Methods of TDBImage (DBCTRLS) (022)
6 superordinates
76 properties

procedure
SetReadOnly (Value: Boolean) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetStretch (Value: Boolean) ;
(private)

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDBImage (DBCTRLS) (023)
288 Methods of TDBImage (DBCTRLS) (023)
6 superordinates
76 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData (Sender: TObject) ;
(private)

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl


Methods of TDBImage (DBCTRLS) (024)
288 Methods of TDBImage (DBCTRLS) (024)
6 superordinates
76 properties

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCopy (var Message: TMessage); message WM_COPY ;
(private)

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl


Methods of TDBImage (DBCTRLS) (025)
288 Methods of TDBImage (DBCTRLS) (025)
6 superordinates
76 properties

procedure
WMCut (var Message: TMessage); message WM_CUT ;
(private)

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private)
procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl


Methods of TDBImage (DBCTRLS) (026)
288 Methods of TDBImage (DBCTRLS) (026)
6 superordinates
76 properties

procedure
WMLButtonDown (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private)
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl


Methods of TDBImage (DBCTRLS) (027)
288 Methods of TDBImage (DBCTRLS) (027)
6 superordinates
76 properties

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMPaste (var Message: TMessage); message WM_PASTE ;
(private)

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl


Methods of TDBImage (DBCTRLS) (028)
288 Methods of TDBImage (DBCTRLS) (028)
6 superordinates
76 properties

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl


Methods of TDBImage (DBCTRLS) (029)
288 Methods of TDBImage (DBCTRLS) (029)
6 superordinates
76 properties

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TNavButton (DBCTRLS)
166 Methods of TNavButton (DBCTRLS)
6 superordinates
58 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMButtonPressed  (inherited) (var Message: TMessage); message CM_BUTTONPRESSED ;
(private) , found in TSpeedButton

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TSpeedButton

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TSpeedButton
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl


Methods of TNavButton (DBCTRLS) (002)
166 Methods of TNavButton (DBCTRLS) (002)
6 superordinates
58 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TSpeedButton
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TSpeedButton

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TSpeedButton

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl


Methods of TNavButton (DBCTRLS) (003)
166 Methods of TNavButton (DBCTRLS) (003)
6 superordinates
58 properties

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(public) override, found in TSpeedButton
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TSpeedButton
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TGraphicControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TNavButton (DBCTRLS) (004)
166 Methods of TNavButton (DBCTRLS) (004)
6 superordinates
58 properties

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TSpeedButton
destructor
Destroy  (inherited) ;
(public) override, found in TGraphicControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TNavButton (DBCTRLS) (005)
166 Methods of TNavButton (DBCTRLS) (005)
6 superordinates
58 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TNavButton (DBCTRLS) (006)
166 Methods of TNavButton (DBCTRLS) (006)
6 superordinates
58 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetGlyph  (inherited) : TBitmap ;
(private) , found in TSpeedButton

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl


Methods of TNavButton (DBCTRLS) (007)
166 Methods of TNavButton (DBCTRLS) (007)
6 superordinates
58 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNumGlyphs  (inherited) : TNumGlyphs ;
(private) , found in TSpeedButton

function
GetPalette  (inherited) : HPALETTE ;
(protected) override, found in TSpeedButton
function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

procedure
GlyphChanged  (inherited) (Sender: TObject) ;
(private) , found in TSpeedButton

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TNavButton (DBCTRLS) (008)
166 Methods of TNavButton (DBCTRLS) (008)
6 superordinates
58 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TNavButton (DBCTRLS) (009)
166 Methods of TNavButton (DBCTRLS) (009)
6 superordinates
58 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TSpeedButton
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TSpeedButton
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TSpeedButton
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) override, found in TSpeedButton
procedure
Paint  (inherited) ;
(protected) virtual, found in TGraphicControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl


Methods of TNavButton (DBCTRLS) (010)
166 Methods of TNavButton (DBCTRLS) (010)
6 superordinates
58 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TNavButton (DBCTRLS) (011)
166 Methods of TNavButton (DBCTRLS) (011)
6 superordinates
58 properties

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAllowAllUp  (inherited) (Value: Boolean) ;
(private) , found in TSpeedButton

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TNavButton (DBCTRLS) (012)
166 Methods of TNavButton (DBCTRLS) (012)
6 superordinates
58 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDown  (inherited) (Value: Boolean) ;
(private) , found in TSpeedButton

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGlyph  (inherited) (Value: TBitmap) ;
(private) , found in TSpeedButton

procedure
SetGroupIndex  (inherited) (Value: Integer) ;
(private) , found in TSpeedButton

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl


Methods of TNavButton (DBCTRLS) (013)
166 Methods of TNavButton (DBCTRLS) (013)
6 superordinates
58 properties

procedure
SetLayout  (inherited) (Value: TButtonLayout) ;
(private) , found in TSpeedButton

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMargin  (inherited) (Value: Integer) ;
(private) , found in TSpeedButton

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetNumGlyphs  (inherited) (Value: TNumGlyphs) ;
(private) , found in TSpeedButton

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TNavButton (DBCTRLS) (014)
166 Methods of TNavButton (DBCTRLS) (014)
6 superordinates
58 properties

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSpacing  (inherited) (Value: Integer) ;
(private) , found in TSpeedButton

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl


Methods of TNavButton (DBCTRLS) (015)
166 Methods of TNavButton (DBCTRLS) (015)
6 superordinates
58 properties

procedure
TimerExpired (Sender: TObject) ;
(private)

procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateExclusive  (inherited) ;
(private) , found in TSpeedButton

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl
procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDBLCLK ;
(private) , found in TSpeedButton

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl


Methods of TNavButton (DBCTRLS) (016)
166 Methods of TNavButton (DBCTRLS) (016)
6 superordinates
58 properties

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TGraphicControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl


Methods of TNavButton (DBCTRLS) (017)
166 Methods of TNavButton (DBCTRLS) (017)
6 superordinates
58 properties

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TNavDataLink (DBCTRLS)
44 Methods of TNavDataLink (DBCTRLS)
3 superordinates
8 properties

procedure
ActiveChanged ;
(protected) override
procedure
ActiveChanged  (inherited) ;
(protected) virtual, found in TDataLink

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
CheckBrowseMode  (inherited) ;
(protected) virtual, found in TDataLink

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (ANav: TDBNavigator) ;
(public)
constructor
Create  (inherited) ;
(public) , found in TDataLink
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TNavDataLink (DBCTRLS) (002)
44 Methods of TNavDataLink (DBCTRLS) (002)
3 superordinates
8 properties

procedure
DataEvent  (inherited) (Event: TDataEvent; Info: Longint) ;
(private) , found in TDataLink

procedure
DataSetChanged ;
(protected) override
procedure
DataSetChanged  (inherited) ;
(protected) virtual, found in TDataLink

procedure
DataSetScrolled  (inherited) (Distance: Integer) ;
(protected) virtual, found in TDataLink

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TDataLink
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
Edit  (inherited) : Boolean ;
(public) , found in TDataLink

procedure
EditingChanged ;
(protected) override
procedure
EditingChanged  (inherited) ;
(protected) virtual, found in TDataLink

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TNavDataLink (DBCTRLS) (003)
44 Methods of TNavDataLink (DBCTRLS) (003)
3 superordinates
8 properties

procedure
FocusControl  (inherited) (Field: TFieldRef) ;
(protected) virtual, found in TDataLink

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActiveRecord  (inherited) : Integer ;
(private) , found in TDataLink

function
GetDataSet  (inherited) : TDataSet ;
(private) , found in TDataLink

function
GetRecordCount  (inherited) : Integer ;
(private) , found in TDataLink

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LayoutChanged  (inherited) ;
(protected) virtual, found in TDataLink


Methods of TNavDataLink (DBCTRLS) (004)
44 Methods of TNavDataLink (DBCTRLS) (004)
3 superordinates
8 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
RecordChanged  (inherited) (Field: TField) ;
(protected) virtual, found in TDataLink

procedure
SetActive  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
SetActiveRecord  (inherited) (Value: Integer) ;
(private) , found in TDataLink

procedure
SetBufferCount  (inherited) (Value: Integer) ;
(private) , found in TDataLink

procedure
SetDataSource  (inherited) (ADataSource: TDataSource) ;
(private) , found in TDataLink

procedure
SetEditing  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TDataLink


Methods of TNavDataLink (DBCTRLS) (005)
44 Methods of TNavDataLink (DBCTRLS) (005)
3 superordinates
8 properties

procedure
UpdateData  (inherited) ;
(protected) virtual, found in TDataLink

procedure
UpdateRange  (inherited) ;
(private) , found in TDataLink

procedure
UpdateRecord  (inherited) ;
(public) , found in TDataLink

procedure
UpdateState  (inherited) ;
(private) , found in TDataLink


Methods of TGridDataLink (DBGRIDS)
50 Methods of TGridDataLink (DBGRIDS)
3 superordinates
11 properties

procedure
ActiveChanged ;
(protected) override
procedure
ActiveChanged  (inherited) ;
(protected) virtual, found in TDataLink

function
AddMapping (const FieldName: string): Boolean ;
(public)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
CheckBrowseMode  (inherited) ;
(protected) virtual, found in TDataLink

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TGridDataLink (DBGRIDS) (002)
50 Methods of TGridDataLink (DBGRIDS) (002)
3 superordinates
11 properties

procedure
ClearMapping ;
(public)

constructor
Create (AGrid: TCustomDBGrid) ;
(public)
constructor
Create  (inherited) ;
(public) , found in TDataLink
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataEvent  (inherited) (Event: TDataEvent; Info: Longint) ;
(private) , found in TDataLink

procedure
DataSetChanged ;
(protected) override
procedure
DataSetChanged  (inherited) ;
(protected) virtual, found in TDataLink

procedure
DataSetScrolled (Distance: Integer) ;
(protected) override
procedure
DataSetScrolled  (inherited) (Distance: Integer) ;
(protected) virtual, found in TDataLink

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TDataLink
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
Edit  (inherited) : Boolean ;
(public) , found in TDataLink


Methods of TGridDataLink (DBGRIDS) (003)
50 Methods of TGridDataLink (DBGRIDS) (003)
3 superordinates
11 properties

procedure
EditingChanged ;
(protected) override
procedure
EditingChanged  (inherited) ;
(protected) virtual, found in TDataLink

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
FocusControl  (inherited) (Field: TFieldRef) ;
(protected) virtual, found in TDataLink

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActiveRecord  (inherited) : Integer ;
(private) , found in TDataLink

function
GetDataSet  (inherited) : TDataSet ;
(private) , found in TDataLink

function
GetDefaultFields : Boolean ;
(private)

function
GetFields (I: Integer): TField ;
(private)

function
GetRecordCount  (inherited) : Integer ;
(private) , found in TDataLink


Methods of TGridDataLink (DBGRIDS) (004)
50 Methods of TGridDataLink (DBGRIDS) (004)
3 superordinates
11 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LayoutChanged ;
(protected) override
procedure
LayoutChanged  (inherited) ;
(protected) virtual, found in TDataLink

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified ;
(public)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
RecordChanged (Field: TField) ;
(protected) override
procedure
RecordChanged  (inherited) (Field: TField) ;
(protected) virtual, found in TDataLink

procedure
Reset ;
(public)


Methods of TGridDataLink (DBGRIDS) (005)
50 Methods of TGridDataLink (DBGRIDS) (005)
3 superordinates
11 properties

procedure
SetActive  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
SetActiveRecord  (inherited) (Value: Integer) ;
(private) , found in TDataLink

procedure
SetBufferCount  (inherited) (Value: Integer) ;
(private) , found in TDataLink

procedure
SetDataSource  (inherited) (ADataSource: TDataSource) ;
(private) , found in TDataLink

procedure
SetEditing  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
UpdateData ;
(protected) override
procedure
UpdateData  (inherited) ;
(protected) virtual, found in TDataLink

procedure
UpdateRange  (inherited) ;
(private) , found in TDataLink

procedure
UpdateRecord  (inherited) ;
(public) , found in TDataLink

procedure
UpdateState  (inherited) ;
(private) , found in TDataLink


Methods of TCustomDBGrid (DBGRIDS)
395 Methods of TCustomDBGrid (DBGRIDS)
7 superordinates
106 properties

function
AcquireFocus : Boolean ;
(private)

procedure
AdjustSize  (inherited) (Index, Amount: Longint; Rows: Boolean) ;
(protected) dynamic, found in TCustomGrid

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

function
BoxRect  (inherited) (ALeft, ATop, ARight, ABottom: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
BringToFront  (inherited) ;
(public) , found in TControl


Methods of TCustomDBGrid (DBGRIDS) (002)
395 Methods of TCustomDBGrid (DBGRIDS) (002)
7 superordinates
106 properties

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGrid
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl
procedure
CMDesignHitTest (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private)
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomGrid

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl
procedure
CMExit (var Message: TMessage); message CM_EXIT ;
(private)


Methods of TCustomDBGrid (DBGRIDS) (003)
395 Methods of TCustomDBGrid (DBGRIDS) (003)
7 superordinates
106 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private)
procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TCustomDBGrid (DBGRIDS) (004)
395 Methods of TCustomDBGrid (DBGRIDS) (004)
7 superordinates
106 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWantSpecialKey  (inherited) (var Msg: TCMWantSpecialKey); message CM_WANTSPECIALKEY ;
(private) , found in TCustomGrid

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl


Methods of TCustomDBGrid (DBGRIDS) (005)
395 Methods of TCustomDBGrid (DBGRIDS) (005)
7 superordinates
106 properties

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CalcCoordFromPoint  (inherited) (X, Y: Integer; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcDrawInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
CalcDrawInfoXY  (inherited) (var DrawInfo: TGridDrawInfo; UseWidth, UseHeight: Integer) ;
(private) , found in TCustomGrid

procedure
CalcFixedInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CalcMaxTopLeft  (inherited) (const Coord: TGridCoord; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcSizingState  (inherited) (X, Y: Integer; var State: TGridState; var Index: Longint; var SizingPos, SizingOfs: Integer; var FixedInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CanEditAcceptKey (Key: Char): Boolean ;
(protected) override
function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) dynamic, found in TCustomGrid


Methods of TCustomDBGrid (DBGRIDS) (006)
395 Methods of TCustomDBGrid (DBGRIDS) (006)
7 superordinates
106 properties

function
CanEditModify : Boolean ;
(protected) override
function
CanEditModify  (inherited) : Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditShow  (inherited) : Boolean ;
(protected) virtual, found in TCustomGrid

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanGridAcceptKey  (inherited) (Key: Word; Shift: TShiftState): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CellRect  (inherited) (ACol, ARow: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
ChangeSize  (inherited) (NewColCount, NewRowCount: Longint) ;
(private) , found in TCustomGrid

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

procedure
ClampInView  (inherited) (const Coord: TGridCoord) ;
(private) , found in TCustomGrid


Methods of TCustomDBGrid (DBGRIDS) (007)
395 Methods of TCustomDBGrid (DBGRIDS) (007)
7 superordinates
106 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ColEnter ;
(protected) dynamic

procedure
ColExit ;
(protected) dynamic

procedure
ColWidthsChanged ;
(protected) override
procedure
ColWidthsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
ColumnMoved (FromIndex, ToIndex: Longint) ;
(protected) override
procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid


Methods of TCustomDBGrid (DBGRIDS) (008)
395 Methods of TCustomDBGrid (DBGRIDS) (008)
7 superordinates
106 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateEditor  (inherited) : TInplaceEdit ;
(protected) virtual, found in TCustomGrid

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomGrid
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DataChanged ;
(private)


Methods of TCustomDBGrid (DBGRIDS) (009)
395 Methods of TCustomDBGrid (DBGRIDS) (009)
7 superordinates
106 properties

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultDrawDataCell (const Rect: TRect; Field: TField; State: TGridDrawState) ;
(public)

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineFieldMap ;
(protected) virtual

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TCustomGrid
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TCustomDBGrid (DBGRIDS) (010)
395 Methods of TCustomDBGrid (DBGRIDS) (010)
7 superordinates
106 properties

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) override, found in TCustomGrid
procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl


Methods of TCustomDBGrid (DBGRIDS) (011)
395 Methods of TCustomDBGrid (DBGRIDS) (011)
7 superordinates
106 properties

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawCell (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) override
procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) virtual/abstract, found in TCustomGrid

procedure
DrawDataCell (const Rect: TRect; Field: TField; State: TGridDrawState) ;
(protected) dynamic

procedure
DrawMove  (inherited) ;
(private) , found in TCustomGrid

procedure
DrawSizingLine  (inherited) (const DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
Edit : Boolean ;
(private)

procedure
EditingChanged ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TCustomDBGrid (DBGRIDS) (012)
395 Methods of TCustomDBGrid (DBGRIDS) (012)
7 superordinates
106 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusCell  (inherited) (ACol, ARow: Longint; MoveAnchor: Boolean) ;
(private) , found in TCustomGrid

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TCustomDBGrid (DBGRIDS) (013)
395 Methods of TCustomDBGrid (DBGRIDS) (013)
7 superordinates
106 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetColField (ACol: Integer): TField ;
(protected)

function
GetColWidths  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent


Methods of TCustomDBGrid (DBGRIDS) (014)
395 Methods of TCustomDBGrid (DBGRIDS) (014)
7 superordinates
106 properties

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataSource : TDataSource ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditLimit : Integer ;
(protected) override
function
GetEditLimit  (inherited) : Integer ;
(protected) dynamic, found in TCustomGrid

function
GetEditMask (ACol, ARow: Longint): string ;
(protected) override
function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetEditText (ACol, ARow: Longint): string ;
(protected) override
function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetFieldCount : Integer ;
(private)

function
GetFieldValue (ACol: Integer): string ;
(protected)

function
GetFields (Index: Integer): TField ;
(private)


Methods of TCustomDBGrid (DBGRIDS) (015)
395 Methods of TCustomDBGrid (DBGRIDS) (015)
7 superordinates
106 properties

function
GetGridHeight  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetGridWidth  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetRowHeights  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetSelectedField : TField ;
(private)

function
GetSelectedIndex : Integer ;
(private)


Methods of TCustomDBGrid (DBGRIDS) (016)
395 Methods of TCustomDBGrid (DBGRIDS) (016)
7 superordinates
106 properties

function
GetSelection  (inherited) : TGridRect ;
(private) , found in TCustomGrid

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetTabStops  (inherited) (Index: Longint): Boolean ;
(private) , found in TCustomGrid

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetVisibleColCount  (inherited) : Integer ;
(private) , found in TCustomGrid

function
GetVisibleRowCount  (inherited) : Integer ;
(private) , found in TCustomGrid

procedure
GridRectToScreenRect  (inherited) (GridRect: TGridRect; var ScreenRect: TRect; IncludeLine: Boolean) ;
(private) , found in TCustomGrid


Methods of TCustomDBGrid (DBGRIDS) (017)
395 Methods of TCustomDBGrid (DBGRIDS) (017)
7 superordinates
106 properties

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HideEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
HideEditor  (inherited) ;
(protected) , found in TCustomGrid

function
HighlightCell (DataCol, DataRow: Integer; const Value: string; AState: TGridDrawState): Boolean ;
(protected) virtual

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(private) , found in TCustomGrid


Methods of TCustomDBGrid (DBGRIDS) (018)
395 Methods of TCustomDBGrid (DBGRIDS) (018)
7 superordinates
106 properties

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateCell  (inherited) (ACol, ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

procedure
InvalidateGrid  (inherited) ;
(private) , found in TCustomGrid


Methods of TCustomDBGrid (DBGRIDS) (019)
395 Methods of TCustomDBGrid (DBGRIDS) (019)
7 superordinates
106 properties

procedure
InvalidateRect  (inherited) (ARect: TGridRect) ;
(private) , found in TCustomGrid

procedure
InvalidateRow  (inherited) (ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvertRect  (inherited) (const Rect: TRect) ;
(private) , found in TCustomGrid

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TCustomDBGrid (DBGRIDS) (020)
395 Methods of TCustomDBGrid (DBGRIDS) (020)
7 superordinates
106 properties

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
LayoutChanged ;
(protected) virtual

procedure
LinkActive (Value: Boolean) ;
(protected) virtual

procedure
Loaded ;
(protected) override
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
ModifyScrollBar  (inherited) (ScrollBar, ScrollCode, Pos: Word) ;
(private) , found in TCustomGrid

function
MouseCoord  (inherited) (X, Y: Integer): TGridCoord ;
(protected) , found in TCustomGrid


Methods of TCustomDBGrid (DBGRIDS) (021)
395 Methods of TCustomDBGrid (DBGRIDS) (021)
7 superordinates
106 properties

procedure
MouseDown (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MoveAnchor  (inherited) (const NewAnchor: TGridCoord) ;
(private) , found in TCustomGrid

procedure
MoveCol (ACol: Integer) ;
(private)

procedure
MoveColRow  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(protected) , found in TCustomGrid

procedure
MoveCurrent  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(private) , found in TCustomGrid

procedure
MoveTopLeft  (inherited) (ALeft, ATop: Longint) ;
(private) , found in TCustomGrid

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TCustomDBGrid (DBGRIDS) (022)
395 Methods of TCustomDBGrid (DBGRIDS) (022)
7 superordinates
106 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TCustomGrid
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadColWidths  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TCustomDBGrid (DBGRIDS) (023)
395 Methods of TCustomDBGrid (DBGRIDS) (023)
7 superordinates
106 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadRowHeights  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecordChanged (Field: TField) ;
(private)

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TCustomDBGrid (DBGRIDS) (024)
395 Methods of TCustomDBGrid (DBGRIDS) (024)
7 superordinates
106 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResizeCol  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
ResizeRow  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
RowHeightsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
RowMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl


Methods of TCustomDBGrid (DBGRIDS) (025)
395 Methods of TCustomDBGrid (DBGRIDS) (025)
7 superordinates
106 properties

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
Scroll (Distance: Integer) ;
(protected) virtual

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollData  (inherited) (DX, DY: Integer) ;
(protected) , found in TCustomGrid

procedure
ScrollDataInfo  (inherited) (DX, DY: Integer; var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
SelectCell  (inherited) (ACol, ARow: Longint): Boolean ;
(protected) virtual, found in TCustomGrid

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SelectionMoved  (inherited) (const OldSel: TGridRect) ;
(private) , found in TCustomGrid

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl


Methods of TCustomDBGrid (DBGRIDS) (026)
395 Methods of TCustomDBGrid (DBGRIDS) (026)
7 superordinates
106 properties

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomGrid

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid


Methods of TCustomDBGrid (DBGRIDS) (027)
395 Methods of TCustomDBGrid (DBGRIDS) (027)
7 superordinates
106 properties

procedure
SetColWidths  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumnAttributes ;
(protected) virtual

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDefaultColWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDefaultRowHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent


Methods of TCustomDBGrid (DBGRIDS) (028)
395 Methods of TCustomDBGrid (DBGRIDS) (028)
7 superordinates
106 properties

procedure
SetEditText (ACol, ARow: Longint; const Value: string) ;
(protected) override
procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) dynamic, found in TCustomGrid

procedure
SetEditorMode  (inherited) (Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFixedColor  (inherited) (Value: TColor) ;
(private) , found in TCustomGrid

procedure
SetFixedCols  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFixedRows  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGridLineWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TCustomDBGrid (DBGRIDS) (029)
395 Methods of TCustomDBGrid (DBGRIDS) (029)
7 superordinates
106 properties

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLeftCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOptions (Value: TDBGridOptions) ;
(private)
procedure
SetOptions  (inherited) (Value: TGridOptions) ;
(private) , found in TCustomGrid

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomDBGrid (DBGRIDS) (030)
395 Methods of TCustomDBGrid (DBGRIDS) (030)
7 superordinates
106 properties

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowHeights  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetScrollBars  (inherited) (Value: TScrollStyle) ;
(private) , found in TCustomGrid

procedure
SetSelectedField (Value: TField) ;
(private)

procedure
SetSelectedIndex (Value: Integer) ;
(private)

procedure
SetSelection  (inherited) (Value: TGridRect) ;
(private) , found in TCustomGrid

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomDBGrid (DBGRIDS) (031)
395 Methods of TCustomDBGrid (DBGRIDS) (031)
7 superordinates
106 properties

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetTabStops  (inherited) (Index: Longint; Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTitleFont (Value: TFont) ;
(private)

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTopRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TCustomDBGrid (DBGRIDS) (032)
395 Methods of TCustomDBGrid (DBGRIDS) (032)
7 superordinates
106 properties

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
ShowEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
ShowEditorChar  (inherited) (Ch: Char) ;
(protected) , found in TCustomGrid

procedure
SizeChanged  (inherited) (OldColCount, OldRowCount: Longint) ;
(protected) dynamic, found in TCustomGrid

function
Sizing  (inherited) (X, Y: Integer): Boolean ;
(protected) , found in TCustomGrid

procedure
TimedScroll (Direction: TGridScrollDirection) ;
(protected) override
procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) dynamic, found in TCustomGrid

procedure
TitleFontChanged (Sender: TObject) ;
(private)

procedure
TopLeftChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid


Methods of TCustomDBGrid (DBGRIDS) (033)
395 Methods of TCustomDBGrid (DBGRIDS) (033)
7 superordinates
106 properties

procedure
TopLeftMoved  (inherited) (const OldTopLeft: TGridCoord) ;
(private) , found in TCustomGrid

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateActive ;
(private)

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData ;
(private)

procedure
UpdateEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateRowCount ;
(private)

procedure
UpdateScrollBar ;
(private)


Methods of TCustomDBGrid (DBGRIDS) (034)
395 Methods of TCustomDBGrid (DBGRIDS) (034)
7 superordinates
106 properties

procedure
UpdateScrollPos  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateScrollRange  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
UpdateText  (inherited) ;
(private) , found in TCustomGrid

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl
procedure
WMChar  (inherited) (var Msg: TWMChar); message WM_CHAR ;
(private) , found in TCustomGrid

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl


Methods of TCustomDBGrid (DBGRIDS) (035)
395 Methods of TCustomDBGrid (DBGRIDS) (035)
7 superordinates
106 properties

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TCustomGrid
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode  (inherited) (var Msg: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomGrid

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl
procedure
WMHScroll  (inherited) (var Msg: TWMHScroll); message WM_HSCROLL ;
(private) , found in TCustomGrid


Methods of TCustomDBGrid (DBGRIDS) (036)
395 Methods of TCustomDBGrid (DBGRIDS) (036)
7 superordinates
106 properties

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Msg: TWMKillFocus); message WM_KILLFOCUS ;
(private) , found in TCustomGrid

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TMessage); message WM_LBUTTONDOWN ;
(private) , found in TCustomGrid
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl


Methods of TCustomDBGrid (DBGRIDS) (037)
395 Methods of TCustomDBGrid (DBGRIDS) (037)
7 superordinates
106 properties

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl
procedure
WMNCHitTest  (inherited) (var Msg: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TCustomGrid

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl


Methods of TCustomDBGrid (DBGRIDS) (038)
395 Methods of TCustomDBGrid (DBGRIDS) (038)
7 superordinates
106 properties

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl
procedure
WMSetCursor (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private)
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomGrid

procedure
WMSetFocus  (inherited) (var Msg: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomGrid

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl
procedure
WMSize  (inherited) (var Msg: TWMSize); message WM_SIZE ;
(private) , found in TCustomGrid

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl


Methods of TCustomDBGrid (DBGRIDS) (039)
395 Methods of TCustomDBGrid (DBGRIDS) (039)
7 superordinates
106 properties

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMTimer  (inherited) (var Msg: TWMTimer); message WM_TIMER ;
(private) , found in TCustomGrid

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll (var Message: TWMVScroll); message WM_VSCROLL ;
(private)
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl
procedure
WMVScroll  (inherited) (var Msg: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomGrid

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteColWidths  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TCustomDBGrid (DBGRIDS) (040)
395 Methods of TCustomDBGrid (DBGRIDS) (040)
7 superordinates
106 properties

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteRowHeights  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBGrid (DBGRIDS)
395 Methods of TDBGrid (DBGRIDS)
8 superordinates
106 properties

function
AcquireFocus  (inherited) : Boolean ;
(private) , found in TCustomDBGrid

procedure
AdjustSize  (inherited) (Index, Amount: Longint; Rows: Boolean) ;
(protected) dynamic, found in TCustomGrid

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

function
BoxRect  (inherited) (ALeft, ATop, ARight, ABottom: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
BringToFront  (inherited) ;
(public) , found in TControl


Methods of TDBGrid (DBGRIDS) (002)
395 Methods of TDBGrid (DBGRIDS) (002)
8 superordinates
106 properties

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGrid
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomDBGrid
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomGrid

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl
procedure
CMExit  (inherited) (var Message: TMessage); message CM_EXIT ;
(private) , found in TCustomDBGrid


Methods of TDBGrid (DBGRIDS) (003)
395 Methods of TDBGrid (DBGRIDS) (003)
8 superordinates
106 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomDBGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TCustomDBGrid
procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TDBGrid (DBGRIDS) (004)
395 Methods of TDBGrid (DBGRIDS) (004)
8 superordinates
106 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWantSpecialKey  (inherited) (var Msg: TCMWantSpecialKey); message CM_WANTSPECIALKEY ;
(private) , found in TCustomGrid

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl


Methods of TDBGrid (DBGRIDS) (005)
395 Methods of TDBGrid (DBGRIDS) (005)
8 superordinates
106 properties

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CalcCoordFromPoint  (inherited) (X, Y: Integer; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcDrawInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
CalcDrawInfoXY  (inherited) (var DrawInfo: TGridDrawInfo; UseWidth, UseHeight: Integer) ;
(private) , found in TCustomGrid

procedure
CalcFixedInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CalcMaxTopLeft  (inherited) (const Coord: TGridCoord; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcSizingState  (inherited) (X, Y: Integer; var State: TGridState; var Index: Longint; var SizingPos, SizingOfs: Integer; var FixedInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) override, found in TCustomDBGrid
function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) dynamic, found in TCustomGrid


Methods of TDBGrid (DBGRIDS) (006)
395 Methods of TDBGrid (DBGRIDS) (006)
8 superordinates
106 properties

function
CanEditModify  (inherited) : Boolean ;
(protected) override, found in TCustomDBGrid
function
CanEditModify  (inherited) : Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditShow  (inherited) : Boolean ;
(protected) virtual, found in TCustomGrid

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanGridAcceptKey  (inherited) (Key: Word; Shift: TShiftState): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CellRect  (inherited) (ACol, ARow: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
ChangeSize  (inherited) (NewColCount, NewRowCount: Longint) ;
(private) , found in TCustomGrid

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

procedure
ClampInView  (inherited) (const Coord: TGridCoord) ;
(private) , found in TCustomGrid


Methods of TDBGrid (DBGRIDS) (007)
395 Methods of TDBGrid (DBGRIDS) (007)
8 superordinates
106 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ColEnter  (inherited) ;
(protected) dynamic, found in TCustomDBGrid

procedure
ColExit  (inherited) ;
(protected) dynamic, found in TCustomDBGrid

procedure
ColWidthsChanged  (inherited) ;
(protected) override, found in TCustomDBGrid
procedure
ColWidthsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) override, found in TCustomDBGrid
procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid


Methods of TDBGrid (DBGRIDS) (008)
395 Methods of TDBGrid (DBGRIDS) (008)
8 superordinates
106 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomDBGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateEditor  (inherited) : TInplaceEdit ;
(protected) virtual, found in TCustomGrid

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomGrid
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomDBGrid
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DataChanged  (inherited) ;
(private) , found in TCustomDBGrid


Methods of TDBGrid (DBGRIDS) (009)
395 Methods of TDBGrid (DBGRIDS) (009)
8 superordinates
106 properties

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultDrawDataCell  (inherited) (const Rect: TRect; Field: TField; State: TGridDrawState) ;
(public) , found in TCustomDBGrid

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineFieldMap  (inherited) ;
(protected) virtual, found in TCustomDBGrid

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TCustomGrid
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomDBGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TDBGrid (DBGRIDS) (010)
395 Methods of TDBGrid (DBGRIDS) (010)
8 superordinates
106 properties

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) override, found in TCustomGrid
procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl


Methods of TDBGrid (DBGRIDS) (011)
395 Methods of TDBGrid (DBGRIDS) (011)
8 superordinates
106 properties

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) override, found in TCustomDBGrid
procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) virtual/abstract, found in TCustomGrid

procedure
DrawDataCell  (inherited) (const Rect: TRect; Field: TField; State: TGridDrawState) ;
(protected) dynamic, found in TCustomDBGrid

procedure
DrawMove  (inherited) ;
(private) , found in TCustomGrid

procedure
DrawSizingLine  (inherited) (const DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
Edit  (inherited) : Boolean ;
(private) , found in TCustomDBGrid

procedure
EditingChanged  (inherited) ;
(private) , found in TCustomDBGrid

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TDBGrid (DBGRIDS) (012)
395 Methods of TDBGrid (DBGRIDS) (012)
8 superordinates
106 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusCell  (inherited) (ACol, ARow: Longint; MoveAnchor: Boolean) ;
(private) , found in TCustomGrid

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TDBGrid (DBGRIDS) (013)
395 Methods of TDBGrid (DBGRIDS) (013)
8 superordinates
106 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetColField  (inherited) (ACol: Integer): TField ;
(protected) , found in TCustomDBGrid

function
GetColWidths  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent


Methods of TDBGrid (DBGRIDS) (014)
395 Methods of TDBGrid (DBGRIDS) (014)
8 superordinates
106 properties

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataSource  (inherited) : TDataSource ;
(private) , found in TCustomDBGrid

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditLimit  (inherited) : Integer ;
(protected) override, found in TCustomDBGrid
function
GetEditLimit  (inherited) : Integer ;
(protected) dynamic, found in TCustomGrid

function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) override, found in TCustomDBGrid
function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) override, found in TCustomDBGrid
function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetFieldCount  (inherited) : Integer ;
(private) , found in TCustomDBGrid

function
GetFieldValue  (inherited) (ACol: Integer): string ;
(protected) , found in TCustomDBGrid

function
GetFields  (inherited) (Index: Integer): TField ;
(private) , found in TCustomDBGrid


Methods of TDBGrid (DBGRIDS) (015)
395 Methods of TDBGrid (DBGRIDS) (015)
8 superordinates
106 properties

function
GetGridHeight  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetGridWidth  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetRowHeights  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetSelectedField  (inherited) : TField ;
(private) , found in TCustomDBGrid

function
GetSelectedIndex  (inherited) : Integer ;
(private) , found in TCustomDBGrid


Methods of TDBGrid (DBGRIDS) (016)
395 Methods of TDBGrid (DBGRIDS) (016)
8 superordinates
106 properties

function
GetSelection  (inherited) : TGridRect ;
(private) , found in TCustomGrid

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetTabStops  (inherited) (Index: Longint): Boolean ;
(private) , found in TCustomGrid

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetVisibleColCount  (inherited) : Integer ;
(private) , found in TCustomGrid

function
GetVisibleRowCount  (inherited) : Integer ;
(private) , found in TCustomGrid

procedure
GridRectToScreenRect  (inherited) (GridRect: TGridRect; var ScreenRect: TRect; IncludeLine: Boolean) ;
(private) , found in TCustomGrid


Methods of TDBGrid (DBGRIDS) (017)
395 Methods of TDBGrid (DBGRIDS) (017)
8 superordinates
106 properties

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HideEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
HideEditor  (inherited) ;
(protected) , found in TCustomGrid

function
HighlightCell  (inherited) (DataCol, DataRow: Integer; const Value: string; AState: TGridDrawState): Boolean ;
(protected) virtual, found in TCustomDBGrid

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(private) , found in TCustomGrid


Methods of TDBGrid (DBGRIDS) (018)
395 Methods of TDBGrid (DBGRIDS) (018)
8 superordinates
106 properties

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateCell  (inherited) (ACol, ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

procedure
InvalidateGrid  (inherited) ;
(private) , found in TCustomGrid


Methods of TDBGrid (DBGRIDS) (019)
395 Methods of TDBGrid (DBGRIDS) (019)
8 superordinates
106 properties

procedure
InvalidateRect  (inherited) (ARect: TGridRect) ;
(private) , found in TCustomGrid

procedure
InvalidateRow  (inherited) (ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvertRect  (inherited) (const Rect: TRect) ;
(private) , found in TCustomGrid

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomDBGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TDBGrid (DBGRIDS) (020)
395 Methods of TDBGrid (DBGRIDS) (020)
8 superordinates
106 properties

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomDBGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
LayoutChanged  (inherited) ;
(protected) virtual, found in TCustomDBGrid

procedure
LinkActive  (inherited) (Value: Boolean) ;
(protected) virtual, found in TCustomDBGrid

procedure
Loaded  (inherited) ;
(protected) override, found in TCustomDBGrid
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
ModifyScrollBar  (inherited) (ScrollBar, ScrollCode, Pos: Word) ;
(private) , found in TCustomGrid

function
MouseCoord  (inherited) (X, Y: Integer): TGridCoord ;
(protected) , found in TCustomGrid


Methods of TDBGrid (DBGRIDS) (021)
395 Methods of TDBGrid (DBGRIDS) (021)
8 superordinates
106 properties

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomDBGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MoveAnchor  (inherited) (const NewAnchor: TGridCoord) ;
(private) , found in TCustomGrid

procedure
MoveCol  (inherited) (ACol: Integer) ;
(private) , found in TCustomDBGrid

procedure
MoveColRow  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(protected) , found in TCustomGrid

procedure
MoveCurrent  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(private) , found in TCustomGrid

procedure
MoveTopLeft  (inherited) (ALeft, ATop: Longint) ;
(private) , found in TCustomGrid

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TCustomDBGrid
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TDBGrid (DBGRIDS) (022)
395 Methods of TDBGrid (DBGRIDS) (022)
8 superordinates
106 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TCustomGrid
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadColWidths  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TDBGrid (DBGRIDS) (023)
395 Methods of TDBGrid (DBGRIDS) (023)
8 superordinates
106 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadRowHeights  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecordChanged  (inherited) (Field: TField) ;
(private) , found in TCustomDBGrid

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TDBGrid (DBGRIDS) (024)
395 Methods of TDBGrid (DBGRIDS) (024)
8 superordinates
106 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResizeCol  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
ResizeRow  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
RowHeightsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
RowMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl


Methods of TDBGrid (DBGRIDS) (025)
395 Methods of TDBGrid (DBGRIDS) (025)
8 superordinates
106 properties

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
Scroll  (inherited) (Distance: Integer) ;
(protected) virtual, found in TCustomDBGrid

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollData  (inherited) (DX, DY: Integer) ;
(protected) , found in TCustomGrid

procedure
ScrollDataInfo  (inherited) (DX, DY: Integer; var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
SelectCell  (inherited) (ACol, ARow: Longint): Boolean ;
(protected) virtual, found in TCustomGrid

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SelectionMoved  (inherited) (const OldSel: TGridRect) ;
(private) , found in TCustomGrid

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl


Methods of TDBGrid (DBGRIDS) (026)
395 Methods of TDBGrid (DBGRIDS) (026)
8 superordinates
106 properties

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomGrid

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid


Methods of TDBGrid (DBGRIDS) (027)
395 Methods of TDBGrid (DBGRIDS) (027)
8 superordinates
106 properties

procedure
SetColWidths  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumnAttributes  (inherited) ;
(protected) virtual, found in TCustomDBGrid

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataSource  (inherited) (Value: TDataSource) ;
(private) , found in TCustomDBGrid

procedure
SetDefaultColWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDefaultRowHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent


Methods of TDBGrid (DBGRIDS) (028)
395 Methods of TDBGrid (DBGRIDS) (028)
8 superordinates
106 properties

procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) override, found in TCustomDBGrid
procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) dynamic, found in TCustomGrid

procedure
SetEditorMode  (inherited) (Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFixedColor  (inherited) (Value: TColor) ;
(private) , found in TCustomGrid

procedure
SetFixedCols  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFixedRows  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGridLineWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TDBGrid (DBGRIDS) (029)
395 Methods of TDBGrid (DBGRIDS) (029)
8 superordinates
106 properties

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLeftCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOptions  (inherited) (Value: TDBGridOptions) ;
(private) , found in TCustomDBGrid
procedure
SetOptions  (inherited) (Value: TGridOptions) ;
(private) , found in TCustomGrid

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDBGrid (DBGRIDS) (030)
395 Methods of TDBGrid (DBGRIDS) (030)
8 superordinates
106 properties

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowHeights  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetScrollBars  (inherited) (Value: TScrollStyle) ;
(private) , found in TCustomGrid

procedure
SetSelectedField  (inherited) (Value: TField) ;
(private) , found in TCustomDBGrid

procedure
SetSelectedIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomDBGrid

procedure
SetSelection  (inherited) (Value: TGridRect) ;
(private) , found in TCustomGrid

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDBGrid (DBGRIDS) (031)
395 Methods of TDBGrid (DBGRIDS) (031)
8 superordinates
106 properties

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetTabStops  (inherited) (Index: Longint; Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTitleFont  (inherited) (Value: TFont) ;
(private) , found in TCustomDBGrid

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTopRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TDBGrid (DBGRIDS) (032)
395 Methods of TDBGrid (DBGRIDS) (032)
8 superordinates
106 properties

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
ShowEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
ShowEditorChar  (inherited) (Ch: Char) ;
(protected) , found in TCustomGrid

procedure
SizeChanged  (inherited) (OldColCount, OldRowCount: Longint) ;
(protected) dynamic, found in TCustomGrid

function
Sizing  (inherited) (X, Y: Integer): Boolean ;
(protected) , found in TCustomGrid

procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) override, found in TCustomDBGrid
procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) dynamic, found in TCustomGrid

procedure
TitleFontChanged  (inherited) (Sender: TObject) ;
(private) , found in TCustomDBGrid

procedure
TopLeftChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid


Methods of TDBGrid (DBGRIDS) (033)
395 Methods of TDBGrid (DBGRIDS) (033)
8 superordinates
106 properties

procedure
TopLeftMoved  (inherited) (const OldTopLeft: TGridCoord) ;
(private) , found in TCustomGrid

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateActive  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateRowCount  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateScrollBar  (inherited) ;
(private) , found in TCustomDBGrid


Methods of TDBGrid (DBGRIDS) (034)
395 Methods of TDBGrid (DBGRIDS) (034)
8 superordinates
106 properties

procedure
UpdateScrollPos  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateScrollRange  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
UpdateText  (inherited) ;
(private) , found in TCustomGrid

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl
procedure
WMChar  (inherited) (var Msg: TWMChar); message WM_CHAR ;
(private) , found in TCustomGrid

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl


Methods of TDBGrid (DBGRIDS) (035)
395 Methods of TDBGrid (DBGRIDS) (035)
8 superordinates
106 properties

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TCustomGrid
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode  (inherited) (var Msg: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomGrid

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl
procedure
WMHScroll  (inherited) (var Msg: TWMHScroll); message WM_HSCROLL ;
(private) , found in TCustomGrid


Methods of TDBGrid (DBGRIDS) (036)
395 Methods of TDBGrid (DBGRIDS) (036)
8 superordinates
106 properties

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Msg: TWMKillFocus); message WM_KILLFOCUS ;
(private) , found in TCustomGrid

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TMessage); message WM_LBUTTONDOWN ;
(private) , found in TCustomGrid
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl


Methods of TDBGrid (DBGRIDS) (037)
395 Methods of TDBGrid (DBGRIDS) (037)
8 superordinates
106 properties

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl
procedure
WMNCHitTest  (inherited) (var Msg: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TCustomGrid

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl


Methods of TDBGrid (DBGRIDS) (038)
395 Methods of TDBGrid (DBGRIDS) (038)
8 superordinates
106 properties

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomDBGrid
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomGrid

procedure
WMSetFocus  (inherited) (var Msg: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomGrid

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomDBGrid
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl
procedure
WMSize  (inherited) (var Msg: TWMSize); message WM_SIZE ;
(private) , found in TCustomGrid

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl


Methods of TDBGrid (DBGRIDS) (039)
395 Methods of TDBGrid (DBGRIDS) (039)
8 superordinates
106 properties

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMTimer  (inherited) (var Msg: TWMTimer); message WM_TIMER ;
(private) , found in TCustomGrid

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomDBGrid
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl
procedure
WMVScroll  (inherited) (var Msg: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomGrid

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteColWidths  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TDBGrid (DBGRIDS) (040)
395 Methods of TDBGrid (DBGRIDS) (040)
8 superordinates
106 properties

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteRowHeights  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TLoginDialog (DBLOGDLG)
351 Methods of TLoginDialog (DBLOGDLG)
7 superordinates
124 properties

procedure
Activate  (inherited) ;
(protected) dynamic, found in TForm

procedure
ActiveChanged  (inherited) ;
(protected) dynamic, found in TForm

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var ARect: TRect) ;
(protected) override, found in TScrollingWinControl
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(private) override, found in TForm
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrangeIcons  (inherited) ;
(public) , found in TForm

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AutoScrollInView  (inherited) (AControl: TControl) ;
(protected) , found in TScrollingWinControl

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl


Methods of TLoginDialog (DBLOGDLG) (002)
351 Methods of TLoginDialog (DBLOGDLG) (002)
7 superordinates
124 properties

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMActivate  (inherited) (var Message: TCMActivate); message CM_ACTIVATE ;
(private) , found in TForm

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TForm
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TForm
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDeactivate  (inherited) (var Message: TCMDeactivate); message CM_DEACTIVATE ;
(private) , found in TForm

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TForm
procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl


Methods of TLoginDialog (DBLOGDLG) (003)
351 Methods of TLoginDialog (DBLOGDLG) (003)
7 superordinates
124 properties

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TForm
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMIconChanged  (inherited) (var Message: TMessage); message CM_ICONCHANGED ;
(private) , found in TForm

procedure
CMMenuChanged  (inherited) (var Message: TMessage); message CM_MENUCHANGED ;
(private) , found in TForm

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl


Methods of TLoginDialog (DBLOGDLG) (004)
351 Methods of TLoginDialog (DBLOGDLG) (004)
7 superordinates
124 properties

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMRelease  (inherited) (var Message: TMessage); message CM_RELEASE ;
(private) , found in TForm

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TForm
procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TForm


Methods of TLoginDialog (DBLOGDLG) (005)
351 Methods of TLoginDialog (DBLOGDLG) (005)
7 superordinates
124 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
CalcAutoRange  (inherited) ;
(private) , found in TScrollingWinControl


Methods of TLoginDialog (DBLOGDLG) (006)
351 Methods of TLoginDialog (DBLOGDLG) (006)
7 superordinates
124 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Cascade  (inherited) ;
(public) , found in TForm

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TForm
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TScrollingWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl


Methods of TLoginDialog (DBLOGDLG) (007)
351 Methods of TLoginDialog (DBLOGDLG) (007)
7 superordinates
124 properties

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ClientWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TForm

procedure
Close  (inherited) ;
(public) , found in TForm

procedure
CloseModal  (inherited) ;
(private) , found in TForm

function
CloseQuery  (inherited) : Boolean ;
(public) , found in TForm

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TForm
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TScrollingWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

constructor
CreateNew  (inherited) (AOwner: TComponent) ;
(public) , found in TForm


Methods of TLoginDialog (DBLOGDLG) (008)
351 Methods of TLoginDialog (DBLOGDLG) (008)
7 superordinates
124 properties

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TForm
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) override, found in TForm
procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TForm
procedure
CreateWnd  (inherited) ;
(protected) override, found in TScrollingWinControl
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
Deactivate  (inherited) ;
(protected) dynamic, found in TForm

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TForm
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TForm
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DefocusControl  (inherited) (Control: TWinControl; Removing: Boolean) ;
(public) , found in TForm

destructor
Destroy  (inherited) ;
(public) override, found in TForm
destructor
Destroy  (inherited) ;
(public) override, found in TScrollingWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TLoginDialog (DBLOGDLG) (009)
351 Methods of TLoginDialog (DBLOGDLG) (009)
7 superordinates
124 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) override, found in TForm
procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoHide  (inherited) ;
(protected) dynamic, found in TForm


Methods of TLoginDialog (DBLOGDLG) (010)
351 Methods of TLoginDialog (DBLOGDLG) (010)
7 superordinates
124 properties

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DoShow  (inherited) ;
(protected) dynamic, found in TForm

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TLoginDialog (DBLOGDLG) (011)
351 Methods of TLoginDialog (DBLOGDLG) (011)
7 superordinates
124 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusControl  (inherited) (Control: TWinControl) ;
(public) , found in TForm

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TLoginDialog (DBLOGDLG) (012)
351 Methods of TLoginDialog (DBLOGDLG) (012)
7 superordinates
124 properties

function
GetActiveMDIChild  (inherited) : TForm ;
(private) , found in TForm

function
GetBorderSize  (inherited) (Height: Boolean): Integer ;
(private) , found in TForm

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetCanvas  (inherited) : TCanvas ;
(private) , found in TForm

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TForm
function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent


Methods of TLoginDialog (DBLOGDLG) (013)
351 Methods of TLoginDialog (DBLOGDLG) (013)
7 superordinates
124 properties

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetFormImage  (inherited) : TBitmap ;
(public) , found in TForm

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetIconHandle  (inherited) : HICON ;
(private) , found in TForm

function
GetMDIChildCount  (inherited) : Integer ;
(private) , found in TForm

function
GetMDIChildren  (inherited) (I: Integer): TForm ;
(private) , found in TForm


Methods of TLoginDialog (DBLOGDLG) (014)
351 Methods of TLoginDialog (DBLOGDLG) (014)
7 superordinates
124 properties

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPixelsPerInch  (inherited) : Integer ;
(private) , found in TForm

function
GetScaled  (inherited) : Boolean ;
(private) , found in TForm

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextHeight  (inherited) : Integer ;
(private) , found in TForm


Methods of TLoginDialog (DBLOGDLG) (015)
351 Methods of TLoginDialog (DBLOGDLG) (015)
7 superordinates
124 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TForm
procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
IconChanged  (inherited) (Sender: TObject) ;
(private) , found in TForm

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TLoginDialog (DBLOGDLG) (016)
351 Methods of TLoginDialog (DBLOGDLG) (016)
7 superordinates
124 properties

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsAutoScrollStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsClientSizeStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TForm
function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl


Methods of TLoginDialog (DBLOGDLG) (017)
351 Methods of TLoginDialog (DBLOGDLG) (017)
7 superordinates
124 properties

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsForm  (inherited) : Boolean ;
(private) , found in TForm

function
IsFormSizeStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsIconStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TLoginDialog (DBLOGDLG) (018)
351 Methods of TLoginDialog (DBLOGDLG) (018)
7 superordinates
124 properties

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MergeMenu  (inherited) (MergeState: Boolean) ;
(private) , found in TForm

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Next  (inherited) ;
(public) , found in TForm

function
NormalColor  (inherited) : TColor ;
(private) , found in TForm


Methods of TLoginDialog (DBLOGDLG) (019)
351 Methods of TLoginDialog (DBLOGDLG) (019)
7 superordinates
124 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TForm
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) dynamic, found in TForm

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TForm
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
Previous  (inherited) ;
(public) , found in TForm


Methods of TLoginDialog (DBLOGDLG) (020)
351 Methods of TLoginDialog (DBLOGDLG) (020)
7 superordinates
124 properties

procedure
Print  (inherited) ;
(public) , found in TForm

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TForm
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTextHeight  (inherited) (Reader: TReader) ;
(private) , found in TForm

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
RefreshMDIMenu  (inherited) ;
(private) , found in TForm


Methods of TLoginDialog (DBLOGDLG) (021)
351 Methods of TLoginDialog (DBLOGDLG) (021)
7 superordinates
124 properties

procedure
Release  (inherited) ;
(public) , found in TForm

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Resize  (inherited) ;
(protected) dynamic, found in TForm

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl


Methods of TLoginDialog (DBLOGDLG) (022)
351 Methods of TLoginDialog (DBLOGDLG) (022)
7 superordinates
124 properties

procedure
ScaleScrollBars  (inherited) (M, D: Integer) ;
(private) , found in TScrollingWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollInView  (inherited) (AControl: TControl) ;
(public) , found in TScrollingWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(public) , found in TForm
procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetActiveControl  (inherited) (Control: TWinControl) ;
(private) , found in TForm

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl


Methods of TLoginDialog (DBLOGDLG) (023)
351 Methods of TLoginDialog (DBLOGDLG) (023)
7 superordinates
124 properties

procedure
SetAutoScroll  (inherited) (Value: Boolean) ;
(private) , found in TScrollingWinControl

procedure
SetBorderIcons  (inherited) (Value: TBorderIcons) ;
(private) , found in TForm

procedure
SetBorderStyle  (inherited) (Value: TFormBorderStyle) ;
(private) , found in TForm

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TForm
procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TForm
procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TLoginDialog (DBLOGDLG) (024)
351 Methods of TLoginDialog (DBLOGDLG) (024)
7 superordinates
124 properties

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigner  (inherited) (ADesigner: TDesigner) ;
(private) , found in TForm

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) override, found in TForm
procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

function
SetFocusedControl  (inherited) (Control: TWinControl): Boolean ;
(public) , found in TForm

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetFormStyle  (inherited) (Value: TFormStyle) ;
(private) , found in TForm

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TLoginDialog (DBLOGDLG) (025)
351 Methods of TLoginDialog (DBLOGDLG) (025)
7 superordinates
124 properties

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetHorzScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetIcon  (inherited) (Value: TIcon) ;
(private) , found in TForm

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMenu  (inherited) (Value: TMainMenu) ;
(private) , found in TForm

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TForm
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetObjectMenuItem  (inherited) (Value: TMenuItem) ;
(private) , found in TForm

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TLoginDialog (DBLOGDLG) (026)
351 Methods of TLoginDialog (DBLOGDLG) (026)
7 superordinates
124 properties

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPixelsPerInch  (inherited) (Value: Integer) ;
(private) , found in TForm

procedure
SetPosition  (inherited) (Value: TPosition) ;
(private) , found in TForm

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetScaled  (inherited) (Value: Boolean) ;
(private) , found in TForm

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TLoginDialog (DBLOGDLG) (027)
351 Methods of TLoginDialog (DBLOGDLG) (027)
7 superordinates
124 properties

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVertScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TForm
procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWindowFocus  (inherited) ;
(private) , found in TForm

procedure
SetWindowMenu  (inherited) (Value: TMenuItem) ;
(private) , found in TForm

procedure
SetWindowState  (inherited) (Value: TWindowState) ;
(private) , found in TForm

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl


Methods of TLoginDialog (DBLOGDLG) (028)
351 Methods of TLoginDialog (DBLOGDLG) (028)
7 superordinates
124 properties

procedure
Show  (inherited) ;
(public) , found in TForm
procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

function
ShowModal  (inherited) : Integer ;
(public) , found in TForm

procedure
Tile  (inherited) ;
(public) , found in TForm

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateScrollBars  (inherited) ;
(private) , found in TScrollingWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl


Methods of TLoginDialog (DBLOGDLG) (029)
351 Methods of TLoginDialog (DBLOGDLG) (029)
7 superordinates
124 properties

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) override, found in TForm
procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) override, found in TForm
procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMActivate  (inherited) (var Message: TWMActivate); message WM_ACTIVATE ;
(private) , found in TForm

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMClose  (inherited) (var Message: TWMClose); message WM_CLOSE ;
(private) , found in TForm

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TForm
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl


Methods of TLoginDialog (DBLOGDLG) (030)
351 Methods of TLoginDialog (DBLOGDLG) (030)
7 superordinates
124 properties

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TForm
procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEnterIdle  (inherited) (var Message: TWMEnterIdle); message WM_ENTERIDLE ;
(private) , found in TForm

procedure
WMEnterMenuLoop  (inherited) (var Message: TMessage); message WM_ENTERMENULOOP ;
(private) , found in TForm

procedure
WMEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TForm
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMIconEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ICONERASEBKGND ;
(private) , found in TForm


Methods of TLoginDialog (DBLOGDLG) (031)
351 Methods of TLoginDialog (DBLOGDLG) (031)
7 superordinates
124 properties

procedure
WMInitMenuPopup  (inherited) (var Message: TWMInitMenuPopup); message WM_INITMENUPOPUP ;
(private) , found in TForm

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Message: TWMSetFocus); message WM_KILLFOCUS ;
(private) , found in TForm

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl


Methods of TLoginDialog (DBLOGDLG) (032)
351 Methods of TLoginDialog (DBLOGDLG) (032)
7 superordinates
124 properties

procedure
WMMDIAtivate  (inherited) (var Message: TWMMDIActivate); message WM_MDIACTIVATE ;
(private) , found in TForm

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMenuSelect  (inherited) (var Message: TWMMenuSelect); message WM_MENUSELECT ;
(private) , found in TForm

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCCreate  (inherited) (var Message: TWMNCCreate); message WM_NCCREATE ;
(private) , found in TForm

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl


Methods of TLoginDialog (DBLOGDLG) (033)
351 Methods of TLoginDialog (DBLOGDLG) (033)
7 superordinates
124 properties

procedure
WMNextDlgCtl  (inherited) (var Message: TWMNextDlgCtl); message WM_NEXTDLGCTL ;
(private) , found in TForm

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TForm
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TForm
procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryDragIcon  (inherited) (var Message: TWMQueryDragIcon); message WM_QUERYDRAGICON ;
(private) , found in TForm

procedure
WMQueryEndSession  (inherited) (var Message: TWMQueryEndSession); message WM_QUERYENDSESSION ;
(private) , found in TForm

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl


Methods of TLoginDialog (DBLOGDLG) (034)
351 Methods of TLoginDialog (DBLOGDLG) (034)
7 superordinates
124 properties

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus  (inherited) (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TForm

procedure
WMShowWindow  (inherited) (var Message: TWMShowWindow); message WM_SHOWWINDOW ;
(private) , found in TForm

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TForm
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TScrollingWinControl
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TForm
procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl


Methods of TLoginDialog (DBLOGDLG) (035)
351 Methods of TLoginDialog (DBLOGDLG) (035)
7 superordinates
124 properties

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TForm
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTextHeight  (inherited) (Writer: TWriter) ;
(private) , found in TForm


Methods of TLoginDialog (DBLOGDLG) (036)
351 Methods of TLoginDialog (DBLOGDLG) (036)
7 superordinates
124 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBLookupCombo (DBLOOKUP)
329 Methods of TDBLookupCombo (DBLOOKUP)
6 superordinates
92 properties

procedure
AdjustHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMCancelMode (var Message: TCMCancelMode); message CM_CANCELMODE ;
(private)


Methods of TDBLookupCombo (DBLOOKUP) (002)
329 Methods of TDBLookupCombo (DBLOOKUP) (002)
6 superordinates
92 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private)
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl
procedure
CMEnter (var Message: TCMGotFocus); message CM_ENTER ;
(private)
procedure
CMEnter  (inherited) (var Message: TCMGotFocus); message CM_ENTER ;
(private) , found in TCustomEdit

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (003)
329 Methods of TDBLookupCombo (DBLOOKUP) (003)
6 superordinates
92 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomEdit
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (004)
329 Methods of TDBLookupCombo (DBLOOKUP) (004)
6 superordinates
92 properties

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomEdit

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomEdit

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (005)
329 Methods of TDBLookupCombo (DBLOOKUP) (005)
6 superordinates
92 properties

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanEdit : Boolean ;
(private)

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) override
procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomEdit

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TDBLookupCombo (DBLOOKUP) (006)
329 Methods of TDBLookupCombo (DBLOOKUP) (006)
6 superordinates
92 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomEdit

procedure
ClearSelection  (inherited) ;
(public) , found in TCustomEdit

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
CloseUp ;
(public) dynamic

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (007)
329 Methods of TDBLookupCombo (DBLOOKUP) (007)
6 superordinates
92 properties

procedure
CopyToClipboard  (inherited) ;
(public) , found in TCustomEdit

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomEdit
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomEdit
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CutToClipboard  (inherited) ;
(public) , found in TCustomEdit

procedure
DataChange (Sender: TObject) ;
(private)

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl


Methods of TDBLookupCombo (DBLOOKUP) (008)
329 Methods of TDBLookupCombo (DBLOOKUP) (008)
6 superordinates
92 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TDBLookupCombo (DBLOOKUP) (009)
329 Methods of TDBLookupCombo (DBLOOKUP) (009)
6 superordinates
92 properties

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DoSelectAll ;
(private)

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl


Methods of TDBLookupCombo (DBLOOKUP) (010)
329 Methods of TDBLookupCombo (DBLOOKUP) (010)
6 superordinates
92 properties

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DropDown ;
(public) dynamic

function
Editable : Boolean ;
(private)

procedure
EditingChange (Sender: TObject) ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
FieldLinkActive (Sender: TObject) ;
(private)

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (011)
329 Methods of TDBLookupCombo (DBLOOKUP) (011)
6 superordinates
92 properties

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl


Methods of TDBLookupCombo (DBLOOKUP) (012)
329 Methods of TDBLookupCombo (DBLOOKUP) (012)
6 superordinates
92 properties

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataField : string ;
(private)

function
GetDataSource : TDataSource ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetDisplayValue : string ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (013)
329 Methods of TDBLookupCombo (DBLOOKUP) (013)
6 superordinates
92 properties

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetLookupDisplay : string ;
(private)

function
GetLookupField : string ;
(private)

function
GetLookupSource : TDataSource ;
(private)

function
GetMinHeight : Integer ;
(private)

function
GetModified  (inherited) : Boolean ;
(private) , found in TCustomEdit

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetOptions : TDBLookupListOptions ;
(private)

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl


Methods of TDBLookupCombo (DBLOOKUP) (014)
329 Methods of TDBLookupCombo (DBLOOKUP) (014)
6 superordinates
92 properties

function
GetReadOnly : Boolean ;
(private)

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelText  (inherited) : String ;
(private) , found in TCustomEdit

function
GetSelTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TCustomEdit

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TDBLookupCombo (DBLOOKUP) (015)
329 Methods of TDBLookupCombo (DBLOOKUP) (015)
6 superordinates
92 properties

function
GetValue : string ;
(private)

procedure
GridClick (Sender: TObject) ;
(protected)

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TDBLookupCombo (DBLOOKUP) (016)
329 Methods of TDBLookupCombo (DBLOOKUP) (016)
6 superordinates
92 properties

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (017)
329 Methods of TDBLookupCombo (DBLOOKUP) (017)
6 superordinates
92 properties

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded ;
(protected) override
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove (Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TDBLookupCombo (DBLOOKUP) (018)
329 Methods of TDBLookupCombo (DBLOOKUP) (018)
6 superordinates
92 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
NonEditMouseDown (var Message: TWMLButtonDown) ;
(private)

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard  (inherited) ;
(public) , found in TCustomEdit


Methods of TDBLookupCombo (DBLOOKUP) (019)
329 Methods of TDBLookupCombo (DBLOOKUP) (019)
6 superordinates
92 properties

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (020)
329 Methods of TDBLookupCombo (DBLOOKUP) (020)
6 superordinates
92 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomEdit


Methods of TDBLookupCombo (DBLOOKUP) (021)
329 Methods of TDBLookupCombo (DBLOOKUP) (021)
6 superordinates
92 properties

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomEdit

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCharCase  (inherited) (Value: TEditCharCase) ;
(private) , found in TCustomEdit


Methods of TDBLookupCombo (DBLOOKUP) (022)
329 Methods of TDBLookupCombo (DBLOOKUP) (022)
6 superordinates
92 properties

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataField (const Value: string) ;
(private)

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent


Methods of TDBLookupCombo (DBLOOKUP) (023)
329 Methods of TDBLookupCombo (DBLOOKUP) (023)
6 superordinates
92 properties

procedure
SetDisplayValue (const NewValue: string) ;
(private)

procedure
SetEditRect ;
(private)

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHideSelection  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLookupDisplay (const Value: string) ;
(private)


Methods of TDBLookupCombo (DBLOOKUP) (024)
329 Methods of TDBLookupCombo (DBLOOKUP) (024)
6 superordinates
92 properties

procedure
SetLookupField (const Value: string) ;
(private)

procedure
SetLookupSource (Value: TDataSource) ;
(private)

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOEMConvert  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetOptions (Value: TDBLookupListOptions) ;
(private)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDBLookupCombo (DBLOOKUP) (025)
329 Methods of TDBLookupCombo (DBLOOKUP) (025)
6 superordinates
92 properties

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPasswordChar  (inherited) (Value: Char) ;
(private) , found in TCustomEdit

procedure
SetReadOnly (Value: Boolean) ;
(private)
procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomEdit

procedure
SetSelTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TCustomEdit


Methods of TDBLookupCombo (DBLOOKUP) (026)
329 Methods of TDBLookupCombo (DBLOOKUP) (026)
6 superordinates
92 properties

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetStyle (Value: TDBLookupComboStyle) ;
(private)

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetValue (const NewValue: string) ;
(private)

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TDBLookupCombo (DBLOOKUP) (027)
329 Methods of TDBLookupCombo (DBLOOKUP) (027)
6 superordinates
92 properties

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData (Sender: TObject) ;
(private)

procedure
UpdateHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (028)
329 Methods of TDBLookupCombo (DBLOOKUP) (028)
6 superordinates
92 properties

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMCut (var Message: TMessage); message WM_CUT ;
(private)


Methods of TDBLookupCombo (DBLOOKUP) (029)
329 Methods of TDBLookupCombo (DBLOOKUP) (029)
6 superordinates
92 properties

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus (var Message: TWMKillFocus); message WM_KILLFOCUS ;
(private)

procedure
WMLButtonDblClk (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private)
procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl


Methods of TDBLookupCombo (DBLOOKUP) (030)
329 Methods of TDBLookupCombo (DBLOOKUP) (030)
6 superordinates
92 properties

procedure
WMLButtonDown (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private)
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private)
procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (031)
329 Methods of TDBLookupCombo (DBLOOKUP) (031)
6 superordinates
92 properties

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint (var Message: TWMPaint); message WM_PAINT ;
(private)
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMPaste (var Message: TMessage); message WM_PASTE ;
(private)

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl


Methods of TDBLookupCombo (DBLOOKUP) (032)
329 Methods of TDBLookupCombo (DBLOOKUP) (032)
6 superordinates
92 properties

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private)

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl


Methods of TDBLookupCombo (DBLOOKUP) (033)
329 Methods of TDBLookupCombo (DBLOOKUP) (033)
6 superordinates
92 properties

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDBLookupList (DBLOOKUP)
417 Methods of TDBLookupList (DBLOOKUP)
8 superordinates
112 properties

function
AcquireFocus  (inherited) : Boolean ;
(private) , found in TCustomDBGrid

procedure
AdjustSize  (inherited) (Index, Amount: Longint; Rows: Boolean) ;
(protected) dynamic, found in TCustomGrid

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

function
BoxRect  (inherited) (ALeft, ATop, ARight, ABottom: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
BringToFront  (inherited) ;
(public) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (002)
417 Methods of TDBLookupList (DBLOOKUP) (002)
8 superordinates
112 properties

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGrid
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomDBGrid
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomGrid

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter (var Message: TCMEnter); message CM_ENTER ;
(private)
procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl
procedure
CMExit  (inherited) (var Message: TMessage); message CM_EXIT ;
(private) , found in TCustomDBGrid


Methods of TDBLookupList (DBLOOKUP) (003)
417 Methods of TDBLookupList (DBLOOKUP) (003)
8 superordinates
112 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomDBGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TCustomDBGrid
procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (004)
417 Methods of TDBLookupList (DBLOOKUP) (004)
8 superordinates
112 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWantSpecialKey  (inherited) (var Msg: TCMWantSpecialKey); message CM_WANTSPECIALKEY ;
(private) , found in TCustomGrid

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (005)
417 Methods of TDBLookupList (DBLOOKUP) (005)
8 superordinates
112 properties

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CalcCoordFromPoint  (inherited) (X, Y: Integer; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcDrawInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
CalcDrawInfoXY  (inherited) (var DrawInfo: TGridDrawInfo; UseWidth, UseHeight: Integer) ;
(private) , found in TCustomGrid

procedure
CalcFixedInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CalcMaxTopLeft  (inherited) (const Coord: TGridCoord; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcSizingState  (inherited) (X, Y: Integer; var State: TGridState; var Index: Longint; var SizingPos, SizingOfs: Integer; var FixedInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CanEdit : Boolean ;
(protected) virtual


Methods of TDBLookupList (DBLOOKUP) (006)
417 Methods of TDBLookupList (DBLOOKUP) (006)
8 superordinates
112 properties

function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) override, found in TCustomDBGrid
function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditModify  (inherited) : Boolean ;
(protected) override, found in TCustomDBGrid
function
CanEditModify  (inherited) : Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditShow  (inherited) : Boolean ;
(protected) virtual, found in TCustomGrid

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanGridAcceptKey (Key: Word; Shift: TShiftState): Boolean ;
(protected) override
function
CanGridAcceptKey  (inherited) (Key: Word; Shift: TShiftState): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CellRect  (inherited) (ACol, ARow: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
ChangeSize  (inherited) (NewColCount, NewRowCount: Longint) ;
(private) , found in TCustomGrid

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (007)
417 Methods of TDBLookupList (DBLOOKUP) (007)
8 superordinates
112 properties

procedure
ClampInView  (inherited) (const Coord: TGridCoord) ;
(private) , found in TCustomGrid

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ColEnter  (inherited) ;
(protected) dynamic, found in TCustomDBGrid

procedure
ColExit  (inherited) ;
(protected) dynamic, found in TCustomDBGrid

procedure
ColWidthsChanged  (inherited) ;
(protected) override, found in TCustomDBGrid
procedure
ColWidthsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid


Methods of TDBLookupList (DBLOOKUP) (008)
417 Methods of TDBLookupList (DBLOOKUP) (008)
8 superordinates
112 properties

procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) override, found in TCustomDBGrid
procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomDBGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateEditor  (inherited) : TInplaceEdit ;
(protected) virtual, found in TCustomGrid

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomGrid
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomDBGrid
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (009)
417 Methods of TDBLookupList (DBLOOKUP) (009)
8 superordinates
112 properties

procedure
DataChange (Sender: TObject) ;
(private)

procedure
DataChanged  (inherited) ;
(private) , found in TCustomDBGrid

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultDrawDataCell  (inherited) (const Rect: TRect; Field: TField; State: TGridDrawState) ;
(public) , found in TCustomDBGrid

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineFieldMap ;
(protected) override
procedure
DefineFieldMap  (inherited) ;
(protected) virtual, found in TCustomDBGrid

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TCustomGrid
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomDBGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (010)
417 Methods of TDBLookupList (DBLOOKUP) (010)
8 superordinates
112 properties

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) override, found in TCustomGrid
procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (011)
417 Methods of TDBLookupList (DBLOOKUP) (011)
8 superordinates
112 properties

procedure
DoLookup ;
(private)

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) override, found in TCustomDBGrid
procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) virtual/abstract, found in TCustomGrid

procedure
DrawDataCell  (inherited) (const Rect: TRect; Field: TField; State: TGridDrawState) ;
(protected) dynamic, found in TCustomDBGrid

procedure
DrawMove  (inherited) ;
(private) , found in TCustomGrid

procedure
DrawSizingLine  (inherited) (const DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid


Methods of TDBLookupList (DBLOOKUP) (012)
417 Methods of TDBLookupList (DBLOOKUP) (012)
8 superordinates
112 properties

function
Edit  (inherited) : Boolean ;
(private) , found in TCustomDBGrid

procedure
EditingChange (Sender: TObject) ;
(private)

procedure
EditingChanged  (inherited) ;
(private) , found in TCustomDBGrid

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
FieldLinkActive (Sender: TObject) ;
(private)

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (013)
417 Methods of TDBLookupList (DBLOOKUP) (013)
8 superordinates
112 properties

procedure
FocusCell  (inherited) (ACol, ARow: Longint; MoveAnchor: Boolean) ;
(private) , found in TCustomGrid

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (014)
417 Methods of TDBLookupList (DBLOOKUP) (014)
8 superordinates
112 properties

function
GetColField  (inherited) (ACol: Integer): TField ;
(protected) , found in TCustomDBGrid

function
GetColWidths  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataField : string ;
(private)

function
GetDataSource : TDataSource ;
(private)
function
GetDataSource  (inherited) : TDataSource ;
(private) , found in TCustomDBGrid

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TDBLookupList (DBLOOKUP) (015)
417 Methods of TDBLookupList (DBLOOKUP) (015)
8 superordinates
112 properties

function
GetDisplayValue : string ;
(private)

function
GetEditLimit  (inherited) : Integer ;
(protected) override, found in TCustomDBGrid
function
GetEditLimit  (inherited) : Integer ;
(protected) dynamic, found in TCustomGrid

function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) override, found in TCustomDBGrid
function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) override, found in TCustomDBGrid
function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetFieldCount  (inherited) : Integer ;
(private) , found in TCustomDBGrid

function
GetFieldValue  (inherited) (ACol: Integer): string ;
(protected) , found in TCustomDBGrid

function
GetFields  (inherited) (Index: Integer): TField ;
(private) , found in TCustomDBGrid

function
GetGridHeight  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetGridWidth  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (016)
417 Methods of TDBLookupList (DBLOOKUP) (016)
8 superordinates
112 properties

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetLookupDisplay : string ;
(private)

function
GetLookupField : string ;
(private)

function
GetLookupSource : TDataSource ;
(private)

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetReadOnly : Boolean ;
(private)

function
GetRowHeights  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetSelectedField  (inherited) : TField ;
(private) , found in TCustomDBGrid


Methods of TDBLookupList (DBLOOKUP) (017)
417 Methods of TDBLookupList (DBLOOKUP) (017)
8 superordinates
112 properties

function
GetSelectedIndex  (inherited) : Integer ;
(private) , found in TCustomDBGrid

function
GetSelection  (inherited) : TGridRect ;
(private) , found in TCustomGrid

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetTabStops  (inherited) (Index: Longint): Boolean ;
(private) , found in TCustomGrid

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetValue : string ;
(private)

function
GetVisibleColCount  (inherited) : Integer ;
(private) , found in TCustomGrid


Methods of TDBLookupList (DBLOOKUP) (018)
417 Methods of TDBLookupList (DBLOOKUP) (018)
8 superordinates
112 properties

function
GetVisibleRowCount  (inherited) : Integer ;
(private) , found in TCustomGrid

procedure
GridRectToScreenRect  (inherited) (GridRect: TGridRect; var ScreenRect: TRect; IncludeLine: Boolean) ;
(private) , found in TCustomGrid

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HideEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
HideEditor  (inherited) ;
(protected) , found in TCustomGrid

function
HighlightCell (DataCol, DataRow: Integer; const Value: string; AState: TGridDrawState): Boolean ;
(protected) override
function
HighlightCell  (inherited) (DataCol, DataRow: Integer; const Value: string; AState: TGridDrawState): Boolean ;
(protected) virtual, found in TCustomDBGrid

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TDBLookupList (DBLOOKUP) (019)
417 Methods of TDBLookupList (DBLOOKUP) (019)
8 superordinates
112 properties

procedure
InitFields (ShowError: Boolean) ;
(protected)

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(private) , found in TCustomGrid

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateCell  (inherited) (ACol, ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (020)
417 Methods of TDBLookupList (DBLOOKUP) (020)
8 superordinates
112 properties

procedure
InvalidateEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

procedure
InvalidateGrid  (inherited) ;
(private) , found in TCustomGrid

procedure
InvalidateRect  (inherited) (ARect: TGridRect) ;
(private) , found in TCustomGrid

procedure
InvalidateRow  (inherited) (ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvertRect  (inherited) (const Rect: TRect) ;
(private) , found in TCustomGrid

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (021)
417 Methods of TDBLookupList (DBLOOKUP) (021)
8 superordinates
112 properties

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomDBGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomDBGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
LayoutChanged  (inherited) ;
(protected) virtual, found in TCustomDBGrid

procedure
LinkActive (Value: Boolean) ;
(protected) override
procedure
LinkActive  (inherited) (Value: Boolean) ;
(protected) virtual, found in TCustomDBGrid

procedure
ListClick ;
(protected) dynamic

procedure
Loaded ;
(protected) override
procedure
Loaded  (inherited) ;
(protected) override, found in TCustomDBGrid
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (022)
417 Methods of TDBLookupList (DBLOOKUP) (022)
8 superordinates
112 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
ModifyScrollBar  (inherited) (ScrollBar, ScrollCode, Pos: Word) ;
(private) , found in TCustomGrid

function
MouseCoord  (inherited) (X, Y: Integer): TGridCoord ;
(protected) , found in TCustomGrid

procedure
MouseDown (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomDBGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove (Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MoveAnchor  (inherited) (const NewAnchor: TGridCoord) ;
(private) , found in TCustomGrid

procedure
MoveCol  (inherited) (ACol: Integer) ;
(private) , found in TCustomDBGrid

procedure
MoveColRow  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(protected) , found in TCustomGrid


Methods of TDBLookupList (DBLOOKUP) (023)
417 Methods of TDBLookupList (DBLOOKUP) (023)
8 superordinates
112 properties

procedure
MoveCurrent  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(private) , found in TCustomGrid

procedure
MoveTopLeft  (inherited) (ALeft, ATop: Longint) ;
(private) , found in TCustomGrid

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
NewLayout ;
(private)

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TCustomDBGrid
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) override, found in TCustomGrid
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (024)
417 Methods of TDBLookupList (DBLOOKUP) (024)
8 superordinates
112 properties

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadColWidths  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadRowHeights  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (025)
417 Methods of TDBLookupList (DBLOOKUP) (025)
8 superordinates
112 properties

procedure
RecordChanged  (inherited) (Field: TField) ;
(private) , found in TCustomDBGrid

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResizeCol  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid


Methods of TDBLookupList (DBLOOKUP) (026)
417 Methods of TDBLookupList (DBLOOKUP) (026)
8 superordinates
112 properties

procedure
ResizeRow  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
RowHeightsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
RowMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
Scroll (Distance: Integer) ;
(protected) override
procedure
Scroll  (inherited) (Distance: Integer) ;
(protected) virtual, found in TCustomDBGrid

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollData  (inherited) (DX, DY: Integer) ;
(protected) , found in TCustomGrid

procedure
ScrollDataInfo  (inherited) (DX, DY: Integer; var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid


Methods of TDBLookupList (DBLOOKUP) (027)
417 Methods of TDBLookupList (DBLOOKUP) (027)
8 superordinates
112 properties

function
SelectCell  (inherited) (ACol, ARow: Longint): Boolean ;
(protected) virtual, found in TCustomGrid

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SelectionMoved  (inherited) (const OldSel: TGridRect) ;
(private) , found in TCustomGrid

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomGrid

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (028)
417 Methods of TDBLookupList (DBLOOKUP) (028)
8 superordinates
112 properties

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColWidths  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumnAttributes ;
(protected) override
procedure
SetColumnAttributes  (inherited) ;
(protected) virtual, found in TCustomDBGrid

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (029)
417 Methods of TDBLookupList (DBLOOKUP) (029)
8 superordinates
112 properties

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataField (const Value: string) ;
(private)

procedure
SetDataSource (Value: TDataSource) ;
(private)
procedure
SetDataSource  (inherited) (Value: TDataSource) ;
(private) , found in TCustomDBGrid

procedure
SetDefaultColWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDefaultRowHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayValue (const Value: string) ;
(private)

procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) override, found in TCustomDBGrid
procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) dynamic, found in TCustomGrid

procedure
SetEditorMode  (inherited) (Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (030)
417 Methods of TDBLookupList (DBLOOKUP) (030)
8 superordinates
112 properties

procedure
SetFixedColor  (inherited) (Value: TColor) ;
(private) , found in TCustomGrid

procedure
SetFixedCols  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFixedRows  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGridLineWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLeftCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid


Methods of TDBLookupList (DBLOOKUP) (031)
417 Methods of TDBLookupList (DBLOOKUP) (031)
8 superordinates
112 properties

procedure
SetLookupDisplay (const Value: string) ;
(private)

procedure
SetLookupField (const Value: string) ;
(private)

procedure
SetLookupSource (Value: TDataSource) ;
(private)

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOptions  (inherited) (Value: TDBGridOptions) ;
(private) , found in TCustomDBGrid
procedure
SetOptions (Value: TDBLookupListOptions) ;
(private)
procedure
SetOptions  (inherited) (Value: TGridOptions) ;
(private) , found in TCustomGrid

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (032)
417 Methods of TDBLookupList (DBLOOKUP) (032)
8 superordinates
112 properties

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReadOnly (Value: Boolean) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowHeights  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetScrollBars  (inherited) (Value: TScrollStyle) ;
(private) , found in TCustomGrid

procedure
SetSelectedField  (inherited) (Value: TField) ;
(private) , found in TCustomDBGrid

procedure
SetSelectedIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomDBGrid

procedure
SetSelection  (inherited) (Value: TGridRect) ;
(private) , found in TCustomGrid


Methods of TDBLookupList (DBLOOKUP) (033)
417 Methods of TDBLookupList (DBLOOKUP) (033)
8 superordinates
112 properties

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetTabStops  (inherited) (Index: Longint; Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTitleFont  (inherited) (Value: TFont) ;
(private) , found in TCustomDBGrid

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTopRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetValue (const Value: string) ;
(private)


Methods of TDBLookupList (DBLOOKUP) (034)
417 Methods of TDBLookupList (DBLOOKUP) (034)
8 superordinates
112 properties

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
ShowEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
ShowEditorChar  (inherited) (Ch: Char) ;
(protected) , found in TCustomGrid

procedure
SizeChanged  (inherited) (OldColCount, OldRowCount: Longint) ;
(protected) dynamic, found in TCustomGrid

function
Sizing  (inherited) (X, Y: Integer): Boolean ;
(protected) , found in TCustomGrid

procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) override, found in TCustomDBGrid
procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) dynamic, found in TCustomGrid


Methods of TDBLookupList (DBLOOKUP) (035)
417 Methods of TDBLookupList (DBLOOKUP) (035)
8 superordinates
112 properties

procedure
TitleFontChanged  (inherited) (Sender: TObject) ;
(private) , found in TCustomDBGrid

procedure
TopLeftChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
TopLeftMoved  (inherited) (const OldTopLeft: TGridCoord) ;
(private) , found in TCustomGrid

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateActive  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData (Sender: TObject) ;
(private)
procedure
UpdateData  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateEdit  (inherited) ;
(private) , found in TCustomGrid


Methods of TDBLookupList (DBLOOKUP) (036)
417 Methods of TDBLookupList (DBLOOKUP) (036)
8 superordinates
112 properties

procedure
UpdateRowCount  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateScrollBar  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateScrollPos  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateScrollRange  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
UpdateText  (inherited) ;
(private) , found in TCustomGrid

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (037)
417 Methods of TDBLookupList (DBLOOKUP) (037)
8 superordinates
112 properties

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl
procedure
WMChar  (inherited) (var Msg: TWMChar); message WM_CHAR ;
(private) , found in TCustomGrid

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TCustomGrid
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (038)
417 Methods of TDBLookupList (DBLOOKUP) (038)
8 superordinates
112 properties

procedure
WMGetDlgCode  (inherited) (var Msg: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomGrid

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl
procedure
WMHScroll  (inherited) (var Msg: TWMHScroll); message WM_HSCROLL ;
(private) , found in TCustomGrid

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Msg: TWMKillFocus); message WM_KILLFOCUS ;
(private) , found in TCustomGrid

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TMessage); message WM_LBUTTONDOWN ;
(private) , found in TCustomGrid
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl


Methods of TDBLookupList (DBLOOKUP) (039)
417 Methods of TDBLookupList (DBLOOKUP) (039)
8 superordinates
112 properties

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl
procedure
WMNCHitTest  (inherited) (var Msg: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TCustomGrid

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (040)
417 Methods of TDBLookupList (DBLOOKUP) (040)
8 superordinates
112 properties

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomDBGrid
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomGrid

procedure
WMSetFocus  (inherited) (var Msg: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomGrid

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomDBGrid
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl
procedure
WMSize  (inherited) (var Msg: TWMSize); message WM_SIZE ;
(private) , found in TCustomGrid

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl


Methods of TDBLookupList (DBLOOKUP) (041)
417 Methods of TDBLookupList (DBLOOKUP) (041)
8 superordinates
112 properties

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMTimer  (inherited) (var Msg: TWMTimer); message WM_TIMER ;
(private) , found in TCustomGrid

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomDBGrid
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl
procedure
WMVScroll  (inherited) (var Msg: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomGrid

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TDBLookupList (DBLOOKUP) (042)
417 Methods of TDBLookupList (DBLOOKUP) (042)
8 superordinates
112 properties

procedure
WriteColWidths  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteRowHeights  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TPopupGrid (DBLOOKUP)
417 Methods of TPopupGrid (DBLOOKUP)
9 superordinates
112 properties

function
AcquireFocus  (inherited) : Boolean ;
(private) , found in TCustomDBGrid

procedure
AdjustSize  (inherited) (Index, Amount: Longint; Rows: Boolean) ;
(protected) dynamic, found in TCustomGrid

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

function
BoxRect  (inherited) (ALeft, ATop, ARight, ABottom: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
BringToFront  (inherited) ;
(public) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (002)
417 Methods of TPopupGrid (DBLOOKUP) (002)
9 superordinates
112 properties

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGrid
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomDBGrid
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomGrid

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TDBLookupList
procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TDBLookupList
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl
procedure
CMExit  (inherited) (var Message: TMessage); message CM_EXIT ;
(private) , found in TCustomDBGrid


Methods of TPopupGrid (DBLOOKUP) (003)
417 Methods of TPopupGrid (DBLOOKUP) (003)
9 superordinates
112 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomDBGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TCustomDBGrid
procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (004)
417 Methods of TPopupGrid (DBLOOKUP) (004)
9 superordinates
112 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWantSpecialKey  (inherited) (var Msg: TCMWantSpecialKey); message CM_WANTSPECIALKEY ;
(private) , found in TCustomGrid

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (005)
417 Methods of TPopupGrid (DBLOOKUP) (005)
9 superordinates
112 properties

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CalcCoordFromPoint  (inherited) (X, Y: Integer; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcDrawInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
CalcDrawInfoXY  (inherited) (var DrawInfo: TGridDrawInfo; UseWidth, UseHeight: Integer) ;
(private) , found in TCustomGrid

procedure
CalcFixedInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CalcMaxTopLeft  (inherited) (const Coord: TGridCoord; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcSizingState  (inherited) (X, Y: Integer; var State: TGridState; var Index: Longint; var SizingPos, SizingOfs: Integer; var FixedInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CanEdit : Boolean ;
(protected) override
function
CanEdit  (inherited) : Boolean ;
(protected) virtual, found in TDBLookupList


Methods of TPopupGrid (DBLOOKUP) (006)
417 Methods of TPopupGrid (DBLOOKUP) (006)
9 superordinates
112 properties

function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) override, found in TCustomDBGrid
function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditModify  (inherited) : Boolean ;
(protected) override, found in TCustomDBGrid
function
CanEditModify  (inherited) : Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditShow  (inherited) : Boolean ;
(protected) virtual, found in TCustomGrid

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanGridAcceptKey  (inherited) (Key: Word; Shift: TShiftState): Boolean ;
(protected) override, found in TDBLookupList
function
CanGridAcceptKey  (inherited) (Key: Word; Shift: TShiftState): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CellRect  (inherited) (ACol, ARow: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
ChangeSize  (inherited) (NewColCount, NewRowCount: Longint) ;
(private) , found in TCustomGrid

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (007)
417 Methods of TPopupGrid (DBLOOKUP) (007)
9 superordinates
112 properties

procedure
ClampInView  (inherited) (const Coord: TGridCoord) ;
(private) , found in TCustomGrid

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ColEnter  (inherited) ;
(protected) dynamic, found in TCustomDBGrid

procedure
ColExit  (inherited) ;
(protected) dynamic, found in TCustomDBGrid

procedure
ColWidthsChanged  (inherited) ;
(protected) override, found in TCustomDBGrid
procedure
ColWidthsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid


Methods of TPopupGrid (DBLOOKUP) (008)
417 Methods of TPopupGrid (DBLOOKUP) (008)
9 superordinates
112 properties

procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) override, found in TCustomDBGrid
procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TDBLookupList
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomDBGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateEditor  (inherited) : TInplaceEdit ;
(protected) virtual, found in TCustomGrid

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomGrid
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) override, found in TDBLookupList
procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomDBGrid
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (009)
417 Methods of TPopupGrid (DBLOOKUP) (009)
9 superordinates
112 properties

procedure
DataChange  (inherited) (Sender: TObject) ;
(private) , found in TDBLookupList

procedure
DataChanged  (inherited) ;
(private) , found in TCustomDBGrid

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultDrawDataCell  (inherited) (const Rect: TRect; Field: TField; State: TGridDrawState) ;
(public) , found in TCustomDBGrid

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineFieldMap  (inherited) ;
(protected) override, found in TDBLookupList
procedure
DefineFieldMap  (inherited) ;
(protected) virtual, found in TCustomDBGrid

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TCustomGrid
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TDBLookupList
destructor
Destroy  (inherited) ;
(public) override, found in TCustomDBGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (010)
417 Methods of TPopupGrid (DBLOOKUP) (010)
9 superordinates
112 properties

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) override, found in TCustomGrid
procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (011)
417 Methods of TPopupGrid (DBLOOKUP) (011)
9 superordinates
112 properties

procedure
DoLookup  (inherited) ;
(private) , found in TDBLookupList

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) override, found in TCustomDBGrid
procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) virtual/abstract, found in TCustomGrid

procedure
DrawDataCell  (inherited) (const Rect: TRect; Field: TField; State: TGridDrawState) ;
(protected) dynamic, found in TCustomDBGrid

procedure
DrawMove  (inherited) ;
(private) , found in TCustomGrid

procedure
DrawSizingLine  (inherited) (const DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid


Methods of TPopupGrid (DBLOOKUP) (012)
417 Methods of TPopupGrid (DBLOOKUP) (012)
9 superordinates
112 properties

function
Edit  (inherited) : Boolean ;
(private) , found in TCustomDBGrid

procedure
EditingChange  (inherited) (Sender: TObject) ;
(private) , found in TDBLookupList

procedure
EditingChanged  (inherited) ;
(private) , found in TCustomDBGrid

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
FieldLinkActive  (inherited) (Sender: TObject) ;
(private) , found in TDBLookupList

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (013)
417 Methods of TPopupGrid (DBLOOKUP) (013)
9 superordinates
112 properties

procedure
FocusCell  (inherited) (ACol, ARow: Longint; MoveAnchor: Boolean) ;
(private) , found in TCustomGrid

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (014)
417 Methods of TPopupGrid (DBLOOKUP) (014)
9 superordinates
112 properties

function
GetColField  (inherited) (ACol: Integer): TField ;
(protected) , found in TCustomDBGrid

function
GetColWidths  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataField  (inherited) : string ;
(private) , found in TDBLookupList

function
GetDataSource  (inherited) : TDataSource ;
(private) , found in TDBLookupList
function
GetDataSource  (inherited) : TDataSource ;
(private) , found in TCustomDBGrid

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TPopupGrid (DBLOOKUP) (015)
417 Methods of TPopupGrid (DBLOOKUP) (015)
9 superordinates
112 properties

function
GetDisplayValue  (inherited) : string ;
(private) , found in TDBLookupList

function
GetEditLimit  (inherited) : Integer ;
(protected) override, found in TCustomDBGrid
function
GetEditLimit  (inherited) : Integer ;
(protected) dynamic, found in TCustomGrid

function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) override, found in TCustomDBGrid
function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) override, found in TCustomDBGrid
function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetFieldCount  (inherited) : Integer ;
(private) , found in TCustomDBGrid

function
GetFieldValue  (inherited) (ACol: Integer): string ;
(protected) , found in TCustomDBGrid

function
GetFields  (inherited) (Index: Integer): TField ;
(private) , found in TCustomDBGrid

function
GetGridHeight  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetGridWidth  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (016)
417 Methods of TPopupGrid (DBLOOKUP) (016)
9 superordinates
112 properties

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetLookupDisplay  (inherited) : string ;
(private) , found in TDBLookupList

function
GetLookupField  (inherited) : string ;
(private) , found in TDBLookupList

function
GetLookupSource  (inherited) : TDataSource ;
(private) , found in TDBLookupList

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetReadOnly  (inherited) : Boolean ;
(private) , found in TDBLookupList

function
GetRowHeights  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetSelectedField  (inherited) : TField ;
(private) , found in TCustomDBGrid


Methods of TPopupGrid (DBLOOKUP) (017)
417 Methods of TPopupGrid (DBLOOKUP) (017)
9 superordinates
112 properties

function
GetSelectedIndex  (inherited) : Integer ;
(private) , found in TCustomDBGrid

function
GetSelection  (inherited) : TGridRect ;
(private) , found in TCustomGrid

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetTabStops  (inherited) (Index: Longint): Boolean ;
(private) , found in TCustomGrid

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetValue  (inherited) : string ;
(private) , found in TDBLookupList

function
GetVisibleColCount  (inherited) : Integer ;
(private) , found in TCustomGrid


Methods of TPopupGrid (DBLOOKUP) (018)
417 Methods of TPopupGrid (DBLOOKUP) (018)
9 superordinates
112 properties

function
GetVisibleRowCount  (inherited) : Integer ;
(private) , found in TCustomGrid

procedure
GridRectToScreenRect  (inherited) (GridRect: TGridRect; var ScreenRect: TRect; IncludeLine: Boolean) ;
(private) , found in TCustomGrid

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HideEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
HideEditor  (inherited) ;
(protected) , found in TCustomGrid

function
HighlightCell  (inherited) (DataCol, DataRow: Integer; const Value: string; AState: TGridDrawState): Boolean ;
(protected) override, found in TDBLookupList
function
HighlightCell  (inherited) (DataCol, DataRow: Integer; const Value: string; AState: TGridDrawState): Boolean ;
(protected) virtual, found in TCustomDBGrid

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TPopupGrid (DBLOOKUP) (019)
417 Methods of TPopupGrid (DBLOOKUP) (019)
9 superordinates
112 properties

procedure
InitFields  (inherited) (ShowError: Boolean) ;
(protected) , found in TDBLookupList

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(private) , found in TCustomGrid

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateCell  (inherited) (ACol, ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (020)
417 Methods of TPopupGrid (DBLOOKUP) (020)
9 superordinates
112 properties

procedure
InvalidateEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

procedure
InvalidateGrid  (inherited) ;
(private) , found in TCustomGrid

procedure
InvalidateRect  (inherited) (ARect: TGridRect) ;
(private) , found in TCustomGrid

procedure
InvalidateRow  (inherited) (ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvertRect  (inherited) (const Rect: TRect) ;
(private) , found in TCustomGrid

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (021)
417 Methods of TPopupGrid (DBLOOKUP) (021)
9 superordinates
112 properties

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TDBLookupList
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomDBGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TDBLookupList
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomDBGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
LayoutChanged  (inherited) ;
(protected) virtual, found in TCustomDBGrid

procedure
LinkActive (Value: Boolean) ;
(protected) override
procedure
LinkActive  (inherited) (Value: Boolean) ;
(protected) override, found in TDBLookupList
procedure
LinkActive  (inherited) (Value: Boolean) ;
(protected) virtual, found in TCustomDBGrid

procedure
ListClick  (inherited) ;
(protected) dynamic, found in TDBLookupList

procedure
Loaded  (inherited) ;
(protected) override, found in TDBLookupList
procedure
Loaded  (inherited) ;
(protected) override, found in TCustomDBGrid
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (022)
417 Methods of TPopupGrid (DBLOOKUP) (022)
9 superordinates
112 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
ModifyScrollBar  (inherited) (ScrollBar, ScrollCode, Pos: Word) ;
(private) , found in TCustomGrid

function
MouseCoord  (inherited) (X, Y: Integer): TGridCoord ;
(protected) , found in TCustomGrid

procedure
MouseDown (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TDBLookupList
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomDBGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TDBLookupList
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TDBLookupList
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MoveAnchor  (inherited) (const NewAnchor: TGridCoord) ;
(private) , found in TCustomGrid

procedure
MoveCol  (inherited) (ACol: Integer) ;
(private) , found in TCustomDBGrid

procedure
MoveColRow  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(protected) , found in TCustomGrid


Methods of TPopupGrid (DBLOOKUP) (023)
417 Methods of TPopupGrid (DBLOOKUP) (023)
9 superordinates
112 properties

procedure
MoveCurrent  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(private) , found in TCustomGrid

procedure
MoveTopLeft  (inherited) (ALeft, ATop: Longint) ;
(private) , found in TCustomGrid

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
NewLayout  (inherited) ;
(private) , found in TDBLookupList

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TDBLookupList
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TCustomDBGrid
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TDBLookupList
procedure
Paint  (inherited) ;
(protected) override, found in TCustomGrid
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (024)
417 Methods of TPopupGrid (DBLOOKUP) (024)
9 superordinates
112 properties

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadColWidths  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadRowHeights  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (025)
417 Methods of TPopupGrid (DBLOOKUP) (025)
9 superordinates
112 properties

procedure
RecordChanged  (inherited) (Field: TField) ;
(private) , found in TCustomDBGrid

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResizeCol  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid


Methods of TPopupGrid (DBLOOKUP) (026)
417 Methods of TPopupGrid (DBLOOKUP) (026)
9 superordinates
112 properties

procedure
ResizeRow  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
RowHeightsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
RowMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
Scroll  (inherited) (Distance: Integer) ;
(protected) override, found in TDBLookupList
procedure
Scroll  (inherited) (Distance: Integer) ;
(protected) virtual, found in TCustomDBGrid

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollData  (inherited) (DX, DY: Integer) ;
(protected) , found in TCustomGrid

procedure
ScrollDataInfo  (inherited) (DX, DY: Integer; var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid


Methods of TPopupGrid (DBLOOKUP) (027)
417 Methods of TPopupGrid (DBLOOKUP) (027)
9 superordinates
112 properties

function
SelectCell  (inherited) (ACol, ARow: Longint): Boolean ;
(protected) virtual, found in TCustomGrid

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SelectionMoved  (inherited) (const OldSel: TGridRect) ;
(private) , found in TCustomGrid

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomGrid

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (028)
417 Methods of TPopupGrid (DBLOOKUP) (028)
9 superordinates
112 properties

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColWidths  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumnAttributes  (inherited) ;
(protected) override, found in TDBLookupList
procedure
SetColumnAttributes  (inherited) ;
(protected) virtual, found in TCustomDBGrid

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (029)
417 Methods of TPopupGrid (DBLOOKUP) (029)
9 superordinates
112 properties

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDataField  (inherited) (const Value: string) ;
(private) , found in TDBLookupList

procedure
SetDataSource  (inherited) (Value: TDataSource) ;
(private) , found in TDBLookupList
procedure
SetDataSource  (inherited) (Value: TDataSource) ;
(private) , found in TCustomDBGrid

procedure
SetDefaultColWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDefaultRowHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayValue  (inherited) (const Value: string) ;
(private) , found in TDBLookupList

procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) override, found in TCustomDBGrid
procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) dynamic, found in TCustomGrid

procedure
SetEditorMode  (inherited) (Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (030)
417 Methods of TPopupGrid (DBLOOKUP) (030)
9 superordinates
112 properties

procedure
SetFixedColor  (inherited) (Value: TColor) ;
(private) , found in TCustomGrid

procedure
SetFixedCols  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFixedRows  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGridLineWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLeftCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid


Methods of TPopupGrid (DBLOOKUP) (031)
417 Methods of TPopupGrid (DBLOOKUP) (031)
9 superordinates
112 properties

procedure
SetLookupDisplay  (inherited) (const Value: string) ;
(private) , found in TDBLookupList

procedure
SetLookupField  (inherited) (const Value: string) ;
(private) , found in TDBLookupList

procedure
SetLookupSource  (inherited) (Value: TDataSource) ;
(private) , found in TDBLookupList

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOptions  (inherited) (Value: TDBGridOptions) ;
(private) , found in TCustomDBGrid
procedure
SetOptions  (inherited) (Value: TDBLookupListOptions) ;
(private) , found in TDBLookupList
procedure
SetOptions  (inherited) (Value: TGridOptions) ;
(private) , found in TCustomGrid

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (032)
417 Methods of TPopupGrid (DBLOOKUP) (032)
9 superordinates
112 properties

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TDBLookupList

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowHeights  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetScrollBars  (inherited) (Value: TScrollStyle) ;
(private) , found in TCustomGrid

procedure
SetSelectedField  (inherited) (Value: TField) ;
(private) , found in TCustomDBGrid

procedure
SetSelectedIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomDBGrid

procedure
SetSelection  (inherited) (Value: TGridRect) ;
(private) , found in TCustomGrid


Methods of TPopupGrid (DBLOOKUP) (033)
417 Methods of TPopupGrid (DBLOOKUP) (033)
9 superordinates
112 properties

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetTabStops  (inherited) (Index: Longint; Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTitleFont  (inherited) (Value: TFont) ;
(private) , found in TCustomDBGrid

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTopRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetValue  (inherited) (const Value: string) ;
(private) , found in TDBLookupList


Methods of TPopupGrid (DBLOOKUP) (034)
417 Methods of TPopupGrid (DBLOOKUP) (034)
9 superordinates
112 properties

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
ShowEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
ShowEditorChar  (inherited) (Ch: Char) ;
(protected) , found in TCustomGrid

procedure
SizeChanged  (inherited) (OldColCount, OldRowCount: Longint) ;
(protected) dynamic, found in TCustomGrid

function
Sizing  (inherited) (X, Y: Integer): Boolean ;
(protected) , found in TCustomGrid

procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) override, found in TCustomDBGrid
procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) dynamic, found in TCustomGrid


Methods of TPopupGrid (DBLOOKUP) (035)
417 Methods of TPopupGrid (DBLOOKUP) (035)
9 superordinates
112 properties

procedure
TitleFontChanged  (inherited) (Sender: TObject) ;
(private) , found in TCustomDBGrid

procedure
TopLeftChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
TopLeftMoved  (inherited) (const OldTopLeft: TGridCoord) ;
(private) , found in TCustomGrid

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateActive  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateData  (inherited) (Sender: TObject) ;
(private) , found in TDBLookupList
procedure
UpdateData  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateEdit  (inherited) ;
(private) , found in TCustomGrid


Methods of TPopupGrid (DBLOOKUP) (036)
417 Methods of TPopupGrid (DBLOOKUP) (036)
9 superordinates
112 properties

procedure
UpdateRowCount  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateScrollBar  (inherited) ;
(private) , found in TCustomDBGrid

procedure
UpdateScrollPos  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateScrollRange  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
UpdateText  (inherited) ;
(private) , found in TCustomGrid

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (037)
417 Methods of TPopupGrid (DBLOOKUP) (037)
9 superordinates
112 properties

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl
procedure
WMChar  (inherited) (var Msg: TWMChar); message WM_CHAR ;
(private) , found in TCustomGrid

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TCustomGrid
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (038)
417 Methods of TPopupGrid (DBLOOKUP) (038)
9 superordinates
112 properties

procedure
WMGetDlgCode  (inherited) (var Msg: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomGrid

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl
procedure
WMHScroll  (inherited) (var Msg: TWMHScroll); message WM_HSCROLL ;
(private) , found in TCustomGrid

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Msg: TWMKillFocus); message WM_KILLFOCUS ;
(private) , found in TCustomGrid

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TMessage); message WM_LBUTTONDOWN ;
(private) , found in TCustomGrid
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(protected)
procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl


Methods of TPopupGrid (DBLOOKUP) (039)
417 Methods of TPopupGrid (DBLOOKUP) (039)
9 superordinates
112 properties

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl
procedure
WMNCHitTest  (inherited) (var Msg: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TCustomGrid

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (040)
417 Methods of TPopupGrid (DBLOOKUP) (040)
9 superordinates
112 properties

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomDBGrid
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomGrid

procedure
WMSetFocus  (inherited) (var Msg: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomGrid

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TDBLookupList
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomDBGrid
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl
procedure
WMSize  (inherited) (var Msg: TWMSize); message WM_SIZE ;
(private) , found in TCustomGrid

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl


Methods of TPopupGrid (DBLOOKUP) (041)
417 Methods of TPopupGrid (DBLOOKUP) (041)
9 superordinates
112 properties

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMTimer  (inherited) (var Msg: TWMTimer); message WM_TIMER ;
(private) , found in TCustomGrid

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomDBGrid
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl
procedure
WMVScroll  (inherited) (var Msg: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomGrid

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TPopupGrid (DBLOOKUP) (042)
417 Methods of TPopupGrid (DBLOOKUP) (042)
9 superordinates
112 properties

procedure
WriteColWidths  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteRowHeights  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TComboButton (DBLOOKUP)
165 Methods of TComboButton (DBLOOKUP)
6 superordinates
56 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMButtonPressed  (inherited) (var Message: TMessage); message CM_BUTTONPRESSED ;
(private) , found in TSpeedButton

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TSpeedButton

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TSpeedButton
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl


Methods of TComboButton (DBLOOKUP) (002)
165 Methods of TComboButton (DBLOOKUP) (002)
6 superordinates
56 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TSpeedButton
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TSpeedButton

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TSpeedButton

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl


Methods of TComboButton (DBLOOKUP) (003)
165 Methods of TComboButton (DBLOOKUP) (003)
6 superordinates
56 properties

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(public) override, found in TSpeedButton
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TSpeedButton
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TGraphicControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TComboButton (DBLOOKUP) (004)
165 Methods of TComboButton (DBLOOKUP) (004)
6 superordinates
56 properties

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TSpeedButton
destructor
Destroy  (inherited) ;
(public) override, found in TGraphicControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TComboButton (DBLOOKUP) (005)
165 Methods of TComboButton (DBLOOKUP) (005)
6 superordinates
56 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TComboButton (DBLOOKUP) (006)
165 Methods of TComboButton (DBLOOKUP) (006)
6 superordinates
56 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetGlyph  (inherited) : TBitmap ;
(private) , found in TSpeedButton

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl


Methods of TComboButton (DBLOOKUP) (007)
165 Methods of TComboButton (DBLOOKUP) (007)
6 superordinates
56 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNumGlyphs  (inherited) : TNumGlyphs ;
(private) , found in TSpeedButton

function
GetPalette  (inherited) : HPALETTE ;
(protected) override, found in TSpeedButton
function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

procedure
GlyphChanged  (inherited) (Sender: TObject) ;
(private) , found in TSpeedButton

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TComboButton (DBLOOKUP) (008)
165 Methods of TComboButton (DBLOOKUP) (008)
6 superordinates
56 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TComboButton (DBLOOKUP) (009)
165 Methods of TComboButton (DBLOOKUP) (009)
6 superordinates
56 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TSpeedButton
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove (Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TSpeedButton
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TSpeedButton
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Paint  (inherited) ;
(protected) override, found in TSpeedButton
procedure
Paint  (inherited) ;
(protected) virtual, found in TGraphicControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl


Methods of TComboButton (DBLOOKUP) (010)
165 Methods of TComboButton (DBLOOKUP) (010)
6 superordinates
56 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TComboButton (DBLOOKUP) (011)
165 Methods of TComboButton (DBLOOKUP) (011)
6 superordinates
56 properties

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAllowAllUp  (inherited) (Value: Boolean) ;
(private) , found in TSpeedButton

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TComboButton (DBLOOKUP) (012)
165 Methods of TComboButton (DBLOOKUP) (012)
6 superordinates
56 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDown  (inherited) (Value: Boolean) ;
(private) , found in TSpeedButton

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGlyph  (inherited) (Value: TBitmap) ;
(private) , found in TSpeedButton

procedure
SetGroupIndex  (inherited) (Value: Integer) ;
(private) , found in TSpeedButton

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl


Methods of TComboButton (DBLOOKUP) (013)
165 Methods of TComboButton (DBLOOKUP) (013)
6 superordinates
56 properties

procedure
SetLayout  (inherited) (Value: TButtonLayout) ;
(private) , found in TSpeedButton

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMargin  (inherited) (Value: Integer) ;
(private) , found in TSpeedButton

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetNumGlyphs  (inherited) (Value: TNumGlyphs) ;
(private) , found in TSpeedButton

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TComboButton (DBLOOKUP) (014)
165 Methods of TComboButton (DBLOOKUP) (014)
6 superordinates
56 properties

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSpacing  (inherited) (Value: Integer) ;
(private) , found in TSpeedButton

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl


Methods of TComboButton (DBLOOKUP) (015)
165 Methods of TComboButton (DBLOOKUP) (015)
6 superordinates
56 properties

procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateExclusive  (inherited) ;
(private) , found in TSpeedButton

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl
procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDBLCLK ;
(private) , found in TSpeedButton

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TComboButton (DBLOOKUP) (016)
165 Methods of TComboButton (DBLOOKUP) (016)
6 superordinates
56 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TGraphicControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TComboButton (DBLOOKUP) (017)
165 Methods of TComboButton (DBLOOKUP) (017)
6 superordinates
56 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TPasswordDialog (DBPWDLG)
356 Methods of TPasswordDialog (DBPWDLG)
7 superordinates
124 properties

procedure
Activate  (inherited) ;
(protected) dynamic, found in TForm

procedure
ActiveChanged  (inherited) ;
(protected) dynamic, found in TForm

procedure
AddButtonClick (Sender: TObject) ;
(private)

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var ARect: TRect) ;
(protected) override, found in TScrollingWinControl
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(private) override, found in TForm
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrangeIcons  (inherited) ;
(public) , found in TForm

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AutoScrollInView  (inherited) (AControl: TControl) ;
(protected) , found in TScrollingWinControl


Methods of TPasswordDialog (DBPWDLG) (002)
356 Methods of TPasswordDialog (DBPWDLG) (002)
7 superordinates
124 properties

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMActivate  (inherited) (var Message: TCMActivate); message CM_ACTIVATE ;
(private) , found in TForm

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TForm
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TForm
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDeactivate  (inherited) (var Message: TCMDeactivate); message CM_DEACTIVATE ;
(private) , found in TForm

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (003)
356 Methods of TPasswordDialog (DBPWDLG) (003)
7 superordinates
124 properties

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TForm
procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TForm
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMIconChanged  (inherited) (var Message: TMessage); message CM_ICONCHANGED ;
(private) , found in TForm

procedure
CMMenuChanged  (inherited) (var Message: TMessage); message CM_MENUCHANGED ;
(private) , found in TForm


Methods of TPasswordDialog (DBPWDLG) (004)
356 Methods of TPasswordDialog (DBPWDLG) (004)
7 superordinates
124 properties

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMRelease  (inherited) (var Message: TMessage); message CM_RELEASE ;
(private) , found in TForm

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TForm
procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (005)
356 Methods of TPasswordDialog (DBPWDLG) (005)
7 superordinates
124 properties

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TForm

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (006)
356 Methods of TPasswordDialog (DBPWDLG) (006)
7 superordinates
124 properties

procedure
CalcAutoRange  (inherited) ;
(private) , found in TScrollingWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Cascade  (inherited) ;
(public) , found in TForm

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TForm
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TScrollingWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TPasswordDialog (DBPWDLG) (007)
356 Methods of TPasswordDialog (DBPWDLG) (007)
7 superordinates
124 properties

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ClientWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TForm

procedure
Close  (inherited) ;
(public) , found in TForm

procedure
CloseModal  (inherited) ;
(private) , found in TForm

function
CloseQuery  (inherited) : Boolean ;
(public) , found in TForm

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TForm
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TScrollingWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (008)
356 Methods of TPasswordDialog (DBPWDLG) (008)
7 superordinates
124 properties

constructor
CreateNew  (inherited) (AOwner: TComponent) ;
(public) , found in TForm

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TForm
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) override, found in TForm
procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TForm
procedure
CreateWnd  (inherited) ;
(protected) override, found in TScrollingWinControl
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
Deactivate  (inherited) ;
(protected) dynamic, found in TForm

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TForm
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TForm
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DefocusControl  (inherited) (Control: TWinControl; Removing: Boolean) ;
(public) , found in TForm


Methods of TPasswordDialog (DBPWDLG) (009)
356 Methods of TPasswordDialog (DBPWDLG) (009)
7 superordinates
124 properties

destructor
Destroy  (inherited) ;
(public) override, found in TForm
destructor
Destroy  (inherited) ;
(public) override, found in TScrollingWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) override, found in TForm
procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (010)
356 Methods of TPasswordDialog (DBPWDLG) (010)
7 superordinates
124 properties

procedure
DoHide  (inherited) ;
(protected) dynamic, found in TForm

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DoShow  (inherited) ;
(protected) dynamic, found in TForm

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl


Methods of TPasswordDialog (DBPWDLG) (011)
356 Methods of TPasswordDialog (DBPWDLG) (011)
7 superordinates
124 properties

procedure
EditChange (Sender: TObject) ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusControl  (inherited) (Control: TWinControl) ;
(public) , found in TForm

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl


Methods of TPasswordDialog (DBPWDLG) (012)
356 Methods of TPasswordDialog (DBPWDLG) (012)
7 superordinates
124 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActiveMDIChild  (inherited) : TForm ;
(private) , found in TForm

function
GetBorderSize  (inherited) (Height: Boolean): Integer ;
(private) , found in TForm

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetCanvas  (inherited) : TCanvas ;
(private) , found in TForm

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TForm
function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl


Methods of TPasswordDialog (DBPWDLG) (013)
356 Methods of TPasswordDialog (DBPWDLG) (013)
7 superordinates
124 properties

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetFormImage  (inherited) : TBitmap ;
(public) , found in TForm

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetIconHandle  (inherited) : HICON ;
(private) , found in TForm


Methods of TPasswordDialog (DBPWDLG) (014)
356 Methods of TPasswordDialog (DBPWDLG) (014)
7 superordinates
124 properties

function
GetMDIChildCount  (inherited) : Integer ;
(private) , found in TForm

function
GetMDIChildren  (inherited) (I: Integer): TForm ;
(private) , found in TForm

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPixelsPerInch  (inherited) : Integer ;
(private) , found in TForm

function
GetScaled  (inherited) : Boolean ;
(private) , found in TForm

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl


Methods of TPasswordDialog (DBPWDLG) (015)
356 Methods of TPasswordDialog (DBPWDLG) (015)
7 superordinates
124 properties

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextHeight  (inherited) : Integer ;
(private) , found in TForm

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TForm
procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
IconChanged  (inherited) (Sender: TObject) ;
(private) , found in TForm

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TPasswordDialog (DBPWDLG) (016)
356 Methods of TPasswordDialog (DBPWDLG) (016)
7 superordinates
124 properties

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsAutoScrollStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsClientSizeStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TForm
function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TPasswordDialog (DBPWDLG) (017)
356 Methods of TPasswordDialog (DBPWDLG) (017)
7 superordinates
124 properties

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsForm  (inherited) : Boolean ;
(private) , found in TForm

function
IsFormSizeStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsIconStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (018)
356 Methods of TPasswordDialog (DBPWDLG) (018)
7 superordinates
124 properties

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MergeMenu  (inherited) (MergeState: Boolean) ;
(private) , found in TForm

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TPasswordDialog (DBPWDLG) (019)
356 Methods of TPasswordDialog (DBPWDLG) (019)
7 superordinates
124 properties

procedure
Next  (inherited) ;
(public) , found in TForm

function
NormalColor  (inherited) : TColor ;
(private) , found in TForm

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TForm
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
OKButtonClick (Sender: TObject) ;
(private)

procedure
Paint  (inherited) ;
(protected) dynamic, found in TForm

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TForm
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl


Methods of TPasswordDialog (DBPWDLG) (020)
356 Methods of TPasswordDialog (DBPWDLG) (020)
7 superordinates
124 properties

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
Previous  (inherited) ;
(public) , found in TForm

procedure
Print  (inherited) ;
(public) , found in TForm

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TForm
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTextHeight  (inherited) (Reader: TReader) ;
(private) , found in TForm

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (021)
356 Methods of TPasswordDialog (DBPWDLG) (021)
7 superordinates
124 properties

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
RefreshMDIMenu  (inherited) ;
(private) , found in TForm

procedure
Release  (inherited) ;
(public) , found in TForm

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveAllButtonClick (Sender: TObject) ;
(private)

procedure
RemoveButtonClick (Sender: TObject) ;
(private)

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (022)
356 Methods of TPasswordDialog (DBPWDLG) (022)
7 superordinates
124 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Resize  (inherited) ;
(protected) dynamic, found in TForm

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

procedure
ScaleScrollBars  (inherited) (M, D: Integer) ;
(private) , found in TScrollingWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollInView  (inherited) (AControl: TControl) ;
(public) , found in TScrollingWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (023)
356 Methods of TPasswordDialog (DBPWDLG) (023)
7 superordinates
124 properties

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(public) , found in TForm
procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetActiveControl  (inherited) (Control: TWinControl) ;
(private) , found in TForm

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoScroll  (inherited) (Value: Boolean) ;
(private) , found in TScrollingWinControl

procedure
SetBorderIcons  (inherited) (Value: TBorderIcons) ;
(private) , found in TForm

procedure
SetBorderStyle  (inherited) (Value: TFormBorderStyle) ;
(private) , found in TForm

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl


Methods of TPasswordDialog (DBPWDLG) (024)
356 Methods of TPasswordDialog (DBPWDLG) (024)
7 superordinates
124 properties

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TForm
procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TForm
procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigner  (inherited) (ADesigner: TDesigner) ;
(private) , found in TForm

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TPasswordDialog (DBPWDLG) (025)
356 Methods of TPasswordDialog (DBPWDLG) (025)
7 superordinates
124 properties

procedure
SetFocus  (inherited) ;
(public) override, found in TForm
procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

function
SetFocusedControl  (inherited) (Control: TWinControl): Boolean ;
(public) , found in TForm

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetFormStyle  (inherited) (Value: TFormStyle) ;
(private) , found in TForm

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetHorzScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetIcon  (inherited) (Value: TIcon) ;
(private) , found in TForm

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMenu  (inherited) (Value: TMainMenu) ;
(private) , found in TForm


Methods of TPasswordDialog (DBPWDLG) (026)
356 Methods of TPasswordDialog (DBPWDLG) (026)
7 superordinates
124 properties

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TForm
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetObjectMenuItem  (inherited) (Value: TMenuItem) ;
(private) , found in TForm

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPixelsPerInch  (inherited) (Value: Integer) ;
(private) , found in TForm

procedure
SetPosition  (inherited) (Value: TPosition) ;
(private) , found in TForm


Methods of TPasswordDialog (DBPWDLG) (027)
356 Methods of TPasswordDialog (DBPWDLG) (027)
7 superordinates
124 properties

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetScaled  (inherited) (Value: Boolean) ;
(private) , found in TForm

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVertScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TForm
procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TPasswordDialog (DBPWDLG) (028)
356 Methods of TPasswordDialog (DBPWDLG) (028)
7 superordinates
124 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWindowFocus  (inherited) ;
(private) , found in TForm

procedure
SetWindowMenu  (inherited) (Value: TMenuItem) ;
(private) , found in TForm

procedure
SetWindowState  (inherited) (Value: TWindowState) ;
(private) , found in TForm

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TForm
procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

function
ShowModal  (inherited) : Integer ;
(public) , found in TForm

procedure
Tile  (inherited) ;
(public) , found in TForm

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl


Methods of TPasswordDialog (DBPWDLG) (029)
356 Methods of TPasswordDialog (DBPWDLG) (029)
7 superordinates
124 properties

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateScrollBars  (inherited) ;
(private) , found in TScrollingWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) override, found in TForm
procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) override, found in TForm
procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMActivate  (inherited) (var Message: TWMActivate); message WM_ACTIVATE ;
(private) , found in TForm

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl


Methods of TPasswordDialog (DBPWDLG) (030)
356 Methods of TPasswordDialog (DBPWDLG) (030)
7 superordinates
124 properties

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMClose  (inherited) (var Message: TWMClose); message WM_CLOSE ;
(private) , found in TForm

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TForm
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TForm
procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEnterIdle  (inherited) (var Message: TWMEnterIdle); message WM_ENTERIDLE ;
(private) , found in TForm


Methods of TPasswordDialog (DBPWDLG) (031)
356 Methods of TPasswordDialog (DBPWDLG) (031)
7 superordinates
124 properties

procedure
WMEnterMenuLoop  (inherited) (var Message: TMessage); message WM_ENTERMENULOOP ;
(private) , found in TForm

procedure
WMEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TForm
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMIconEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ICONERASEBKGND ;
(private) , found in TForm

procedure
WMInitMenuPopup  (inherited) (var Message: TWMInitMenuPopup); message WM_INITMENUPOPUP ;
(private) , found in TForm

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Message: TWMSetFocus); message WM_KILLFOCUS ;
(private) , found in TForm

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl


Methods of TPasswordDialog (DBPWDLG) (032)
356 Methods of TPasswordDialog (DBPWDLG) (032)
7 superordinates
124 properties

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMDIAtivate  (inherited) (var Message: TWMMDIActivate); message WM_MDIACTIVATE ;
(private) , found in TForm

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMenuSelect  (inherited) (var Message: TWMMenuSelect); message WM_MENUSELECT ;
(private) , found in TForm

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (033)
356 Methods of TPasswordDialog (DBPWDLG) (033)
7 superordinates
124 properties

procedure
WMNCCreate  (inherited) (var Message: TWMNCCreate); message WM_NCCREATE ;
(private) , found in TForm

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMNextDlgCtl  (inherited) (var Message: TWMNextDlgCtl); message WM_NEXTDLGCTL ;
(private) , found in TForm

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TForm
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TForm
procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryDragIcon  (inherited) (var Message: TWMQueryDragIcon); message WM_QUERYDRAGICON ;
(private) , found in TForm


Methods of TPasswordDialog (DBPWDLG) (034)
356 Methods of TPasswordDialog (DBPWDLG) (034)
7 superordinates
124 properties

procedure
WMQueryEndSession  (inherited) (var Message: TWMQueryEndSession); message WM_QUERYENDSESSION ;
(private) , found in TForm

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus  (inherited) (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TForm

procedure
WMShowWindow  (inherited) (var Message: TWMShowWindow); message WM_SHOWWINDOW ;
(private) , found in TForm

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TForm
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TScrollingWinControl
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TPasswordDialog (DBPWDLG) (035)
356 Methods of TPasswordDialog (DBPWDLG) (035)
7 superordinates
124 properties

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TForm
procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TForm
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TPasswordDialog (DBPWDLG) (036)
356 Methods of TPasswordDialog (DBPWDLG) (036)
7 superordinates
124 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTextHeight  (inherited) (Writer: TWriter) ;
(private) , found in TForm

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TIndexDef (DBTABLES)
20 Methods of TIndexDef (DBTABLES)
1 superordinates
4 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (Owner: TIndexDefs; const Name, Fields: string; Options: TIndexOptions) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TIndexDef (DBTABLES) (002)
20 Methods of TIndexDef (DBTABLES) (002)
1 superordinates
4 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetExpression : string ;
(private)

function
GetFields : string ;
(private)

function
GetName : string ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TIndexDefs (DBTABLES)
25 Methods of TIndexDefs (DBTABLES)
1 superordinates
2 properties

procedure
Add (const Name, Fields: string; Options: TIndexOptions) ;
(public)

procedure
Assign (IndexDefs: TIndexDefs) ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)

constructor
Create (Table: TTable) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TIndexDefs (DBTABLES) (002)
25 Methods of TIndexDefs (DBTABLES) (002)
1 superordinates
2 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindIndexForFields (const Fields: string): TIndexDef ;
(public)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetCount : Integer ;
(private)

function
GetItem (Index: Integer): TIndexDef ;
(private)

function
IndexOf (const Name: string): Integer ;
(public)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TIndexDefs (DBTABLES) (003)
25 Methods of TIndexDefs (DBTABLES) (003)
1 superordinates
2 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Update ;
(public)


Methods of TTableDataLink (DBTABLES)
45 Methods of TTableDataLink (DBTABLES)
3 superordinates
8 properties

procedure
ActiveChanged ;
(protected) override
procedure
ActiveChanged  (inherited) ;
(protected) virtual, found in TDataLink

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
CheckBrowseMode ;
(protected) override
procedure
CheckBrowseMode  (inherited) ;
(protected) virtual, found in TDataLink

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (Table: TTable) ;
(public)
constructor
Create  (inherited) ;
(public) , found in TDataLink
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TTableDataLink (DBTABLES) (002)
45 Methods of TTableDataLink (DBTABLES) (002)
3 superordinates
8 properties

procedure
DataEvent  (inherited) (Event: TDataEvent; Info: Longint) ;
(private) , found in TDataLink

procedure
DataSetChanged  (inherited) ;
(protected) virtual, found in TDataLink

procedure
DataSetScrolled  (inherited) (Distance: Integer) ;
(protected) virtual, found in TDataLink

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TDataLink
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
Edit  (inherited) : Boolean ;
(public) , found in TDataLink

procedure
EditingChanged  (inherited) ;
(protected) virtual, found in TDataLink

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TTableDataLink (DBTABLES) (003)
45 Methods of TTableDataLink (DBTABLES) (003)
3 superordinates
8 properties

procedure
FocusControl  (inherited) (Field: TFieldRef) ;
(protected) virtual, found in TDataLink

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActiveRecord  (inherited) : Integer ;
(private) , found in TDataLink

function
GetDataSet  (inherited) : TDataSet ;
(private) , found in TDataLink

function
GetRecordCount  (inherited) : Integer ;
(private) , found in TDataLink

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LayoutChanged ;
(protected) override
procedure
LayoutChanged  (inherited) ;
(protected) virtual, found in TDataLink


Methods of TTableDataLink (DBTABLES) (004)
45 Methods of TTableDataLink (DBTABLES) (004)
3 superordinates
8 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
RecordChanged (Field: TField) ;
(protected) override
procedure
RecordChanged  (inherited) (Field: TField) ;
(protected) virtual, found in TDataLink

procedure
SetActive  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
SetActiveRecord  (inherited) (Value: Integer) ;
(private) , found in TDataLink

procedure
SetBufferCount  (inherited) (Value: Integer) ;
(private) , found in TDataLink

procedure
SetDataSource  (inherited) (ADataSource: TDataSource) ;
(private) , found in TDataLink

procedure
SetEditing  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
SetFieldNames (const Value: string) ;
(private)


Methods of TTableDataLink (DBTABLES) (005)
45 Methods of TTableDataLink (DBTABLES) (005)
3 superordinates
8 properties

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
UpdateData  (inherited) ;
(protected) virtual, found in TDataLink

procedure
UpdateRange  (inherited) ;
(private) , found in TDataLink

procedure
UpdateRecord  (inherited) ;
(public) , found in TDataLink

procedure
UpdateState  (inherited) ;
(private) , found in TDataLink


Methods of TTable (DBTABLES)
217 Methods of TTable (DBTABLES)
5 superordinates
61 properties

procedure
ActivateBuffers  (inherited) ;
(private) , found in TDataSet

function
ActiveBuffer  (inherited) : PChar ;
(public) , found in TDataSet

procedure
AddDataSource  (inherited) (DataSource: TDataSource) ;
(private) , found in TDataSet

procedure
AddField  (inherited) (Field: TField) ;
(private) , found in TDataSet

procedure
AddIndex (const Name, Fields: string; Options: TIndexOptions) ;
(public)

procedure
AddRecord  (inherited) (const Values: array of const; Append: Boolean) ;
(private) , found in TDataSet

procedure
Append  (inherited) ;
(public) , found in TDataSet

procedure
AppendRecord  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

procedure
ApplyRange ;
(public)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent


Methods of TTable (DBTABLES) (002)
217 Methods of TTable (DBTABLES) (002)
5 superordinates
61 properties

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

function
BatchMove (ASource: TDataSet; AMode: TBatchMode): Longint ;
(public)

procedure
BeginInsertAppend  (inherited) ;
(private) , found in TDataSet

procedure
BindFields  (inherited) (Binding: Boolean) ;
(private) , found in TDataSet

procedure
Cancel  (inherited) ;
(public) , found in TDataSet

procedure
CancelRange ;
(public)

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckBrowseMode  (inherited) ;
(public) , found in TDataSet

procedure
CheckCanModify  (inherited) ;
(private) , found in TDataSet


Methods of TTable (DBTABLES) (003)
217 Methods of TTable (DBTABLES) (003)
5 superordinates
61 properties

procedure
CheckFieldName  (inherited) (const FieldName: string) ;
(private) , found in TDataSet

procedure
CheckInactive  (inherited) ;
(protected) , found in TDataSet

procedure
CheckRequiredFields  (inherited) ;
(private) , found in TDataSet

procedure
CheckSetKeyMode  (inherited) ;
(private) , found in TDataSet

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
ClearBuffers  (inherited) ;
(protected) , found in TDataSet

procedure
ClearFields  (inherited) ;
(public) , found in TDataSet


Methods of TTable (DBTABLES) (004)
217 Methods of TTable (DBTABLES) (004)
5 superordinates
61 properties

procedure
Close  (inherited) ;
(public) , found in TDataSet

procedure
CloseCursor  (inherited) ;
(protected) override, found in TDBDataSet
procedure
CloseCursor  (inherited) ;
(protected) virtual, found in TDataSet

procedure
CopyBuffer  (inherited) (SourceIndex, DestIndex: Integer) ;
(private) , found in TDataSet

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TDataSet
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateFields  (inherited) ;
(private) , found in TDataSet

function
CreateHandle : HDBICur ;
(protected) override
function
CreateHandle  (inherited) : HDBICur ;
(protected) virtual, found in TDataSet

procedure
CreateTable ;
(public)

procedure
CursorPosChanged  (inherited) ;
(public) , found in TDataSet

procedure
DataEvent (Event: TDataEvent; Info: Longint) ;
(protected) override
procedure
DataEvent  (inherited) (Event: TDataEvent; Info: Longint) ;
(protected) virtual, found in TDataSet

procedure
DecodeIndexDesc (const IndexDesc: IDXDesc; var Name, Fields: string; var Options: TIndexOptions) ;
(private)


Methods of TTable (DBTABLES) (005)
217 Methods of TTable (DBTABLES) (005)
5 superordinates
61 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete  (inherited) ;
(public) , found in TDataSet

procedure
DeleteIndex (const Name: string) ;
(public)

procedure
DeleteTable ;
(public)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TDataSet
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyFields  (inherited) ;
(private) , found in TDataSet

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableControls  (inherited) ;
(public) , found in TDataSet


Methods of TTable (DBTABLES) (006)
217 Methods of TTable (DBTABLES) (006)
5 superordinates
61 properties

procedure
Disconnect  (inherited) ;
(protected) virtual, found in TDBDataSet

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoAfterCancel  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterClose  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterDelete  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterEdit  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterInsert  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterOpen  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterPost  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeCancel  (inherited) ;
(protected) virtual, found in TDataSet


Methods of TTable (DBTABLES) (007)
217 Methods of TTable (DBTABLES) (007)
5 superordinates
61 properties

procedure
DoBeforeClose  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeDelete  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeEdit  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeInsert  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeOpen  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforePost  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoOnCalcFields  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoOnNewRecord ;
(protected) override
procedure
DoOnNewRecord  (inherited) ;
(protected) virtual, found in TDataSet

procedure
Edit  (inherited) ;
(public) , found in TDataSet

procedure
EditKey ;
(public)


Methods of TTable (DBTABLES) (008)
217 Methods of TTable (DBTABLES) (008)
5 superordinates
61 properties

procedure
EditRangeEnd ;
(public)

procedure
EditRangeStart ;
(public)

procedure
EmptyTable ;
(public)

procedure
EnableControls  (inherited) ;
(public) , found in TDataSet

procedure
EncodeFieldDesc (var FieldDesc: FLDDesc; const Name: string; DataType: TFieldType; Size: Word) ;
(private)

procedure
EncodeIndexDesc (var IndexDesc: IDXDesc; const Name, Fields: string; Options: TIndexOptions) ;
(private)

procedure
EndInsertAppend  (inherited) ;
(private) , found in TDataSet

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FieldByName  (inherited) (const FieldName: string): TField ;
(public) , found in TDataSet

function
FieldByNumber  (inherited) (FieldNo: Integer): TField ;
(private) , found in TDataSet


Methods of TTable (DBTABLES) (009)
217 Methods of TTable (DBTABLES) (009)
5 superordinates
61 properties

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindField  (inherited) (const FieldName: string): TField ;
(public) , found in TDataSet

function
FindKey (const KeyValues: array of const): Boolean ;
(public)

procedure
FindNearest (const KeyValues: array of const) ;
(public)

procedure
First  (inherited) ;
(public) , found in TDataSet

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBookmark  (inherited) (Bookmark: TBookmark) ;
(public) , found in TDataSet

procedure
FreeFieldBuffers  (inherited) ;
(private) , found in TDataSet

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActive  (inherited) : Boolean ;
(private) , found in TDataSet


Methods of TTable (DBTABLES) (010)
217 Methods of TTable (DBTABLES) (010)
5 superordinates
61 properties

function
GetBookmark  (inherited) : TBookmark ;
(public) , found in TDataSet

procedure
GetCalcFields  (inherited) (Index: Integer) ;
(private) , found in TDataSet

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetCurrentRecord  (inherited) (Buffer: PChar): Boolean ;
(public) , found in TDataSet

function
GetDBFlag  (inherited) (Flag: Integer): Boolean ;
(private) , found in TDBDataSet

function
GetDBHandle  (inherited) : HDBIDB ;
(private) , found in TDBDataSet

function
GetDBLocale  (inherited) : TLocale ;
(private) , found in TDBDataSet

function
GetDataSource : TDataSource ;
(protected) override
function
GetDataSource  (inherited) : TDataSource ;
(protected) virtual, found in TDataSet


Methods of TTable (DBTABLES) (011)
217 Methods of TTable (DBTABLES) (011)
5 superordinates
61 properties

function
GetDriverTypeName (Buffer: PChar): PChar ;
(private)

function
GetField  (inherited) (Index: Integer): TField ;
(private) , found in TDataSet

function
GetFieldCount  (inherited) : Integer ;
(private) , found in TDataSet

procedure
GetFieldNames  (inherited) (List: TStrings) ;
(public) , found in TDataSet

function
GetIndexField  (inherited) (Index: Integer): TField ;
(protected) , found in TDataSet

function
GetIndexFieldCount  (inherited) : Integer ;
(protected) , found in TDataSet

function
GetIndexFieldNames : string ;
(private)

procedure
GetIndexInfo  (inherited) ;
(private) , found in TDataSet

function
GetIndexName : string ;
(private)

procedure
GetIndexNames (List: TStrings) ;
(public)


Methods of TTable (DBTABLES) (012)
217 Methods of TTable (DBTABLES) (012)
5 superordinates
61 properties

procedure
GetIndexParams (const IndexName: string; FieldsIndex: Boolean; PIndexName, PIndexTag: PChar) ;
(private)

function
GetKeyBuffer  (inherited) (KeyIndex: TKeyIndex): PKeyBuffer ;
(protected) , found in TDataSet

function
GetKeyExclusive  (inherited) : Boolean ;
(protected) , found in TDataSet

function
GetKeyFieldCount  (inherited) : Integer ;
(protected) , found in TDataSet

function
GetMasterFields : string ;
(private)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNextRecord  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetNextRecords  (inherited) : Integer ;
(private) , found in TDataSet

function
GetPriorRecord  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetPriorRecords  (inherited) : Integer ;
(private) , found in TDataSet


Methods of TTable (DBTABLES) (013)
217 Methods of TTable (DBTABLES) (013)
5 superordinates
61 properties

function
GetRecord  (inherited) (Index: Integer; GetMode: TGetMode): DBIResult ;
(private) , found in TDataSet

function
GetRecordCount  (inherited) : Longint ;
(private) , found in TDataSet

function
GetTableTypeName : PChar ;
(private)

procedure
GotoBookmark  (inherited) (Bookmark: TBookmark) ;
(public) , found in TDataSet

procedure
GotoCurrent (Table: TTable) ;
(public)

function
GotoKey : Boolean ;
(public)

procedure
GotoNearest ;
(public)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

procedure
InitFieldDefs ;
(protected) override
procedure
InitFieldDefs  (inherited) ;
(protected) virtual, found in TDataSet


Methods of TTable (DBTABLES) (014)
217 Methods of TTable (DBTABLES) (014)
5 superordinates
61 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

function
InitKeyBuffer  (inherited) (Buffer: PKeyBuffer): PKeyBuffer ;
(private) , found in TDataSet

procedure
InitRecord  (inherited) (Buffer: PChar) ;
(private) , found in TDataSet

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) ;
(public) , found in TDataSet

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertRecord  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
InternalClose  (inherited) ;
(private) , found in TDataSet

procedure
InternalOpen  (inherited) ;
(private) , found in TDataSet

function
IsDBaseTable : Boolean ;
(private)


Methods of TTable (DBTABLES) (015)
217 Methods of TTable (DBTABLES) (015)
5 superordinates
61 properties

function
IsLinkedTo  (inherited) (DataSource: TDataSource): Boolean ;
(public) , found in TDataSet

procedure
Last  (inherited) ;
(public) , found in TDataSet

procedure
Loaded  (inherited) ;
(protected) override, found in TDataSet
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
LockTable (LockType: TLockType) ;
(public)

procedure
MasterChanged ;
(private)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MoveBuffer  (inherited) (CurIndex, NewIndex: Integer) ;
(private) , found in TDataSet

procedure
MoveBy  (inherited) (Distance: Integer) ;
(public) , found in TDataSet

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TTable (DBTABLES) (016)
217 Methods of TTable (DBTABLES) (016)
5 superordinates
61 properties

procedure
Next  (inherited) ;
(public) , found in TDataSet

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Open  (inherited) ;
(public) , found in TDataSet

procedure
OpenCursor  (inherited) ;
(protected) override, found in TDBDataSet
procedure
OpenCursor  (inherited) ;
(protected) virtual, found in TDataSet

procedure
Post  (inherited) ;
(public) , found in TDataSet

procedure
PostKeyBuffer  (inherited) (Commit: Boolean) ;
(private) , found in TDataSet

procedure
PrepareCursor ;
(protected) override
procedure
PrepareCursor  (inherited) ;
(protected) virtual, found in TDataSet

procedure
Prior  (inherited) ;
(public) , found in TDataSet

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent


Methods of TTable (DBTABLES) (017)
217 Methods of TTable (DBTABLES) (017)
5 superordinates
61 properties

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TDataSet

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveDataSource  (inherited) (DataSource: TDataSource) ;
(private) , found in TDataSet

procedure
RemoveField  (inherited) (Field: TField) ;
(private) , found in TDataSet

procedure
RenameTable (const NewTableName: string) ;
(public)

function
ResetCursorRange  (inherited) : Boolean ;
(protected) , found in TDataSet

procedure
Resync  (inherited) (Mode: TResyncMode) ;
(public) , found in TDataSet

procedure
SetActive  (inherited) (Value: Boolean) ;
(private) , found in TDataSet


Methods of TTable (DBTABLES) (018)
217 Methods of TTable (DBTABLES) (018)
5 superordinates
61 properties

procedure
SetBufListSize  (inherited) (Value: Integer) ;
(private) , found in TDataSet

procedure
SetBufferCount  (inherited) (Value: Integer) ;
(private) , found in TDataSet

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCurrentRecord  (inherited) (Index: Integer) ;
(private) , found in TDataSet

function
SetCursorRange  (inherited) : Boolean ;
(protected) , found in TDataSet

procedure
SetDBFlag  (inherited) (Flag: Integer; Value: Boolean) ;
(protected) virtual, found in TDBDataSet

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDatabaseName  (inherited) (const Value: TFileName) ;
(private) , found in TDBDataSet

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetExclusive (Value: Boolean) ;
(private)


Methods of TTable (DBTABLES) (019)
217 Methods of TTable (DBTABLES) (019)
5 superordinates
61 properties

procedure
SetField  (inherited) (Index: Integer; Value: TField) ;
(private) , found in TDataSet

procedure
SetFieldDefs  (inherited) (Value: TFieldDefs) ;
(private) , found in TDataSet

procedure
SetFields  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

procedure
SetIndex (const Value: string; FieldsIndex: Boolean) ;
(private)

procedure
SetIndexField  (inherited) (Index: Integer; Value: TField) ;
(protected) , found in TDataSet

procedure
SetIndexFieldNames (const Value: string) ;
(private)

procedure
SetIndexName (const Value: string) ;
(private)

procedure
SetKey ;
(public)

procedure
SetKeyBuffer  (inherited) (KeyIndex: TKeyIndex; Clear: Boolean) ;
(protected) , found in TDataSet

procedure
SetKeyExclusive  (inherited) (Value: Boolean) ;
(protected) , found in TDataSet


Methods of TTable (DBTABLES) (020)
217 Methods of TTable (DBTABLES) (020)
5 superordinates
61 properties

procedure
SetKeyFieldCount  (inherited) (Value: Integer) ;
(protected) , found in TDataSet

procedure
SetKeyFields  (inherited) (KeyIndex: TKeyIndex; const Values: array of const) ;
(protected) , found in TDataSet

procedure
SetLinkRanges  (inherited) (MasterFields: TList) ;
(protected) , found in TDataSet

procedure
SetMasterFields (const Value: string) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TDataSet

procedure
SetRange (const StartValues, EndValues: array of const) ;
(public)

procedure
SetRangeEnd ;
(public)

procedure
SetRangeStart ;
(public)

procedure
SetReadOnly (Value: Boolean) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TTable (DBTABLES) (021)
217 Methods of TTable (DBTABLES) (021)
5 superordinates
61 properties

procedure
SetState  (inherited) (Value: TDataSetState) ;
(private) , found in TDataSet

procedure
SetTableLock (LockType: TLockType; Lock: Boolean) ;
(private)

procedure
SetTableName (const Value: TFileName) ;
(private)

procedure
SetTableType (Value: TTableType) ;
(private)

procedure
SwitchToIndex  (inherited) (IndexName, TagName: PChar) ;
(protected) , found in TDataSet

procedure
UnlockTable (LockType: TLockType) ;
(public)

procedure
UpdateBufferCount  (inherited) ;
(private) , found in TDataSet

procedure
UpdateCursorPos  (inherited) ;
(public) , found in TDataSet

procedure
UpdateFieldDefs  (inherited) ;
(private) , found in TDataSet

procedure
UpdateIndexDefs ;
(private)


Methods of TTable (DBTABLES) (022)
217 Methods of TTable (DBTABLES) (022)
5 superordinates
61 properties

procedure
UpdateRange ;
(private)

procedure
UpdateRecord  (inherited) ;
(public) , found in TDataSet

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TDataSet
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TBatchMove (DBTABLES)
51 Methods of TBatchMove (DBTABLES)
3 superordinates
23 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

function
ConvertName (const Name: string; Buffer: PChar): PChar ;
(private)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TBatchMove (DBTABLES) (002)
51 Methods of TBatchMove (DBTABLES) (002)
3 superordinates
23 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Execute ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TBatchMove (DBTABLES) (003)
51 Methods of TBatchMove (DBTABLES) (003)
3 superordinates
23 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TBatchMove (DBTABLES) (004)
51 Methods of TBatchMove (DBTABLES) (004)
3 superordinates
23 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TBatchMove (DBTABLES) (005)
51 Methods of TBatchMove (DBTABLES) (005)
3 superordinates
23 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetMappings (Value: TStrings) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TBatchMove (DBTABLES) (006)
51 Methods of TBatchMove (DBTABLES) (006)
3 superordinates
23 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TParam (DBTABLES)
47 Methods of TParam (DBTABLES)
1 superordinates
17 properties

procedure
AccessError ;
(private)

procedure
Assign (Param: TParam) ;
(public)

procedure
AssignField (Field: TField) ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)

constructor
Create (AParamList: TParams; AParamType: TParamType) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TParam (DBTABLES) (002)
47 Methods of TParam (DBTABLES) (002)
1 superordinates
17 properties

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean : Boolean ;
(protected)

function
GetAsDateTime : TDateTime ;
(protected)

function
GetAsFloat : Double ;
(protected)

function
GetAsInteger : Longint ;
(protected)

function
GetAsString : string ;
(protected)


Methods of TParam (DBTABLES) (003)
47 Methods of TParam (DBTABLES) (003)
1 superordinates
17 properties

procedure
GetData (Buffer: Pointer) ;
(public)

function
GetDataSize : Word ;
(public)

function
GetParamName : string ;
(protected)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
InitValue ;
(private)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsValidFloat (const Value: string; var RetValue: Double): Boolean ;
(private)

function
IsValidInt (const Value: string; var RetValue: LongInt): Boolean ;
(private)

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TParam (DBTABLES) (004)
47 Methods of TParam (DBTABLES) (004)
1 superordinates
17 properties

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetAsBCD (Value: Double) ;
(protected)

procedure
SetAsBoolean (Value: Boolean) ;
(protected)

procedure
SetAsCurrency (Value: Double) ;
(protected)

procedure
SetAsDate (Value: TDateTime) ;
(protected)

procedure
SetAsDateTime (Value: TDateTime) ;
(protected)

procedure
SetAsFloat (Value: Double) ;
(protected)

procedure
SetAsInteger (Value: Longint) ;
(protected)

procedure
SetAsSmallInt (Value: LongInt) ;
(protected)


Methods of TParam (DBTABLES) (005)
47 Methods of TParam (DBTABLES) (005)
1 superordinates
17 properties

procedure
SetAsString (const Value: string) ;
(protected)

procedure
SetAsTime (Value: TDateTime) ;
(protected)

procedure
SetAsWord (Value: LongInt) ;
(protected)

procedure
SetData (Buffer: Pointer) ;
(public)

procedure
SetDataType (Value: TFieldType) ;
(protected)

procedure
SetParamName (const Value: string) ;
(protected)

procedure
SetText (const Value: string) ;
(protected)


Methods of TParams (DBTABLES)
32 Methods of TParams (DBTABLES)
2 superordinates
1 properties

procedure
AddParam (Value: TParam) ;
(public)

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo (Dest: TPersistent) ;
(protected) override
procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValues (Value: TParams) ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)


Methods of TParams (DBTABLES) (002)
32 Methods of TParams (DBTABLES) (002)
2 superordinates
1 properties

function
Count : Integer ;
(public)

constructor
Create ;
(public) virtual
constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateParam (FldType: TFieldType; const ParamName: string; ParamType: TParamType): TParam ;
(public)

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TParams (DBTABLES) (003)
32 Methods of TParams (DBTABLES) (003)
2 superordinates
1 properties

function
GetParam (Index: Word): TParam ;
(private)

function
GetVersion : Integer ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
ParamByName (const Value: string): TParam ;
(public)

procedure
ReadBinaryData (Stream: TStream) ;
(private)


Methods of TParams (DBTABLES) (004)
32 Methods of TParams (DBTABLES) (004)
2 superordinates
1 properties

procedure
RemoveParam (Value: TParam) ;
(public)

procedure
WriteBinaryData (Stream: TStream) ;
(private)


Methods of TStoredProc (DBTABLES)
192 Methods of TStoredProc (DBTABLES)
5 superordinates
55 properties

procedure
ActivateBuffers  (inherited) ;
(private) , found in TDataSet

function
ActiveBuffer  (inherited) : PChar ;
(public) , found in TDataSet

procedure
AddDataSource  (inherited) (DataSource: TDataSource) ;
(private) , found in TDataSet

procedure
AddField  (inherited) (Field: TField) ;
(private) , found in TDataSet

procedure
AddRecord  (inherited) (const Values: array of const; Append: Boolean) ;
(private) , found in TDataSet

procedure
Append  (inherited) ;
(public) , found in TDataSet

procedure
AppendRecord  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent


Methods of TStoredProc (DBTABLES) (002)
192 Methods of TStoredProc (DBTABLES) (002)
5 superordinates
55 properties

procedure
BeginInsertAppend  (inherited) ;
(private) , found in TDataSet

procedure
BindFields  (inherited) (Binding: Boolean) ;
(private) , found in TDataSet

procedure
BindParams ;
(private)

procedure
Cancel  (inherited) ;
(public) , found in TDataSet

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckBrowseMode  (inherited) ;
(public) , found in TDataSet

procedure
CheckCanModify  (inherited) ;
(private) , found in TDataSet

procedure
CheckFieldName  (inherited) (const FieldName: string) ;
(private) , found in TDataSet

procedure
CheckInactive  (inherited) ;
(protected) , found in TDataSet

procedure
CheckRequiredFields  (inherited) ;
(private) , found in TDataSet


Methods of TStoredProc (DBTABLES) (003)
192 Methods of TStoredProc (DBTABLES) (003)
5 superordinates
55 properties

function
CheckServerParams : Boolean ;
(private)

procedure
CheckSetKeyMode  (inherited) ;
(private) , found in TDataSet

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
ClearBuffers  (inherited) ;
(protected) , found in TDataSet

procedure
ClearFields  (inherited) ;
(public) , found in TDataSet

procedure
Close  (inherited) ;
(public) , found in TDataSet

procedure
CloseCursor  (inherited) ;
(protected) override, found in TDBDataSet
procedure
CloseCursor  (inherited) ;
(protected) virtual, found in TDataSet


Methods of TStoredProc (DBTABLES) (004)
192 Methods of TStoredProc (DBTABLES) (004)
5 superordinates
55 properties

procedure
CopyBuffer  (inherited) (SourceIndex, DestIndex: Integer) ;
(private) , found in TDataSet

procedure
CopyParams (Value: TParams) ;
(public)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TDataSet
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateCursor (GenHandle: Boolean): HDBICur ;
(private)

procedure
CreateFields  (inherited) ;
(private) , found in TDataSet

function
CreateHandle : HDBICur ;
(protected) override
function
CreateHandle  (inherited) : HDBICur ;
(protected) virtual, found in TDataSet

procedure
CreateParamDesc ;
(private)

procedure
CursorPosChanged  (inherited) ;
(public) , found in TDataSet

procedure
DataEvent  (inherited) (Event: TDataEvent; Info: Longint) ;
(protected) virtual, found in TDataSet

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TStoredProc (DBTABLES) (005)
192 Methods of TStoredProc (DBTABLES) (005)
5 superordinates
55 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete  (inherited) ;
(public) , found in TDataSet

function
DescriptionsAvailable : Boolean ;
(public)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TDataSet
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyFields  (inherited) ;
(private) , found in TDataSet

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableControls  (inherited) ;
(public) , found in TDataSet

procedure
Disconnect ;
(protected) override
procedure
Disconnect  (inherited) ;
(protected) virtual, found in TDBDataSet

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TStoredProc (DBTABLES) (006)
192 Methods of TStoredProc (DBTABLES) (006)
5 superordinates
55 properties

procedure
DoAfterCancel  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterClose  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterDelete  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterEdit  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterInsert  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterOpen  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterPost  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeCancel  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeClose  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeDelete  (inherited) ;
(protected) virtual, found in TDataSet


Methods of TStoredProc (DBTABLES) (007)
192 Methods of TStoredProc (DBTABLES) (007)
5 superordinates
55 properties

procedure
DoBeforeEdit  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeInsert  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeOpen  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforePost  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoOnCalcFields  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoOnNewRecord  (inherited) ;
(protected) virtual, found in TDataSet

procedure
Edit  (inherited) ;
(public) , found in TDataSet

procedure
EnableControls  (inherited) ;
(public) , found in TDataSet

procedure
EndInsertAppend  (inherited) ;
(private) , found in TDataSet

procedure
ExecProc ;
(public)


Methods of TStoredProc (DBTABLES) (008)
192 Methods of TStoredProc (DBTABLES) (008)
5 superordinates
55 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FieldByName  (inherited) (const FieldName: string): TField ;
(public) , found in TDataSet

function
FieldByNumber  (inherited) (FieldNo: Integer): TField ;
(private) , found in TDataSet

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindField  (inherited) (const FieldName: string): TField ;
(public) , found in TDataSet

procedure
First  (inherited) ;
(public) , found in TDataSet

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBookmark  (inherited) (Bookmark: TBookmark) ;
(public) , found in TDataSet

procedure
FreeFieldBuffers  (inherited) ;
(private) , found in TDataSet

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TStoredProc (DBTABLES) (009)
192 Methods of TStoredProc (DBTABLES) (009)
5 superordinates
55 properties

procedure
FreeStatement ;
(private)

function
GetActive  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetBookmark  (inherited) : TBookmark ;
(public) , found in TDataSet

procedure
GetCalcFields  (inherited) (Index: Integer) ;
(private) , found in TDataSet

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetCurrentRecord  (inherited) (Buffer: PChar): Boolean ;
(public) , found in TDataSet

function
GetCursor (GenHandle: Boolean): HDBICur ;
(private)

function
GetDBFlag  (inherited) (Flag: Integer): Boolean ;
(private) , found in TDBDataSet


Methods of TStoredProc (DBTABLES) (010)
192 Methods of TStoredProc (DBTABLES) (010)
5 superordinates
55 properties

function
GetDBHandle  (inherited) : HDBIDB ;
(private) , found in TDBDataSet

function
GetDBLocale  (inherited) : TLocale ;
(private) , found in TDBDataSet

function
GetDataSource  (inherited) : TDataSource ;
(protected) virtual, found in TDataSet

function
GetField  (inherited) (Index: Integer): TField ;
(private) , found in TDataSet

function
GetFieldCount  (inherited) : Integer ;
(private) , found in TDataSet

procedure
GetFieldNames  (inherited) (List: TStrings) ;
(public) , found in TDataSet

function
GetIndexField  (inherited) (Index: Integer): TField ;
(protected) , found in TDataSet

function
GetIndexFieldCount  (inherited) : Integer ;
(protected) , found in TDataSet

procedure
GetIndexInfo  (inherited) ;
(private) , found in TDataSet

function
GetKeyBuffer  (inherited) (KeyIndex: TKeyIndex): PKeyBuffer ;
(protected) , found in TDataSet


Methods of TStoredProc (DBTABLES) (011)
192 Methods of TStoredProc (DBTABLES) (011)
5 superordinates
55 properties

function
GetKeyExclusive  (inherited) : Boolean ;
(protected) , found in TDataSet

function
GetKeyFieldCount  (inherited) : Integer ;
(protected) , found in TDataSet

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNextRecord  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetNextRecords  (inherited) : Integer ;
(private) , found in TDataSet

function
GetParamsCount : Word ;
(protected)

function
GetPriorRecord  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetPriorRecords  (inherited) : Integer ;
(private) , found in TDataSet

function
GetProcName : string ;
(protected)

function
GetRecord  (inherited) (Index: Integer; GetMode: TGetMode): DBIResult ;
(private) , found in TDataSet


Methods of TStoredProc (DBTABLES) (012)
192 Methods of TStoredProc (DBTABLES) (012)
5 superordinates
55 properties

function
GetRecordCount  (inherited) : Longint ;
(private) , found in TDataSet

procedure
GetResults ;
(public)

procedure
GotoBookmark  (inherited) (Bookmark: TBookmark) ;
(public) , found in TDataSet

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

procedure
InitFieldDefs  (inherited) ;
(protected) virtual, found in TDataSet

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

function
InitKeyBuffer  (inherited) (Buffer: PKeyBuffer): PKeyBuffer ;
(private) , found in TDataSet

procedure
InitRecord  (inherited) (Buffer: PChar) ;
(private) , found in TDataSet

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) ;
(public) , found in TDataSet


Methods of TStoredProc (DBTABLES) (013)
192 Methods of TStoredProc (DBTABLES) (013)
5 superordinates
55 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertRecord  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
InternalClose  (inherited) ;
(private) , found in TDataSet

procedure
InternalOpen  (inherited) ;
(private) , found in TDataSet

function
IsLinkedTo  (inherited) (DataSource: TDataSource): Boolean ;
(public) , found in TDataSet

procedure
Last  (inherited) ;
(public) , found in TDataSet

procedure
Loaded  (inherited) ;
(protected) override, found in TDataSet
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TStoredProc (DBTABLES) (014)
192 Methods of TStoredProc (DBTABLES) (014)
5 superordinates
55 properties

procedure
MoveBuffer  (inherited) (CurIndex, NewIndex: Integer) ;
(private) , found in TDataSet

procedure
MoveBy  (inherited) (Distance: Integer) ;
(public) , found in TDataSet

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Next  (inherited) ;
(public) , found in TDataSet

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Open  (inherited) ;
(public) , found in TDataSet

procedure
OpenCursor  (inherited) ;
(protected) override, found in TDBDataSet
procedure
OpenCursor  (inherited) ;
(protected) virtual, found in TDataSet

function
ParamByName (const Value: string): TParam ;
(public)

procedure
Post  (inherited) ;
(public) , found in TDataSet

procedure
PostKeyBuffer  (inherited) (Commit: Boolean) ;
(private) , found in TDataSet


Methods of TStoredProc (DBTABLES) (015)
192 Methods of TStoredProc (DBTABLES) (015)
5 superordinates
55 properties

procedure
Prepare ;
(public)

procedure
PrepareCursor  (inherited) ;
(protected) virtual, found in TDataSet

procedure
PrepareProc ;
(private)

procedure
Prior  (inherited) ;
(public) , found in TDataSet

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TDataSet

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TStoredProc (DBTABLES) (016)
192 Methods of TStoredProc (DBTABLES) (016)
5 superordinates
55 properties

procedure
RemoveDataSource  (inherited) (DataSource: TDataSource) ;
(private) , found in TDataSet

procedure
RemoveField  (inherited) (Field: TField) ;
(private) , found in TDataSet

function
ResetCursorRange  (inherited) : Boolean ;
(protected) , found in TDataSet

procedure
Resync  (inherited) (Mode: TResyncMode) ;
(public) , found in TDataSet

procedure
SetActive  (inherited) (Value: Boolean) ;
(private) , found in TDataSet

procedure
SetBufListSize  (inherited) (Value: Integer) ;
(private) , found in TDataSet

procedure
SetBufferCount  (inherited) (Value: Integer) ;
(private) , found in TDataSet

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCurrentRecord  (inherited) (Index: Integer) ;
(private) , found in TDataSet

function
SetCursorRange  (inherited) : Boolean ;
(protected) , found in TDataSet


Methods of TStoredProc (DBTABLES) (017)
192 Methods of TStoredProc (DBTABLES) (017)
5 superordinates
55 properties

procedure
SetDBFlag (Flag: Integer; Value: Boolean) ;
(protected) override
procedure
SetDBFlag  (inherited) (Flag: Integer; Value: Boolean) ;
(protected) virtual, found in TDBDataSet

procedure
SetDatabaseName  (inherited) (const Value: TFileName) ;
(private) , found in TDBDataSet

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetField  (inherited) (Index: Integer; Value: TField) ;
(private) , found in TDataSet

procedure
SetFieldDefs  (inherited) (Value: TFieldDefs) ;
(private) , found in TDataSet

procedure
SetFields  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

procedure
SetIndexField  (inherited) (Index: Integer; Value: TField) ;
(protected) , found in TDataSet

procedure
SetKeyBuffer  (inherited) (KeyIndex: TKeyIndex; Clear: Boolean) ;
(protected) , found in TDataSet

procedure
SetKeyExclusive  (inherited) (Value: Boolean) ;
(protected) , found in TDataSet

procedure
SetKeyFieldCount  (inherited) (Value: Integer) ;
(protected) , found in TDataSet


Methods of TStoredProc (DBTABLES) (018)
192 Methods of TStoredProc (DBTABLES) (018)
5 superordinates
55 properties

procedure
SetKeyFields  (inherited) (KeyIndex: TKeyIndex; const Values: array of const) ;
(protected) , found in TDataSet

procedure
SetLinkRanges  (inherited) (MasterFields: TList) ;
(protected) , found in TDataSet

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TDataSet

procedure
SetOverLoad (Value: Word) ;
(protected)

procedure
SetParamsList (Value: TParams) ;
(private)

procedure
SetPrepare (Value: Boolean) ;
(protected)

procedure
SetPrepared (Value: Boolean) ;
(protected)

procedure
SetProcName (const Value: string) ;
(protected)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetServerParams ;
(private)


Methods of TStoredProc (DBTABLES) (019)
192 Methods of TStoredProc (DBTABLES) (019)
5 superordinates
55 properties

procedure
SetState  (inherited) (Value: TDataSetState) ;
(private) , found in TDataSet

procedure
SwitchToIndex  (inherited) (IndexName, TagName: PChar) ;
(protected) , found in TDataSet

procedure
UnPrepare ;
(public)

procedure
UpdateBufferCount  (inherited) ;
(private) , found in TDataSet

procedure
UpdateCursorPos  (inherited) ;
(public) , found in TDataSet

procedure
UpdateFieldDefs  (inherited) ;
(private) , found in TDataSet

procedure
UpdateRecord  (inherited) ;
(public) , found in TDataSet

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TDataSet
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TStoredProc (DBTABLES) (020)
192 Methods of TStoredProc (DBTABLES) (020)
5 superordinates
55 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TQuery (DBTABLES)
193 Methods of TQuery (DBTABLES)
5 superordinates
58 properties

procedure
ActivateBuffers  (inherited) ;
(private) , found in TDataSet

function
ActiveBuffer  (inherited) : PChar ;
(public) , found in TDataSet

procedure
AddDataSource  (inherited) (DataSource: TDataSource) ;
(private) , found in TDataSet

procedure
AddField  (inherited) (Field: TField) ;
(private) , found in TDataSet

procedure
AddRecord  (inherited) (const Values: array of const; Append: Boolean) ;
(private) , found in TDataSet

procedure
Append  (inherited) ;
(public) , found in TDataSet

procedure
AppendRecord  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent


Methods of TQuery (DBTABLES) (002)
193 Methods of TQuery (DBTABLES) (002)
5 superordinates
58 properties

procedure
BeginInsertAppend  (inherited) ;
(private) , found in TDataSet

procedure
BindFields  (inherited) (Binding: Boolean) ;
(private) , found in TDataSet

procedure
Cancel  (inherited) ;
(public) , found in TDataSet

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckBrowseMode  (inherited) ;
(public) , found in TDataSet

procedure
CheckCanModify  (inherited) ;
(private) , found in TDataSet

procedure
CheckFieldName  (inherited) (const FieldName: string) ;
(private) , found in TDataSet

procedure
CheckInactive  (inherited) ;
(protected) , found in TDataSet

procedure
CheckRequiredFields  (inherited) ;
(private) , found in TDataSet

procedure
CheckSetKeyMode  (inherited) ;
(private) , found in TDataSet


Methods of TQuery (DBTABLES) (003)
193 Methods of TQuery (DBTABLES) (003)
5 superordinates
58 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
ClearBuffers  (inherited) ;
(protected) , found in TDataSet

procedure
ClearFields  (inherited) ;
(public) , found in TDataSet

procedure
Close  (inherited) ;
(public) , found in TDataSet

procedure
CloseCursor  (inherited) ;
(protected) override, found in TDBDataSet
procedure
CloseCursor  (inherited) ;
(protected) virtual, found in TDataSet

procedure
CopyBuffer  (inherited) (SourceIndex, DestIndex: Integer) ;
(private) , found in TDataSet

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TDataSet
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TQuery (DBTABLES) (004)
193 Methods of TQuery (DBTABLES) (004)
5 superordinates
58 properties

function
CreateCursor (GenHandle: Boolean): HDBICur ;
(private)

procedure
CreateFields  (inherited) ;
(private) , found in TDataSet

function
CreateHandle : HDBICur ;
(protected) override
function
CreateHandle  (inherited) : HDBICur ;
(protected) virtual, found in TDataSet

procedure
CreateParams (List: TParams; const Value: PChar) ;
(private)

procedure
CursorPosChanged  (inherited) ;
(public) , found in TDataSet

procedure
DataEvent  (inherited) (Event: TDataEvent; Info: Longint) ;
(protected) virtual, found in TDataSet

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(private) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete  (inherited) ;
(public) , found in TDataSet

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TDataSet
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TQuery (DBTABLES) (005)
193 Methods of TQuery (DBTABLES) (005)
5 superordinates
58 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyFields  (inherited) ;
(private) , found in TDataSet

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableControls  (inherited) ;
(public) , found in TDataSet

procedure
Disconnect ;
(protected) override
procedure
Disconnect  (inherited) ;
(protected) virtual, found in TDBDataSet

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoAfterCancel  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterClose  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterDelete  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterEdit  (inherited) ;
(protected) virtual, found in TDataSet


Methods of TQuery (DBTABLES) (006)
193 Methods of TQuery (DBTABLES) (006)
5 superordinates
58 properties

procedure
DoAfterInsert  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterOpen  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoAfterPost  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeCancel  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeClose  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeDelete  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeEdit  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeInsert  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforeOpen  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoBeforePost  (inherited) ;
(protected) virtual, found in TDataSet


Methods of TQuery (DBTABLES) (007)
193 Methods of TQuery (DBTABLES) (007)
5 superordinates
58 properties

procedure
DoOnCalcFields  (inherited) ;
(protected) virtual, found in TDataSet

procedure
DoOnNewRecord  (inherited) ;
(protected) virtual, found in TDataSet

procedure
Edit  (inherited) ;
(public) , found in TDataSet

procedure
EnableControls  (inherited) ;
(public) , found in TDataSet

procedure
EndInsertAppend  (inherited) ;
(private) , found in TDataSet

procedure
ExecSQL ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FieldByName  (inherited) (const FieldName: string): TField ;
(public) , found in TDataSet

function
FieldByNumber  (inherited) (FieldNo: Integer): TField ;
(private) , found in TDataSet

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TQuery (DBTABLES) (008)
193 Methods of TQuery (DBTABLES) (008)
5 superordinates
58 properties

function
FindField  (inherited) (const FieldName: string): TField ;
(public) , found in TDataSet

procedure
First  (inherited) ;
(public) , found in TDataSet

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBookmark  (inherited) (Bookmark: TBookmark) ;
(public) , found in TDataSet

procedure
FreeFieldBuffers  (inherited) ;
(private) , found in TDataSet

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

procedure
FreeStatement ;
(private)

function
GetActive  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetBookmark  (inherited) : TBookmark ;
(public) , found in TDataSet

procedure
GetCalcFields  (inherited) (Index: Integer) ;
(private) , found in TDataSet


Methods of TQuery (DBTABLES) (009)
193 Methods of TQuery (DBTABLES) (009)
5 superordinates
58 properties

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetCurrentRecord  (inherited) (Buffer: PChar): Boolean ;
(public) , found in TDataSet

function
GetDBFlag  (inherited) (Flag: Integer): Boolean ;
(private) , found in TDBDataSet

function
GetDBHandle  (inherited) : HDBIDB ;
(private) , found in TDBDataSet

function
GetDBLocale  (inherited) : TLocale ;
(private) , found in TDBDataSet

function
GetDataSource : TDataSource ;
(protected) override
function
GetDataSource  (inherited) : TDataSource ;
(protected) virtual, found in TDataSet

function
GetField  (inherited) (Index: Integer): TField ;
(private) , found in TDataSet

function
GetFieldCount  (inherited) : Integer ;
(private) , found in TDataSet


Methods of TQuery (DBTABLES) (010)
193 Methods of TQuery (DBTABLES) (010)
5 superordinates
58 properties

procedure
GetFieldNames  (inherited) (List: TStrings) ;
(public) , found in TDataSet

function
GetIndexField  (inherited) (Index: Integer): TField ;
(protected) , found in TDataSet

function
GetIndexFieldCount  (inherited) : Integer ;
(protected) , found in TDataSet

procedure
GetIndexInfo  (inherited) ;
(private) , found in TDataSet

function
GetKeyBuffer  (inherited) (KeyIndex: TKeyIndex): PKeyBuffer ;
(protected) , found in TDataSet

function
GetKeyExclusive  (inherited) : Boolean ;
(protected) , found in TDataSet

function
GetKeyFieldCount  (inherited) : Integer ;
(protected) , found in TDataSet

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNextRecord  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetNextRecords  (inherited) : Integer ;
(private) , found in TDataSet


Methods of TQuery (DBTABLES) (011)
193 Methods of TQuery (DBTABLES) (011)
5 superordinates
58 properties

function
GetParamsCount : Word ;
(protected)

function
GetPriorRecord  (inherited) : Boolean ;
(private) , found in TDataSet

function
GetPriorRecords  (inherited) : Integer ;
(private) , found in TDataSet

function
GetQueryCursor (GenHandle: Boolean): HDBICur ;
(private)

function
GetRecord  (inherited) (Index: Integer; GetMode: TGetMode): DBIResult ;
(private) , found in TDataSet

function
GetRecordCount  (inherited) : Longint ;
(private) , found in TDataSet

function
GetSQLText : PChar ;
(private)

procedure
GetStatementHandle (SQLText: PChar) ;
(private)

procedure
GotoBookmark  (inherited) (Bookmark: TBookmark) ;
(public) , found in TDataSet

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent


Methods of TQuery (DBTABLES) (012)
193 Methods of TQuery (DBTABLES) (012)
5 superordinates
58 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

procedure
InitFieldDefs  (inherited) ;
(protected) virtual, found in TDataSet

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

function
InitKeyBuffer  (inherited) (Buffer: PKeyBuffer): PKeyBuffer ;
(private) , found in TDataSet

procedure
InitRecord  (inherited) (Buffer: PChar) ;
(private) , found in TDataSet

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) ;
(public) , found in TDataSet

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertRecord  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
InternalClose  (inherited) ;
(private) , found in TDataSet


Methods of TQuery (DBTABLES) (013)
193 Methods of TQuery (DBTABLES) (013)
5 superordinates
58 properties

procedure
InternalOpen  (inherited) ;
(private) , found in TDataSet

function
IsLinkedTo  (inherited) (DataSource: TDataSource): Boolean ;
(public) , found in TDataSet

procedure
Last  (inherited) ;
(public) , found in TDataSet

procedure
Loaded  (inherited) ;
(protected) override, found in TDataSet
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MoveBuffer  (inherited) (CurIndex, NewIndex: Integer) ;
(private) , found in TDataSet

procedure
MoveBy  (inherited) (Distance: Integer) ;
(public) , found in TDataSet

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Next  (inherited) ;
(public) , found in TDataSet


Methods of TQuery (DBTABLES) (014)
193 Methods of TQuery (DBTABLES) (014)
5 superordinates
58 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Open  (inherited) ;
(public) , found in TDataSet

procedure
OpenCursor  (inherited) ;
(protected) override, found in TDBDataSet
procedure
OpenCursor  (inherited) ;
(protected) virtual, found in TDataSet

function
ParamByName (const Value: string): TParam ;
(public)

procedure
Post  (inherited) ;
(public) , found in TDataSet

procedure
PostKeyBuffer  (inherited) (Commit: Boolean) ;
(private) , found in TDataSet

procedure
Prepare ;
(public)

procedure
PrepareCursor  (inherited) ;
(protected) virtual, found in TDataSet

procedure
PrepareSQL (Value: PChar) ;
(private)

procedure
Prior  (inherited) ;
(public) , found in TDataSet


Methods of TQuery (DBTABLES) (015)
193 Methods of TQuery (DBTABLES) (015)
5 superordinates
58 properties

procedure
QueryChanged (Sender: TObject) ;
(private)

procedure
ReadBinaryData (Stream: TStream) ;
(private)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TDataSet

procedure
RefreshParams ;
(private)

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveDataSource  (inherited) (DataSource: TDataSource) ;
(private) , found in TDataSet


Methods of TQuery (DBTABLES) (016)
193 Methods of TQuery (DBTABLES) (016)
5 superordinates
58 properties

procedure
RemoveField  (inherited) (Field: TField) ;
(private) , found in TDataSet

function
ResetCursorRange  (inherited) : Boolean ;
(protected) , found in TDataSet

procedure
Resync  (inherited) (Mode: TResyncMode) ;
(public) , found in TDataSet

procedure
SetActive  (inherited) (Value: Boolean) ;
(private) , found in TDataSet

procedure
SetBufListSize  (inherited) (Value: Integer) ;
(private) , found in TDataSet

procedure
SetBufferCount  (inherited) (Value: Integer) ;
(private) , found in TDataSet

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCurrentRecord  (inherited) (Index: Integer) ;
(private) , found in TDataSet

function
SetCursorRange  (inherited) : Boolean ;
(protected) , found in TDataSet

procedure
SetDBFlag (Flag: Integer; Value: Boolean) ;
(protected) override
procedure
SetDBFlag  (inherited) (Flag: Integer; Value: Boolean) ;
(protected) virtual, found in TDBDataSet


Methods of TQuery (DBTABLES) (017)
193 Methods of TQuery (DBTABLES) (017)
5 superordinates
58 properties

procedure
SetDataSource (Value: TDataSource) ;
(private)

procedure
SetDatabaseName  (inherited) (const Value: TFileName) ;
(private) , found in TDBDataSet

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetField  (inherited) (Index: Integer; Value: TField) ;
(private) , found in TDataSet

procedure
SetFieldDefs  (inherited) (Value: TFieldDefs) ;
(private) , found in TDataSet

procedure
SetFields  (inherited) (const Values: array of const) ;
(public) , found in TDataSet

procedure
SetIndexField  (inherited) (Index: Integer; Value: TField) ;
(protected) , found in TDataSet

procedure
SetKeyBuffer  (inherited) (KeyIndex: TKeyIndex; Clear: Boolean) ;
(protected) , found in TDataSet

procedure
SetKeyExclusive  (inherited) (Value: Boolean) ;
(protected) , found in TDataSet

procedure
SetKeyFieldCount  (inherited) (Value: Integer) ;
(protected) , found in TDataSet


Methods of TQuery (DBTABLES) (018)
193 Methods of TQuery (DBTABLES) (018)
5 superordinates
58 properties

procedure
SetKeyFields  (inherited) (KeyIndex: TKeyIndex; const Values: array of const) ;
(protected) , found in TDataSet

procedure
SetLinkRanges  (inherited) (MasterFields: TList) ;
(protected) , found in TDataSet

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TDataSet

procedure
SetParams ;
(private)

procedure
SetParamsFromCursor ;
(private)

procedure
SetParamsList (Value: TParams) ;
(private)

procedure
SetPrepare (Value: Boolean) ;
(private)

procedure
SetPrepared (Value: Boolean) ;
(private)

procedure
SetQuery (Value: TStrings) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TQuery (DBTABLES) (019)
193 Methods of TQuery (DBTABLES) (019)
5 superordinates
58 properties

procedure
SetState  (inherited) (Value: TDataSetState) ;
(private) , found in TDataSet

procedure
SwitchToIndex  (inherited) (IndexName, TagName: PChar) ;
(protected) , found in TDataSet

procedure
UnPrepare ;
(public)

procedure
UpdateBufferCount  (inherited) ;
(private) , found in TDataSet

procedure
UpdateCursorPos  (inherited) ;
(public) , found in TDataSet

procedure
UpdateFieldDefs  (inherited) ;
(private) , found in TDataSet

procedure
UpdateRecord  (inherited) ;
(public) , found in TDataSet

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteBinaryData (Stream: TStream) ;
(private)

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TDataSet
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TQuery (DBTABLES) (020)
193 Methods of TQuery (DBTABLES) (020)
5 superordinates
58 properties

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TStringField (DBTABLES)
99 Methods of TStringField (DBTABLES)
4 superordinates
42 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TStringField (DBTABLES) (002)
99 Methods of TStringField (DBTABLES) (002)
4 superordinates
42 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TStringField (DBTABLES) (003)
99 Methods of TStringField (DBTABLES) (003)
4 superordinates
42 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean : Boolean ;
(protected) override
function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime : TDateTime ;
(protected) override
function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat : Double ;
(protected) override
function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TStringField (DBTABLES) (004)
99 Methods of TStringField (DBTABLES) (004)
4 superordinates
42 properties

function
GetAsInteger : Longint ;
(protected) override
function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString : string ;
(protected) override
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth : Integer ;
(protected) override
function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField


Methods of TStringField (DBTABLES) (005)
99 Methods of TStringField (DBTABLES) (005)
4 superordinates
42 properties

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText (var Text: string; DisplayText: Boolean) ;
(protected) override
procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField


Methods of TStringField (DBTABLES) (006)
99 Methods of TStringField (DBTABLES) (006)
4 superordinates
42 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TStringField (DBTABLES) (007)
99 Methods of TStringField (DBTABLES) (007)
4 superordinates
42 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TStringField (DBTABLES) (008)
99 Methods of TStringField (DBTABLES) (008)
4 superordinates
42 properties

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean (Value: Boolean) ;
(protected) override
procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime (Value: TDateTime) ;
(protected) override
procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat (Value: Double) ;
(protected) override
procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger (Value: Longint) ;
(protected) override
procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString (const Value: string) ;
(protected) override
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField


Methods of TStringField (DBTABLES) (009)
99 Methods of TStringField (DBTABLES) (009)
4 superordinates
42 properties

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TStringField (DBTABLES) (010)
99 Methods of TStringField (DBTABLES) (010)
4 superordinates
42 properties

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TNumericField (DBTABLES)
104 Methods of TNumericField (DBTABLES)
4 superordinates
42 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TNumericField (DBTABLES) (002)
104 Methods of TNumericField (DBTABLES) (002)
4 superordinates
42 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TNumericField (DBTABLES) (003)
104 Methods of TNumericField (DBTABLES) (003)
4 superordinates
42 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TNumericField (DBTABLES) (004)
104 Methods of TNumericField (DBTABLES) (004)
4 superordinates
42 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayFormat : string ;
(private)

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField


Methods of TNumericField (DBTABLES) (005)
104 Methods of TNumericField (DBTABLES) (005)
4 superordinates
42 properties

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditFormat : string ;
(private)

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField


Methods of TNumericField (DBTABLES) (006)
104 Methods of TNumericField (DBTABLES) (006)
4 superordinates
42 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField


Methods of TNumericField (DBTABLES) (007)
104 Methods of TNumericField (DBTABLES) (007)
4 superordinates
42 properties

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
RangeError (Value, Min, Max: Double) ;
(private)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent


Methods of TNumericField (DBTABLES) (008)
104 Methods of TNumericField (DBTABLES) (008)
4 superordinates
42 properties

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField


Methods of TNumericField (DBTABLES) (009)
104 Methods of TNumericField (DBTABLES) (009)
4 superordinates
42 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayFormat (const Value: string) ;
(private)

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditFormat (const Value: string) ;
(private)

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField


Methods of TNumericField (DBTABLES) (010)
104 Methods of TNumericField (DBTABLES) (010)
4 superordinates
42 properties

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent


Methods of TNumericField (DBTABLES) (011)
104 Methods of TNumericField (DBTABLES) (011)
4 superordinates
42 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TIntegerField (DBTABLES)
108 Methods of TIntegerField (DBTABLES)
5 superordinates
45 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

procedure
CheckRange (Value, Min, Max: Longint) ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TIntegerField (DBTABLES) (002)
108 Methods of TIntegerField (DBTABLES) (002)
5 superordinates
45 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TNumericField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TNumericField
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent


Methods of TIntegerField (DBTABLES) (003)
108 Methods of TIntegerField (DBTABLES) (003)
5 superordinates
45 properties

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField


Methods of TIntegerField (DBTABLES) (004)
108 Methods of TIntegerField (DBTABLES) (004)
5 superordinates
45 properties

function
GetAsFloat : Double ;
(protected) override
function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField

function
GetAsInteger : Longint ;
(protected) override
function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString : string ;
(protected) override
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayFormat  (inherited) : string ;
(private) , found in TNumericField


Methods of TIntegerField (DBTABLES) (005)
108 Methods of TIntegerField (DBTABLES) (005)
5 superordinates
45 properties

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditFormat  (inherited) : string ;
(private) , found in TNumericField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField


Methods of TIntegerField (DBTABLES) (006)
108 Methods of TIntegerField (DBTABLES) (006)
5 superordinates
45 properties

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText (var Text: string; DisplayText: Boolean) ;
(protected) override
procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
GetValue (var Value: Longint): Boolean ;
(protected)

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TIntegerField (DBTABLES) (007)
108 Methods of TIntegerField (DBTABLES) (007)
5 superordinates
45 properties

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar (Ch: Char): Boolean ;
(public) override
function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
RangeError  (inherited) (Value, Min, Max: Double) ;
(private) , found in TNumericField


Methods of TIntegerField (DBTABLES) (008)
108 Methods of TIntegerField (DBTABLES) (008)
5 superordinates
45 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat (Value: Double) ;
(protected) override
procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger (Value: Longint) ;
(protected) override
procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField


Methods of TIntegerField (DBTABLES) (009)
108 Methods of TIntegerField (DBTABLES) (009)
5 superordinates
45 properties

procedure
SetAsString (const Value: string) ;
(protected) override
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField


Methods of TIntegerField (DBTABLES) (010)
108 Methods of TIntegerField (DBTABLES) (010)
5 superordinates
45 properties

procedure
SetEditFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetMaxValue (Value: Longint) ;
(private)

procedure
SetMinValue (Value: Longint) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField


Methods of TIntegerField (DBTABLES) (011)
108 Methods of TIntegerField (DBTABLES) (011)
5 superordinates
45 properties

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TSmallintField (DBTABLES)
108 Methods of TSmallintField (DBTABLES)
6 superordinates
45 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

procedure
CheckRange  (inherited) (Value, Min, Max: Longint) ;
(private) , found in TIntegerField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TSmallintField (DBTABLES) (002)
108 Methods of TSmallintField (DBTABLES) (002)
6 superordinates
45 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TIntegerField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TNumericField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TNumericField
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent


Methods of TSmallintField (DBTABLES) (003)
108 Methods of TSmallintField (DBTABLES) (003)
6 superordinates
45 properties

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField


Methods of TSmallintField (DBTABLES) (004)
108 Methods of TSmallintField (DBTABLES) (004)
6 superordinates
45 properties

function
GetAsFloat  (inherited) : Double ;
(protected) override, found in TIntegerField
function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField

function
GetAsInteger  (inherited) : Longint ;
(protected) override, found in TIntegerField
function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) override, found in TIntegerField
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayFormat  (inherited) : string ;
(private) , found in TNumericField


Methods of TSmallintField (DBTABLES) (005)
108 Methods of TSmallintField (DBTABLES) (005)
6 superordinates
45 properties

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditFormat  (inherited) : string ;
(private) , found in TNumericField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField


Methods of TSmallintField (DBTABLES) (006)
108 Methods of TSmallintField (DBTABLES) (006)
6 superordinates
45 properties

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) override, found in TIntegerField
procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
GetValue  (inherited) (var Value: Longint): Boolean ;
(protected) , found in TIntegerField

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TSmallintField (DBTABLES) (007)
108 Methods of TSmallintField (DBTABLES) (007)
6 superordinates
45 properties

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (Ch: Char): Boolean ;
(public) override, found in TIntegerField
function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
RangeError  (inherited) (Value, Min, Max: Double) ;
(private) , found in TNumericField


Methods of TSmallintField (DBTABLES) (008)
108 Methods of TSmallintField (DBTABLES) (008)
6 superordinates
45 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) override, found in TIntegerField
procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) override, found in TIntegerField
procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField


Methods of TSmallintField (DBTABLES) (009)
108 Methods of TSmallintField (DBTABLES) (009)
6 superordinates
45 properties

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) override, found in TIntegerField
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField


Methods of TSmallintField (DBTABLES) (010)
108 Methods of TSmallintField (DBTABLES) (010)
6 superordinates
45 properties

procedure
SetEditFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetMaxValue  (inherited) (Value: Longint) ;
(private) , found in TIntegerField

procedure
SetMinValue  (inherited) (Value: Longint) ;
(private) , found in TIntegerField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField


Methods of TSmallintField (DBTABLES) (011)
108 Methods of TSmallintField (DBTABLES) (011)
6 superordinates
45 properties

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TWordField (DBTABLES)
108 Methods of TWordField (DBTABLES)
6 superordinates
45 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

procedure
CheckRange  (inherited) (Value, Min, Max: Longint) ;
(private) , found in TIntegerField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TWordField (DBTABLES) (002)
108 Methods of TWordField (DBTABLES) (002)
6 superordinates
45 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TIntegerField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TNumericField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TNumericField
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent


Methods of TWordField (DBTABLES) (003)
108 Methods of TWordField (DBTABLES) (003)
6 superordinates
45 properties

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField


Methods of TWordField (DBTABLES) (004)
108 Methods of TWordField (DBTABLES) (004)
6 superordinates
45 properties

function
GetAsFloat  (inherited) : Double ;
(protected) override, found in TIntegerField
function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField

function
GetAsInteger  (inherited) : Longint ;
(protected) override, found in TIntegerField
function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) override, found in TIntegerField
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayFormat  (inherited) : string ;
(private) , found in TNumericField


Methods of TWordField (DBTABLES) (005)
108 Methods of TWordField (DBTABLES) (005)
6 superordinates
45 properties

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditFormat  (inherited) : string ;
(private) , found in TNumericField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField


Methods of TWordField (DBTABLES) (006)
108 Methods of TWordField (DBTABLES) (006)
6 superordinates
45 properties

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) override, found in TIntegerField
procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
GetValue  (inherited) (var Value: Longint): Boolean ;
(protected) , found in TIntegerField

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TWordField (DBTABLES) (007)
108 Methods of TWordField (DBTABLES) (007)
6 superordinates
45 properties

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (Ch: Char): Boolean ;
(public) override, found in TIntegerField
function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
RangeError  (inherited) (Value, Min, Max: Double) ;
(private) , found in TNumericField


Methods of TWordField (DBTABLES) (008)
108 Methods of TWordField (DBTABLES) (008)
6 superordinates
45 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) override, found in TIntegerField
procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) override, found in TIntegerField
procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField


Methods of TWordField (DBTABLES) (009)
108 Methods of TWordField (DBTABLES) (009)
6 superordinates
45 properties

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) override, found in TIntegerField
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField


Methods of TWordField (DBTABLES) (010)
108 Methods of TWordField (DBTABLES) (010)
6 superordinates
45 properties

procedure
SetEditFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetMaxValue  (inherited) (Value: Longint) ;
(private) , found in TIntegerField

procedure
SetMinValue  (inherited) (Value: Longint) ;
(private) , found in TIntegerField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField


Methods of TWordField (DBTABLES) (011)
108 Methods of TWordField (DBTABLES) (011)
6 superordinates
45 properties

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TFloatField (DBTABLES)
110 Methods of TFloatField (DBTABLES)
5 superordinates
47 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TFloatField (DBTABLES) (002)
110 Methods of TFloatField (DBTABLES) (002)
5 superordinates
47 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TNumericField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TNumericField
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TFloatField (DBTABLES) (003)
110 Methods of TFloatField (DBTABLES) (003)
5 superordinates
47 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat : Double ;
(protected) override
function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TFloatField (DBTABLES) (004)
110 Methods of TFloatField (DBTABLES) (004)
5 superordinates
47 properties

function
GetAsInteger : Longint ;
(protected) override
function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString : string ;
(protected) override
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayFormat  (inherited) : string ;
(private) , found in TNumericField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField


Methods of TFloatField (DBTABLES) (005)
110 Methods of TFloatField (DBTABLES) (005)
5 superordinates
47 properties

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditFormat  (inherited) : string ;
(private) , found in TNumericField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField


Methods of TFloatField (DBTABLES) (006)
110 Methods of TFloatField (DBTABLES) (006)
5 superordinates
47 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText (var Text: string; DisplayText: Boolean) ;
(protected) override
procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
GetValue (var Value: Double): Boolean ;
(protected)

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField


Methods of TFloatField (DBTABLES) (007)
110 Methods of TFloatField (DBTABLES) (007)
5 superordinates
47 properties

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar (Ch: Char): Boolean ;
(public) override
function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
RangeError  (inherited) (Value, Min, Max: Double) ;
(private) , found in TNumericField

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TFloatField (DBTABLES) (008)
110 Methods of TFloatField (DBTABLES) (008)
5 superordinates
47 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat (Value: Double) ;
(protected) override
procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger (Value: Longint) ;
(protected) override
procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString (const Value: string) ;
(protected) override
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField


Methods of TFloatField (DBTABLES) (009)
110 Methods of TFloatField (DBTABLES) (009)
5 superordinates
47 properties

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCurrency (Value: Boolean) ;
(private)

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField


Methods of TFloatField (DBTABLES) (010)
110 Methods of TFloatField (DBTABLES) (010)
5 superordinates
47 properties

procedure
SetEditFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetMaxValue (Value: Double) ;
(private)

procedure
SetMinValue (Value: Double) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetPrecision (Value: Integer) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TFloatField (DBTABLES) (011)
110 Methods of TFloatField (DBTABLES) (011)
5 superordinates
47 properties

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateCheckRange ;
(private)

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCurrencyField (DBTABLES)
110 Methods of TCurrencyField (DBTABLES)
6 superordinates
47 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TCurrencyField (DBTABLES) (002)
110 Methods of TCurrencyField (DBTABLES) (002)
6 superordinates
47 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TFloatField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TNumericField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TNumericField
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TCurrencyField (DBTABLES) (003)
110 Methods of TCurrencyField (DBTABLES) (003)
6 superordinates
47 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) override, found in TFloatField
function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TCurrencyField (DBTABLES) (004)
110 Methods of TCurrencyField (DBTABLES) (004)
6 superordinates
47 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) override, found in TFloatField
function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) override, found in TFloatField
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayFormat  (inherited) : string ;
(private) , found in TNumericField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField


Methods of TCurrencyField (DBTABLES) (005)
110 Methods of TCurrencyField (DBTABLES) (005)
6 superordinates
47 properties

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditFormat  (inherited) : string ;
(private) , found in TNumericField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField


Methods of TCurrencyField (DBTABLES) (006)
110 Methods of TCurrencyField (DBTABLES) (006)
6 superordinates
47 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) override, found in TFloatField
procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
GetValue  (inherited) (var Value: Double): Boolean ;
(protected) , found in TFloatField

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField


Methods of TCurrencyField (DBTABLES) (007)
110 Methods of TCurrencyField (DBTABLES) (007)
6 superordinates
47 properties

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (Ch: Char): Boolean ;
(public) override, found in TFloatField
function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
RangeError  (inherited) (Value, Min, Max: Double) ;
(private) , found in TNumericField

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TCurrencyField (DBTABLES) (008)
110 Methods of TCurrencyField (DBTABLES) (008)
6 superordinates
47 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) override, found in TFloatField
procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) override, found in TFloatField
procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) override, found in TFloatField
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField


Methods of TCurrencyField (DBTABLES) (009)
110 Methods of TCurrencyField (DBTABLES) (009)
6 superordinates
47 properties

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCurrency  (inherited) (Value: Boolean) ;
(private) , found in TFloatField

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField


Methods of TCurrencyField (DBTABLES) (010)
110 Methods of TCurrencyField (DBTABLES) (010)
6 superordinates
47 properties

procedure
SetEditFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetMaxValue  (inherited) (Value: Double) ;
(private) , found in TFloatField

procedure
SetMinValue  (inherited) (Value: Double) ;
(private) , found in TFloatField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetPrecision  (inherited) (Value: Integer) ;
(private) , found in TFloatField

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TCurrencyField (DBTABLES) (011)
110 Methods of TCurrencyField (DBTABLES) (011)
6 superordinates
47 properties

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateCheckRange  (inherited) ;
(private) , found in TFloatField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TBCDField (DBTABLES)
110 Methods of TBCDField (DBTABLES)
6 superordinates
48 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TBCDField (DBTABLES) (002)
110 Methods of TBCDField (DBTABLES) (002)
6 superordinates
48 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TFloatField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TNumericField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TNumericField
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TBCDField (DBTABLES) (003)
110 Methods of TBCDField (DBTABLES) (003)
6 superordinates
48 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) override, found in TFloatField
function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TBCDField (DBTABLES) (004)
110 Methods of TBCDField (DBTABLES) (004)
6 superordinates
48 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) override, found in TFloatField
function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) override, found in TFloatField
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayFormat  (inherited) : string ;
(private) , found in TNumericField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField


Methods of TBCDField (DBTABLES) (005)
110 Methods of TBCDField (DBTABLES) (005)
6 superordinates
48 properties

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditFormat  (inherited) : string ;
(private) , found in TNumericField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField


Methods of TBCDField (DBTABLES) (006)
110 Methods of TBCDField (DBTABLES) (006)
6 superordinates
48 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) override, found in TFloatField
procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
GetValue  (inherited) (var Value: Double): Boolean ;
(protected) , found in TFloatField

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField


Methods of TBCDField (DBTABLES) (007)
110 Methods of TBCDField (DBTABLES) (007)
6 superordinates
48 properties

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (Ch: Char): Boolean ;
(public) override, found in TFloatField
function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
RangeError  (inherited) (Value, Min, Max: Double) ;
(private) , found in TNumericField

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TBCDField (DBTABLES) (008)
110 Methods of TBCDField (DBTABLES) (008)
6 superordinates
48 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) override, found in TFloatField
procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) override, found in TFloatField
procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) override, found in TFloatField
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField


Methods of TBCDField (DBTABLES) (009)
110 Methods of TBCDField (DBTABLES) (009)
6 superordinates
48 properties

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCurrency  (inherited) (Value: Boolean) ;
(private) , found in TFloatField

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField


Methods of TBCDField (DBTABLES) (010)
110 Methods of TBCDField (DBTABLES) (010)
6 superordinates
48 properties

procedure
SetEditFormat  (inherited) (const Value: string) ;
(private) , found in TNumericField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetMaxValue  (inherited) (Value: Double) ;
(private) , found in TFloatField

procedure
SetMinValue  (inherited) (Value: Double) ;
(private) , found in TFloatField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetPrecision  (inherited) (Value: Integer) ;
(private) , found in TFloatField

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TBCDField (DBTABLES) (011)
110 Methods of TBCDField (DBTABLES) (011)
6 superordinates
48 properties

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateCheckRange  (inherited) ;
(private) , found in TFloatField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TBooleanField (DBTABLES)
102 Methods of TBooleanField (DBTABLES)
4 superordinates
41 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TBooleanField (DBTABLES) (002)
102 Methods of TBooleanField (DBTABLES) (002)
4 superordinates
41 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TBooleanField (DBTABLES) (003)
102 Methods of TBooleanField (DBTABLES) (003)
4 superordinates
41 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean : Boolean ;
(protected) override
function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TBooleanField (DBTABLES) (004)
102 Methods of TBooleanField (DBTABLES) (004)
4 superordinates
41 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString : string ;
(protected) override
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth : Integer ;
(protected) override
function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField


Methods of TBooleanField (DBTABLES) (005)
102 Methods of TBooleanField (DBTABLES) (005)
4 superordinates
41 properties

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayValues : string ;
(private)

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TBooleanField (DBTABLES) (006)
102 Methods of TBooleanField (DBTABLES) (006)
4 superordinates
41 properties

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField


Methods of TBooleanField (DBTABLES) (007)
102 Methods of TBooleanField (DBTABLES) (007)
4 superordinates
41 properties

procedure
LoadTextValues ;
(private)

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TBooleanField (DBTABLES) (008)
102 Methods of TBooleanField (DBTABLES) (008)
4 superordinates
41 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean (Value: Boolean) ;
(protected) override
procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString (const Value: string) ;
(protected) override
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TBooleanField (DBTABLES) (009)
102 Methods of TBooleanField (DBTABLES) (009)
4 superordinates
41 properties

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayValues (const Value: string) ;
(private)

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField


Methods of TBooleanField (DBTABLES) (010)
102 Methods of TBooleanField (DBTABLES) (010)
4 superordinates
41 properties

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TBooleanField (DBTABLES) (011)
102 Methods of TBooleanField (DBTABLES) (011)
4 superordinates
41 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDateTimeField (DBTABLES)
102 Methods of TDateTimeField (DBTABLES)
4 superordinates
41 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TDateTimeField (DBTABLES) (002)
102 Methods of TDateTimeField (DBTABLES) (002)
4 superordinates
41 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TDateTimeField (DBTABLES) (003)
102 Methods of TDateTimeField (DBTABLES) (003)
4 superordinates
41 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime : TDateTime ;
(protected) override
function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat : Double ;
(protected) override
function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TDateTimeField (DBTABLES) (004)
102 Methods of TDateTimeField (DBTABLES) (004)
4 superordinates
41 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString : string ;
(protected) override
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayFormat : string ;
(private)

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField


Methods of TDateTimeField (DBTABLES) (005)
102 Methods of TDateTimeField (DBTABLES) (005)
4 superordinates
41 properties

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TDateTimeField (DBTABLES) (006)
102 Methods of TDateTimeField (DBTABLES) (006)
4 superordinates
41 properties

procedure
GetText (var Text: string; DisplayText: Boolean) ;
(protected) override
procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
GetValue (var Value: TDateTime): Boolean ;
(private)

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField


Methods of TDateTimeField (DBTABLES) (007)
102 Methods of TDateTimeField (DBTABLES) (007)
4 superordinates
41 properties

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TDateTimeField (DBTABLES) (008)
102 Methods of TDateTimeField (DBTABLES) (008)
4 superordinates
41 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime (Value: TDateTime) ;
(protected) override
procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat (Value: Double) ;
(protected) override
procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString (const Value: string) ;
(protected) override
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TDateTimeField (DBTABLES) (009)
102 Methods of TDateTimeField (DBTABLES) (009)
4 superordinates
41 properties

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayFormat (const Value: string) ;
(private)

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField


Methods of TDateTimeField (DBTABLES) (010)
102 Methods of TDateTimeField (DBTABLES) (010)
4 superordinates
41 properties

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDateTimeField (DBTABLES) (011)
102 Methods of TDateTimeField (DBTABLES) (011)
4 superordinates
41 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDateField (DBTABLES)
102 Methods of TDateField (DBTABLES)
5 superordinates
41 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TDateField (DBTABLES) (002)
102 Methods of TDateField (DBTABLES) (002)
5 superordinates
41 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TDateTimeField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TDateTimeField
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TDateField (DBTABLES) (003)
102 Methods of TDateField (DBTABLES) (003)
5 superordinates
41 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) override, found in TDateTimeField
function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) override, found in TDateTimeField
function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TDateField (DBTABLES) (004)
102 Methods of TDateField (DBTABLES) (004)
5 superordinates
41 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) override, found in TDateTimeField
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayFormat  (inherited) : string ;
(private) , found in TDateTimeField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField


Methods of TDateField (DBTABLES) (005)
102 Methods of TDateField (DBTABLES) (005)
5 superordinates
41 properties

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TDateField (DBTABLES) (006)
102 Methods of TDateField (DBTABLES) (006)
5 superordinates
41 properties

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) override, found in TDateTimeField
procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
GetValue  (inherited) (var Value: TDateTime): Boolean ;
(private) , found in TDateTimeField

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField


Methods of TDateField (DBTABLES) (007)
102 Methods of TDateField (DBTABLES) (007)
5 superordinates
41 properties

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TDateField (DBTABLES) (008)
102 Methods of TDateField (DBTABLES) (008)
5 superordinates
41 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) override, found in TDateTimeField
procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) override, found in TDateTimeField
procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) override, found in TDateTimeField
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TDateField (DBTABLES) (009)
102 Methods of TDateField (DBTABLES) (009)
5 superordinates
41 properties

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayFormat  (inherited) (const Value: string) ;
(private) , found in TDateTimeField

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField


Methods of TDateField (DBTABLES) (010)
102 Methods of TDateField (DBTABLES) (010)
5 superordinates
41 properties

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDateField (DBTABLES) (011)
102 Methods of TDateField (DBTABLES) (011)
5 superordinates
41 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TTimeField (DBTABLES)
102 Methods of TTimeField (DBTABLES)
5 superordinates
41 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TTimeField (DBTABLES) (002)
102 Methods of TTimeField (DBTABLES) (002)
5 superordinates
41 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TDateTimeField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TDateTimeField
destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TTimeField (DBTABLES) (003)
102 Methods of TTimeField (DBTABLES) (003)
5 superordinates
41 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) override, found in TDateTimeField
function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) override, found in TDateTimeField
function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TTimeField (DBTABLES) (004)
102 Methods of TTimeField (DBTABLES) (004)
5 superordinates
41 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) override, found in TDateTimeField
function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayFormat  (inherited) : string ;
(private) , found in TDateTimeField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField


Methods of TTimeField (DBTABLES) (005)
102 Methods of TTimeField (DBTABLES) (005)
5 superordinates
41 properties

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TTimeField (DBTABLES) (006)
102 Methods of TTimeField (DBTABLES) (006)
5 superordinates
41 properties

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) override, found in TDateTimeField
procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField

function
GetValue  (inherited) (var Value: TDateTime): Boolean ;
(private) , found in TDateTimeField

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField


Methods of TTimeField (DBTABLES) (007)
102 Methods of TTimeField (DBTABLES) (007)
5 superordinates
41 properties

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TTimeField (DBTABLES) (008)
102 Methods of TTimeField (DBTABLES) (008)
5 superordinates
41 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) override, found in TDateTimeField
procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) override, found in TDateTimeField
procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) override, found in TDateTimeField
procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TTimeField (DBTABLES) (009)
102 Methods of TTimeField (DBTABLES) (009)
5 superordinates
41 properties

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayFormat  (inherited) (const Value: string) ;
(private) , found in TDateTimeField

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField


Methods of TTimeField (DBTABLES) (010)
102 Methods of TTimeField (DBTABLES) (010)
5 superordinates
41 properties

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TTimeField (DBTABLES) (011)
102 Methods of TTimeField (DBTABLES) (011)
5 superordinates
41 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TBytesField (DBTABLES)
99 Methods of TBytesField (DBTABLES)
4 superordinates
40 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TBytesField (DBTABLES) (002)
99 Methods of TBytesField (DBTABLES) (002)
4 superordinates
40 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TBytesField (DBTABLES) (003)
99 Methods of TBytesField (DBTABLES) (003)
4 superordinates
40 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TBytesField (DBTABLES) (004)
99 Methods of TBytesField (DBTABLES) (004)
4 superordinates
40 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField


Methods of TBytesField (DBTABLES) (005)
99 Methods of TBytesField (DBTABLES) (005)
4 superordinates
40 properties

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField


Methods of TBytesField (DBTABLES) (006)
99 Methods of TBytesField (DBTABLES) (006)
4 superordinates
40 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TBytesField (DBTABLES) (007)
99 Methods of TBytesField (DBTABLES) (007)
4 superordinates
40 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TBytesField (DBTABLES) (008)
99 Methods of TBytesField (DBTABLES) (008)
4 superordinates
40 properties

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField


Methods of TBytesField (DBTABLES) (009)
99 Methods of TBytesField (DBTABLES) (009)
4 superordinates
40 properties

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TBytesField (DBTABLES) (010)
99 Methods of TBytesField (DBTABLES) (010)
4 superordinates
40 properties

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TVarBytesField (DBTABLES)
99 Methods of TVarBytesField (DBTABLES)
4 superordinates
40 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TVarBytesField (DBTABLES) (002)
99 Methods of TVarBytesField (DBTABLES) (002)
4 superordinates
40 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TVarBytesField (DBTABLES) (003)
99 Methods of TVarBytesField (DBTABLES) (003)
4 superordinates
40 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TVarBytesField (DBTABLES) (004)
99 Methods of TVarBytesField (DBTABLES) (004)
4 superordinates
40 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField


Methods of TVarBytesField (DBTABLES) (005)
99 Methods of TVarBytesField (DBTABLES) (005)
4 superordinates
40 properties

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField


Methods of TVarBytesField (DBTABLES) (006)
99 Methods of TVarBytesField (DBTABLES) (006)
4 superordinates
40 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TVarBytesField (DBTABLES) (007)
99 Methods of TVarBytesField (DBTABLES) (007)
4 superordinates
40 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TVarBytesField (DBTABLES) (008)
99 Methods of TVarBytesField (DBTABLES) (008)
4 superordinates
40 properties

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField


Methods of TVarBytesField (DBTABLES) (009)
99 Methods of TVarBytesField (DBTABLES) (009)
4 superordinates
40 properties

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TVarBytesField (DBTABLES) (010)
99 Methods of TVarBytesField (DBTABLES) (010)
4 superordinates
40 properties

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TBlobField (DBTABLES)
108 Methods of TBlobField (DBTABLES)
4 superordinates
40 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo (Dest: TPersistent) ;
(protected) override
procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TBlobField (DBTABLES) (002)
108 Methods of TBlobField (DBTABLES) (002)
4 superordinates
40 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public) override
procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TBlobField (DBTABLES) (003)
108 Methods of TBlobField (DBTABLES) (003)
4 superordinates
40 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers ;
(protected) override
procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TBlobField (DBTABLES) (004)
108 Methods of TBlobField (DBTABLES) (004)
4 superordinates
40 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField


Methods of TBlobField (DBTABLES) (005)
108 Methods of TBlobField (DBTABLES) (005)
4 superordinates
40 properties

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField


Methods of TBlobField (DBTABLES) (006)
108 Methods of TBlobField (DBTABLES) (006)
4 superordinates
40 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
LoadFromBitmap (Bitmap: TBitmap) ;
(private)


Methods of TBlobField (DBTABLES) (007)
108 Methods of TBlobField (DBTABLES) (007)
4 superordinates
40 properties

procedure
LoadFromBlob (Blob: TBlobField) ;
(private)

procedure
LoadFromFile (const FileName: string) ;
(public)

procedure
LoadFromStream (Stream: TStream) ;
(public)

procedure
LoadFromStrings (Strings: TStrings) ;
(private)

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField


Methods of TBlobField (DBTABLES) (008)
108 Methods of TBlobField (DBTABLES) (008)
4 superordinates
40 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SaveToBitmap (Bitmap: TBitmap) ;
(private)

procedure
SaveToFile (const FileName: string) ;
(public)

procedure
SaveToStream (Stream: TStream) ;
(public)

procedure
SaveToStrings (Strings: TStrings) ;
(private)

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField


Methods of TBlobField (DBTABLES) (009)
108 Methods of TBlobField (DBTABLES) (009)
4 superordinates
40 properties

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField


Methods of TBlobField (DBTABLES) (010)
108 Methods of TBlobField (DBTABLES) (010)
4 superordinates
40 properties

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField


Methods of TBlobField (DBTABLES) (011)
108 Methods of TBlobField (DBTABLES) (011)
4 superordinates
40 properties

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TMemoField (DBTABLES)
108 Methods of TMemoField (DBTABLES)
5 superordinates
41 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TBlobField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) override, found in TBlobField
procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TMemoField (DBTABLES) (002)
108 Methods of TMemoField (DBTABLES) (002)
5 superordinates
41 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) override, found in TBlobField
procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TBlobField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TMemoField (DBTABLES) (003)
108 Methods of TMemoField (DBTABLES) (003)
5 superordinates
41 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) override, found in TBlobField
procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TMemoField (DBTABLES) (004)
108 Methods of TMemoField (DBTABLES) (004)
5 superordinates
41 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField


Methods of TMemoField (DBTABLES) (005)
108 Methods of TMemoField (DBTABLES) (005)
5 superordinates
41 properties

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField


Methods of TMemoField (DBTABLES) (006)
108 Methods of TMemoField (DBTABLES) (006)
5 superordinates
41 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
LoadFromBitmap  (inherited) (Bitmap: TBitmap) ;
(private) , found in TBlobField


Methods of TMemoField (DBTABLES) (007)
108 Methods of TMemoField (DBTABLES) (007)
5 superordinates
41 properties

procedure
LoadFromBlob  (inherited) (Blob: TBlobField) ;
(private) , found in TBlobField

procedure
LoadFromFile  (inherited) (const FileName: string) ;
(public) , found in TBlobField

procedure
LoadFromStream  (inherited) (Stream: TStream) ;
(public) , found in TBlobField

procedure
LoadFromStrings  (inherited) (Strings: TStrings) ;
(private) , found in TBlobField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField


Methods of TMemoField (DBTABLES) (008)
108 Methods of TMemoField (DBTABLES) (008)
5 superordinates
41 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SaveToBitmap  (inherited) (Bitmap: TBitmap) ;
(private) , found in TBlobField

procedure
SaveToFile  (inherited) (const FileName: string) ;
(public) , found in TBlobField

procedure
SaveToStream  (inherited) (Stream: TStream) ;
(public) , found in TBlobField

procedure
SaveToStrings  (inherited) (Strings: TStrings) ;
(private) , found in TBlobField

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField


Methods of TMemoField (DBTABLES) (009)
108 Methods of TMemoField (DBTABLES) (009)
5 superordinates
41 properties

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField


Methods of TMemoField (DBTABLES) (010)
108 Methods of TMemoField (DBTABLES) (010)
5 superordinates
41 properties

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField


Methods of TMemoField (DBTABLES) (011)
108 Methods of TMemoField (DBTABLES) (011)
5 superordinates
41 properties

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TGraphicField (DBTABLES)
108 Methods of TGraphicField (DBTABLES)
5 superordinates
40 properties

procedure
AccessError  (inherited) (const TypeName: string) ;
(protected) , found in TField

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TBlobField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TField
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) override, found in TBlobField
procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AssignValue  (inherited) (const Value: TVarRec) ;
(public) , found in TField

procedure
Change  (inherited) ;
(protected) virtual, found in TField

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
CheckInactive  (inherited) ;
(protected) , found in TField

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TGraphicField (DBTABLES) (002)
108 Methods of TGraphicField (DBTABLES) (002)
5 superordinates
40 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) override, found in TBlobField
procedure
Clear  (inherited) ;
(public) virtual, found in TField

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TBlobField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TField
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DataChanged  (inherited) ;
(protected) , found in TField

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TField
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TGraphicField (DBTABLES) (003)
108 Methods of TGraphicField (DBTABLES) (003)
5 superordinates
40 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FocusControl  (inherited) ;
(public) , found in TField

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeBuffers  (inherited) ;
(protected) override, found in TBlobField
procedure
FreeBuffers  (inherited) ;
(protected) virtual, found in TField

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAsBoolean  (inherited) : Boolean ;
(protected) virtual, found in TField

function
GetAsDateTime  (inherited) : TDateTime ;
(protected) virtual, found in TField

function
GetAsFloat  (inherited) : Double ;
(protected) virtual, found in TField


Methods of TGraphicField (DBTABLES) (004)
108 Methods of TGraphicField (DBTABLES) (004)
5 superordinates
40 properties

function
GetAsInteger  (inherited) : Longint ;
(protected) virtual, found in TField

function
GetAsString  (inherited) : string ;
(protected) virtual, found in TField

function
GetCanModify  (inherited) : Boolean ;
(protected) , found in TField

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetData  (inherited) (Buffer: Pointer): Boolean ;
(public) , found in TField

function
GetDefaultWidth  (inherited) : Integer ;
(protected) virtual, found in TField

function
GetDisplayLabel  (inherited) : string ;
(private) , found in TField

function
GetDisplayName  (inherited) : PString ;
(private) , found in TField


Methods of TGraphicField (DBTABLES) (005)
108 Methods of TGraphicField (DBTABLES) (005)
5 superordinates
40 properties

function
GetDisplayText  (inherited) : string ;
(private) , found in TField

function
GetDisplayWidth  (inherited) : Integer ;
(private) , found in TField

function
GetEditMask  (inherited) : string ;
(private) , found in TField

function
GetEditText  (inherited) : string ;
(private) , found in TField

function
GetFieldName  (inherited) : string ;
(private) , found in TField

function
GetIndex  (inherited) : Integer ;
(private) , found in TField

function
GetIsIndexField  (inherited) : Boolean ;
(private) , found in TField

function
GetIsNull  (inherited) : Boolean ;
(private) , found in TField

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

procedure
GetText  (inherited) (var Text: string; DisplayText: Boolean) ;
(protected) virtual, found in TField


Methods of TGraphicField (DBTABLES) (006)
108 Methods of TGraphicField (DBTABLES) (006)
5 superordinates
40 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TField
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDisplayLabelStored  (inherited) : Boolean ;
(private) , found in TField

function
IsDisplayWidthStored  (inherited) : Boolean ;
(private) , found in TField

function
IsValidChar  (inherited) (InputChar: Char): Boolean ;
(public) virtual, found in TField

procedure
LoadFromBitmap  (inherited) (Bitmap: TBitmap) ;
(private) , found in TBlobField


Methods of TGraphicField (DBTABLES) (007)
108 Methods of TGraphicField (DBTABLES) (007)
5 superordinates
40 properties

procedure
LoadFromBlob  (inherited) (Blob: TBlobField) ;
(private) , found in TBlobField

procedure
LoadFromFile  (inherited) (const FileName: string) ;
(public) , found in TBlobField

procedure
LoadFromStream  (inherited) (Stream: TStream) ;
(public) , found in TBlobField

procedure
LoadFromStrings  (inherited) (Strings: TStrings) ;
(private) , found in TBlobField

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PropertyChanged  (inherited) (LayoutAffected: Boolean) ;
(protected) , found in TField


Methods of TGraphicField (DBTABLES) (008)
108 Methods of TGraphicField (DBTABLES) (008)
5 superordinates
40 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TField
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SaveToBitmap  (inherited) (Bitmap: TBitmap) ;
(private) , found in TBlobField

procedure
SaveToFile  (inherited) (const FileName: string) ;
(public) , found in TBlobField

procedure
SaveToStream  (inherited) (Stream: TStream) ;
(public) , found in TBlobField

procedure
SaveToStrings  (inherited) (Strings: TStrings) ;
(private) , found in TBlobField

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TField


Methods of TGraphicField (DBTABLES) (009)
108 Methods of TGraphicField (DBTABLES) (009)
5 superordinates
40 properties

procedure
SetAsBoolean  (inherited) (Value: Boolean) ;
(protected) virtual, found in TField

procedure
SetAsDateTime  (inherited) (Value: TDateTime) ;
(protected) virtual, found in TField

procedure
SetAsFloat  (inherited) (Value: Double) ;
(protected) virtual, found in TField

procedure
SetAsInteger  (inherited) (Value: Longint) ;
(protected) virtual, found in TField

procedure
SetAsString  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetCalculated  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetData  (inherited) (Buffer: Pointer) ;
(public) , found in TField

procedure
SetDataSet  (inherited) (ADataSet: TDataSet) ;
(private) , found in TField

procedure
SetDataType  (inherited) (Value: TFieldType) ;
(protected) , found in TField


Methods of TGraphicField (DBTABLES) (010)
108 Methods of TGraphicField (DBTABLES) (010)
5 superordinates
40 properties

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayLabel  (inherited) (Value: string) ;
(private) , found in TField

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetFieldName  (inherited) (const Value: string) ;
(private) , found in TField

procedure
SetIndex  (inherited) (Value: Integer) ;
(private) , found in TField

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSize  (inherited) (Value: Word) ;
(protected) , found in TField


Methods of TGraphicField (DBTABLES) (011)
108 Methods of TGraphicField (DBTABLES) (011)
5 superordinates
40 properties

procedure
SetText  (inherited) (const Value: string) ;
(protected) virtual, found in TField

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TField

procedure
UpdateDataSize  (inherited) ;
(private) , found in TField

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TBlobStream (DBTABLES)
33 Methods of TBlobStream (DBTABLES)
2 superordinates
2 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

function
CopyFrom  (inherited) (Source: TStream; Count: Longint): Longint ;
(public) , found in TStream

constructor
Create (Field: TBlobField; Mode: TBlobStreamMode) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TBlobStream (DBTABLES) (002)
33 Methods of TBlobStream (DBTABLES) (002)
2 superordinates
2 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBlobSize : Longint ;
(private)

function
GetPosition  (inherited) : Longint ;
(private) , found in TStream

function
GetSize  (inherited) : Longint ;
(private) , found in TStream

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TBlobStream (DBTABLES) (003)
33 Methods of TBlobStream (DBTABLES) (003)
2 superordinates
2 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
Read (var Buffer; Count: Longint): Longint ;
(public) override
function
Read  (inherited) (var Buffer; Count: Longint): Longint ;
(public) virtual/abstract, found in TStream

procedure
ReadBuffer  (inherited) (var Buffer; Count: Longint) ;
(public) , found in TStream

function
ReadComponent  (inherited) (Instance: TComponent): TComponent ;
(public) , found in TStream

function
ReadComponentRes  (inherited) (Instance: TComponent): TComponent ;
(public) , found in TStream

procedure
ReadResHeader  (inherited) ;
(public) , found in TStream

function
Seek (Offset: Longint; Origin: Word): Longint ;
(public) override
function
Seek  (inherited) (Offset: Longint; Origin: Word): Longint ;
(public) virtual/abstract, found in TStream

procedure
SetPosition  (inherited) (Pos: Longint) ;
(private) , found in TStream

procedure
Truncate ;
(public)

function
Write (const Buffer; Count: Longint): Longint ;
(public) override
function
Write  (inherited) (const Buffer; Count: Longint): Longint ;
(public) virtual/abstract, found in TStream


Methods of TBlobStream (DBTABLES) (004)
33 Methods of TBlobStream (DBTABLES) (004)
2 superordinates
2 properties

procedure
WriteBuffer  (inherited) (const Buffer; Count: Longint) ;
(public) , found in TStream

procedure
WriteComponent  (inherited) (Instance: TComponent) ;
(public) , found in TStream

procedure
WriteComponentRes  (inherited) (const ResName: string; Instance: TComponent) ;
(public) , found in TStream


Methods of TFieldDataLink (DBTABLES)
51 Methods of TFieldDataLink (DBTABLES)
3 superordinates
16 properties

procedure
ActiveChanged ;
(protected) override
procedure
ActiveChanged  (inherited) ;
(protected) virtual, found in TDataLink

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
CheckBrowseMode  (inherited) ;
(protected) virtual, found in TDataLink

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(public) , found in TDataLink
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TFieldDataLink (DBTABLES) (002)
51 Methods of TFieldDataLink (DBTABLES) (002)
3 superordinates
16 properties

procedure
DataEvent  (inherited) (Event: TDataEvent; Info: Longint) ;
(private) , found in TDataLink

procedure
DataSetChanged  (inherited) ;
(protected) virtual, found in TDataLink

procedure
DataSetScrolled  (inherited) (Distance: Integer) ;
(protected) virtual, found in TDataLink

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TDataLink
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
Edit : Boolean ;
(public)
function
Edit  (inherited) : Boolean ;
(public) , found in TDataLink

procedure
EditingChanged ;
(protected) override
procedure
EditingChanged  (inherited) ;
(protected) virtual, found in TDataLink

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TFieldDataLink (DBTABLES) (003)
51 Methods of TFieldDataLink (DBTABLES) (003)
3 superordinates
16 properties

procedure
FocusControl (Field: TFieldRef) ;
(protected) override
procedure
FocusControl  (inherited) (Field: TFieldRef) ;
(protected) virtual, found in TDataLink

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActiveRecord  (inherited) : Integer ;
(private) , found in TDataLink

function
GetCanModify : Boolean ;
(private)

function
GetDataSet  (inherited) : TDataSet ;
(private) , found in TDataLink

function
GetFieldName : string ;
(private)

function
GetRecordCount  (inherited) : Integer ;
(private) , found in TDataLink

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TFieldDataLink (DBTABLES) (004)
51 Methods of TFieldDataLink (DBTABLES) (004)
3 superordinates
16 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LayoutChanged ;
(protected) override
procedure
LayoutChanged  (inherited) ;
(protected) virtual, found in TDataLink

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified ;
(public)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
RecordChanged (Field: TField) ;
(protected) override
procedure
RecordChanged  (inherited) (Field: TField) ;
(protected) virtual, found in TDataLink

procedure
Reset ;
(public)

procedure
SetActive  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
SetActiveRecord  (inherited) (Value: Integer) ;
(private) , found in TDataLink


Methods of TFieldDataLink (DBTABLES) (005)
51 Methods of TFieldDataLink (DBTABLES) (005)
3 superordinates
16 properties

procedure
SetBufferCount  (inherited) (Value: Integer) ;
(private) , found in TDataLink

procedure
SetDataSource  (inherited) (ADataSource: TDataSource) ;
(private) , found in TDataLink

procedure
SetEditing (Value: Boolean) ;
(private)
procedure
SetEditing  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
SetField (Value: TField) ;
(private)

procedure
SetFieldName (const Value: string) ;
(private)

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TDataLink

procedure
UpdateData ;
(protected) override
procedure
UpdateData  (inherited) ;
(protected) virtual, found in TDataLink

procedure
UpdateField ;
(private)

procedure
UpdateRange  (inherited) ;
(private) , found in TDataLink

procedure
UpdateRecord  (inherited) ;
(public) , found in TDataLink


Methods of TFieldDataLink (DBTABLES) (006)
51 Methods of TFieldDataLink (DBTABLES) (006)
3 superordinates
16 properties

procedure
UpdateState  (inherited) ;
(private) , found in TDataLink


Methods of TDdeClientConv (DDEMAN)
83 Methods of TDdeClientConv (DDEMAN)
3 superordinates
19 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

function
ChangeLink (const App: string; const Topic: string; const Item: string): Boolean ;
(protected)

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
ClearItems ;
(protected)


Methods of TDdeClientConv (DDEMAN) (002)
83 Methods of TDdeClientConv (DDEMAN) (002)
3 superordinates
19 properties

procedure
Close ;
(protected) dynamic

procedure
CloseLink ;
(public)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateDdeConv (FHszApp: HSZ; FHszTopic: HSZ): Boolean ;
(protected)

procedure
DataChange (DdeDat: HDDEData; hszIt: HSZ) ;
(private)

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TDdeClientConv (DDEMAN) (003)
83 Methods of TDdeClientConv (DDEMAN) (003)
3 superordinates
19 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
ExecuteMacro (Cmd: PChar; waitFlg: Boolean): Boolean ;
(public)

function
ExecuteMacroLines (Cmd: TStrings; waitFlg: Boolean): Boolean ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetCliItemByCtrl (ACtrl: TDdeClientItem): TPersistent ;
(protected)

function
GetCliItemByName (const ItemName: string): TPersistent ;
(protected)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TDdeClientConv (DDEMAN) (004)
83 Methods of TDdeClientConv (DDEMAN) (004)
3 superordinates
19 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDdeService : string ;
(private)

function
GetDdeTopic : string ;
(private)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetServiceApp : string ;
(private)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TDdeClientConv (DDEMAN) (005)
83 Methods of TDdeClientConv (DDEMAN) (005)
3 superordinates
19 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded ;
(protected) override
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
OnAttach (aCtrl: TDdeClientItem) ;
(protected)

procedure
OnDetach (aCtrl: TDdeClientItem) ;
(protected)

function
OnSetItem (aCtrl: TDdeClientItem; const S: String): Boolean ;
(protected)


Methods of TDdeClientConv (DDEMAN) (006)
83 Methods of TDdeClientConv (DDEMAN) (006)
3 superordinates
19 properties

procedure
Open ;
(protected) dynamic

function
OpenLink : Boolean ;
(public)

function
PasteLink : Boolean ;
(public)

function
PokeData (const Item: string; Data: PChar): Boolean ;
(public)

function
PokeDataLines (const Item: string; Data: TStrings): Boolean ;
(public)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadLinkInfo (Reader: TReader) ;
(protected)

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TDdeClientConv (DDEMAN) (007)
83 Methods of TDdeClientConv (DDEMAN) (007)
3 superordinates
19 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

function
RequestData (const Item: string): PChar ;
(public)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetConnectMode (NewMode: TDataMode) ;
(private)

procedure
SetDdeService (const Value: string) ;
(private)

procedure
SetDdeTopic (const Value: string) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetFormatChars (NewFmt: Boolean) ;
(private)

function
SetLink (const Service: string; const Topic: string): Boolean ;
(public)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent


Methods of TDdeClientConv (DDEMAN) (008)
83 Methods of TDdeClientConv (DDEMAN) (008)
3 superordinates
19 properties

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetService (const Value: string) ;
(private)

procedure
SetServiceApp (const S: string) ;
(private)

procedure
SetTopic (const Value: string) ;
(private)

procedure
SrvrDisconnect ;
(private)

function
StartAdvise : Boolean ;
(public)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteLinkInfo (Writer: TWriter) ;
(protected)


Methods of TDdeClientConv (DDEMAN) (009)
83 Methods of TDdeClientConv (DDEMAN) (009)
3 superordinates
19 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
XactComplete ;
(private)


Methods of TDdeClientItem (DDEMAN)
55 Methods of TDdeClientItem (DDEMAN)
3 superordinates
13 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TDdeClientItem (DDEMAN) (002)
55 Methods of TDdeClientItem (DDEMAN) (002)
3 superordinates
13 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TDdeClientItem (DDEMAN) (003)
55 Methods of TDdeClientItem (DDEMAN) (003)
3 superordinates
13 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDdeClientItem : String ;
(private)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetText : String ;
(private)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TDdeClientItem (DDEMAN) (004)
55 Methods of TDdeClientItem (DDEMAN) (004)
3 superordinates
13 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
OnAdvise ;
(private)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TDdeClientItem (DDEMAN) (005)
55 Methods of TDdeClientItem (DDEMAN) (005)
3 superordinates
13 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDdeClientConv (Val: TDdeClientConv) ;
(private)

procedure
SetDdeClientItem (const Val: String) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetLines (L: TStrings) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetText (const S: String) ;
(private)


Methods of TDdeClientItem (DDEMAN) (006)
55 Methods of TDdeClientItem (DDEMAN) (006)
3 superordinates
13 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDdeServerConv (DDEMAN)
51 Methods of TDdeServerConv (DDEMAN)
3 superordinates
11 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Connect ;
(protected) dynamic

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TDdeServerConv (DDEMAN) (002)
51 Methods of TDdeServerConv (DDEMAN) (002)
3 superordinates
11 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Disconnect ;
(protected) dynamic

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
ExecuteMacro (Data: HDdeData): LongInt ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TDdeServerConv (DDEMAN) (003)
51 Methods of TDdeServerConv (DDEMAN) (003)
3 superordinates
11 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TDdeServerConv (DDEMAN) (004)
51 Methods of TDdeServerConv (DDEMAN) (004)
3 superordinates
11 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TDdeServerConv (DDEMAN) (005)
51 Methods of TDdeServerConv (DDEMAN) (005)
3 superordinates
11 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TDdeServerConv (DDEMAN) (006)
51 Methods of TDdeServerConv (DDEMAN) (006)
3 superordinates
11 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDdeServerItem (DDEMAN)
56 Methods of TDdeServerItem (DDEMAN)
3 superordinates
14 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Change ;
(public) dynamic

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
CopyToClipboard ;
(public)


Methods of TDdeServerItem (DDEMAN) (002)
56 Methods of TDdeServerItem (DDEMAN) (002)
3 superordinates
14 properties

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TDdeServerItem (DDEMAN) (003)
56 Methods of TDdeServerItem (DDEMAN) (003)
3 superordinates
14 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetText : string ;
(protected)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TDdeServerItem (DDEMAN) (004)
56 Methods of TDdeServerItem (DDEMAN) (004)
3 superordinates
14 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

function
PokeData (Data: HDdeData): LongInt ;
(public)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent


Methods of TDdeServerItem (DDEMAN) (005)
56 Methods of TDdeServerItem (DDEMAN) (005)
3 superordinates
14 properties

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetLines (Value: TStrings) ;
(protected)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetServerConv (SConv: TDdeServerConv) ;
(protected)

procedure
SetText (const Item: string) ;
(protected)


Methods of TDdeServerItem (DDEMAN) (006)
56 Methods of TDdeServerItem (DDEMAN) (006)
3 superordinates
14 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
ValueChanged ;
(private)

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDdeMgr (DDEMAN)
63 Methods of TDdeMgr (DDEMAN)
3 superordinates
11 properties

function
AllowConnect (hszApp: HSZ; hszTopic: HSZ): Boolean ;
(private)

function
AllowWildConnect (hszApp: HSZ; hszTopic: HSZ): HDdeData ;
(private)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TDdeMgr (DDEMAN) (002)
63 Methods of TDdeMgr (DDEMAN) (002)
3 superordinates
11 properties

function
Connect (Conv: HConv; hszTopic: HSZ; SameInst: Boolean): Boolean ;
(private)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Disconnect (DdeSrvrConv: TComponent) ;
(private)

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoError ;
(private)


Methods of TDdeMgr (DDEMAN) (003)
63 Methods of TDdeMgr (DDEMAN) (003)
3 superordinates
11 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAppName : string ;
(private)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetExeName : string ;
(public)

function
GetForm (const Topic: string): TForm ;
(private)


Methods of TDdeMgr (DDEMAN) (004)
63 Methods of TDdeMgr (DDEMAN) (004)
3 superordinates
11 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetServerConv (const Topic: string): TDdeServerConv ;
(private)

function
GetSrvrConv (const Topic: string ): TComponent ;
(private)

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertServerConv (SConv: TDdeServerConv) ;
(private)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TDdeMgr (DDEMAN) (005)
63 Methods of TDdeMgr (DDEMAN) (005)
3 superordinates
11 properties

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
PostDataChange (const Topic: string; Item: string) ;
(private)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TDdeMgr (DDEMAN) (006)
63 Methods of TDdeMgr (DDEMAN) (006)
3 superordinates
11 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveServerConv (SConv: TDdeServerConv) ;
(private)

procedure
ResetAppName ;
(private)

procedure
SetAppName (const Name: string) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TDdeMgr (DDEMAN) (007)
63 Methods of TDdeMgr (DDEMAN) (007)
3 superordinates
11 properties

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TComponentList (DSGNINTF)
21 Methods of TComponentList (DSGNINTF)
1 superordinates
2 properties

function
Add (Item: TComponent): Integer ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
Equals (List: TComponentList): Boolean ;
(public)


Methods of TComponentList (DSGNINTF) (002)
21 Methods of TComponentList (DSGNINTF) (002)
1 superordinates
2 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
Get (Index: Integer): TComponent ;
(private)

function
GetCount : Integer ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TComponentList (DSGNINTF) (003)
21 Methods of TComponentList (DSGNINTF) (003)
1 superordinates
2 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TFormDesigner (DSGNINTF)
31 Methods of TFormDesigner (DSGNINTF)
2 superordinates
2 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateMethod (const Name: string; TypeData: PTypeData): TMethod ;
(public) virtual/abstract

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TFormDesigner (DSGNINTF) (002)
31 Methods of TFormDesigner (DSGNINTF) (002)
2 superordinates
2 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetIsControl  (inherited) : Boolean ;
(private) , found in TDesigner

function
GetMethodName (const Method: TMethod): string ;
(public) virtual/abstract

procedure
GetMethods (TypeData: PTypeData; Proc: TGetStrProc) ;
(public) virtual/abstract

function
GetPrivateDirectory : string ;
(public) virtual/abstract

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

function
IsDesignMsg  (inherited) (Sender: TControl; var Message: TMessage): Boolean ;
(public) virtual/abstract, found in TDesigner


Methods of TFormDesigner (DSGNINTF) (003)
31 Methods of TFormDesigner (DSGNINTF) (003)
2 superordinates
2 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
MethodExists (const Name: string): Boolean ;
(public) virtual/abstract

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(public) virtual/abstract, found in TDesigner

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(public) virtual/abstract, found in TDesigner

procedure
PaintGrid  (inherited) ;
(public) virtual/abstract, found in TDesigner

procedure
RenameMethod (const CurName, NewName: string) ;
(public) virtual/abstract

procedure
SetIsControl  (inherited) (Value: Boolean) ;
(private) , found in TDesigner

procedure
ShowMethod (const Name: string) ;
(public) virtual/abstract


Methods of TFormDesigner (DSGNINTF) (004)
31 Methods of TFormDesigner (DSGNINTF) (004)
2 superordinates
2 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(public) virtual/abstract, found in TDesigner


Methods of TPropertyEditor (DSGNINTF)
46 Methods of TPropertyEditor (DSGNINTF)
1 superordinates
4 properties

procedure
Activate ;
(public) virtual

function
AllEqual : Boolean ;
(public) virtual

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (ADesigner: TFormDesigner; APropCount: Integer) ;
(private)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TPropertyEditor (DSGNINTF) (002)
46 Methods of TPropertyEditor (DSGNINTF) (002)
1 superordinates
4 properties

procedure
Edit ;
(public) virtual

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) virtual

function
GetComponent (Index: Integer): TComponent ;
(public)

function
GetEditLimit : Integer ;
(public) virtual

function
GetFloatValue : Extended ;
(protected)

function
GetFloatValueAt (Index: Integer): Extended ;
(protected)

function
GetMethodValue : TMethod ;
(protected)


Methods of TPropertyEditor (DSGNINTF) (003)
46 Methods of TPropertyEditor (DSGNINTF) (003)
1 superordinates
4 properties

function
GetMethodValueAt (Index: Integer): TMethod ;
(protected)

function
GetName : string ;
(public) virtual

function
GetOrdValue : Longint ;
(protected)

function
GetOrdValueAt (Index: Integer): Longint ;
(protected)

function
GetPrivateDirectory : string ;
(private)

function
GetPropInfo : PPropInfo ;
(protected)

function
GetPropType : PTypeInfo ;
(public)

procedure
GetProperties (Proc: TGetPropEditProc) ;
(public) virtual

function
GetStrValue : string ;
(protected)

function
GetStrValueAt (Index: Integer): string ;
(protected)


Methods of TPropertyEditor (DSGNINTF) (004)
46 Methods of TPropertyEditor (DSGNINTF) (004)
1 superordinates
4 properties

function
GetValue : string ;
(public) virtual

procedure
GetValues (Proc: TGetStrProc) ;
(public) virtual

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize ;
(public) virtual

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified ;
(protected)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TPropertyEditor (DSGNINTF) (005)
46 Methods of TPropertyEditor (DSGNINTF) (005)
1 superordinates
4 properties

procedure
SetFloatValue (Value: Extended) ;
(protected)

procedure
SetMethodValue (const Value: TMethod) ;
(protected)

procedure
SetOrdValue (Value: Longint) ;
(protected)

procedure
SetPropEntry (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private)

procedure
SetStrValue (const Value: string) ;
(protected)

procedure
SetValue (const Value: string) ;
(public) virtual


Methods of TOrdinalProperty (DSGNINTF)
46 Methods of TOrdinalProperty (DSGNINTF)
2 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual : Boolean ;
(private) override
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TOrdinalProperty (DSGNINTF) (002)
46 Methods of TOrdinalProperty (DSGNINTF) (002)
2 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit : Integer ;
(private) override
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TOrdinalProperty (DSGNINTF) (003)
46 Methods of TOrdinalProperty (DSGNINTF) (003)
2 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TOrdinalProperty (DSGNINTF) (004)
46 Methods of TOrdinalProperty (DSGNINTF) (004)
2 superordinates
4 properties

function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TOrdinalProperty (DSGNINTF) (005)
46 Methods of TOrdinalProperty (DSGNINTF) (005)
2 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TIntegerProperty (DSGNINTF)
46 Methods of TIntegerProperty (DSGNINTF)
3 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(private) override, found in TOrdinalProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TIntegerProperty (DSGNINTF) (002)
46 Methods of TIntegerProperty (DSGNINTF) (002)
3 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(private) override, found in TOrdinalProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TIntegerProperty (DSGNINTF) (003)
46 Methods of TIntegerProperty (DSGNINTF) (003)
3 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TIntegerProperty (DSGNINTF) (004)
46 Methods of TIntegerProperty (DSGNINTF) (004)
3 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TIntegerProperty (DSGNINTF) (005)
46 Methods of TIntegerProperty (DSGNINTF) (005)
3 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TCharProperty (DSGNINTF)
46 Methods of TCharProperty (DSGNINTF)
3 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(private) override, found in TOrdinalProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TCharProperty (DSGNINTF) (002)
46 Methods of TCharProperty (DSGNINTF) (002)
3 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(private) override, found in TOrdinalProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TCharProperty (DSGNINTF) (003)
46 Methods of TCharProperty (DSGNINTF) (003)
3 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TCharProperty (DSGNINTF) (004)
46 Methods of TCharProperty (DSGNINTF) (004)
3 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TCharProperty (DSGNINTF) (005)
46 Methods of TCharProperty (DSGNINTF) (005)
3 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TEnumProperty (DSGNINTF)
46 Methods of TEnumProperty (DSGNINTF)
3 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(private) override, found in TOrdinalProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TEnumProperty (DSGNINTF) (002)
46 Methods of TEnumProperty (DSGNINTF) (002)
3 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(private) override, found in TOrdinalProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TEnumProperty (DSGNINTF) (003)
46 Methods of TEnumProperty (DSGNINTF) (003)
3 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TEnumProperty (DSGNINTF) (004)
46 Methods of TEnumProperty (DSGNINTF) (004)
3 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues (Proc: TGetStrProc) ;
(public) override
procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TEnumProperty (DSGNINTF) (005)
46 Methods of TEnumProperty (DSGNINTF) (005)
3 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TFloatProperty (DSGNINTF)
46 Methods of TFloatProperty (DSGNINTF)
2 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual : Boolean ;
(public) override
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TFloatProperty (DSGNINTF) (002)
46 Methods of TFloatProperty (DSGNINTF) (002)
2 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TFloatProperty (DSGNINTF) (003)
46 Methods of TFloatProperty (DSGNINTF) (003)
2 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TFloatProperty (DSGNINTF) (004)
46 Methods of TFloatProperty (DSGNINTF) (004)
2 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TFloatProperty (DSGNINTF) (005)
46 Methods of TFloatProperty (DSGNINTF) (005)
2 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TStringProperty (DSGNINTF)
46 Methods of TStringProperty (DSGNINTF)
2 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual : Boolean ;
(public) override
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TStringProperty (DSGNINTF) (002)
46 Methods of TStringProperty (DSGNINTF) (002)
2 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit : Integer ;
(public) override
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TStringProperty (DSGNINTF) (003)
46 Methods of TStringProperty (DSGNINTF) (003)
2 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TStringProperty (DSGNINTF) (004)
46 Methods of TStringProperty (DSGNINTF) (004)
2 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TStringProperty (DSGNINTF) (005)
46 Methods of TStringProperty (DSGNINTF) (005)
2 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TSetElementProperty (DSGNINTF)
46 Methods of TSetElementProperty (DSGNINTF)
2 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual : Boolean ;
(public) override
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create (ADesigner: TFormDesigner; APropList: PInstPropList; APropCount: Integer; AElement: Integer) ;
(private)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TSetElementProperty (DSGNINTF) (002)
46 Methods of TSetElementProperty (DSGNINTF) (002)
2 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TSetElementProperty (DSGNINTF) (003)
46 Methods of TSetElementProperty (DSGNINTF) (003)
2 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName : string ;
(public) override
function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TSetElementProperty (DSGNINTF) (004)
46 Methods of TSetElementProperty (DSGNINTF) (004)
2 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues (Proc: TGetStrProc) ;
(public) override
procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TSetElementProperty (DSGNINTF) (005)
46 Methods of TSetElementProperty (DSGNINTF) (005)
2 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TSetProperty (DSGNINTF)
46 Methods of TSetProperty (DSGNINTF)
3 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(private) override, found in TOrdinalProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TSetProperty (DSGNINTF) (002)
46 Methods of TSetProperty (DSGNINTF) (002)
3 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(private) override, found in TOrdinalProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TSetProperty (DSGNINTF) (003)
46 Methods of TSetProperty (DSGNINTF) (003)
3 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties (Proc: TGetPropEditProc) ;
(public) override
procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TSetProperty (DSGNINTF) (004)
46 Methods of TSetProperty (DSGNINTF) (004)
3 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TSetProperty (DSGNINTF) (005)
46 Methods of TSetProperty (DSGNINTF) (005)
3 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TClassProperty (DSGNINTF)
46 Methods of TClassProperty (DSGNINTF)
2 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TClassProperty (DSGNINTF) (002)
46 Methods of TClassProperty (DSGNINTF) (002)
2 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TClassProperty (DSGNINTF) (003)
46 Methods of TClassProperty (DSGNINTF) (003)
2 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties (Proc: TGetPropEditProc) ;
(public) override
procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TClassProperty (DSGNINTF) (004)
46 Methods of TClassProperty (DSGNINTF) (004)
2 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TClassProperty (DSGNINTF) (005)
46 Methods of TClassProperty (DSGNINTF) (005)
2 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TMethodProperty (DSGNINTF)
46 Methods of TMethodProperty (DSGNINTF)
2 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual : Boolean ;
(public) override
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TMethodProperty (DSGNINTF) (002)
46 Methods of TMethodProperty (DSGNINTF) (002)
2 superordinates
4 properties

procedure
Edit ;
(public) override
procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit : Integer ;
(public) override
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TMethodProperty (DSGNINTF) (003)
46 Methods of TMethodProperty (DSGNINTF) (003)
2 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TMethodProperty (DSGNINTF) (004)
46 Methods of TMethodProperty (DSGNINTF) (004)
2 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues (Proc: TGetStrProc) ;
(public) override
procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TMethodProperty (DSGNINTF) (005)
46 Methods of TMethodProperty (DSGNINTF) (005)
2 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const AValue: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TComponentProperty (DSGNINTF)
46 Methods of TComponentProperty (DSGNINTF)
2 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TComponentProperty (DSGNINTF) (002)
46 Methods of TComponentProperty (DSGNINTF) (002)
2 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit : Integer ;
(public) override
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TComponentProperty (DSGNINTF) (003)
46 Methods of TComponentProperty (DSGNINTF) (003)
2 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TComponentProperty (DSGNINTF) (004)
46 Methods of TComponentProperty (DSGNINTF) (004)
2 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues (Proc: TGetStrProc) ;
(public) override
procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TComponentProperty (DSGNINTF) (005)
46 Methods of TComponentProperty (DSGNINTF) (005)
2 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TComponentNameProperty (DSGNINTF)
46 Methods of TComponentNameProperty (DSGNINTF)
3 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(public) override, found in TStringProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TComponentNameProperty (DSGNINTF) (002)
46 Methods of TComponentNameProperty (DSGNINTF) (002)
3 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(public) override, found in TStringProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TComponentNameProperty (DSGNINTF) (003)
46 Methods of TComponentNameProperty (DSGNINTF) (003)
3 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TComponentNameProperty (DSGNINTF) (004)
46 Methods of TComponentNameProperty (DSGNINTF) (004)
3 superordinates
4 properties

function
GetValue  (inherited) : string ;
(public) override, found in TStringProperty
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TComponentNameProperty (DSGNINTF) (005)
46 Methods of TComponentNameProperty (DSGNINTF) (005)
3 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue  (inherited) (const Value: string) ;
(public) override, found in TStringProperty
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TFontNameProperty (DSGNINTF)
46 Methods of TFontNameProperty (DSGNINTF)
3 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(public) override, found in TStringProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TFontNameProperty (DSGNINTF) (002)
46 Methods of TFontNameProperty (DSGNINTF) (002)
3 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(public) override, found in TStringProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TFontNameProperty (DSGNINTF) (003)
46 Methods of TFontNameProperty (DSGNINTF) (003)
3 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TFontNameProperty (DSGNINTF) (004)
46 Methods of TFontNameProperty (DSGNINTF) (004)
3 superordinates
4 properties

function
GetValue  (inherited) : string ;
(public) override, found in TStringProperty
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues (Proc: TGetStrProc) ;
(public) override
procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TFontNameProperty (DSGNINTF) (005)
46 Methods of TFontNameProperty (DSGNINTF) (005)
3 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue  (inherited) (const Value: string) ;
(public) override, found in TStringProperty
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TColorProperty (DSGNINTF)
46 Methods of TColorProperty (DSGNINTF)
4 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(private) override, found in TOrdinalProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TColorProperty (DSGNINTF) (002)
46 Methods of TColorProperty (DSGNINTF) (002)
4 superordinates
4 properties

procedure
Edit ;
(public) override
procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(private) override, found in TOrdinalProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TColorProperty (DSGNINTF) (003)
46 Methods of TColorProperty (DSGNINTF) (003)
4 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TColorProperty (DSGNINTF) (004)
46 Methods of TColorProperty (DSGNINTF) (004)
4 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) override, found in TIntegerProperty
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues (Proc: TGetStrProc) ;
(public) override
procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TColorProperty (DSGNINTF) (005)
46 Methods of TColorProperty (DSGNINTF) (005)
4 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) override, found in TIntegerProperty
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TCursorProperty (DSGNINTF)
46 Methods of TCursorProperty (DSGNINTF)
4 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(private) override, found in TOrdinalProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TCursorProperty (DSGNINTF) (002)
46 Methods of TCursorProperty (DSGNINTF) (002)
4 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(private) override, found in TOrdinalProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TCursorProperty (DSGNINTF) (003)
46 Methods of TCursorProperty (DSGNINTF) (003)
4 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TCursorProperty (DSGNINTF) (004)
46 Methods of TCursorProperty (DSGNINTF) (004)
4 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) override, found in TIntegerProperty
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues (Proc: TGetStrProc) ;
(public) override
procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TCursorProperty (DSGNINTF) (005)
46 Methods of TCursorProperty (DSGNINTF) (005)
4 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) override, found in TIntegerProperty
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TFontProperty (DSGNINTF)
46 Methods of TFontProperty (DSGNINTF)
3 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TFontProperty (DSGNINTF) (002)
46 Methods of TFontProperty (DSGNINTF) (002)
3 superordinates
4 properties

procedure
Edit ;
(public) override
procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) override, found in TClassProperty
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TFontProperty (DSGNINTF) (003)
46 Methods of TFontProperty (DSGNINTF) (003)
3 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) override, found in TClassProperty
procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TFontProperty (DSGNINTF) (004)
46 Methods of TFontProperty (DSGNINTF) (004)
3 superordinates
4 properties

function
GetValue  (inherited) : string ;
(public) override, found in TClassProperty
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TFontProperty (DSGNINTF) (005)
46 Methods of TFontProperty (DSGNINTF) (005)
3 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TModalResultProperty (DSGNINTF)
46 Methods of TModalResultProperty (DSGNINTF)
4 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(private) override, found in TOrdinalProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TModalResultProperty (DSGNINTF) (002)
46 Methods of TModalResultProperty (DSGNINTF) (002)
4 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(private) override, found in TOrdinalProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TModalResultProperty (DSGNINTF) (003)
46 Methods of TModalResultProperty (DSGNINTF) (003)
4 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TModalResultProperty (DSGNINTF) (004)
46 Methods of TModalResultProperty (DSGNINTF) (004)
4 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) override, found in TIntegerProperty
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues (Proc: TGetStrProc) ;
(public) override
procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TModalResultProperty (DSGNINTF) (005)
46 Methods of TModalResultProperty (DSGNINTF) (005)
4 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) override, found in TIntegerProperty
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TShortCutProperty (DSGNINTF)
46 Methods of TShortCutProperty (DSGNINTF)
3 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(private) override, found in TOrdinalProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TShortCutProperty (DSGNINTF) (002)
46 Methods of TShortCutProperty (DSGNINTF) (002)
3 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(private) override, found in TOrdinalProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TShortCutProperty (DSGNINTF) (003)
46 Methods of TShortCutProperty (DSGNINTF) (003)
3 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TShortCutProperty (DSGNINTF) (004)
46 Methods of TShortCutProperty (DSGNINTF) (004)
3 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues (Proc: TGetStrProc) ;
(public) override
procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TShortCutProperty (DSGNINTF) (005)
46 Methods of TShortCutProperty (DSGNINTF) (005)
3 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TMPFilenameProperty (DSGNINTF)
46 Methods of TMPFilenameProperty (DSGNINTF)
3 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(public) override, found in TStringProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TMPFilenameProperty (DSGNINTF) (002)
46 Methods of TMPFilenameProperty (DSGNINTF) (002)
3 superordinates
4 properties

procedure
Edit ;
(public) override
procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(public) override, found in TStringProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TMPFilenameProperty (DSGNINTF) (003)
46 Methods of TMPFilenameProperty (DSGNINTF) (003)
3 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TMPFilenameProperty (DSGNINTF) (004)
46 Methods of TMPFilenameProperty (DSGNINTF) (004)
3 superordinates
4 properties

function
GetValue  (inherited) : string ;
(public) override, found in TStringProperty
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TMPFilenameProperty (DSGNINTF) (005)
46 Methods of TMPFilenameProperty (DSGNINTF) (005)
3 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue  (inherited) (const Value: string) ;
(public) override, found in TStringProperty
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TTabOrderProperty (DSGNINTF)
46 Methods of TTabOrderProperty (DSGNINTF)
4 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(private) override, found in TOrdinalProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TTabOrderProperty (DSGNINTF) (002)
46 Methods of TTabOrderProperty (DSGNINTF) (002)
4 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(private) override, found in TOrdinalProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TTabOrderProperty (DSGNINTF) (003)
46 Methods of TTabOrderProperty (DSGNINTF) (003)
4 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TTabOrderProperty (DSGNINTF) (004)
46 Methods of TTabOrderProperty (DSGNINTF) (004)
4 superordinates
4 properties

function
GetValue  (inherited) : string ;
(public) override, found in TIntegerProperty
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TTabOrderProperty (DSGNINTF) (005)
46 Methods of TTabOrderProperty (DSGNINTF) (005)
4 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue  (inherited) (const Value: string) ;
(public) override, found in TIntegerProperty
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TCaptionProperty (DSGNINTF)
46 Methods of TCaptionProperty (DSGNINTF)
3 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(public) override, found in TStringProperty
function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TCaptionProperty (DSGNINTF) (002)
46 Methods of TCaptionProperty (DSGNINTF) (002)
3 superordinates
4 properties

procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(public) override, found in TStringProperty
function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TCaptionProperty (DSGNINTF) (003)
46 Methods of TCaptionProperty (DSGNINTF) (003)
3 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TCaptionProperty (DSGNINTF) (004)
46 Methods of TCaptionProperty (DSGNINTF) (004)
3 superordinates
4 properties

function
GetValue  (inherited) : string ;
(public) override, found in TStringProperty
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TCaptionProperty (DSGNINTF) (005)
46 Methods of TCaptionProperty (DSGNINTF) (005)
3 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue  (inherited) (const Value: string) ;
(public) override, found in TStringProperty
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of EPropertyError (DSGNINTF)
26 Methods of EPropertyError (DSGNINTF)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EPropertyError (DSGNINTF) (002)
26 Methods of EPropertyError (DSGNINTF) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EPropertyError (DSGNINTF) (003)
26 Methods of EPropertyError (DSGNINTF) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TComponentEditor (DSGNINTF)
22 Methods of TComponentEditor (DSGNINTF)
1 superordinates
2 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Copy ;
(public) virtual

constructor
Create (AComponent: TComponent; ADesigner: TFormDesigner) ;
(public) virtual
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Edit ;
(public) virtual


Methods of TComponentEditor (DSGNINTF) (002)
22 Methods of TComponentEditor (DSGNINTF) (002)
1 superordinates
2 properties

procedure
ExecuteVerb (Index: Integer) ;
(public) virtual

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetVerb (Index: Integer): string ;
(public) virtual

function
GetVerbCount : Integer ;
(public) virtual

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TComponentEditor (DSGNINTF) (003)
22 Methods of TComponentEditor (DSGNINTF) (003)
1 superordinates
2 properties

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TDefaultEditor (DSGNINTF)
24 Methods of TDefaultEditor (DSGNINTF)
2 superordinates
2 properties

procedure
CheckEdit (PropertyEditor: TPropertyEditor) ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Copy  (inherited) ;
(public) virtual, found in TComponentEditor

constructor
Create  (inherited) (AComponent: TComponent; ADesigner: TFormDesigner) ;
(public) virtual, found in TComponentEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TDefaultEditor (DSGNINTF) (002)
24 Methods of TDefaultEditor (DSGNINTF) (002)
2 superordinates
2 properties

procedure
Edit ;
(public) override
procedure
Edit  (inherited) ;
(public) virtual, found in TComponentEditor

procedure
EditProperty (PropertyEditor: TPropertyEditor; var Continue, FreeEditor: Boolean) ;
(protected) virtual

procedure
ExecuteVerb  (inherited) (Index: Integer) ;
(public) virtual, found in TComponentEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetVerb  (inherited) (Index: Integer): string ;
(public) virtual, found in TComponentEditor

function
GetVerbCount  (inherited) : Integer ;
(public) virtual, found in TComponentEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TDefaultEditor (DSGNINTF) (003)
24 Methods of TDefaultEditor (DSGNINTF) (003)
2 superordinates
2 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TIExpert (EXPTINTF)
27 Methods of TIExpert (EXPTINTF)
2 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Execute ; export ;
(public) virtual/abstract

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TIExpert (EXPTINTF) (002)
27 Methods of TIExpert (EXPTINTF) (002)
2 superordinates
0 properties

procedure
Free  (inherited) ;
(public) , found in TInterface
procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComment : string; export ;
(public) virtual/abstract

function
GetGlyph : HBITMAP; export ;
(public) virtual/abstract

function
GetIDString : string; export ;
(public) virtual/abstract

function
GetMenuText : string; export ;
(public) virtual/abstract

function
GetName : string; export ;
(public) virtual/abstract

function
GetState : TExpertState; export ;
(public) virtual/abstract

function
GetStyle : TExpertStyle; export ;
(public) virtual/abstract

function
GetVersion  (inherited) : Integer; export ;
(public) virtual, found in TInterface


Methods of TIExpert (EXPTINTF) (003)
27 Methods of TIExpert (EXPTINTF) (003)
2 superordinates
0 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Release  (inherited) ; export ;
(public) virtual, found in TInterface


Methods of TShape (EXTCTRLS)
153 Methods of TShape (EXTCTRLS)
5 superordinates
51 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl


Methods of TShape (EXTCTRLS) (002)
153 Methods of TShape (EXTCTRLS) (002)
5 superordinates
51 properties

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TShape (EXTCTRLS) (003)
153 Methods of TShape (EXTCTRLS) (003)
5 superordinates
51 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TGraphicControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TGraphicControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TShape (EXTCTRLS) (004)
153 Methods of TShape (EXTCTRLS) (004)
5 superordinates
51 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TShape (EXTCTRLS) (005)
153 Methods of TShape (EXTCTRLS) (005)
5 superordinates
51 properties

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TShape (EXTCTRLS) (006)
153 Methods of TShape (EXTCTRLS) (006)
5 superordinates
51 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TShape (EXTCTRLS) (007)
153 Methods of TShape (EXTCTRLS) (007)
5 superordinates
51 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TShape (EXTCTRLS) (008)
153 Methods of TShape (EXTCTRLS) (008)
5 superordinates
51 properties

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TShape (EXTCTRLS) (009)
153 Methods of TShape (EXTCTRLS) (009)
5 superordinates
51 properties

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TGraphicControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TShape (EXTCTRLS) (010)
153 Methods of TShape (EXTCTRLS) (010)
5 superordinates
51 properties

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetBrush (Value: TBrush) ;
(private)

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TShape (EXTCTRLS) (011)
153 Methods of TShape (EXTCTRLS) (011)
5 superordinates
51 properties

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl


Methods of TShape (EXTCTRLS) (012)
153 Methods of TShape (EXTCTRLS) (012)
5 superordinates
51 properties

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPen (Value: TPen) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShape (Value: TShapeType) ;
(private)


Methods of TShape (EXTCTRLS) (013)
153 Methods of TShape (EXTCTRLS) (013)
5 superordinates
51 properties

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
StyleChanged (Sender: TObject) ;
(published)

procedure
Update  (inherited) ;
(public) virtual, found in TControl


Methods of TShape (EXTCTRLS) (014)
153 Methods of TShape (EXTCTRLS) (014)
5 superordinates
51 properties

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl


Methods of TShape (EXTCTRLS) (015)
153 Methods of TShape (EXTCTRLS) (015)
5 superordinates
51 properties

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TGraphicControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl


Methods of TShape (EXTCTRLS) (016)
153 Methods of TShape (EXTCTRLS) (016)
5 superordinates
51 properties

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TPaintBox (EXTCTRLS)
149 Methods of TPaintBox (EXTCTRLS)
5 superordinates
49 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl


Methods of TPaintBox (EXTCTRLS) (002)
149 Methods of TPaintBox (EXTCTRLS) (002)
5 superordinates
49 properties

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TPaintBox (EXTCTRLS) (003)
149 Methods of TPaintBox (EXTCTRLS) (003)
5 superordinates
49 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TGraphicControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TGraphicControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TPaintBox (EXTCTRLS) (004)
149 Methods of TPaintBox (EXTCTRLS) (004)
5 superordinates
49 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TPaintBox (EXTCTRLS) (005)
149 Methods of TPaintBox (EXTCTRLS) (005)
5 superordinates
49 properties

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TPaintBox (EXTCTRLS) (006)
149 Methods of TPaintBox (EXTCTRLS) (006)
5 superordinates
49 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TPaintBox (EXTCTRLS) (007)
149 Methods of TPaintBox (EXTCTRLS) (007)
5 superordinates
49 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TPaintBox (EXTCTRLS) (008)
149 Methods of TPaintBox (EXTCTRLS) (008)
5 superordinates
49 properties

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TPaintBox (EXTCTRLS) (009)
149 Methods of TPaintBox (EXTCTRLS) (009)
5 superordinates
49 properties

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TGraphicControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TPaintBox (EXTCTRLS) (010)
149 Methods of TPaintBox (EXTCTRLS) (010)
5 superordinates
49 properties

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TPaintBox (EXTCTRLS) (011)
149 Methods of TPaintBox (EXTCTRLS) (011)
5 superordinates
49 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TPaintBox (EXTCTRLS) (012)
149 Methods of TPaintBox (EXTCTRLS) (012)
5 superordinates
49 properties

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl


Methods of TPaintBox (EXTCTRLS) (013)
149 Methods of TPaintBox (EXTCTRLS) (013)
5 superordinates
49 properties

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl


Methods of TPaintBox (EXTCTRLS) (014)
149 Methods of TPaintBox (EXTCTRLS) (014)
5 superordinates
49 properties

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TGraphicControl


Methods of TPaintBox (EXTCTRLS) (015)
149 Methods of TPaintBox (EXTCTRLS) (015)
5 superordinates
49 properties

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TImage (EXTCTRLS)
155 Methods of TImage (EXTCTRLS)
5 superordinates
52 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl


Methods of TImage (EXTCTRLS) (002)
155 Methods of TImage (EXTCTRLS) (002)
5 superordinates
52 properties

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TImage (EXTCTRLS) (003)
155 Methods of TImage (EXTCTRLS) (003)
5 superordinates
52 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TGraphicControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TGraphicControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TImage (EXTCTRLS) (004)
155 Methods of TImage (EXTCTRLS) (004)
5 superordinates
52 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TImage (EXTCTRLS) (005)
155 Methods of TImage (EXTCTRLS) (005)
5 superordinates
52 properties

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetCanvas : TCanvas ;
(private)

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl


Methods of TImage (EXTCTRLS) (006)
155 Methods of TImage (EXTCTRLS) (006)
5 superordinates
52 properties

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette : HPALETTE ;
(protected) override
function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl


Methods of TImage (EXTCTRLS) (007)
155 Methods of TImage (EXTCTRLS) (007)
5 superordinates
52 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl


Methods of TImage (EXTCTRLS) (008)
155 Methods of TImage (EXTCTRLS) (008)
5 superordinates
52 properties

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TImage (EXTCTRLS) (009)
155 Methods of TImage (EXTCTRLS) (009)
5 superordinates
52 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TGraphicControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

procedure
PictureChanged (Sender: TObject) ;
(private)

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl


Methods of TImage (EXTCTRLS) (010)
155 Methods of TImage (EXTCTRLS) (010)
5 superordinates
52 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoSize (Value: Boolean) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl


Methods of TImage (EXTCTRLS) (011)
155 Methods of TImage (EXTCTRLS) (011)
5 superordinates
52 properties

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCenter (Value: Boolean) ;
(private)

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TImage (EXTCTRLS) (012)
155 Methods of TImage (EXTCTRLS) (012)
5 superordinates
52 properties

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TImage (EXTCTRLS) (013)
155 Methods of TImage (EXTCTRLS) (013)
5 superordinates
52 properties

procedure
SetPicture (Value: TPicture) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetStretch (Value: Boolean) ;
(private)

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl


Methods of TImage (EXTCTRLS) (014)
155 Methods of TImage (EXTCTRLS) (014)
5 superordinates
52 properties

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TImage (EXTCTRLS) (015)
155 Methods of TImage (EXTCTRLS) (015)
5 superordinates
52 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TGraphicControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TImage (EXTCTRLS) (016)
155 Methods of TImage (EXTCTRLS) (016)
5 superordinates
52 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TBevel (EXTCTRLS)
151 Methods of TBevel (EXTCTRLS)
5 superordinates
50 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl


Methods of TBevel (EXTCTRLS) (002)
151 Methods of TBevel (EXTCTRLS) (002)
5 superordinates
50 properties

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TBevel (EXTCTRLS) (003)
151 Methods of TBevel (EXTCTRLS) (003)
5 superordinates
50 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TGraphicControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TGraphicControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TBevel (EXTCTRLS) (004)
151 Methods of TBevel (EXTCTRLS) (004)
5 superordinates
50 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TBevel (EXTCTRLS) (005)
151 Methods of TBevel (EXTCTRLS) (005)
5 superordinates
50 properties

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TBevel (EXTCTRLS) (006)
151 Methods of TBevel (EXTCTRLS) (006)
5 superordinates
50 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TBevel (EXTCTRLS) (007)
151 Methods of TBevel (EXTCTRLS) (007)
5 superordinates
50 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TBevel (EXTCTRLS) (008)
151 Methods of TBevel (EXTCTRLS) (008)
5 superordinates
50 properties

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TBevel (EXTCTRLS) (009)
151 Methods of TBevel (EXTCTRLS) (009)
5 superordinates
50 properties

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TGraphicControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TBevel (EXTCTRLS) (010)
151 Methods of TBevel (EXTCTRLS) (010)
5 superordinates
50 properties

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TBevel (EXTCTRLS) (011)
151 Methods of TBevel (EXTCTRLS) (011)
5 superordinates
50 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TBevel (EXTCTRLS) (012)
151 Methods of TBevel (EXTCTRLS) (012)
5 superordinates
50 properties

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShape (Value: TBevelShape) ;
(private)

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetStyle (Value: TBevelStyle) ;
(private)


Methods of TBevel (EXTCTRLS) (013)
151 Methods of TBevel (EXTCTRLS) (013)
5 superordinates
50 properties

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent


Methods of TBevel (EXTCTRLS) (014)
151 Methods of TBevel (EXTCTRLS) (014)
5 superordinates
50 properties

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl


Methods of TBevel (EXTCTRLS) (015)
151 Methods of TBevel (EXTCTRLS) (015)
5 superordinates
50 properties

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TGraphicControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TBevel (EXTCTRLS) (016)
151 Methods of TBevel (EXTCTRLS) (016)
5 superordinates
50 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TTimer (EXTCTRLS)
54 Methods of TTimer (EXTCTRLS)
3 superordinates
11 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TTimer (EXTCTRLS) (002)
54 Methods of TTimer (EXTCTRLS) (002)
3 superordinates
11 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TTimer (EXTCTRLS) (003)
54 Methods of TTimer (EXTCTRLS) (003)
3 superordinates
11 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TTimer (EXTCTRLS) (004)
54 Methods of TTimer (EXTCTRLS) (004)
3 superordinates
11 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TTimer (EXTCTRLS) (005)
54 Methods of TTimer (EXTCTRLS) (005)
3 superordinates
11 properties

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled (Value: Boolean) ;
(private)

procedure
SetInterval (Value: Word) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetOnTimer (Value: TNotifyEvent) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
Timer ;
(protected) dynamic

procedure
UpdateTimer ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
WndProc (var Msg: TMessage) ;
(private)


Methods of TTimer (EXTCTRLS) (006)
54 Methods of TTimer (EXTCTRLS) (006)
3 superordinates
11 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomPanel (EXTCTRLS)
274 Methods of TCustomPanel (EXTCTRLS)
6 superordinates
75 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls (AControl: TControl; var Rect: TRect) ;
(protected) override
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (002)
274 Methods of TCustomPanel (EXTCTRLS) (002)
6 superordinates
75 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TCustomPanel (EXTCTRLS) (003)
274 Methods of TCustomPanel (EXTCTRLS) (003)
6 superordinates
75 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (004)
274 Methods of TCustomPanel (EXTCTRLS) (004)
6 superordinates
75 properties

procedure
CMTextChanged (var Message: TMessage); message CM_TEXTCHANGED ;
(private)

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (005)
274 Methods of TCustomPanel (EXTCTRLS) (005)
6 superordinates
75 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TCustomPanel (EXTCTRLS) (006)
274 Methods of TCustomPanel (EXTCTRLS) (006)
6 superordinates
75 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TCustomPanel (EXTCTRLS) (007)
274 Methods of TCustomPanel (EXTCTRLS) (007)
6 superordinates
75 properties

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (008)
274 Methods of TCustomPanel (EXTCTRLS) (008)
6 superordinates
75 properties

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (009)
274 Methods of TCustomPanel (EXTCTRLS) (009)
6 superordinates
75 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TCustomPanel (EXTCTRLS) (010)
274 Methods of TCustomPanel (EXTCTRLS) (010)
6 superordinates
75 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TCustomPanel (EXTCTRLS) (011)
274 Methods of TCustomPanel (EXTCTRLS) (011)
6 superordinates
75 properties

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TCustomPanel (EXTCTRLS) (012)
274 Methods of TCustomPanel (EXTCTRLS) (012)
6 superordinates
75 properties

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TCustomPanel (EXTCTRLS) (013)
274 Methods of TCustomPanel (EXTCTRLS) (013)
6 superordinates
75 properties

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (014)
274 Methods of TCustomPanel (EXTCTRLS) (014)
6 superordinates
75 properties

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TCustomPanel (EXTCTRLS) (015)
274 Methods of TCustomPanel (EXTCTRLS) (015)
6 superordinates
75 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadData (Reader: TReader) ;
(private)


Methods of TCustomPanel (EXTCTRLS) (016)
274 Methods of TCustomPanel (EXTCTRLS) (016)
6 superordinates
75 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (017)
274 Methods of TCustomPanel (EXTCTRLS) (017)
6 superordinates
75 properties

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Resize ;
(protected) dynamic

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (018)
274 Methods of TCustomPanel (EXTCTRLS) (018)
6 superordinates
75 properties

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment (Value: TAlignment) ;
(private)

procedure
SetBevelInner (Value: TPanelBevel) ;
(private)

procedure
SetBevelOuter (Value: TPanelBevel) ;
(private)

procedure
SetBevelWidth (Value: TBevelWidth) ;
(private)

procedure
SetBorderStyle (Value: TBorderStyle) ;
(private)

procedure
SetBorderWidth (Value: TBorderWidth) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl


Methods of TCustomPanel (EXTCTRLS) (019)
274 Methods of TCustomPanel (EXTCTRLS) (019)
6 superordinates
75 properties

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomPanel (EXTCTRLS) (020)
274 Methods of TCustomPanel (EXTCTRLS) (020)
6 superordinates
75 properties

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (021)
274 Methods of TCustomPanel (EXTCTRLS) (021)
6 superordinates
75 properties

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomPanel (EXTCTRLS) (022)
274 Methods of TCustomPanel (EXTCTRLS) (022)
6 superordinates
75 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (023)
274 Methods of TCustomPanel (EXTCTRLS) (023)
6 superordinates
75 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (024)
274 Methods of TCustomPanel (EXTCTRLS) (024)
6 superordinates
75 properties

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TCustomPanel (EXTCTRLS) (025)
274 Methods of TCustomPanel (EXTCTRLS) (025)
6 superordinates
75 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (026)
274 Methods of TCustomPanel (EXTCTRLS) (026)
6 superordinates
75 properties

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl


Methods of TCustomPanel (EXTCTRLS) (027)
274 Methods of TCustomPanel (EXTCTRLS) (027)
6 superordinates
75 properties

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TCustomPanel (EXTCTRLS) (028)
274 Methods of TCustomPanel (EXTCTRLS) (028)
6 superordinates
75 properties

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TPanel (EXTCTRLS)
274 Methods of TPanel (EXTCTRLS)
7 superordinates
75 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) override, found in TCustomPanel
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TPanel (EXTCTRLS) (002)
274 Methods of TPanel (EXTCTRLS) (002)
7 superordinates
75 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TPanel (EXTCTRLS) (003)
274 Methods of TPanel (EXTCTRLS) (003)
7 superordinates
75 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TPanel (EXTCTRLS) (004)
274 Methods of TPanel (EXTCTRLS) (004)
7 superordinates
75 properties

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomPanel

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TPanel (EXTCTRLS) (005)
274 Methods of TPanel (EXTCTRLS) (005)
7 superordinates
75 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TPanel (EXTCTRLS) (006)
274 Methods of TPanel (EXTCTRLS) (006)
7 superordinates
75 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomPanel
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomPanel
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TPanel (EXTCTRLS) (007)
274 Methods of TPanel (EXTCTRLS) (007)
7 superordinates
75 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TCustomPanel
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TPanel (EXTCTRLS) (008)
274 Methods of TPanel (EXTCTRLS) (008)
7 superordinates
75 properties

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TPanel (EXTCTRLS) (009)
274 Methods of TPanel (EXTCTRLS) (009)
7 superordinates
75 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TPanel (EXTCTRLS) (010)
274 Methods of TPanel (EXTCTRLS) (010)
7 superordinates
75 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TPanel (EXTCTRLS) (011)
274 Methods of TPanel (EXTCTRLS) (011)
7 superordinates
75 properties

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TPanel (EXTCTRLS) (012)
274 Methods of TPanel (EXTCTRLS) (012)
7 superordinates
75 properties

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TPanel (EXTCTRLS) (013)
274 Methods of TPanel (EXTCTRLS) (013)
7 superordinates
75 properties

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TPanel (EXTCTRLS) (014)
274 Methods of TPanel (EXTCTRLS) (014)
7 superordinates
75 properties

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TPanel (EXTCTRLS) (015)
274 Methods of TPanel (EXTCTRLS) (015)
7 superordinates
75 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TCustomPanel
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadData  (inherited) (Reader: TReader) ;
(private) , found in TCustomPanel


Methods of TPanel (EXTCTRLS) (016)
274 Methods of TPanel (EXTCTRLS) (016)
7 superordinates
75 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TPanel (EXTCTRLS) (017)
274 Methods of TPanel (EXTCTRLS) (017)
7 superordinates
75 properties

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Resize  (inherited) ;
(protected) dynamic, found in TCustomPanel

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl


Methods of TPanel (EXTCTRLS) (018)
274 Methods of TPanel (EXTCTRLS) (018)
7 superordinates
75 properties

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TCustomPanel

procedure
SetBevelInner  (inherited) (Value: TPanelBevel) ;
(private) , found in TCustomPanel

procedure
SetBevelOuter  (inherited) (Value: TPanelBevel) ;
(private) , found in TCustomPanel

procedure
SetBevelWidth  (inherited) (Value: TBevelWidth) ;
(private) , found in TCustomPanel

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomPanel

procedure
SetBorderWidth  (inherited) (Value: TBorderWidth) ;
(private) , found in TCustomPanel

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl


Methods of TPanel (EXTCTRLS) (019)
274 Methods of TPanel (EXTCTRLS) (019)
7 superordinates
75 properties

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TPanel (EXTCTRLS) (020)
274 Methods of TPanel (EXTCTRLS) (020)
7 superordinates
75 properties

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TPanel (EXTCTRLS) (021)
274 Methods of TPanel (EXTCTRLS) (021)
7 superordinates
75 properties

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TPanel (EXTCTRLS) (022)
274 Methods of TPanel (EXTCTRLS) (022)
7 superordinates
75 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TPanel (EXTCTRLS) (023)
274 Methods of TPanel (EXTCTRLS) (023)
7 superordinates
75 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl


Methods of TPanel (EXTCTRLS) (024)
274 Methods of TPanel (EXTCTRLS) (024)
7 superordinates
75 properties

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TPanel (EXTCTRLS) (025)
274 Methods of TPanel (EXTCTRLS) (025)
7 superordinates
75 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl


Methods of TPanel (EXTCTRLS) (026)
274 Methods of TPanel (EXTCTRLS) (026)
7 superordinates
75 properties

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomPanel
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl


Methods of TPanel (EXTCTRLS) (027)
274 Methods of TPanel (EXTCTRLS) (027)
7 superordinates
75 properties

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TPanel (EXTCTRLS) (028)
274 Methods of TPanel (EXTCTRLS) (028)
7 superordinates
75 properties

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TPage (EXTCTRLS)
265 Methods of TPage (EXTCTRLS)
6 superordinates
69 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TPage (EXTCTRLS) (002)
265 Methods of TPage (EXTCTRLS) (002)
6 superordinates
69 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TPage (EXTCTRLS) (003)
265 Methods of TPage (EXTCTRLS) (003)
6 superordinates
69 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TPage (EXTCTRLS) (004)
265 Methods of TPage (EXTCTRLS) (004)
6 superordinates
69 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TPage (EXTCTRLS) (005)
265 Methods of TPage (EXTCTRLS) (005)
6 superordinates
69 properties

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of TPage (EXTCTRLS) (006)
265 Methods of TPage (EXTCTRLS) (006)
6 superordinates
69 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent


Methods of TPage (EXTCTRLS) (007)
265 Methods of TPage (EXTCTRLS) (007)
6 superordinates
69 properties

destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TPage (EXTCTRLS) (008)
265 Methods of TPage (EXTCTRLS) (008)
6 superordinates
69 properties

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl


Methods of TPage (EXTCTRLS) (009)
265 Methods of TPage (EXTCTRLS) (009)
6 superordinates
69 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TPage (EXTCTRLS) (010)
265 Methods of TPage (EXTCTRLS) (010)
6 superordinates
69 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl


Methods of TPage (EXTCTRLS) (011)
265 Methods of TPage (EXTCTRLS) (011)
6 superordinates
69 properties

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TPage (EXTCTRLS) (012)
265 Methods of TPage (EXTCTRLS) (012)
6 superordinates
69 properties

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl


Methods of TPage (EXTCTRLS) (013)
265 Methods of TPage (EXTCTRLS) (013)
6 superordinates
69 properties

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl


Methods of TPage (EXTCTRLS) (014)
265 Methods of TPage (EXTCTRLS) (014)
6 superordinates
69 properties

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TPage (EXTCTRLS) (015)
265 Methods of TPage (EXTCTRLS) (015)
6 superordinates
69 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TPage (EXTCTRLS) (016)
265 Methods of TPage (EXTCTRLS) (016)
6 superordinates
69 properties

procedure
ReadState (Reader: TReader) ;
(protected) override
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl


Methods of TPage (EXTCTRLS) (017)
265 Methods of TPage (EXTCTRLS) (017)
6 superordinates
69 properties

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl


Methods of TPage (EXTCTRLS) (018)
265 Methods of TPage (EXTCTRLS) (018)
6 superordinates
69 properties

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent


Methods of TPage (EXTCTRLS) (019)
265 Methods of TPage (EXTCTRLS) (019)
6 superordinates
69 properties

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TPage (EXTCTRLS) (020)
265 Methods of TPage (EXTCTRLS) (020)
6 superordinates
69 properties

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TPage (EXTCTRLS) (021)
265 Methods of TPage (EXTCTRLS) (021)
6 superordinates
69 properties

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl


Methods of TPage (EXTCTRLS) (022)
265 Methods of TPage (EXTCTRLS) (022)
6 superordinates
69 properties

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl


Methods of TPage (EXTCTRLS) (023)
265 Methods of TPage (EXTCTRLS) (023)
6 superordinates
69 properties

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl


Methods of TPage (EXTCTRLS) (024)
265 Methods of TPage (EXTCTRLS) (024)
6 superordinates
69 properties

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private)
procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl


Methods of TPage (EXTCTRLS) (025)
265 Methods of TPage (EXTCTRLS) (025)
6 superordinates
69 properties

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TPage (EXTCTRLS) (026)
265 Methods of TPage (EXTCTRLS) (026)
6 superordinates
69 properties

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TPage (EXTCTRLS) (027)
265 Methods of TPage (EXTCTRLS) (027)
6 superordinates
69 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TNotebook (EXTCTRLS)
269 Methods of TNotebook (EXTCTRLS)
6 superordinates
69 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (002)
269 Methods of TNotebook (EXTCTRLS) (002)
6 superordinates
69 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TNotebook (EXTCTRLS) (003)
269 Methods of TNotebook (EXTCTRLS) (003)
6 superordinates
69 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (004)
269 Methods of TNotebook (EXTCTRLS) (004)
6 superordinates
69 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (005)
269 Methods of TNotebook (EXTCTRLS) (005)
6 superordinates
69 properties

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (006)
269 Methods of TNotebook (EXTCTRLS) (006)
6 superordinates
69 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent


Methods of TNotebook (EXTCTRLS) (007)
269 Methods of TNotebook (EXTCTRLS) (007)
6 superordinates
69 properties

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TNotebook (EXTCTRLS) (008)
269 Methods of TNotebook (EXTCTRLS) (008)
6 superordinates
69 properties

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl


Methods of TNotebook (EXTCTRLS) (009)
269 Methods of TNotebook (EXTCTRLS) (009)
6 superordinates
69 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActivePage : string ;
(private)

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TNotebook (EXTCTRLS) (010)
269 Methods of TNotebook (EXTCTRLS) (010)
6 superordinates
69 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TNotebook (EXTCTRLS) (011)
269 Methods of TNotebook (EXTCTRLS) (011)
6 superordinates
69 properties

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TNotebook (EXTCTRLS) (012)
269 Methods of TNotebook (EXTCTRLS) (012)
6 superordinates
69 properties

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TNotebook (EXTCTRLS) (013)
269 Methods of TNotebook (EXTCTRLS) (013)
6 superordinates
69 properties

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TNotebook (EXTCTRLS) (014)
269 Methods of TNotebook (EXTCTRLS) (014)
6 superordinates
69 properties

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TNotebook (EXTCTRLS) (015)
269 Methods of TNotebook (EXTCTRLS) (015)
6 superordinates
69 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TNotebook (EXTCTRLS) (016)
269 Methods of TNotebook (EXTCTRLS) (016)
6 superordinates
69 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState (Reader: TReader) ;
(protected) override
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (017)
269 Methods of TNotebook (EXTCTRLS) (017)
6 superordinates
69 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TNotebook (EXTCTRLS) (018)
269 Methods of TNotebook (EXTCTRLS) (018)
6 superordinates
69 properties

procedure
SetActivePage (const Value: string) ;
(private)

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (019)
269 Methods of TNotebook (EXTCTRLS) (019)
6 superordinates
69 properties

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl


Methods of TNotebook (EXTCTRLS) (020)
269 Methods of TNotebook (EXTCTRLS) (020)
6 superordinates
69 properties

procedure
SetPageIndex (Value: Integer) ;
(private)

procedure
SetPages (Value: TStrings) ;
(private)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (021)
269 Methods of TNotebook (EXTCTRLS) (021)
6 superordinates
69 properties

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl (AControl: TControl) ;
(protected) override
procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl


Methods of TNotebook (EXTCTRLS) (022)
269 Methods of TNotebook (EXTCTRLS) (022)
6 superordinates
69 properties

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (023)
269 Methods of TNotebook (EXTCTRLS) (023)
6 superordinates
69 properties

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (024)
269 Methods of TNotebook (EXTCTRLS) (024)
6 superordinates
69 properties

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (025)
269 Methods of TNotebook (EXTCTRLS) (025)
6 superordinates
69 properties

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of TNotebook (EXTCTRLS) (026)
269 Methods of TNotebook (EXTCTRLS) (026)
6 superordinates
69 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl


Methods of TNotebook (EXTCTRLS) (027)
269 Methods of TNotebook (EXTCTRLS) (027)
6 superordinates
69 properties

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents (Writer: TWriter) ;
(protected) override
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of THeader (EXTCTRLS)
271 Methods of THeader (EXTCTRLS)
6 superordinates
71 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of THeader (EXTCTRLS) (002)
271 Methods of THeader (EXTCTRLS) (002)
6 superordinates
71 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of THeader (EXTCTRLS) (003)
271 Methods of THeader (EXTCTRLS) (003)
6 superordinates
71 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of THeader (EXTCTRLS) (004)
271 Methods of THeader (EXTCTRLS) (004)
6 superordinates
71 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of THeader (EXTCTRLS) (005)
271 Methods of THeader (EXTCTRLS) (005)
6 superordinates
71 properties

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of THeader (EXTCTRLS) (006)
271 Methods of THeader (EXTCTRLS) (006)
6 superordinates
71 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent


Methods of THeader (EXTCTRLS) (007)
271 Methods of THeader (EXTCTRLS) (007)
6 superordinates
71 properties

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of THeader (EXTCTRLS) (008)
271 Methods of THeader (EXTCTRLS) (008)
6 superordinates
71 properties

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl


Methods of THeader (EXTCTRLS) (009)
271 Methods of THeader (EXTCTRLS) (009)
6 superordinates
71 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

procedure
FreeSections ;
(private)

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of THeader (EXTCTRLS) (010)
271 Methods of THeader (EXTCTRLS) (010)
6 superordinates
71 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of THeader (EXTCTRLS) (011)
271 Methods of THeader (EXTCTRLS) (011)
6 superordinates
71 properties

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of THeader (EXTCTRLS) (012)
271 Methods of THeader (EXTCTRLS) (012)
6 superordinates
71 properties

function
GetWidth (X: Integer): Integer ;
(private)

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of THeader (EXTCTRLS) (013)
271 Methods of THeader (EXTCTRLS) (013)
6 superordinates
71 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of THeader (EXTCTRLS) (014)
271 Methods of THeader (EXTCTRLS) (014)
6 superordinates
71 properties

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(private) override
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove (Shift: TShiftState; X, Y: Integer) ;
(private) override
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(private) override
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of THeader (EXTCTRLS) (015)
271 Methods of THeader (EXTCTRLS) (015)
6 superordinates
71 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl


Methods of THeader (EXTCTRLS) (016)
271 Methods of THeader (EXTCTRLS) (016)
6 superordinates
71 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of THeader (EXTCTRLS) (017)
271 Methods of THeader (EXTCTRLS) (017)
6 superordinates
71 properties

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl


Methods of THeader (EXTCTRLS) (018)
271 Methods of THeader (EXTCTRLS) (018)
6 superordinates
71 properties

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle (Value: TBorderStyle) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of THeader (EXTCTRLS) (019)
271 Methods of THeader (EXTCTRLS) (019)
6 superordinates
71 properties

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of THeader (EXTCTRLS) (020)
271 Methods of THeader (EXTCTRLS) (020)
6 superordinates
71 properties

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSections (Strings: TStrings) ;
(private)

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of THeader (EXTCTRLS) (021)
271 Methods of THeader (EXTCTRLS) (021)
6 superordinates
71 properties

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl
procedure
SetWidth (X: Integer; Value: Integer) ;
(private)

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Sized (ASection, AWidth: Integer) ;
(protected) dynamic


Methods of THeader (EXTCTRLS) (022)
271 Methods of THeader (EXTCTRLS) (022)
6 superordinates
71 properties

procedure
Sizing (ASection, AWidth: Integer) ;
(protected) dynamic

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl


Methods of THeader (EXTCTRLS) (023)
271 Methods of THeader (EXTCTRLS) (023)
6 superordinates
71 properties

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl


Methods of THeader (EXTCTRLS) (024)
271 Methods of THeader (EXTCTRLS) (024)
6 superordinates
71 properties

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl


Methods of THeader (EXTCTRLS) (025)
271 Methods of THeader (EXTCTRLS) (025)
6 superordinates
71 properties

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl
procedure
WMNCHitTest (var Msg: TWMNCHitTest); message WM_NCHITTEST ;
(private)

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl


Methods of THeader (EXTCTRLS) (026)
271 Methods of THeader (EXTCTRLS) (026)
6 superordinates
71 properties

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl
procedure
WMSetCursor (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private)

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl


Methods of THeader (EXTCTRLS) (027)
271 Methods of THeader (EXTCTRLS) (027)
6 superordinates
71 properties

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of THeader (EXTCTRLS) (028)
271 Methods of THeader (EXTCTRLS) (028)
6 superordinates
71 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomRadioGroup (EXTCTRLS)
275 Methods of TCustomRadioGroup (EXTCTRLS)
7 superordinates
68 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) override, found in TCustomGroupBox
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrangeButtons ;
(private)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
ButtonClick (Sender: TObject) ;
(private)


Methods of TCustomRadioGroup (EXTCTRLS) (002)
275 Methods of TCustomRadioGroup (EXTCTRLS) (002)
7 superordinates
68 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGroupBox
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TCustomGroupBox
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private)
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (003)
275 Methods of TCustomRadioGroup (EXTCTRLS) (003)
7 superordinates
68 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (004)
275 Methods of TCustomRadioGroup (EXTCTRLS) (004)
7 superordinates
68 properties

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomGroupBox

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (005)
275 Methods of TCustomRadioGroup (EXTCTRLS) (005)
7 superordinates
68 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanModify : Boolean ;
(protected) virtual

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TCustomRadioGroup (EXTCTRLS) (006)
275 Methods of TCustomRadioGroup (EXTCTRLS) (006)
7 superordinates
68 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGroupBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (007)
275 Methods of TCustomRadioGroup (EXTCTRLS) (007)
7 superordinates
68 properties

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TCustomRadioGroup (EXTCTRLS) (008)
275 Methods of TCustomRadioGroup (EXTCTRLS) (008)
7 superordinates
68 properties

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TCustomRadioGroup (EXTCTRLS) (009)
275 Methods of TCustomRadioGroup (EXTCTRLS) (009)
7 superordinates
68 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl


Methods of TCustomRadioGroup (EXTCTRLS) (010)
275 Methods of TCustomRadioGroup (EXTCTRLS) (010)
7 superordinates
68 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent


Methods of TCustomRadioGroup (EXTCTRLS) (011)
275 Methods of TCustomRadioGroup (EXTCTRLS) (011)
7 superordinates
68 properties

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (012)
275 Methods of TCustomRadioGroup (EXTCTRLS) (012)
7 superordinates
68 properties

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (013)
275 Methods of TCustomRadioGroup (EXTCTRLS) (013)
7 superordinates
68 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TCustomRadioGroup (EXTCTRLS) (014)
275 Methods of TCustomRadioGroup (EXTCTRLS) (014)
7 superordinates
68 properties

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
ItemsChange (Sender: TObject) ;
(private)

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TCustomRadioGroup (EXTCTRLS) (015)
275 Methods of TCustomRadioGroup (EXTCTRLS) (015)
7 superordinates
68 properties

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TCustomGroupBox
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (016)
275 Methods of TCustomRadioGroup (EXTCTRLS) (016)
7 superordinates
68 properties

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState (Reader: TReader) ;
(protected) override
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl


Methods of TCustomRadioGroup (EXTCTRLS) (017)
275 Methods of TCustomRadioGroup (EXTCTRLS) (017)
7 superordinates
68 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (018)
275 Methods of TCustomRadioGroup (EXTCTRLS) (018)
7 superordinates
68 properties

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetButtonCount (Value: Integer) ;
(private)

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TCustomRadioGroup (EXTCTRLS) (019)
275 Methods of TCustomRadioGroup (EXTCTRLS) (019)
7 superordinates
68 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumns (Value: Integer) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl


Methods of TCustomRadioGroup (EXTCTRLS) (020)
275 Methods of TCustomRadioGroup (EXTCTRLS) (020)
7 superordinates
68 properties

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetItemIndex (Value: Integer) ;
(private)

procedure
SetItems (Value: TStrings) ;
(private)

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (021)
275 Methods of TCustomRadioGroup (EXTCTRLS) (021)
7 superordinates
68 properties

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomRadioGroup (EXTCTRLS) (022)
275 Methods of TCustomRadioGroup (EXTCTRLS) (022)
7 superordinates
68 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateButtons ;
(private)

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (023)
275 Methods of TCustomRadioGroup (EXTCTRLS) (023)
7 superordinates
68 properties

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (024)
275 Methods of TCustomRadioGroup (EXTCTRLS) (024)
7 superordinates
68 properties

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl


Methods of TCustomRadioGroup (EXTCTRLS) (025)
275 Methods of TCustomRadioGroup (EXTCTRLS) (025)
7 superordinates
68 properties

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl


Methods of TCustomRadioGroup (EXTCTRLS) (026)
275 Methods of TCustomRadioGroup (EXTCTRLS) (026)
7 superordinates
68 properties

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TCustomRadioGroup (EXTCTRLS) (027)
275 Methods of TCustomRadioGroup (EXTCTRLS) (027)
7 superordinates
68 properties

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TCustomRadioGroup (EXTCTRLS) (028)
275 Methods of TCustomRadioGroup (EXTCTRLS) (028)
7 superordinates
68 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TRadioGroup (EXTCTRLS)
275 Methods of TRadioGroup (EXTCTRLS)
8 superordinates
68 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) override, found in TCustomGroupBox
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrangeButtons  (inherited) ;
(private) , found in TCustomRadioGroup

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
ButtonClick  (inherited) (Sender: TObject) ;
(private) , found in TCustomRadioGroup


Methods of TRadioGroup (EXTCTRLS) (002)
275 Methods of TRadioGroup (EXTCTRLS) (002)
8 superordinates
68 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGroupBox
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TCustomGroupBox
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TCustomRadioGroup
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (003)
275 Methods of TRadioGroup (EXTCTRLS) (003)
8 superordinates
68 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomRadioGroup
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (004)
275 Methods of TRadioGroup (EXTCTRLS) (004)
8 superordinates
68 properties

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomGroupBox

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (005)
275 Methods of TRadioGroup (EXTCTRLS) (005)
8 superordinates
68 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanModify  (inherited) : Boolean ;
(protected) virtual, found in TCustomRadioGroup

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TRadioGroup (EXTCTRLS) (006)
275 Methods of TRadioGroup (EXTCTRLS) (006)
8 superordinates
68 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomRadioGroup
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGroupBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (007)
275 Methods of TRadioGroup (EXTCTRLS) (007)
8 superordinates
68 properties

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomRadioGroup
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TRadioGroup (EXTCTRLS) (008)
275 Methods of TRadioGroup (EXTCTRLS) (008)
8 superordinates
68 properties

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TRadioGroup (EXTCTRLS) (009)
275 Methods of TRadioGroup (EXTCTRLS) (009)
8 superordinates
68 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl


Methods of TRadioGroup (EXTCTRLS) (010)
275 Methods of TRadioGroup (EXTCTRLS) (010)
8 superordinates
68 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent


Methods of TRadioGroup (EXTCTRLS) (011)
275 Methods of TRadioGroup (EXTCTRLS) (011)
8 superordinates
68 properties

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (012)
275 Methods of TRadioGroup (EXTCTRLS) (012)
8 superordinates
68 properties

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (013)
275 Methods of TRadioGroup (EXTCTRLS) (013)
8 superordinates
68 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TRadioGroup (EXTCTRLS) (014)
275 Methods of TRadioGroup (EXTCTRLS) (014)
8 superordinates
68 properties

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
ItemsChange  (inherited) (Sender: TObject) ;
(private) , found in TCustomRadioGroup

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TRadioGroup (EXTCTRLS) (015)
275 Methods of TRadioGroup (EXTCTRLS) (015)
8 superordinates
68 properties

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TCustomGroupBox
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (016)
275 Methods of TRadioGroup (EXTCTRLS) (016)
8 superordinates
68 properties

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TCustomRadioGroup
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl


Methods of TRadioGroup (EXTCTRLS) (017)
275 Methods of TRadioGroup (EXTCTRLS) (017)
8 superordinates
68 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (018)
275 Methods of TRadioGroup (EXTCTRLS) (018)
8 superordinates
68 properties

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetButtonCount  (inherited) (Value: Integer) ;
(private) , found in TCustomRadioGroup

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TRadioGroup (EXTCTRLS) (019)
275 Methods of TRadioGroup (EXTCTRLS) (019)
8 superordinates
68 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumns  (inherited) (Value: Integer) ;
(private) , found in TCustomRadioGroup

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl


Methods of TRadioGroup (EXTCTRLS) (020)
275 Methods of TRadioGroup (EXTCTRLS) (020)
8 superordinates
68 properties

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetItemIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomRadioGroup

procedure
SetItems  (inherited) (Value: TStrings) ;
(private) , found in TCustomRadioGroup

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (021)
275 Methods of TRadioGroup (EXTCTRLS) (021)
8 superordinates
68 properties

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TRadioGroup (EXTCTRLS) (022)
275 Methods of TRadioGroup (EXTCTRLS) (022)
8 superordinates
68 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateButtons  (inherited) ;
(private) , found in TCustomRadioGroup

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (023)
275 Methods of TRadioGroup (EXTCTRLS) (023)
8 superordinates
68 properties

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (024)
275 Methods of TRadioGroup (EXTCTRLS) (024)
8 superordinates
68 properties

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl


Methods of TRadioGroup (EXTCTRLS) (025)
275 Methods of TRadioGroup (EXTCTRLS) (025)
8 superordinates
68 properties

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl


Methods of TRadioGroup (EXTCTRLS) (026)
275 Methods of TRadioGroup (EXTCTRLS) (026)
8 superordinates
68 properties

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomRadioGroup
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TRadioGroup (EXTCTRLS) (027)
275 Methods of TRadioGroup (EXTCTRLS) (027)
8 superordinates
68 properties

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TRadioGroup (EXTCTRLS) (028)
275 Methods of TRadioGroup (EXTCTRLS) (028)
8 superordinates
68 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TFileListBox (FILECTRL)
309 Methods of TFileListBox (FILECTRL)
6 superordinates
90 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ApplyFilePath (const EditText: string) ;
(public) virtual

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl


Methods of TFileListBox (FILECTRL) (002)
309 Methods of TFileListBox (FILECTRL) (002)
6 superordinates
90 properties

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TFileListBox (FILECTRL) (003)
309 Methods of TFileListBox (FILECTRL) (003)
6 superordinates
90 properties

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of TFileListBox (FILECTRL) (004)
309 Methods of TFileListBox (FILECTRL) (004)
6 superordinates
90 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomListBox

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem  (inherited) (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private) , found in TCustomListBox

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TFileListBox (FILECTRL) (005)
309 Methods of TFileListBox (FILECTRL) (005)
6 superordinates
90 properties

procedure
CNMeasureItem  (inherited) (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private) , found in TCustomListBox

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) virtual

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TFileListBox (FILECTRL) (006)
309 Methods of TFileListBox (FILECTRL) (006)
6 superordinates
90 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomListBox

procedure
Click ;
(protected) override
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomListBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomListBox
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl


Methods of TFileListBox (FILECTRL) (007)
309 Methods of TFileListBox (FILECTRL) (007)
6 superordinates
90 properties

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomListBox
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomListBox
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TFileListBox (FILECTRL) (008)
309 Methods of TFileListBox (FILECTRL) (008)
6 superordinates
90 properties

procedure
DestroyWnd  (inherited) ;
(protected) override, found in TCustomListBox
procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl


Methods of TFileListBox (FILECTRL) (009)
309 Methods of TFileListBox (FILECTRL) (009)
6 superordinates
90 properties

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) override, found in TCustomListBox
procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) override
procedure
DrawItem  (inherited) (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) virtual, found in TCustomListBox

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl


Methods of TFileListBox (FILECTRL) (010)
309 Methods of TFileListBox (FILECTRL) (010)
6 superordinates
90 properties

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl


Methods of TFileListBox (FILECTRL) (011)
309 Methods of TFileListBox (FILECTRL) (011)
6 superordinates
90 properties

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetDirectory : string ;
(private)

function
GetDrive : char ;
(private)

function
GetFileName : string ;
(private)

function
GetFilePath : string ;
(protected) virtual


Methods of TFileListBox (FILECTRL) (012)
309 Methods of TFileListBox (FILECTRL) (012)
6 superordinates
90 properties

function
GetFileType : TFileType ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItemHeight  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetItemIndex  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetMask : string ;
(private)

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelCount  (inherited) : Integer ;
(private) , found in TCustomListBox


Methods of TFileListBox (FILECTRL) (013)
309 Methods of TFileListBox (FILECTRL) (013)
6 superordinates
90 properties

function
GetSelected  (inherited) (Index: Integer): Boolean ;
(private) , found in TCustomListBox

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetTopIndex  (inherited) : Integer ;
(private) , found in TCustomListBox

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent


Methods of TFileListBox (FILECTRL) (014)
309 Methods of TFileListBox (FILECTRL) (014)
6 superordinates
90 properties

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl


Methods of TFileListBox (FILECTRL) (015)
309 Methods of TFileListBox (FILECTRL) (015)
6 superordinates
90 properties

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMaskStored : Boolean ;
(private)

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

function
ItemAtPos  (inherited) (Pos: TPoint; Existing: Boolean): Integer ;
(public) , found in TCustomListBox

function
ItemRect  (inherited) (Index: Integer): TRect ;
(public) , found in TCustomListBox

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TFileListBox (FILECTRL) (016)
309 Methods of TFileListBox (FILECTRL) (016)
6 superordinates
90 properties

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MeasureItem  (inherited) (Index: Integer; var Height: Integer) ;
(protected) virtual, found in TCustomListBox

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TFileListBox (FILECTRL) (017)
309 Methods of TFileListBox (FILECTRL) (017)
6 superordinates
90 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadBitmaps ;
(protected) virtual


Methods of TFileListBox (FILECTRL) (018)
309 Methods of TFileListBox (FILECTRL) (018)
6 superordinates
90 properties

procedure
ReadFileNames ;
(protected) virtual

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TFileListBox (FILECTRL) (019)
309 Methods of TFileListBox (FILECTRL) (019)
6 superordinates
90 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResetItemHeight ;
(private)

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl


Methods of TFileListBox (FILECTRL) (020)
309 Methods of TFileListBox (FILECTRL) (020)
6 superordinates
90 properties

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomListBox

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TFileListBox (FILECTRL) (021)
309 Methods of TFileListBox (FILECTRL) (021)
6 superordinates
90 properties

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumnWidth  (inherited) ;
(private) , found in TCustomListBox

procedure
SetColumns  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDirectory (const NewDirectory: string) ;
(private)

procedure
SetDrive (Value: char) ;
(private)

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TFileListBox (FILECTRL) (022)
309 Methods of TFileListBox (FILECTRL) (022)
6 superordinates
90 properties

procedure
SetExtendedSelect  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetFileEdit (Value: TEdit) ;
(private)

procedure
SetFileName (const NewFile: string) ;
(private)

procedure
SetFileType (NewFileType: TFileType) ;
(private)

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetIntegralHeight  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetItemHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox


Methods of TFileListBox (FILECTRL) (023)
309 Methods of TFileListBox (FILECTRL) (023)
6 superordinates
90 properties

procedure
SetItemIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetItems  (inherited) (Value: TStrings) ;
(private) , found in TCustomListBox

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMask (const NewMask: string) ;
(private)

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetMultiSelect  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TFileListBox (FILECTRL) (024)
309 Methods of TFileListBox (FILECTRL) (024)
6 superordinates
90 properties

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelected  (inherited) (Index: Integer; Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetShowGlyphs (Value: Boolean) ;
(private)

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSorted  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetStyle  (inherited) (Value: TListBoxStyle) ;
(private) , found in TCustomListBox

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TFileListBox (FILECTRL) (025)
309 Methods of TFileListBox (FILECTRL) (025)
6 superordinates
90 properties

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTopIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update ;
(public)
procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl


Methods of TFileListBox (FILECTRL) (026)
309 Methods of TFileListBox (FILECTRL) (026)
6 superordinates
90 properties

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl


Methods of TFileListBox (FILECTRL) (027)
309 Methods of TFileListBox (FILECTRL) (027)
6 superordinates
90 properties

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl


Methods of TFileListBox (FILECTRL) (028)
309 Methods of TFileListBox (FILECTRL) (028)
6 superordinates
90 properties

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomListBox
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl


Methods of TFileListBox (FILECTRL) (029)
309 Methods of TFileListBox (FILECTRL) (029)
6 superordinates
90 properties

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomListBox
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of TFileListBox (FILECTRL) (030)
309 Methods of TFileListBox (FILECTRL) (030)
6 superordinates
90 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomListBox
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl


Methods of TFileListBox (FILECTRL) (031)
309 Methods of TFileListBox (FILECTRL) (031)
6 superordinates
90 properties

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TCustomListBox
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TFolderBitmap (FILECTRL)
57 Methods of TFolderBitmap (FILECTRL)
4 superordinates
10 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TBitmap
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TGraphic
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
Changed  (inherited) (Sender: TObject) ;
(protected) , found in TGraphic

procedure
Changing  (inherited) (Sender: TObject) ;
(private) , found in TBitmap

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
CopyImage  (inherited) (AHandle: HBITMAP; APalette: HPALETTE; AWidth, AHeight: Integer; AMonochrome: Boolean) ;
(private) , found in TBitmap


Methods of TFolderBitmap (FILECTRL) (002)
57 Methods of TFolderBitmap (FILECTRL) (002)
4 superordinates
10 properties

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(public) override, found in TBitmap
constructor
Create  (inherited) ;
(protected) virtual, found in TGraphic
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TGraphic
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TBitmap
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Dormant  (inherited) ;
(public) , found in TBitmap

procedure
Draw  (inherited) (ACanvas: TCanvas; const Rect: TRect) ;
(protected) override, found in TBitmap
procedure
Draw  (inherited) (ACanvas: TCanvas; const Rect: TRect) ;
(protected) virtual/abstract, found in TGraphic

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeContext  (inherited) ;
(private) , found in TBitmap


Methods of TFolderBitmap (FILECTRL) (003)
57 Methods of TFolderBitmap (FILECTRL) (003)
4 superordinates
10 properties

procedure
FreeImage  (inherited) ;
(public) , found in TBitmap

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetCanvas  (inherited) : TCanvas ;
(private) , found in TBitmap

function
GetEmpty  (inherited) : Boolean ;
(protected) override, found in TBitmap
function
GetEmpty  (inherited) : Boolean ;
(protected) virtual/abstract, found in TGraphic

function
GetHandle  (inherited) : HBITMAP ;
(private) , found in TBitmap

function
GetHeight  (inherited) : Integer ;
(protected) override, found in TBitmap
function
GetHeight  (inherited) : Integer ;
(protected) virtual/abstract, found in TGraphic

function
GetMonochrome  (inherited) : Boolean ;
(private) , found in TBitmap

function
GetPalette  (inherited) : HPALETTE ;
(private) , found in TBitmap

function
GetTransparentColor  (inherited) : TColor ;
(private) , found in TBitmap

function
GetWidth  (inherited) : Integer ;
(protected) override, found in TBitmap
function
GetWidth  (inherited) : Integer ;
(protected) virtual/abstract, found in TGraphic


Methods of TFolderBitmap (FILECTRL) (004)
57 Methods of TFolderBitmap (FILECTRL) (004)
4 superordinates
10 properties

procedure
HandleNeeded  (inherited) ;
(private) , found in TBitmap

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LoadFromClipboardFormat  (inherited) (AFormat: Word; AData: THandle; APalette: HPALETTE) ;
(public) override, found in TBitmap
procedure
LoadFromClipboardFormat  (inherited) (AFormat: Word; AData: THandle; APalette: HPALETTE) ;
(public) virtual/abstract, found in TGraphic

procedure
LoadFromFile  (inherited) (const Filename: string) ;
(public) virtual, found in TGraphic

procedure
LoadFromStream  (inherited) (Stream: TStream) ;
(public) override, found in TBitmap
procedure
LoadFromStream  (inherited) (Stream: TStream) ;
(public) virtual/abstract, found in TGraphic

procedure
MemoryImageNeeded  (inherited) ;
(private) , found in TBitmap

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TFolderBitmap (FILECTRL) (005)
57 Methods of TFolderBitmap (FILECTRL) (005)
4 superordinates
10 properties

procedure
NewImage  (inherited) (NewHandle: HBITMAP; NewPalette: HPALETTE; NewWidth, NewHeight: Integer; NewMonochrome: Boolean; NewImage: TMemoryStream) ;
(private) , found in TBitmap

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
ReadData  (inherited) (Stream: TStream) ;
(protected) override, found in TBitmap
procedure
ReadData  (inherited) (Stream: TStream) ;
(protected) virtual, found in TGraphic

procedure
ReadStream  (inherited) (Size: Longint; Stream: TStream) ;
(private) , found in TBitmap

function
ReleaseHandle  (inherited) : HBITMAP ;
(public) , found in TBitmap

function
ReleasePalette  (inherited) : HPALETTE ;
(public) , found in TBitmap

procedure
SaveToClipboardFormat  (inherited) (var AFormat: Word; var AData: THandle; var APalette: HPALETTE) ;
(public) virtual/abstract, found in TGraphic
procedure
SaveToClipboardFormat  (inherited) (var Format: Word; var Data: THandle; var APalette: HPALETTE) ;
(public) override, found in TBitmap

procedure
SaveToFile  (inherited) (const Filename: string) ;
(public) virtual, found in TGraphic

procedure
SaveToStream  (inherited) (Stream: TStream) ;
(public) override, found in TBitmap
procedure
SaveToStream  (inherited) (Stream: TStream) ;
(public) virtual/abstract, found in TGraphic

procedure
SetHandle  (inherited) (Value: HBITMAP) ;
(private) , found in TBitmap


Methods of TFolderBitmap (FILECTRL) (006)
57 Methods of TFolderBitmap (FILECTRL) (006)
4 superordinates
10 properties

procedure
SetHeight  (inherited) (Value: Integer) ;
(protected) override, found in TBitmap
procedure
SetHeight  (inherited) (Value: Integer) ;
(protected) virtual/abstract, found in TGraphic

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TGraphic

procedure
SetMonochrome  (inherited) (Value: Boolean) ;
(private) , found in TBitmap

procedure
SetPalette  (inherited) (Value: HPALETTE) ;
(private) , found in TBitmap

procedure
SetWidth  (inherited) (Value: Integer) ;
(protected) override, found in TBitmap
procedure
SetWidth  (inherited) (Value: Integer) ;
(protected) virtual/abstract, found in TGraphic

procedure
WriteData  (inherited) (Stream: TStream) ;
(protected) override, found in TBitmap
procedure
WriteData  (inherited) (Stream: TStream) ;
(protected) virtual, found in TGraphic

procedure
WriteStream  (inherited) (Stream: TStream; WriteSize: Boolean) ;
(private) , found in TBitmap


Methods of TDirectoryListBox (FILECTRL)
306 Methods of TDirectoryListBox (FILECTRL)
6 superordinates
87 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
BuildList ;
(protected) virtual

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl


Methods of TDirectoryListBox (FILECTRL) (002)
306 Methods of TDirectoryListBox (FILECTRL) (002)
6 superordinates
87 properties

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (003)
306 Methods of TDirectoryListBox (FILECTRL) (003)
6 superordinates
87 properties

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (004)
306 Methods of TDirectoryListBox (FILECTRL) (004)
6 superordinates
87 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomListBox

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem  (inherited) (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private) , found in TCustomListBox

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (005)
306 Methods of TDirectoryListBox (FILECTRL) (005)
6 superordinates
87 properties

procedure
CNMeasureItem  (inherited) (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private) , found in TCustomListBox

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) virtual

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TDirectoryListBox (FILECTRL) (006)
306 Methods of TDirectoryListBox (FILECTRL) (006)
6 superordinates
87 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomListBox

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomListBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomListBox
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (007)
306 Methods of TDirectoryListBox (FILECTRL) (007)
6 superordinates
87 properties

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomListBox
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick ;
(protected) override
procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomListBox
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (008)
306 Methods of TDirectoryListBox (FILECTRL) (008)
6 superordinates
87 properties

procedure
DestroyWnd  (inherited) ;
(protected) override, found in TCustomListBox
procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl


Methods of TDirectoryListBox (FILECTRL) (009)
306 Methods of TDirectoryListBox (FILECTRL) (009)
6 superordinates
87 properties

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) override, found in TCustomListBox
procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) override
procedure
DrawItem  (inherited) (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) virtual, found in TCustomListBox

procedure
DriveChange (NewDrive: Char) ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TDirectoryListBox (FILECTRL) (010)
306 Methods of TDirectoryListBox (FILECTRL) (010)
6 superordinates
87 properties

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl


Methods of TDirectoryListBox (FILECTRL) (011)
306 Methods of TDirectoryListBox (FILECTRL) (011)
6 superordinates
87 properties

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetCurrentDir : string ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetDirectory : string ;
(private)

function
GetDrive : char ;
(private)


Methods of TDirectoryListBox (FILECTRL) (012)
306 Methods of TDirectoryListBox (FILECTRL) (012)
6 superordinates
87 properties

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItemHeight  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetItemIndex  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetItemPath (Index: Integer): string ;
(public)

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelCount  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetSelected  (inherited) (Index: Integer): Boolean ;
(private) , found in TCustomListBox


Methods of TDirectoryListBox (FILECTRL) (013)
306 Methods of TDirectoryListBox (FILECTRL) (013)
6 superordinates
87 properties

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetTopIndex  (inherited) : Integer ;
(private) , found in TCustomListBox

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl


Methods of TDirectoryListBox (FILECTRL) (014)
306 Methods of TDirectoryListBox (FILECTRL) (014)
6 superordinates
87 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TDirectoryListBox (FILECTRL) (015)
306 Methods of TDirectoryListBox (FILECTRL) (015)
6 superordinates
87 properties

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

function
ItemAtPos  (inherited) (Pos: TPoint; Existing: Boolean): Integer ;
(public) , found in TCustomListBox

function
ItemRect  (inherited) (Index: Integer): TRect ;
(public) , found in TCustomListBox

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (016)
306 Methods of TDirectoryListBox (FILECTRL) (016)
6 superordinates
87 properties

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MeasureItem  (inherited) (Index: Integer; var Height: Integer) ;
(protected) virtual, found in TCustomListBox

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TDirectoryListBox (FILECTRL) (017)
306 Methods of TDirectoryListBox (FILECTRL) (017)
6 superordinates
87 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
OpenCurrent ;
(public)

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadBitmaps ;
(protected) virtual

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TDirectoryListBox (FILECTRL) (018)
306 Methods of TDirectoryListBox (FILECTRL) (018)
6 superordinates
87 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (019)
306 Methods of TDirectoryListBox (FILECTRL) (019)
6 superordinates
87 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResetItemHeight ;
(private)

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl


Methods of TDirectoryListBox (FILECTRL) (020)
306 Methods of TDirectoryListBox (FILECTRL) (020)
6 superordinates
87 properties

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomListBox

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumnWidth  (inherited) ;
(private) , found in TCustomListBox


Methods of TDirectoryListBox (FILECTRL) (021)
306 Methods of TDirectoryListBox (FILECTRL) (021)
6 superordinates
87 properties

procedure
SetColumns  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDir (const NewDirectory: string) ;
(private)

procedure
SetDirLabel (Value: TLabel) ;
(private)

procedure
SetDirLabelCaption ;
(private)

procedure
SetDirectory (const NewDirectory: string) ;
(private) virtual

procedure
SetDrive (Value: char) ;
(private)


Methods of TDirectoryListBox (FILECTRL) (022)
306 Methods of TDirectoryListBox (FILECTRL) (022)
6 superordinates
87 properties

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetExtendedSelect  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetFileListBox (Value: TFileListBox) ;
(private)

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetIntegralHeight  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetItemHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetItemIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox


Methods of TDirectoryListBox (FILECTRL) (023)
306 Methods of TDirectoryListBox (FILECTRL) (023)
6 superordinates
87 properties

procedure
SetItems  (inherited) (Value: TStrings) ;
(private) , found in TCustomListBox

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetMultiSelect  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDirectoryListBox (FILECTRL) (024)
306 Methods of TDirectoryListBox (FILECTRL) (024)
6 superordinates
87 properties

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelected  (inherited) (Index: Integer; Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSorted  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetStyle  (inherited) (Value: TListBoxStyle) ;
(private) , found in TCustomListBox

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TDirectoryListBox (FILECTRL) (025)
306 Methods of TDirectoryListBox (FILECTRL) (025)
6 superordinates
87 properties

procedure
SetTopIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update ;
(public)
procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (026)
306 Methods of TDirectoryListBox (FILECTRL) (026)
6 superordinates
87 properties

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (027)
306 Methods of TDirectoryListBox (FILECTRL) (027)
6 superordinates
87 properties

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomListBox
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl


Methods of TDirectoryListBox (FILECTRL) (028)
306 Methods of TDirectoryListBox (FILECTRL) (028)
6 superordinates
87 properties

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl


Methods of TDirectoryListBox (FILECTRL) (029)
306 Methods of TDirectoryListBox (FILECTRL) (029)
6 superordinates
87 properties

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomListBox
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomListBox
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (030)
306 Methods of TDirectoryListBox (FILECTRL) (030)
6 superordinates
87 properties

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl


Methods of TDirectoryListBox (FILECTRL) (031)
306 Methods of TDirectoryListBox (FILECTRL) (031)
6 superordinates
87 properties

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TCustomListBox
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDriveComboBox (FILECTRL)
302 Methods of TDriveComboBox (FILECTRL)
6 superordinates
85 properties

procedure
AdjustDropDown  (inherited) ;
(private) , found in TCustomComboBox

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
BuildList ;
(protected) virtual


Methods of TDriveComboBox (FILECTRL) (002)
302 Methods of TDriveComboBox (FILECTRL) (002)
6 superordinates
85 properties

procedure
CMCancelMode  (inherited) (var Message: TCMCancelMode); message CM_CANCELMODE ;
(private) , found in TCustomComboBox

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl


Methods of TDriveComboBox (FILECTRL) (003)
302 Methods of TDriveComboBox (FILECTRL) (003)
6 superordinates
85 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TCustomComboBox
procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TDriveComboBox (FILECTRL) (004)
302 Methods of TDriveComboBox (FILECTRL) (004)
6 superordinates
85 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomComboBox

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TCustomComboBox
procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem  (inherited) (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private) , found in TCustomComboBox


Methods of TDriveComboBox (FILECTRL) (005)
302 Methods of TDriveComboBox (FILECTRL) (005)
6 superordinates
85 properties

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNMeasureItem  (inherited) (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private) , found in TCustomComboBox

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) dynamic
procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomComboBox

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl


Methods of TDriveComboBox (FILECTRL) (006)
302 Methods of TDriveComboBox (FILECTRL) (006)
6 superordinates
85 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomComboBox

procedure
Click ;
(protected) override
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ComboWndProc  (inherited) (var Message: TMessage; ComboWnd: HWnd; ComboProc: Pointer) ;
(protected) virtual, found in TCustomComboBox

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl


Methods of TDriveComboBox (FILECTRL) (007)
302 Methods of TDriveComboBox (FILECTRL) (007)
6 superordinates
85 properties

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomComboBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomComboBox
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomComboBox
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomComboBox
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TDriveComboBox (FILECTRL) (008)
302 Methods of TDriveComboBox (FILECTRL) (008)
6 superordinates
85 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) override, found in TCustomComboBox
procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TDriveComboBox (FILECTRL) (009)
302 Methods of TDriveComboBox (FILECTRL) (009)
6 superordinates
85 properties

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) override
procedure
DrawItem  (inherited) (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) virtual, found in TCustomComboBox

procedure
DropDown  (inherited) ;
(protected) dynamic, found in TCustomComboBox

procedure
EditWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TCustomComboBox


Methods of TDriveComboBox (FILECTRL) (010)
302 Methods of TDriveComboBox (FILECTRL) (010)
6 superordinates
85 properties

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TDriveComboBox (FILECTRL) (011)
302 Methods of TDriveComboBox (FILECTRL) (011)
6 superordinates
85 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of TDriveComboBox (FILECTRL) (012)
302 Methods of TDriveComboBox (FILECTRL) (012)
6 superordinates
85 properties

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetDroppedDown  (inherited) : Boolean ;
(private) , found in TCustomComboBox

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItemHeight  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetItemIndex  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomComboBox


Methods of TDriveComboBox (FILECTRL) (013)
302 Methods of TDriveComboBox (FILECTRL) (013)
6 superordinates
85 properties

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetSelText  (inherited) : String ;
(private) , found in TCustomComboBox

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextCase : TTextCase ;
(private)

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl


Methods of TDriveComboBox (FILECTRL) (014)
302 Methods of TDriveComboBox (FILECTRL) (014)
6 superordinates
85 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl


Methods of TDriveComboBox (FILECTRL) (015)
302 Methods of TDriveComboBox (FILECTRL) (015)
6 superordinates
85 properties

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TDriveComboBox (FILECTRL) (016)
302 Methods of TDriveComboBox (FILECTRL) (016)
6 superordinates
85 properties

procedure
ListWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TCustomComboBox

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MeasureItem  (inherited) (Index: Integer; var Height: Integer) ;
(protected) virtual, found in TCustomComboBox

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TDriveComboBox (FILECTRL) (017)
302 Methods of TDriveComboBox (FILECTRL) (017)
6 superordinates
85 properties

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadBitmaps ;
(private)

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TDriveComboBox (FILECTRL) (018)
302 Methods of TDriveComboBox (FILECTRL) (018)
6 superordinates
85 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TDriveComboBox (FILECTRL) (019)
302 Methods of TDriveComboBox (FILECTRL) (019)
6 superordinates
85 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResetItemHeight ;
(private)

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomComboBox

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl


Methods of TDriveComboBox (FILECTRL) (020)
302 Methods of TDriveComboBox (FILECTRL) (020)
6 superordinates
85 properties

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TDriveComboBox (FILECTRL) (021)
302 Methods of TDriveComboBox (FILECTRL) (021)
6 superordinates
85 properties

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDirListBox (Value: TDirectoryListBox) ;
(private)

procedure
SetDrive (NewDrive: Char) ;
(private)

procedure
SetDroppedDown  (inherited) (Value: Boolean) ;
(private) , found in TCustomComboBox

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TDriveComboBox (FILECTRL) (022)
302 Methods of TDriveComboBox (FILECTRL) (022)
6 superordinates
85 properties

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetItemHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetItemIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetItems  (inherited) (Value: TStrings) ;
(private) , found in TCustomComboBox

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDriveComboBox (FILECTRL) (023)
302 Methods of TDriveComboBox (FILECTRL) (023)
6 superordinates
85 properties

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomComboBox

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSorted  (inherited) (Value: Boolean) ;
(private) , found in TCustomComboBox

procedure
SetStyle  (inherited) (Value: TComboBoxStyle) ;
(private) , found in TCustomComboBox


Methods of TDriveComboBox (FILECTRL) (024)
302 Methods of TDriveComboBox (FILECTRL) (024)
6 superordinates
85 properties

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTextCase (NewTextCase: TTextCase) ;
(private)

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl


Methods of TDriveComboBox (FILECTRL) (025)
302 Methods of TDriveComboBox (FILECTRL) (025)
6 superordinates
85 properties

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl


Methods of TDriveComboBox (FILECTRL) (026)
302 Methods of TDriveComboBox (FILECTRL) (026)
6 superordinates
85 properties

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCreate  (inherited) (var Message: TWMCreate); message WM_CREATE ;
(private) , found in TCustomComboBox

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TCustomComboBox
procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TCustomComboBox
procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TCustomComboBox
procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TCustomComboBox
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl


Methods of TDriveComboBox (FILECTRL) (027)
302 Methods of TDriveComboBox (FILECTRL) (027)
6 superordinates
85 properties

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomComboBox
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl


Methods of TDriveComboBox (FILECTRL) (028)
302 Methods of TDriveComboBox (FILECTRL) (028)
6 superordinates
85 properties

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TCustomComboBox
procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl


Methods of TDriveComboBox (FILECTRL) (029)
302 Methods of TDriveComboBox (FILECTRL) (029)
6 superordinates
85 properties

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl


Methods of TDriveComboBox (FILECTRL) (030)
302 Methods of TDriveComboBox (FILECTRL) (030)
6 superordinates
85 properties

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TCustomComboBox
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDriveComboBox (FILECTRL) (031)
302 Methods of TDriveComboBox (FILECTRL) (031)
6 superordinates
85 properties

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TFilterComboBox (FILECTRL)
301 Methods of TFilterComboBox (FILECTRL)
6 superordinates
85 properties

procedure
AdjustDropDown  (inherited) ;
(private) , found in TCustomComboBox

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
BuildList ;
(protected)


Methods of TFilterComboBox (FILECTRL) (002)
301 Methods of TFilterComboBox (FILECTRL) (002)
6 superordinates
85 properties

procedure
CMCancelMode  (inherited) (var Message: TCMCancelMode); message CM_CANCELMODE ;
(private) , found in TCustomComboBox

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (003)
301 Methods of TFilterComboBox (FILECTRL) (003)
6 superordinates
85 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TCustomComboBox
procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TFilterComboBox (FILECTRL) (004)
301 Methods of TFilterComboBox (FILECTRL) (004)
6 superordinates
85 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomComboBox

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TCustomComboBox
procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem  (inherited) (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private) , found in TCustomComboBox


Methods of TFilterComboBox (FILECTRL) (005)
301 Methods of TFilterComboBox (FILECTRL) (005)
6 superordinates
85 properties

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNMeasureItem  (inherited) (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private) , found in TCustomComboBox

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) dynamic
procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomComboBox

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl


Methods of TFilterComboBox (FILECTRL) (006)
301 Methods of TFilterComboBox (FILECTRL) (006)
6 superordinates
85 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomComboBox

procedure
Click ;
(protected) override
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ComboWndProc  (inherited) (var Message: TMessage; ComboWnd: HWnd; ComboProc: Pointer) ;
(protected) virtual, found in TCustomComboBox

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (007)
301 Methods of TFilterComboBox (FILECTRL) (007)
6 superordinates
85 properties

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomComboBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomComboBox
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomComboBox
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomComboBox
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TFilterComboBox (FILECTRL) (008)
301 Methods of TFilterComboBox (FILECTRL) (008)
6 superordinates
85 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) override, found in TCustomComboBox
procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (009)
301 Methods of TFilterComboBox (FILECTRL) (009)
6 superordinates
85 properties

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem  (inherited) (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) virtual, found in TCustomComboBox

procedure
DropDown  (inherited) ;
(protected) dynamic, found in TCustomComboBox

procedure
EditWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TCustomComboBox


Methods of TFilterComboBox (FILECTRL) (010)
301 Methods of TFilterComboBox (FILECTRL) (010)
6 superordinates
85 properties

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TFilterComboBox (FILECTRL) (011)
301 Methods of TFilterComboBox (FILECTRL) (011)
6 superordinates
85 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (012)
301 Methods of TFilterComboBox (FILECTRL) (012)
6 superordinates
85 properties

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetDroppedDown  (inherited) : Boolean ;
(private) , found in TCustomComboBox

function
GetFilter : string ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItemHeight  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetItemIndex  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetMask : string ;
(private)

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TFilterComboBox (FILECTRL) (013)
301 Methods of TFilterComboBox (FILECTRL) (013)
6 superordinates
85 properties

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetSelText  (inherited) : String ;
(private) , found in TCustomComboBox

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (014)
301 Methods of TFilterComboBox (FILECTRL) (014)
6 superordinates
85 properties

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl


Methods of TFilterComboBox (FILECTRL) (015)
301 Methods of TFilterComboBox (FILECTRL) (015)
6 superordinates
85 properties

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFilterStored : Boolean ;
(private)

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TFilterComboBox (FILECTRL) (016)
301 Methods of TFilterComboBox (FILECTRL) (016)
6 superordinates
85 properties

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
ListWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TCustomComboBox

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MeasureItem  (inherited) (Index: Integer; var Height: Integer) ;
(protected) virtual, found in TCustomComboBox

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TFilterComboBox (FILECTRL) (017)
301 Methods of TFilterComboBox (FILECTRL) (017)
6 superordinates
85 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (018)
301 Methods of TFilterComboBox (FILECTRL) (018)
6 superordinates
85 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (019)
301 Methods of TFilterComboBox (FILECTRL) (019)
6 superordinates
85 properties

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomComboBox

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (020)
301 Methods of TFilterComboBox (FILECTRL) (020)
6 superordinates
85 properties

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TFilterComboBox (FILECTRL) (021)
301 Methods of TFilterComboBox (FILECTRL) (021)
6 superordinates
85 properties

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDroppedDown  (inherited) (Value: Boolean) ;
(private) , found in TCustomComboBox

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFileListBox (Value: TFileListBox) ;
(private)

procedure
SetFilter (const NewFilter: string) ;
(private)

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TFilterComboBox (FILECTRL) (022)
301 Methods of TFilterComboBox (FILECTRL) (022)
6 superordinates
85 properties

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetItemHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetItemIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetItems  (inherited) (Value: TStrings) ;
(private) , found in TCustomComboBox

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TFilterComboBox (FILECTRL) (023)
301 Methods of TFilterComboBox (FILECTRL) (023)
6 superordinates
85 properties

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomComboBox

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSorted  (inherited) (Value: Boolean) ;
(private) , found in TCustomComboBox

procedure
SetStyle  (inherited) (Value: TComboBoxStyle) ;
(private) , found in TCustomComboBox


Methods of TFilterComboBox (FILECTRL) (024)
301 Methods of TFilterComboBox (FILECTRL) (024)
6 superordinates
85 properties

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl


Methods of TFilterComboBox (FILECTRL) (025)
301 Methods of TFilterComboBox (FILECTRL) (025)
6 superordinates
85 properties

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (026)
301 Methods of TFilterComboBox (FILECTRL) (026)
6 superordinates
85 properties

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCreate  (inherited) (var Message: TWMCreate); message WM_CREATE ;
(private) , found in TCustomComboBox

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TCustomComboBox
procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TCustomComboBox
procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TCustomComboBox
procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TCustomComboBox
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (027)
301 Methods of TFilterComboBox (FILECTRL) (027)
6 superordinates
85 properties

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomComboBox
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TCustomComboBox
procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (028)
301 Methods of TFilterComboBox (FILECTRL) (028)
6 superordinates
85 properties

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (029)
301 Methods of TFilterComboBox (FILECTRL) (029)
6 superordinates
85 properties

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl


Methods of TFilterComboBox (FILECTRL) (030)
301 Methods of TFilterComboBox (FILECTRL) (030)
6 superordinates
85 properties

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TCustomComboBox
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TFilterComboBox (FILECTRL) (031)
301 Methods of TFilterComboBox (FILECTRL) (031)
6 superordinates
85 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of EInvalidGridOperation (GRIDS)
26 Methods of EInvalidGridOperation (GRIDS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInvalidGridOperation (GRIDS) (002)
26 Methods of EInvalidGridOperation (GRIDS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInvalidGridOperation (GRIDS) (003)
26 Methods of EInvalidGridOperation (GRIDS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TInplaceEdit (GRIDS)
337 Methods of TInplaceEdit (GRIDS)
7 superordinates
84 properties

function
AddEditFormat  (inherited) (const Value: string; Active: Boolean): string ;
(private) , found in TCustomMaskEdit

procedure
AdjustHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrowKeys  (inherited) (CharCode: Word; Shift: TShiftState) ;
(private) , found in TCustomMaskEdit

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl


Methods of TInplaceEdit (GRIDS) (002)
337 Methods of TInplaceEdit (GRIDS) (002)
7 superordinates
84 properties

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TCustomMaskEdit
procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl
procedure
CMEnter  (inherited) (var Message: TCMGotFocus); message CM_ENTER ;
(private) , found in TCustomEdit

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TCustomMaskEdit
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl


Methods of TInplaceEdit (GRIDS) (003)
337 Methods of TInplaceEdit (GRIDS) (003)
7 superordinates
84 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomEdit
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TInplaceEdit (GRIDS) (004)
337 Methods of TInplaceEdit (GRIDS) (004)
7 superordinates
84 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private)
procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomMaskEdit
procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomEdit

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomEdit

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl


Methods of TInplaceEdit (GRIDS) (005)
337 Methods of TInplaceEdit (GRIDS) (005)
7 superordinates
84 properties

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomEdit

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CharKeys  (inherited) (var CharCode: Char): Boolean ;
(private) , found in TCustomMaskEdit

procedure
CheckCursor  (inherited) ;
(protected) , found in TCustomMaskEdit


Methods of TInplaceEdit (GRIDS) (006)
337 Methods of TInplaceEdit (GRIDS) (006)
7 superordinates
84 properties

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomMaskEdit
procedure
Clear  (inherited) ;
(public) , found in TCustomEdit

procedure
ClearSelection  (inherited) ;
(public) , found in TCustomEdit

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of TInplaceEdit (GRIDS) (007)
337 Methods of TInplaceEdit (GRIDS) (007)
7 superordinates
84 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
CopyToClipboard  (inherited) ;
(public) , found in TCustomEdit

constructor
Create (AOwner: TComponent) ;
(public)
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomMaskEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomEdit
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomEdit
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CursorDec  (inherited) (CursorPos: Integer) ;
(private) , found in TCustomMaskEdit

procedure
CursorInc  (inherited) (CursorPos: Integer; Incr: Integer) ;
(private) , found in TCustomMaskEdit


Methods of TInplaceEdit (GRIDS) (008)
337 Methods of TInplaceEdit (GRIDS) (008)
7 superordinates
84 properties

procedure
CutToClipboard  (inherited) ;
(public) , found in TCustomEdit

procedure
DblClick ;
(protected) override
procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DeleteKeys  (inherited) (CharCode: Word) ;
(private) , found in TCustomMaskEdit

function
DeleteSelection  (inherited) (var Value: string; Offset: Integer; Len: Integer): Boolean ;
(private) , found in TCustomMaskEdit

procedure
Deselect ;
(public)

destructor
Destroy  (inherited) ;
(public) override, found in TCustomMaskEdit
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl


Methods of TInplaceEdit (GRIDS) (009)
337 Methods of TInplaceEdit (GRIDS) (009)
7 superordinates
84 properties

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoInputChar  (inherited) (var NewChar: Char; MaskOffset: Integer): Boolean ;
(private) , found in TCustomMaskEdit

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TInplaceEdit (GRIDS) (010)
337 Methods of TInplaceEdit (GRIDS) (010)
7 superordinates
84 properties

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

function
EditCanModify : Boolean ;
(protected) override
function
EditCanModify  (inherited) : Boolean ;
(protected) virtual, found in TCustomMaskEdit

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TInplaceEdit (GRIDS) (011)
337 Methods of TInplaceEdit (GRIDS) (011)
7 superordinates
84 properties

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindLiteralChar  (inherited) (MaskOffset: Integer; InChar: Char): Integer ;
(private) , found in TCustomMaskEdit

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TInplaceEdit (GRIDS) (012)
337 Methods of TInplaceEdit (GRIDS) (012)
7 superordinates
84 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditMask  (inherited) : string ;
(private) , found in TCustomMaskEdit


Methods of TInplaceEdit (GRIDS) (013)
337 Methods of TInplaceEdit (GRIDS) (013)
7 superordinates
84 properties

function
GetEditText  (inherited) : string ;
(private) , found in TCustomMaskEdit

function
GetFirstEditChar  (inherited) : Integer ;
(protected) , found in TCustomMaskEdit

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetLastEditChar  (inherited) : Integer ;
(protected) , found in TCustomMaskEdit

function
GetMasked  (inherited) : Boolean ;
(private) , found in TCustomMaskEdit

function
GetMaxChars  (inherited) : Integer ;
(protected) , found in TCustomMaskEdit

function
GetMaxLength  (inherited) : Integer ;
(private) , found in TCustomMaskEdit

function
GetModified  (inherited) : Boolean ;
(private) , found in TCustomEdit

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl


Methods of TInplaceEdit (GRIDS) (014)
337 Methods of TInplaceEdit (GRIDS) (014)
7 superordinates
84 properties

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetNextEditChar  (inherited) (Offset: Integer): Integer ;
(protected) , found in TCustomMaskEdit

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPriorEditChar  (inherited) (Offset: Integer): Integer ;
(protected) , found in TCustomMaskEdit

procedure
GetSel  (inherited) (var SelStart: Integer; var SelStop: Integer) ;
(protected) , found in TCustomMaskEdit

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelText  (inherited) : String ;
(private) , found in TCustomEdit

function
GetSelTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TCustomEdit

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl


Methods of TInplaceEdit (GRIDS) (015)
337 Methods of TInplaceEdit (GRIDS) (015)
7 superordinates
84 properties

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl
function
GetText  (inherited) : string ;
(private) , found in TCustomMaskEdit

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TCustomMaskEdit
function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide ;
(public)
procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HomeEndKeys  (inherited) (CharCode: Word; Shift: TShiftState) ;
(private) , found in TCustomMaskEdit

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of TInplaceEdit (GRIDS) (016)
337 Methods of TInplaceEdit (GRIDS) (016)
7 superordinates
84 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

function
InputChar  (inherited) (var NewChar: Char; Offset: Integer): Boolean ;
(private) , found in TCustomMaskEdit

function
InputString  (inherited) (var Value: string; const NewValue: string; Offset: Integer): Integer ;
(private) , found in TCustomMaskEdit

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
InternalMove (Loc: TRect; Redraw: Boolean) ;
(private)

procedure
Invalidate ;
(public)
procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl


Methods of TInplaceEdit (GRIDS) (017)
337 Methods of TInplaceEdit (GRIDS) (017)
7 superordinates
84 properties

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomMaskEdit
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomMaskEdit
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomMaskEdit
procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TInplaceEdit (GRIDS) (018)
337 Methods of TInplaceEdit (GRIDS) (018)
7 superordinates
84 properties

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
Move (const Loc: TRect) ;
(public)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TInplaceEdit (GRIDS) (019)
337 Methods of TInplaceEdit (GRIDS) (019)
7 superordinates
84 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard  (inherited) ;
(public) , found in TCustomEdit

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PosEqual (const Rect: TRect): Boolean ;
(public)

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TInplaceEdit (GRIDS) (020)
337 Methods of TInplaceEdit (GRIDS) (020)
7 superordinates
84 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
ReformatText  (inherited) (const NewMask: string) ;
(protected) , found in TCustomMaskEdit

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TInplaceEdit (GRIDS) (021)
337 Methods of TInplaceEdit (GRIDS) (021)
7 superordinates
84 properties

function
RemoveEditFormat  (inherited) (const Value: string): string ;
(private) , found in TCustomMaskEdit

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Reset  (inherited) ;
(protected) virtual, found in TCustomMaskEdit

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomEdit


Methods of TInplaceEdit (GRIDS) (022)
337 Methods of TInplaceEdit (GRIDS) (022)
7 superordinates
84 properties

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomEdit

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCharCase  (inherited) (Value: TEditCharCase) ;
(private) , found in TCustomEdit


Methods of TInplaceEdit (GRIDS) (023)
337 Methods of TInplaceEdit (GRIDS) (023)
7 superordinates
84 properties

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Pos: Integer) ;
(protected) , found in TCustomMaskEdit
procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TCustomMaskEdit

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TCustomMaskEdit


Methods of TInplaceEdit (GRIDS) (024)
337 Methods of TInplaceEdit (GRIDS) (024)
7 superordinates
84 properties

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus ;
(public)
procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGrid (Value: TCustomGrid) ;
(private)

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHideSelection  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomMaskEdit
procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit


Methods of TInplaceEdit (GRIDS) (025)
337 Methods of TInplaceEdit (GRIDS) (025)
7 superordinates
84 properties

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOEMConvert  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPasswordChar  (inherited) (Value: Char) ;
(private) , found in TCustomEdit

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit


Methods of TInplaceEdit (GRIDS) (026)
337 Methods of TInplaceEdit (GRIDS) (026)
7 superordinates
84 properties

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSel  (inherited) (SelStart: Integer; SelStop: Integer) ;
(protected) , found in TCustomMaskEdit

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomEdit

procedure
SetSelTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TCustomEdit

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl
procedure
SetText  (inherited) (const Value: string) ;
(private) , found in TCustomMaskEdit


Methods of TInplaceEdit (GRIDS) (027)
337 Methods of TInplaceEdit (GRIDS) (027)
7 superordinates
84 properties

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl


Methods of TInplaceEdit (GRIDS) (028)
337 Methods of TInplaceEdit (GRIDS) (028)
7 superordinates
84 properties

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
UpdateLoc (const Loc: TRect) ;
(public)

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

function
Validate  (inherited) (const Value: string; var Pos: Integer): Boolean ;
(private) , found in TCustomMaskEdit

procedure
ValidateEdit  (inherited) ;
(public) , found in TCustomMaskEdit

procedure
ValidateError  (inherited) ;
(protected) , found in TCustomMaskEdit

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

function
Visible : Boolean ;
(public)


Methods of TInplaceEdit (GRIDS) (029)
337 Methods of TInplaceEdit (GRIDS) (029)
7 superordinates
84 properties

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMCut  (inherited) (var Message: TMessage); message WM_CUT ;
(private) , found in TCustomMaskEdit

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl


Methods of TInplaceEdit (GRIDS) (030)
337 Methods of TInplaceEdit (GRIDS) (030)
7 superordinates
84 properties

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode (var Message: TWMGetDlgCode); message WM_GETDLGCODE ;
(private)
procedure
WMGetDlgCode  (inherited) (var Message: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomMaskEdit

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomMaskEdit
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TCustomMaskEdit
procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl


Methods of TInplaceEdit (GRIDS) (031)
337 Methods of TInplaceEdit (GRIDS) (031)
7 superordinates
84 properties

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl


Methods of TInplaceEdit (GRIDS) (032)
337 Methods of TInplaceEdit (GRIDS) (032)
7 superordinates
84 properties

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMPaste  (inherited) (var Message: TMessage); message WM_PASTE ;
(private) , found in TCustomMaskEdit

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus  (inherited) (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomMaskEdit


Methods of TInplaceEdit (GRIDS) (033)
337 Methods of TInplaceEdit (GRIDS) (033)
7 superordinates
84 properties

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl


Methods of TInplaceEdit (GRIDS) (034)
337 Methods of TInplaceEdit (GRIDS) (034)
7 superordinates
84 properties

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc (var Message: TMessage) ;
(protected) override
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomGrid (GRIDS)
363 Methods of TCustomGrid (GRIDS)
6 superordinates
94 properties

procedure
AdjustSize (Index, Amount: Longint; Rows: Boolean) ;
(protected) dynamic

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

function
BoxRect (ALeft, ATop, ARight, ABottom: Longint): TRect ;
(protected)

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl


Methods of TCustomGrid (GRIDS) (002)
363 Methods of TCustomGrid (GRIDS) (002)
6 superordinates
94 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged (var Message: TMessage); message CM_CTL3DCHANGED ;
(private)
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl
procedure
CMDesignHitTest (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private)

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TCustomGrid (GRIDS) (003)
363 Methods of TCustomGrid (GRIDS) (003)
6 superordinates
94 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TCustomGrid (GRIDS) (004)
363 Methods of TCustomGrid (GRIDS) (004)
6 superordinates
94 properties

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWantSpecialKey (var Msg: TCMWantSpecialKey); message CM_WANTSPECIALKEY ;
(private)

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TCustomGrid (GRIDS) (005)
363 Methods of TCustomGrid (GRIDS) (005)
6 superordinates
94 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CalcCoordFromPoint (X, Y: Integer; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private)

procedure
CalcDrawInfo (var DrawInfo: TGridDrawInfo) ;
(private)

procedure
CalcDrawInfoXY (var DrawInfo: TGridDrawInfo; UseWidth, UseHeight: Integer) ;
(private)

procedure
CalcFixedInfo (var DrawInfo: TGridDrawInfo) ;
(private)

function
CalcMaxTopLeft (const Coord: TGridCoord; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private)

procedure
CalcSizingState (X, Y: Integer; var State: TGridState; var Index: Longint; var SizingPos, SizingOfs: Integer; var FixedInfo: TGridDrawInfo) ;
(private)

function
CanEditAcceptKey (Key: Char): Boolean ;
(protected) dynamic

function
CanEditModify : Boolean ;
(protected) dynamic


Methods of TCustomGrid (GRIDS) (006)
363 Methods of TCustomGrid (GRIDS) (006)
6 superordinates
94 properties

function
CanEditShow : Boolean ;
(protected) virtual

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanGridAcceptKey (Key: Word; Shift: TShiftState): Boolean ;
(protected) dynamic

function
CellRect (ACol, ARow: Longint): TRect ;
(protected)

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
ChangeSize (NewColCount, NewRowCount: Longint) ;
(private)

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

procedure
ClampInView (const Coord: TGridCoord) ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TCustomGrid (GRIDS) (007)
363 Methods of TCustomGrid (GRIDS) (007)
6 superordinates
94 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ColWidthsChanged ;
(protected) dynamic

procedure
ColumnMoved (FromIndex, ToIndex: Longint) ;
(protected) dynamic

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TCustomGrid (GRIDS) (008)
363 Methods of TCustomGrid (GRIDS) (008)
6 superordinates
94 properties

function
CreateEditor : TInplaceEdit ;
(protected) virtual

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TCustomGrid (GRIDS) (009)
363 Methods of TCustomGrid (GRIDS) (009)
6 superordinates
94 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit ;
(protected) override
procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TCustomGrid (GRIDS) (010)
363 Methods of TCustomGrid (GRIDS) (010)
6 superordinates
94 properties

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawCell (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) virtual/abstract

procedure
DrawMove ;
(private)

procedure
DrawSizingLine (const DrawInfo: TGridDrawInfo) ;
(private)


Methods of TCustomGrid (GRIDS) (011)
363 Methods of TCustomGrid (GRIDS) (011)
6 superordinates
94 properties

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusCell (ACol, ARow: Longint; MoveAnchor: Boolean) ;
(private)

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TCustomGrid (GRIDS) (012)
363 Methods of TCustomGrid (GRIDS) (012)
6 superordinates
94 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetColWidths (Index: Longint): Integer ;
(private)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent


Methods of TCustomGrid (GRIDS) (013)
363 Methods of TCustomGrid (GRIDS) (013)
6 superordinates
94 properties

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditLimit : Integer ;
(protected) dynamic

function
GetEditMask (ACol, ARow: Longint): string ;
(protected) dynamic

function
GetEditText (ACol, ARow: Longint): string ;
(protected) dynamic

function
GetGridHeight : Integer ;
(protected)

function
GetGridWidth : Integer ;
(protected)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl


Methods of TCustomGrid (GRIDS) (014)
363 Methods of TCustomGrid (GRIDS) (014)
6 superordinates
94 properties

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetRowHeights (Index: Longint): Integer ;
(private)

function
GetSelection : TGridRect ;
(private)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetTabStops (Index: Longint): Boolean ;
(private)

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl


Methods of TCustomGrid (GRIDS) (015)
363 Methods of TCustomGrid (GRIDS) (015)
6 superordinates
94 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetVisibleColCount : Integer ;
(private)

function
GetVisibleRowCount : Integer ;
(private)

procedure
GridRectToScreenRect (GridRect: TGridRect; var ScreenRect: TRect; IncludeLine: Boolean) ;
(private)

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HideEdit ;
(private)

procedure
HideEditor ;
(protected)


Methods of TCustomGrid (GRIDS) (016)
363 Methods of TCustomGrid (GRIDS) (016)
6 superordinates
94 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize ;
(private)

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateCell (ACol, ARow: Longint) ;
(protected)

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl


Methods of TCustomGrid (GRIDS) (017)
363 Methods of TCustomGrid (GRIDS) (017)
6 superordinates
94 properties

procedure
InvalidateEditor ;
(protected)

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

procedure
InvalidateGrid ;
(private)

procedure
InvalidateRect (ARect: TGridRect) ;
(private)

procedure
InvalidateRow (ARow: Longint) ;
(protected)

procedure
InvertRect (const Rect: TRect) ;
(private)

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TCustomGrid (GRIDS) (018)
363 Methods of TCustomGrid (GRIDS) (018)
6 superordinates
94 properties

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
ModifyScrollBar (ScrollBar, ScrollCode, Pos: Word) ;
(private)


Methods of TCustomGrid (GRIDS) (019)
363 Methods of TCustomGrid (GRIDS) (019)
6 superordinates
94 properties

function
MouseCoord (X, Y: Integer): TGridCoord ;
(protected)

procedure
MouseDown (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove (Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MoveAnchor (const NewAnchor: TGridCoord) ;
(private)

procedure
MoveColRow (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(protected)

procedure
MoveCurrent (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(private)

procedure
MoveTopLeft (ALeft, ATop: Longint) ;
(private)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TCustomGrid (GRIDS) (020)
363 Methods of TCustomGrid (GRIDS) (020)
6 superordinates
94 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadColWidths (Reader: TReader) ;
(private)

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TCustomGrid (GRIDS) (021)
363 Methods of TCustomGrid (GRIDS) (021)
6 superordinates
94 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadRowHeights (Reader: TReader) ;
(private)

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TCustomGrid (GRIDS) (022)
363 Methods of TCustomGrid (GRIDS) (022)
6 superordinates
94 properties

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResizeCol (Index: Longint; OldSize, NewSize: Integer) ;
(private)

procedure
ResizeRow (Index: Longint; OldSize, NewSize: Integer) ;
(private)

procedure
RowHeightsChanged ;
(protected) dynamic

procedure
RowMoved (FromIndex, ToIndex: Longint) ;
(protected) dynamic

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TCustomGrid (GRIDS) (023)
363 Methods of TCustomGrid (GRIDS) (023)
6 superordinates
94 properties

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollData (DX, DY: Integer) ;
(protected)

procedure
ScrollDataInfo (DX, DY: Integer; var DrawInfo: TGridDrawInfo) ;
(private)

function
SelectCell (ACol, ARow: Longint): Boolean ;
(protected) virtual

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SelectionMoved (const OldSel: TGridRect) ;
(private)

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl


Methods of TCustomGrid (GRIDS) (024)
363 Methods of TCustomGrid (GRIDS) (024)
6 superordinates
94 properties

procedure
SetBorderStyle (Value: TBorderStyle) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetCol (Value: Longint) ;
(private)

procedure
SetColCount (Value: Longint) ;
(private)

procedure
SetColWidths (Index: Longint; Value: Integer) ;
(private)

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TCustomGrid (GRIDS) (025)
363 Methods of TCustomGrid (GRIDS) (025)
6 superordinates
94 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDefaultColWidth (Value: Integer) ;
(private)

procedure
SetDefaultRowHeight (Value: Integer) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEditText (ACol, ARow: Longint; const Value: string) ;
(protected) dynamic

procedure
SetEditorMode (Value: Boolean) ;
(private)

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFixedColor (Value: TColor) ;
(private)


Methods of TCustomGrid (GRIDS) (026)
363 Methods of TCustomGrid (GRIDS) (026)
6 superordinates
94 properties

procedure
SetFixedCols (Value: Integer) ;
(private)

procedure
SetFixedRows (Value: Integer) ;
(private)

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGridLineWidth (Value: Integer) ;
(private)

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLeftCol (Value: Longint) ;
(private)

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomGrid (GRIDS) (027)
363 Methods of TCustomGrid (GRIDS) (027)
6 superordinates
94 properties

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOptions (Value: TGridOptions) ;
(private)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetRow (Value: Longint) ;
(private)

procedure
SetRowCount (Value: Longint) ;
(private)


Methods of TCustomGrid (GRIDS) (028)
363 Methods of TCustomGrid (GRIDS) (028)
6 superordinates
94 properties

procedure
SetRowHeights (Index: Longint; Value: Integer) ;
(private)

procedure
SetScrollBars (Value: TScrollStyle) ;
(private)

procedure
SetSelection (Value: TGridRect) ;
(private)

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetTabStops (Index: Longint; Value: Boolean) ;
(private)

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TCustomGrid (GRIDS) (029)
363 Methods of TCustomGrid (GRIDS) (029)
6 superordinates
94 properties

procedure
SetTopRow (Value: Longint) ;
(private)

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
ShowEditor ;
(protected)

procedure
ShowEditorChar (Ch: Char) ;
(protected)

procedure
SizeChanged (OldColCount, OldRowCount: Longint) ;
(protected) dynamic

function
Sizing (X, Y: Integer): Boolean ;
(protected)


Methods of TCustomGrid (GRIDS) (030)
363 Methods of TCustomGrid (GRIDS) (030)
6 superordinates
94 properties

procedure
TimedScroll (Direction: TGridScrollDirection) ;
(protected) dynamic

procedure
TopLeftChanged ;
(protected) dynamic

procedure
TopLeftMoved (const OldTopLeft: TGridCoord) ;
(private)

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateEdit ;
(private)

procedure
UpdateScrollPos ;
(private)

procedure
UpdateScrollRange ;
(private)


Methods of TCustomGrid (GRIDS) (031)
363 Methods of TCustomGrid (GRIDS) (031)
6 superordinates
94 properties

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
UpdateText ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl
procedure
WMChar (var Msg: TWMChar); message WM_CHAR ;
(private)

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand (var Message: TWMCommand); message WM_COMMAND ;
(private)
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl


Methods of TCustomGrid (GRIDS) (032)
363 Methods of TCustomGrid (GRIDS) (032)
6 superordinates
94 properties

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode (var Msg: TWMGetDlgCode); message WM_GETDLGCODE ;
(private)

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl
procedure
WMHScroll (var Msg: TWMHScroll); message WM_HSCROLL ;
(private)

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl


Methods of TCustomGrid (GRIDS) (033)
363 Methods of TCustomGrid (GRIDS) (033)
6 superordinates
94 properties

procedure
WMKillFocus (var Msg: TWMKillFocus); message WM_KILLFOCUS ;
(private)

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown (var Message: TMessage); message WM_LBUTTONDOWN ;
(private)
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl


Methods of TCustomGrid (GRIDS) (034)
363 Methods of TCustomGrid (GRIDS) (034)
6 superordinates
94 properties

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl
procedure
WMNCHitTest (var Msg: TWMNCHitTest); message WM_NCHITTEST ;
(private)

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of TCustomGrid (GRIDS) (035)
363 Methods of TCustomGrid (GRIDS) (035)
6 superordinates
94 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl
procedure
WMSetCursor (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private)

procedure
WMSetFocus (var Msg: TWMSetFocus); message WM_SETFOCUS ;
(private)

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl
procedure
WMSize (var Msg: TWMSize); message WM_SIZE ;
(private)

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMTimer (var Msg: TWMTimer); message WM_TIMER ;
(private)


Methods of TCustomGrid (GRIDS) (036)
363 Methods of TCustomGrid (GRIDS) (036)
6 superordinates
94 properties

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl
procedure
WMVScroll (var Msg: TWMVScroll); message WM_VSCROLL ;
(private)

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteColWidths (Writer: TWriter) ;
(private)

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomGrid (GRIDS) (037)
363 Methods of TCustomGrid (GRIDS) (037)
6 superordinates
94 properties

procedure
WriteRowHeights (Writer: TWriter) ;
(private)

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TDrawGrid (GRIDS)
364 Methods of TDrawGrid (GRIDS)
7 superordinates
102 properties

procedure
AdjustSize  (inherited) (Index, Amount: Longint; Rows: Boolean) ;
(protected) dynamic, found in TCustomGrid

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

function
BoxRect  (inherited) (ALeft, ATop, ARight, ABottom: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl


Methods of TDrawGrid (GRIDS) (002)
364 Methods of TDrawGrid (GRIDS) (002)
7 superordinates
102 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGrid
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomGrid

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TDrawGrid (GRIDS) (003)
364 Methods of TDrawGrid (GRIDS) (003)
7 superordinates
102 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TDrawGrid (GRIDS) (004)
364 Methods of TDrawGrid (GRIDS) (004)
7 superordinates
102 properties

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWantSpecialKey  (inherited) (var Msg: TCMWantSpecialKey); message CM_WANTSPECIALKEY ;
(private) , found in TCustomGrid

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TDrawGrid (GRIDS) (005)
364 Methods of TDrawGrid (GRIDS) (005)
7 superordinates
102 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CalcCoordFromPoint  (inherited) (X, Y: Integer; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcDrawInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
CalcDrawInfoXY  (inherited) (var DrawInfo: TGridDrawInfo; UseWidth, UseHeight: Integer) ;
(private) , found in TCustomGrid

procedure
CalcFixedInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CalcMaxTopLeft  (inherited) (const Coord: TGridCoord; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcSizingState  (inherited) (X, Y: Integer; var State: TGridState; var Index: Longint; var SizingPos, SizingOfs: Integer; var FixedInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditModify  (inherited) : Boolean ;
(protected) dynamic, found in TCustomGrid


Methods of TDrawGrid (GRIDS) (006)
364 Methods of TDrawGrid (GRIDS) (006)
7 superordinates
102 properties

function
CanEditShow  (inherited) : Boolean ;
(protected) virtual, found in TCustomGrid

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanGridAcceptKey  (inherited) (Key: Word; Shift: TShiftState): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CellRect (ACol, ARow: Longint): TRect ;
(public)
function
CellRect  (inherited) (ACol, ARow: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
ChangeSize  (inherited) (NewColCount, NewRowCount: Longint) ;
(private) , found in TCustomGrid

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

procedure
ClampInView  (inherited) (const Coord: TGridCoord) ;
(private) , found in TCustomGrid

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TDrawGrid (GRIDS) (007)
364 Methods of TDrawGrid (GRIDS) (007)
7 superordinates
102 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ColWidthsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
ColumnMoved (FromIndex, ToIndex: Longint) ;
(protected) override
procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TDrawGrid (GRIDS) (008)
364 Methods of TDrawGrid (GRIDS) (008)
7 superordinates
102 properties

function
CreateEditor  (inherited) : TInplaceEdit ;
(protected) virtual, found in TCustomGrid

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomGrid
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TCustomGrid
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TDrawGrid (GRIDS) (009)
364 Methods of TDrawGrid (GRIDS) (009)
7 superordinates
102 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) override, found in TCustomGrid
procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TDrawGrid (GRIDS) (010)
364 Methods of TDrawGrid (GRIDS) (010)
7 superordinates
102 properties

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawCell (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) override
procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) virtual/abstract, found in TCustomGrid

procedure
DrawMove  (inherited) ;
(private) , found in TCustomGrid

procedure
DrawSizingLine  (inherited) (const DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid


Methods of TDrawGrid (GRIDS) (011)
364 Methods of TDrawGrid (GRIDS) (011)
7 superordinates
102 properties

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusCell  (inherited) (ACol, ARow: Longint; MoveAnchor: Boolean) ;
(private) , found in TCustomGrid

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TDrawGrid (GRIDS) (012)
364 Methods of TDrawGrid (GRIDS) (012)
7 superordinates
102 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetColWidths  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent


Methods of TDrawGrid (GRIDS) (013)
364 Methods of TDrawGrid (GRIDS) (013)
7 superordinates
102 properties

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditLimit  (inherited) : Integer ;
(protected) dynamic, found in TCustomGrid

function
GetEditMask (ACol, ARow: Longint): string ;
(protected) override
function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetEditText (ACol, ARow: Longint): string ;
(protected) override
function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetGridHeight  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetGridWidth  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl


Methods of TDrawGrid (GRIDS) (014)
364 Methods of TDrawGrid (GRIDS) (014)
7 superordinates
102 properties

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetRowHeights  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetSelection  (inherited) : TGridRect ;
(private) , found in TCustomGrid

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetTabStops  (inherited) (Index: Longint): Boolean ;
(private) , found in TCustomGrid

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl


Methods of TDrawGrid (GRIDS) (015)
364 Methods of TDrawGrid (GRIDS) (015)
7 superordinates
102 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetVisibleColCount  (inherited) : Integer ;
(private) , found in TCustomGrid

function
GetVisibleRowCount  (inherited) : Integer ;
(private) , found in TCustomGrid

procedure
GridRectToScreenRect  (inherited) (GridRect: TGridRect; var ScreenRect: TRect; IncludeLine: Boolean) ;
(private) , found in TCustomGrid

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HideEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
HideEditor  (inherited) ;
(protected) , found in TCustomGrid


Methods of TDrawGrid (GRIDS) (016)
364 Methods of TDrawGrid (GRIDS) (016)
7 superordinates
102 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(private) , found in TCustomGrid

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateCell  (inherited) (ACol, ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl


Methods of TDrawGrid (GRIDS) (017)
364 Methods of TDrawGrid (GRIDS) (017)
7 superordinates
102 properties

procedure
InvalidateEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

procedure
InvalidateGrid  (inherited) ;
(private) , found in TCustomGrid

procedure
InvalidateRect  (inherited) (ARect: TGridRect) ;
(private) , found in TCustomGrid

procedure
InvalidateRow  (inherited) (ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvertRect  (inherited) (const Rect: TRect) ;
(private) , found in TCustomGrid

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TDrawGrid (GRIDS) (018)
364 Methods of TDrawGrid (GRIDS) (018)
7 superordinates
102 properties

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
ModifyScrollBar  (inherited) (ScrollBar, ScrollCode, Pos: Word) ;
(private) , found in TCustomGrid


Methods of TDrawGrid (GRIDS) (019)
364 Methods of TDrawGrid (GRIDS) (019)
7 superordinates
102 properties

function
MouseCoord  (inherited) (X, Y: Integer): TGridCoord ;
(protected) , found in TCustomGrid

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseToCell (X, Y: Integer; var ACol, ARow: Longint) ;
(public)

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MoveAnchor  (inherited) (const NewAnchor: TGridCoord) ;
(private) , found in TCustomGrid

procedure
MoveColRow  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(protected) , found in TCustomGrid

procedure
MoveCurrent  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(private) , found in TCustomGrid

procedure
MoveTopLeft  (inherited) (ALeft, ATop: Longint) ;
(private) , found in TCustomGrid

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TDrawGrid (GRIDS) (020)
364 Methods of TDrawGrid (GRIDS) (020)
7 superordinates
102 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TCustomGrid
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadColWidths  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid


Methods of TDrawGrid (GRIDS) (021)
364 Methods of TDrawGrid (GRIDS) (021)
7 superordinates
102 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadRowHeights  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TDrawGrid (GRIDS) (022)
364 Methods of TDrawGrid (GRIDS) (022)
7 superordinates
102 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResizeCol  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
ResizeRow  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
RowHeightsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
RowMoved (FromIndex, ToIndex: Longint) ;
(protected) override
procedure
RowMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl


Methods of TDrawGrid (GRIDS) (023)
364 Methods of TDrawGrid (GRIDS) (023)
7 superordinates
102 properties

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollData  (inherited) (DX, DY: Integer) ;
(protected) , found in TCustomGrid

procedure
ScrollDataInfo  (inherited) (DX, DY: Integer; var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
SelectCell (ACol, ARow: Longint): Boolean ;
(protected) override
function
SelectCell  (inherited) (ACol, ARow: Longint): Boolean ;
(protected) virtual, found in TCustomGrid

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SelectionMoved  (inherited) (const OldSel: TGridRect) ;
(private) , found in TCustomGrid

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TDrawGrid (GRIDS) (024)
364 Methods of TDrawGrid (GRIDS) (024)
7 superordinates
102 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomGrid

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColWidths  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid


Methods of TDrawGrid (GRIDS) (025)
364 Methods of TDrawGrid (GRIDS) (025)
7 superordinates
102 properties

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDefaultColWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDefaultRowHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEditText (ACol, ARow: Longint; const Value: string) ;
(protected) override
procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) dynamic, found in TCustomGrid

procedure
SetEditorMode  (inherited) (Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TDrawGrid (GRIDS) (026)
364 Methods of TDrawGrid (GRIDS) (026)
7 superordinates
102 properties

procedure
SetFixedColor  (inherited) (Value: TColor) ;
(private) , found in TCustomGrid

procedure
SetFixedCols  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFixedRows  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGridLineWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLeftCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid


Methods of TDrawGrid (GRIDS) (027)
364 Methods of TDrawGrid (GRIDS) (027)
7 superordinates
102 properties

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOptions  (inherited) (Value: TGridOptions) ;
(private) , found in TCustomGrid

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid


Methods of TDrawGrid (GRIDS) (028)
364 Methods of TDrawGrid (GRIDS) (028)
7 superordinates
102 properties

procedure
SetRowCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowHeights  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetScrollBars  (inherited) (Value: TScrollStyle) ;
(private) , found in TCustomGrid

procedure
SetSelection  (inherited) (Value: TGridRect) ;
(private) , found in TCustomGrid

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetTabStops  (inherited) (Index: Longint; Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl


Methods of TDrawGrid (GRIDS) (029)
364 Methods of TDrawGrid (GRIDS) (029)
7 superordinates
102 properties

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTopRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
ShowEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
ShowEditorChar  (inherited) (Ch: Char) ;
(protected) , found in TCustomGrid

procedure
SizeChanged  (inherited) (OldColCount, OldRowCount: Longint) ;
(protected) dynamic, found in TCustomGrid


Methods of TDrawGrid (GRIDS) (030)
364 Methods of TDrawGrid (GRIDS) (030)
7 superordinates
102 properties

function
Sizing  (inherited) (X, Y: Integer): Boolean ;
(protected) , found in TCustomGrid

procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) dynamic, found in TCustomGrid

procedure
TopLeftChanged ;
(protected) override
procedure
TopLeftChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
TopLeftMoved  (inherited) (const OldTopLeft: TGridCoord) ;
(private) , found in TCustomGrid

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateScrollPos  (inherited) ;
(private) , found in TCustomGrid


Methods of TDrawGrid (GRIDS) (031)
364 Methods of TDrawGrid (GRIDS) (031)
7 superordinates
102 properties

procedure
UpdateScrollRange  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
UpdateText  (inherited) ;
(private) , found in TCustomGrid

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl
procedure
WMChar  (inherited) (var Msg: TWMChar); message WM_CHAR ;
(private) , found in TCustomGrid

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TCustomGrid
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl


Methods of TDrawGrid (GRIDS) (032)
364 Methods of TDrawGrid (GRIDS) (032)
7 superordinates
102 properties

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode  (inherited) (var Msg: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomGrid

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl
procedure
WMHScroll  (inherited) (var Msg: TWMHScroll); message WM_HSCROLL ;
(private) , found in TCustomGrid

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl


Methods of TDrawGrid (GRIDS) (033)
364 Methods of TDrawGrid (GRIDS) (033)
7 superordinates
102 properties

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Msg: TWMKillFocus); message WM_KILLFOCUS ;
(private) , found in TCustomGrid

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TMessage); message WM_LBUTTONDOWN ;
(private) , found in TCustomGrid
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl


Methods of TDrawGrid (GRIDS) (034)
364 Methods of TDrawGrid (GRIDS) (034)
7 superordinates
102 properties

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl
procedure
WMNCHitTest  (inherited) (var Msg: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TCustomGrid

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl


Methods of TDrawGrid (GRIDS) (035)
364 Methods of TDrawGrid (GRIDS) (035)
7 superordinates
102 properties

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomGrid

procedure
WMSetFocus  (inherited) (var Msg: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomGrid

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl
procedure
WMSize  (inherited) (var Msg: TWMSize); message WM_SIZE ;
(private) , found in TCustomGrid

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl


Methods of TDrawGrid (GRIDS) (036)
364 Methods of TDrawGrid (GRIDS) (036)
7 superordinates
102 properties

procedure
WMTimer  (inherited) (var Msg: TWMTimer); message WM_TIMER ;
(private) , found in TCustomGrid

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl
procedure
WMVScroll  (inherited) (var Msg: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomGrid

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteColWidths  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl


Methods of TDrawGrid (GRIDS) (037)
364 Methods of TDrawGrid (GRIDS) (037)
7 superordinates
102 properties

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteRowHeights  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TStringGridStrings (GRIDS)
53 Methods of TStringGridStrings (GRIDS)
3 superordinates
4 properties

function
Add (const S: string): Integer ;
(protected) override
function
Add  (inherited) (const S: string): Integer ;
(public) virtual, found in TStrings

function
AddObject  (inherited) (const S: string; AObject: TObject): Integer ;
(public) virtual, found in TStrings

procedure
AddStrings  (inherited) (Strings: TStrings) ;
(public) virtual, found in TStrings

procedure
Assign (Source: TPersistent) ;
(public) override
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) override, found in TStrings
procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginUpdate  (inherited) ;
(public) , found in TStrings

procedure
CalcXY (Index: Integer; var X, Y: Integer) ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TStringGridStrings (GRIDS) (002)
53 Methods of TStringGridStrings (GRIDS) (002)
3 superordinates
4 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(protected) override
procedure
Clear  (inherited) ;
(public) virtual/abstract, found in TStrings

constructor
Create (AGrid: TStringGrid; AIndex: Longint) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TStrings
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete  (inherited) (Index: Integer) ;
(public) virtual/abstract, found in TStrings

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
EndUpdate  (inherited) ;
(public) , found in TStrings


Methods of TStringGridStrings (GRIDS) (003)
53 Methods of TStringGridStrings (GRIDS) (003)
3 superordinates
4 properties

function
Equals  (inherited) (Strings: TStrings): Boolean ;
(public) , found in TStrings

procedure
Exchange  (inherited) (Index1, Index2: Integer) ;
(public) virtual, found in TStrings

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
Get (Index: Integer): string ;
(protected) override
function
Get  (inherited) (Index: Integer): string ;
(protected) virtual/abstract, found in TStrings

function
GetCount : Integer ;
(protected) override
function
GetCount  (inherited) : Integer ;
(protected) virtual/abstract, found in TStrings

function
GetObject (Index: Integer): TObject ;
(protected) override
function
GetObject  (inherited) (Index: Integer): TObject ;
(protected) virtual, found in TStrings

function
GetText  (inherited) : PChar ;
(public) virtual, found in TStrings

function
GetValue  (inherited) (const Name: string): string ;
(private) , found in TStrings


Methods of TStringGridStrings (GRIDS) (004)
53 Methods of TStringGridStrings (GRIDS) (004)
3 superordinates
4 properties

function
GetValueIndex  (inherited) (const Name: string; Value: PString): Integer ;
(private) , found in TStrings

function
IndexOf  (inherited) (const S: string): Integer ;
(public) virtual, found in TStrings

function
IndexOfObject  (inherited) (AObject: TObject): Integer ;
(public) , found in TStrings

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (Index: Integer; const S: string) ;
(public) virtual/abstract, found in TStrings

procedure
InsertObject  (inherited) (Index: Integer; const S: string; AObject: TObject) ;
(public) , found in TStrings

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
LoadFromFile  (inherited) (const FileName: string) ;
(public) , found in TStrings

procedure
LoadFromStream  (inherited) (Stream: TStream) ;
(public) virtual, found in TStrings


Methods of TStringGridStrings (GRIDS) (005)
53 Methods of TStringGridStrings (GRIDS) (005)
3 superordinates
4 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Move  (inherited) (CurIndex, NewIndex: Integer) ;
(public) virtual, found in TStrings

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Put (Index: Integer; const S: string) ;
(protected) override
procedure
Put  (inherited) (Index: Integer; const S: string) ;
(protected) virtual, found in TStrings

procedure
PutObject (Index: Integer; AObject: TObject) ;
(protected) override
procedure
PutObject  (inherited) (Index: Integer; AObject: TObject) ;
(protected) virtual, found in TStrings

procedure
ReadData  (inherited) (Reader: TReader) ;
(private) , found in TStrings

procedure
SaveToFile  (inherited) (const FileName: string) ;
(public) , found in TStrings

procedure
SaveToStream  (inherited) (Stream: TStream) ;
(public) virtual, found in TStrings

procedure
SetText  (inherited) (Text: PChar) ;
(public) virtual, found in TStrings


Methods of TStringGridStrings (GRIDS) (006)
53 Methods of TStringGridStrings (GRIDS) (006)
3 superordinates
4 properties

procedure
SetUpdateState (Updating: Boolean) ;
(protected) override
procedure
SetUpdateState  (inherited) (Updating: Boolean) ;
(protected) virtual, found in TStrings

procedure
SetValue  (inherited) (const Name, Value: string) ;
(private) , found in TStrings

procedure
WriteData  (inherited) (Writer: TWriter) ;
(private) , found in TStrings


Methods of TStringGrid (GRIDS)
377 Methods of TStringGrid (GRIDS)
8 superordinates
106 properties

procedure
AdjustSize  (inherited) (Index, Amount: Longint; Rows: Boolean) ;
(protected) dynamic, found in TCustomGrid

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

function
BoxRect  (inherited) (ALeft, ATop, ARight, ABottom: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl


Methods of TStringGrid (GRIDS) (002)
377 Methods of TStringGrid (GRIDS) (002)
8 superordinates
106 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGrid
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomGrid

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TStringGrid (GRIDS) (003)
377 Methods of TStringGrid (GRIDS) (003)
8 superordinates
106 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TStringGrid (GRIDS) (004)
377 Methods of TStringGrid (GRIDS) (004)
8 superordinates
106 properties

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWantSpecialKey  (inherited) (var Msg: TCMWantSpecialKey); message CM_WANTSPECIALKEY ;
(private) , found in TCustomGrid

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TStringGrid (GRIDS) (005)
377 Methods of TStringGrid (GRIDS) (005)
8 superordinates
106 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CalcCoordFromPoint  (inherited) (X, Y: Integer; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcDrawInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
CalcDrawInfoXY  (inherited) (var DrawInfo: TGridDrawInfo; UseWidth, UseHeight: Integer) ;
(private) , found in TCustomGrid

procedure
CalcFixedInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CalcMaxTopLeft  (inherited) (const Coord: TGridCoord; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcSizingState  (inherited) (X, Y: Integer; var State: TGridState; var Index: Longint; var SizingPos, SizingOfs: Integer; var FixedInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditModify  (inherited) : Boolean ;
(protected) dynamic, found in TCustomGrid


Methods of TStringGrid (GRIDS) (006)
377 Methods of TStringGrid (GRIDS) (006)
8 superordinates
106 properties

function
CanEditShow  (inherited) : Boolean ;
(protected) virtual, found in TCustomGrid

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanGridAcceptKey  (inherited) (Key: Word; Shift: TShiftState): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CellRect  (inherited) (ACol, ARow: Longint): TRect ;
(public) , found in TDrawGrid
function
CellRect  (inherited) (ACol, ARow: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
ChangeSize  (inherited) (NewColCount, NewRowCount: Longint) ;
(private) , found in TCustomGrid

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

procedure
ClampInView  (inherited) (const Coord: TGridCoord) ;
(private) , found in TCustomGrid

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TStringGrid (GRIDS) (007)
377 Methods of TStringGrid (GRIDS) (007)
8 superordinates
106 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ColWidthsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
ColumnMoved (FromIndex, ToIndex: Longint) ;
(protected) override
procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) override, found in TDrawGrid
procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TStringGrid (GRIDS) (008)
377 Methods of TStringGrid (GRIDS) (008)
8 superordinates
106 properties

function
CreateEditor  (inherited) : TInplaceEdit ;
(protected) virtual, found in TCustomGrid

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomGrid
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TCustomGrid
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TStringGrid (GRIDS) (009)
377 Methods of TStringGrid (GRIDS) (009)
8 superordinates
106 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
DisableEditUpdate ;
(private)

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) override, found in TCustomGrid
procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TStringGrid (GRIDS) (010)
377 Methods of TStringGrid (GRIDS) (010)
8 superordinates
106 properties

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawCell (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) override
procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) override, found in TDrawGrid
procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) virtual/abstract, found in TCustomGrid

procedure
DrawMove  (inherited) ;
(private) , found in TCustomGrid


Methods of TStringGrid (GRIDS) (011)
377 Methods of TStringGrid (GRIDS) (011)
8 superordinates
106 properties

procedure
DrawSizingLine  (inherited) (const DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EnableEditUpdate ;
(private)

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
EnsureColRow (Index: Integer; IsCol: Boolean): TStringGridStrings ;
(private)

function
EnsureDataRow (ARow: Integer): Pointer ;
(private)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl


Methods of TStringGrid (GRIDS) (012)
377 Methods of TStringGrid (GRIDS) (012)
8 superordinates
106 properties

procedure
FocusCell  (inherited) (ACol, ARow: Longint; MoveAnchor: Boolean) ;
(private) , found in TCustomGrid

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetCells (ACol, ARow: Integer): string ;
(private)

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl


Methods of TStringGrid (GRIDS) (013)
377 Methods of TStringGrid (GRIDS) (013)
8 superordinates
106 properties

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetColWidths  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetCols (Index: Integer): TStrings ;
(private)

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditLimit  (inherited) : Integer ;
(protected) dynamic, found in TCustomGrid


Methods of TStringGrid (GRIDS) (014)
377 Methods of TStringGrid (GRIDS) (014)
8 superordinates
106 properties

function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) override, found in TDrawGrid
function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetEditText (ACol, ARow: Longint): string ;
(protected) override
function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) override, found in TDrawGrid
function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetGridHeight  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetGridWidth  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetObjects (ACol, ARow: Integer): TObject ;
(private)

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl


Methods of TStringGrid (GRIDS) (015)
377 Methods of TStringGrid (GRIDS) (015)
8 superordinates
106 properties

function
GetRowHeights  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetRows (Index: Integer): TStrings ;
(private)

function
GetSelection  (inherited) : TGridRect ;
(private) , found in TCustomGrid

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetTabStops  (inherited) (Index: Longint): Boolean ;
(private) , found in TCustomGrid

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetVisibleColCount  (inherited) : Integer ;
(private) , found in TCustomGrid


Methods of TStringGrid (GRIDS) (016)
377 Methods of TStringGrid (GRIDS) (016)
8 superordinates
106 properties

function
GetVisibleRowCount  (inherited) : Integer ;
(private) , found in TCustomGrid

procedure
GridRectToScreenRect  (inherited) (GridRect: TGridRect; var ScreenRect: TRect; IncludeLine: Boolean) ;
(private) , found in TCustomGrid

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HideEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
HideEditor  (inherited) ;
(protected) , found in TCustomGrid

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TStringGrid (GRIDS) (017)
377 Methods of TStringGrid (GRIDS) (017)
8 superordinates
106 properties

procedure
Initialize ;
(private)
procedure
Initialize  (inherited) ;
(private) , found in TCustomGrid

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateCell  (inherited) (ACol, ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl


Methods of TStringGrid (GRIDS) (018)
377 Methods of TStringGrid (GRIDS) (018)
8 superordinates
106 properties

procedure
InvalidateGrid  (inherited) ;
(private) , found in TCustomGrid

procedure
InvalidateRect  (inherited) (ARect: TGridRect) ;
(private) , found in TCustomGrid

procedure
InvalidateRow  (inherited) (ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvertRect  (inherited) (const Rect: TRect) ;
(private) , found in TCustomGrid

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TStringGrid (GRIDS) (019)
377 Methods of TStringGrid (GRIDS) (019)
8 superordinates
106 properties

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
ModifyScrollBar  (inherited) (ScrollBar, ScrollCode, Pos: Word) ;
(private) , found in TCustomGrid

function
MouseCoord  (inherited) (X, Y: Integer): TGridCoord ;
(protected) , found in TCustomGrid

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TStringGrid (GRIDS) (020)
377 Methods of TStringGrid (GRIDS) (020)
8 superordinates
106 properties

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseToCell  (inherited) (X, Y: Integer; var ACol, ARow: Longint) ;
(public) , found in TDrawGrid

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MoveAnchor  (inherited) (const NewAnchor: TGridCoord) ;
(private) , found in TCustomGrid

procedure
MoveColRow  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(protected) , found in TCustomGrid

procedure
MoveCurrent  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(private) , found in TCustomGrid

procedure
MoveTopLeft  (inherited) (ALeft, ATop: Longint) ;
(private) , found in TCustomGrid

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl


Methods of TStringGrid (GRIDS) (021)
377 Methods of TStringGrid (GRIDS) (021)
8 superordinates
106 properties

procedure
Paint  (inherited) ;
(protected) override, found in TCustomGrid
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadColWidths  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TStringGrid (GRIDS) (022)
377 Methods of TStringGrid (GRIDS) (022)
8 superordinates
106 properties

procedure
ReadRowHeights  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TStringGrid (GRIDS) (023)
377 Methods of TStringGrid (GRIDS) (023)
8 superordinates
106 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResizeCol  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
ResizeRow  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
RowHeightsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
RowMoved (FromIndex, ToIndex: Longint) ;
(protected) override
procedure
RowMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) override, found in TDrawGrid
procedure
RowMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl


Methods of TStringGrid (GRIDS) (024)
377 Methods of TStringGrid (GRIDS) (024)
8 superordinates
106 properties

procedure
ScrollData  (inherited) (DX, DY: Integer) ;
(protected) , found in TCustomGrid

procedure
ScrollDataInfo  (inherited) (DX, DY: Integer; var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
SelectCell  (inherited) (ACol, ARow: Longint): Boolean ;
(protected) override, found in TDrawGrid
function
SelectCell  (inherited) (ACol, ARow: Longint): Boolean ;
(protected) virtual, found in TCustomGrid

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SelectionMoved  (inherited) (const OldSel: TGridRect) ;
(private) , found in TCustomGrid

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomGrid


Methods of TStringGrid (GRIDS) (025)
377 Methods of TStringGrid (GRIDS) (025)
8 superordinates
106 properties

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCells (ACol, ARow: Integer; const Value: string) ;
(private)

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColWidths  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TStringGrid (GRIDS) (026)
377 Methods of TStringGrid (GRIDS) (026)
8 superordinates
106 properties

procedure
SetCols (Index: Integer; Value: TStrings) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDefaultColWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDefaultRowHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEditText (ACol, ARow: Longint; const Value: string) ;
(protected) override
procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) override, found in TDrawGrid
procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) dynamic, found in TCustomGrid

procedure
SetEditorMode  (inherited) (Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TStringGrid (GRIDS) (027)
377 Methods of TStringGrid (GRIDS) (027)
8 superordinates
106 properties

procedure
SetFixedColor  (inherited) (Value: TColor) ;
(private) , found in TCustomGrid

procedure
SetFixedCols  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFixedRows  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetGridLineWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLeftCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid


Methods of TStringGrid (GRIDS) (028)
377 Methods of TStringGrid (GRIDS) (028)
8 superordinates
106 properties

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetObjects (ACol, ARow: Integer; Value: TObject) ;
(private)

procedure
SetOptions  (inherited) (Value: TGridOptions) ;
(private) , found in TCustomGrid

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TStringGrid (GRIDS) (029)
377 Methods of TStringGrid (GRIDS) (029)
8 superordinates
106 properties

procedure
SetRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowHeights  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetRows (Index: Integer; Value: TStrings) ;
(private)

procedure
SetScrollBars  (inherited) (Value: TScrollStyle) ;
(private) , found in TCustomGrid

procedure
SetSelection  (inherited) (Value: TGridRect) ;
(private) , found in TCustomGrid

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetTabStops  (inherited) (Index: Longint; Value: Boolean) ;
(private) , found in TCustomGrid


Methods of TStringGrid (GRIDS) (030)
377 Methods of TStringGrid (GRIDS) (030)
8 superordinates
106 properties

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTopRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetUpdateState (Updating: Boolean) ;
(private)

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl


Methods of TStringGrid (GRIDS) (031)
377 Methods of TStringGrid (GRIDS) (031)
8 superordinates
106 properties

procedure
ShowEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
ShowEditorChar  (inherited) (Ch: Char) ;
(protected) , found in TCustomGrid

procedure
SizeChanged  (inherited) (OldColCount, OldRowCount: Longint) ;
(protected) dynamic, found in TCustomGrid

function
Sizing  (inherited) (X, Y: Integer): Boolean ;
(protected) , found in TCustomGrid

procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) dynamic, found in TCustomGrid

procedure
TopLeftChanged  (inherited) ;
(protected) override, found in TDrawGrid
procedure
TopLeftChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
TopLeftMoved  (inherited) (const OldTopLeft: TGridCoord) ;
(private) , found in TCustomGrid

procedure
Update (ACol, ARow: Integer) ;
(private)
procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl


Methods of TStringGrid (GRIDS) (032)
377 Methods of TStringGrid (GRIDS) (032)
8 superordinates
106 properties

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateScrollPos  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateScrollRange  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
UpdateText  (inherited) ;
(private) , found in TCustomGrid

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl


Methods of TStringGrid (GRIDS) (033)
377 Methods of TStringGrid (GRIDS) (033)
8 superordinates
106 properties

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl
procedure
WMChar  (inherited) (var Msg: TWMChar); message WM_CHAR ;
(private) , found in TCustomGrid

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TCustomGrid
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TStringGrid (GRIDS) (034)
377 Methods of TStringGrid (GRIDS) (034)
8 superordinates
106 properties

procedure
WMGetDlgCode  (inherited) (var Msg: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomGrid

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl
procedure
WMHScroll  (inherited) (var Msg: TWMHScroll); message WM_HSCROLL ;
(private) , found in TCustomGrid

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Msg: TWMKillFocus); message WM_KILLFOCUS ;
(private) , found in TCustomGrid

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TMessage); message WM_LBUTTONDOWN ;
(private) , found in TCustomGrid
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl


Methods of TStringGrid (GRIDS) (035)
377 Methods of TStringGrid (GRIDS) (035)
8 superordinates
106 properties

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl
procedure
WMNCHitTest  (inherited) (var Msg: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TCustomGrid

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl


Methods of TStringGrid (GRIDS) (036)
377 Methods of TStringGrid (GRIDS) (036)
8 superordinates
106 properties

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomGrid

procedure
WMSetFocus  (inherited) (var Msg: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomGrid

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl
procedure
WMSize  (inherited) (var Msg: TWMSize); message WM_SIZE ;
(private) , found in TCustomGrid

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl


Methods of TStringGrid (GRIDS) (037)
377 Methods of TStringGrid (GRIDS) (037)
8 superordinates
106 properties

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMTimer  (inherited) (var Msg: TWMTimer); message WM_TIMER ;
(private) , found in TCustomGrid

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl
procedure
WMVScroll  (inherited) (var Msg: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomGrid

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TStringGrid (GRIDS) (038)
377 Methods of TStringGrid (GRIDS) (038)
8 superordinates
106 properties

procedure
WriteColWidths  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteRowHeights  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TIniFile (INIFILES)
27 Methods of TIniFile (INIFILES)
1 superordinates
1 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (const FileName: string) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
EraseSection (const Section: string) ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TIniFile (INIFILES) (002)
27 Methods of TIniFile (INIFILES) (002)
1 superordinates
1 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetFileName : string ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
ReadBool (const Section, Ident: string; Default: Boolean): Boolean ;
(public)


Methods of TIniFile (INIFILES) (003)
27 Methods of TIniFile (INIFILES) (003)
1 superordinates
1 properties

function
ReadInteger (const Section, Ident: string; Default: Longint): Longint ;
(public)

procedure
ReadSection (const Section: string; Strings: TStrings) ;
(public)

procedure
ReadSectionValues (const Section: string; Strings: TStrings) ;
(public)

function
ReadString (const Section, Ident, Default: string): string ;
(public)

procedure
WriteBool (const Section, Ident: string; Value: Boolean) ;
(public)

procedure
WriteInteger (const Section, Ident: string; Value: Longint) ;
(public)

procedure
WriteString (const Section, Ident, Value: String) ;
(public)


Methods of TIMemoryStream (ISTREAMS)
23 Methods of TIMemoryStream (ISTREAMS)
3 superordinates
2 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (AMemoryStream: TMemoryStream) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(public) , found in TInterface
procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TIMemoryStream (ISTREAMS) (002)
23 Methods of TIMemoryStream (ISTREAMS) (002)
3 superordinates
2 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetModifyTime : Longint ;
(public) override
function
GetModifyTime  (inherited) : Longint; export ;
(public) virtual/abstract, found in TIStream

function
GetVersion  (inherited) : Integer; export ;
(public) virtual, found in TInterface

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
Read (var Buffer; Count: Longint): Longint ;
(public) override
function
Read  (inherited) (var Buffer; Count: Longint): Longint; export ;
(public) virtual/abstract, found in TIStream


Methods of TIMemoryStream (ISTREAMS) (003)
23 Methods of TIMemoryStream (ISTREAMS) (003)
3 superordinates
2 properties

procedure
Release  (inherited) ; export ;
(public) virtual, found in TInterface

function
Seek (Offset: Longint; Origin: Word): Longint ;
(public) override
function
Seek  (inherited) (Offset: Longint; Origin: Word): Longint; export ;
(public) virtual/abstract, found in TIStream

function
Write (const Buffer; Count: Longint): Longint ;
(public) override
function
Write  (inherited) (const Buffer; Count: Longint): Longint; export ;
(public) virtual/abstract, found in TIStream


Methods of TIFileStream (ISTREAMS)
23 Methods of TIFileStream (ISTREAMS)
3 superordinates
1 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (const FileName: string; Mode: Word) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(public) , found in TInterface
procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TIFileStream (ISTREAMS) (002)
23 Methods of TIFileStream (ISTREAMS) (002)
3 superordinates
1 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetModifyTime : Longint ;
(public) override
function
GetModifyTime  (inherited) : Longint; export ;
(public) virtual/abstract, found in TIStream

function
GetVersion  (inherited) : Integer; export ;
(public) virtual, found in TInterface

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
Read (var Buffer; Count: Longint): Longint ;
(public) override
function
Read  (inherited) (var Buffer; Count: Longint): Longint; export ;
(public) virtual/abstract, found in TIStream


Methods of TIFileStream (ISTREAMS) (003)
23 Methods of TIFileStream (ISTREAMS) (003)
3 superordinates
1 properties

procedure
Release  (inherited) ; export ;
(public) virtual, found in TInterface

function
Seek (Offset: Longint; Origin: Word): Longint ;
(public) override
function
Seek  (inherited) (Offset: Longint; Origin: Word): Longint; export ;
(public) virtual/abstract, found in TIStream

function
Write (const Buffer; Count: Longint): Longint ;
(public) override
function
Write  (inherited) (const Buffer; Count: Longint): Longint; export ;
(public) virtual/abstract, found in TIStream


Methods of TVirtualStream (ISTREAMS)
32 Methods of TVirtualStream (ISTREAMS)
2 superordinates
2 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

function
CopyFrom  (inherited) (Source: TStream; Count: Longint): Longint ;
(public) , found in TStream

constructor
Create (AIStream: TIStream) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TVirtualStream (ISTREAMS) (002)
32 Methods of TVirtualStream (ISTREAMS) (002)
2 superordinates
2 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetModifyTime : Longint ;
(public)

function
GetPosition  (inherited) : Longint ;
(private) , found in TStream

function
GetSize  (inherited) : Longint ;
(private) , found in TStream

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TVirtualStream (ISTREAMS) (003)
32 Methods of TVirtualStream (ISTREAMS) (003)
2 superordinates
2 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
Read (var Buffer; Count: Longint): Longint ;
(public) override
function
Read  (inherited) (var Buffer; Count: Longint): Longint ;
(public) virtual/abstract, found in TStream

procedure
ReadBuffer  (inherited) (var Buffer; Count: Longint) ;
(public) , found in TStream

function
ReadComponent  (inherited) (Instance: TComponent): TComponent ;
(public) , found in TStream

function
ReadComponentRes  (inherited) (Instance: TComponent): TComponent ;
(public) , found in TStream

procedure
ReadResHeader  (inherited) ;
(public) , found in TStream

function
Seek (Offset: Longint; Origin: Word): Longint ;
(public) override
function
Seek  (inherited) (Offset: Longint; Origin: Word): Longint ;
(public) virtual/abstract, found in TStream

procedure
SetPosition  (inherited) (Pos: Longint) ;
(private) , found in TStream

function
Write (const Buffer; Count: Longint): Longint ;
(public) override
function
Write  (inherited) (const Buffer; Count: Longint): Longint ;
(public) virtual/abstract, found in TStream

procedure
WriteBuffer  (inherited) (const Buffer; Count: Longint) ;
(public) , found in TStream


Methods of TVirtualStream (ISTREAMS) (004)
32 Methods of TVirtualStream (ISTREAMS) (004)
2 superordinates
2 properties

procedure
WriteComponent  (inherited) (Instance: TComponent) ;
(public) , found in TStream

procedure
WriteComponentRes  (inherited) (const ResName: string; Instance: TComponent) ;
(public) , found in TStream


Methods of EDBEditError (MASK)
26 Methods of EDBEditError (MASK)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EDBEditError (MASK) (002)
26 Methods of EDBEditError (MASK) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EDBEditError (MASK) (003)
26 Methods of EDBEditError (MASK) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TCustomMaskEdit (MASK)
330 Methods of TCustomMaskEdit (MASK)
6 superordinates
84 properties

function
AddEditFormat (const Value: string; Active: Boolean): string ;
(private)

procedure
AdjustHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrowKeys (CharCode: Word; Shift: TShiftState) ;
(private)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl


Methods of TCustomMaskEdit (MASK) (002)
330 Methods of TCustomMaskEdit (MASK) (002)
6 superordinates
84 properties

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter (var Message: TCMEnter); message CM_ENTER ;
(private)
procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl
procedure
CMEnter  (inherited) (var Message: TCMGotFocus); message CM_ENTER ;
(private) , found in TCustomEdit

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (003)
330 Methods of TCustomMaskEdit (MASK) (003)
6 superordinates
84 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomEdit
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TCustomMaskEdit (MASK) (004)
330 Methods of TCustomMaskEdit (MASK) (004)
6 superordinates
84 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged (var Message: TMessage); message CM_TEXTCHANGED ;
(private)
procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomEdit

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomEdit

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (005)
330 Methods of TCustomMaskEdit (MASK) (005)
6 superordinates
84 properties

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomEdit

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CharKeys (var CharCode: Char): Boolean ;
(private)

procedure
CheckCursor ;
(protected)


Methods of TCustomMaskEdit (MASK) (006)
330 Methods of TCustomMaskEdit (MASK) (006)
6 superordinates
84 properties

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)
procedure
Clear  (inherited) ;
(public) , found in TCustomEdit

procedure
ClearSelection  (inherited) ;
(public) , found in TCustomEdit

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (007)
330 Methods of TCustomMaskEdit (MASK) (007)
6 superordinates
84 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
CopyToClipboard  (inherited) ;
(public) , found in TCustomEdit

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomEdit
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomEdit
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CursorDec (CursorPos: Integer) ;
(private)

procedure
CursorInc (CursorPos: Integer; Incr: Integer) ;
(private)


Methods of TCustomMaskEdit (MASK) (008)
330 Methods of TCustomMaskEdit (MASK) (008)
6 superordinates
84 properties

procedure
CutToClipboard  (inherited) ;
(public) , found in TCustomEdit

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DeleteKeys (CharCode: Word) ;
(private)

function
DeleteSelection (var Value: string; Offset: Integer; Len: Integer): Boolean ;
(private)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TCustomMaskEdit (MASK) (009)
330 Methods of TCustomMaskEdit (MASK) (009)
6 superordinates
84 properties

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoInputChar (var NewChar: Char; MaskOffset: Integer): Boolean ;
(private)

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (010)
330 Methods of TCustomMaskEdit (MASK) (010)
6 superordinates
84 properties

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

function
EditCanModify : Boolean ;
(protected) virtual

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TCustomMaskEdit (MASK) (011)
330 Methods of TCustomMaskEdit (MASK) (011)
6 superordinates
84 properties

function
FindLiteralChar (MaskOffset: Integer; InChar: Char): Integer ;
(private)

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl


Methods of TCustomMaskEdit (MASK) (012)
330 Methods of TCustomMaskEdit (MASK) (012)
6 superordinates
84 properties

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditMask : string ;
(private)

function
GetEditText : string ;
(private)


Methods of TCustomMaskEdit (MASK) (013)
330 Methods of TCustomMaskEdit (MASK) (013)
6 superordinates
84 properties

function
GetFirstEditChar : Integer ;
(protected)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetLastEditChar : Integer ;
(protected)

function
GetMasked : Boolean ;
(private)

function
GetMaxChars : Integer ;
(protected)

function
GetMaxLength : Integer ;
(private)

function
GetModified  (inherited) : Boolean ;
(private) , found in TCustomEdit

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TCustomMaskEdit (MASK) (014)
330 Methods of TCustomMaskEdit (MASK) (014)
6 superordinates
84 properties

function
GetNextEditChar (Offset: Integer): Integer ;
(protected)

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPriorEditChar (Offset: Integer): Integer ;
(protected)

procedure
GetSel (var SelStart: Integer; var SelStop: Integer) ;
(protected)

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelText  (inherited) : String ;
(private) , found in TCustomEdit

function
GetSelTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TCustomEdit

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (015)
330 Methods of TCustomMaskEdit (MASK) (015)
6 superordinates
84 properties

function
GetText  (inherited) : TCaption ;
(private) , found in TControl
function
GetText : string ;
(private)

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen : Integer ;
(public)
function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HomeEndKeys (CharCode: Word; Shift: TShiftState) ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TCustomMaskEdit (MASK) (016)
330 Methods of TCustomMaskEdit (MASK) (016)
6 superordinates
84 properties

function
InputChar (var NewChar: Char; Offset: Integer): Boolean ;
(private)

function
InputString (var Value: string; const NewValue: string; Offset: Integer): Integer ;
(private)

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TCustomMaskEdit (MASK) (017)
330 Methods of TCustomMaskEdit (MASK) (017)
6 superordinates
84 properties

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (018)
330 Methods of TCustomMaskEdit (MASK) (018)
6 superordinates
84 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (019)
330 Methods of TCustomMaskEdit (MASK) (019)
6 superordinates
84 properties

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard  (inherited) ;
(public) , found in TCustomEdit

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (020)
330 Methods of TCustomMaskEdit (MASK) (020)
6 superordinates
84 properties

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
ReformatText (const NewMask: string) ;
(protected)

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

function
RemoveEditFormat (const Value: string): string ;
(private)

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl


Methods of TCustomMaskEdit (MASK) (021)
330 Methods of TCustomMaskEdit (MASK) (021)
6 superordinates
84 properties

procedure
Reset ;
(protected) virtual

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomEdit

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TCustomMaskEdit (MASK) (022)
330 Methods of TCustomMaskEdit (MASK) (022)
6 superordinates
84 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomEdit

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCharCase  (inherited) (Value: TEditCharCase) ;
(private) , found in TCustomEdit

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TCustomMaskEdit (MASK) (023)
330 Methods of TCustomMaskEdit (MASK) (023)
6 superordinates
84 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor (Pos: Integer) ;
(protected)
procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEditMask (const Value: string) ;
(private)

procedure
SetEditText (const Value: string) ;
(private)

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TCustomMaskEdit (MASK) (024)
330 Methods of TCustomMaskEdit (MASK) (024)
6 superordinates
84 properties

procedure
SetHideSelection  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMaxLength (Value: Integer) ;
(private)
procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOEMConvert  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomMaskEdit (MASK) (025)
330 Methods of TCustomMaskEdit (MASK) (025)
6 superordinates
84 properties

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPasswordChar  (inherited) (Value: Char) ;
(private) , found in TCustomEdit

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSel (SelStart: Integer; SelStop: Integer) ;
(protected)

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomEdit


Methods of TCustomMaskEdit (MASK) (026)
330 Methods of TCustomMaskEdit (MASK) (026)
6 superordinates
84 properties

procedure
SetSelTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TCustomEdit

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl
procedure
SetText (const Value: string) ;
(private)

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl


Methods of TCustomMaskEdit (MASK) (027)
330 Methods of TCustomMaskEdit (MASK) (027)
6 superordinates
84 properties

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

function
Validate (const Value: string; var Pos: Integer): Boolean ;
(private)


Methods of TCustomMaskEdit (MASK) (028)
330 Methods of TCustomMaskEdit (MASK) (028)
6 superordinates
84 properties

procedure
ValidateEdit ;
(public)

procedure
ValidateError ;
(protected)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (029)
330 Methods of TCustomMaskEdit (MASK) (029)
6 superordinates
84 properties

procedure
WMCut (var Message: TMessage); message WM_CUT ;
(private)

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode (var Message: TWMGetDlgCode); message WM_GETDLGCODE ;
(private)

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (030)
330 Methods of TCustomMaskEdit (MASK) (030)
6 superordinates
84 properties

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private)
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private)
procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (031)
330 Methods of TCustomMaskEdit (MASK) (031)
6 superordinates
84 properties

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMPaste (var Message: TMessage); message WM_PASTE ;
(private)

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of TCustomMaskEdit (MASK) (032)
330 Methods of TCustomMaskEdit (MASK) (032)
6 superordinates
84 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private)

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl


Methods of TCustomMaskEdit (MASK) (033)
330 Methods of TCustomMaskEdit (MASK) (033)
6 superordinates
84 properties

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TMaskEdit (MASK)
330 Methods of TMaskEdit (MASK)
7 superordinates
84 properties

function
AddEditFormat  (inherited) (const Value: string; Active: Boolean): string ;
(private) , found in TCustomMaskEdit

procedure
AdjustHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrowKeys  (inherited) (CharCode: Word; Shift: TShiftState) ;
(private) , found in TCustomMaskEdit

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl


Methods of TMaskEdit (MASK) (002)
330 Methods of TMaskEdit (MASK) (002)
7 superordinates
84 properties

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TCustomMaskEdit
procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl
procedure
CMEnter  (inherited) (var Message: TCMGotFocus); message CM_ENTER ;
(private) , found in TCustomEdit

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TCustomMaskEdit
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl


Methods of TMaskEdit (MASK) (003)
330 Methods of TMaskEdit (MASK) (003)
7 superordinates
84 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomEdit
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TMaskEdit (MASK) (004)
330 Methods of TMaskEdit (MASK) (004)
7 superordinates
84 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomMaskEdit
procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomEdit

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomEdit

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl


Methods of TMaskEdit (MASK) (005)
330 Methods of TMaskEdit (MASK) (005)
7 superordinates
84 properties

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomEdit

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CharKeys  (inherited) (var CharCode: Char): Boolean ;
(private) , found in TCustomMaskEdit

procedure
CheckCursor  (inherited) ;
(protected) , found in TCustomMaskEdit


Methods of TMaskEdit (MASK) (006)
330 Methods of TMaskEdit (MASK) (006)
7 superordinates
84 properties

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomMaskEdit
procedure
Clear  (inherited) ;
(public) , found in TCustomEdit

procedure
ClearSelection  (inherited) ;
(public) , found in TCustomEdit

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of TMaskEdit (MASK) (007)
330 Methods of TMaskEdit (MASK) (007)
7 superordinates
84 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
CopyToClipboard  (inherited) ;
(public) , found in TCustomEdit

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomMaskEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomEdit
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomEdit
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CursorDec  (inherited) (CursorPos: Integer) ;
(private) , found in TCustomMaskEdit

procedure
CursorInc  (inherited) (CursorPos: Integer; Incr: Integer) ;
(private) , found in TCustomMaskEdit


Methods of TMaskEdit (MASK) (008)
330 Methods of TMaskEdit (MASK) (008)
7 superordinates
84 properties

procedure
CutToClipboard  (inherited) ;
(public) , found in TCustomEdit

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DeleteKeys  (inherited) (CharCode: Word) ;
(private) , found in TCustomMaskEdit

function
DeleteSelection  (inherited) (var Value: string; Offset: Integer; Len: Integer): Boolean ;
(private) , found in TCustomMaskEdit

destructor
Destroy  (inherited) ;
(public) override, found in TCustomMaskEdit
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TMaskEdit (MASK) (009)
330 Methods of TMaskEdit (MASK) (009)
7 superordinates
84 properties

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoInputChar  (inherited) (var NewChar: Char; MaskOffset: Integer): Boolean ;
(private) , found in TCustomMaskEdit

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TMaskEdit (MASK) (010)
330 Methods of TMaskEdit (MASK) (010)
7 superordinates
84 properties

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

function
EditCanModify  (inherited) : Boolean ;
(protected) virtual, found in TCustomMaskEdit

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TMaskEdit (MASK) (011)
330 Methods of TMaskEdit (MASK) (011)
7 superordinates
84 properties

function
FindLiteralChar  (inherited) (MaskOffset: Integer; InChar: Char): Integer ;
(private) , found in TCustomMaskEdit

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl


Methods of TMaskEdit (MASK) (012)
330 Methods of TMaskEdit (MASK) (012)
7 superordinates
84 properties

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditMask  (inherited) : string ;
(private) , found in TCustomMaskEdit

function
GetEditText  (inherited) : string ;
(private) , found in TCustomMaskEdit


Methods of TMaskEdit (MASK) (013)
330 Methods of TMaskEdit (MASK) (013)
7 superordinates
84 properties

function
GetFirstEditChar  (inherited) : Integer ;
(protected) , found in TCustomMaskEdit

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetLastEditChar  (inherited) : Integer ;
(protected) , found in TCustomMaskEdit

function
GetMasked  (inherited) : Boolean ;
(private) , found in TCustomMaskEdit

function
GetMaxChars  (inherited) : Integer ;
(protected) , found in TCustomMaskEdit

function
GetMaxLength  (inherited) : Integer ;
(private) , found in TCustomMaskEdit

function
GetModified  (inherited) : Boolean ;
(private) , found in TCustomEdit

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TMaskEdit (MASK) (014)
330 Methods of TMaskEdit (MASK) (014)
7 superordinates
84 properties

function
GetNextEditChar  (inherited) (Offset: Integer): Integer ;
(protected) , found in TCustomMaskEdit

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPriorEditChar  (inherited) (Offset: Integer): Integer ;
(protected) , found in TCustomMaskEdit

procedure
GetSel  (inherited) (var SelStart: Integer; var SelStop: Integer) ;
(protected) , found in TCustomMaskEdit

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelText  (inherited) : String ;
(private) , found in TCustomEdit

function
GetSelTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TCustomEdit

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl


Methods of TMaskEdit (MASK) (015)
330 Methods of TMaskEdit (MASK) (015)
7 superordinates
84 properties

function
GetText  (inherited) : TCaption ;
(private) , found in TControl
function
GetText  (inherited) : string ;
(private) , found in TCustomMaskEdit

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TCustomMaskEdit
function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HomeEndKeys  (inherited) (CharCode: Word; Shift: TShiftState) ;
(private) , found in TCustomMaskEdit

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TMaskEdit (MASK) (016)
330 Methods of TMaskEdit (MASK) (016)
7 superordinates
84 properties

function
InputChar  (inherited) (var NewChar: Char; Offset: Integer): Boolean ;
(private) , found in TCustomMaskEdit

function
InputString  (inherited) (var Value: string; const NewValue: string; Offset: Integer): Integer ;
(private) , found in TCustomMaskEdit

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TMaskEdit (MASK) (017)
330 Methods of TMaskEdit (MASK) (017)
7 superordinates
84 properties

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomMaskEdit
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomMaskEdit
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomMaskEdit
procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl


Methods of TMaskEdit (MASK) (018)
330 Methods of TMaskEdit (MASK) (018)
7 superordinates
84 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl


Methods of TMaskEdit (MASK) (019)
330 Methods of TMaskEdit (MASK) (019)
7 superordinates
84 properties

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard  (inherited) ;
(public) , found in TCustomEdit

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl


Methods of TMaskEdit (MASK) (020)
330 Methods of TMaskEdit (MASK) (020)
7 superordinates
84 properties

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
ReformatText  (inherited) (const NewMask: string) ;
(protected) , found in TCustomMaskEdit

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

function
RemoveEditFormat  (inherited) (const Value: string): string ;
(private) , found in TCustomMaskEdit

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl


Methods of TMaskEdit (MASK) (021)
330 Methods of TMaskEdit (MASK) (021)
7 superordinates
84 properties

procedure
Reset  (inherited) ;
(protected) virtual, found in TCustomMaskEdit

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomEdit

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TMaskEdit (MASK) (022)
330 Methods of TMaskEdit (MASK) (022)
7 superordinates
84 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomEdit

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCharCase  (inherited) (Value: TEditCharCase) ;
(private) , found in TCustomEdit

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TMaskEdit (MASK) (023)
330 Methods of TMaskEdit (MASK) (023)
7 superordinates
84 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Pos: Integer) ;
(protected) , found in TCustomMaskEdit
procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEditMask  (inherited) (const Value: string) ;
(private) , found in TCustomMaskEdit

procedure
SetEditText  (inherited) (const Value: string) ;
(private) , found in TCustomMaskEdit

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TMaskEdit (MASK) (024)
330 Methods of TMaskEdit (MASK) (024)
7 superordinates
84 properties

procedure
SetHideSelection  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomMaskEdit
procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOEMConvert  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TMaskEdit (MASK) (025)
330 Methods of TMaskEdit (MASK) (025)
7 superordinates
84 properties

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPasswordChar  (inherited) (Value: Char) ;
(private) , found in TCustomEdit

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSel  (inherited) (SelStart: Integer; SelStop: Integer) ;
(protected) , found in TCustomMaskEdit

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomEdit


Methods of TMaskEdit (MASK) (026)
330 Methods of TMaskEdit (MASK) (026)
7 superordinates
84 properties

procedure
SetSelTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TCustomEdit

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl
procedure
SetText  (inherited) (const Value: string) ;
(private) , found in TCustomMaskEdit

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl


Methods of TMaskEdit (MASK) (027)
330 Methods of TMaskEdit (MASK) (027)
7 superordinates
84 properties

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

function
Validate  (inherited) (const Value: string; var Pos: Integer): Boolean ;
(private) , found in TCustomMaskEdit


Methods of TMaskEdit (MASK) (028)
330 Methods of TMaskEdit (MASK) (028)
7 superordinates
84 properties

procedure
ValidateEdit  (inherited) ;
(public) , found in TCustomMaskEdit

procedure
ValidateError  (inherited) ;
(protected) , found in TCustomMaskEdit

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl


Methods of TMaskEdit (MASK) (029)
330 Methods of TMaskEdit (MASK) (029)
7 superordinates
84 properties

procedure
WMCut  (inherited) (var Message: TMessage); message WM_CUT ;
(private) , found in TCustomMaskEdit

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode  (inherited) (var Message: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomMaskEdit

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl


Methods of TMaskEdit (MASK) (030)
330 Methods of TMaskEdit (MASK) (030)
7 superordinates
84 properties

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomMaskEdit
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TCustomMaskEdit
procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl


Methods of TMaskEdit (MASK) (031)
330 Methods of TMaskEdit (MASK) (031)
7 superordinates
84 properties

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMPaste  (inherited) (var Message: TMessage); message WM_PASTE ;
(private) , found in TCustomMaskEdit

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of TMaskEdit (MASK) (032)
330 Methods of TMaskEdit (MASK) (032)
7 superordinates
84 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus  (inherited) (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomMaskEdit

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl


Methods of TMaskEdit (MASK) (033)
330 Methods of TMaskEdit (MASK) (033)
7 superordinates
84 properties

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of EMCIDeviceError (MPLAYER)
26 Methods of EMCIDeviceError (MPLAYER)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EMCIDeviceError (MPLAYER) (002)
26 Methods of EMCIDeviceError (MPLAYER) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EMCIDeviceError (MPLAYER) (003)
26 Methods of EMCIDeviceError (MPLAYER) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TMediaPlayer (MPLAYER)
320 Methods of TMediaPlayer (MPLAYER)
6 superordinates
96 properties

procedure
Adjust ;
(private)

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AutoButtonSet (Btn: TMPBtnType) ;
(protected) dynamic

procedure
Back ;
(public)

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl


Methods of TMediaPlayer (MPLAYER) (002)
320 Methods of TMediaPlayer (MPLAYER) (002)
6 superordinates
96 properties

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (003)
320 Methods of TMediaPlayer (MPLAYER) (003)
6 superordinates
96 properties

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl


Methods of TMediaPlayer (MPLAYER) (004)
320 Methods of TMediaPlayer (MPLAYER) (004)
6 superordinates
96 properties

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (005)
320 Methods of TMediaPlayer (MPLAYER) (005)
6 superordinates
96 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
CheckIfOpen ;
(private)

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TMediaPlayer (MPLAYER) (006)
320 Methods of TMediaPlayer (MPLAYER) (006)
6 superordinates
96 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click (Button: TMPBtnType; var DoDefault: Boolean) ;
(protected) dynamic
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
Close ;
(public)

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (007)
320 Methods of TMediaPlayer (MPLAYER) (007)
6 superordinates
96 properties

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyBitmaps ;
(private)

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TMediaPlayer (MPLAYER) (008)
320 Methods of TMediaPlayer (MPLAYER) (008)
6 superordinates
96 properties

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoClick (Button: TMPBtnType) ;
(private)

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (009)
320 Methods of TMediaPlayer (MPLAYER) (009)
6 superordinates
96 properties

procedure
DoMouseDown (XPos, YPos: Integer) ;
(private)
procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DoNotify ;
(protected) dynamic

procedure
DoPostClick (Button: TMPBtnType) ;
(private)

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawAutoButtons ;
(private)

procedure
DrawButton (Btn: TMPBtnType; X: Integer) ;
(private)

procedure
Eject ;
(public)


Methods of TMediaPlayer (MPLAYER) (010)
320 Methods of TMediaPlayer (MPLAYER) (010)
6 superordinates
96 properties

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TMediaPlayer (MPLAYER) (011)
320 Methods of TMediaPlayer (MPLAYER) (011)
6 superordinates
96 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (012)
320 Methods of TMediaPlayer (MPLAYER) (012)
6 superordinates
96 properties

procedure
GetDeviceCaps ;
(private)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetDisplayRect : TRect ;
(private)

function
GetErrorMessage : string ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetLength : Longint ;
(private)

function
GetMode : TMPModes ;
(private)

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TMediaPlayer (MPLAYER) (013)
320 Methods of TMediaPlayer (MPLAYER) (013)
6 superordinates
96 properties

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPosition : Longint ;
(private)

function
GetStart : Longint ;
(private)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetTimeFormat : TMPTimeFormats ;
(private)

function
GetTrackLength (TrackNum: Integer): Longint ;
(private)


Methods of TMediaPlayer (MPLAYER) (014)
320 Methods of TMediaPlayer (MPLAYER) (014)
6 superordinates
96 properties

function
GetTrackPosition (TrackNum: Integer): Longint ;
(private)

function
GetTracks : Longint ;
(private)

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TMediaPlayer (MPLAYER) (015)
320 Methods of TMediaPlayer (MPLAYER) (015)
6 superordinates
96 properties

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (016)
320 Methods of TMediaPlayer (MPLAYER) (016)
6 superordinates
96 properties

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(private) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
LoadBitmaps ;
(private)

procedure
Loaded ;
(protected) override
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MMNotify (var Message: TMessage); message MM_MCINOTIFY ;
(protected)

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TMediaPlayer (MPLAYER) (017)
320 Methods of TMediaPlayer (MPLAYER) (017)
6 superordinates
96 properties

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Next ;
(public)

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Open ;
(public)

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (018)
320 Methods of TMediaPlayer (MPLAYER) (018)
6 superordinates
96 properties

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
Pause ;
(public)

procedure
PauseOnly ;
(public)

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

procedure
Play ;
(public)

procedure
PostClick (Button: TMPBtnType) ;
(protected) dynamic

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
Previous ;
(public)


Methods of TMediaPlayer (MPLAYER) (019)
320 Methods of TMediaPlayer (MPLAYER) (019)
6 superordinates
96 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (020)
320 Methods of TMediaPlayer (MPLAYER) (020)
6 superordinates
96 properties

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Resume ;
(public)

procedure
Rewind ;
(public)

procedure
Save ;
(public)

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (021)
320 Methods of TMediaPlayer (MPLAYER) (021)
6 superordinates
96 properties

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoEnable (Value: Boolean) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TMediaPlayer (MPLAYER) (022)
320 Methods of TMediaPlayer (MPLAYER) (022)
6 superordinates
96 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColored (Value: TButtonSet) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDeviceType ( Value: TMPDeviceTypes ) ;
(private)

procedure
SetDisplay ( Value: TWinControl ) ;
(private)

procedure
SetDisplayRect ( Value: TRect ) ;
(private)


Methods of TMediaPlayer (MPLAYER) (023)
320 Methods of TMediaPlayer (MPLAYER) (023)
6 superordinates
96 properties

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetEnabledButtons (Value: TButtonSet) ;
(private)

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetFrom ( Value: Longint ) ;
(private)

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl


Methods of TMediaPlayer (MPLAYER) (024)
320 Methods of TMediaPlayer (MPLAYER) (024)
6 superordinates
96 properties

procedure
SetNotify ( Flag: Boolean ) ;
(private)

procedure
SetOrigDisplay ;
(private)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPosition (Value: Longint) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TMediaPlayer (MPLAYER) (025)
320 Methods of TMediaPlayer (MPLAYER) (025)
6 superordinates
96 properties

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTimeFormat ( Value: TMPTimeFormats ) ;
(private)

procedure
SetTo ( Value: Longint ) ;
(private)

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl
procedure
SetVisible (Value: TButtonSet) ;
(private)

procedure
SetWait ( Flag: Boolean ) ;
(private)

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TMediaPlayer (MPLAYER) (026)
320 Methods of TMediaPlayer (MPLAYER) (026)
6 superordinates
96 properties

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
StartRecording ;
(public)

procedure
Step ;
(public)

procedure
Stop ;
(public)

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (027)
320 Methods of TMediaPlayer (MPLAYER) (027)
6 superordinates
96 properties

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

function
VisibleButtonCount : Integer ;
(private)

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (028)
320 Methods of TMediaPlayer (MPLAYER) (028)
6 superordinates
96 properties

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode (var Message: TWMGetDlgCode); message WM_GETDLGCODE ;
(private)

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (029)
320 Methods of TMediaPlayer (MPLAYER) (029)
6 superordinates
96 properties

procedure
WMKillFocus (var Message: TWMKillFocus); message WM_KILLFOCUS ;
(private)

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl
procedure
WMLButtonDblClk (var Message: TWMLButtonDblClk); message WM_LButtonDblClk ;
(private)

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl
procedure
WMLButtonDown (var Message: TWMLButtonDown); message WM_LButtonDown ;
(private)

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl
procedure
WMLButtonUp (var Message: TWMLButtonUp); message WM_LButtonUp ;
(private)

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl
procedure
WMMouseMove (var Message: TWMMouseMove); message WM_MouseMove ;
(private)

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (030)
320 Methods of TMediaPlayer (MPLAYER) (030)
6 superordinates
96 properties

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of TMediaPlayer (MPLAYER) (031)
320 Methods of TMediaPlayer (MPLAYER) (031)
6 superordinates
96 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private)

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl


Methods of TMediaPlayer (MPLAYER) (032)
320 Methods of TMediaPlayer (MPLAYER) (032)
6 superordinates
96 properties

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of OutlineError (OUTLINE)
62 Methods of OutlineError (OUTLINE)
1 superordinates
14 properties

function
AddNode (Value: TOutlineNode): LongInt ;
(protected)

procedure
ChangeExpandedCount (Value: LongInt) ;
(private)

procedure
ChangeLevelBy (Value: TChangeRange) ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(private)

procedure
CloseNode ;
(private)

procedure
Collapse ;
(public)


Methods of OutlineError (OUTLINE) (002)
62 Methods of OutlineError (OUTLINE) (002)
1 superordinates
14 properties

constructor
Create (AOwner: TCustomOutline) ;
(protected)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(protected) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Error (ErrorStringID: Word) ;
(private)

procedure
Expand ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

procedure
FullExpand ;
(public)


Methods of OutlineError (OUTLINE) (003)
62 Methods of OutlineError (OUTLINE) (003)
1 superordinates
14 properties

function
GetDataItem (Value: Pointer): LongInt ;
(protected)

function
GetDisplayWidth : Integer ;
(public)

function
GetExpandedNodeCount : LongInt ;
(private)

function
GetFirstChild : LongInt ;
(public)

function
GetFullPath : string ;
(private)

function
GetIndex : LongInt ;
(private)

function
GetLastChild : LongInt ;
(public)

function
GetLastIndex : LongInt ;
(private)

function
GetLevel : Cardinal ;
(private)

function
GetList : TList ;
(private)


Methods of OutlineError (OUTLINE) (004)
62 Methods of OutlineError (OUTLINE) (004)
1 superordinates
14 properties

function
GetMaxDisplayWidth (Value: Cardinal): Cardinal ;
(private)

function
GetNextChild (Value: LongInt): LongInt ;
(public)

function
GetNode (Index: LongInt): TOutlineNode ;
(private)

function
GetNodeAtIndex (TargetIndex: LongInt): TOutlineNode ;
(protected)

function
GetPrevChild (Value: LongInt): LongInt ;
(public)

function
GetRowOfNode (TargetNode: TOutlineNode; var RowCount: Longint): Boolean ;
(protected)

function
GetText : string ;
(private)

function
GetTextItem (const Value: string): LongInt ;
(protected)

function
GetTopItem : Longint ;
(private)

function
GetVisibleNode (TargetCount: LongInt): TOutlineNode ;
(protected)


Methods of OutlineError (OUTLINE) (005)
62 Methods of OutlineError (OUTLINE) (005)
1 superordinates
14 properties

function
GetVisibleParent : TOutlineNode ;
(private)

function
HasAsParent (Value: TOutlineNode): Boolean ;
(protected)

function
HasChildren : Boolean ;
(private)

function
HasVisibleParent : Boolean ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

function
InsertNode (Index: LongInt; Value: TOutlineNode): LongInt ;
(protected)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of OutlineError (OUTLINE) (006)
62 Methods of OutlineError (OUTLINE) (006)
1 superordinates
14 properties

procedure
MoveTo (Destination: LongInt; AttachMode: TAttachMode) ;
(public)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
ReIndex (StartNode, EndNode: TOutlineNode; NewIndex: LongInt; IncludeStart: Boolean) ;
(private)

procedure
Remove (Value: TOutlineNode) ;
(protected)

procedure
Repaint ;
(private)

function
Resync (var NewIndex: LongInt; EndNode: TOutlineNode): Boolean ;
(private)

procedure
SetExpandedState (Value: Boolean) ;
(private)

procedure
SetGoodIndex ;
(private)

procedure
SetHorzScrollBar ;
(private)

procedure
SetLevel (Level: Cardinal) ;
(private)


Methods of OutlineError (OUTLINE) (007)
62 Methods of OutlineError (OUTLINE) (007)
1 superordinates
14 properties

procedure
SetText (const Value: string) ;
(private)

procedure
WriteNode (Buffer: PChar; Stream: TStream) ;
(protected)


Methods of EOutlineError (OUTLINE)
26 Methods of EOutlineError (OUTLINE)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EOutlineError (OUTLINE) (002)
26 Methods of EOutlineError (OUTLINE) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EOutlineError (OUTLINE) (003)
26 Methods of EOutlineError (OUTLINE) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TOutlineNode (OUTLINE)
66 Methods of TOutlineNode (OUTLINE)
2 superordinates
14 properties

function
AddNode (Value: TOutlineNode): LongInt ;
(protected)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeExpandedCount (Value: LongInt) ;
(private)

procedure
ChangeLevelBy (Value: TChangeRange) ;
(public)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TOutlineNode (OUTLINE) (002)
66 Methods of TOutlineNode (OUTLINE) (002)
2 superordinates
14 properties

procedure
Clear ;
(private)

procedure
CloseNode ;
(private)

procedure
Collapse ;
(public)

constructor
Create (AOwner: TCustomOutline) ;
(protected)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(protected) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Error (ErrorStringID: Word) ;
(private)

procedure
Expand ;
(public)


Methods of TOutlineNode (OUTLINE) (003)
66 Methods of TOutlineNode (OUTLINE) (003)
2 superordinates
14 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

procedure
FullExpand ;
(public)

function
GetDataItem (Value: Pointer): LongInt ;
(protected)

function
GetDisplayWidth : Integer ;
(public)

function
GetExpandedNodeCount : LongInt ;
(private)

function
GetFirstChild : LongInt ;
(public)

function
GetFullPath : string ;
(private)

function
GetIndex : LongInt ;
(private)


Methods of TOutlineNode (OUTLINE) (004)
66 Methods of TOutlineNode (OUTLINE) (004)
2 superordinates
14 properties

function
GetLastChild : LongInt ;
(public)

function
GetLastIndex : LongInt ;
(private)

function
GetLevel : Cardinal ;
(private)

function
GetList : TList ;
(private)

function
GetMaxDisplayWidth (Value: Cardinal): Cardinal ;
(private)

function
GetNextChild (Value: LongInt): LongInt ;
(public)

function
GetNode (Index: LongInt): TOutlineNode ;
(private)

function
GetNodeAtIndex (TargetIndex: LongInt): TOutlineNode ;
(protected)

function
GetPrevChild (Value: LongInt): LongInt ;
(public)

function
GetRowOfNode (TargetNode: TOutlineNode; var RowCount: Longint): Boolean ;
(protected)


Methods of TOutlineNode (OUTLINE) (005)
66 Methods of TOutlineNode (OUTLINE) (005)
2 superordinates
14 properties

function
GetText : string ;
(private)

function
GetTextItem (const Value: string): LongInt ;
(protected)

function
GetTopItem : Longint ;
(private)

function
GetVisibleNode (TargetCount: LongInt): TOutlineNode ;
(protected)

function
GetVisibleParent : TOutlineNode ;
(private)

function
HasAsParent (Value: TOutlineNode): Boolean ;
(protected)

function
HasChildren : Boolean ;
(private)

function
HasVisibleParent : Boolean ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject


Methods of TOutlineNode (OUTLINE) (006)
66 Methods of TOutlineNode (OUTLINE) (006)
2 superordinates
14 properties

function
InsertNode (Index: LongInt; Value: TOutlineNode): LongInt ;
(protected)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MoveTo (Destination: LongInt; AttachMode: TAttachMode) ;
(public)

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
ReIndex (StartNode, EndNode: TOutlineNode; NewIndex: LongInt; IncludeStart: Boolean) ;
(private)

procedure
Remove (Value: TOutlineNode) ;
(protected)

procedure
Repaint ;
(private)

function
Resync (var NewIndex: LongInt; EndNode: TOutlineNode): Boolean ;
(private)


Methods of TOutlineNode (OUTLINE) (007)
66 Methods of TOutlineNode (OUTLINE) (007)
2 superordinates
14 properties

procedure
SetExpandedState (Value: Boolean) ;
(private)

procedure
SetGoodIndex ;
(private)

procedure
SetHorzScrollBar ;
(private)

procedure
SetLevel (Level: Cardinal) ;
(private)

procedure
SetText (const Value: string) ;
(private)

procedure
WriteNode (Buffer: PChar; Stream: TStream) ;
(protected)


Methods of TCustomOutline (OUTLINE)
426 Methods of TCustomOutline (OUTLINE)
7 superordinates
110 properties

function
Add (Index: LongInt; const Text: string): LongInt ;
(public)

function
AddChild (Index: LongInt; const Text: string): LongInt ;
(public)

function
AddChildObject (Index: LongInt; const Text: string; const Data: Pointer): LongInt ;
(public)

function
AddObject (Index: LongInt; const Text: string; const Data: Pointer): LongInt ;
(public)

procedure
AdjustSize  (inherited) (Index, Amount: Longint; Rows: Boolean) ;
(protected) dynamic, found in TCustomGrid

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent


Methods of TCustomOutline (OUTLINE) (002)
426 Methods of TCustomOutline (OUTLINE) (002)
7 superordinates
110 properties

function
AttachNode (Index: LongInt; Str: string; Ptr: Pointer; AttachMode: TAttachMode): LongInt ;
(private)

function
BadIndex (Value: TOutlineNode): Boolean ;
(protected)

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BeginUpdate ;
(public)

function
BoxRect  (inherited) (ALeft, ATop, ARight, ABottom: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGrid
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (003)
426 Methods of TCustomOutline (OUTLINE) (003)
7 superordinates
110 properties

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomGrid

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl


Methods of TCustomOutline (OUTLINE) (004)
426 Methods of TCustomOutline (OUTLINE) (004)
7 superordinates
110 properties

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (005)
426 Methods of TCustomOutline (OUTLINE) (005)
7 superordinates
110 properties

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWantSpecialKey  (inherited) (var Msg: TCMWantSpecialKey); message CM_WANTSPECIALKEY ;
(private) , found in TCustomGrid

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CalcCoordFromPoint  (inherited) (X, Y: Integer; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (006)
426 Methods of TCustomOutline (OUTLINE) (006)
7 superordinates
110 properties

procedure
CalcDrawInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
CalcDrawInfoXY  (inherited) (var DrawInfo: TGridDrawInfo; UseWidth, UseHeight: Integer) ;
(private) , found in TCustomGrid

procedure
CalcFixedInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CalcMaxTopLeft  (inherited) (const Coord: TGridCoord; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcSizingState  (inherited) (X, Y: Integer; var State: TGridState; var Index: Longint; var SizingPos, SizingOfs: Integer; var FixedInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditModify  (inherited) : Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditShow  (inherited) : Boolean ;
(protected) virtual, found in TCustomGrid

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanGridAcceptKey  (inherited) (Key: Word; Shift: TShiftState): Boolean ;
(protected) dynamic, found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (007)
426 Methods of TCustomOutline (OUTLINE) (007)
7 superordinates
110 properties

function
CellRect  (inherited) (ACol, ARow: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
ChangeBitmap (Value: TBitmap; Kind: TOutlineBitmap) ;
(private)

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
ChangeSize  (inherited) (NewColCount, NewRowCount: Longint) ;
(private) , found in TCustomGrid

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

procedure
ClampInView  (inherited) (const Coord: TGridCoord) ;
(private) , found in TCustomGrid

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TCustomOutline (OUTLINE) (008)
426 Methods of TCustomOutline (OUTLINE) (008)
7 superordinates
110 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)

procedure
ClearBitmap (var Bitmap: TBitmap; Kind: TOutlineBitmap) ;
(private)

procedure
Click ;
(protected) override
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ColWidthsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
Collapse (Index: LongInt) ;
(protected) dynamic

procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

function
CompareNodes (Value1, Value2: TOutlineNode): TOutlineNodeCompare ;
(private)

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (009)
426 Methods of TCustomOutline (OUTLINE) (009)
7 superordinates
110 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateEditor  (inherited) : TInplaceEdit ;
(protected) virtual, found in TCustomGrid

procedure
CreateGlyph ;
(private)

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomGrid
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick ;
(protected) override
procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl


Methods of TCustomOutline (OUTLINE) (010)
426 Methods of TCustomOutline (OUTLINE) (010)
7 superordinates
110 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TCustomGrid
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete (Index: LongInt) ;
(public)

procedure
DeleteNode (Node: TOutlineNode; CurIndex: LongInt) ;
(protected)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TCustomOutline (OUTLINE) (011)
426 Methods of TCustomOutline (OUTLINE) (011)
7 superordinates
110 properties

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) override, found in TCustomGrid
procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExpand (Node: TOutlineNode) ;
(private)

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl


Methods of TCustomOutline (OUTLINE) (012)
426 Methods of TCustomOutline (OUTLINE) (012)
7 superordinates
110 properties

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawCell (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) override
procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) virtual/abstract, found in TCustomGrid

procedure
DrawMove  (inherited) ;
(private) , found in TCustomGrid

procedure
DrawPictures (BitMaps: array of TBitmap; ARect: TRect) ;
(private)

procedure
DrawSizingLine  (inherited) (const DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
DrawText (Node: TOutlineNode; Rect: TRect) ;
(private)

procedure
DrawTree (ARect: TRect; Node: TOutlineNode) ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (013)
426 Methods of TCustomOutline (OUTLINE) (013)
7 superordinates
110 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

procedure
EndUpdate ;
(public)

procedure
Error (ErrorStringID: Word) ;
(private)

procedure
Expand (Index: LongInt) ;
(protected) dynamic

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusCell  (inherited) (ACol, ARow: Longint; MoveAnchor: Boolean) ;
(private) , found in TCustomGrid

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (014)
426 Methods of TCustomOutline (OUTLINE) (014)
7 superordinates
110 properties

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

procedure
FullCollapse ;
(public)

procedure
FullExpand ;
(public)

function
Get (Index: LongInt): TOutlineNode ;
(private)

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl


Methods of TCustomOutline (OUTLINE) (015)
426 Methods of TCustomOutline (OUTLINE) (015)
7 superordinates
110 properties

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetColWidths  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataItem (Value: Pointer): Longint ;
(public)

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditLimit  (inherited) : Integer ;
(protected) dynamic, found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (016)
426 Methods of TCustomOutline (OUTLINE) (016)
7 superordinates
110 properties

function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetGridHeight  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetGridWidth  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItem (X, Y: Integer): LongInt ;
(public)

function
GetItemCount : LongInt ;
(private)

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TCustomOutline (OUTLINE) (017)
426 Methods of TCustomOutline (OUTLINE) (017)
7 superordinates
110 properties

function
GetNodeDisplayWidth (Node: TOutlineNode): Integer ;
(public)

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPicture (Index: Integer): TBitmap ;
(private)

function
GetRowHeights  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetSelectedItem : LongInt ;
(private)

function
GetSelection  (inherited) : TGridRect ;
(private) , found in TCustomGrid

function
GetStrings : TStrings ;
(private)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetTabStops  (inherited) (Index: Longint): Boolean ;
(private) , found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (018)
426 Methods of TCustomOutline (OUTLINE) (018)
7 superordinates
110 properties

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextItem (const Value: string): Longint ;
(public)

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetVisibleColCount  (inherited) : Integer ;
(private) , found in TCustomGrid

function
GetVisibleRowCount  (inherited) : Integer ;
(private) , found in TCustomGrid

procedure
GridRectToScreenRect  (inherited) (GridRect: TGridRect; var ScreenRect: TRect; IncludeLine: Boolean) ;
(private) , found in TCustomGrid

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent


Methods of TCustomOutline (OUTLINE) (019)
426 Methods of TCustomOutline (OUTLINE) (019)
7 superordinates
110 properties

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HideEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
HideEditor  (inherited) ;
(protected) , found in TCustomGrid

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

procedure
Init ;
(private)

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(private) , found in TCustomGrid

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl
function
Insert (Index: LongInt; const Text: string): LongInt ;
(public)

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (020)
426 Methods of TCustomOutline (OUTLINE) (020)
7 superordinates
110 properties

function
InsertObject (Index: LongInt; const Text: string; const Data: Pointer): LongInt ;
(public)

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateCell  (inherited) (ACol, ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

procedure
InvalidateGrid  (inherited) ;
(private) , found in TCustomGrid

procedure
InvalidateRect  (inherited) (ARect: TGridRect) ;
(private) , found in TCustomGrid

procedure
InvalidateRow  (inherited) (ARow: Longint) ;
(protected) , found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (021)
426 Methods of TCustomOutline (OUTLINE) (021)
7 superordinates
110 properties

procedure
InvertRect  (inherited) (const Rect: TRect) ;
(private) , found in TCustomGrid

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsCurItem (Value: LongInt): Boolean ;
(private)

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl


Methods of TCustomOutline (OUTLINE) (022)
426 Methods of TCustomOutline (OUTLINE) (022)
7 superordinates
110 properties

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
LoadFromFile (const FileName: string) ;
(public)

procedure
LoadFromStream (Stream: TStream) ;
(public)

procedure
Loaded ;
(protected) override
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
ModifyScrollBar  (inherited) (ScrollBar, ScrollCode, Pos: Word) ;
(private) , found in TCustomGrid

function
MouseCoord  (inherited) (X, Y: Integer): TGridCoord ;
(protected) , found in TCustomGrid

procedure
MouseDown (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TCustomOutline (OUTLINE) (023)
426 Methods of TCustomOutline (OUTLINE) (023)
7 superordinates
110 properties

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
Move (Destination, Source: LongInt; AttachMode: TAttachMode) ;
(protected)

procedure
MoveAnchor  (inherited) (const NewAnchor: TGridCoord) ;
(private) , found in TCustomGrid

procedure
MoveColRow  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(protected) , found in TCustomGrid

procedure
MoveCurrent  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(private) , found in TCustomGrid

procedure
MoveNode (Destination, Source: LongInt; AttachMode: TAttachMode) ;
(private)

procedure
MoveTopLeft  (inherited) (ALeft, ATop: Longint) ;
(private) , found in TCustomGrid

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TCustomOutline (OUTLINE) (024)
426 Methods of TCustomOutline (OUTLINE) (024)
7 superordinates
110 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TCustomGrid
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadBinaryData (Stream: TStream) ;
(private)

procedure
ReadColWidths  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (025)
426 Methods of TCustomOutline (OUTLINE) (025)
7 superordinates
110 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadRowHeights  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TCustomOutline (OUTLINE) (026)
426 Methods of TCustomOutline (OUTLINE) (026)
7 superordinates
110 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResetSelectedItem ;
(private)

procedure
ResizeCol  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

function
ResizeGrid : Boolean ;
(private)

procedure
ResizeRow  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
RowHeightsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
RowMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (027)
426 Methods of TCustomOutline (OUTLINE) (027)
7 superordinates
110 properties

procedure
SaveToFile (const FileName: string) ;
(public)

procedure
SaveToStream (Stream: TStream) ;
(public)

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollData  (inherited) (DX, DY: Integer) ;
(protected) , found in TCustomGrid

procedure
ScrollDataInfo  (inherited) (DX, DY: Integer; var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
SelectCell  (inherited) (ACol, ARow: Longint): Boolean ;
(protected) virtual, found in TCustomGrid

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (028)
426 Methods of TCustomOutline (OUTLINE) (028)
7 superordinates
110 properties

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SelectionMoved  (inherited) (const OldSel: TGridRect) ;
(private) , found in TCustomGrid

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomGrid

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TCustomOutline (OUTLINE) (029)
426 Methods of TCustomOutline (OUTLINE) (029)
7 superordinates
110 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColWidths  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCurItem (Value: LongInt) ;
(private)

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDefaultColWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (030)
426 Methods of TCustomOutline (OUTLINE) (030)
7 superordinates
110 properties

procedure
SetDefaultRowHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayWidth (Value: Integer) ;
(protected)

procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) dynamic, found in TCustomGrid

procedure
SetEditorMode  (inherited) (Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFixedColor  (inherited) (Value: TColor) ;
(private) , found in TCustomGrid

procedure
SetFixedCols  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFixedRows  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl


Methods of TCustomOutline (OUTLINE) (031)
426 Methods of TCustomOutline (OUTLINE) (031)
7 superordinates
110 properties

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

function
SetGoodIndex (Value: TOutlineNode): TOutlineNode ;
(protected)

procedure
SetGridLineWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetHorzScrollBar ;
(private)

procedure
SetItemHeight (Value: Integer) ;
(private)

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLeftCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetLevel (Node: TOutlineNode; CurLevel, NewLevel: Cardinal) ;
(protected)


Methods of TCustomOutline (OUTLINE) (032)
426 Methods of TCustomOutline (OUTLINE) (032)
7 superordinates
110 properties

procedure
SetMaskColor (Value: TColor) ;
(private)

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOptions  (inherited) (Value: TGridOptions) ;
(private) , found in TCustomGrid

procedure
SetOutlineOptions (Value: TOutlineOptions) ;
(private)

procedure
SetOutlineStyle (Value: TOutlineStyle) ;
(private)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomOutline (OUTLINE) (033)
426 Methods of TCustomOutline (OUTLINE) (033)
7 superordinates
110 properties

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPicture (Index: Integer; Value: TBitmap) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowFromNode (Node: TOutlineNode) ;
(private)

procedure
SetRowHeight ;
(private)

procedure
SetRowHeights  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetScrollBars  (inherited) (Value: TScrollStyle) ;
(private) , found in TCustomGrid

procedure
SetSelectedItem (Value: Longint) ;
(private)


Methods of TCustomOutline (OUTLINE) (034)
426 Methods of TCustomOutline (OUTLINE) (034)
7 superordinates
110 properties

procedure
SetSelection  (inherited) (Value: TGridRect) ;
(private) , found in TCustomGrid

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetStrings (Value: TStrings) ;
(private)

procedure
SetStyle (Value: TOutlineType) ;
(private)

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetTabStops  (inherited) (Index: Longint; Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TCustomOutline (OUTLINE) (035)
426 Methods of TCustomOutline (OUTLINE) (035)
7 superordinates
110 properties

procedure
SetTopRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetUpdateState (Value: Boolean) ;
(public)

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
ShowEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
ShowEditorChar  (inherited) (Ch: Char) ;
(protected) , found in TCustomGrid

procedure
SizeChanged  (inherited) (OldColCount, OldRowCount: Longint) ;
(protected) dynamic, found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (036)
426 Methods of TCustomOutline (OUTLINE) (036)
7 superordinates
110 properties

function
Sizing  (inherited) (X, Y: Integer): Boolean ;
(protected) , found in TCustomGrid

function
StoreBitmap (Index: Integer): Boolean ;
(private)

procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) dynamic, found in TCustomGrid

procedure
TopLeftChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
TopLeftMoved  (inherited) (const OldTopLeft: TGridCoord) ;
(private) , found in TCustomGrid

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateEdit  (inherited) ;
(private) , found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (037)
426 Methods of TCustomOutline (OUTLINE) (037)
7 superordinates
110 properties

procedure
UpdateScrollPos  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateScrollRange  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
UpdateText  (inherited) ;
(private) , found in TCustomGrid

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl
procedure
WMChar  (inherited) (var Msg: TWMChar); message WM_CHAR ;
(private) , found in TCustomGrid

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (038)
426 Methods of TCustomOutline (OUTLINE) (038)
7 superordinates
110 properties

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TCustomGrid
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode  (inherited) (var Msg: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomGrid

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl
procedure
WMHScroll  (inherited) (var Msg: TWMHScroll); message WM_HSCROLL ;
(private) , found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (039)
426 Methods of TCustomOutline (OUTLINE) (039)
7 superordinates
110 properties

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Msg: TWMKillFocus); message WM_KILLFOCUS ;
(private) , found in TCustomGrid

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TMessage); message WM_LBUTTONDOWN ;
(private) , found in TCustomGrid
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (040)
426 Methods of TCustomOutline (OUTLINE) (040)
7 superordinates
110 properties

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl
procedure
WMNCHitTest  (inherited) (var Msg: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TCustomGrid

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (041)
426 Methods of TCustomOutline (OUTLINE) (041)
7 superordinates
110 properties

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomGrid

procedure
WMSetFocus  (inherited) (var Msg: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomGrid

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl
procedure
WMSize  (inherited) (var Msg: TWMSize); message WM_SIZE ;
(private) , found in TCustomGrid

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl


Methods of TCustomOutline (OUTLINE) (042)
426 Methods of TCustomOutline (OUTLINE) (042)
7 superordinates
110 properties

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMTimer  (inherited) (var Msg: TWMTimer); message WM_TIMER ;
(private) , found in TCustomGrid

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl
procedure
WMVScroll  (inherited) (var Msg: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomGrid

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteBinaryData (Stream: TStream) ;
(private)

procedure
WriteColWidths  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid


Methods of TCustomOutline (OUTLINE) (043)
426 Methods of TCustomOutline (OUTLINE) (043)
7 superordinates
110 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteRowHeights  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TOutline (OUTLINE)
426 Methods of TOutline (OUTLINE)
8 superordinates
110 properties

function
Add  (inherited) (Index: LongInt; const Text: string): LongInt ;
(public) , found in TCustomOutline

function
AddChild  (inherited) (Index: LongInt; const Text: string): LongInt ;
(public) , found in TCustomOutline

function
AddChildObject  (inherited) (Index: LongInt; const Text: string; const Data: Pointer): LongInt ;
(public) , found in TCustomOutline

function
AddObject  (inherited) (Index: LongInt; const Text: string; const Data: Pointer): LongInt ;
(public) , found in TCustomOutline

procedure
AdjustSize  (inherited) (Index, Amount: Longint; Rows: Boolean) ;
(protected) dynamic, found in TCustomGrid

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent


Methods of TOutline (OUTLINE) (002)
426 Methods of TOutline (OUTLINE) (002)
8 superordinates
110 properties

function
AttachNode  (inherited) (Index: LongInt; Str: string; Ptr: Pointer; AttachMode: TAttachMode): LongInt ;
(private) , found in TCustomOutline

function
BadIndex  (inherited) (Value: TOutlineNode): Boolean ;
(protected) , found in TCustomOutline

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BeginUpdate  (inherited) ;
(public) , found in TCustomOutline

function
BoxRect  (inherited) (ALeft, ATop, ARight, ABottom: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGrid
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl


Methods of TOutline (OUTLINE) (003)
426 Methods of TOutline (OUTLINE) (003)
8 superordinates
110 properties

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl
procedure
CMDesignHitTest  (inherited) (var Msg: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TCustomGrid

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomOutline
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomGrid
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl


Methods of TOutline (OUTLINE) (004)
426 Methods of TOutline (OUTLINE) (004)
8 superordinates
110 properties

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl


Methods of TOutline (OUTLINE) (005)
426 Methods of TOutline (OUTLINE) (005)
8 superordinates
110 properties

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWantSpecialKey  (inherited) (var Msg: TCMWantSpecialKey); message CM_WANTSPECIALKEY ;
(private) , found in TCustomGrid

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CalcCoordFromPoint  (inherited) (X, Y: Integer; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid


Methods of TOutline (OUTLINE) (006)
426 Methods of TOutline (OUTLINE) (006)
8 superordinates
110 properties

procedure
CalcDrawInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
CalcDrawInfoXY  (inherited) (var DrawInfo: TGridDrawInfo; UseWidth, UseHeight: Integer) ;
(private) , found in TCustomGrid

procedure
CalcFixedInfo  (inherited) (var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CalcMaxTopLeft  (inherited) (const Coord: TGridCoord; const DrawInfo: TGridDrawInfo): TGridCoord ;
(private) , found in TCustomGrid

procedure
CalcSizingState  (inherited) (X, Y: Integer; var State: TGridState; var Index: Longint; var SizingPos, SizingOfs: Integer; var FixedInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
CanEditAcceptKey  (inherited) (Key: Char): Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditModify  (inherited) : Boolean ;
(protected) dynamic, found in TCustomGrid

function
CanEditShow  (inherited) : Boolean ;
(protected) virtual, found in TCustomGrid

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

function
CanGridAcceptKey  (inherited) (Key: Word; Shift: TShiftState): Boolean ;
(protected) dynamic, found in TCustomGrid


Methods of TOutline (OUTLINE) (007)
426 Methods of TOutline (OUTLINE) (007)
8 superordinates
110 properties

function
CellRect  (inherited) (ACol, ARow: Longint): TRect ;
(protected) , found in TCustomGrid

procedure
ChangeBitmap  (inherited) (Value: TBitmap; Kind: TOutlineBitmap) ;
(private) , found in TCustomOutline

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
ChangeSize  (inherited) (NewColCount, NewRowCount: Longint) ;
(private) , found in TCustomGrid

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

procedure
ClampInView  (inherited) (const Coord: TGridCoord) ;
(private) , found in TCustomGrid

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TOutline (OUTLINE) (008)
426 Methods of TOutline (OUTLINE) (008)
8 superordinates
110 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomOutline

procedure
ClearBitmap  (inherited) (var Bitmap: TBitmap; Kind: TOutlineBitmap) ;
(private) , found in TCustomOutline

procedure
Click  (inherited) ;
(protected) override, found in TCustomOutline
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ColWidthsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
Collapse  (inherited) (Index: LongInt) ;
(protected) dynamic, found in TCustomOutline

procedure
ColumnMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid

function
CompareNodes  (inherited) (Value1, Value2: TOutlineNode): TOutlineNodeCompare ;
(private) , found in TCustomOutline

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of TOutline (OUTLINE) (009)
426 Methods of TOutline (OUTLINE) (009)
8 superordinates
110 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomOutline
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGrid
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateEditor  (inherited) : TInplaceEdit ;
(protected) virtual, found in TCustomGrid

procedure
CreateGlyph  (inherited) ;
(private) , found in TCustomOutline

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomGrid
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) override, found in TCustomOutline
procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl


Methods of TOutline (OUTLINE) (010)
426 Methods of TOutline (OUTLINE) (010)
8 superordinates
110 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TCustomOutline
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TCustomGrid
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
Delete  (inherited) (Index: LongInt) ;
(public) , found in TCustomOutline

procedure
DeleteNode  (inherited) (Node: TOutlineNode; CurIndex: LongInt) ;
(protected) , found in TCustomOutline

destructor
Destroy  (inherited) ;
(public) override, found in TCustomOutline
destructor
Destroy  (inherited) ;
(public) override, found in TCustomGrid
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TOutline (OUTLINE) (011)
426 Methods of TOutline (OUTLINE) (011)
8 superordinates
110 properties

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) override, found in TCustomGrid
procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExpand  (inherited) (Node: TOutlineNode) ;
(private) , found in TCustomOutline

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl


Methods of TOutline (OUTLINE) (012)
426 Methods of TOutline (OUTLINE) (012)
8 superordinates
110 properties

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) override, found in TCustomOutline
procedure
DrawCell  (inherited) (ACol, ARow: Longint; ARect: TRect; AState: TGridDrawState) ;
(protected) virtual/abstract, found in TCustomGrid

procedure
DrawMove  (inherited) ;
(private) , found in TCustomGrid

procedure
DrawPictures  (inherited) (BitMaps: array of TBitmap; ARect: TRect) ;
(private) , found in TCustomOutline

procedure
DrawSizingLine  (inherited) (const DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

procedure
DrawText  (inherited) (Node: TOutlineNode; Rect: TRect) ;
(private) , found in TCustomOutline

procedure
DrawTree  (inherited) (ARect: TRect; Node: TOutlineNode) ;
(private) , found in TCustomOutline

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TOutline (OUTLINE) (013)
426 Methods of TOutline (OUTLINE) (013)
8 superordinates
110 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

procedure
EndUpdate  (inherited) ;
(public) , found in TCustomOutline

procedure
Error  (inherited) (ErrorStringID: Word) ;
(private) , found in TCustomOutline

procedure
Expand  (inherited) (Index: LongInt) ;
(protected) dynamic, found in TCustomOutline

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusCell  (inherited) (ACol, ARow: Longint; MoveAnchor: Boolean) ;
(private) , found in TCustomGrid

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TOutline (OUTLINE) (014)
426 Methods of TOutline (OUTLINE) (014)
8 superordinates
110 properties

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

procedure
FullCollapse  (inherited) ;
(public) , found in TCustomOutline

procedure
FullExpand  (inherited) ;
(public) , found in TCustomOutline

function
Get  (inherited) (Index: LongInt): TOutlineNode ;
(private) , found in TCustomOutline

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl


Methods of TOutline (OUTLINE) (015)
426 Methods of TOutline (OUTLINE) (015)
8 superordinates
110 properties

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetColWidths  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDataItem  (inherited) (Value: Pointer): Longint ;
(public) , found in TCustomOutline

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetEditLimit  (inherited) : Integer ;
(protected) dynamic, found in TCustomGrid


Methods of TOutline (OUTLINE) (016)
426 Methods of TOutline (OUTLINE) (016)
8 superordinates
110 properties

function
GetEditMask  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetEditText  (inherited) (ACol, ARow: Longint): string ;
(protected) dynamic, found in TCustomGrid

function
GetGridHeight  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetGridWidth  (inherited) : Integer ;
(protected) , found in TCustomGrid

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItem  (inherited) (X, Y: Integer): LongInt ;
(public) , found in TCustomOutline

function
GetItemCount  (inherited) : LongInt ;
(private) , found in TCustomOutline

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TOutline (OUTLINE) (017)
426 Methods of TOutline (OUTLINE) (017)
8 superordinates
110 properties

function
GetNodeDisplayWidth  (inherited) (Node: TOutlineNode): Integer ;
(public) , found in TCustomOutline

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPicture  (inherited) (Index: Integer): TBitmap ;
(private) , found in TCustomOutline

function
GetRowHeights  (inherited) (Index: Longint): Integer ;
(private) , found in TCustomGrid

function
GetSelectedItem  (inherited) : LongInt ;
(private) , found in TCustomOutline

function
GetSelection  (inherited) : TGridRect ;
(private) , found in TCustomGrid

function
GetStrings  (inherited) : TStrings ;
(private) , found in TCustomOutline

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetTabStops  (inherited) (Index: Longint): Boolean ;
(private) , found in TCustomGrid


Methods of TOutline (OUTLINE) (018)
426 Methods of TOutline (OUTLINE) (018)
8 superordinates
110 properties

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextItem  (inherited) (const Value: string): Longint ;
(public) , found in TCustomOutline

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetVisibleColCount  (inherited) : Integer ;
(private) , found in TCustomGrid

function
GetVisibleRowCount  (inherited) : Integer ;
(private) , found in TCustomGrid

procedure
GridRectToScreenRect  (inherited) (GridRect: TGridRect; var ScreenRect: TRect; IncludeLine: Boolean) ;
(private) , found in TCustomGrid

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent


Methods of TOutline (OUTLINE) (019)
426 Methods of TOutline (OUTLINE) (019)
8 superordinates
110 properties

procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
HideEdit  (inherited) ;
(private) , found in TCustomGrid

procedure
HideEditor  (inherited) ;
(protected) , found in TCustomGrid

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

procedure
Init  (inherited) ;
(private) , found in TCustomOutline

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(private) , found in TCustomGrid

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl
function
Insert  (inherited) (Index: LongInt; const Text: string): LongInt ;
(public) , found in TCustomOutline

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TOutline (OUTLINE) (020)
426 Methods of TOutline (OUTLINE) (020)
8 superordinates
110 properties

function
InsertObject  (inherited) (Index: LongInt; const Text: string; const Data: Pointer): LongInt ;
(public) , found in TCustomOutline

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateCell  (inherited) (ACol, ARow: Longint) ;
(protected) , found in TCustomGrid

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

procedure
InvalidateGrid  (inherited) ;
(private) , found in TCustomGrid

procedure
InvalidateRect  (inherited) (ARect: TGridRect) ;
(private) , found in TCustomGrid

procedure
InvalidateRow  (inherited) (ARow: Longint) ;
(protected) , found in TCustomGrid


Methods of TOutline (OUTLINE) (021)
426 Methods of TOutline (OUTLINE) (021)
8 superordinates
110 properties

procedure
InvertRect  (inherited) (const Rect: TRect) ;
(private) , found in TCustomGrid

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsCurItem  (inherited) (Value: LongInt): Boolean ;
(private) , found in TCustomOutline

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomOutline
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) override, found in TCustomGrid
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomOutline
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomGrid
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl


Methods of TOutline (OUTLINE) (022)
426 Methods of TOutline (OUTLINE) (022)
8 superordinates
110 properties

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
LoadFromFile  (inherited) (const FileName: string) ;
(public) , found in TCustomOutline

procedure
LoadFromStream  (inherited) (Stream: TStream) ;
(public) , found in TCustomOutline

procedure
Loaded  (inherited) ;
(protected) override, found in TCustomOutline
procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
ModifyScrollBar  (inherited) (ScrollBar, ScrollCode, Pos: Word) ;
(private) , found in TCustomGrid

function
MouseCoord  (inherited) (X, Y: Integer): TGridCoord ;
(protected) , found in TCustomGrid

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomOutline
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TOutline (OUTLINE) (023)
426 Methods of TOutline (OUTLINE) (023)
8 superordinates
110 properties

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) override, found in TCustomGrid
procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
Move  (inherited) (Destination, Source: LongInt; AttachMode: TAttachMode) ;
(protected) , found in TCustomOutline

procedure
MoveAnchor  (inherited) (const NewAnchor: TGridCoord) ;
(private) , found in TCustomGrid

procedure
MoveColRow  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(protected) , found in TCustomGrid

procedure
MoveCurrent  (inherited) (ACol, ARow: Longint; MoveAnchor, Show: Boolean) ;
(private) , found in TCustomGrid

procedure
MoveNode  (inherited) (Destination, Source: LongInt; AttachMode: TAttachMode) ;
(private) , found in TCustomOutline

procedure
MoveTopLeft  (inherited) (ALeft, ATop: Longint) ;
(private) , found in TCustomGrid

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TOutline (OUTLINE) (024)
426 Methods of TOutline (OUTLINE) (024)
8 superordinates
110 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TCustomGrid
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadBinaryData  (inherited) (Stream: TStream) ;
(private) , found in TCustomOutline

procedure
ReadColWidths  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid


Methods of TOutline (OUTLINE) (025)
426 Methods of TOutline (OUTLINE) (025)
8 superordinates
110 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadRowHeights  (inherited) (Reader: TReader) ;
(private) , found in TCustomGrid

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TOutline (OUTLINE) (026)
426 Methods of TOutline (OUTLINE) (026)
8 superordinates
110 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResetSelectedItem  (inherited) ;
(private) , found in TCustomOutline

procedure
ResizeCol  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

function
ResizeGrid  (inherited) : Boolean ;
(private) , found in TCustomOutline

procedure
ResizeRow  (inherited) (Index: Longint; OldSize, NewSize: Integer) ;
(private) , found in TCustomGrid

procedure
RowHeightsChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
RowMoved  (inherited) (FromIndex, ToIndex: Longint) ;
(protected) dynamic, found in TCustomGrid


Methods of TOutline (OUTLINE) (027)
426 Methods of TOutline (OUTLINE) (027)
8 superordinates
110 properties

procedure
SaveToFile  (inherited) (const FileName: string) ;
(public) , found in TCustomOutline

procedure
SaveToStream  (inherited) (Stream: TStream) ;
(public) , found in TCustomOutline

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollData  (inherited) (DX, DY: Integer) ;
(protected) , found in TCustomGrid

procedure
ScrollDataInfo  (inherited) (DX, DY: Integer; var DrawInfo: TGridDrawInfo) ;
(private) , found in TCustomGrid

function
SelectCell  (inherited) (ACol, ARow: Longint): Boolean ;
(protected) virtual, found in TCustomGrid

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl


Methods of TOutline (OUTLINE) (028)
426 Methods of TOutline (OUTLINE) (028)
8 superordinates
110 properties

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SelectionMoved  (inherited) (const OldSel: TGridRect) ;
(private) , found in TCustomGrid

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomGrid

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TOutline (OUTLINE) (029)
426 Methods of TOutline (OUTLINE) (029)
8 superordinates
110 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetColWidths  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCurItem  (inherited) (Value: LongInt) ;
(private) , found in TCustomOutline

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDefaultColWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid


Methods of TOutline (OUTLINE) (030)
426 Methods of TOutline (OUTLINE) (030)
8 superordinates
110 properties

procedure
SetDefaultRowHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDisplayWidth  (inherited) (Value: Integer) ;
(protected) , found in TCustomOutline

procedure
SetEditText  (inherited) (ACol, ARow: Longint; const Value: string) ;
(protected) dynamic, found in TCustomGrid

procedure
SetEditorMode  (inherited) (Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFixedColor  (inherited) (Value: TColor) ;
(private) , found in TCustomGrid

procedure
SetFixedCols  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFixedRows  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl


Methods of TOutline (OUTLINE) (031)
426 Methods of TOutline (OUTLINE) (031)
8 superordinates
110 properties

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

function
SetGoodIndex  (inherited) (Value: TOutlineNode): TOutlineNode ;
(protected) , found in TCustomOutline

procedure
SetGridLineWidth  (inherited) (Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetHorzScrollBar  (inherited) ;
(private) , found in TCustomOutline

procedure
SetItemHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomOutline

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLeftCol  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetLevel  (inherited) (Node: TOutlineNode; CurLevel, NewLevel: Cardinal) ;
(protected) , found in TCustomOutline


Methods of TOutline (OUTLINE) (032)
426 Methods of TOutline (OUTLINE) (032)
8 superordinates
110 properties

procedure
SetMaskColor  (inherited) (Value: TColor) ;
(private) , found in TCustomOutline

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOptions  (inherited) (Value: TGridOptions) ;
(private) , found in TCustomGrid

procedure
SetOutlineOptions  (inherited) (Value: TOutlineOptions) ;
(private) , found in TCustomOutline

procedure
SetOutlineStyle  (inherited) (Value: TOutlineStyle) ;
(private) , found in TCustomOutline

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TOutline (OUTLINE) (033)
426 Methods of TOutline (OUTLINE) (033)
8 superordinates
110 properties

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPicture  (inherited) (Index: Integer; Value: TBitmap) ;
(private) , found in TCustomOutline

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowCount  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetRowFromNode  (inherited) (Node: TOutlineNode) ;
(private) , found in TCustomOutline

procedure
SetRowHeight  (inherited) ;
(private) , found in TCustomOutline

procedure
SetRowHeights  (inherited) (Index: Longint; Value: Integer) ;
(private) , found in TCustomGrid

procedure
SetScrollBars  (inherited) (Value: TScrollStyle) ;
(private) , found in TCustomGrid

procedure
SetSelectedItem  (inherited) (Value: Longint) ;
(private) , found in TCustomOutline


Methods of TOutline (OUTLINE) (034)
426 Methods of TOutline (OUTLINE) (034)
8 superordinates
110 properties

procedure
SetSelection  (inherited) (Value: TGridRect) ;
(private) , found in TCustomGrid

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetStrings  (inherited) (Value: TStrings) ;
(private) , found in TCustomOutline

procedure
SetStyle  (inherited) (Value: TOutlineType) ;
(private) , found in TCustomOutline

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetTabStops  (inherited) (Index: Longint; Value: Boolean) ;
(private) , found in TCustomGrid

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TOutline (OUTLINE) (035)
426 Methods of TOutline (OUTLINE) (035)
8 superordinates
110 properties

procedure
SetTopRow  (inherited) (Value: Longint) ;
(private) , found in TCustomGrid

procedure
SetUpdateState  (inherited) (Value: Boolean) ;
(public) , found in TCustomOutline

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
ShowEditor  (inherited) ;
(protected) , found in TCustomGrid

procedure
ShowEditorChar  (inherited) (Ch: Char) ;
(protected) , found in TCustomGrid

procedure
SizeChanged  (inherited) (OldColCount, OldRowCount: Longint) ;
(protected) dynamic, found in TCustomGrid


Methods of TOutline (OUTLINE) (036)
426 Methods of TOutline (OUTLINE) (036)
8 superordinates
110 properties

function
Sizing  (inherited) (X, Y: Integer): Boolean ;
(protected) , found in TCustomGrid

function
StoreBitmap  (inherited) (Index: Integer): Boolean ;
(private) , found in TCustomOutline

procedure
TimedScroll  (inherited) (Direction: TGridScrollDirection) ;
(protected) dynamic, found in TCustomGrid

procedure
TopLeftChanged  (inherited) ;
(protected) dynamic, found in TCustomGrid

procedure
TopLeftMoved  (inherited) (const OldTopLeft: TGridCoord) ;
(private) , found in TCustomGrid

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateEdit  (inherited) ;
(private) , found in TCustomGrid


Methods of TOutline (OUTLINE) (037)
426 Methods of TOutline (OUTLINE) (037)
8 superordinates
110 properties

procedure
UpdateScrollPos  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateScrollRange  (inherited) ;
(private) , found in TCustomGrid

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
UpdateText  (inherited) ;
(private) , found in TCustomGrid

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl
procedure
WMChar  (inherited) (var Msg: TWMChar); message WM_CHAR ;
(private) , found in TCustomGrid

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl


Methods of TOutline (OUTLINE) (038)
426 Methods of TOutline (OUTLINE) (038)
8 superordinates
110 properties

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TCustomGrid
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode  (inherited) (var Msg: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomGrid

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl
procedure
WMHScroll  (inherited) (var Msg: TWMHScroll); message WM_HSCROLL ;
(private) , found in TCustomGrid


Methods of TOutline (OUTLINE) (039)
426 Methods of TOutline (OUTLINE) (039)
8 superordinates
110 properties

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Msg: TWMKillFocus); message WM_KILLFOCUS ;
(private) , found in TCustomGrid

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TMessage); message WM_LBUTTONDOWN ;
(private) , found in TCustomGrid
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl


Methods of TOutline (OUTLINE) (040)
426 Methods of TOutline (OUTLINE) (040)
8 superordinates
110 properties

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl
procedure
WMNCHitTest  (inherited) (var Msg: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TCustomGrid

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl


Methods of TOutline (OUTLINE) (041)
426 Methods of TOutline (OUTLINE) (041)
8 superordinates
110 properties

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl
procedure
WMSetCursor  (inherited) (var Msg: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TCustomGrid

procedure
WMSetFocus  (inherited) (var Msg: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomGrid

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomOutline
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl
procedure
WMSize  (inherited) (var Msg: TWMSize); message WM_SIZE ;
(private) , found in TCustomGrid

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl


Methods of TOutline (OUTLINE) (042)
426 Methods of TOutline (OUTLINE) (042)
8 superordinates
110 properties

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMTimer  (inherited) (var Msg: TWMTimer); message WM_TIMER ;
(private) , found in TCustomGrid

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl
procedure
WMVScroll  (inherited) (var Msg: TWMVScroll); message WM_VSCROLL ;
(private) , found in TCustomGrid

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteBinaryData  (inherited) (Stream: TStream) ;
(private) , found in TCustomOutline

procedure
WriteColWidths  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid


Methods of TOutline (OUTLINE) (043)
426 Methods of TOutline (OUTLINE) (043)
8 superordinates
110 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteRowHeights  (inherited) (Writer: TWriter) ;
(private) , found in TCustomGrid

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TParamDlg (PARAMDLG)
352 Methods of TParamDlg (PARAMDLG)
7 superordinates
124 properties

procedure
Activate  (inherited) ;
(protected) dynamic, found in TForm

procedure
ActiveChanged  (inherited) ;
(protected) dynamic, found in TForm

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var ARect: TRect) ;
(protected) override, found in TScrollingWinControl
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(private) override, found in TForm
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrangeIcons  (inherited) ;
(public) , found in TForm

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AutoScrollInView  (inherited) (AControl: TControl) ;
(protected) , found in TScrollingWinControl

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl


Methods of TParamDlg (PARAMDLG) (002)
352 Methods of TParamDlg (PARAMDLG) (002)
7 superordinates
124 properties

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMActivate  (inherited) (var Message: TCMActivate); message CM_ACTIVATE ;
(private) , found in TForm

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TForm
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TForm
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDeactivate  (inherited) (var Message: TCMDeactivate); message CM_DEACTIVATE ;
(private) , found in TForm

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TForm
procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl


Methods of TParamDlg (PARAMDLG) (003)
352 Methods of TParamDlg (PARAMDLG) (003)
7 superordinates
124 properties

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TForm
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMIconChanged  (inherited) (var Message: TMessage); message CM_ICONCHANGED ;
(private) , found in TForm

procedure
CMMenuChanged  (inherited) (var Message: TMessage); message CM_MENUCHANGED ;
(private) , found in TForm

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl


Methods of TParamDlg (PARAMDLG) (004)
352 Methods of TParamDlg (PARAMDLG) (004)
7 superordinates
124 properties

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMRelease  (inherited) (var Message: TMessage); message CM_RELEASE ;
(private) , found in TForm

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TForm
procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TForm


Methods of TParamDlg (PARAMDLG) (005)
352 Methods of TParamDlg (PARAMDLG) (005)
7 superordinates
124 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
CalcAutoRange  (inherited) ;
(private) , found in TScrollingWinControl


Methods of TParamDlg (PARAMDLG) (006)
352 Methods of TParamDlg (PARAMDLG) (006)
7 superordinates
124 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Cascade  (inherited) ;
(public) , found in TForm

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TForm
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TScrollingWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl


Methods of TParamDlg (PARAMDLG) (007)
352 Methods of TParamDlg (PARAMDLG) (007)
7 superordinates
124 properties

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ClientWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TForm

procedure
Close  (inherited) ;
(public) , found in TForm

procedure
CloseModal  (inherited) ;
(private) , found in TForm

function
CloseQuery  (inherited) : Boolean ;
(public) , found in TForm

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TForm
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TScrollingWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

constructor
CreateNew  (inherited) (AOwner: TComponent) ;
(public) , found in TForm


Methods of TParamDlg (PARAMDLG) (008)
352 Methods of TParamDlg (PARAMDLG) (008)
7 superordinates
124 properties

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TForm
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) override, found in TForm
procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TForm
procedure
CreateWnd  (inherited) ;
(protected) override, found in TScrollingWinControl
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
Deactivate  (inherited) ;
(protected) dynamic, found in TForm

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TForm
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TForm
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DefocusControl  (inherited) (Control: TWinControl; Removing: Boolean) ;
(public) , found in TForm

destructor
Destroy  (inherited) ;
(public) override, found in TForm
destructor
Destroy  (inherited) ;
(public) override, found in TScrollingWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TParamDlg (PARAMDLG) (009)
352 Methods of TParamDlg (PARAMDLG) (009)
7 superordinates
124 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) override, found in TForm
procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoHide  (inherited) ;
(protected) dynamic, found in TForm


Methods of TParamDlg (PARAMDLG) (010)
352 Methods of TParamDlg (PARAMDLG) (010)
7 superordinates
124 properties

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DoShow  (inherited) ;
(protected) dynamic, found in TForm

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TParamDlg (PARAMDLG) (011)
352 Methods of TParamDlg (PARAMDLG) (011)
7 superordinates
124 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusControl  (inherited) (Control: TWinControl) ;
(public) , found in TForm

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
FormCreate (Sender: TObject) ;
(private)

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TParamDlg (PARAMDLG) (012)
352 Methods of TParamDlg (PARAMDLG) (012)
7 superordinates
124 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActiveMDIChild  (inherited) : TForm ;
(private) , found in TForm

function
GetBorderSize  (inherited) (Height: Boolean): Integer ;
(private) , found in TForm

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetCanvas  (inherited) : TCanvas ;
(private) , found in TForm

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TForm
function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent


Methods of TParamDlg (PARAMDLG) (013)
352 Methods of TParamDlg (PARAMDLG) (013)
7 superordinates
124 properties

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetFormImage  (inherited) : TBitmap ;
(public) , found in TForm

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetIconHandle  (inherited) : HICON ;
(private) , found in TForm

function
GetMDIChildCount  (inherited) : Integer ;
(private) , found in TForm


Methods of TParamDlg (PARAMDLG) (014)
352 Methods of TParamDlg (PARAMDLG) (014)
7 superordinates
124 properties

function
GetMDIChildren  (inherited) (I: Integer): TForm ;
(private) , found in TForm

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPixelsPerInch  (inherited) : Integer ;
(private) , found in TForm

function
GetScaled  (inherited) : Boolean ;
(private) , found in TForm

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl


Methods of TParamDlg (PARAMDLG) (015)
352 Methods of TParamDlg (PARAMDLG) (015)
7 superordinates
124 properties

function
GetTextHeight  (inherited) : Integer ;
(private) , found in TForm

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TForm
procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
IconChanged  (inherited) (Sender: TObject) ;
(private) , found in TForm

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl


Methods of TParamDlg (PARAMDLG) (016)
352 Methods of TParamDlg (PARAMDLG) (016)
7 superordinates
124 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsAutoScrollStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsClientSizeStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TForm
function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl


Methods of TParamDlg (PARAMDLG) (017)
352 Methods of TParamDlg (PARAMDLG) (017)
7 superordinates
124 properties

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsForm  (inherited) : Boolean ;
(private) , found in TForm

function
IsFormSizeStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsIconStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TParamDlg (PARAMDLG) (018)
352 Methods of TParamDlg (PARAMDLG) (018)
7 superordinates
124 properties

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MergeMenu  (inherited) (MergeState: Boolean) ;
(private) , found in TForm

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Next  (inherited) ;
(public) , found in TForm


Methods of TParamDlg (PARAMDLG) (019)
352 Methods of TParamDlg (PARAMDLG) (019)
7 superordinates
124 properties

function
NormalColor  (inherited) : TColor ;
(private) , found in TForm

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TForm
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) dynamic, found in TForm

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TForm
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl


Methods of TParamDlg (PARAMDLG) (020)
352 Methods of TParamDlg (PARAMDLG) (020)
7 superordinates
124 properties

procedure
Previous  (inherited) ;
(public) , found in TForm

procedure
Print  (inherited) ;
(public) , found in TForm

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TForm
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTextHeight  (inherited) (Reader: TReader) ;
(private) , found in TForm

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl


Methods of TParamDlg (PARAMDLG) (021)
352 Methods of TParamDlg (PARAMDLG) (021)
7 superordinates
124 properties

procedure
RefreshMDIMenu  (inherited) ;
(private) , found in TForm

procedure
Release  (inherited) ;
(public) , found in TForm

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Resize  (inherited) ;
(protected) dynamic, found in TForm

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl


Methods of TParamDlg (PARAMDLG) (022)
352 Methods of TParamDlg (PARAMDLG) (022)
7 superordinates
124 properties

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

procedure
ScaleScrollBars  (inherited) (M, D: Integer) ;
(private) , found in TScrollingWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollInView  (inherited) (AControl: TControl) ;
(public) , found in TScrollingWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(public) , found in TForm
procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetActiveControl  (inherited) (Control: TWinControl) ;
(private) , found in TForm


Methods of TParamDlg (PARAMDLG) (023)
352 Methods of TParamDlg (PARAMDLG) (023)
7 superordinates
124 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoScroll  (inherited) (Value: Boolean) ;
(private) , found in TScrollingWinControl

procedure
SetBorderIcons  (inherited) (Value: TBorderIcons) ;
(private) , found in TForm

procedure
SetBorderStyle  (inherited) (Value: TFormBorderStyle) ;
(private) , found in TForm

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TForm
procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TForm
procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TParamDlg (PARAMDLG) (024)
352 Methods of TParamDlg (PARAMDLG) (024)
7 superordinates
124 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigner  (inherited) (ADesigner: TDesigner) ;
(private) , found in TForm

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) override, found in TForm
procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

function
SetFocusedControl  (inherited) (Control: TWinControl): Boolean ;
(public) , found in TForm

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetFormStyle  (inherited) (Value: TFormStyle) ;
(private) , found in TForm


Methods of TParamDlg (PARAMDLG) (025)
352 Methods of TParamDlg (PARAMDLG) (025)
7 superordinates
124 properties

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetHorzScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetIcon  (inherited) (Value: TIcon) ;
(private) , found in TForm

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMenu  (inherited) (Value: TMainMenu) ;
(private) , found in TForm

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TForm
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetObjectMenuItem  (inherited) (Value: TMenuItem) ;
(private) , found in TForm

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl


Methods of TParamDlg (PARAMDLG) (026)
352 Methods of TParamDlg (PARAMDLG) (026)
7 superordinates
124 properties

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPixelsPerInch  (inherited) (Value: Integer) ;
(private) , found in TForm

procedure
SetPosition  (inherited) (Value: TPosition) ;
(private) , found in TForm

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetScaled  (inherited) (Value: Boolean) ;
(private) , found in TForm

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TParamDlg (PARAMDLG) (027)
352 Methods of TParamDlg (PARAMDLG) (027)
7 superordinates
124 properties

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVertScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TForm
procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWindowFocus  (inherited) ;
(private) , found in TForm

procedure
SetWindowMenu  (inherited) (Value: TMenuItem) ;
(private) , found in TForm

procedure
SetWindowState  (inherited) (Value: TWindowState) ;
(private) , found in TForm


Methods of TParamDlg (PARAMDLG) (028)
352 Methods of TParamDlg (PARAMDLG) (028)
7 superordinates
124 properties

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TForm
procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

function
ShowModal  (inherited) : Integer ;
(public) , found in TForm

procedure
Tile  (inherited) ;
(public) , found in TForm

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateScrollBars  (inherited) ;
(private) , found in TScrollingWinControl


Methods of TParamDlg (PARAMDLG) (029)
352 Methods of TParamDlg (PARAMDLG) (029)
7 superordinates
124 properties

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) override, found in TForm
procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) override, found in TForm
procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMActivate  (inherited) (var Message: TWMActivate); message WM_ACTIVATE ;
(private) , found in TForm

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMClose  (inherited) (var Message: TWMClose); message WM_CLOSE ;
(private) , found in TForm

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TForm
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl


Methods of TParamDlg (PARAMDLG) (030)
352 Methods of TParamDlg (PARAMDLG) (030)
7 superordinates
124 properties

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TForm
procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEnterIdle  (inherited) (var Message: TWMEnterIdle); message WM_ENTERIDLE ;
(private) , found in TForm

procedure
WMEnterMenuLoop  (inherited) (var Message: TMessage); message WM_ENTERMENULOOP ;
(private) , found in TForm

procedure
WMEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TForm
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl


Methods of TParamDlg (PARAMDLG) (031)
352 Methods of TParamDlg (PARAMDLG) (031)
7 superordinates
124 properties

procedure
WMIconEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ICONERASEBKGND ;
(private) , found in TForm

procedure
WMInitMenuPopup  (inherited) (var Message: TWMInitMenuPopup); message WM_INITMENUPOPUP ;
(private) , found in TForm

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Message: TWMSetFocus); message WM_KILLFOCUS ;
(private) , found in TForm

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl


Methods of TParamDlg (PARAMDLG) (032)
352 Methods of TParamDlg (PARAMDLG) (032)
7 superordinates
124 properties

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMDIAtivate  (inherited) (var Message: TWMMDIActivate); message WM_MDIACTIVATE ;
(private) , found in TForm

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMenuSelect  (inherited) (var Message: TWMMenuSelect); message WM_MENUSELECT ;
(private) , found in TForm

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCCreate  (inherited) (var Message: TWMNCCreate); message WM_NCCREATE ;
(private) , found in TForm

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl


Methods of TParamDlg (PARAMDLG) (033)
352 Methods of TParamDlg (PARAMDLG) (033)
7 superordinates
124 properties

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMNextDlgCtl  (inherited) (var Message: TWMNextDlgCtl); message WM_NEXTDLGCTL ;
(private) , found in TForm

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TForm
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TForm
procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryDragIcon  (inherited) (var Message: TWMQueryDragIcon); message WM_QUERYDRAGICON ;
(private) , found in TForm

procedure
WMQueryEndSession  (inherited) (var Message: TWMQueryEndSession); message WM_QUERYENDSESSION ;
(private) , found in TForm

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of TParamDlg (PARAMDLG) (034)
352 Methods of TParamDlg (PARAMDLG) (034)
7 superordinates
124 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus  (inherited) (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TForm

procedure
WMShowWindow  (inherited) (var Message: TWMShowWindow); message WM_SHOWWINDOW ;
(private) , found in TForm

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TForm
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TScrollingWinControl
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TForm
procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl


Methods of TParamDlg (PARAMDLG) (035)
352 Methods of TParamDlg (PARAMDLG) (035)
7 superordinates
124 properties

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TForm
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TParamDlg (PARAMDLG) (036)
352 Methods of TParamDlg (PARAMDLG) (036)
7 superordinates
124 properties

procedure
WriteTextHeight  (inherited) (Writer: TWriter) ;
(private) , found in TForm

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of EPrinter (PRINTERS)
26 Methods of EPrinter (PRINTERS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EPrinter (PRINTERS) (002)
26 Methods of EPrinter (PRINTERS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EPrinter (PRINTERS) (003)
26 Methods of EPrinter (PRINTERS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TPrinter (PRINTERS)
40 Methods of TPrinter (PRINTERS)
1 superordinates
12 properties

procedure
Abort ;
(public)

procedure
BeginDoc ;
(public)

procedure
CheckPrinting (Value: Boolean) ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TPrinter (PRINTERS) (002)
40 Methods of TPrinter (PRINTERS) (002)
1 superordinates
12 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
EndDoc ;
(public)

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeFonts ;
(private)

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

procedure
FreePrinters ;
(private)

function
GetCanvas : TCanvas ;
(private)

function
GetFonts : TStrings ;
(private)

function
GetHandle : HDC ;
(private)


Methods of TPrinter (PRINTERS) (003)
40 Methods of TPrinter (PRINTERS) (003)
1 superordinates
12 properties

function
GetOrientation : TPrinterOrientation ;
(private)

function
GetPageHeight : Integer ;
(private)

function
GetPageWidth : Integer ;
(private)

procedure
GetPrinter (ADevice, ADriver, APort: PChar; var ADeviceMode: THandle) ;
(public)

function
GetPrinterIndex : Integer ;
(private)

function
GetPrinters : TStrings ;
(private)

function
GetTitle : string ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TPrinter (PRINTERS) (004)
40 Methods of TPrinter (PRINTERS) (004)
1 superordinates
12 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
NewPage ;
(public)

procedure
SetOrientation (Value: TPrinterOrientation) ;
(private)

procedure
SetPrinter (ADevice, ADriver, APort: PChar; ADeviceMode: THandle) ;
(public)

procedure
SetPrinterIndex (Value: Integer) ;
(private)

procedure
SetState (Value: TPrinterState) ;
(private)

procedure
SetTitle (const Value: string) ;
(private)

procedure
SetToDefaultPrinter ;
(private)


Methods of TProcParams (PROCDLG)
367 Methods of TProcParams (PROCDLG)
7 superordinates
124 properties

function
AcceptFieldClass (Value: TFieldClass): Boolean ;
(private)

procedure
Activate  (inherited) ;
(protected) dynamic, found in TForm

procedure
ActiveChanged  (inherited) ;
(protected) dynamic, found in TForm

procedure
AddButtonClick (Sender: TObject) ;
(private)

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var ARect: TRect) ;
(protected) override, found in TScrollingWinControl
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(private) override, found in TForm
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrangeIcons  (inherited) ;
(public) , found in TForm

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent


Methods of TProcParams (PROCDLG) (002)
367 Methods of TProcParams (PROCDLG) (002)
7 superordinates
124 properties

procedure
AutoScrollInView  (inherited) (AControl: TControl) ;
(protected) , found in TScrollingWinControl

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMActivate  (inherited) (var Message: TCMActivate); message CM_ACTIVATE ;
(private) , found in TForm

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TForm
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TForm
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDeactivate  (inherited) (var Message: TCMDeactivate); message CM_DEACTIVATE ;
(private) , found in TForm

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl


Methods of TProcParams (PROCDLG) (003)
367 Methods of TProcParams (PROCDLG) (003)
7 superordinates
124 properties

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TForm
procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TForm
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMIconChanged  (inherited) (var Message: TMessage); message CM_ICONCHANGED ;
(private) , found in TForm


Methods of TProcParams (PROCDLG) (004)
367 Methods of TProcParams (PROCDLG) (004)
7 superordinates
124 properties

procedure
CMMenuChanged  (inherited) (var Message: TMessage); message CM_MENUCHANGED ;
(private) , found in TForm

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMRelease  (inherited) (var Message: TMessage); message CM_RELEASE ;
(private) , found in TForm

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TForm
procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of TProcParams (PROCDLG) (005)
367 Methods of TProcParams (PROCDLG) (005)
7 superordinates
124 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TForm

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl


Methods of TProcParams (PROCDLG) (006)
367 Methods of TProcParams (PROCDLG) (006)
7 superordinates
124 properties

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
CalcAutoRange  (inherited) ;
(private) , found in TScrollingWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Cascade  (inherited) ;
(public) , found in TForm

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TForm
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TScrollingWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

procedure
CheckValue ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject


Methods of TProcParams (PROCDLG) (007)
367 Methods of TProcParams (PROCDLG) (007)
7 superordinates
124 properties

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
ClearButtonClick (Sender: TObject) ;
(private)

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ClientWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TForm

procedure
Close  (inherited) ;
(public) , found in TForm

procedure
CloseModal  (inherited) ;
(private) , found in TForm

function
CloseQuery  (inherited) : Boolean ;
(public) , found in TForm

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of TProcParams (PROCDLG) (008)
367 Methods of TProcParams (PROCDLG) (008)
7 superordinates
124 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TForm
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TScrollingWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

constructor
CreateNew  (inherited) (AOwner: TComponent) ;
(public) , found in TForm

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TForm
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) override, found in TForm
procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TForm
procedure
CreateWnd  (inherited) ;
(protected) override, found in TScrollingWinControl
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
Deactivate  (inherited) ;
(protected) dynamic, found in TForm


Methods of TProcParams (PROCDLG) (009)
367 Methods of TProcParams (PROCDLG) (009)
7 superordinates
124 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TForm
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TForm
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DefocusControl  (inherited) (Control: TWinControl; Removing: Boolean) ;
(public) , found in TForm

procedure
DeleteButtonClick (Sender: TObject) ;
(private)

destructor
Destroy  (inherited) ;
(public) override, found in TForm
destructor
Destroy  (inherited) ;
(public) override, found in TScrollingWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) override, found in TForm
procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TProcParams (PROCDLG) (010)
367 Methods of TProcParams (PROCDLG) (010)
7 superordinates
124 properties

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoHide  (inherited) ;
(protected) dynamic, found in TForm

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl


Methods of TProcParams (PROCDLG) (011)
367 Methods of TProcParams (PROCDLG) (011)
7 superordinates
124 properties

procedure
DoShow  (inherited) ;
(protected) dynamic, found in TForm

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
Edit ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl


Methods of TProcParams (PROCDLG) (012)
367 Methods of TProcParams (PROCDLG) (012)
7 superordinates
124 properties

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusControl  (inherited) (Control: TWinControl) ;
(public) , found in TForm

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
FormCreate (Sender: TObject) ;
(private)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActiveMDIChild  (inherited) : TForm ;
(private) , found in TForm

function
GetBorderSize  (inherited) (Height: Boolean): Integer ;
(private) , found in TForm

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TProcParams (PROCDLG) (013)
367 Methods of TProcParams (PROCDLG) (013)
7 superordinates
124 properties

function
GetCanvas  (inherited) : TCanvas ;
(private) , found in TForm

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TForm
function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of TProcParams (PROCDLG) (014)
367 Methods of TProcParams (PROCDLG) (014)
7 superordinates
124 properties

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetFormImage  (inherited) : TBitmap ;
(public) , found in TForm

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetIconHandle  (inherited) : HICON ;
(private) , found in TForm

function
GetMDIChildCount  (inherited) : Integer ;
(private) , found in TForm

function
GetMDIChildren  (inherited) (I: Integer): TForm ;
(private) , found in TForm

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl


Methods of TProcParams (PROCDLG) (015)
367 Methods of TProcParams (PROCDLG) (015)
7 superordinates
124 properties

function
GetPixelsPerInch  (inherited) : Integer ;
(private) , found in TForm

function
GetScaled  (inherited) : Boolean ;
(private) , found in TForm

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextHeight  (inherited) : Integer ;
(private) , found in TForm

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl


Methods of TProcParams (PROCDLG) (016)
367 Methods of TProcParams (PROCDLG) (016)
7 superordinates
124 properties

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TForm
procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
IconChanged  (inherited) (Sender: TObject) ;
(private) , found in TForm

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
InitValues ;
(private)

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TProcParams (PROCDLG) (017)
367 Methods of TProcParams (PROCDLG) (017)
7 superordinates
124 properties

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsAutoScrollStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsClientSizeStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TForm
function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsForm  (inherited) : Boolean ;
(private) , found in TForm


Methods of TProcParams (PROCDLG) (018)
367 Methods of TProcParams (PROCDLG) (018)
7 superordinates
124 properties

function
IsFormSizeStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsIconStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MergeMenu  (inherited) (MergeState: Boolean) ;
(private) , found in TForm


Methods of TProcParams (PROCDLG) (019)
367 Methods of TProcParams (PROCDLG) (019)
7 superordinates
124 properties

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Next  (inherited) ;
(public) , found in TForm

function
NormalColor  (inherited) : TColor ;
(private) , found in TForm

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TForm
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl


Methods of TProcParams (PROCDLG) (020)
367 Methods of TProcParams (PROCDLG) (020)
7 superordinates
124 properties

procedure
NullValueClick (Sender: TObject) ;
(private)

procedure
OkBtnClick (Sender: TObject) ;
(private)

procedure
Paint  (inherited) ;
(protected) dynamic, found in TForm

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TForm
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
ParamListChange (Sender: TObject) ;
(private)

procedure
ParamTypeListChange (Sender: TObject) ;
(private)

procedure
ParamValueExit (Sender: TObject) ;
(private)


Methods of TProcParams (PROCDLG) (021)
367 Methods of TProcParams (PROCDLG) (021)
7 superordinates
124 properties

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
Previous  (inherited) ;
(public) , found in TForm

procedure
Print  (inherited) ;
(public) , found in TForm

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TForm
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTextHeight  (inherited) (Reader: TReader) ;
(private) , found in TForm

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl


Methods of TProcParams (PROCDLG) (022)
367 Methods of TProcParams (PROCDLG) (022)
7 superordinates
124 properties

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
RefreshMDIMenu  (inherited) ;
(private) , found in TForm

procedure
Release  (inherited) ;
(public) , found in TForm

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl


Methods of TProcParams (PROCDLG) (023)
367 Methods of TProcParams (PROCDLG) (023)
7 superordinates
124 properties

procedure
Resize  (inherited) ;
(protected) dynamic, found in TForm

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

procedure
ScaleScrollBars  (inherited) (M, D: Integer) ;
(private) , found in TScrollingWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollInView  (inherited) (AControl: TControl) ;
(public) , found in TScrollingWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(public) , found in TForm
procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl


Methods of TProcParams (PROCDLG) (024)
367 Methods of TProcParams (PROCDLG) (024)
7 superordinates
124 properties

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetActiveControl  (inherited) (Control: TWinControl) ;
(private) , found in TForm

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoScroll  (inherited) (Value: Boolean) ;
(private) , found in TScrollingWinControl

procedure
SetBorderIcons  (inherited) (Value: TBorderIcons) ;
(private) , found in TForm

procedure
SetBorderStyle  (inherited) (Value: TFormBorderStyle) ;
(private) , found in TForm

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TForm
procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl


Methods of TProcParams (PROCDLG) (025)
367 Methods of TProcParams (PROCDLG) (025)
7 superordinates
124 properties

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TForm
procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetControls (Value: Boolean) ;
(private)

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigner  (inherited) (ADesigner: TDesigner) ;
(private) , found in TForm

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) override, found in TForm
procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl


Methods of TProcParams (PROCDLG) (026)
367 Methods of TProcParams (PROCDLG) (026)
7 superordinates
124 properties

function
SetFocusedControl  (inherited) (Control: TWinControl): Boolean ;
(public) , found in TForm

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetFormStyle  (inherited) (Value: TFormStyle) ;
(private) , found in TForm

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetHorzScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetIcon  (inherited) (Value: TIcon) ;
(private) , found in TForm

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMenu  (inherited) (Value: TMainMenu) ;
(private) , found in TForm

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TProcParams (PROCDLG) (027)
367 Methods of TProcParams (PROCDLG) (027)
7 superordinates
124 properties

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TForm
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetObjectMenuItem  (inherited) (Value: TMenuItem) ;
(private) , found in TForm

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPixelsPerInch  (inherited) (Value: Integer) ;
(private) , found in TForm

procedure
SetPosition  (inherited) (Value: TPosition) ;
(private) , found in TForm

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TProcParams (PROCDLG) (028)
367 Methods of TProcParams (PROCDLG) (028)
7 superordinates
124 properties

procedure
SetScaled  (inherited) (Value: Boolean) ;
(private) , found in TForm

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVertScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TForm
procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TProcParams (PROCDLG) (029)
367 Methods of TProcParams (PROCDLG) (029)
7 superordinates
124 properties

procedure
SetWindowFocus  (inherited) ;
(private) , found in TForm

procedure
SetWindowMenu  (inherited) (Value: TMenuItem) ;
(private) , found in TForm

procedure
SetWindowState  (inherited) (Value: TWindowState) ;
(private) , found in TForm

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TForm
procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

function
ShowModal  (inherited) : Integer ;
(public) , found in TForm

procedure
Tile  (inherited) ;
(public) , found in TForm

procedure
TypeListChange (Sender: TObject) ;
(private)

procedure
Unbind ;
(private)


Methods of TProcParams (PROCDLG) (030)
367 Methods of TProcParams (PROCDLG) (030)
7 superordinates
124 properties

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateScrollBars  (inherited) ;
(private) , found in TScrollingWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) override, found in TForm
procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) override, found in TForm
procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMActivate  (inherited) (var Message: TWMActivate); message WM_ACTIVATE ;
(private) , found in TForm


Methods of TProcParams (PROCDLG) (031)
367 Methods of TProcParams (PROCDLG) (031)
7 superordinates
124 properties

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMClose  (inherited) (var Message: TWMClose); message WM_CLOSE ;
(private) , found in TForm

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TForm
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TForm
procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl


Methods of TProcParams (PROCDLG) (032)
367 Methods of TProcParams (PROCDLG) (032)
7 superordinates
124 properties

procedure
WMEnterIdle  (inherited) (var Message: TWMEnterIdle); message WM_ENTERIDLE ;
(private) , found in TForm

procedure
WMEnterMenuLoop  (inherited) (var Message: TMessage); message WM_ENTERMENULOOP ;
(private) , found in TForm

procedure
WMEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TForm
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMIconEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ICONERASEBKGND ;
(private) , found in TForm

procedure
WMInitMenuPopup  (inherited) (var Message: TWMInitMenuPopup); message WM_INITMENUPOPUP ;
(private) , found in TForm

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Message: TWMSetFocus); message WM_KILLFOCUS ;
(private) , found in TForm


Methods of TProcParams (PROCDLG) (033)
367 Methods of TProcParams (PROCDLG) (033)
7 superordinates
124 properties

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMDIAtivate  (inherited) (var Message: TWMMDIActivate); message WM_MDIACTIVATE ;
(private) , found in TForm

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMenuSelect  (inherited) (var Message: TWMMenuSelect); message WM_MENUSELECT ;
(private) , found in TForm

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl


Methods of TProcParams (PROCDLG) (034)
367 Methods of TProcParams (PROCDLG) (034)
7 superordinates
124 properties

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCCreate  (inherited) (var Message: TWMNCCreate); message WM_NCCREATE ;
(private) , found in TForm

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMNextDlgCtl  (inherited) (var Message: TWMNextDlgCtl); message WM_NEXTDLGCTL ;
(private) , found in TForm

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TForm
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TForm
procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl


Methods of TProcParams (PROCDLG) (035)
367 Methods of TProcParams (PROCDLG) (035)
7 superordinates
124 properties

procedure
WMQueryDragIcon  (inherited) (var Message: TWMQueryDragIcon); message WM_QUERYDRAGICON ;
(private) , found in TForm

procedure
WMQueryEndSession  (inherited) (var Message: TWMQueryEndSession); message WM_QUERYENDSESSION ;
(private) , found in TForm

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus  (inherited) (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TForm

procedure
WMShowWindow  (inherited) (var Message: TWMShowWindow); message WM_SHOWWINDOW ;
(private) , found in TForm

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TForm
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TScrollingWinControl
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl


Methods of TProcParams (PROCDLG) (036)
367 Methods of TProcParams (PROCDLG) (036)
7 superordinates
124 properties

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TForm
procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl


Methods of TProcParams (PROCDLG) (037)
367 Methods of TProcParams (PROCDLG) (037)
7 superordinates
124 properties

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TForm
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTextHeight  (inherited) (Writer: TWriter) ;
(private) , found in TForm

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TQueryParams (QBINDDLG)
361 Methods of TQueryParams (QBINDDLG)
7 superordinates
124 properties

function
AcceptFieldClass (Value: TFieldClass): Boolean ;
(private)

procedure
Activate  (inherited) ;
(protected) dynamic, found in TForm

procedure
ActiveChanged  (inherited) ;
(protected) dynamic, found in TForm

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var ARect: TRect) ;
(protected) override, found in TScrollingWinControl
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(private) override, found in TForm
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
ArrangeIcons  (inherited) ;
(public) , found in TForm

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
AutoScrollInView  (inherited) (AControl: TControl) ;
(protected) , found in TScrollingWinControl


Methods of TQueryParams (QBINDDLG) (002)
361 Methods of TQueryParams (QBINDDLG) (002)
7 superordinates
124 properties

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMActivate  (inherited) (var Message: TCMActivate); message CM_ACTIVATE ;
(private) , found in TForm

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TForm
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TForm
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDeactivate  (inherited) (var Message: TCMDeactivate); message CM_DEACTIVATE ;
(private) , found in TForm

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (003)
361 Methods of TQueryParams (QBINDDLG) (003)
7 superordinates
124 properties

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TForm
procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TForm
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMIconChanged  (inherited) (var Message: TMessage); message CM_ICONCHANGED ;
(private) , found in TForm

procedure
CMMenuChanged  (inherited) (var Message: TMessage); message CM_MENUCHANGED ;
(private) , found in TForm


Methods of TQueryParams (QBINDDLG) (004)
361 Methods of TQueryParams (QBINDDLG) (004)
7 superordinates
124 properties

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMRelease  (inherited) (var Message: TMessage); message CM_RELEASE ;
(private) , found in TForm

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TForm
procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (005)
361 Methods of TQueryParams (QBINDDLG) (005)
7 superordinates
124 properties

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TForm

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (006)
361 Methods of TQueryParams (QBINDDLG) (006)
7 superordinates
124 properties

procedure
CalcAutoRange  (inherited) ;
(private) , found in TScrollingWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Cascade  (inherited) ;
(public) , found in TForm

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TForm
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TScrollingWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

procedure
CheckValue ;
(private)

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TQueryParams (QBINDDLG) (007)
361 Methods of TQueryParams (QBINDDLG) (007)
7 superordinates
124 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ClientWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TForm

procedure
Close  (inherited) ;
(public) , found in TForm

procedure
CloseModal  (inherited) ;
(private) , found in TForm

function
CloseQuery  (inherited) : Boolean ;
(public) , found in TForm

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TForm
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TScrollingWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TQueryParams (QBINDDLG) (008)
361 Methods of TQueryParams (QBINDDLG) (008)
7 superordinates
124 properties

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

constructor
CreateNew  (inherited) (AOwner: TComponent) ;
(public) , found in TForm

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TForm
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) override, found in TForm
procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TForm
procedure
CreateWnd  (inherited) ;
(protected) override, found in TScrollingWinControl
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
Deactivate  (inherited) ;
(protected) dynamic, found in TForm

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TForm
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TForm
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent


Methods of TQueryParams (QBINDDLG) (009)
361 Methods of TQueryParams (QBINDDLG) (009)
7 superordinates
124 properties

procedure
DefocusControl  (inherited) (Control: TWinControl; Removing: Boolean) ;
(public) , found in TForm

destructor
Destroy  (inherited) ;
(public) override, found in TForm
destructor
Destroy  (inherited) ;
(public) override, found in TScrollingWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) override, found in TForm
procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TQueryParams (QBINDDLG) (010)
361 Methods of TQueryParams (QBINDDLG) (010)
7 superordinates
124 properties

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoHide  (inherited) ;
(protected) dynamic, found in TForm

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DoShow  (inherited) ;
(protected) dynamic, found in TForm

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl


Methods of TQueryParams (QBINDDLG) (011)
361 Methods of TQueryParams (QBINDDLG) (011)
7 superordinates
124 properties

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
Edit ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

procedure
FocusControl  (inherited) (Control: TWinControl) ;
(public) , found in TForm

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (012)
361 Methods of TQueryParams (QBINDDLG) (012)
7 superordinates
124 properties

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
FormCreate (Sender: TObject) ;
(private)

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetActiveMDIChild  (inherited) : TForm ;
(private) , found in TForm

function
GetBorderSize  (inherited) (Height: Boolean): Integer ;
(private) , found in TForm

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetCanvas  (inherited) : TCanvas ;
(private) , found in TForm

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl


Methods of TQueryParams (QBINDDLG) (013)
361 Methods of TQueryParams (QBINDDLG) (013)
7 superordinates
124 properties

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TForm
function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetFormImage  (inherited) : TBitmap ;
(public) , found in TForm

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (014)
361 Methods of TQueryParams (QBINDDLG) (014)
7 superordinates
124 properties

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetIconHandle  (inherited) : HICON ;
(private) , found in TForm

function
GetMDIChildCount  (inherited) : Integer ;
(private) , found in TForm

function
GetMDIChildren  (inherited) (I: Integer): TForm ;
(private) , found in TForm

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPixelsPerInch  (inherited) : Integer ;
(private) , found in TForm

function
GetScaled  (inherited) : Boolean ;
(private) , found in TForm

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (015)
361 Methods of TQueryParams (QBINDDLG) (015)
7 superordinates
124 properties

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextHeight  (inherited) : Integer ;
(private) , found in TForm

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TForm
procedure
Hide  (inherited) ;
(public) , found in TControl

procedure
IconChanged  (inherited) (Sender: TObject) ;
(private) , found in TForm


Methods of TQueryParams (QBINDDLG) (016)
361 Methods of TQueryParams (QBINDDLG) (016)
7 superordinates
124 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsAutoScrollStored  (inherited) : Boolean ;
(private) , found in TForm


Methods of TQueryParams (QBINDDLG) (017)
361 Methods of TQueryParams (QBINDDLG) (017)
7 superordinates
124 properties

function
IsClientSizeStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TForm
function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsForm  (inherited) : Boolean ;
(private) , found in TForm

function
IsFormSizeStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsIconStored  (inherited) : Boolean ;
(private) , found in TForm

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TQueryParams (QBINDDLG) (018)
361 Methods of TQueryParams (QBINDDLG) (018)
7 superordinates
124 properties

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MergeMenu  (inherited) (MergeState: Boolean) ;
(private) , found in TForm

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TQueryParams (QBINDDLG) (019)
361 Methods of TQueryParams (QBINDDLG) (019)
7 superordinates
124 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Next  (inherited) ;
(public) , found in TForm

function
NormalColor  (inherited) : TColor ;
(private) , found in TForm

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TForm
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
NullValueClick (Sender: TObject) ;
(private)

procedure
OkBtnClick (Sender: TObject) ;
(private)

procedure
Paint  (inherited) ;
(protected) dynamic, found in TForm

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (020)
361 Methods of TQueryParams (QBINDDLG) (020)
7 superordinates
124 properties

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TForm
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
ParamListChange (Sender: TObject) ;
(private)

procedure
ParamValueExit (Sender: TObject) ;
(private)

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
Previous  (inherited) ;
(public) , found in TForm

procedure
Print  (inherited) ;
(public) , found in TForm

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TQueryParams (QBINDDLG) (021)
361 Methods of TQueryParams (QBINDDLG) (021)
7 superordinates
124 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TForm
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTextHeight  (inherited) (Reader: TReader) ;
(private) , found in TForm

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
RefreshMDIMenu  (inherited) ;
(private) , found in TForm

procedure
Release  (inherited) ;
(public) , found in TForm

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (022)
361 Methods of TQueryParams (QBINDDLG) (022)
7 superordinates
124 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
Resize  (inherited) ;
(protected) dynamic, found in TForm

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

procedure
ScaleScrollBars  (inherited) (M, D: Integer) ;
(private) , found in TScrollingWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TQueryParams (QBINDDLG) (023)
361 Methods of TQueryParams (QBINDDLG) (023)
7 superordinates
124 properties

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
ScrollInView  (inherited) (AControl: TControl) ;
(public) , found in TScrollingWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(public) , found in TForm
procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetActiveControl  (inherited) (Control: TWinControl) ;
(private) , found in TForm

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoScroll  (inherited) (Value: Boolean) ;
(private) , found in TScrollingWinControl

procedure
SetBorderIcons  (inherited) (Value: TBorderIcons) ;
(private) , found in TForm


Methods of TQueryParams (QBINDDLG) (024)
361 Methods of TQueryParams (QBINDDLG) (024)
7 superordinates
124 properties

procedure
SetBorderStyle  (inherited) (Value: TFormBorderStyle) ;
(private) , found in TForm

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TForm
procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TForm
procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl


Methods of TQueryParams (QBINDDLG) (025)
361 Methods of TQueryParams (QBINDDLG) (025)
7 superordinates
124 properties

procedure
SetDesigner  (inherited) (ADesigner: TDesigner) ;
(private) , found in TForm

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) override, found in TForm
procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

function
SetFocusedControl  (inherited) (Control: TWinControl): Boolean ;
(public) , found in TForm

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetFormStyle  (inherited) (Value: TFormStyle) ;
(private) , found in TForm

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetHorzScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl


Methods of TQueryParams (QBINDDLG) (026)
361 Methods of TQueryParams (QBINDDLG) (026)
7 superordinates
124 properties

procedure
SetIcon  (inherited) (Value: TIcon) ;
(private) , found in TForm

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMenu  (inherited) (Value: TMainMenu) ;
(private) , found in TForm

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TForm
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetObjectMenuItem  (inherited) (Value: TMenuItem) ;
(private) , found in TForm

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TQueryParams (QBINDDLG) (027)
361 Methods of TQueryParams (QBINDDLG) (027)
7 superordinates
124 properties

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPixelsPerInch  (inherited) (Value: Integer) ;
(private) , found in TForm

procedure
SetPosition  (inherited) (Value: TPosition) ;
(private) , found in TForm

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetScaled  (inherited) (Value: Boolean) ;
(private) , found in TForm

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl


Methods of TQueryParams (QBINDDLG) (028)
361 Methods of TQueryParams (QBINDDLG) (028)
7 superordinates
124 properties

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVertScrollBar  (inherited) (Value: TControlScrollBar) ;
(private) , found in TScrollingWinControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TForm
procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWindowFocus  (inherited) ;
(private) , found in TForm

procedure
SetWindowMenu  (inherited) (Value: TMenuItem) ;
(private) , found in TForm

procedure
SetWindowState  (inherited) (Value: TWindowState) ;
(private) , found in TForm

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TForm
procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl


Methods of TQueryParams (QBINDDLG) (029)
361 Methods of TQueryParams (QBINDDLG) (029)
7 superordinates
124 properties

function
ShowModal  (inherited) : Integer ;
(public) , found in TForm

procedure
Tile  (inherited) ;
(public) , found in TForm

procedure
TypeListChange (Sender: TObject) ;
(private)

procedure
Unbind ;
(private)

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateScrollBars  (inherited) ;
(private) , found in TScrollingWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (030)
361 Methods of TQueryParams (QBINDDLG) (030)
7 superordinates
124 properties

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) override, found in TForm
procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) override, found in TForm
procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMActivate  (inherited) (var Message: TWMActivate); message WM_ACTIVATE ;
(private) , found in TForm

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMClose  (inherited) (var Message: TWMClose); message WM_CLOSE ;
(private) , found in TForm

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TForm
procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (031)
361 Methods of TQueryParams (QBINDDLG) (031)
7 superordinates
124 properties

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TForm
procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEnterIdle  (inherited) (var Message: TWMEnterIdle); message WM_ENTERIDLE ;
(private) , found in TForm

procedure
WMEnterMenuLoop  (inherited) (var Message: TMessage); message WM_ENTERMENULOOP ;
(private) , found in TForm

procedure
WMEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TForm
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMIconEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ICONERASEBKGND ;
(private) , found in TForm


Methods of TQueryParams (QBINDDLG) (032)
361 Methods of TQueryParams (QBINDDLG) (032)
7 superordinates
124 properties

procedure
WMInitMenuPopup  (inherited) (var Message: TWMInitMenuPopup); message WM_INITMENUPOPUP ;
(private) , found in TForm

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus  (inherited) (var Message: TWMSetFocus); message WM_KILLFOCUS ;
(private) , found in TForm

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl


Methods of TQueryParams (QBINDDLG) (033)
361 Methods of TQueryParams (QBINDDLG) (033)
7 superordinates
124 properties

procedure
WMMDIAtivate  (inherited) (var Message: TWMMDIActivate); message WM_MDIACTIVATE ;
(private) , found in TForm

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMenuSelect  (inherited) (var Message: TWMMenuSelect); message WM_MENUSELECT ;
(private) , found in TForm

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCCreate  (inherited) (var Message: TWMNCCreate); message WM_NCCREATE ;
(private) , found in TForm

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl


Methods of TQueryParams (QBINDDLG) (034)
361 Methods of TQueryParams (QBINDDLG) (034)
7 superordinates
124 properties

procedure
WMNextDlgCtl  (inherited) (var Message: TWMNextDlgCtl); message WM_NEXTDLGCTL ;
(private) , found in TForm

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TForm
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TForm
procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryDragIcon  (inherited) (var Message: TWMQueryDragIcon); message WM_QUERYDRAGICON ;
(private) , found in TForm

procedure
WMQueryEndSession  (inherited) (var Message: TWMQueryEndSession); message WM_QUERYENDSESSION ;
(private) , found in TForm

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl


Methods of TQueryParams (QBINDDLG) (035)
361 Methods of TQueryParams (QBINDDLG) (035)
7 superordinates
124 properties

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus  (inherited) (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TForm

procedure
WMShowWindow  (inherited) (var Message: TWMShowWindow); message WM_SHOWWINDOW ;
(private) , found in TForm

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TForm
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TScrollingWinControl
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TForm
procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl


Methods of TQueryParams (QBINDDLG) (036)
361 Methods of TQueryParams (QBINDDLG) (036)
7 superordinates
124 properties

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TScrollingWinControl
procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TForm
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTextHeight  (inherited) (Writer: TWriter) ;
(private) , found in TForm


Methods of TQueryParams (QBINDDLG) (037)
361 Methods of TQueryParams (QBINDDLG) (037)
7 superordinates
124 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of EReportError (REPORT)
26 Methods of EReportError (REPORT)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EReportError (REPORT) (002)
26 Methods of EReportError (REPORT) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EReportError (REPORT) (003)
26 Methods of EReportError (REPORT) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TReport (REPORT)
70 Methods of TReport (REPORT)
3 superordinates
21 properties

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

function
CloseApplication (ShowDialogs: Boolean): Boolean ;
(public)

function
CloseReport (ShowDialogs: Boolean): Boolean ;
(public)


Methods of TReport (REPORT) (002)
70 Methods of TReport (REPORT) (002)
3 superordinates
21 properties

function
Connect (ServerType: Word; const ServerName, UserName, Password, DatabaseName:string): Boolean ;
(public)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TReport (REPORT) (003)
70 Methods of TReport (REPORT) (003)
3 superordinates
21 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetInitialValues : TStrings ;
(private)

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetReportDir : string ;
(private)

function
GetReportHandle : HWND ;
(private)

function
GetReportName : string ;
(private)


Methods of TReport (REPORT) (004)
70 Methods of TReport (REPORT) (004)
3 superordinates
21 properties

function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TReport (REPORT) (005)
70 Methods of TReport (REPORT) (005)
3 superordinates
21 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

function
Print : Boolean ;
(public)

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

function
RecalcReport : Boolean ;
(public)

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

function
ReportActive : Boolean ;
(private)

procedure
Run ;
(public)


Methods of TReport (REPORT) (006)
70 Methods of TReport (REPORT) (006)
3 superordinates
21 properties

procedure
RunApp ;
(private)

function
RunMacro (Macro: PChar): Boolean ;
(public)

procedure
RunReport ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetInitialValues (Value: TStrings) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetReportDir (Value: string) ;
(private)

procedure
SetReportName (Value: string) ;
(private)


Methods of TReport (REPORT) (007)
70 Methods of TReport (REPORT) (007)
3 superordinates
21 properties

function
SetVariable (const Name, Value: string): Boolean ;
(public)

function
SetVariableLines (const Name: string; Value: TStrings): Boolean ;
(public)

function
StartApplication : Boolean ;
(private)

function
UseRunTime : Boolean ;
(private)

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

function
Wait : Boolean ;
(private)

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TReportEditor (REPORT)
22 Methods of TReportEditor (REPORT)
2 superordinates
2 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Copy  (inherited) ;
(public) virtual, found in TComponentEditor

constructor
Create  (inherited) (AComponent: TComponent; ADesigner: TFormDesigner) ;
(public) virtual, found in TComponentEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
Edit ;
(private) override
procedure
Edit  (inherited) ;
(public) virtual, found in TComponentEditor


Methods of TReportEditor (REPORT) (002)
22 Methods of TReportEditor (REPORT) (002)
2 superordinates
2 properties

procedure
ExecuteVerb (Index: Integer) ;
(private) override
procedure
ExecuteVerb  (inherited) (Index: Integer) ;
(public) virtual, found in TComponentEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetVerb (Index: Integer): string ;
(private) override
function
GetVerb  (inherited) (Index: Integer): string ;
(public) virtual, found in TComponentEditor

function
GetVerbCount : Integer ;
(private) override
function
GetVerbCount  (inherited) : Integer ;
(public) virtual, found in TComponentEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject


Methods of TReportEditor (REPORT) (003)
22 Methods of TReportEditor (REPORT) (003)
2 superordinates
2 properties

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TReportDirProperty (REPORT)
46 Methods of TReportDirProperty (REPORT)
2 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TReportDirProperty (REPORT) (002)
46 Methods of TReportDirProperty (REPORT) (002)
2 superordinates
4 properties

procedure
Edit ;
(public) override
procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TReportDirProperty (REPORT) (003)
46 Methods of TReportDirProperty (REPORT) (003)
2 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TReportDirProperty (REPORT) (004)
46 Methods of TReportDirProperty (REPORT) (004)
2 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TReportDirProperty (REPORT) (005)
46 Methods of TReportDirProperty (REPORT) (005)
2 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TReportNameProperty (REPORT)
46 Methods of TReportNameProperty (REPORT)
2 superordinates
4 properties

procedure
Activate  (inherited) ;
(public) virtual, found in TPropertyEditor

function
AllEqual  (inherited) : Boolean ;
(public) virtual, found in TPropertyEditor

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (ADesigner: TFormDesigner; APropCount: Integer) ;
(private) , found in TPropertyEditor
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in TPropertyEditor
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject


Methods of TReportNameProperty (REPORT) (002)
46 Methods of TReportNameProperty (REPORT) (002)
2 superordinates
4 properties

procedure
Edit ;
(public) override
procedure
Edit  (inherited) ;
(public) virtual, found in TPropertyEditor

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetAttributes : TPropertyAttributes ;
(public) override
function
GetAttributes  (inherited) : TPropertyAttributes ;
(public) virtual, found in TPropertyEditor

function
GetComponent  (inherited) (Index: Integer): TComponent ;
(public) , found in TPropertyEditor

function
GetEditLimit  (inherited) : Integer ;
(public) virtual, found in TPropertyEditor

function
GetFloatValue  (inherited) : Extended ;
(protected) , found in TPropertyEditor

function
GetFloatValueAt  (inherited) (Index: Integer): Extended ;
(protected) , found in TPropertyEditor

function
GetMethodValue  (inherited) : TMethod ;
(protected) , found in TPropertyEditor


Methods of TReportNameProperty (REPORT) (003)
46 Methods of TReportNameProperty (REPORT) (003)
2 superordinates
4 properties

function
GetMethodValueAt  (inherited) (Index: Integer): TMethod ;
(protected) , found in TPropertyEditor

function
GetName  (inherited) : string ;
(public) virtual, found in TPropertyEditor

function
GetOrdValue  (inherited) : Longint ;
(protected) , found in TPropertyEditor

function
GetOrdValueAt  (inherited) (Index: Integer): Longint ;
(protected) , found in TPropertyEditor

function
GetPrivateDirectory  (inherited) : string ;
(private) , found in TPropertyEditor

function
GetPropInfo  (inherited) : PPropInfo ;
(protected) , found in TPropertyEditor

function
GetPropType  (inherited) : PTypeInfo ;
(public) , found in TPropertyEditor

procedure
GetProperties  (inherited) (Proc: TGetPropEditProc) ;
(public) virtual, found in TPropertyEditor

function
GetStrValue  (inherited) : string ;
(protected) , found in TPropertyEditor

function
GetStrValueAt  (inherited) (Index: Integer): string ;
(protected) , found in TPropertyEditor


Methods of TReportNameProperty (REPORT) (004)
46 Methods of TReportNameProperty (REPORT) (004)
2 superordinates
4 properties

function
GetValue : string ;
(public) override
function
GetValue  (inherited) : string ;
(public) virtual, found in TPropertyEditor

procedure
GetValues  (inherited) (Proc: TGetStrProc) ;
(public) virtual, found in TPropertyEditor

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Initialize  (inherited) ;
(public) virtual, found in TPropertyEditor

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
Modified  (inherited) ;
(protected) , found in TPropertyEditor

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TReportNameProperty (REPORT) (005)
46 Methods of TReportNameProperty (REPORT) (005)
2 superordinates
4 properties

procedure
SetFloatValue  (inherited) (Value: Extended) ;
(protected) , found in TPropertyEditor

procedure
SetMethodValue  (inherited) (const Value: TMethod) ;
(protected) , found in TPropertyEditor

procedure
SetOrdValue  (inherited) (Value: Longint) ;
(protected) , found in TPropertyEditor

procedure
SetPropEntry  (inherited) (Index: Integer; AInstance: TComponent; APropInfo: PPropInfo) ;
(private) , found in TPropertyEditor

procedure
SetStrValue  (inherited) (const Value: string) ;
(protected) , found in TPropertyEditor

procedure
SetValue (const Value: string) ;
(public) override
procedure
SetValue  (inherited) (const Value: string) ;
(public) virtual, found in TPropertyEditor


Methods of TCustomGroupBox (STDCTRLS)
266 Methods of TCustomGroupBox (STDCTRLS)
6 superordinates
65 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls (AControl: TControl; var Rect: TRect) ;
(protected) override
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged (var Message: TMessage); message CM_CTL3DCHANGED ;
(private)
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (002)
266 Methods of TCustomGroupBox (STDCTRLS) (002)
6 superordinates
65 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private)
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TCustomGroupBox (STDCTRLS) (003)
266 Methods of TCustomGroupBox (STDCTRLS) (003)
6 superordinates
65 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (004)
266 Methods of TCustomGroupBox (STDCTRLS) (004)
6 superordinates
65 properties

procedure
CMTextChanged (var Message: TMessage); message CM_TEXTCHANGED ;
(private)

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (005)
266 Methods of TCustomGroupBox (STDCTRLS) (005)
6 superordinates
65 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TCustomGroupBox (STDCTRLS) (006)
266 Methods of TCustomGroupBox (STDCTRLS) (006)
6 superordinates
65 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TCustomGroupBox (STDCTRLS) (007)
266 Methods of TCustomGroupBox (STDCTRLS) (007)
6 superordinates
65 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (008)
266 Methods of TCustomGroupBox (STDCTRLS) (008)
6 superordinates
65 properties

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (009)
266 Methods of TCustomGroupBox (STDCTRLS) (009)
6 superordinates
65 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TCustomGroupBox (STDCTRLS) (010)
266 Methods of TCustomGroupBox (STDCTRLS) (010)
6 superordinates
65 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TCustomGroupBox (STDCTRLS) (011)
266 Methods of TCustomGroupBox (STDCTRLS) (011)
6 superordinates
65 properties

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TCustomGroupBox (STDCTRLS) (012)
266 Methods of TCustomGroupBox (STDCTRLS) (012)
6 superordinates
65 properties

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TCustomGroupBox (STDCTRLS) (013)
266 Methods of TCustomGroupBox (STDCTRLS) (013)
6 superordinates
65 properties

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (014)
266 Methods of TCustomGroupBox (STDCTRLS) (014)
6 superordinates
65 properties

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TCustomGroupBox (STDCTRLS) (015)
266 Methods of TCustomGroupBox (STDCTRLS) (015)
6 superordinates
65 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TCustomGroupBox (STDCTRLS) (016)
266 Methods of TCustomGroupBox (STDCTRLS) (016)
6 superordinates
65 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (017)
266 Methods of TCustomGroupBox (STDCTRLS) (017)
6 superordinates
65 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TCustomGroupBox (STDCTRLS) (018)
266 Methods of TCustomGroupBox (STDCTRLS) (018)
6 superordinates
65 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl


Methods of TCustomGroupBox (STDCTRLS) (019)
266 Methods of TCustomGroupBox (STDCTRLS) (019)
6 superordinates
65 properties

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl


Methods of TCustomGroupBox (STDCTRLS) (020)
266 Methods of TCustomGroupBox (STDCTRLS) (020)
6 superordinates
65 properties

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl


Methods of TCustomGroupBox (STDCTRLS) (021)
266 Methods of TCustomGroupBox (STDCTRLS) (021)
6 superordinates
65 properties

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (022)
266 Methods of TCustomGroupBox (STDCTRLS) (022)
6 superordinates
65 properties

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (023)
266 Methods of TCustomGroupBox (STDCTRLS) (023)
6 superordinates
65 properties

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl


Methods of TCustomGroupBox (STDCTRLS) (024)
266 Methods of TCustomGroupBox (STDCTRLS) (024)
6 superordinates
65 properties

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl


Methods of TCustomGroupBox (STDCTRLS) (025)
266 Methods of TCustomGroupBox (STDCTRLS) (025)
6 superordinates
65 properties

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (026)
266 Methods of TCustomGroupBox (STDCTRLS) (026)
6 superordinates
65 properties

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl


Methods of TCustomGroupBox (STDCTRLS) (027)
266 Methods of TCustomGroupBox (STDCTRLS) (027)
6 superordinates
65 properties

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TGroupBox (STDCTRLS)
266 Methods of TGroupBox (STDCTRLS)
7 superordinates
65 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) override, found in TCustomGroupBox
procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomGroupBox
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TGroupBox (STDCTRLS) (002)
266 Methods of TGroupBox (STDCTRLS) (002)
7 superordinates
65 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TCustomGroupBox
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TGroupBox (STDCTRLS) (003)
266 Methods of TGroupBox (STDCTRLS) (003)
7 superordinates
65 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TGroupBox (STDCTRLS) (004)
266 Methods of TGroupBox (STDCTRLS) (004)
7 superordinates
65 properties

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomGroupBox

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TGroupBox (STDCTRLS) (005)
266 Methods of TGroupBox (STDCTRLS) (005)
7 superordinates
65 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TGroupBox (STDCTRLS) (006)
266 Methods of TGroupBox (STDCTRLS) (006)
7 superordinates
65 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomGroupBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TGroupBox (STDCTRLS) (007)
266 Methods of TGroupBox (STDCTRLS) (007)
7 superordinates
65 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TGroupBox (STDCTRLS) (008)
266 Methods of TGroupBox (STDCTRLS) (008)
7 superordinates
65 properties

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TGroupBox (STDCTRLS) (009)
266 Methods of TGroupBox (STDCTRLS) (009)
7 superordinates
65 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TGroupBox (STDCTRLS) (010)
266 Methods of TGroupBox (STDCTRLS) (010)
7 superordinates
65 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TGroupBox (STDCTRLS) (011)
266 Methods of TGroupBox (STDCTRLS) (011)
7 superordinates
65 properties

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TGroupBox (STDCTRLS) (012)
266 Methods of TGroupBox (STDCTRLS) (012)
7 superordinates
65 properties

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TGroupBox (STDCTRLS) (013)
266 Methods of TGroupBox (STDCTRLS) (013)
7 superordinates
65 properties

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TGroupBox (STDCTRLS) (014)
266 Methods of TGroupBox (STDCTRLS) (014)
7 superordinates
65 properties

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TGroupBox (STDCTRLS) (015)
266 Methods of TGroupBox (STDCTRLS) (015)
7 superordinates
65 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint  (inherited) ;
(protected) override, found in TCustomGroupBox
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TGroupBox (STDCTRLS) (016)
266 Methods of TGroupBox (STDCTRLS) (016)
7 superordinates
65 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TGroupBox (STDCTRLS) (017)
266 Methods of TGroupBox (STDCTRLS) (017)
7 superordinates
65 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TGroupBox (STDCTRLS) (018)
266 Methods of TGroupBox (STDCTRLS) (018)
7 superordinates
65 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl


Methods of TGroupBox (STDCTRLS) (019)
266 Methods of TGroupBox (STDCTRLS) (019)
7 superordinates
65 properties

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl


Methods of TGroupBox (STDCTRLS) (020)
266 Methods of TGroupBox (STDCTRLS) (020)
7 superordinates
65 properties

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl


Methods of TGroupBox (STDCTRLS) (021)
266 Methods of TGroupBox (STDCTRLS) (021)
7 superordinates
65 properties

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl


Methods of TGroupBox (STDCTRLS) (022)
266 Methods of TGroupBox (STDCTRLS) (022)
7 superordinates
65 properties

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl


Methods of TGroupBox (STDCTRLS) (023)
266 Methods of TGroupBox (STDCTRLS) (023)
7 superordinates
65 properties

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl


Methods of TGroupBox (STDCTRLS) (024)
266 Methods of TGroupBox (STDCTRLS) (024)
7 superordinates
65 properties

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl


Methods of TGroupBox (STDCTRLS) (025)
266 Methods of TGroupBox (STDCTRLS) (025)
7 superordinates
65 properties

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl


Methods of TGroupBox (STDCTRLS) (026)
266 Methods of TGroupBox (STDCTRLS) (026)
7 superordinates
65 properties

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl


Methods of TGroupBox (STDCTRLS) (027)
266 Methods of TGroupBox (STDCTRLS) (027)
7 superordinates
65 properties

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomLabel (STDCTRLS)
159 Methods of TCustomLabel (STDCTRLS)
5 superordinates
54 properties

procedure
AdjustBounds ;
(private)

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private)

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl


Methods of TCustomLabel (STDCTRLS) (002)
159 Methods of TCustomLabel (STDCTRLS) (002)
5 superordinates
54 properties

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMTextChanged (var Message: TMessage); message CM_TEXTCHANGED ;
(private)

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent


Methods of TCustomLabel (STDCTRLS) (003)
159 Methods of TCustomLabel (STDCTRLS) (003)
5 superordinates
54 properties

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TGraphicControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl


Methods of TCustomLabel (STDCTRLS) (004)
159 Methods of TCustomLabel (STDCTRLS) (004)
5 superordinates
54 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TGraphicControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoDrawText (var Rect: TRect; Flags: Word) ;
(private)

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TCustomLabel (STDCTRLS) (005)
159 Methods of TCustomLabel (STDCTRLS) (005)
5 superordinates
54 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TCustomLabel (STDCTRLS) (006)
159 Methods of TCustomLabel (STDCTRLS) (006)
5 superordinates
54 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TCustomLabel (STDCTRLS) (007)
159 Methods of TCustomLabel (STDCTRLS) (007)
5 superordinates
54 properties

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetTransparent : Boolean ;
(private)

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TCustomLabel (STDCTRLS) (008)
159 Methods of TCustomLabel (STDCTRLS) (008)
5 superordinates
54 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TCustomLabel (STDCTRLS) (009)
159 Methods of TCustomLabel (STDCTRLS) (009)
5 superordinates
54 properties

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification (AComponent: TComponent; Operation: TOperation) ;
(protected) override
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TGraphicControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TCustomLabel (STDCTRLS) (010)
159 Methods of TCustomLabel (STDCTRLS) (010)
5 superordinates
54 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TCustomLabel (STDCTRLS) (011)
159 Methods of TCustomLabel (STDCTRLS) (011)
5 superordinates
54 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment (Value: TAlignment) ;
(private)

procedure
SetAutoSize (Value: Boolean) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TCustomLabel (STDCTRLS) (012)
159 Methods of TCustomLabel (STDCTRLS) (012)
5 superordinates
54 properties

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl


Methods of TCustomLabel (STDCTRLS) (013)
159 Methods of TCustomLabel (STDCTRLS) (013)
5 superordinates
54 properties

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowAccelChar (Value: Boolean) ;
(private)

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTransparent (Value: Boolean) ;
(private)


Methods of TCustomLabel (STDCTRLS) (014)
159 Methods of TCustomLabel (STDCTRLS) (014)
5 superordinates
54 properties

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWordWrap (Value: Boolean) ;
(private)

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl


Methods of TCustomLabel (STDCTRLS) (015)
159 Methods of TCustomLabel (STDCTRLS) (015)
5 superordinates
54 properties

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TGraphicControl


Methods of TCustomLabel (STDCTRLS) (016)
159 Methods of TCustomLabel (STDCTRLS) (016)
5 superordinates
54 properties

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TLabel (STDCTRLS)
159 Methods of TLabel (STDCTRLS)
6 superordinates
54 properties

procedure
AdjustBounds  (inherited) ;
(private) , found in TCustomLabel

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TCustomLabel

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl


Methods of TLabel (STDCTRLS) (002)
159 Methods of TLabel (STDCTRLS) (002)
6 superordinates
54 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomLabel
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomLabel

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent


Methods of TLabel (STDCTRLS) (003)
159 Methods of TLabel (STDCTRLS) (003)
6 superordinates
54 properties

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomLabel
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TGraphicControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl


Methods of TLabel (STDCTRLS) (004)
159 Methods of TLabel (STDCTRLS) (004)
6 superordinates
54 properties

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TGraphicControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoDrawText  (inherited) (var Rect: TRect; Flags: Word) ;
(private) , found in TCustomLabel

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TLabel (STDCTRLS) (005)
159 Methods of TLabel (STDCTRLS) (005)
6 superordinates
54 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TLabel (STDCTRLS) (006)
159 Methods of TLabel (STDCTRLS) (006)
6 superordinates
54 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TLabel (STDCTRLS) (007)
159 Methods of TLabel (STDCTRLS) (007)
6 superordinates
54 properties

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetTransparent  (inherited) : Boolean ;
(private) , found in TCustomLabel

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent


Methods of TLabel (STDCTRLS) (008)
159 Methods of TLabel (STDCTRLS) (008)
6 superordinates
54 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TLabel (STDCTRLS) (009)
159 Methods of TLabel (STDCTRLS) (009)
6 superordinates
54 properties

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TCustomLabel
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
Paint  (inherited) ;
(protected) override, found in TCustomLabel
procedure
Paint  (inherited) ;
(protected) virtual, found in TGraphicControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TLabel (STDCTRLS) (010)
159 Methods of TLabel (STDCTRLS) (010)
6 superordinates
54 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TLabel (STDCTRLS) (011)
159 Methods of TLabel (STDCTRLS) (011)
6 superordinates
54 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(private) , found in TCustomLabel

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomLabel

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TLabel (STDCTRLS) (012)
159 Methods of TLabel (STDCTRLS) (012)
6 superordinates
54 properties

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl


Methods of TLabel (STDCTRLS) (013)
159 Methods of TLabel (STDCTRLS) (013)
6 superordinates
54 properties

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowAccelChar  (inherited) (Value: Boolean) ;
(private) , found in TCustomLabel

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTransparent  (inherited) (Value: Boolean) ;
(private) , found in TCustomLabel


Methods of TLabel (STDCTRLS) (014)
159 Methods of TLabel (STDCTRLS) (014)
6 superordinates
54 properties

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWordWrap  (inherited) (Value: Boolean) ;
(private) , found in TCustomLabel

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl


Methods of TLabel (STDCTRLS) (015)
159 Methods of TLabel (STDCTRLS) (015)
6 superordinates
54 properties

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TGraphicControl


Methods of TLabel (STDCTRLS) (016)
159 Methods of TLabel (STDCTRLS) (016)
6 superordinates
54 properties

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomEdit (STDCTRLS)
293 Methods of TCustomEdit (STDCTRLS)
5 superordinates
80 properties

procedure
AdjustHeight ;
(private)

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl


Methods of TCustomEdit (STDCTRLS) (002)
293 Methods of TCustomEdit (STDCTRLS) (002)
5 superordinates
80 properties

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl
procedure
CMEnter (var Message: TCMGotFocus); message CM_ENTER ;
(private)

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TCustomEdit (STDCTRLS) (003)
293 Methods of TCustomEdit (STDCTRLS) (003)
5 superordinates
80 properties

procedure
CMFontChanged (var Message: TMessage); message CM_FONTCHANGED ;
(private)
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of TCustomEdit (STDCTRLS) (004)
293 Methods of TCustomEdit (STDCTRLS) (004)
5 superordinates
80 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged (var Message: TMessage); message CM_TEXTCHANGED ;
(private)

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand (var Message: TWMCommand); message CN_COMMAND ;
(private)

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TCustomEdit (STDCTRLS) (005)
293 Methods of TCustomEdit (STDCTRLS) (005)
5 superordinates
80 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) dynamic

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TCustomEdit (STDCTRLS) (006)
293 Methods of TCustomEdit (STDCTRLS) (006)
5 superordinates
80 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)

procedure
ClearSelection ;
(public)

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
CopyToClipboard ;
(public)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TCustomEdit (STDCTRLS) (007)
293 Methods of TCustomEdit (STDCTRLS) (007)
5 superordinates
80 properties

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CutToClipboard ;
(public)

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent


Methods of TCustomEdit (STDCTRLS) (008)
293 Methods of TCustomEdit (STDCTRLS) (008)
5 superordinates
80 properties

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TCustomEdit (STDCTRLS) (009)
293 Methods of TCustomEdit (STDCTRLS) (009)
5 superordinates
80 properties

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TCustomEdit (STDCTRLS) (010)
293 Methods of TCustomEdit (STDCTRLS) (010)
5 superordinates
80 properties

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl


Methods of TCustomEdit (STDCTRLS) (011)
293 Methods of TCustomEdit (STDCTRLS) (011)
5 superordinates
80 properties

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetModified : Boolean ;
(private)


Methods of TCustomEdit (STDCTRLS) (012)
293 Methods of TCustomEdit (STDCTRLS) (012)
5 superordinates
80 properties

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelLength : Integer ;
(private)

function
GetSelStart : Integer ;
(private)

function
GetSelText : String ;
(private)

function
GetSelTextBuf (Buffer: PChar; BufSize: Integer): Integer ;
(public)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl


Methods of TCustomEdit (STDCTRLS) (013)
293 Methods of TCustomEdit (STDCTRLS) (013)
5 superordinates
80 properties

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TCustomEdit (STDCTRLS) (014)
293 Methods of TCustomEdit (STDCTRLS) (014)
5 superordinates
80 properties

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl


Methods of TCustomEdit (STDCTRLS) (015)
293 Methods of TCustomEdit (STDCTRLS) (015)
5 superordinates
80 properties

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TCustomEdit (STDCTRLS) (016)
293 Methods of TCustomEdit (STDCTRLS) (016)
5 superordinates
80 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard ;
(public)

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl


Methods of TCustomEdit (STDCTRLS) (017)
293 Methods of TCustomEdit (STDCTRLS) (017)
5 superordinates
80 properties

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TCustomEdit (STDCTRLS) (018)
293 Methods of TCustomEdit (STDCTRLS) (018)
5 superordinates
80 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll ;
(public)

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl


Methods of TCustomEdit (STDCTRLS) (019)
293 Methods of TCustomEdit (STDCTRLS) (019)
5 superordinates
80 properties

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoSize (Value: Boolean) ;
(private)

procedure
SetBorderStyle (Value: TBorderStyle) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCharCase (Value: TEditCharCase) ;
(private)

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TCustomEdit (STDCTRLS) (020)
293 Methods of TCustomEdit (STDCTRLS) (020)
5 superordinates
80 properties

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl


Methods of TCustomEdit (STDCTRLS) (021)
293 Methods of TCustomEdit (STDCTRLS) (021)
5 superordinates
80 properties

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHideSelection (Value: Boolean) ;
(private)

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMaxLength (Value: Integer) ;
(private)

procedure
SetModified (Value: Boolean) ;
(private)

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOEMConvert (Value: Boolean) ;
(private)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl


Methods of TCustomEdit (STDCTRLS) (022)
293 Methods of TCustomEdit (STDCTRLS) (022)
5 superordinates
80 properties

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPasswordChar (Value: Char) ;
(private)

procedure
SetReadOnly (Value: Boolean) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelLength (Value: Integer) ;
(private)

procedure
SetSelStart (Value: Integer) ;
(private)

procedure
SetSelText (const Value: String) ;
(private)


Methods of TCustomEdit (STDCTRLS) (023)
293 Methods of TCustomEdit (STDCTRLS) (023)
5 superordinates
80 properties

procedure
SetSelTextBuf (Buffer: PChar) ;
(public)

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl


Methods of TCustomEdit (STDCTRLS) (024)
293 Methods of TCustomEdit (STDCTRLS) (024)
5 superordinates
80 properties

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateHeight ;
(private)

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent


Methods of TCustomEdit (STDCTRLS) (025)
293 Methods of TCustomEdit (STDCTRLS) (025)
5 superordinates
80 properties

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl


Methods of TCustomEdit (STDCTRLS) (026)
293 Methods of TCustomEdit (STDCTRLS) (026)
5 superordinates
80 properties

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl


Methods of TCustomEdit (STDCTRLS) (027)
293 Methods of TCustomEdit (STDCTRLS) (027)
5 superordinates
80 properties

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl


Methods of TCustomEdit (STDCTRLS) (028)
293 Methods of TCustomEdit (STDCTRLS) (028)
5 superordinates
80 properties

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TCustomEdit (STDCTRLS) (029)
293 Methods of TCustomEdit (STDCTRLS) (029)
5 superordinates
80 properties

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl


Methods of TCustomEdit (STDCTRLS) (030)
293 Methods of TCustomEdit (STDCTRLS) (030)
5 superordinates
80 properties

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TEdit (STDCTRLS)
293 Methods of TEdit (STDCTRLS)
6 superordinates
80 properties

procedure
AdjustHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl


Methods of TEdit (STDCTRLS) (002)
293 Methods of TEdit (STDCTRLS) (002)
6 superordinates
80 properties

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl
procedure
CMEnter  (inherited) (var Message: TCMGotFocus); message CM_ENTER ;
(private) , found in TCustomEdit

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TEdit (STDCTRLS) (003)
293 Methods of TEdit (STDCTRLS) (003)
6 superordinates
80 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomEdit
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of TEdit (STDCTRLS) (004)
293 Methods of TEdit (STDCTRLS) (004)
6 superordinates
80 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomEdit

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomEdit

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TEdit (STDCTRLS) (005)
293 Methods of TEdit (STDCTRLS) (005)
6 superordinates
80 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomEdit

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TEdit (STDCTRLS) (006)
293 Methods of TEdit (STDCTRLS) (006)
6 superordinates
80 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomEdit

procedure
ClearSelection  (inherited) ;
(public) , found in TCustomEdit

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
CopyToClipboard  (inherited) ;
(public) , found in TCustomEdit

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TEdit (STDCTRLS) (007)
293 Methods of TEdit (STDCTRLS) (007)
6 superordinates
80 properties

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomEdit
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomEdit
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CutToClipboard  (inherited) ;
(public) , found in TCustomEdit

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent


Methods of TEdit (STDCTRLS) (008)
293 Methods of TEdit (STDCTRLS) (008)
6 superordinates
80 properties

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TEdit (STDCTRLS) (009)
293 Methods of TEdit (STDCTRLS) (009)
6 superordinates
80 properties

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TEdit (STDCTRLS) (010)
293 Methods of TEdit (STDCTRLS) (010)
6 superordinates
80 properties

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl


Methods of TEdit (STDCTRLS) (011)
293 Methods of TEdit (STDCTRLS) (011)
6 superordinates
80 properties

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetModified  (inherited) : Boolean ;
(private) , found in TCustomEdit


Methods of TEdit (STDCTRLS) (012)
293 Methods of TEdit (STDCTRLS) (012)
6 superordinates
80 properties

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelText  (inherited) : String ;
(private) , found in TCustomEdit

function
GetSelTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TCustomEdit

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl


Methods of TEdit (STDCTRLS) (013)
293 Methods of TEdit (STDCTRLS) (013)
6 superordinates
80 properties

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TEdit (STDCTRLS) (014)
293 Methods of TEdit (STDCTRLS) (014)
6 superordinates
80 properties

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl


Methods of TEdit (STDCTRLS) (015)
293 Methods of TEdit (STDCTRLS) (015)
6 superordinates
80 properties

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TEdit (STDCTRLS) (016)
293 Methods of TEdit (STDCTRLS) (016)
6 superordinates
80 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard  (inherited) ;
(public) , found in TCustomEdit

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl


Methods of TEdit (STDCTRLS) (017)
293 Methods of TEdit (STDCTRLS) (017)
6 superordinates
80 properties

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TEdit (STDCTRLS) (018)
293 Methods of TEdit (STDCTRLS) (018)
6 superordinates
80 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomEdit

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl


Methods of TEdit (STDCTRLS) (019)
293 Methods of TEdit (STDCTRLS) (019)
6 superordinates
80 properties

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomEdit

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCharCase  (inherited) (Value: TEditCharCase) ;
(private) , found in TCustomEdit

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TEdit (STDCTRLS) (020)
293 Methods of TEdit (STDCTRLS) (020)
6 superordinates
80 properties

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl


Methods of TEdit (STDCTRLS) (021)
293 Methods of TEdit (STDCTRLS) (021)
6 superordinates
80 properties

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHideSelection  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOEMConvert  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl


Methods of TEdit (STDCTRLS) (022)
293 Methods of TEdit (STDCTRLS) (022)
6 superordinates
80 properties

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPasswordChar  (inherited) (Value: Char) ;
(private) , found in TCustomEdit

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomEdit


Methods of TEdit (STDCTRLS) (023)
293 Methods of TEdit (STDCTRLS) (023)
6 superordinates
80 properties

procedure
SetSelTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TCustomEdit

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl


Methods of TEdit (STDCTRLS) (024)
293 Methods of TEdit (STDCTRLS) (024)
6 superordinates
80 properties

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent


Methods of TEdit (STDCTRLS) (025)
293 Methods of TEdit (STDCTRLS) (025)
6 superordinates
80 properties

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl


Methods of TEdit (STDCTRLS) (026)
293 Methods of TEdit (STDCTRLS) (026)
6 superordinates
80 properties

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl


Methods of TEdit (STDCTRLS) (027)
293 Methods of TEdit (STDCTRLS) (027)
6 superordinates
80 properties

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl


Methods of TEdit (STDCTRLS) (028)
293 Methods of TEdit (STDCTRLS) (028)
6 superordinates
80 properties

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TEdit (STDCTRLS) (029)
293 Methods of TEdit (STDCTRLS) (029)
6 superordinates
80 properties

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl


Methods of TEdit (STDCTRLS) (030)
293 Methods of TEdit (STDCTRLS) (030)
6 superordinates
80 properties

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomMemo (STDCTRLS)
298 Methods of TCustomMemo (STDCTRLS)
6 superordinates
86 properties

procedure
AdjustHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl


Methods of TCustomMemo (STDCTRLS) (002)
298 Methods of TCustomMemo (STDCTRLS) (002)
6 superordinates
86 properties

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl
procedure
CMEnter  (inherited) (var Message: TCMGotFocus); message CM_ENTER ;
(private) , found in TCustomEdit

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (003)
298 Methods of TCustomMemo (STDCTRLS) (003)
6 superordinates
86 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomEdit
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (004)
298 Methods of TCustomMemo (STDCTRLS) (004)
6 superordinates
86 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomEdit

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomEdit

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (005)
298 Methods of TCustomMemo (STDCTRLS) (005)
6 superordinates
86 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomEdit

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TCustomMemo (STDCTRLS) (006)
298 Methods of TCustomMemo (STDCTRLS) (006)
6 superordinates
86 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomEdit

procedure
ClearSelection  (inherited) ;
(public) , found in TCustomEdit

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
CopyToClipboard  (inherited) ;
(public) , found in TCustomEdit

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TCustomMemo (STDCTRLS) (007)
298 Methods of TCustomMemo (STDCTRLS) (007)
6 superordinates
86 properties

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomEdit
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle (const Params: TCreateParams) ;
(protected) override
procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomEdit
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CutToClipboard  (inherited) ;
(public) , found in TCustomEdit

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent


Methods of TCustomMemo (STDCTRLS) (008)
298 Methods of TCustomMemo (STDCTRLS) (008)
6 superordinates
86 properties

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (009)
298 Methods of TCustomMemo (STDCTRLS) (009)
6 superordinates
86 properties

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TCustomMemo (STDCTRLS) (010)
298 Methods of TCustomMemo (STDCTRLS) (010)
6 superordinates
86 properties

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl


Methods of TCustomMemo (STDCTRLS) (011)
298 Methods of TCustomMemo (STDCTRLS) (011)
6 superordinates
86 properties

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetModified  (inherited) : Boolean ;
(private) , found in TCustomEdit


Methods of TCustomMemo (STDCTRLS) (012)
298 Methods of TCustomMemo (STDCTRLS) (012)
6 superordinates
86 properties

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelText  (inherited) : String ;
(private) , found in TCustomEdit

function
GetSelTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TCustomEdit

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl


Methods of TCustomMemo (STDCTRLS) (013)
298 Methods of TCustomMemo (STDCTRLS) (013)
6 superordinates
86 properties

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TCustomMemo (STDCTRLS) (014)
298 Methods of TCustomMemo (STDCTRLS) (014)
6 superordinates
86 properties

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (015)
298 Methods of TCustomMemo (STDCTRLS) (015)
6 superordinates
86 properties

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress (var Key: Char) ;
(protected) override
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TCustomMemo (STDCTRLS) (016)
298 Methods of TCustomMemo (STDCTRLS) (016)
6 superordinates
86 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard  (inherited) ;
(public) , found in TCustomEdit

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl


Methods of TCustomMemo (STDCTRLS) (017)
298 Methods of TCustomMemo (STDCTRLS) (017)
6 superordinates
86 properties

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TCustomMemo (STDCTRLS) (018)
298 Methods of TCustomMemo (STDCTRLS) (018)
6 superordinates
86 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomEdit

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (019)
298 Methods of TCustomMemo (STDCTRLS) (019)
6 superordinates
86 properties

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment (Value: TAlignment) ;
(protected)

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomEdit

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetCharCase  (inherited) (Value: TEditCharCase) ;
(private) , found in TCustomEdit


Methods of TCustomMemo (STDCTRLS) (020)
298 Methods of TCustomMemo (STDCTRLS) (020)
6 superordinates
86 properties

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl


Methods of TCustomMemo (STDCTRLS) (021)
298 Methods of TCustomMemo (STDCTRLS) (021)
6 superordinates
86 properties

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHideSelection  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLines (Value: TStrings) ;
(protected)

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl


Methods of TCustomMemo (STDCTRLS) (022)
298 Methods of TCustomMemo (STDCTRLS) (022)
6 superordinates
86 properties

procedure
SetOEMConvert  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPasswordChar  (inherited) (Value: Char) ;
(private) , found in TCustomEdit

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetScrollBars (Value: TScrollStyle) ;
(protected)


Methods of TCustomMemo (STDCTRLS) (023)
298 Methods of TCustomMemo (STDCTRLS) (023)
6 superordinates
86 properties

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomEdit

procedure
SetSelTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TCustomEdit

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TCustomMemo (STDCTRLS) (024)
298 Methods of TCustomMemo (STDCTRLS) (024)
6 superordinates
86 properties

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWordWrap (Value: Boolean) ;
(protected)

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (025)
298 Methods of TCustomMemo (STDCTRLS) (025)
6 superordinates
86 properties

procedure
UpdateHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (026)
298 Methods of TCustomMemo (STDCTRLS) (026)
6 superordinates
86 properties

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode (var Message: TWMGetDlgCode); message WM_GETDLGCODE ;
(private)

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (027)
298 Methods of TCustomMemo (STDCTRLS) (027)
6 superordinates
86 properties

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private)
procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (028)
298 Methods of TCustomMemo (STDCTRLS) (028)
6 superordinates
86 properties

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl


Methods of TCustomMemo (STDCTRLS) (029)
298 Methods of TCustomMemo (STDCTRLS) (029)
6 superordinates
86 properties

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl


Methods of TCustomMemo (STDCTRLS) (030)
298 Methods of TCustomMemo (STDCTRLS) (030)
6 superordinates
86 properties

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TMemo (STDCTRLS)
299 Methods of TMemo (STDCTRLS)
7 superordinates
86 properties

procedure
AdjustHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl


Methods of TMemo (STDCTRLS) (002)
299 Methods of TMemo (STDCTRLS) (002)
7 superordinates
86 properties

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl
procedure
CMEnter  (inherited) (var Message: TCMGotFocus); message CM_ENTER ;
(private) , found in TCustomEdit

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl


Methods of TMemo (STDCTRLS) (003)
299 Methods of TMemo (STDCTRLS) (003)
7 superordinates
86 properties

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TCustomEdit
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl


Methods of TMemo (STDCTRLS) (004)
299 Methods of TMemo (STDCTRLS) (004)
7 superordinates
86 properties

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTextChanged  (inherited) (var Message: TMessage); message CM_TEXTCHANGED ;
(private) , found in TCustomEdit

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomEdit

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl


Methods of TMemo (STDCTRLS) (005)
299 Methods of TMemo (STDCTRLS) (005)
7 superordinates
86 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomEdit

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject


Methods of TMemo (STDCTRLS) (006)
299 Methods of TMemo (STDCTRLS) (006)
7 superordinates
86 properties

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomEdit

procedure
ClearSelection  (inherited) ;
(public) , found in TCustomEdit

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
CopyToClipboard  (inherited) ;
(public) , found in TCustomEdit

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomMemo
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomEdit
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TMemo (STDCTRLS) (007)
299 Methods of TMemo (STDCTRLS) (007)
7 superordinates
86 properties

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomMemo
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomEdit
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) override, found in TCustomMemo
procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomEdit
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CutToClipboard  (inherited) ;
(public) , found in TCustomEdit

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomMemo
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent


Methods of TMemo (STDCTRLS) (008)
299 Methods of TMemo (STDCTRLS) (008)
7 superordinates
86 properties

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TMemo (STDCTRLS) (009)
299 Methods of TMemo (STDCTRLS) (009)
7 superordinates
86 properties

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent


Methods of TMemo (STDCTRLS) (010)
299 Methods of TMemo (STDCTRLS) (010)
7 superordinates
86 properties

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl


Methods of TMemo (STDCTRLS) (011)
299 Methods of TMemo (STDCTRLS) (011)
7 superordinates
86 properties

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetModified  (inherited) : Boolean ;
(private) , found in TCustomEdit


Methods of TMemo (STDCTRLS) (012)
299 Methods of TMemo (STDCTRLS) (012)
7 superordinates
86 properties

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomEdit

function
GetSelText  (inherited) : String ;
(private) , found in TCustomEdit

function
GetSelTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TCustomEdit

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl


Methods of TMemo (STDCTRLS) (013)
299 Methods of TMemo (STDCTRLS) (013)
7 superordinates
86 properties

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TMemo (STDCTRLS) (014)
299 Methods of TMemo (STDCTRLS) (014)
7 superordinates
86 properties

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl


Methods of TMemo (STDCTRLS) (015)
299 Methods of TMemo (STDCTRLS) (015)
7 superordinates
86 properties

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) override, found in TCustomMemo
procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TMemo (STDCTRLS) (016)
299 Methods of TMemo (STDCTRLS) (016)
7 superordinates
86 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

procedure
PasteFromClipboard  (inherited) ;
(public) , found in TCustomEdit

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl


Methods of TMemo (STDCTRLS) (017)
299 Methods of TMemo (STDCTRLS) (017)
7 superordinates
86 properties

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadStringData (Reader: TReader) ;
(private)

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl


Methods of TMemo (STDCTRLS) (018)
299 Methods of TMemo (STDCTRLS) (018)
7 superordinates
86 properties

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomEdit


Methods of TMemo (STDCTRLS) (019)
299 Methods of TMemo (STDCTRLS) (019)
7 superordinates
86 properties

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment  (inherited) (Value: TAlignment) ;
(protected) , found in TCustomMemo

procedure
SetAutoSize  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomEdit

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl


Methods of TMemo (STDCTRLS) (020)
299 Methods of TMemo (STDCTRLS) (020)
7 superordinates
86 properties

procedure
SetCharCase  (inherited) (Value: TEditCharCase) ;
(private) , found in TCustomEdit

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TMemo (STDCTRLS) (021)
299 Methods of TMemo (STDCTRLS) (021)
7 superordinates
86 properties

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHideSelection  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetLines  (inherited) (Value: TStrings) ;
(protected) , found in TCustomMemo

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetModified  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TMemo (STDCTRLS) (022)
299 Methods of TMemo (STDCTRLS) (022)
7 superordinates
86 properties

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetOEMConvert  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPasswordChar  (inherited) (Value: Char) ;
(private) , found in TCustomEdit

procedure
SetReadOnly  (inherited) (Value: Boolean) ;
(private) , found in TCustomEdit

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent


Methods of TMemo (STDCTRLS) (023)
299 Methods of TMemo (STDCTRLS) (023)
7 superordinates
86 properties

procedure
SetScrollBars  (inherited) (Value: TScrollStyle) ;
(protected) , found in TCustomMemo

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomEdit

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomEdit

procedure
SetSelTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TCustomEdit

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl


Methods of TMemo (STDCTRLS) (024)
299 Methods of TMemo (STDCTRLS) (024)
7 superordinates
86 properties

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetWordWrap  (inherited) (Value: Boolean) ;
(protected) , found in TCustomMemo

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl


Methods of TMemo (STDCTRLS) (025)
299 Methods of TMemo (STDCTRLS) (025)
7 superordinates
86 properties

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateHeight  (inherited) ;
(private) , found in TCustomEdit

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl


Methods of TMemo (STDCTRLS) (026)
299 Methods of TMemo (STDCTRLS) (026)
7 superordinates
86 properties

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMGetDlgCode  (inherited) (var Message: TWMGetDlgCode); message WM_GETDLGCODE ;
(private) , found in TCustomMemo

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl


Methods of TMemo (STDCTRLS) (027)
299 Methods of TMemo (STDCTRLS) (027)
7 superordinates
86 properties

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl


Methods of TMemo (STDCTRLS) (028)
299 Methods of TMemo (STDCTRLS) (028)
7 superordinates
86 properties

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TCustomMemo
procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl


Methods of TMemo (STDCTRLS) (029)
299 Methods of TMemo (STDCTRLS) (029)
7 superordinates
86 properties

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl


Methods of TMemo (STDCTRLS) (030)
299 Methods of TMemo (STDCTRLS) (030)
7 superordinates
86 properties

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomComboBox (STDCTRLS)
295 Methods of TCustomComboBox (STDCTRLS)
5 superordinates
82 properties

procedure
AdjustDropDown ;
(private)

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMCancelMode (var Message: TCMCancelMode); message CM_CANCELMODE ;
(private)


Methods of TCustomComboBox (STDCTRLS) (002)
295 Methods of TCustomComboBox (STDCTRLS) (002)
5 superordinates
82 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TCustomComboBox (STDCTRLS) (003)
295 Methods of TCustomComboBox (STDCTRLS) (003)
5 superordinates
82 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private)
procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TCustomComboBox (STDCTRLS) (004)
295 Methods of TCustomComboBox (STDCTRLS) (004)
5 superordinates
82 properties

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand (var Message: TWMCommand); message CN_COMMAND ;
(private)

procedure
CNCtlColor (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private)
procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private)

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl


Methods of TCustomComboBox (STDCTRLS) (005)
295 Methods of TCustomComboBox (STDCTRLS) (005)
5 superordinates
82 properties

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNMeasureItem (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private)

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) dynamic

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TCustomComboBox (STDCTRLS) (006)
295 Methods of TCustomComboBox (STDCTRLS) (006)
5 superordinates
82 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear ;
(public)

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ComboWndProc (var Message: TMessage; ComboWnd: HWnd; ComboProc: Pointer) ;
(protected) virtual

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TCustomComboBox (STDCTRLS) (007)
295 Methods of TCustomComboBox (STDCTRLS) (007)
5 superordinates
82 properties

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent


Methods of TCustomComboBox (STDCTRLS) (008)
295 Methods of TCustomComboBox (STDCTRLS) (008)
5 superordinates
82 properties

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd ;
(protected) override
procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TCustomComboBox (STDCTRLS) (009)
295 Methods of TCustomComboBox (STDCTRLS) (009)
5 superordinates
82 properties

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) virtual

procedure
DropDown ;
(protected) dynamic

procedure
EditWndProc (var Message: TMessage) ;
(private)

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TCustomComboBox (STDCTRLS) (010)
295 Methods of TCustomComboBox (STDCTRLS) (010)
5 superordinates
82 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TCustomComboBox (STDCTRLS) (011)
295 Methods of TCustomComboBox (STDCTRLS) (011)
5 superordinates
82 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TCustomComboBox (STDCTRLS) (012)
295 Methods of TCustomComboBox (STDCTRLS) (012)
5 superordinates
82 properties

function
GetDroppedDown : Boolean ;
(private)

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItemHeight : Integer ;
(private)

function
GetItemIndex : Integer ;
(private)

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelLength : Integer ;
(private)

function
GetSelStart : Integer ;
(private)


Methods of TCustomComboBox (STDCTRLS) (013)
295 Methods of TCustomComboBox (STDCTRLS) (013)
5 superordinates
82 properties

function
GetSelText : String ;
(private)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl


Methods of TCustomComboBox (STDCTRLS) (014)
295 Methods of TCustomComboBox (STDCTRLS) (014)
5 superordinates
82 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TCustomComboBox (STDCTRLS) (015)
295 Methods of TCustomComboBox (STDCTRLS) (015)
5 superordinates
82 properties

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
ListWndProc (var Message: TMessage) ;
(private)

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TCustomComboBox (STDCTRLS) (016)
295 Methods of TCustomComboBox (STDCTRLS) (016)
5 superordinates
82 properties

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MeasureItem (Index: Integer; var Height: Integer) ;
(protected) virtual

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl


Methods of TCustomComboBox (STDCTRLS) (017)
295 Methods of TCustomComboBox (STDCTRLS) (017)
5 superordinates
82 properties

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TCustomComboBox (STDCTRLS) (018)
295 Methods of TCustomComboBox (STDCTRLS) (018)
5 superordinates
82 properties

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl


Methods of TCustomComboBox (STDCTRLS) (019)
295 Methods of TCustomComboBox (STDCTRLS) (019)
5 superordinates
82 properties

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll ;
(public)

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl


Methods of TCustomComboBox (STDCTRLS) (020)
295 Methods of TCustomComboBox (STDCTRLS) (020)
5 superordinates
82 properties

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDroppedDown (Value: Boolean) ;
(private)


Methods of TCustomComboBox (STDCTRLS) (021)
295 Methods of TCustomComboBox (STDCTRLS) (021)
5 superordinates
82 properties

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetItemHeight (Value: Integer) ;
(private)

procedure
SetItemIndex (Value: Integer) ;
(private)

procedure
SetItems (Value: TStrings) ;
(private)

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMaxLength (Value: Integer) ;
(private)


Methods of TCustomComboBox (STDCTRLS) (022)
295 Methods of TCustomComboBox (STDCTRLS) (022)
5 superordinates
82 properties

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelLength (Value: Integer) ;
(private)

procedure
SetSelStart (Value: Integer) ;
(private)


Methods of TCustomComboBox (STDCTRLS) (023)
295 Methods of TCustomComboBox (STDCTRLS) (023)
5 superordinates
82 properties

procedure
SetSelText (const Value: String) ;
(private)

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSorted (Value: Boolean) ;
(private)

procedure
SetStyle (Value: TComboBoxStyle) ;
(private)

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomComboBox (STDCTRLS) (024)
295 Methods of TCustomComboBox (STDCTRLS) (024)
5 superordinates
82 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TCustomComboBox (STDCTRLS) (025)
295 Methods of TCustomComboBox (STDCTRLS) (025)
5 superordinates
82 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCreate (var Message: TWMCreate); message WM_CREATE ;
(private)

procedure
WMCtlColor (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private)
procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private)
procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl


Methods of TCustomComboBox (STDCTRLS) (026)
295 Methods of TCustomComboBox (STDCTRLS) (026)
5 superordinates
82 properties

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private)
procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private)
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private)
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl


Methods of TCustomComboBox (STDCTRLS) (027)
295 Methods of TCustomComboBox (STDCTRLS) (027)
5 superordinates
82 properties

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private)
procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl


Methods of TCustomComboBox (STDCTRLS) (028)
295 Methods of TCustomComboBox (STDCTRLS) (028)
5 superordinates
82 properties

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TCustomComboBox (STDCTRLS) (029)
295 Methods of TCustomComboBox (STDCTRLS) (029)
5 superordinates
82 properties

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc (var Message: TMessage) ;
(protected) override
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TCustomComboBox (STDCTRLS) (030)
295 Methods of TCustomComboBox (STDCTRLS) (030)
5 superordinates
82 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TComboBox (STDCTRLS)
295 Methods of TComboBox (STDCTRLS)
6 superordinates
82 properties

procedure
AdjustDropDown  (inherited) ;
(private) , found in TCustomComboBox

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMCancelMode  (inherited) (var Message: TCMCancelMode); message CM_CANCELMODE ;
(private) , found in TCustomComboBox


Methods of TComboBox (STDCTRLS) (002)
295 Methods of TComboBox (STDCTRLS) (002)
6 superordinates
82 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TComboBox (STDCTRLS) (003)
295 Methods of TComboBox (STDCTRLS) (003)
6 superordinates
82 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TCustomComboBox
procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TComboBox (STDCTRLS) (004)
295 Methods of TComboBox (STDCTRLS) (004)
6 superordinates
82 properties

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomComboBox

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TCustomComboBox
procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem  (inherited) (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private) , found in TCustomComboBox

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl


Methods of TComboBox (STDCTRLS) (005)
295 Methods of TComboBox (STDCTRLS) (005)
6 superordinates
82 properties

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNMeasureItem  (inherited) (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private) , found in TCustomComboBox

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change  (inherited) ;
(protected) dynamic, found in TCustomComboBox

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject


Methods of TComboBox (STDCTRLS) (006)
295 Methods of TComboBox (STDCTRLS) (006)
6 superordinates
82 properties

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Clear  (inherited) ;
(public) , found in TCustomComboBox

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ComboWndProc  (inherited) (var Message: TMessage; ComboWnd: HWnd; ComboProc: Pointer) ;
(protected) virtual, found in TCustomComboBox

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomComboBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject


Methods of TComboBox (STDCTRLS) (007)
295 Methods of TComboBox (STDCTRLS) (007)
6 superordinates
82 properties

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomComboBox
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomComboBox
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomComboBox
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent


Methods of TComboBox (STDCTRLS) (008)
295 Methods of TComboBox (STDCTRLS) (008)
6 superordinates
82 properties

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) override, found in TCustomComboBox
procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TComboBox (STDCTRLS) (009)
295 Methods of TComboBox (STDCTRLS) (009)
6 superordinates
82 properties

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem  (inherited) (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) virtual, found in TCustomComboBox

procedure
DropDown  (inherited) ;
(protected) dynamic, found in TCustomComboBox

procedure
EditWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TCustomComboBox

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TComboBox (STDCTRLS) (010)
295 Methods of TComboBox (STDCTRLS) (010)
6 superordinates
82 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TComboBox (STDCTRLS) (011)
295 Methods of TComboBox (STDCTRLS) (011)
6 superordinates
82 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TComboBox (STDCTRLS) (012)
295 Methods of TComboBox (STDCTRLS) (012)
6 superordinates
82 properties

function
GetDroppedDown  (inherited) : Boolean ;
(private) , found in TCustomComboBox

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItemHeight  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetItemIndex  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelLength  (inherited) : Integer ;
(private) , found in TCustomComboBox

function
GetSelStart  (inherited) : Integer ;
(private) , found in TCustomComboBox


Methods of TComboBox (STDCTRLS) (013)
295 Methods of TComboBox (STDCTRLS) (013)
6 superordinates
82 properties

function
GetSelText  (inherited) : String ;
(private) , found in TCustomComboBox

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl


Methods of TComboBox (STDCTRLS) (014)
295 Methods of TComboBox (STDCTRLS) (014)
6 superordinates
82 properties

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TComboBox (STDCTRLS) (015)
295 Methods of TComboBox (STDCTRLS) (015)
6 superordinates
82 properties

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
ListWndProc  (inherited) (var Message: TMessage) ;
(private) , found in TCustomComboBox

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent


Methods of TComboBox (STDCTRLS) (016)
295 Methods of TComboBox (STDCTRLS) (016)
6 superordinates
82 properties

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MeasureItem  (inherited) (Index: Integer; var Height: Integer) ;
(protected) virtual, found in TCustomComboBox

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl


Methods of TComboBox (STDCTRLS) (017)
295 Methods of TComboBox (STDCTRLS) (017)
6 superordinates
82 properties

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TComboBox (STDCTRLS) (018)
295 Methods of TComboBox (STDCTRLS) (018)
6 superordinates
82 properties

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl


Methods of TComboBox (STDCTRLS) (019)
295 Methods of TComboBox (STDCTRLS) (019)
6 superordinates
82 properties

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectAll  (inherited) ;
(public) , found in TCustomComboBox

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl


Methods of TComboBox (STDCTRLS) (020)
295 Methods of TComboBox (STDCTRLS) (020)
6 superordinates
82 properties

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetDroppedDown  (inherited) (Value: Boolean) ;
(private) , found in TCustomComboBox


Methods of TComboBox (STDCTRLS) (021)
295 Methods of TComboBox (STDCTRLS) (021)
6 superordinates
82 properties

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetItemHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetItemIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetItems  (inherited) (Value: TStrings) ;
(private) , found in TCustomComboBox

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMaxLength  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox


Methods of TComboBox (STDCTRLS) (022)
295 Methods of TComboBox (STDCTRLS) (022)
6 superordinates
82 properties

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelLength  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox

procedure
SetSelStart  (inherited) (Value: Integer) ;
(private) , found in TCustomComboBox


Methods of TComboBox (STDCTRLS) (023)
295 Methods of TComboBox (STDCTRLS) (023)
6 superordinates
82 properties

procedure
SetSelText  (inherited) (const Value: String) ;
(private) , found in TCustomComboBox

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSorted  (inherited) (Value: Boolean) ;
(private) , found in TCustomComboBox

procedure
SetStyle  (inherited) (Value: TComboBoxStyle) ;
(private) , found in TCustomComboBox

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TComboBox (STDCTRLS) (024)
295 Methods of TComboBox (STDCTRLS) (024)
6 superordinates
82 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TComboBox (STDCTRLS) (025)
295 Methods of TComboBox (STDCTRLS) (025)
6 superordinates
82 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCreate  (inherited) (var Message: TWMCreate); message WM_CREATE ;
(private) , found in TCustomComboBox

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TCustomComboBox
procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TCustomComboBox
procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl


Methods of TComboBox (STDCTRLS) (026)
295 Methods of TComboBox (STDCTRLS) (026)
6 superordinates
82 properties

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TCustomComboBox
procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWMEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TCustomComboBox
procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomComboBox
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl


Methods of TComboBox (STDCTRLS) (027)
295 Methods of TComboBox (STDCTRLS) (027)
6 superordinates
82 properties

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TCustomComboBox
procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl


Methods of TComboBox (STDCTRLS) (028)
295 Methods of TComboBox (STDCTRLS) (028)
6 superordinates
82 properties

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TComboBox (STDCTRLS) (029)
295 Methods of TComboBox (STDCTRLS) (029)
6 superordinates
82 properties

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TCustomComboBox
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl


Methods of TComboBox (STDCTRLS) (030)
295 Methods of TComboBox (STDCTRLS) (030)
6 superordinates
82 properties

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TButtonControl (STDCTRLS)
264 Methods of TButtonControl (STDCTRLS)
5 superordinates
64 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (002)
264 Methods of TButtonControl (STDCTRLS) (002)
5 superordinates
64 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TButtonControl (STDCTRLS) (003)
264 Methods of TButtonControl (STDCTRLS) (003)
5 superordinates
64 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (004)
264 Methods of TButtonControl (STDCTRLS) (004)
5 superordinates
64 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (005)
264 Methods of TButtonControl (STDCTRLS) (005)
5 superordinates
64 properties

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (006)
264 Methods of TButtonControl (STDCTRLS) (006)
5 superordinates
64 properties

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent


Methods of TButtonControl (STDCTRLS) (007)
264 Methods of TButtonControl (STDCTRLS) (007)
5 superordinates
64 properties

destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TButtonControl (STDCTRLS) (008)
264 Methods of TButtonControl (STDCTRLS) (008)
5 superordinates
64 properties

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl


Methods of TButtonControl (STDCTRLS) (009)
264 Methods of TButtonControl (STDCTRLS) (009)
5 superordinates
64 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TButtonControl (STDCTRLS) (010)
264 Methods of TButtonControl (STDCTRLS) (010)
5 superordinates
64 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (011)
264 Methods of TButtonControl (STDCTRLS) (011)
5 superordinates
64 properties

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (012)
264 Methods of TButtonControl (STDCTRLS) (012)
5 superordinates
64 properties

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl


Methods of TButtonControl (STDCTRLS) (013)
264 Methods of TButtonControl (STDCTRLS) (013)
5 superordinates
64 properties

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl


Methods of TButtonControl (STDCTRLS) (014)
264 Methods of TButtonControl (STDCTRLS) (014)
5 superordinates
64 properties

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent


Methods of TButtonControl (STDCTRLS) (015)
264 Methods of TButtonControl (STDCTRLS) (015)
5 superordinates
64 properties

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent


Methods of TButtonControl (STDCTRLS) (016)
264 Methods of TButtonControl (STDCTRLS) (016)
5 superordinates
64 properties

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl


Methods of TButtonControl (STDCTRLS) (017)
264 Methods of TButtonControl (STDCTRLS) (017)
5 superordinates
64 properties

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl


Methods of TButtonControl (STDCTRLS) (018)
264 Methods of TButtonControl (STDCTRLS) (018)
5 superordinates
64 properties

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TButtonControl (STDCTRLS) (019)
264 Methods of TButtonControl (STDCTRLS) (019)
5 superordinates
64 properties

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (020)
264 Methods of TButtonControl (STDCTRLS) (020)
5 superordinates
64 properties

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TButtonControl (STDCTRLS) (021)
264 Methods of TButtonControl (STDCTRLS) (021)
5 superordinates
64 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (022)
264 Methods of TButtonControl (STDCTRLS) (022)
5 superordinates
64 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (023)
264 Methods of TButtonControl (STDCTRLS) (023)
5 superordinates
64 properties

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TButtonControl (STDCTRLS) (024)
264 Methods of TButtonControl (STDCTRLS) (024)
5 superordinates
64 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (025)
264 Methods of TButtonControl (STDCTRLS) (025)
5 superordinates
64 properties

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl


Methods of TButtonControl (STDCTRLS) (026)
264 Methods of TButtonControl (STDCTRLS) (026)
5 superordinates
64 properties

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc (var Message: TMessage) ;
(protected) override
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TButtonControl (STDCTRLS) (027)
264 Methods of TButtonControl (STDCTRLS) (027)
5 superordinates
64 properties

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TButton (STDCTRLS)
267 Methods of TButton (STDCTRLS)
6 superordinates
68 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TButton (STDCTRLS) (002)
267 Methods of TButton (STDCTRLS) (002)
6 superordinates
68 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private)
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private)
procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private)
procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TButton (STDCTRLS) (003)
267 Methods of TButton (STDCTRLS) (003)
6 superordinates
68 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TButton (STDCTRLS) (004)
267 Methods of TButton (STDCTRLS) (004)
6 superordinates
68 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand (var Message: TWMCommand); message CN_COMMAND ;
(private)

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TButton (STDCTRLS) (005)
267 Methods of TButton (STDCTRLS) (005)
6 superordinates
68 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click ;
(public) override
procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TButton (STDCTRLS) (006)
267 Methods of TButton (STDCTRLS) (006)
6 superordinates
68 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TButton (STDCTRLS) (007)
267 Methods of TButton (STDCTRLS) (007)
6 superordinates
68 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TButton (STDCTRLS) (008)
267 Methods of TButton (STDCTRLS) (008)
6 superordinates
68 properties

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TButton (STDCTRLS) (009)
267 Methods of TButton (STDCTRLS) (009)
6 superordinates
68 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TButton (STDCTRLS) (010)
267 Methods of TButton (STDCTRLS) (010)
6 superordinates
68 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TButton (STDCTRLS) (011)
267 Methods of TButton (STDCTRLS) (011)
6 superordinates
68 properties

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TButton (STDCTRLS) (012)
267 Methods of TButton (STDCTRLS) (012)
6 superordinates
68 properties

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TButton (STDCTRLS) (013)
267 Methods of TButton (STDCTRLS) (013)
6 superordinates
68 properties

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TButton (STDCTRLS) (014)
267 Methods of TButton (STDCTRLS) (014)
6 superordinates
68 properties

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TButton (STDCTRLS) (015)
267 Methods of TButton (STDCTRLS) (015)
6 superordinates
68 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TButton (STDCTRLS) (016)
267 Methods of TButton (STDCTRLS) (016)
6 superordinates
68 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl


Methods of TButton (STDCTRLS) (017)
267 Methods of TButton (STDCTRLS) (017)
6 superordinates
68 properties

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl


Methods of TButton (STDCTRLS) (018)
267 Methods of TButton (STDCTRLS) (018)
6 superordinates
68 properties

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetButtonStyle (ADefault: Boolean) ;
(protected) virtual

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl


Methods of TButton (STDCTRLS) (019)
267 Methods of TButton (STDCTRLS) (019)
6 superordinates
68 properties

procedure
SetDefault (Value: Boolean) ;
(private)

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl


Methods of TButton (STDCTRLS) (020)
267 Methods of TButton (STDCTRLS) (020)
6 superordinates
68 properties

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl


Methods of TButton (STDCTRLS) (021)
267 Methods of TButton (STDCTRLS) (021)
6 superordinates
68 properties

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl


Methods of TButton (STDCTRLS) (022)
267 Methods of TButton (STDCTRLS) (022)
6 superordinates
68 properties

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl


Methods of TButton (STDCTRLS) (023)
267 Methods of TButton (STDCTRLS) (023)
6 superordinates
68 properties

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl


Methods of TButton (STDCTRLS) (024)
267 Methods of TButton (STDCTRLS) (024)
6 superordinates
68 properties

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl


Methods of TButton (STDCTRLS) (025)
267 Methods of TButton (STDCTRLS) (025)
6 superordinates
68 properties

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl


Methods of TButton (STDCTRLS) (026)
267 Methods of TButton (STDCTRLS) (026)
6 superordinates
68 properties

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl


Methods of TButton (STDCTRLS) (027)
267 Methods of TButton (STDCTRLS) (027)
6 superordinates
68 properties

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TButtonControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomCheckBox (STDCTRLS)
271 Methods of TCustomCheckBox (STDCTRLS)
6 superordinates
69 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged (var Message: TMessage); message CM_CTL3DCHANGED ;
(private)
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (002)
271 Methods of TCustomCheckBox (STDCTRLS) (002)
6 superordinates
69 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private)
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TCustomCheckBox (STDCTRLS) (003)
271 Methods of TCustomCheckBox (STDCTRLS) (003)
6 superordinates
69 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (004)
271 Methods of TCustomCheckBox (STDCTRLS) (004)
6 superordinates
69 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand (var Message: TWMCommand); message CN_COMMAND ;
(private)

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (005)
271 Methods of TCustomCheckBox (STDCTRLS) (005)
6 superordinates
69 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TCustomCheckBox (STDCTRLS) (006)
271 Methods of TCustomCheckBox (STDCTRLS) (006)
6 superordinates
69 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TCustomCheckBox (STDCTRLS) (007)
271 Methods of TCustomCheckBox (STDCTRLS) (007)
6 superordinates
69 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (008)
271 Methods of TCustomCheckBox (STDCTRLS) (008)
6 superordinates
69 properties

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (009)
271 Methods of TCustomCheckBox (STDCTRLS) (009)
6 superordinates
69 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TCustomCheckBox (STDCTRLS) (010)
271 Methods of TCustomCheckBox (STDCTRLS) (010)
6 superordinates
69 properties

function
GetChecked : Boolean ;
(private)

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (011)
271 Methods of TCustomCheckBox (STDCTRLS) (011)
6 superordinates
69 properties

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl


Methods of TCustomCheckBox (STDCTRLS) (012)
271 Methods of TCustomCheckBox (STDCTRLS) (012)
6 superordinates
69 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (013)
271 Methods of TCustomCheckBox (STDCTRLS) (013)
6 superordinates
69 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TCustomCheckBox (STDCTRLS) (014)
271 Methods of TCustomCheckBox (STDCTRLS) (014)
6 superordinates
69 properties

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TCustomCheckBox (STDCTRLS) (015)
271 Methods of TCustomCheckBox (STDCTRLS) (015)
6 superordinates
69 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TCustomCheckBox (STDCTRLS) (016)
271 Methods of TCustomCheckBox (STDCTRLS) (016)
6 superordinates
69 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (017)
271 Methods of TCustomCheckBox (STDCTRLS) (017)
6 superordinates
69 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TCustomCheckBox (STDCTRLS) (018)
271 Methods of TCustomCheckBox (STDCTRLS) (018)
6 superordinates
69 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment (Value: TLeftRight) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetChecked (Value: Boolean) ;
(private)

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TCustomCheckBox (STDCTRLS) (019)
271 Methods of TCustomCheckBox (STDCTRLS) (019)
6 superordinates
69 properties

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCustomCheckBox (STDCTRLS) (020)
271 Methods of TCustomCheckBox (STDCTRLS) (020)
6 superordinates
69 properties

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetState (Value: TCheckBoxState) ;
(private)

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (021)
271 Methods of TCustomCheckBox (STDCTRLS) (021)
6 superordinates
69 properties

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Toggle ;
(protected) virtual


Methods of TCustomCheckBox (STDCTRLS) (022)
271 Methods of TCustomCheckBox (STDCTRLS) (022)
6 superordinates
69 properties

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (023)
271 Methods of TCustomCheckBox (STDCTRLS) (023)
6 superordinates
69 properties

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (024)
271 Methods of TCustomCheckBox (STDCTRLS) (024)
6 superordinates
69 properties

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl


Methods of TCustomCheckBox (STDCTRLS) (025)
271 Methods of TCustomCheckBox (STDCTRLS) (025)
6 superordinates
69 properties

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl


Methods of TCustomCheckBox (STDCTRLS) (026)
271 Methods of TCustomCheckBox (STDCTRLS) (026)
6 superordinates
69 properties

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private)

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl


Methods of TCustomCheckBox (STDCTRLS) (027)
271 Methods of TCustomCheckBox (STDCTRLS) (027)
6 superordinates
69 properties

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TButtonControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TCustomCheckBox (STDCTRLS) (028)
271 Methods of TCustomCheckBox (STDCTRLS) (028)
6 superordinates
69 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCheckBox (STDCTRLS)
271 Methods of TCheckBox (STDCTRLS)
7 superordinates
69 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TCustomCheckBox
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (002)
271 Methods of TCheckBox (STDCTRLS) (002)
7 superordinates
69 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TCustomCheckBox
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TCheckBox (STDCTRLS) (003)
271 Methods of TCheckBox (STDCTRLS) (003)
7 superordinates
69 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (004)
271 Methods of TCheckBox (STDCTRLS) (004)
7 superordinates
69 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomCheckBox

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (005)
271 Methods of TCheckBox (STDCTRLS) (005)
7 superordinates
69 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TCheckBox (STDCTRLS) (006)
271 Methods of TCheckBox (STDCTRLS) (006)
7 superordinates
69 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomCheckBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomCheckBox
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomCheckBox
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TCheckBox (STDCTRLS) (007)
271 Methods of TCheckBox (STDCTRLS) (007)
7 superordinates
69 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TCheckBox (STDCTRLS) (008)
271 Methods of TCheckBox (STDCTRLS) (008)
7 superordinates
69 properties

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (009)
271 Methods of TCheckBox (STDCTRLS) (009)
7 superordinates
69 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TCheckBox (STDCTRLS) (010)
271 Methods of TCheckBox (STDCTRLS) (010)
7 superordinates
69 properties

function
GetChecked  (inherited) : Boolean ;
(private) , found in TCustomCheckBox

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (011)
271 Methods of TCheckBox (STDCTRLS) (011)
7 superordinates
69 properties

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl


Methods of TCheckBox (STDCTRLS) (012)
271 Methods of TCheckBox (STDCTRLS) (012)
7 superordinates
69 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (013)
271 Methods of TCheckBox (STDCTRLS) (013)
7 superordinates
69 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TCheckBox (STDCTRLS) (014)
271 Methods of TCheckBox (STDCTRLS) (014)
7 superordinates
69 properties

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TCheckBox (STDCTRLS) (015)
271 Methods of TCheckBox (STDCTRLS) (015)
7 superordinates
69 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl


Methods of TCheckBox (STDCTRLS) (016)
271 Methods of TCheckBox (STDCTRLS) (016)
7 superordinates
69 properties

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (017)
271 Methods of TCheckBox (STDCTRLS) (017)
7 superordinates
69 properties

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl


Methods of TCheckBox (STDCTRLS) (018)
271 Methods of TCheckBox (STDCTRLS) (018)
7 superordinates
69 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetAlignment  (inherited) (Value: TLeftRight) ;
(private) , found in TCustomCheckBox

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetChecked  (inherited) (Value: Boolean) ;
(private) , found in TCustomCheckBox

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent


Methods of TCheckBox (STDCTRLS) (019)
271 Methods of TCheckBox (STDCTRLS) (019)
7 superordinates
69 properties

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TCheckBox (STDCTRLS) (020)
271 Methods of TCheckBox (STDCTRLS) (020)
7 superordinates
69 properties

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetState  (inherited) (Value: TCheckBoxState) ;
(private) , found in TCustomCheckBox

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (021)
271 Methods of TCheckBox (STDCTRLS) (021)
7 superordinates
69 properties

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Toggle  (inherited) ;
(protected) virtual, found in TCustomCheckBox


Methods of TCheckBox (STDCTRLS) (022)
271 Methods of TCheckBox (STDCTRLS) (022)
7 superordinates
69 properties

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (023)
271 Methods of TCheckBox (STDCTRLS) (023)
7 superordinates
69 properties

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (024)
271 Methods of TCheckBox (STDCTRLS) (024)
7 superordinates
69 properties

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl


Methods of TCheckBox (STDCTRLS) (025)
271 Methods of TCheckBox (STDCTRLS) (025)
7 superordinates
69 properties

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl


Methods of TCheckBox (STDCTRLS) (026)
271 Methods of TCheckBox (STDCTRLS) (026)
7 superordinates
69 properties

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSetFocus  (inherited) (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private) , found in TCustomCheckBox

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl


Methods of TCheckBox (STDCTRLS) (027)
271 Methods of TCheckBox (STDCTRLS) (027)
7 superordinates
69 properties

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TButtonControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TCheckBox (STDCTRLS) (028)
271 Methods of TCheckBox (STDCTRLS) (028)
7 superordinates
69 properties

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TRadioButton (STDCTRLS)
268 Methods of TRadioButton (STDCTRLS)
6 superordinates
66 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged (var Message: TMessage); message CM_CTL3DCHANGED ;
(private)
procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TRadioButton (STDCTRLS) (002)
268 Methods of TRadioButton (STDCTRLS) (002)
6 superordinates
66 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private)
procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TRadioButton (STDCTRLS) (003)
268 Methods of TRadioButton (STDCTRLS) (003)
6 superordinates
66 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TRadioButton (STDCTRLS) (004)
268 Methods of TRadioButton (STDCTRLS) (004)
6 superordinates
66 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand (var Message: TWMCommand); message CN_COMMAND ;
(private)

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TRadioButton (STDCTRLS) (005)
268 Methods of TRadioButton (STDCTRLS) (005)
6 superordinates
66 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TRadioButton (STDCTRLS) (006)
268 Methods of TRadioButton (STDCTRLS) (006)
6 superordinates
66 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TRadioButton (STDCTRLS) (007)
268 Methods of TRadioButton (STDCTRLS) (007)
6 superordinates
66 properties

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TRadioButton (STDCTRLS) (008)
268 Methods of TRadioButton (STDCTRLS) (008)
6 superordinates
66 properties

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TRadioButton (STDCTRLS) (009)
268 Methods of TRadioButton (STDCTRLS) (009)
6 superordinates
66 properties

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl


Methods of TRadioButton (STDCTRLS) (010)
268 Methods of TRadioButton (STDCTRLS) (010)
6 superordinates
66 properties

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TRadioButton (STDCTRLS) (011)
268 Methods of TRadioButton (STDCTRLS) (011)
6 superordinates
66 properties

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl


Methods of TRadioButton (STDCTRLS) (012)
268 Methods of TRadioButton (STDCTRLS) (012)
6 superordinates
66 properties

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TRadioButton (STDCTRLS) (013)
268 Methods of TRadioButton (STDCTRLS) (013)
6 superordinates
66 properties

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl


Methods of TRadioButton (STDCTRLS) (014)
268 Methods of TRadioButton (STDCTRLS) (014)
6 superordinates
66 properties

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject


Methods of TRadioButton (STDCTRLS) (015)
268 Methods of TRadioButton (STDCTRLS) (015)
6 superordinates
66 properties

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent


Methods of TRadioButton (STDCTRLS) (016)
268 Methods of TRadioButton (STDCTRLS) (016)
6 superordinates
66 properties

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl


Methods of TRadioButton (STDCTRLS) (017)
268 Methods of TRadioButton (STDCTRLS) (017)
6 superordinates
66 properties

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl


Methods of TRadioButton (STDCTRLS) (018)
268 Methods of TRadioButton (STDCTRLS) (018)
6 superordinates
66 properties

procedure
SetAlignment (Value: TLeftRight) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetChecked (Value: Boolean) ;
(protected)

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TRadioButton (STDCTRLS) (019)
268 Methods of TRadioButton (STDCTRLS) (019)
6 superordinates
66 properties

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl


Methods of TRadioButton (STDCTRLS) (020)
268 Methods of TRadioButton (STDCTRLS) (020)
6 superordinates
66 properties

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl


Methods of TRadioButton (STDCTRLS) (021)
268 Methods of TRadioButton (STDCTRLS) (021)
6 superordinates
66 properties

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl


Methods of TRadioButton (STDCTRLS) (022)
268 Methods of TRadioButton (STDCTRLS) (022)
6 superordinates
66 properties

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl


Methods of TRadioButton (STDCTRLS) (023)
268 Methods of TRadioButton (STDCTRLS) (023)
6 superordinates
66 properties

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl


Methods of TRadioButton (STDCTRLS) (024)
268 Methods of TRadioButton (STDCTRLS) (024)
6 superordinates
66 properties

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl


Methods of TRadioButton (STDCTRLS) (025)
268 Methods of TRadioButton (STDCTRLS) (025)
6 superordinates
66 properties

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl


Methods of TRadioButton (STDCTRLS) (026)
268 Methods of TRadioButton (STDCTRLS) (026)
6 superordinates
66 properties

procedure
WMSetFocus (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private)

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl


Methods of TRadioButton (STDCTRLS) (027)
268 Methods of TRadioButton (STDCTRLS) (027)
6 superordinates
66 properties

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TButtonControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TCustomListBox (STDCTRLS)
290 Methods of TCustomListBox (STDCTRLS)
5 superordinates
82 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TCustomListBox (STDCTRLS) (002)
290 Methods of TCustomListBox (STDCTRLS) (002)
5 superordinates
82 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TCustomListBox (STDCTRLS) (003)
290 Methods of TCustomListBox (STDCTRLS) (003)
5 superordinates
82 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TCustomListBox (STDCTRLS) (004)
290 Methods of TCustomListBox (STDCTRLS) (004)
5 superordinates
82 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand (var Message: TWMCommand); message CN_COMMAND ;
(private)

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private)

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNMeasureItem (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private)


Methods of TCustomListBox (STDCTRLS) (005)
290 Methods of TCustomListBox (STDCTRLS) (005)
5 superordinates
82 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TCustomListBox (STDCTRLS) (006)
290 Methods of TCustomListBox (STDCTRLS) (006)
5 superordinates
82 properties

procedure
Clear ;
(public)

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl


Methods of TCustomListBox (STDCTRLS) (007)
290 Methods of TCustomListBox (STDCTRLS) (007)
5 superordinates
82 properties

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd ;
(protected) override
procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TCustomListBox (STDCTRLS) (008)
290 Methods of TCustomListBox (STDCTRLS) (008)
5 superordinates
82 properties

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled ;
(protected) override
procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TCustomListBox (STDCTRLS) (009)
290 Methods of TCustomListBox (STDCTRLS) (009)
5 superordinates
82 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) virtual

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TCustomListBox (STDCTRLS) (010)
290 Methods of TCustomListBox (STDCTRLS) (010)
5 superordinates
82 properties

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent


Methods of TCustomListBox (STDCTRLS) (011)
290 Methods of TCustomListBox (STDCTRLS) (011)
5 superordinates
82 properties

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItemHeight : Integer ;
(private)

function
GetItemIndex : Integer ;
(private)

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TCustomListBox (STDCTRLS) (012)
290 Methods of TCustomListBox (STDCTRLS) (012)
5 superordinates
82 properties

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelCount : Integer ;
(private)

function
GetSelected (Index: Integer): Boolean ;
(private)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetTopIndex : Integer ;
(private)

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TCustomListBox (STDCTRLS) (013)
290 Methods of TCustomListBox (STDCTRLS) (013)
5 superordinates
82 properties

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl


Methods of TCustomListBox (STDCTRLS) (014)
290 Methods of TCustomListBox (STDCTRLS) (014)
5 superordinates
82 properties

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

function
ItemAtPos (Pos: TPoint; Existing: Boolean): Integer ;
(public)

function
ItemRect (Index: Integer): TRect ;
(public)


Methods of TCustomListBox (STDCTRLS) (015)
290 Methods of TCustomListBox (STDCTRLS) (015)
5 superordinates
82 properties

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MeasureItem (Index: Integer; var Height: Integer) ;
(protected) virtual

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TCustomListBox (STDCTRLS) (016)
290 Methods of TCustomListBox (STDCTRLS) (016)
5 superordinates
82 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl


Methods of TCustomListBox (STDCTRLS) (017)
290 Methods of TCustomListBox (STDCTRLS) (017)
5 superordinates
82 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TCustomListBox (STDCTRLS) (018)
290 Methods of TCustomListBox (STDCTRLS) (018)
5 superordinates
82 properties

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl


Methods of TCustomListBox (STDCTRLS) (019)
290 Methods of TCustomListBox (STDCTRLS) (019)
5 superordinates
82 properties

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle (Value: TBorderStyle) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumnWidth ;
(private)


Methods of TCustomListBox (STDCTRLS) (020)
290 Methods of TCustomListBox (STDCTRLS) (020)
5 superordinates
82 properties

procedure
SetColumns (Value: Integer) ;
(private)

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetExtendedSelect (Value: Boolean) ;
(private)

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TCustomListBox (STDCTRLS) (021)
290 Methods of TCustomListBox (STDCTRLS) (021)
5 superordinates
82 properties

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetIntegralHeight (Value: Boolean) ;
(private)

procedure
SetItemHeight (Value: Integer) ;
(private)

procedure
SetItemIndex (Value: Integer) ;
(private)

procedure
SetItems (Value: TStrings) ;
(private)

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetMultiSelect (Value: Boolean) ;
(private)

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl


Methods of TCustomListBox (STDCTRLS) (022)
290 Methods of TCustomListBox (STDCTRLS) (022)
5 superordinates
82 properties

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelected (Index: Integer; Value: Boolean) ;
(private)

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSorted (Value: Boolean) ;
(private)

procedure
SetStyle (Value: TListBoxStyle) ;
(private)

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TCustomListBox (STDCTRLS) (023)
290 Methods of TCustomListBox (STDCTRLS) (023)
5 superordinates
82 properties

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTopIndex (Value: Integer) ;
(private)

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl


Methods of TCustomListBox (STDCTRLS) (024)
290 Methods of TCustomListBox (STDCTRLS) (024)
5 superordinates
82 properties

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl


Methods of TCustomListBox (STDCTRLS) (025)
290 Methods of TCustomListBox (STDCTRLS) (025)
5 superordinates
82 properties

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl


Methods of TCustomListBox (STDCTRLS) (026)
290 Methods of TCustomListBox (STDCTRLS) (026)
5 superordinates
82 properties

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private)
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl


Methods of TCustomListBox (STDCTRLS) (027)
290 Methods of TCustomListBox (STDCTRLS) (027)
5 superordinates
82 properties

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint (var Message: TWMPaint); message WM_PAINT ;
(private)
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl


Methods of TCustomListBox (STDCTRLS) (028)
290 Methods of TCustomListBox (STDCTRLS) (028)
5 superordinates
82 properties

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize (var Message: TWMSize); message WM_SIZE ;
(private)
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl


Methods of TCustomListBox (STDCTRLS) (029)
290 Methods of TCustomListBox (STDCTRLS) (029)
5 superordinates
82 properties

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc (var Message: TMessage) ;
(protected) override
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TListBox (STDCTRLS)
290 Methods of TListBox (STDCTRLS)
6 superordinates
82 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TListBox (STDCTRLS) (002)
290 Methods of TListBox (STDCTRLS) (002)
6 superordinates
82 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TListBox (STDCTRLS) (003)
290 Methods of TListBox (STDCTRLS) (003)
6 superordinates
82 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TListBox (STDCTRLS) (004)
290 Methods of TListBox (STDCTRLS) (004)
6 superordinates
82 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCommand  (inherited) (var Message: TWMCommand); message CN_COMMAND ;
(private) , found in TCustomListBox

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNDrawItem  (inherited) (var Message: TWMDrawItem); message CN_DRAWITEM ;
(private) , found in TCustomListBox

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNMeasureItem  (inherited) (var Message: TWMMeasureItem); message CN_MEASUREITEM ;
(private) , found in TCustomListBox


Methods of TListBox (STDCTRLS) (005)
290 Methods of TListBox (STDCTRLS) (005)
6 superordinates
82 properties

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TListBox (STDCTRLS) (006)
290 Methods of TListBox (STDCTRLS) (006)
6 superordinates
82 properties

procedure
Clear  (inherited) ;
(public) , found in TCustomListBox

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomListBox
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) override, found in TCustomListBox
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl


Methods of TListBox (STDCTRLS) (007)
290 Methods of TListBox (STDCTRLS) (007)
6 superordinates
82 properties

procedure
CreateWnd  (inherited) ;
(protected) override, found in TCustomListBox
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TCustomListBox
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) override, found in TCustomListBox
procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent


Methods of TListBox (STDCTRLS) (008)
290 Methods of TListBox (STDCTRLS) (008)
6 superordinates
82 properties

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) override, found in TCustomListBox
procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TListBox (STDCTRLS) (009)
290 Methods of TListBox (STDCTRLS) (009)
6 superordinates
82 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawItem  (inherited) (Index: Integer; Rect: TRect; State: TOwnerDrawState) ;
(protected) virtual, found in TCustomListBox

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TListBox (STDCTRLS) (010)
290 Methods of TListBox (STDCTRLS) (010)
6 superordinates
82 properties

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent


Methods of TListBox (STDCTRLS) (011)
290 Methods of TListBox (STDCTRLS) (011)
6 superordinates
82 properties

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetItemHeight  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetItemIndex  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent


Methods of TListBox (STDCTRLS) (012)
290 Methods of TListBox (STDCTRLS) (012)
6 superordinates
82 properties

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetSelCount  (inherited) : Integer ;
(private) , found in TCustomListBox

function
GetSelected  (inherited) (Index: Integer): Boolean ;
(private) , found in TCustomListBox

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
GetTopIndex  (inherited) : Integer ;
(private) , found in TCustomListBox

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TListBox (STDCTRLS) (013)
290 Methods of TListBox (STDCTRLS) (013)
6 superordinates
82 properties

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl


Methods of TListBox (STDCTRLS) (014)
290 Methods of TListBox (STDCTRLS) (014)
6 superordinates
82 properties

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

function
ItemAtPos  (inherited) (Pos: TPoint; Existing: Boolean): Integer ;
(public) , found in TCustomListBox

function
ItemRect  (inherited) (Index: Integer): TRect ;
(public) , found in TCustomListBox


Methods of TListBox (STDCTRLS) (015)
290 Methods of TListBox (STDCTRLS) (015)
6 superordinates
82 properties

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MeasureItem  (inherited) (Index: Integer; var Height: Integer) ;
(protected) virtual, found in TCustomListBox

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TListBox (STDCTRLS) (016)
290 Methods of TListBox (STDCTRLS) (016)
6 superordinates
82 properties

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl


Methods of TListBox (STDCTRLS) (017)
290 Methods of TListBox (STDCTRLS) (017)
6 superordinates
82 properties

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TListBox (STDCTRLS) (018)
290 Methods of TListBox (STDCTRLS) (018)
6 superordinates
82 properties

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl


Methods of TListBox (STDCTRLS) (019)
290 Methods of TListBox (STDCTRLS) (019)
6 superordinates
82 properties

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle  (inherited) (Value: TBorderStyle) ;
(private) , found in TCustomListBox

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetColumnWidth  (inherited) ;
(private) , found in TCustomListBox


Methods of TListBox (STDCTRLS) (020)
290 Methods of TListBox (STDCTRLS) (020)
6 superordinates
82 properties

procedure
SetColumns  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetExtendedSelect  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TListBox (STDCTRLS) (021)
290 Methods of TListBox (STDCTRLS) (021)
6 superordinates
82 properties

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetIntegralHeight  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetItemHeight  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetItemIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetItems  (inherited) (Value: TStrings) ;
(private) , found in TCustomListBox

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetMultiSelect  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl


Methods of TListBox (STDCTRLS) (022)
290 Methods of TListBox (STDCTRLS) (022)
6 superordinates
82 properties

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetSelected  (inherited) (Index: Integer; Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetSorted  (inherited) (Value: Boolean) ;
(private) , found in TCustomListBox

procedure
SetStyle  (inherited) (Value: TListBoxStyle) ;
(private) , found in TCustomListBox

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TListBox (STDCTRLS) (023)
290 Methods of TListBox (STDCTRLS) (023)
6 superordinates
82 properties

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetTopIndex  (inherited) (Value: Integer) ;
(private) , found in TCustomListBox

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl


Methods of TListBox (STDCTRLS) (024)
290 Methods of TListBox (STDCTRLS) (024)
6 superordinates
82 properties

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl


Methods of TListBox (STDCTRLS) (025)
290 Methods of TListBox (STDCTRLS) (025)
6 superordinates
82 properties

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl


Methods of TListBox (STDCTRLS) (026)
290 Methods of TListBox (STDCTRLS) (026)
6 superordinates
82 properties

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TCustomListBox
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl


Methods of TListBox (STDCTRLS) (027)
290 Methods of TListBox (STDCTRLS) (027)
6 superordinates
82 properties

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomListBox
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl


Methods of TListBox (STDCTRLS) (028)
290 Methods of TListBox (STDCTRLS) (028)
6 superordinates
82 properties

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TCustomListBox
procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl


Methods of TListBox (STDCTRLS) (029)
290 Methods of TListBox (STDCTRLS) (029)
6 superordinates
82 properties

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TCustomListBox
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TScrollBar (STDCTRLS)
274 Methods of TScrollBar (STDCTRLS)
5 superordinates
73 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (002)
274 Methods of TScrollBar (STDCTRLS) (002)
5 superordinates
73 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TScrollBar (STDCTRLS) (003)
274 Methods of TScrollBar (STDCTRLS) (003)
5 superordinates
73 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (004)
274 Methods of TScrollBar (STDCTRLS) (004)
5 superordinates
73 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNHScroll (var Message: TWMHScroll); message CN_HSCROLL ;
(private)

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (005)
274 Methods of TScrollBar (STDCTRLS) (005)
5 superordinates
73 properties

procedure
CNVScroll (var Message: TWMVScroll); message CN_VSCROLL ;
(private)

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
Change ;
(protected) dynamic

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TScrollBar (STDCTRLS) (006)
274 Methods of TScrollBar (STDCTRLS) (006)
5 superordinates
73 properties

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd ;
(protected) override
procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl


Methods of TScrollBar (STDCTRLS) (007)
274 Methods of TScrollBar (STDCTRLS) (007)
5 superordinates
73 properties

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (008)
274 Methods of TScrollBar (STDCTRLS) (008)
5 superordinates
73 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DoScroll (var Message: TWMScroll) ;
(private)

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl


Methods of TScrollBar (STDCTRLS) (009)
274 Methods of TScrollBar (STDCTRLS) (009)
5 superordinates
73 properties

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl


Methods of TScrollBar (STDCTRLS) (010)
274 Methods of TScrollBar (STDCTRLS) (010)
5 superordinates
73 properties

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent


Methods of TScrollBar (STDCTRLS) (011)
274 Methods of TScrollBar (STDCTRLS) (011)
5 superordinates
73 properties

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (012)
274 Methods of TScrollBar (STDCTRLS) (012)
5 superordinates
73 properties

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (013)
274 Methods of TScrollBar (STDCTRLS) (013)
5 superordinates
73 properties

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TScrollBar (STDCTRLS) (014)
274 Methods of TScrollBar (STDCTRLS) (014)
5 superordinates
73 properties

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TScrollBar (STDCTRLS) (015)
274 Methods of TScrollBar (STDCTRLS) (015)
5 superordinates
73 properties

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl


Methods of TScrollBar (STDCTRLS) (016)
274 Methods of TScrollBar (STDCTRLS) (016)
5 superordinates
73 properties

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent


Methods of TScrollBar (STDCTRLS) (017)
274 Methods of TScrollBar (STDCTRLS) (017)
5 superordinates
73 properties

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
Scroll (ScrollCode: TScrollCode; var ScrollPos: Integer) ;
(protected) dynamic

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (018)
274 Methods of TScrollBar (STDCTRLS) (018)
5 superordinates
73 properties

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl


Methods of TScrollBar (STDCTRLS) (019)
274 Methods of TScrollBar (STDCTRLS) (019)
5 superordinates
73 properties

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetKind (Value: TScrollBarKind) ;
(private)


Methods of TScrollBar (STDCTRLS) (020)
274 Methods of TScrollBar (STDCTRLS) (020)
5 superordinates
73 properties

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMax (Value: Integer) ;
(private)

procedure
SetMin (Value: Integer) ;
(private)

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParams (APosition, AMin, AMax: Integer) ;
(public)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TScrollBar (STDCTRLS) (021)
274 Methods of TScrollBar (STDCTRLS) (021)
5 superordinates
73 properties

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPosition (Value: Integer) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TScrollBar (STDCTRLS) (022)
274 Methods of TScrollBar (STDCTRLS) (022)
5 superordinates
73 properties

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (023)
274 Methods of TScrollBar (STDCTRLS) (023)
5 superordinates
73 properties

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (024)
274 Methods of TScrollBar (STDCTRLS) (024)
5 superordinates
73 properties

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl


Methods of TScrollBar (STDCTRLS) (025)
274 Methods of TScrollBar (STDCTRLS) (025)
5 superordinates
73 properties

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (026)
274 Methods of TScrollBar (STDCTRLS) (026)
5 superordinates
73 properties

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl


Methods of TScrollBar (STDCTRLS) (027)
274 Methods of TScrollBar (STDCTRLS) (027)
5 superordinates
73 properties

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent


Methods of TScrollBar (STDCTRLS) (028)
274 Methods of TScrollBar (STDCTRLS) (028)
5 superordinates
73 properties

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TOleContainer (TOCTRL)
310 Methods of TOleContainer (TOCTRL)
6 superordinates
87 properties

procedure
ActivateControl ;
(protected)

procedure
ActivateObjMenuItem (Activate: Boolean) ;
(public)

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl


Methods of TOleContainer (TOCTRL) (002)
310 Methods of TOleContainer (TOCTRL) (002)
6 superordinates
87 properties

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private)
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter (var Message: TCMEnter); message CM_ENTER ;
(private)
procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit (var Message: TCMExit); message CM_EXIT ;
(private)
procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl


Methods of TOleContainer (TOCTRL) (003)
310 Methods of TOleContainer (TOCTRL) (003)
6 superordinates
87 properties

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl


Methods of TOleContainer (TOCTRL) (004)
310 Methods of TOleContainer (TOCTRL) (004)
6 superordinates
87 properties

procedure
CMShowingChanged (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private)
procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged (var Message: TMessage); message CM_VISIBLECHANGED ;
(private)
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl


Methods of TOleContainer (TOCTRL) (005)
310 Methods of TOleContainer (TOCTRL) (005)
6 superordinates
87 properties

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

procedure
CheckLinkInfo (Update: Boolean) ;
(protected)

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject


Methods of TOleContainer (TOCTRL) (006)
310 Methods of TOleContainer (TOCTRL) (006)
6 superordinates
87 properties

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

procedure
ConvertItemClick (Sender: TObject) ;
(protected)

procedure
CopyToClipboard (Clear: Boolean) ;
(public)

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle ;
(protected) override
procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams (var Params: TCreateParams) ;
(protected) override
procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSite ;
(protected)


Methods of TOleContainer (TOCTRL) (007)
310 Methods of TOleContainer (TOCTRL) (007)
6 superordinates
87 properties

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DeactivateControl ;
(protected)

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

procedure
DeleteSite ;
(public)

procedure
DeleteStorage ;
(public)

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TOleContainer (TOCTRL) (008)
310 Methods of TOleContainer (TOCTRL) (008)
6 superordinates
87 properties

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl


Methods of TOleContainer (TOCTRL) (009)
310 Methods of TOleContainer (TOCTRL) (009)
6 superordinates
87 properties

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DoStatusLineMsg (Msg :String) ;
(public)

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl


Methods of TOleContainer (TOCTRL) (010)
310 Methods of TOleContainer (TOCTRL) (010)
6 superordinates
87 properties

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl


Methods of TOleContainer (TOCTRL) (011)
310 Methods of TOleContainer (TOCTRL) (011)
6 superordinates
87 properties

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetContainer : TIBCont ;
(public)

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl


Methods of TOleContainer (TOCTRL) (012)
310 Methods of TOleContainer (TOCTRL) (012)
6 superordinates
87 properties

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetInfo : Pointer ;
(private)

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetObjClass : String ;
(private)

function
GetObjDoc : String ;
(private)

function
GetObjItem : String ;
(private)

function
GetObjMenuItem : TMenuItem ;
(private)

function
GetObjectMenuItem (Index: Integer): string ;
(public)


Methods of TOleContainer (TOCTRL) (013)
310 Methods of TOleContainer (TOCTRL) (013)
6 superordinates
87 properties

function
GetObjectMenuItemCount : Integer ;
(public)

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetPart : IBPart ;
(private)

function
GetStorage : IStorage ;
(private)

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl


Methods of TOleContainer (TOCTRL) (014)
310 Methods of TOleContainer (TOCTRL) (014)
6 superordinates
87 properties

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl


Methods of TOleContainer (TOCTRL) (015)
310 Methods of TOleContainer (TOCTRL) (015)
6 superordinates
87 properties

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl

procedure
KeyDown (var Key: Word; Shift: TShiftState) ;
(protected) override
procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl


Methods of TOleContainer (TOCTRL) (016)
310 Methods of TOleContainer (TOCTRL) (016)
6 superordinates
87 properties

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
LoadFromFile (const FileName: string) ;
(public)

procedure
LoadFromStream (Stream: TStream) ;
(public)

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl


Methods of TOleContainer (TOCTRL) (017)
310 Methods of TOleContainer (TOCTRL) (017)
6 superordinates
87 properties

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
ObjMenuItemClick (Sender: TObject) ;
(protected)

procedure
ObjectMenuAction (Index: Integer) ;
(public)

function
OleObjAllocated : Boolean ;
(public)

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl


Methods of TOleContainer (TOCTRL) (018)
310 Methods of TOleContainer (TOCTRL) (018)
6 superordinates
87 properties

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadData (Stream: TStream) ;
(private)

procedure
ReadInitInfo (Reader: TReader) ;
(private)

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl


Methods of TOleContainer (TOCTRL) (019)
310 Methods of TOleContainer (TOCTRL) (019)
6 superordinates
87 properties

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ResetObjMenuItem ;
(protected)

procedure
SaveToFile (const FileName: string) ;
(public)


Methods of TOleContainer (TOCTRL) (020)
310 Methods of TOleContainer (TOCTRL) (020)
6 superordinates
87 properties

procedure
SaveToStream (Stream: TStream) ;
(public)

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetActive (NewActive: Boolean) ;
(private)


Methods of TOleContainer (TOCTRL) (021)
310 Methods of TOleContainer (TOCTRL) (021)
6 superordinates
87 properties

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBorderStyle (Style: TBorderStyle) ;
(private)

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TOleContainer (TOCTRL) (022)
310 Methods of TOleContainer (TOCTRL) (022)
6 superordinates
87 properties

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl

procedure
SetInPlaceActive (NewActive: Boolean) ;
(private)

procedure
SetInfo (PInfo: Pointer) ;
(private)

procedure
SetInitInfo (Info: BoleInitInfo) ;
(private)


Methods of TOleContainer (TOCTRL) (023)
310 Methods of TOleContainer (TOCTRL) (023)
6 superordinates
87 properties

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetObjClass (Str: String) ;
(private)

procedure
SetObjDoc (Str: String) ;
(private)

procedure
SetObjItem (Str: String) ;
(private)

procedure
SetObjMenuItem ;
(private)

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl


Methods of TOleContainer (TOCTRL) (024)
310 Methods of TOleContainer (TOCTRL) (024)
6 superordinates
87 properties

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetPartRect (Value: TRect) ;
(private)

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TOleContainer (TOCTRL) (025)
310 Methods of TOleContainer (TOCTRL) (025)
6 superordinates
87 properties

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
SetZoomFactor (ZF: TZoomFactor) ;
(private)

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl


Methods of TOleContainer (TOCTRL) (026)
310 Methods of TOleContainer (TOCTRL) (026)
6 superordinates
87 properties

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl


Methods of TOleContainer (TOCTRL) (027)
310 Methods of TOleContainer (TOCTRL) (027)
6 superordinates
87 properties

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMKillFocus (var Message: TWMSetFocus); message WM_KILLFOCUS ;
(private)

procedure
WMLButtonDblClk (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private)
procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl


Methods of TOleContainer (TOCTRL) (028)
310 Methods of TOleContainer (TOCTRL) (028)
6 superordinates
87 properties

procedure
WMLButtonDown (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private)
procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl

procedure
WMMove (var Message: TWMMove); message WM_MOVE ;
(private)
procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private)
procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl


Methods of TOleContainer (TOCTRL) (029)
310 Methods of TOleContainer (TOCTRL) (029)
6 superordinates
87 properties

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl


Methods of TOleContainer (TOCTRL) (030)
310 Methods of TOleContainer (TOCTRL) (030)
6 superordinates
87 properties

procedure
WMSetFocus (var Message: TWMSetFocus); message WM_SETFOCUS ;
(private)

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl


Methods of TOleContainer (TOCTRL) (031)
310 Methods of TOleContainer (TOCTRL) (031)
6 superordinates
87 properties

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private)
procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteData (Stream: TStream) ;
(private)

procedure
WriteInitInfo (Writer: TWriter) ;
(private)

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Methods of TOleDropNotify (TOCTRL)
19 Methods of TOleDropNotify (TOCTRL)
1 superordinates
5 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TOleDropNotify (TOCTRL) (002)
19 Methods of TOleDropNotify (TOCTRL) (002)
1 superordinates
5 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetInfoPtr : Pointer ;
(protected)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetInfo (Form: TForm; Rect: TRect; Info: BoleInitInfo) ;
(public)


Methods of TIToolServices (TOOLINTF)
43 Methods of TIToolServices (TOOLINTF)
2 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

function
CloseFile (const FileName: string): Boolean; export ;
(public) virtual/abstract

function
CloseProject : Boolean; export ;
(public) virtual/abstract

constructor
Create  (inherited) ;
(published) , found in TObject

function
CreateModule (const ModuleName: string; Source, Form: TIStream; CreateFlags: TCreateModuleFlags): Boolean; export ;
(public) virtual/abstract

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject


Methods of TIToolServices (TOOLINTF) (002)
43 Methods of TIToolServices (TOOLINTF) (002)
2 superordinates
0 properties

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(public) , found in TInterface
procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetComponentCount (ModIndex: Integer): Integer; export ;
(public) virtual/abstract

function
GetComponentName (ModIndex, CompIndex: Integer): string; export ;
(public) virtual/abstract

function
GetCurrentFile : string; export ;
(public) virtual/abstract

function
GetFormCount : Integer; export ;
(public) virtual/abstract

function
GetFormName (Index: Integer): string; export ;
(public) virtual/abstract

function
GetModuleCount : Integer; export ;
(public) virtual/abstract


Methods of TIToolServices (TOOLINTF) (003)
43 Methods of TIToolServices (TOOLINTF) (003)
2 superordinates
0 properties

function
GetModuleName (Index: Integer): string; export ;
(public) virtual/abstract

function
GetNewModuleName (var UnitIdent, FileName: string): Boolean; export ;
(public) virtual/abstract

function
GetParentHandle : HWND; export ;
(public) virtual/abstract

function
GetProjectName : string; export ;
(public) virtual/abstract

function
GetUnitCount : Integer; export ;
(public) virtual/abstract

function
GetUnitName (Index: Integer): string; export ;
(public) virtual/abstract

function
GetVersion  (inherited) : Integer; export ;
(public) virtual, found in TInterface

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject


Methods of TIToolServices (TOOLINTF) (004)
43 Methods of TIToolServices (TOOLINTF) (004)
2 superordinates
0 properties

function
IsFileOpen (const FileName: string): Boolean; export ;
(public) virtual/abstract

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

function
ModalDialogBox (Instance: THandle; TemplateName: PChar; WndParent: HWnd; DialogFunc: TFarProc; InitParam: LongInt): Integer; export ;
(public) virtual/abstract

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
OpenFile (const FileName: string): Boolean; export ;
(public) virtual/abstract

function
OpenProject (const ProjName: string): Boolean; export ;
(public) virtual/abstract

function
OpenProjectInfo (const ProjName: string): Boolean; export ;
(public) virtual/abstract

procedure
RaiseException (const Message: string); export ;
(public) virtual/abstract

procedure
Release  (inherited) ; export ;
(public) virtual, found in TInterface


Methods of TIToolServices (TOOLINTF) (005)
43 Methods of TIToolServices (TOOLINTF) (005)
2 superordinates
0 properties

function
ReloadFile (const FileName: string): Boolean; export ;
(public) virtual/abstract

function
SaveFile (const FileName: string): Boolean; export ;
(public) virtual/abstract

function
SaveProject : Boolean; export ;
(public) virtual/abstract


Methods of TInterface (VIRTINTF)
19 Methods of TInterface (VIRTINTF)
1 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free ;
(public)
procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TInterface (VIRTINTF) (002)
19 Methods of TInterface (VIRTINTF) (002)
1 superordinates
0 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetVersion : Integer; export ;
(public) virtual

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Release ; export ;
(public) virtual


Methods of TIStream (VIRTINTF)
23 Methods of TIStream (VIRTINTF)
2 superordinates
0 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) ;
(published) , found in TObject

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(public) , found in TInterface
procedure
Free  (inherited) ;
(published) , found in TObject


Methods of TIStream (VIRTINTF) (002)
23 Methods of TIStream (VIRTINTF) (002)
2 superordinates
0 properties

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetModifyTime : Longint; export ;
(public) virtual/abstract

function
GetVersion  (inherited) : Integer; export ;
(public) virtual, found in TInterface

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

function
Read (var Buffer; Count: Longint): Longint; export ;
(public) virtual/abstract


Methods of TIStream (VIRTINTF) (003)
23 Methods of TIStream (VIRTINTF) (003)
2 superordinates
0 properties

procedure
Release  (inherited) ; export ;
(public) virtual, found in TInterface

function
Seek (Offset: Longint; Origin: Word): Longint; export ;
(public) virtual/abstract

function
Write (const Buffer; Count: Longint): Longint; export ;
(public) virtual/abstract


Methods of Exception (SYSUTILS)
26 Methods of Exception (SYSUTILS)
1 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create (const Msg: string) ;
(public)
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt (const Msg: string; const Args: array of const) ;
(public)

constructor
CreateFmtHelp (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public)

constructor
CreateHelp (const Msg: string; AHelpContext: Longint) ;
(public)

constructor
CreateRes (Ident: Word) ;
(public)

constructor
CreateResFmt (Ident: Word; const Args: array of const) ;
(public)


Methods of Exception (SYSUTILS) (002)
26 Methods of Exception (SYSUTILS) (002)
1 superordinates
3 properties

constructor
CreateResFmtHelp (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public)

constructor
CreateResHelp (Ident: Word; AHelpContext: Longint) ;
(public)

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage : string ;
(private)

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of Exception (SYSUTILS) (003)
26 Methods of Exception (SYSUTILS) (003)
1 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage (const Value: string) ;
(private)


Methods of EAbort (SYSUTILS)
26 Methods of EAbort (SYSUTILS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EAbort (SYSUTILS) (002)
26 Methods of EAbort (SYSUTILS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EAbort (SYSUTILS) (003)
26 Methods of EAbort (SYSUTILS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EOutOfMemory (SYSUTILS)
26 Methods of EOutOfMemory (SYSUTILS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EOutOfMemory (SYSUTILS) (002)
26 Methods of EOutOfMemory (SYSUTILS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance ;
(public) override
procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EOutOfMemory (SYSUTILS) (003)
26 Methods of EOutOfMemory (SYSUTILS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EInOutError (SYSUTILS)
26 Methods of EInOutError (SYSUTILS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInOutError (SYSUTILS) (002)
26 Methods of EInOutError (SYSUTILS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInOutError (SYSUTILS) (003)
26 Methods of EInOutError (SYSUTILS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EIntError (SYSUTILS)
26 Methods of EIntError (SYSUTILS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EIntError (SYSUTILS) (002)
26 Methods of EIntError (SYSUTILS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EIntError (SYSUTILS) (003)
26 Methods of EIntError (SYSUTILS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EDivByZero (SYSUTILS)
26 Methods of EDivByZero (SYSUTILS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EDivByZero (SYSUTILS) (002)
26 Methods of EDivByZero (SYSUTILS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EDivByZero (SYSUTILS) (003)
26 Methods of EDivByZero (SYSUTILS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of ERangeError (SYSUTILS)
26 Methods of ERangeError (SYSUTILS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of ERangeError (SYSUTILS) (002)
26 Methods of ERangeError (SYSUTILS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of ERangeError (SYSUTILS) (003)
26 Methods of ERangeError (SYSUTILS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EIntOverflow (SYSUTILS)
26 Methods of EIntOverflow (SYSUTILS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EIntOverflow (SYSUTILS) (002)
26 Methods of EIntOverflow (SYSUTILS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EIntOverflow (SYSUTILS) (003)
26 Methods of EIntOverflow (SYSUTILS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EMathError (SYSUTILS)
26 Methods of EMathError (SYSUTILS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EMathError (SYSUTILS) (002)
26 Methods of EMathError (SYSUTILS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EMathError (SYSUTILS) (003)
26 Methods of EMathError (SYSUTILS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EInvalidOp (SYSUTILS)
26 Methods of EInvalidOp (SYSUTILS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInvalidOp (SYSUTILS) (002)
26 Methods of EInvalidOp (SYSUTILS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInvalidOp (SYSUTILS) (003)
26 Methods of EInvalidOp (SYSUTILS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EZeroDivide (SYSUTILS)
26 Methods of EZeroDivide (SYSUTILS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EZeroDivide (SYSUTILS) (002)
26 Methods of EZeroDivide (SYSUTILS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EZeroDivide (SYSUTILS) (003)
26 Methods of EZeroDivide (SYSUTILS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EOverflow (SYSUTILS)
26 Methods of EOverflow (SYSUTILS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EOverflow (SYSUTILS) (002)
26 Methods of EOverflow (SYSUTILS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EOverflow (SYSUTILS) (003)
26 Methods of EOverflow (SYSUTILS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EUnderflow (SYSUTILS)
26 Methods of EUnderflow (SYSUTILS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EUnderflow (SYSUTILS) (002)
26 Methods of EUnderflow (SYSUTILS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EUnderflow (SYSUTILS) (003)
26 Methods of EUnderflow (SYSUTILS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EInvalidPointer (SYSUTILS)
26 Methods of EInvalidPointer (SYSUTILS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInvalidPointer (SYSUTILS) (002)
26 Methods of EInvalidPointer (SYSUTILS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInvalidPointer (SYSUTILS) (003)
26 Methods of EInvalidPointer (SYSUTILS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EInvalidCast (SYSUTILS)
26 Methods of EInvalidCast (SYSUTILS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInvalidCast (SYSUTILS) (002)
26 Methods of EInvalidCast (SYSUTILS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInvalidCast (SYSUTILS) (003)
26 Methods of EInvalidCast (SYSUTILS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EConvertError (SYSUTILS)
26 Methods of EConvertError (SYSUTILS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EConvertError (SYSUTILS) (002)
26 Methods of EConvertError (SYSUTILS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EConvertError (SYSUTILS) (003)
26 Methods of EConvertError (SYSUTILS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EProcessorException (SYSUTILS)
26 Methods of EProcessorException (SYSUTILS)
2 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EProcessorException (SYSUTILS) (002)
26 Methods of EProcessorException (SYSUTILS) (002)
2 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EProcessorException (SYSUTILS) (003)
26 Methods of EProcessorException (SYSUTILS) (003)
2 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EFault (SYSUTILS)
26 Methods of EFault (SYSUTILS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EFault (SYSUTILS) (002)
26 Methods of EFault (SYSUTILS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EFault (SYSUTILS) (003)
26 Methods of EFault (SYSUTILS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EGPFault (SYSUTILS)
26 Methods of EGPFault (SYSUTILS)
4 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EGPFault (SYSUTILS) (002)
26 Methods of EGPFault (SYSUTILS) (002)
4 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EGPFault (SYSUTILS) (003)
26 Methods of EGPFault (SYSUTILS) (003)
4 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EStackFault (SYSUTILS)
26 Methods of EStackFault (SYSUTILS)
4 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EStackFault (SYSUTILS) (002)
26 Methods of EStackFault (SYSUTILS) (002)
4 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EStackFault (SYSUTILS) (003)
26 Methods of EStackFault (SYSUTILS) (003)
4 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EPageFault (SYSUTILS)
26 Methods of EPageFault (SYSUTILS)
4 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EPageFault (SYSUTILS) (002)
26 Methods of EPageFault (SYSUTILS) (002)
4 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EPageFault (SYSUTILS) (003)
26 Methods of EPageFault (SYSUTILS) (003)
4 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EInvalidOpCode (SYSUTILS)
26 Methods of EInvalidOpCode (SYSUTILS)
4 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EInvalidOpCode (SYSUTILS) (002)
26 Methods of EInvalidOpCode (SYSUTILS) (002)
4 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EInvalidOpCode (SYSUTILS) (003)
26 Methods of EInvalidOpCode (SYSUTILS) (003)
4 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of EBreakpoint (SYSUTILS)
26 Methods of EBreakpoint (SYSUTILS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of EBreakpoint (SYSUTILS) (002)
26 Methods of EBreakpoint (SYSUTILS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of EBreakpoint (SYSUTILS) (003)
26 Methods of EBreakpoint (SYSUTILS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of ESingleStep (SYSUTILS)
26 Methods of ESingleStep (SYSUTILS)
3 superordinates
3 properties

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

constructor
Create  (inherited) (const Msg: string) ;
(public) , found in Exception
constructor
Create  (inherited) ;
(published) , found in TObject

constructor
CreateFmt  (inherited) (const Msg: string; const Args: array of const) ;
(public) , found in Exception

constructor
CreateFmtHelp  (inherited) (const Msg: string; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateHelp  (inherited) (const Msg: string; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateRes  (inherited) (Ident: Word) ;
(public) , found in Exception

constructor
CreateResFmt  (inherited) (Ident: Word; const Args: array of const) ;
(public) , found in Exception


Methods of ESingleStep (SYSUTILS) (002)
26 Methods of ESingleStep (SYSUTILS) (002)
3 superordinates
3 properties

constructor
CreateResFmtHelp  (inherited) (Ident: Word; const Args: array of const; AHelpContext: Longint) ;
(public) , found in Exception

constructor
CreateResHelp  (inherited) (Ident: Word; AHelpContext: Longint) ;
(public) , found in Exception

procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject

destructor
Destroy  (inherited) ;
(public) override, found in Exception
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject

function
GetMessage  (inherited) : string ;
(private) , found in Exception

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject


Methods of ESingleStep (SYSUTILS) (003)
26 Methods of ESingleStep (SYSUTILS) (003)
3 superordinates
3 properties

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
SetMessage  (inherited) (const Value: string) ;
(private) , found in Exception


Methods of TTabSet (TABS)
270 Methods of TTabSet (TABS)
6 superordinates
81 properties

procedure
AlignControl  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
AlignControls  (inherited) (AControl: TControl; var Rect: TRect) ;
(protected) virtual, found in TWinControl

procedure
Assign  (inherited) (Source: TPersistent) ;
(public) virtual, found in TPersistent

procedure
AssignError  (inherited) (Source: TPersistent) ;
(private) , found in TPersistent

procedure
AssignTo  (inherited) (Dest: TPersistent) ;
(protected) virtual, found in TPersistent

procedure
BeginDrag  (inherited) (Immediate: Boolean) ;
(public) , found in TControl

procedure
BringToFront  (inherited) ;
(public) , found in TControl

procedure
Broadcast  (inherited) (var Message) ;
(public) , found in TWinControl

procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TWinControl
procedure
CMColorChanged  (inherited) (var Message: TMessage); message CM_COLORCHANGED ;
(private) , found in TControl

procedure
CMCtl3DChanged  (inherited) (var Message: TMessage); message CM_CTL3DCHANGED ;
(private) , found in TWinControl


Methods of TTabSet (TABS) (002)
270 Methods of TTabSet (TABS) (002)
6 superordinates
81 properties

procedure
CMCursorChanged  (inherited) (var Message: TMessage); message CM_CURSORCHANGED ;
(private) , found in TWinControl

procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TWinControl
procedure
CMDesignHitTest  (inherited) (var Message: TCMDesignHitTest); message CM_DESIGNHITTEST ;
(private) , found in TControl

procedure
CMDialogChar  (inherited) (var Message: TCMDialogChar); message CM_DIALOGCHAR ;
(private) , found in TWinControl

procedure
CMDialogKey  (inherited) (var Message: TCMDialogKey); message CM_DIALOGKEY ;
(private) , found in TWinControl

procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TWinControl
procedure
CMEnabledChanged  (inherited) (var Message: TMessage); message CM_ENABLEDCHANGED ;
(private) , found in TControl

procedure
CMEnter  (inherited) (var Message: TCMEnter); message CM_ENTER ;
(private) , found in TWinControl

procedure
CMExit  (inherited) (var Message: TCMExit); message CM_EXIT ;
(private) , found in TWinControl

procedure
CMFocusChanged  (inherited) (var Message: TCMFocusChanged); message CM_FOCUSCHANGED ;
(private) , found in TWinControl

procedure
CMFontChange  (inherited) (var Message: TMessage); message CM_FONTCHANGE ;
(private) , found in TWinControl

procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TWinControl
procedure
CMFontChanged  (inherited) (var Message: TMessage); message CM_FONTCHANGED ;
(private) , found in TControl


Methods of TTabSet (TABS) (003)
270 Methods of TTabSet (TABS) (003)
6 superordinates
81 properties

procedure
CMHitTest  (inherited) (var Message: TCMHitTest); message CM_HITTEST ;
(private) , found in TControl

procedure
CMMouseEnter  (inherited) (var Message: TMessage); message CM_MOUSEENTER ;
(private) , found in TControl

procedure
CMMouseLeave  (inherited) (var Message: TMessage); message CM_MOUSELEAVE ;
(private) , found in TControl

procedure
CMParentColorChanged  (inherited) (var Message: TMessage); message CM_PARENTCOLORCHANGED ;
(private) , found in TControl

procedure
CMParentCtl3DChanged  (inherited) (var Message: TMessage); message CM_PARENTCTL3DCHANGED ;
(private) , found in TWinControl

procedure
CMParentFontChanged  (inherited) (var Message: TMessage); message CM_PARENTFONTCHANGED ;
(private) , found in TControl

procedure
CMParentShowHintChanged  (inherited) (var Message: TMessage); message CM_PARENTSHOWHINTCHANGED ;
(private) , found in TControl

procedure
CMShowHintChanged  (inherited) (var Message: TMessage); message CM_SHOWHINTCHANGED ;
(private) , found in TWinControl

procedure
CMShowingChanged  (inherited) (var Message: TMessage); message CM_SHOWINGCHANGED ;
(private) , found in TWinControl

procedure
CMSysColorChange  (inherited) (var Message: TMessage); message CM_SYSCOLORCHANGE ;
(private) , found in TWinControl


Methods of TTabSet (TABS) (004)
270 Methods of TTabSet (TABS) (004)
6 superordinates
81 properties

procedure
CMTimeChange  (inherited) (var Message: TMessage); message CM_TIMECHANGE ;
(private) , found in TWinControl

procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TWinControl
procedure
CMVisibleChanged  (inherited) (var Message: TMessage); message CM_VISIBLECHANGED ;
(private) , found in TControl

procedure
CMWinIniChange  (inherited) (var Message: TWMWinIniChange); message CM_WININICHANGE ;
(private) , found in TWinControl

procedure
CNChar  (inherited) (var Message: TWMChar); message CN_CHAR ;
(private) , found in TWinControl

procedure
CNCtlColor  (inherited) (var Message: TWMCtlColor); message CN_CTLCOLOR ;
(private) , found in TWinControl

procedure
CNKeyDown  (inherited) (var Message: TWMKeyDown); message CN_KEYDOWN ;
(private) , found in TWinControl

procedure
CNKeyUp  (inherited) (var Message: TWMKeyUp); message CN_KEYUP ;
(private) , found in TWinControl

procedure
CNSysChar  (inherited) (var Message: TWMChar); message CN_SYSCHAR ;
(private) , found in TWinControl

procedure
CNSysKeyDown  (inherited) (var Message: TWMKeyDown); message CN_SYSKEYDOWN ;
(private) , found in TWinControl

function
CanChange (NewIndex: Integer): Boolean ;
(protected)


Methods of TTabSet (TABS) (005)
270 Methods of TTabSet (TABS) (005)
6 superordinates
81 properties

function
CanFocus  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
ChangeName  (inherited) (const NewName: TComponentName) ;
(protected) , found in TComponent

procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) override, found in TWinControl
procedure
ChangeScale  (inherited) (M, D: Integer) ;
(protected) dynamic, found in TControl

function
CheckMenuPopup  (inherited) (X, Y: Integer): Boolean ;
(private) , found in TControl

class function
ClassInfo  (inherited) : Pointer ;
(published) , found in TObject

class function
ClassName  (inherited) : string ;
(published) , found in TObject

class function
ClassParent  (inherited) : TClass ;
(published) , found in TObject

function
ClassType  (inherited) : TClass ;
(published) , found in TObject

procedure
Click  (inherited) ;
(protected) dynamic, found in TControl

function
ClientToScreen  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl


Methods of TTabSet (TABS) (006)
270 Methods of TTabSet (TABS) (006)
6 superordinates
81 properties

function
ContainsControl  (inherited) (Control: TControl): Boolean ;
(public) , found in TWinControl

function
ControlAtPos  (inherited) (const Pos: TPoint; AllowDisabled: Boolean): TControl ;
(public) , found in TWinControl

constructor
Create (AOwner: TComponent) ;
(public) override
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TCustomControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TWinControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) override, found in TControl
constructor
Create  (inherited) (AOwner: TComponent) ;
(public) virtual, found in TComponent
constructor
Create  (inherited) ;
(published) , found in TObject

procedure
CreateHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
CreateParams  (inherited) (var Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateSubClass  (inherited) (var Params: TCreateParams; ControlClassName: PChar) ;
(protected) , found in TWinControl

procedure
CreateWindowHandle  (inherited) (const Params: TCreateParams) ;
(protected) virtual, found in TWinControl

procedure
CreateWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DblClick  (inherited) ;
(protected) dynamic, found in TControl

procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TWinControl
procedure
DefaultHandler  (inherited) (var Message) ;
(protected) override, found in TControl
procedure
DefaultHandler  (inherited) (var Message) ;
(published) virtual, found in TObject


Methods of TTabSet (TABS) (007)
270 Methods of TTabSet (TABS) (007)
6 superordinates
81 properties

procedure
DefineProperties (Filer: TFiler) ;
(protected) override
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TControl
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) override, found in TComponent
procedure
DefineProperties  (inherited) (Filer: TFiler) ;
(protected) virtual, found in TPersistent

destructor
Destroy ;
(public) override
destructor
Destroy  (inherited) ;
(public) override, found in TCustomControl
destructor
Destroy  (inherited) ;
(public) override, found in TWinControl
destructor
Destroy  (inherited) ;
(public) override, found in TControl
destructor
Destroy  (inherited) ;
(public) override, found in TComponent
destructor
Destroy  (inherited) ;
(published) virtual, found in TObject

procedure
DestroyComponents  (inherited) ;
(public) , found in TComponent

procedure
DestroyHandle  (inherited) ;
(protected) , found in TWinControl

procedure
DestroyWindowHandle  (inherited) ;
(protected) virtual, found in TWinControl

procedure
DestroyWnd  (inherited) ;
(protected) virtual, found in TWinControl

procedure
Destroying  (inherited) ;
(public) , found in TComponent

procedure
DisableAlign  (inherited) ;
(public) , found in TWinControl

procedure
Dispatch  (inherited) (var Message) ;
(published) , found in TObject

procedure
DoEnter  (inherited) ;
(protected) dynamic, found in TWinControl


Methods of TTabSet (TABS) (008)
270 Methods of TTabSet (TABS) (008)
6 superordinates
81 properties

procedure
DoExit  (inherited) ;
(protected) dynamic, found in TWinControl

function
DoKeyDown  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyPress  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

function
DoKeyUp  (inherited) (var Message: TWMKey): Boolean ;
(protected) , found in TWinControl

procedure
DoMouseDown  (inherited) (var Message: TWMMouse; Button: TMouseButton; Shift: TShiftState) ;
(private) , found in TControl

procedure
DoMouseUp  (inherited) (var Message: TWMMouse; Button: TMouseButton) ;
(private) , found in TControl

procedure
DragCanceled  (inherited) ;
(protected) dynamic, found in TControl

procedure
DragDrop  (inherited) (DragObject: TObject; X, Y: Integer) ;
(public) dynamic, found in TControl

function
Dragging  (inherited) : Boolean ;
(public) , found in TControl

procedure
DrawTab (TabCanvas: TCanvas; R: TRect; Index: Integer; Selected: Boolean) ;
(protected) virtual


Methods of TTabSet (TABS) (009)
270 Methods of TTabSet (TABS) (009)
6 superordinates
81 properties

procedure
EnableAlign  (inherited) ;
(public) , found in TWinControl

procedure
EndDrag  (inherited) (Drop: Boolean) ;
(public) , found in TControl

function
FieldAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

function
FindComponent  (inherited) (const AName: string): TComponent ;
(public) , found in TComponent

function
FindNextControl  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop, CheckParent: Boolean): TWinControl ;
(protected) , found in TWinControl

procedure
FixupTabList  (inherited) ;
(private) , found in TWinControl

function
Focused  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
FontChanged  (inherited) (Sender: TObject) ;
(private) , found in TControl

procedure
Free  (inherited) ;
(published) , found in TObject

procedure
FreeInstance  (inherited) ;
(published) virtual, found in TObject


Methods of TTabSet (TABS) (010)
270 Methods of TTabSet (TABS) (010)
6 superordinates
81 properties

function
GetBoundsRect  (inherited) : TRect ;
(private) , found in TControl

function
GetClientHeight  (inherited) : Integer ;
(private) , found in TControl

function
GetClientOrigin  (inherited) : TPoint ;
(protected) override, found in TWinControl
function
GetClientOrigin  (inherited) : TPoint ;
(protected) virtual, found in TControl

function
GetClientRect  (inherited) : TRect ;
(protected) override, found in TWinControl
function
GetClientRect  (inherited) : TRect ;
(protected) virtual, found in TControl

function
GetClientWidth  (inherited) : Integer ;
(private) , found in TControl

function
GetComponent  (inherited) (AIndex: Integer): TComponent ;
(private) , found in TComponent

function
GetComponentCount  (inherited) : Integer ;
(private) , found in TComponent

function
GetComponentIndex  (inherited) : Integer ;
(private) , found in TComponent

function
GetControl  (inherited) (Index: Integer): TControl ;
(private) , found in TWinControl

function
GetControlCount  (inherited) : Integer ;
(private) , found in TWinControl


Methods of TTabSet (TABS) (011)
270 Methods of TTabSet (TABS) (011)
6 superordinates
81 properties

function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) override, found in TWinControl
function
GetDeviceContext  (inherited) (var WindowHandle: HWnd): HDC ;
(protected) virtual, found in TControl

function
GetHandle  (inherited) : HWnd ;
(private) , found in TWinControl

function
GetHint  (inherited) : string ;
(private) , found in TControl

function
GetMouseCapture  (inherited) : Boolean ;
(private) , found in TControl

function
GetName  (inherited) : TComponentName ;
(private) , found in TComponent

function
GetPalette  (inherited) : HPALETTE ;
(protected) dynamic, found in TControl

function
GetTabOrder  (inherited) : TTabOrder ;
(private) , found in TWinControl

procedure
GetTabOrderList  (inherited) (List: TList) ;
(public) , found in TWinControl

function
GetText  (inherited) : TCaption ;
(private) , found in TControl

function
GetTextBuf  (inherited) (Buffer: PChar; BufSize: Integer): Integer ;
(public) , found in TControl


Methods of TTabSet (TABS) (012)
270 Methods of TTabSet (TABS) (012)
6 superordinates
81 properties

function
GetTextLen  (inherited) : Integer ;
(public) , found in TControl

function
HandleAllocated  (inherited) : Boolean ;
(public) , found in TWinControl

procedure
HandleNeeded  (inherited) ;
(public) , found in TWinControl

function
HasParent  (inherited) : Boolean ;
(protected) override, found in TControl
function
HasParent  (inherited) : Boolean ;
(protected) virtual, found in TComponent

procedure
Hide  (inherited) ;
(public) , found in TControl

class function
InheritsForm  (inherited) (AClass: TClass): Boolean ;
(published) , found in TObject

class procedure
InitInstance  (inherited) (Instance: Pointer): TObject ;
(published) , found in TObject

procedure
Insert  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Insert  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
InsertComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
InsertControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl


Methods of TTabSet (TABS) (013)
270 Methods of TTabSet (TABS) (013)
6 superordinates
81 properties

class function
InstanceSize  (inherited) : Word ;
(published) , found in TObject

procedure
Invalidate  (inherited) ;
(public) override, found in TWinControl
procedure
Invalidate  (inherited) ;
(public) virtual, found in TControl

procedure
InvalidateControl  (inherited) (IsVisible, IsOpaque: Boolean) ;
(private) , found in TControl

procedure
InvalidateFrame  (inherited) ;
(private) , found in TWinControl

function
IsColorStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsControlMouseMsg  (inherited) (var Message: TWMMouse): Boolean ;
(protected) , found in TWinControl

function
IsCtl3DStored  (inherited) : Boolean ;
(private) , found in TWinControl

function
IsFontStored  (inherited) : Boolean ;
(private) , found in TControl

function
IsMenuKey  (inherited) (var Message: TWMKey): Boolean ;
(private) , found in TWinControl

function
IsShowHintStored  (inherited) : Boolean ;
(private) , found in TControl


Methods of TTabSet (TABS) (014)
270 Methods of TTabSet (TABS) (014)
6 superordinates
81 properties

function
ItemAtPos (Pos: TPoint): Integer ;
(public)

function
ItemRect (Item: Integer): TRect ;
(public)

procedure
KeyDown  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
KeyPress  (inherited) (var Key: Char) ;
(protected) dynamic, found in TWinControl

procedure
KeyUp  (inherited) (var Key: Word; Shift: TShiftState) ;
(protected) dynamic, found in TWinControl

procedure
Loaded  (inherited) ;
(protected) virtual, found in TComponent

procedure
MainWndProc  (inherited) (var Message: TMessage) ;
(protected) , found in TWinControl

procedure
MeasureTab (Index: Integer; var TabWidth: Integer) ;
(protected) virtual

class function
MethodAddress  (inherited) (const Name: string): Pointer ;
(published) , found in TObject

class function
MethodName  (inherited) (Address: Pointer): string ;
(published) , found in TObject


Methods of TTabSet (TABS) (015)
270 Methods of TTabSet (TABS) (015)
6 superordinates
81 properties

procedure
MouseDown  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseMove  (inherited) (Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

procedure
MouseUp  (inherited) (Button: TMouseButton; Shift: TShiftState; X, Y: Integer) ;
(protected) dynamic, found in TControl

class function
NewInstance  (inherited) : TObject ;
(published) virtual, found in TObject

procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) override, found in TControl
procedure
Notification  (inherited) (AComponent: TComponent; Operation: TOperation) ;
(protected) virtual, found in TComponent

procedure
NotifyControls  (inherited) (Msg: Word) ;
(protected) , found in TWinControl

procedure
Paint ;
(protected) override
procedure
Paint  (inherited) ;
(protected) virtual, found in TCustomControl

procedure
PaintControls  (inherited) (DC: HDC; First: TControl) ;
(protected) , found in TWinControl

procedure
PaintHandler  (inherited) (var Message: TWMPaint) ;
(protected) , found in TWinControl

procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) override, found in TCustomControl
procedure
PaintWindow  (inherited) (DC: HDC) ;
(protected) virtual, found in TWinControl


Methods of TTabSet (TABS) (016)
270 Methods of TTabSet (TABS) (016)
6 superordinates
81 properties

function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) override, found in TWinControl
function
PaletteChanged  (inherited) (Foreground: Boolean): Boolean ;
(protected) dynamic, found in TControl

function
Perform  (inherited) (Msg, WParam: Word; LParam: Longint): Longint ;
(public) , found in TControl

function
PrecedingWindow  (inherited) (Control: TWinControl): HWnd ;
(private) , found in TWinControl

procedure
ReadIsControl  (inherited) (Reader: TReader) ;
(private) , found in TControl

procedure
ReadLeft  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TWinControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) override, found in TControl
procedure
ReadState  (inherited) (Reader: TReader) ;
(protected) virtual, found in TComponent

procedure
ReadTop  (inherited) (Reader: TReader) ;
(private) , found in TComponent

procedure
Realign  (inherited) ;
(public) , found in TWinControl

procedure
RecreateWnd  (inherited) ;
(protected) , found in TWinControl

procedure
Refresh  (inherited) ;
(public) , found in TControl


Methods of TTabSet (TABS) (017)
270 Methods of TTabSet (TABS) (017)
6 superordinates
81 properties

procedure
Remove  (inherited) (AComponent: TComponent) ;
(private) , found in TComponent
procedure
Remove  (inherited) (AControl: TControl) ;
(private) , found in TWinControl

procedure
RemoveComponent  (inherited) (AComponent: TComponent) ;
(public) , found in TComponent

procedure
RemoveControl  (inherited) (AControl: TControl) ;
(public) , found in TWinControl

procedure
RemoveFocus  (inherited) (Removing: Boolean) ;
(private) , found in TWinControl

procedure
Repaint  (inherited) ;
(public) override, found in TWinControl
procedure
Repaint  (inherited) ;
(public) virtual, found in TControl

procedure
RequestAlign  (inherited) ;
(private) , found in TControl

procedure
ScaleBy  (inherited) (M, D: Integer) ;
(public) , found in TWinControl

procedure
ScaleControls  (inherited) (M, D: Integer) ;
(protected) , found in TWinControl

function
ScreenToClient  (inherited) (const Point: TPoint): TPoint ;
(public) , found in TControl

procedure
ScrollBy  (inherited) (DeltaX, DeltaY: Integer) ;
(public) , found in TWinControl


Methods of TTabSet (TABS) (018)
270 Methods of TTabSet (TABS) (018)
6 superordinates
81 properties

procedure
SelectFirst  (inherited) ;
(protected) , found in TWinControl

procedure
SelectNext  (inherited) (CurControl: TWinControl; GoForward, CheckTabStop: Boolean) ;
(protected) , found in TWinControl
procedure
SelectNext (Direction: Boolean) ;
(public)

procedure
SendCancelMode  (inherited) (Sender: TControl) ;
(private) , found in TControl

procedure
SendToBack  (inherited) ;
(public) , found in TControl

procedure
SetAlign  (inherited) (Value: TAlign) ;
(private) , found in TControl

procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) override, found in TWinControl
procedure
SetBounds  (inherited) (ALeft, ATop, AWidth, AHeight: Integer) ;
(public) virtual, found in TControl

procedure
SetBoundsRect  (inherited) (const Rect: TRect) ;
(private) , found in TControl

procedure
SetClientHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetClientSize  (inherited) (Value: TPoint) ;
(private) , found in TControl

procedure
SetClientWidth  (inherited) (Value: Integer) ;
(private) , found in TControl


Methods of TTabSet (TABS) (019)
270 Methods of TTabSet (TABS) (019)
6 superordinates
81 properties

procedure
SetColor  (inherited) (Value: TColor) ;
(private) , found in TControl

procedure
SetComponentIndex  (inherited) (Value: Integer) ;
(private) , found in TComponent

procedure
SetCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetCursor  (inherited) (Value: TCursor) ;
(private) , found in TControl

procedure
SetDesigning  (inherited) (Value: Boolean) ;
(protected) , found in TComponent

procedure
SetEnabled  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetFocus  (inherited) ;
(public) virtual, found in TWinControl

procedure
SetFont  (inherited) (Value: TFont) ;
(private) , found in TControl

procedure
SetHeight  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetHint  (inherited) (const Value: string) ;
(private) , found in TControl


Methods of TTabSet (TABS) (020)
270 Methods of TTabSet (TABS) (020)
6 superordinates
81 properties

procedure
SetLeft  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetMouseCapture  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetName  (inherited) (const NewName: TComponentName) ;
(protected) virtual, found in TComponent
procedure
SetName  (inherited) (const Value: TComponentName) ;
(protected) override, found in TControl

procedure
SetParent  (inherited) (AParent: TWinControl) ;
(protected) virtual, found in TControl

procedure
SetParentColor  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentCtl3D  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetParentFont  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetParentShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetReference  (inherited) (Enable: Boolean) ;
(private) , found in TComponent

procedure
SetShowHint  (inherited) (Value: Boolean) ;
(private) , found in TControl


Methods of TTabSet (TABS) (021)
270 Methods of TTabSet (TABS) (021)
6 superordinates
81 properties

procedure
SetTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
SetTabStop  (inherited) (Value: Boolean) ;
(private) , found in TWinControl

procedure
SetText  (inherited) (const Value: TCaption) ;
(private) , found in TControl

procedure
SetTextBuf  (inherited) (Buffer: PChar) ;
(public) , found in TControl

procedure
SetTop  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetVisible  (inherited) (Value: Boolean) ;
(private) , found in TControl

procedure
SetWidth  (inherited) (Value: Integer) ;
(private) , found in TControl

procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) override, found in TWinControl
procedure
SetZOrder  (inherited) (TopMost: Boolean) ;
(protected) dynamic, found in TControl

procedure
Show  (inherited) ;
(public) , found in TControl

procedure
ShowControl  (inherited) (AControl: TControl) ;
(protected) virtual, found in TWinControl


Methods of TTabSet (TABS) (022)
270 Methods of TTabSet (TABS) (022)
6 superordinates
81 properties

procedure
Update  (inherited) ;
(public) override, found in TWinControl
procedure
Update  (inherited) ;
(public) virtual, found in TControl

procedure
UpdateBounds  (inherited) ;
(private) , found in TWinControl

procedure
UpdateBoundsRect  (inherited) (const R: TRect) ;
(protected) , found in TControl

procedure
UpdateControlState  (inherited) ;
(public) , found in TWinControl

procedure
UpdateShowing  (inherited) ;
(private) , found in TWinControl

procedure
UpdateTabOrder  (inherited) (Value: TTabOrder) ;
(private) , found in TWinControl

procedure
ValidateRename  (inherited) (AComponent: TComponent; const CurName, NewName: string) ;
(protected) virtual, found in TComponent

procedure
VisibleChanging  (inherited) ;
(protected) dynamic, found in TControl

procedure
WMCancelMode  (inherited) (var Message: TWMCancelMode); message WM_CANCELMODE ;
(private) , found in TControl

procedure
WMChar  (inherited) (var Message: TWMChar); message WM_CHAR ;
(private) , found in TWinControl


Methods of TTabSet (TABS) (023)
270 Methods of TTabSet (TABS) (023)
6 superordinates
81 properties

procedure
WMCharToItem  (inherited) (var Message: TWMCharToItem); message WM_CHARTOITEM ;
(private) , found in TWinControl

procedure
WMCommand  (inherited) (var Message: TWMCommand); message WM_COMMAND ;
(private) , found in TWinControl

procedure
WMCompareItem  (inherited) (var Message: TWMCompareItem); message WM_COMPAREITEM ;
(private) , found in TWinControl

procedure
WMCtlColor  (inherited) (var Message: TWMCtlColor); message WM_CTLCOLOR ;
(private) , found in TWinControl

procedure
WMDeleteItem  (inherited) (var Message: TWMDeleteItem); message WM_DELETEITEM ;
(private) , found in TWinControl

procedure
WMDestroy  (inherited) (var Message: TWMDestroy); message WM_DESTROY ;
(private) , found in TWinControl

procedure
WMDrawItem  (inherited) (var Message: TWMDrawItem); message WM_DRAWITEM ;
(private) , found in TWinControl

procedure
WMEraseBkgnd  (inherited) (var Message: TWmEraseBkgnd); message WM_ERASEBKGND ;
(private) , found in TWinControl

procedure
WMFontChange  (inherited) (var Message: TMessage); message WM_FONTCHANGE ;
(private) , found in TWinControl

procedure
WMHScroll  (inherited) (var Message: TWMHScroll); message WM_HSCROLL ;
(private) , found in TWinControl


Methods of TTabSet (TABS) (024)
270 Methods of TTabSet (TABS) (024)
6 superordinates
81 properties

procedure
WMKeyDown  (inherited) (var Message: TWMKeyDown); message WM_KEYDOWN ;
(private) , found in TWinControl

procedure
WMKeyUp  (inherited) (var Message: TWMKeyUp); message WM_KEYUP ;
(private) , found in TWinControl

procedure
WMLButtonDblClk  (inherited) (var Message: TWMLButtonDblClk); message WM_LBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMLButtonDown  (inherited) (var Message: TWMLButtonDown); message WM_LBUTTONDOWN ;
(private) , found in TControl

procedure
WMLButtonUp  (inherited) (var Message: TWMLButtonUp); message WM_LBUTTONUP ;
(private) , found in TControl

procedure
WMMButtonDblClk  (inherited) (var Message: TWMMButtonDblClk); message WM_MBUTTONDBLCLK ;
(private) , found in TControl

procedure
WMMButtonDown  (inherited) (var Message: TWMMButtonDown); message WM_MBUTTONDOWN ;
(private) , found in TControl

procedure
WMMButtonUp  (inherited) (var Message: TWMMButtonUp); message WM_MBUTTONUP ;
(private) , found in TControl

procedure
WMMeasureItem  (inherited) (var Message: TWMMeasureItem); message WM_MEASUREITEM ;
(private) , found in TWinControl

procedure
WMMouseMove  (inherited) (var Message: TWMMouseMove); message WM_MOUSEMOVE ;
(private) , found in TControl


Methods of TTabSet (TABS) (025)
270 Methods of TTabSet (TABS) (025)
6 superordinates
81 properties

procedure
WMMove  (inherited) (var Message: TWMMove); message WM_MOVE ;
(private) , found in TWinControl

procedure
WMNCDestroy  (inherited) (var Message: TWMNCDestroy); message WM_NCDESTROY ;
(private) , found in TWinControl

procedure
WMNCHitTest  (inherited) (var Message: TWMNCHitTest); message WM_NCHITTEST ;
(private) , found in TWinControl

procedure
WMNCLButtonDown  (inherited) (var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN ;
(private) , found in TControl

procedure
WMNCRButtonDown  (inherited) (var Message: TWMNCRButtonDown); message WM_NCRBUTTONDOWN ;
(private) , found in TControl

procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TCustomControl
procedure
WMPaint  (inherited) (var Message: TWMPaint); message WM_PAINT ;
(private) , found in TWinControl

procedure
WMPaletteChanged  (inherited) (var Message: TMessage); message WM_PALETTECHANGED ;
(private) , found in TWinControl

procedure
WMParentNotify  (inherited) (var Message: TWMParentNotify); message WM_PARENTNOTIFY ;
(private) , found in TWinControl

procedure
WMQueryNewPalette  (inherited) (var Message: TMessage); message WM_QUERYNEWPALETTE ;
(private) , found in TWinControl

procedure
WMRButtonDblClk  (inherited) (var Message: TWMRButtonDblClk); message WM_RBUTTONDBLCLK ;
(private) , found in TControl


Methods of TTabSet (TABS) (026)
270 Methods of TTabSet (TABS) (026)
6 superordinates
81 properties

procedure
WMRButtonDown  (inherited) (var Message: TWMRButtonDown); message WM_RBUTTONDOWN ;
(private) , found in TControl

procedure
WMRButtonUp  (inherited) (var Message: TWMRButtonUp); message WM_RBUTTONUP ;
(private) , found in TControl

procedure
WMSetCursor  (inherited) (var Message: TWMSetCursor); message WM_SETCURSOR ;
(private) , found in TWinControl

procedure
WMSize  (inherited) (var Message: TWMSize); message WM_SIZE ;
(private) , found in TWinControl

procedure
WMSysColorChange  (inherited) (var Message: TWMSysColorChange); message WM_SYSCOLORCHANGE ;
(private) , found in TWinControl

procedure
WMSysCommand  (inherited) (var Message: TWMSysCommand); message WM_SYSCOMMAND ;
(private) , found in TWinControl

procedure
WMSysKeyDown  (inherited) (var Message: TWMKeyDown); message WM_SYSKEYDOWN ;
(private) , found in TWinControl

procedure
WMSysKeyUp  (inherited) (var Message: TWMKeyUp); message WM_SYSKEYUP ;
(private) , found in TWinControl

procedure
WMTimeChange  (inherited) (var Message: TMessage); message WM_TIMECHANGE ;
(private) , found in TWinControl

procedure
WMVBXFireEvent  (inherited) (var Message: TMessage); message WM_VBXFIREEVENT ;
(private) , found in TWinControl


Methods of TTabSet (TABS) (027)
270 Methods of TTabSet (TABS) (027)
6 superordinates
81 properties

procedure
WMVKeyToItem  (inherited) (var Message: TWMVKeyToItem); message WM_VKEYTOITEM ;
(private) , found in TWinControl

procedure
WMVScroll  (inherited) (var Message: TWMVScroll); message WM_VSCROLL ;
(private) , found in TWinControl

procedure
WMWinIniChange  (inherited) (var Message: TMessage); message WM_WININICHANGE ;
(private) , found in TWinControl

procedure
WMWindowPosChanged  (inherited) (var Message: TWMWindowPosChanged); message WM_WINDOWPOSCHANGED ;
(private) , found in TWinControl

procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) override, found in TWinControl
procedure
WndProc  (inherited) (var Message: TMessage) ;
(protected) virtual, found in TControl

procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) override, found in TWinControl
procedure
WriteComponents  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteIsControl  (inherited) (Writer: TWriter) ;
(private) , found in TControl

procedure
WriteLeft  (inherited) (Writer: TWriter) ;
(private) , found in TComponent

procedure
WriteState  (inherited) (Writer: TWriter) ;
(protected) virtual, found in TComponent

procedure
WriteTop  (inherited) (Writer: TWriter) ;
(private) , found in TComponent


Hierarchy of TObject (SYSTEM)
Hierarchy of Class TObject (SYSTEM)
17 methods
0 properties

0 owner(s) in hierachy

TObject


Hierarchy of EStreamError (CLASSES)
Hierarchy of Class EStreamError (CLASSES)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EStreamError


Hierarchy of EFCreateError (CLASSES)
Hierarchy of Class EFCreateError (CLASSES)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EStreamError
EFCreateError


Hierarchy of EFOpenError (CLASSES)
Hierarchy of Class EFOpenError (CLASSES)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EStreamError
EFOpenError


Hierarchy of EFilerError (CLASSES)
Hierarchy of Class EFilerError (CLASSES)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EStreamError
EFilerError


Hierarchy of EReadError (CLASSES)
Hierarchy of Class EReadError (CLASSES)
26 methods
3 properties

4 owner(s) in hierachy

TObject
Exception
EStreamError
EFilerError
EReadError


Hierarchy of EWriteError (CLASSES)
Hierarchy of Class EWriteError (CLASSES)
26 methods
3 properties

4 owner(s) in hierachy

TObject
Exception
EStreamError
EFilerError
EWriteError


Hierarchy of EClassNotFound (CLASSES)
Hierarchy of Class EClassNotFound (CLASSES)
26 methods
3 properties

4 owner(s) in hierachy

TObject
Exception
EStreamError
EFilerError
EClassNotFound


Hierarchy of EMethodNotFound (CLASSES)
Hierarchy of Class EMethodNotFound (CLASSES)
26 methods
3 properties

4 owner(s) in hierachy

TObject
Exception
EStreamError
EFilerError
EMethodNotFound


Hierarchy of EInvalidImage (CLASSES)
Hierarchy of Class EInvalidImage (CLASSES)
26 methods
3 properties

4 owner(s) in hierachy

TObject
Exception
EStreamError
EFilerError
EInvalidImage


Hierarchy of EResNotFound (CLASSES)
Hierarchy of Class EResNotFound (CLASSES)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EResNotFound


Hierarchy of EListError (CLASSES)
Hierarchy of Class EListError (CLASSES)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EListError


Hierarchy of EStringListError (CLASSES)
Hierarchy of Class EStringListError (CLASSES)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EStringListError


Hierarchy of EComponentError (CLASSES)
Hierarchy of Class EComponentError (CLASSES)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EComponentError


Hierarchy of EParserError (CLASSES)
Hierarchy of Class EParserError (CLASSES)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EParserError


Hierarchy of TList (CLASSES)
Hierarchy of Class TList (CLASSES)
35 methods
4 properties

1 owner(s) in hierachy

TObject
TList


Hierarchy of TPersistent (CLASSES)
Hierarchy of Class TPersistent (CLASSES)
21 methods
0 properties

1 owner(s) in hierachy

TObject
TPersistent


Hierarchy of TStrings (CLASSES)
Hierarchy of Class TStrings (CLASSES)
52 methods
4 properties

2 owner(s) in hierachy

TObject
TPersistent
TStrings


Hierarchy of TStringList (CLASSES)
Hierarchy of Class TStringList (CLASSES)
58 methods
8 properties

3 owner(s) in hierachy

TObject
TPersistent
TStrings
TStringList


Hierarchy of TStream (CLASSES)
Hierarchy of Class TStream (CLASSES)
31 methods
2 properties

1 owner(s) in hierachy

TObject
TStream


Hierarchy of THandleStream (CLASSES)
Hierarchy of Class THandleStream (CLASSES)
31 methods
3 properties

2 owner(s) in hierachy

TObject
TStream
THandleStream


Hierarchy of TFileStream (CLASSES)
Hierarchy of Class TFileStream (CLASSES)
31 methods
3 properties

3 owner(s) in hierachy

TObject
TStream
THandleStream
TFileStream


Hierarchy of TMemoryStream (CLASSES)
Hierarchy of Class TMemoryStream (CLASSES)
38 methods
3 properties

2 owner(s) in hierachy

TObject
TStream
TMemoryStream


Hierarchy of TFiler (CLASSES)
Hierarchy of Class TFiler (CLASSES)
19 methods
1 properties

1 owner(s) in hierachy

TObject
TFiler


Hierarchy of TReader (CLASSES)
Hierarchy of Class TReader (CLASSES)
53 methods
6 properties

2 owner(s) in hierachy

TObject
TFiler
TReader


Hierarchy of TWriter (CLASSES)
Hierarchy of Class TWriter (CLASSES)
39 methods
1 properties

2 owner(s) in hierachy

TObject
TFiler
TWriter


Hierarchy of TParser (CLASSES)
Hierarchy of Class TParser (CLASSES)
30 methods
2 properties

1 owner(s) in hierachy

TObject
TParser


Hierarchy of TComponent (CLASSES)
Hierarchy of Class TComponent (CLASSES)
48 methods
8 properties

2 owner(s) in hierachy

TObject
TPersistent
TComponent


Hierarchy of TControlScrollBar (FORMS)
Hierarchy of Class TControlScrollBar (FORMS)
32 methods
7 properties

2 owner(s) in hierachy

TObject
TPersistent
TControlScrollBar


Hierarchy of TScrollingWinControl (FORMS)
Hierarchy of Class TScrollingWinControl (FORMS)
272 methods
67 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TScrollingWinControl


Hierarchy of TScrollBox (FORMS)
Hierarchy of Class TScrollBox (FORMS)
274 methods
69 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TScrollingWinControl
TScrollBox


Hierarchy of TDesigner (FORMS)
Hierarchy of Class TDesigner (FORMS)
24 methods
2 properties

1 owner(s) in hierachy

TObject
TDesigner


Hierarchy of TWinOleHelper (FORMS)
Hierarchy of Class TWinOleHelper (FORMS)
25 methods
0 properties

1 owner(s) in hierachy

TObject
TWinOleHelper


Hierarchy of TForm (FORMS)
Hierarchy of Class TForm (FORMS)
351 methods
124 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TScrollingWinControl
TForm


Hierarchy of TScreen (FORMS)
Hierarchy of Class TScreen (FORMS)
62 methods
20 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TScreen


Hierarchy of TApplication (FORMS)
Hierarchy of Class TApplication (FORMS)
95 methods
31 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TApplication


Hierarchy of EMenuError (MENUS)
Hierarchy of Class EMenuError (MENUS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EMenuError


Hierarchy of TMenuItem (MENUS)
Hierarchy of Class TMenuItem (MENUS)
75 methods
23 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TMenuItem


Hierarchy of TMenu (MENUS)
Hierarchy of Class TMenu (MENUS)
57 methods
11 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TMenu


Hierarchy of TMainMenu (MENUS)
Hierarchy of Class TMainMenu (MENUS)
64 methods
12 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TMenu
TMainMenu


Hierarchy of TPopupMenu (MENUS)
Hierarchy of Class TPopupMenu (MENUS)
59 methods
16 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TMenu
TPopupMenu


Hierarchy of EInvalidGraphic (GRAPHICS)
Hierarchy of Class EInvalidGraphic (GRAPHICS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EInvalidGraphic


Hierarchy of EInvalidGraphicOperation (GRAPHICS)
Hierarchy of Class EInvalidGraphicOperation (GRAPHICS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EInvalidGraphicOperation


Hierarchy of TGraphicsObject (GRAPHICS)
Hierarchy of Class TGraphicsObject (GRAPHICS)
22 methods
1 properties

2 owner(s) in hierachy

TObject
TPersistent
TGraphicsObject


Hierarchy of TFont (GRAPHICS)
Hierarchy of Class TFont (GRAPHICS)
37 methods
9 properties

3 owner(s) in hierachy

TObject
TPersistent
TGraphicsObject
TFont


Hierarchy of TPen (GRAPHICS)
Hierarchy of Class TPen (GRAPHICS)
33 methods
6 properties

3 owner(s) in hierachy

TObject
TPersistent
TGraphicsObject
TPen


Hierarchy of TBrush (GRAPHICS)
Hierarchy of Class TBrush (GRAPHICS)
32 methods
5 properties

3 owner(s) in hierachy

TObject
TPersistent
TGraphicsObject
TBrush


Hierarchy of TCanvas (GRAPHICS)
Hierarchy of Class TCanvas (GRAPHICS)
65 methods
10 properties

2 owner(s) in hierachy

TObject
TPersistent
TCanvas


Hierarchy of TGraphic (GRAPHICS)
Hierarchy of Class TGraphic (GRAPHICS)
37 methods
5 properties

2 owner(s) in hierachy

TObject
TPersistent
TGraphic


Hierarchy of TPicture (GRAPHICS)
Hierarchy of Class TPicture (GRAPHICS)
41 methods
7 properties

2 owner(s) in hierachy

TObject
TPersistent
TPicture


Hierarchy of TMetafileImage (GRAPHICS)
Hierarchy of Class TMetafileImage (GRAPHICS)
19 methods
0 properties

1 owner(s) in hierachy

TObject
TMetafileImage


Hierarchy of TMetafile (GRAPHICS)
Hierarchy of Class TMetafile (GRAPHICS)
43 methods
7 properties

3 owner(s) in hierachy

TObject
TPersistent
TGraphic
TMetafile


Hierarchy of TInternalImage (GRAPHICS)
Hierarchy of Class TInternalImage (GRAPHICS)
20 methods
0 properties

1 owner(s) in hierachy

TObject
TInternalImage


Hierarchy of TBitmapImage (GRAPHICS)
Hierarchy of Class TBitmapImage (GRAPHICS)
20 methods
0 properties

2 owner(s) in hierachy

TObject
TInternalImage
TBitmapImage


Hierarchy of TBitmap (GRAPHICS)
Hierarchy of Class TBitmap (GRAPHICS)
57 methods
10 properties

3 owner(s) in hierachy

TObject
TPersistent
TGraphic
TBitmap


Hierarchy of TIconImage (GRAPHICS)
Hierarchy of Class TIconImage (GRAPHICS)
20 methods
0 properties

2 owner(s) in hierachy

TObject
TInternalImage
TIconImage


Hierarchy of TIcon (GRAPHICS)
Hierarchy of Class TIcon (GRAPHICS)
43 methods
6 properties

3 owner(s) in hierachy

TObject
TPersistent
TGraphic
TIcon


Hierarchy of TImageList (GRAPHICS)
Hierarchy of Class TImageList (GRAPHICS)
26 methods
4 properties

1 owner(s) in hierachy

TObject
TImageList


Hierarchy of EOutOfResources (CONTROLS)
Hierarchy of Class EOutOfResources (CONTROLS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EOutOfMemory
EOutOfResources


Hierarchy of EInvalidObject (CONTROLS)
Hierarchy of Class EInvalidObject (CONTROLS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EInvalidObject


Hierarchy of EInvalidOperation (CONTROLS)
Hierarchy of Class EInvalidOperation (CONTROLS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EInvalidOperation


Hierarchy of TControlCanvas (CONTROLS)
Hierarchy of Class TControlCanvas (CONTROLS)
67 methods
11 properties

3 owner(s) in hierachy

TObject
TPersistent
TCanvas
TControlCanvas


Hierarchy of TControl (CONTROLS)
Hierarchy of Class TControl (CONTROLS)
147 methods
47 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl


Hierarchy of TWinControl (CONTROLS)
Hierarchy of Class TWinControl (CONTROLS)
264 methods
64 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl


Hierarchy of TGraphicControl (CONTROLS)
Hierarchy of Class TGraphicControl (CONTROLS)
149 methods
48 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl


Hierarchy of TCustomControl (CONTROLS)
Hierarchy of Class TCustomControl (CONTROLS)
265 methods
65 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl


Hierarchy of THintWindow (CONTROLS)
Hierarchy of Class THintWindow (CONTROLS)
269 methods
65 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
THintWindow


Hierarchy of TCommonDialog (DIALOGS)
Hierarchy of Class TCommonDialog (DIALOGS)
49 methods
10 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TCommonDialog


Hierarchy of TDlgControl (DIALOGS)
Hierarchy of Class TDlgControl (DIALOGS)
22 methods
0 properties

1 owner(s) in hierachy

TObject
TDlgControl


Hierarchy of TComboButton (DIALOGS)
Hierarchy of Class TComboButton (DIALOGS)
30 methods
0 properties

1 owner(s) in hierachy

TObject
TComboButton


Hierarchy of TOpenDialog (DIALOGS)
Hierarchy of Class TOpenDialog (DIALOGS)
59 methods
20 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TCommonDialog
TOpenDialog


Hierarchy of TSaveDialog (DIALOGS)
Hierarchy of Class TSaveDialog (DIALOGS)
59 methods
20 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TCommonDialog
TOpenDialog
TSaveDialog


Hierarchy of TColorDialog (DIALOGS)
Hierarchy of Class TColorDialog (DIALOGS)
51 methods
14 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TCommonDialog
TColorDialog


Hierarchy of TFontDialog (DIALOGS)
Hierarchy of Class TFontDialog (DIALOGS)
54 methods
16 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TCommonDialog
TFontDialog


Hierarchy of TPrinterSetupDialog (DIALOGS)
Hierarchy of Class TPrinterSetupDialog (DIALOGS)
50 methods
10 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TCommonDialog
TPrinterSetupDialog


Hierarchy of TPrintDialog (DIALOGS)
Hierarchy of Class TPrintDialog (DIALOGS)
50 methods
19 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TCommonDialog
TPrinterSetupDialog
TPrintDialog


Hierarchy of TFindDialog (DIALOGS)
Hierarchy of Class TFindDialog (DIALOGS)
61 methods
17 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TCommonDialog
TFindDialog


Hierarchy of TReplaceDialog (DIALOGS)
Hierarchy of Class TReplaceDialog (DIALOGS)
62 methods
19 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TCommonDialog
TFindDialog
TReplaceDialog


Hierarchy of TSpeedButton (BUTTONS)
Hierarchy of Class TSpeedButton (BUTTONS)
165 methods
56 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl
TSpeedButton


Hierarchy of TBitBtn (BUTTONS)
Hierarchy of Class TBitBtn (BUTTONS)
283 methods
79 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TButtonControl
TButton
TBitBtn


Hierarchy of TClipboard (CLIPBRD)
Hierarchy of Class TClipboard (CLIPBRD)
43 methods
3 properties

2 owner(s) in hierachy

TObject
TPersistent
TClipboard


Hierarchy of EDatabaseError (DB)
Hierarchy of Class EDatabaseError (DB)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EDatabaseError


Hierarchy of EDBEngineError (DB)
Hierarchy of Class EDBEngineError (DB)
28 methods
5 properties

3 owner(s) in hierachy

TObject
Exception
EDatabaseError
EDBEngineError


Hierarchy of TDBError (DB)
Hierarchy of Class TDBError (DB)
19 methods
5 properties

1 owner(s) in hierachy

TObject
TDBError


Hierarchy of TSession (DB)
Hierarchy of Class TSession (DB)
71 methods
16 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TSession


Hierarchy of TParamList (DB)
Hierarchy of Class TParamList (DB)
17 methods
3 properties

1 owner(s) in hierachy

TObject
TParamList


Hierarchy of TDatabase (DB)
Hierarchy of Class TDatabase (DB)
73 methods
23 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TDatabase


Hierarchy of TDataSetDesigner (DB)
Hierarchy of Class TDataSetDesigner (DB)
20 methods
1 properties

1 owner(s) in hierachy

TObject
TDataSetDesigner


Hierarchy of TFieldDef (DB)
Hierarchy of Class TFieldDef (DB)
20 methods
6 properties

1 owner(s) in hierachy

TObject
TFieldDef


Hierarchy of TFieldDefs (DB)
Hierarchy of Class TFieldDefs (DB)
26 methods
2 properties

1 owner(s) in hierachy

TObject
TFieldDefs


Hierarchy of TDataSet (DB)
Hierarchy of Class TDataSet (DB)
164 methods
42 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TDataSet


Hierarchy of TDBDataSet (DB)
Hierarchy of Class TDBDataSet (DB)
170 methods
48 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TDataSet
TDBDataSet


Hierarchy of TDataSource (DB)
Hierarchy of Class TDataSource (DB)
58 methods
15 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TDataSource


Hierarchy of TField (DB)
Hierarchy of Class TField (DB)
99 methods
39 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TField


Hierarchy of TDataLink (DB)
Hierarchy of Class TDataLink (DB)
44 methods
8 properties

2 owner(s) in hierachy

TObject
TPersistent
TDataLink


Hierarchy of TDBEdit (DBCTRLS)
Hierarchy of Class TDBEdit (DBCTRLS)
341 methods
87 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomEdit
TCustomMaskEdit
TDBEdit


Hierarchy of TDBText (DBCTRLS)
Hierarchy of Class TDBText (DBCTRLS)
165 methods
58 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl
TCustomLabel
TDBText


Hierarchy of TDBCheckBox (DBCTRLS)
Hierarchy of Class TDBCheckBox (DBCTRLS)
285 methods
75 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TButtonControl
TCustomCheckBox
TDBCheckBox


Hierarchy of TDBComboBox (DBCTRLS)
Hierarchy of Class TDBComboBox (DBCTRLS)
308 methods
87 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomComboBox
TDBComboBox


Hierarchy of TDBListBox (DBCTRLS)
Hierarchy of Class TDBListBox (DBCTRLS)
299 methods
88 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomListBox
TDBListBox


Hierarchy of TDBRadioGroup (DBCTRLS)
Hierarchy of Class TDBRadioGroup (DBCTRLS)
289 methods
77 properties

8 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGroupBox
TCustomRadioGroup
TDBRadioGroup


Hierarchy of TDBMemo (DBCTRLS)
Hierarchy of Class TDBMemo (DBCTRLS)
312 methods
90 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomEdit
TCustomMemo
TDBMemo


Hierarchy of TDBImage (DBCTRLS)
Hierarchy of Class TDBImage (DBCTRLS)
288 methods
76 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TDBImage


Hierarchy of TNavButton (DBCTRLS)
Hierarchy of Class TNavButton (DBCTRLS)
166 methods
58 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl
TSpeedButton
TNavButton


Hierarchy of TNavDataLink (DBCTRLS)
Hierarchy of Class TNavDataLink (DBCTRLS)
44 methods
8 properties

3 owner(s) in hierachy

TObject
TPersistent
TDataLink
TNavDataLink


Hierarchy of TGridDataLink (DBGRIDS)
Hierarchy of Class TGridDataLink (DBGRIDS)
50 methods
11 properties

3 owner(s) in hierachy

TObject
TPersistent
TDataLink
TGridDataLink


Hierarchy of TCustomDBGrid (DBGRIDS)
Hierarchy of Class TCustomDBGrid (DBGRIDS)
395 methods
106 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGrid
TCustomDBGrid


Hierarchy of TDBGrid (DBGRIDS)
Hierarchy of Class TDBGrid (DBGRIDS)
395 methods
106 properties

8 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGrid
TCustomDBGrid
TDBGrid


Hierarchy of TLoginDialog (DBLOGDLG)
Hierarchy of Class TLoginDialog (DBLOGDLG)
351 methods
124 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TScrollingWinControl
TForm
TLoginDialog


Hierarchy of TDBLookupCombo (DBLOOKUP)
Hierarchy of Class TDBLookupCombo (DBLOOKUP)
329 methods
92 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomEdit
TDBLookupCombo


Hierarchy of TDBLookupList (DBLOOKUP)
Hierarchy of Class TDBLookupList (DBLOOKUP)
417 methods
112 properties

8 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGrid
TCustomDBGrid
TDBLookupList


Hierarchy of TPopupGrid (DBLOOKUP)
Hierarchy of Class TPopupGrid (DBLOOKUP)
417 methods
112 properties

9 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGrid
TCustomDBGrid
TDBLookupList
TPopupGrid


Hierarchy of TComboButton (DBLOOKUP)
Hierarchy of Class TComboButton (DBLOOKUP)
165 methods
56 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl
TSpeedButton
TComboButton


Hierarchy of TPasswordDialog (DBPWDLG)
Hierarchy of Class TPasswordDialog (DBPWDLG)
356 methods
124 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TScrollingWinControl
TForm
TPasswordDialog


Hierarchy of TIndexDef (DBTABLES)
Hierarchy of Class TIndexDef (DBTABLES)
20 methods
4 properties

1 owner(s) in hierachy

TObject
TIndexDef


Hierarchy of TIndexDefs (DBTABLES)
Hierarchy of Class TIndexDefs (DBTABLES)
25 methods
2 properties

1 owner(s) in hierachy

TObject
TIndexDefs


Hierarchy of TTableDataLink (DBTABLES)
Hierarchy of Class TTableDataLink (DBTABLES)
45 methods
8 properties

3 owner(s) in hierachy

TObject
TPersistent
TDataLink
TTableDataLink


Hierarchy of TTable (DBTABLES)
Hierarchy of Class TTable (DBTABLES)
217 methods
61 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TDataSet
TDBDataSet
TTable


Hierarchy of TBatchMove (DBTABLES)
Hierarchy of Class TBatchMove (DBTABLES)
51 methods
23 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TBatchMove


Hierarchy of TParam (DBTABLES)
Hierarchy of Class TParam (DBTABLES)
47 methods
17 properties

1 owner(s) in hierachy

TObject
TParam


Hierarchy of TParams (DBTABLES)
Hierarchy of Class TParams (DBTABLES)
32 methods
1 properties

2 owner(s) in hierachy

TObject
TPersistent
TParams


Hierarchy of TStoredProc (DBTABLES)
Hierarchy of Class TStoredProc (DBTABLES)
192 methods
55 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TDataSet
TDBDataSet
TStoredProc


Hierarchy of TQuery (DBTABLES)
Hierarchy of Class TQuery (DBTABLES)
193 methods
58 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TDataSet
TDBDataSet
TQuery


Hierarchy of TStringField (DBTABLES)
Hierarchy of Class TStringField (DBTABLES)
99 methods
42 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TStringField


Hierarchy of TNumericField (DBTABLES)
Hierarchy of Class TNumericField (DBTABLES)
104 methods
42 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TNumericField


Hierarchy of TIntegerField (DBTABLES)
Hierarchy of Class TIntegerField (DBTABLES)
108 methods
45 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TNumericField
TIntegerField


Hierarchy of TSmallintField (DBTABLES)
Hierarchy of Class TSmallintField (DBTABLES)
108 methods
45 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TNumericField
TIntegerField
TSmallintField


Hierarchy of TWordField (DBTABLES)
Hierarchy of Class TWordField (DBTABLES)
108 methods
45 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TNumericField
TIntegerField
TWordField


Hierarchy of TFloatField (DBTABLES)
Hierarchy of Class TFloatField (DBTABLES)
110 methods
47 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TNumericField
TFloatField


Hierarchy of TCurrencyField (DBTABLES)
Hierarchy of Class TCurrencyField (DBTABLES)
110 methods
47 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TNumericField
TFloatField
TCurrencyField


Hierarchy of TBCDField (DBTABLES)
Hierarchy of Class TBCDField (DBTABLES)
110 methods
48 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TNumericField
TFloatField
TBCDField


Hierarchy of TBooleanField (DBTABLES)
Hierarchy of Class TBooleanField (DBTABLES)
102 methods
41 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TBooleanField


Hierarchy of TDateTimeField (DBTABLES)
Hierarchy of Class TDateTimeField (DBTABLES)
102 methods
41 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TDateTimeField


Hierarchy of TDateField (DBTABLES)
Hierarchy of Class TDateField (DBTABLES)
102 methods
41 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TDateTimeField
TDateField


Hierarchy of TTimeField (DBTABLES)
Hierarchy of Class TTimeField (DBTABLES)
102 methods
41 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TDateTimeField
TTimeField


Hierarchy of TBytesField (DBTABLES)
Hierarchy of Class TBytesField (DBTABLES)
99 methods
40 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TBytesField


Hierarchy of TVarBytesField (DBTABLES)
Hierarchy of Class TVarBytesField (DBTABLES)
99 methods
40 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TVarBytesField


Hierarchy of TBlobField (DBTABLES)
Hierarchy of Class TBlobField (DBTABLES)
108 methods
40 properties

4 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TBlobField


Hierarchy of TMemoField (DBTABLES)
Hierarchy of Class TMemoField (DBTABLES)
108 methods
41 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TBlobField
TMemoField


Hierarchy of TGraphicField (DBTABLES)
Hierarchy of Class TGraphicField (DBTABLES)
108 methods
40 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TField
TBlobField
TGraphicField


Hierarchy of TBlobStream (DBTABLES)
Hierarchy of Class TBlobStream (DBTABLES)
33 methods
2 properties

2 owner(s) in hierachy

TObject
TStream
TBlobStream


Hierarchy of TFieldDataLink (DBTABLES)
Hierarchy of Class TFieldDataLink (DBTABLES)
51 methods
16 properties

3 owner(s) in hierachy

TObject
TPersistent
TDataLink
TFieldDataLink


Hierarchy of TDdeClientConv (DDEMAN)
Hierarchy of Class TDdeClientConv (DDEMAN)
83 methods
19 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TDdeClientConv


Hierarchy of TDdeClientItem (DDEMAN)
Hierarchy of Class TDdeClientItem (DDEMAN)
55 methods
13 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TDdeClientItem


Hierarchy of TDdeServerConv (DDEMAN)
Hierarchy of Class TDdeServerConv (DDEMAN)
51 methods
11 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TDdeServerConv


Hierarchy of TDdeServerItem (DDEMAN)
Hierarchy of Class TDdeServerItem (DDEMAN)
56 methods
14 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TDdeServerItem


Hierarchy of TDdeMgr (DDEMAN)
Hierarchy of Class TDdeMgr (DDEMAN)
63 methods
11 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TDdeMgr


Hierarchy of TComponentList (DSGNINTF)
Hierarchy of Class TComponentList (DSGNINTF)
21 methods
2 properties

1 owner(s) in hierachy

TObject
TComponentList


Hierarchy of TFormDesigner (DSGNINTF)
Hierarchy of Class TFormDesigner (DSGNINTF)
31 methods
2 properties

2 owner(s) in hierachy

TObject
TDesigner
TFormDesigner


Hierarchy of TPropertyEditor (DSGNINTF)
Hierarchy of Class TPropertyEditor (DSGNINTF)
46 methods
4 properties

1 owner(s) in hierachy

TObject
TPropertyEditor


Hierarchy of TOrdinalProperty (DSGNINTF)
Hierarchy of Class TOrdinalProperty (DSGNINTF)
46 methods
4 properties

2 owner(s) in hierachy

TObject
TPropertyEditor
TOrdinalProperty


Hierarchy of TIntegerProperty (DSGNINTF)
Hierarchy of Class TIntegerProperty (DSGNINTF)
46 methods
4 properties

3 owner(s) in hierachy

TObject
TPropertyEditor
TOrdinalProperty
TIntegerProperty


Hierarchy of TCharProperty (DSGNINTF)
Hierarchy of Class TCharProperty (DSGNINTF)
46 methods
4 properties

3 owner(s) in hierachy

TObject
TPropertyEditor
TOrdinalProperty
TCharProperty


Hierarchy of TEnumProperty (DSGNINTF)
Hierarchy of Class TEnumProperty (DSGNINTF)
46 methods
4 properties

3 owner(s) in hierachy

TObject
TPropertyEditor
TOrdinalProperty
TEnumProperty


Hierarchy of TFloatProperty (DSGNINTF)
Hierarchy of Class TFloatProperty (DSGNINTF)
46 methods
4 properties

2 owner(s) in hierachy

TObject
TPropertyEditor
TFloatProperty


Hierarchy of TStringProperty (DSGNINTF)
Hierarchy of Class TStringProperty (DSGNINTF)
46 methods
4 properties

2 owner(s) in hierachy

TObject
TPropertyEditor
TStringProperty


Hierarchy of TSetElementProperty (DSGNINTF)
Hierarchy of Class TSetElementProperty (DSGNINTF)
46 methods
4 properties

2 owner(s) in hierachy

TObject
TPropertyEditor
TSetElementProperty


Hierarchy of TSetProperty (DSGNINTF)
Hierarchy of Class TSetProperty (DSGNINTF)
46 methods
4 properties

3 owner(s) in hierachy

TObject
TPropertyEditor
TOrdinalProperty
TSetProperty


Hierarchy of TClassProperty (DSGNINTF)
Hierarchy of Class TClassProperty (DSGNINTF)
46 methods
4 properties

2 owner(s) in hierachy

TObject
TPropertyEditor
TClassProperty


Hierarchy of TMethodProperty (DSGNINTF)
Hierarchy of Class TMethodProperty (DSGNINTF)
46 methods
4 properties

2 owner(s) in hierachy

TObject
TPropertyEditor
TMethodProperty


Hierarchy of TComponentProperty (DSGNINTF)
Hierarchy of Class TComponentProperty (DSGNINTF)
46 methods
4 properties

2 owner(s) in hierachy

TObject
TPropertyEditor
TComponentProperty


Hierarchy of TComponentNameProperty (DSGNINTF)
Hierarchy of Class TComponentNameProperty (DSGNINTF)
46 methods
4 properties

3 owner(s) in hierachy

TObject
TPropertyEditor
TStringProperty
TComponentNameProperty


Hierarchy of TFontNameProperty (DSGNINTF)
Hierarchy of Class TFontNameProperty (DSGNINTF)
46 methods
4 properties

3 owner(s) in hierachy

TObject
TPropertyEditor
TStringProperty
TFontNameProperty


Hierarchy of TColorProperty (DSGNINTF)
Hierarchy of Class TColorProperty (DSGNINTF)
46 methods
4 properties

4 owner(s) in hierachy

TObject
TPropertyEditor
TOrdinalProperty
TIntegerProperty
TColorProperty


Hierarchy of TCursorProperty (DSGNINTF)
Hierarchy of Class TCursorProperty (DSGNINTF)
46 methods
4 properties

4 owner(s) in hierachy

TObject
TPropertyEditor
TOrdinalProperty
TIntegerProperty
TCursorProperty


Hierarchy of TFontProperty (DSGNINTF)
Hierarchy of Class TFontProperty (DSGNINTF)
46 methods
4 properties

3 owner(s) in hierachy

TObject
TPropertyEditor
TClassProperty
TFontProperty


Hierarchy of TModalResultProperty (DSGNINTF)
Hierarchy of Class TModalResultProperty (DSGNINTF)
46 methods
4 properties

4 owner(s) in hierachy

TObject
TPropertyEditor
TOrdinalProperty
TIntegerProperty
TModalResultProperty


Hierarchy of TShortCutProperty (DSGNINTF)
Hierarchy of Class TShortCutProperty (DSGNINTF)
46 methods
4 properties

3 owner(s) in hierachy

TObject
TPropertyEditor
TOrdinalProperty
TShortCutProperty


Hierarchy of TMPFilenameProperty (DSGNINTF)
Hierarchy of Class TMPFilenameProperty (DSGNINTF)
46 methods
4 properties

3 owner(s) in hierachy

TObject
TPropertyEditor
TStringProperty
TMPFilenameProperty


Hierarchy of TTabOrderProperty (DSGNINTF)
Hierarchy of Class TTabOrderProperty (DSGNINTF)
46 methods
4 properties

4 owner(s) in hierachy

TObject
TPropertyEditor
TOrdinalProperty
TIntegerProperty
TTabOrderProperty


Hierarchy of TCaptionProperty (DSGNINTF)
Hierarchy of Class TCaptionProperty (DSGNINTF)
46 methods
4 properties

3 owner(s) in hierachy

TObject
TPropertyEditor
TStringProperty
TCaptionProperty


Hierarchy of EPropertyError (DSGNINTF)
Hierarchy of Class EPropertyError (DSGNINTF)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EPropertyError


Hierarchy of TComponentEditor (DSGNINTF)
Hierarchy of Class TComponentEditor (DSGNINTF)
22 methods
2 properties

1 owner(s) in hierachy

TObject
TComponentEditor


Hierarchy of TDefaultEditor (DSGNINTF)
Hierarchy of Class TDefaultEditor (DSGNINTF)
24 methods
2 properties

2 owner(s) in hierachy

TObject
TComponentEditor
TDefaultEditor


Hierarchy of TIExpert (EXPTINTF)
Hierarchy of Class TIExpert (EXPTINTF)
27 methods
0 properties

2 owner(s) in hierachy

TObject
TInterface
TIExpert


Hierarchy of TShape (EXTCTRLS)
Hierarchy of Class TShape (EXTCTRLS)
153 methods
51 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl
TShape


Hierarchy of TPaintBox (EXTCTRLS)
Hierarchy of Class TPaintBox (EXTCTRLS)
149 methods
49 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl
TPaintBox


Hierarchy of TImage (EXTCTRLS)
Hierarchy of Class TImage (EXTCTRLS)
155 methods
52 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl
TImage


Hierarchy of TBevel (EXTCTRLS)
Hierarchy of Class TBevel (EXTCTRLS)
151 methods
50 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl
TBevel


Hierarchy of TTimer (EXTCTRLS)
Hierarchy of Class TTimer (EXTCTRLS)
54 methods
11 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TTimer


Hierarchy of TCustomPanel (EXTCTRLS)
Hierarchy of Class TCustomPanel (EXTCTRLS)
274 methods
75 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomPanel


Hierarchy of TPanel (EXTCTRLS)
Hierarchy of Class TPanel (EXTCTRLS)
274 methods
75 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomPanel
TPanel


Hierarchy of TPage (EXTCTRLS)
Hierarchy of Class TPage (EXTCTRLS)
265 methods
69 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TPage


Hierarchy of TNotebook (EXTCTRLS)
Hierarchy of Class TNotebook (EXTCTRLS)
269 methods
69 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TNotebook


Hierarchy of THeader (EXTCTRLS)
Hierarchy of Class THeader (EXTCTRLS)
271 methods
71 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
THeader


Hierarchy of TCustomRadioGroup (EXTCTRLS)
Hierarchy of Class TCustomRadioGroup (EXTCTRLS)
275 methods
68 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGroupBox
TCustomRadioGroup


Hierarchy of TRadioGroup (EXTCTRLS)
Hierarchy of Class TRadioGroup (EXTCTRLS)
275 methods
68 properties

8 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGroupBox
TCustomRadioGroup
TRadioGroup


Hierarchy of TFileListBox (FILECTRL)
Hierarchy of Class TFileListBox (FILECTRL)
309 methods
90 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomListBox
TFileListBox


Hierarchy of TFolderBitmap (FILECTRL)
Hierarchy of Class TFolderBitmap (FILECTRL)
57 methods
10 properties

4 owner(s) in hierachy

TObject
TPersistent
TGraphic
TBitmap
TFolderBitmap


Hierarchy of TDirectoryListBox (FILECTRL)
Hierarchy of Class TDirectoryListBox (FILECTRL)
306 methods
87 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomListBox
TDirectoryListBox


Hierarchy of TDriveComboBox (FILECTRL)
Hierarchy of Class TDriveComboBox (FILECTRL)
302 methods
85 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomComboBox
TDriveComboBox


Hierarchy of TFilterComboBox (FILECTRL)
Hierarchy of Class TFilterComboBox (FILECTRL)
301 methods
85 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomComboBox
TFilterComboBox


Hierarchy of EInvalidGridOperation (GRIDS)
Hierarchy of Class EInvalidGridOperation (GRIDS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EInvalidGridOperation


Hierarchy of TInplaceEdit (GRIDS)
Hierarchy of Class TInplaceEdit (GRIDS)
337 methods
84 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomEdit
TCustomMaskEdit
TInplaceEdit


Hierarchy of TCustomGrid (GRIDS)
Hierarchy of Class TCustomGrid (GRIDS)
363 methods
94 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGrid


Hierarchy of TDrawGrid (GRIDS)
Hierarchy of Class TDrawGrid (GRIDS)
364 methods
102 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGrid
TDrawGrid


Hierarchy of TStringGridStrings (GRIDS)
Hierarchy of Class TStringGridStrings (GRIDS)
53 methods
4 properties

3 owner(s) in hierachy

TObject
TPersistent
TStrings
TStringGridStrings


Hierarchy of TStringGrid (GRIDS)
Hierarchy of Class TStringGrid (GRIDS)
377 methods
106 properties

8 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGrid
TDrawGrid
TStringGrid


Hierarchy of TIniFile (INIFILES)
Hierarchy of Class TIniFile (INIFILES)
27 methods
1 properties

1 owner(s) in hierachy

TObject
TIniFile


Hierarchy of TIMemoryStream (ISTREAMS)
Hierarchy of Class TIMemoryStream (ISTREAMS)
23 methods
2 properties

3 owner(s) in hierachy

TObject
TInterface
TIStream
TIMemoryStream


Hierarchy of TIFileStream (ISTREAMS)
Hierarchy of Class TIFileStream (ISTREAMS)
23 methods
1 properties

3 owner(s) in hierachy

TObject
TInterface
TIStream
TIFileStream


Hierarchy of TVirtualStream (ISTREAMS)
Hierarchy of Class TVirtualStream (ISTREAMS)
32 methods
2 properties

2 owner(s) in hierachy

TObject
TStream
TVirtualStream


Hierarchy of EDBEditError (MASK)
Hierarchy of Class EDBEditError (MASK)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EDBEditError


Hierarchy of TCustomMaskEdit (MASK)
Hierarchy of Class TCustomMaskEdit (MASK)
330 methods
84 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomEdit
TCustomMaskEdit


Hierarchy of TMaskEdit (MASK)
Hierarchy of Class TMaskEdit (MASK)
330 methods
84 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomEdit
TCustomMaskEdit
TMaskEdit


Hierarchy of EMCIDeviceError (MPLAYER)
Hierarchy of Class EMCIDeviceError (MPLAYER)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EMCIDeviceError


Hierarchy of TMediaPlayer (MPLAYER)
Hierarchy of Class TMediaPlayer (MPLAYER)
320 methods
96 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TMediaPlayer


Hierarchy of OutlineError (OUTLINE)
Hierarchy of Class OutlineError (OUTLINE)
62 methods
14 properties

1 owner(s) in hierachy

TObject
OutlineError


Hierarchy of EOutlineError (OUTLINE)
Hierarchy of Class EOutlineError (OUTLINE)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EOutlineError


Hierarchy of TOutlineNode (OUTLINE)
Hierarchy of Class TOutlineNode (OUTLINE)
66 methods
14 properties

2 owner(s) in hierachy

TObject
TPersistent
TOutlineNode


Hierarchy of TCustomOutline (OUTLINE)
Hierarchy of Class TCustomOutline (OUTLINE)
426 methods
110 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGrid
TCustomOutline


Hierarchy of TOutline (OUTLINE)
Hierarchy of Class TOutline (OUTLINE)
426 methods
110 properties

8 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGrid
TCustomOutline
TOutline


Hierarchy of TParamDlg (PARAMDLG)
Hierarchy of Class TParamDlg (PARAMDLG)
352 methods
124 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TScrollingWinControl
TForm
TParamDlg


Hierarchy of EPrinter (PRINTERS)
Hierarchy of Class EPrinter (PRINTERS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EPrinter


Hierarchy of TPrinter (PRINTERS)
Hierarchy of Class TPrinter (PRINTERS)
40 methods
12 properties

1 owner(s) in hierachy

TObject
TPrinter


Hierarchy of TProcParams (PROCDLG)
Hierarchy of Class TProcParams (PROCDLG)
367 methods
124 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TScrollingWinControl
TForm
TProcParams


Hierarchy of TQueryParams (QBINDDLG)
Hierarchy of Class TQueryParams (QBINDDLG)
361 methods
124 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TScrollingWinControl
TForm
TQueryParams


Hierarchy of EReportError (REPORT)
Hierarchy of Class EReportError (REPORT)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EReportError


Hierarchy of TReport (REPORT)
Hierarchy of Class TReport (REPORT)
70 methods
21 properties

3 owner(s) in hierachy

TObject
TPersistent
TComponent
TReport


Hierarchy of TReportEditor (REPORT)
Hierarchy of Class TReportEditor (REPORT)
22 methods
2 properties

2 owner(s) in hierachy

TObject
TComponentEditor
TReportEditor


Hierarchy of TReportDirProperty (REPORT)
Hierarchy of Class TReportDirProperty (REPORT)
46 methods
4 properties

2 owner(s) in hierachy

TObject
TPropertyEditor
TReportDirProperty


Hierarchy of TReportNameProperty (REPORT)
Hierarchy of Class TReportNameProperty (REPORT)
46 methods
4 properties

2 owner(s) in hierachy

TObject
TPropertyEditor
TReportNameProperty


Hierarchy of TCustomGroupBox (STDCTRLS)
Hierarchy of Class TCustomGroupBox (STDCTRLS)
266 methods
65 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGroupBox


Hierarchy of TGroupBox (STDCTRLS)
Hierarchy of Class TGroupBox (STDCTRLS)
266 methods
65 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TCustomGroupBox
TGroupBox


Hierarchy of TCustomLabel (STDCTRLS)
Hierarchy of Class TCustomLabel (STDCTRLS)
159 methods
54 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl
TCustomLabel


Hierarchy of TLabel (STDCTRLS)
Hierarchy of Class TLabel (STDCTRLS)
159 methods
54 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TGraphicControl
TCustomLabel
TLabel


Hierarchy of TCustomEdit (STDCTRLS)
Hierarchy of Class TCustomEdit (STDCTRLS)
293 methods
80 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomEdit


Hierarchy of TEdit (STDCTRLS)
Hierarchy of Class TEdit (STDCTRLS)
293 methods
80 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomEdit
TEdit


Hierarchy of TCustomMemo (STDCTRLS)
Hierarchy of Class TCustomMemo (STDCTRLS)
298 methods
86 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomEdit
TCustomMemo


Hierarchy of TMemo (STDCTRLS)
Hierarchy of Class TMemo (STDCTRLS)
299 methods
86 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomEdit
TCustomMemo
TMemo


Hierarchy of TCustomComboBox (STDCTRLS)
Hierarchy of Class TCustomComboBox (STDCTRLS)
295 methods
82 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomComboBox


Hierarchy of TComboBox (STDCTRLS)
Hierarchy of Class TComboBox (STDCTRLS)
295 methods
82 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomComboBox
TComboBox


Hierarchy of TButtonControl (STDCTRLS)
Hierarchy of Class TButtonControl (STDCTRLS)
264 methods
64 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TButtonControl


Hierarchy of TButton (STDCTRLS)
Hierarchy of Class TButton (STDCTRLS)
267 methods
68 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TButtonControl
TButton


Hierarchy of TCustomCheckBox (STDCTRLS)
Hierarchy of Class TCustomCheckBox (STDCTRLS)
271 methods
69 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TButtonControl
TCustomCheckBox


Hierarchy of TCheckBox (STDCTRLS)
Hierarchy of Class TCheckBox (STDCTRLS)
271 methods
69 properties

7 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TButtonControl
TCustomCheckBox
TCheckBox


Hierarchy of TRadioButton (STDCTRLS)
Hierarchy of Class TRadioButton (STDCTRLS)
268 methods
66 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TButtonControl
TRadioButton


Hierarchy of TCustomListBox (STDCTRLS)
Hierarchy of Class TCustomListBox (STDCTRLS)
290 methods
82 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomListBox


Hierarchy of TListBox (STDCTRLS)
Hierarchy of Class TListBox (STDCTRLS)
290 methods
82 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomListBox
TListBox


Hierarchy of TScrollBar (STDCTRLS)
Hierarchy of Class TScrollBar (STDCTRLS)
274 methods
73 properties

5 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TScrollBar


Hierarchy of TOleContainer (TOCTRL)
Hierarchy of Class TOleContainer (TOCTRL)
310 methods
87 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TOleContainer


Hierarchy of TOleDropNotify (TOCTRL)
Hierarchy of Class TOleDropNotify (TOCTRL)
19 methods
5 properties

1 owner(s) in hierachy

TObject
TOleDropNotify


Hierarchy of TIToolServices (TOOLINTF)
Hierarchy of Class TIToolServices (TOOLINTF)
43 methods
0 properties

2 owner(s) in hierachy

TObject
TInterface
TIToolServices


Hierarchy of TInterface (VIRTINTF)
Hierarchy of Class TInterface (VIRTINTF)
19 methods
0 properties

1 owner(s) in hierachy

TObject
TInterface


Hierarchy of TIStream (VIRTINTF)
Hierarchy of Class TIStream (VIRTINTF)
23 methods
0 properties

2 owner(s) in hierachy

TObject
TInterface
TIStream


Hierarchy of Exception (SYSUTILS)
Hierarchy of Class Exception (SYSUTILS)
26 methods
3 properties

1 owner(s) in hierachy

TObject
Exception


Hierarchy of EAbort (SYSUTILS)
Hierarchy of Class EAbort (SYSUTILS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EAbort


Hierarchy of EOutOfMemory (SYSUTILS)
Hierarchy of Class EOutOfMemory (SYSUTILS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EOutOfMemory


Hierarchy of EInOutError (SYSUTILS)
Hierarchy of Class EInOutError (SYSUTILS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EInOutError


Hierarchy of EIntError (SYSUTILS)
Hierarchy of Class EIntError (SYSUTILS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EIntError


Hierarchy of EDivByZero (SYSUTILS)
Hierarchy of Class EDivByZero (SYSUTILS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EIntError
EDivByZero


Hierarchy of ERangeError (SYSUTILS)
Hierarchy of Class ERangeError (SYSUTILS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EIntError
ERangeError


Hierarchy of EIntOverflow (SYSUTILS)
Hierarchy of Class EIntOverflow (SYSUTILS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EIntError
EIntOverflow


Hierarchy of EMathError (SYSUTILS)
Hierarchy of Class EMathError (SYSUTILS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EMathError


Hierarchy of EInvalidOp (SYSUTILS)
Hierarchy of Class EInvalidOp (SYSUTILS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EMathError
EInvalidOp


Hierarchy of EZeroDivide (SYSUTILS)
Hierarchy of Class EZeroDivide (SYSUTILS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EMathError
EZeroDivide


Hierarchy of EOverflow (SYSUTILS)
Hierarchy of Class EOverflow (SYSUTILS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EMathError
EOverflow


Hierarchy of EUnderflow (SYSUTILS)
Hierarchy of Class EUnderflow (SYSUTILS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EMathError
EUnderflow


Hierarchy of EInvalidPointer (SYSUTILS)
Hierarchy of Class EInvalidPointer (SYSUTILS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EInvalidPointer


Hierarchy of EInvalidCast (SYSUTILS)
Hierarchy of Class EInvalidCast (SYSUTILS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EInvalidCast


Hierarchy of EConvertError (SYSUTILS)
Hierarchy of Class EConvertError (SYSUTILS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EConvertError


Hierarchy of EProcessorException (SYSUTILS)
Hierarchy of Class EProcessorException (SYSUTILS)
26 methods
3 properties

2 owner(s) in hierachy

TObject
Exception
EProcessorException


Hierarchy of EFault (SYSUTILS)
Hierarchy of Class EFault (SYSUTILS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EProcessorException
EFault


Hierarchy of EGPFault (SYSUTILS)
Hierarchy of Class EGPFault (SYSUTILS)
26 methods
3 properties

4 owner(s) in hierachy

TObject
Exception
EProcessorException
EFault
EGPFault


Hierarchy of EStackFault (SYSUTILS)
Hierarchy of Class EStackFault (SYSUTILS)
26 methods
3 properties

4 owner(s) in hierachy

TObject
Exception
EProcessorException
EFault
EStackFault


Hierarchy of EPageFault (SYSUTILS)
Hierarchy of Class EPageFault (SYSUTILS)
26 methods
3 properties

4 owner(s) in hierachy

TObject
Exception
EProcessorException
EFault
EPageFault


Hierarchy of EInvalidOpCode (SYSUTILS)
Hierarchy of Class EInvalidOpCode (SYSUTILS)
26 methods
3 properties

4 owner(s) in hierachy

TObject
Exception
EProcessorException
EFault
EInvalidOpCode


Hierarchy of EBreakpoint (SYSUTILS)
Hierarchy of Class EBreakpoint (SYSUTILS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EProcessorException
EBreakpoint


Hierarchy of ESingleStep (SYSUTILS)
Hierarchy of Class ESingleStep (SYSUTILS)
26 methods
3 properties

3 owner(s) in hierachy

TObject
Exception
EProcessorException
ESingleStep


Hierarchy of TTabSet (TABS)
Hierarchy of Class TTabSet (TABS)
270 methods
81 properties

6 owner(s) in hierachy

TObject
TPersistent
TComponent
TControl
TWinControl
TCustomControl
TTabSet


All Methods and properties
All Methods and Properties (001)

Abort
Aborted
AbortOnKeyViol
AbortOnProblem
AcceptFieldClass
AccessError
AcquireFocus
Activate
ActivateBuffers
ActivateControl
ActivateHint
ActivateObjMenuItem
Active
ActiveBuffer
ActiveChanged
ActiveControl
ActiveForm
ActiveMDIChild
ActivePage
ActiveRecord


All Methods and Properties (002)

Add
AddButtonClick
AddChild
AddChildObject
AddDataLink
AddDataSource
AddEditFormat
AddField
AddFieldDesc
AddForm
AddIndex
Adding
AddMapping
AddMasked
AddNode
AddObject
AddParam
AddPassword
AddRecord
AddStrings


All Methods and Properties (003)

Adjust
AdjustBounds
AdjustDropDown
AdjustHeight
AdjustSize
AfterCancel
AfterClose
AfterDelete
AfterEdit
AfterInsert
AfterOpen
AfterPost
AliasName
Align
AlignControl
AlignControls
Alignment
AllEqual
AllocateSpace
AllowAllUp


All Methods and Properties (004)

AllowConnect
AllowGrayed
AllowInPlace
AllowResize
AllowWildConnect
Append
AppendRecord
AppendTo
Apply
ApplyFilePath
ApplyRange
AppName
Arc
ArrangeButtons
ArrangeIcons
ArrowKeys
AsBCD
AsBoolean
AsCurrency
AsDate


All Methods and Properties (005)

AsDateTime
AsFloat
AsInteger
Assign
AssignError
AssignField
AssignGraphic
AssignPicture
AssignTo
AssignToBitmap
AssignToMetafile
AssignToPicture
AssignValue
AssignValues
AsSmallInt
AsString
AsText
AsTime
AsWord
AttachNode


All Methods and Properties (006)

AutoActivate
AutoButtonSet
AutoCalcFields
AutoDisplay
AutoEdit
AutoEnable
AutoMerge
AutoOpen
AutoPopup
AutoRewind
AutoScroll
AutoScrollInView
AutoSelect
AutoSize
AutoUnload
Back
BackgroundColor
BadIndex
BatchMove
BeforeCancel


All Methods and Properties (007)

BeforeClose
BeforeDelete
BeforeEdit
BeforeInsert
BeforeOpen
BeforePost
BeginDesign
BeginDoc
BeginDrag
BeginInsertAppend
BeginUpdate
BevelInner
BevelOuter
BevelWidth
BindFields
BindParams
Bitmap
BOF
BorderIcons
BorderStyle


All Methods and Properties (008)

BorderWidth
Bound
BoundsRect
BoxRect
Break
BringToFront
Broadcast
Brush
BrushChanged
BrushCopy
Buffer
BufferCount
BuildList
Busy
ButtonClick
CalcAutoRange
CalcCoordFromPoint
CalcDrawInfo
CalcDrawInfoXY
CalcFixedInfo


All Methods and Properties (009)

CalcMaxTopLeft
CalcSizingState
CalcTextMargin
Calculated
CalcXY
Cancel
CancelHint
CancelRange
CanChange
CanEdit
CanEditAcceptKey
CanEditModify
CanEditShow
CanFocus
CanGridAcceptKey
CanModify
Canvas
Capabilities
Capacity
Caption


All Methods and Properties (010)

Cascade
Category
CellRect
Cells
Center
Change
ChangeBitmap
Changed
ChangedCount
ChangedTableName
ChangeExpandedCount
ChangeLevelBy
ChangeLink
ChangeName
ChangeScale
ChangeSize
Changing
CharCase
CharKeys
CheckActive


All Methods and Properties (011)

CheckBrowseMode
CheckCanModify
CheckCursor
Checked
CheckEdit
CheckFieldName
CheckIfOpen
CheckImage
CheckInactive
CheckLinkInfo
CheckMenuPopup
CheckPrinting
CheckRange
CheckRequiredFields
CheckServerParams
CheckSetKeyMode
CheckToken
CheckTokenSymbol
CheckValue
Chord


All Methods and Properties (012)

ClampInView
ClassInfo
ClassName
ClassParent
ClassType
Clear
ClearBitmap
ClearBuffers
ClearButtonClick
ClearFields
ClearHandles
ClearItems
ClearMapping
ClearSelection
Click
ClientHandle
ClientHeight
ClientOrigin
ClientRect
ClientToScreen


All Methods and Properties (013)

ClientWidth
ClientWndProc
ClipRect
Close
CloseApplication
CloseCursor
CloseDatabase
CloseDatasets
CloseDialog
CloseFile
CloseLink
CloseModal
CloseNode
CloseProject
CloseQuery
CloseReport
Closeup
CMActivate
CMButtonPressed
CMCancelMode


All Methods and Properties (014)

CMColorChanged
CMCtl3DChanged
CMCursorChanged
CMDeactivate
CMDesignHitTest
CMDialogChar
CMDialogKey
CMEnabledChanged
CMEnter
CMExit
CMFocusChanged
CMFontChange
CMFontChanged
CMHitTest
CMIconChanged
CMMenuChanged
CMMouseEnter
CMMouseLeave
CMParentColorChanged
CMParentCtl3DChanged


All Methods and Properties (015)

CMParentFontChanged
CMParentShowHintChanged
CMRelease
CMShowHintChanged
CMShowingChanged
CMSysColorChange
CMTextChanged
CMTimeChange
CMVisibleChanged
CMWantSpecialKey
CMWinIniChange
CNChar
CNCommand
CNCtlColor
CNDrawItem
CNHScroll
CNKeyDown
CNKeyUp
CNMeasureItem
CNSysChar


All Methods and Properties (016)

CNSysKeyDown
CNVScroll
Col
ColCount
ColEnter
ColExit
Collapse
Collate
Color
ColoredButtons
Cols
ColumnMoved
Columns
ColWidths
ColWidthsChanged
ComboWndProc
Command
Commit
CompareNodes
Component


All Methods and Properties (017)

ComponentCount
ComponentIndex
Components
ComponentState
Connect
Connected
ConnectMode
ContainsControl
Control
ControlAtPos
ControlCount
ControlDestroyed
Controls
ControlSize
ControlState
ControlStyle
Conv
ConvertDlgHelp
ConvertFields
ConvertFieldsForCallBack


All Methods and Properties (018)

ConvertItemClick
ConvertName
Copies
Copy
CopyBuffer
CopyFrom
CopyImage
CopyMode
CopyParams
CopyRect
CopyToClipboard
Count
Create
CreateBrush
CreateCursor
CreateCursors
CreateDdeConv
CreateEditor
CreateField
CreateFields


All Methods and Properties (019)

CreateFmt
CreateFmtHelp
CreateFont
CreateForm
CreateGlyph
CreateHandle
CreateHelp
CreateMethod
CreateModule
CreateNew
CreateParam
CreateParamDesc
CreateParams
CreatePen
CreateRes
CreateResFmt
CreateResFmtHelp
CreateResHelp
CreateSite
CreateSubClass


All Methods and Properties (020)

CreateTable
CreateWindowHandle
CreateWnd
Ctl3D
Currency
Cursor
CursorDec
CursorInc
CursorPosChanged
Cursors
CustomColors
CutToClipboard
Data
Database
DatabaseCount
DatabaseName
Databases
DataChange
DataChanged
DataEvent


All Methods and Properties (021)

DataField
DataFormat
DataHandle
DataLink
DataMode
DataSet
DataSetChanged
DatasetCount
Datasets
DataSetScrolled
DataSize
DataSource
DataType
DBFlags
DBHandle
DblClick
DBLocale
DdeConv
DdeFmt
DdeInstId


All Methods and Properties (022)

DdeItem
DdeService
DdeTopic
Deactivate
DeactivateControl
DecodeIndexDesc
Default
DefaultColWidth
DefaultDrawDataCell
DefaultDrawing
DefaultExt
DefaultFields
DefaultHandler
DefaultRowHeight
DefineBinaryProperty
DefineFieldMap
DefineProperties
DefineProperty
DefocusControl
DefWndProc


All Methods and Properties (023)

Delete
DeleteButtonClick
DeleteCursor
DeleteIndex
DeleteKeys
DeleteNode
DeleteSelection
DeleteSite
DeleteStorage
DeleteTable
Delta
DescriptionsAvailable
Deselect
DeselectHandles
Designer
DesignInfo
Destination
Destroy
DestroyBitmaps
DestroyComponents


All Methods and Properties (024)

DestroyCursors
DestroyFields
DestroyHandle
Destroying
DestroyWindowHandle
DestroyWnd
Device
DeviceID
DeviceType
DialogHandle
Directory
DirLabel
DirList
DisableAlign
DisableControls
DisableEditUpdate
Disconnect
Dispatch
DispatchCommand
DispatchPopup


All Methods and Properties (025)

Display
DisplayFormat
DisplayLabel
DisplayName
DisplayRect
DisplayText
DisplayValue
DisplayValues
DisplayWidth
DitherBackground
DoAfterCancel
DoAfterClose
DoAfterDelete
DoAfterEdit
DoAfterInsert
DoAfterOpen
DoAfterPost
DoApply
DoBeforeCancel
DoBeforeClose


All Methods and Properties (026)

DoBeforeDelete
DoBeforeEdit
DoBeforeInsert
DoBeforeOpen
DoBeforePost
DoClick
DoDrawText
DoEnter
DoError
DoExecute
DoExit
DoExpand
DoHide
DoInputChar
DoKeyDown
DoKeyPress
DoKeyUp
DoLookup
DoMouseDown
DoMouseUp


All Methods and Properties (027)

DoNotify
DoOnCalcFields
DoOnNewRecord
DoPostClick
Dormant
DoScroll
DoSelectAll
DoSetRange
DoShow
DoStatusLineMsg
Down
DragCanceled
DragCursor
DragDrop
Dragging
DragMode
Draw
DrawAutoButtons
DrawButton
DrawCell


All Methods and Properties (028)

DrawDataCell
DrawFocusRect
DrawItem
DrawMove
DrawPictures
DrawSizingLine
DrawTab
DrawText
DrawTree
Drive
DriveChange
DriverName
DropConnections
DropDown
DropDownCount
DropDownWidth
DropForm
DroppedDown
DropRect
DropTarget


All Methods and Properties (029)

Duplicates
Edit
Editable
EditCanModify
EditChange
EditFormat
Editing
EditingChange
EditingChanged
EditKey
EditMask
EditMaskPtr
EditorMode
EditProperty
EditRangeEnd
EditRangeStart
EditText
EditWndProc
Eject
Ellipse


All Methods and Properties (030)

Empty
EmptyTable
EnableAlign
EnableControls
Enabled
EnabledButtons
EnableEditUpdate
EncodeFieldDesc
EncodeIndexDesc
EndDesign
EndDoc
EndDrag
EndInsertAppend
EndMargin
EndOfList
EndPage
EndPos
EndTransaction
EndUpdate
EnsureColRow


All Methods and Properties (031)

EnsureDataRow
EOF
Equals
EraseSection
Error
ErrorCode
ErrorCount
ErrorMessage
Errors
ErrorStr
Exchange
Exclusive
ExecProc
ExecSQL
Execute
ExecuteMacro
ExecuteMacroLines
ExecuteVerb
ExeName
Expand


All Methods and Properties (032)

ExpandCount
Expanded
Expression
ExtendedSelect
Field
FieldAddress
FieldByName
FieldByNumber
FieldClass
FieldCount
FieldDefs
FieldDescs
FieldLinkActive
FieldName
FieldNo
Fields
FileEdit
FileEditStyle
FileList
FileName


All Methods and Properties (033)

Files
FileStream
FileType
FillRect
Filter
FilterIndex
Find
FindComponent
FindDatabase
FindField
FindIndexForFields
FindItem
FindKey
FindLiteralChar
FindMethod
FindNearest
FindNextControl
FindText
First
FirstIndex


All Methods and Properties (034)

FixedColor
FixedCols
FixedRows
FixupReferences
FixupTabList
FloodFill
Fmt
FocusCell
FocusControl
Focused
Font
FontChanged
Fonts
ForceType
Form
FormatChars
FormatCount
Formats
FormCount
FormCreate


All Methods and Properties (035)

Forms
FormStyle
FrameRect
Frames
Free
FreeBookmark
FreeBuffers
FreeContext
FreeFieldBuffers
FreeFixups
FreeFonts
FreeHandle
FreeImage
FreeInstance
FreePrinters
FreeSections
FreeStatement
FromPage
FullCollapse
FullExpand


All Methods and Properties (036)

FullPath
Get
GetActive
GetActiveMDIChild
GetActivePage
GetActiveRecord
GetAliasName
GetAliasNames
GetAliasParams
GetAppName
GetAsBoolean
GetAsDateTime
GetAsFloat
GetAsHandle
GetAsInteger
GetAsString
GetAsText
GetAttributes
GetBitmap
GetBlobSize


All Methods and Properties (037)

GetBookmark
GetBorderSize
GetBoundsRect
GetButtonValue
GetCalcFields
GetCanModify
GetCanvas
GetCaption
GetCategory
GetCells
GetChecked
GetClientHeight
GetClientOrigin
GetClientRect
GetClientWidth
GetCliItemByCtrl
GetCliItemByName
GetClipRect
GetColField
GetColor


All Methods and Properties (038)

GetCols
GetColWidths
GetComboText
GetComment
GetComponent
GetComponentCount
GetComponentIndex
GetComponentName
GetConfigParams
GetConnected
GetContainer
GetControl
GetControlCount
GetCount
GetCurrentDir
GetCurrentFile
GetCurrentRecord
GetCursor
GetCursors
GetData


All Methods and Properties (039)

GetDatabase
GetDatabaseCount
GetDatabaseNames
GetDataField
GetDataItem
GetDataset
GetDatasetCount
GetDataSize
GetDataSource
GetDBFlag
GetDBHandle
GetDBLocale
GetDdeClientItem
GetDdeService
GetDdeTopic
GetDefaultFields
GetDefaultWidth
GetDeviceCaps
GetDeviceContext
GetDirectory


All Methods and Properties (040)

GetDisplayFormat
GetDisplayLabel
GetDisplayName
GetDisplayRect
GetDisplayText
GetDisplayValue
GetDisplayValues
GetDisplayWidth
GetDrive
GetDriverName
GetDriverNames
GetDriverParams
GetDriverTypeName
GetDroppedDown
GetEditFormat
GetEditLimit
GetEditMask
GetEditText
GetEmpty
GetError


All Methods and Properties (041)

GetErrorCount
GetErrorMessage
GetExeName
GetExpandedNodeCount
GetExpression
GetField
GetFieldClass
GetFieldCount
GetFieldName
GetFieldNames
GetFields
GetFieldValue
GetFileName
GetFilePath
GetFiles
GetFileType
GetFilter
GetFirstChild
GetFirstEditChar
GetFloatValue


All Methods and Properties (042)

GetFloatValueAt
GetFonts
GetForm
GetFormatCount
GetFormats
GetFormCount
GetFormImage
GetFormName
GetFullPath
GetGlyph
GetGridHeight
GetGridWidth
GetHandle
GetHeight
GetHelpContext
GetHelpFile
GetHint
GetIcon
GetIconHandle
GetIDString


All Methods and Properties (043)

GetInch
GetIndex
GetIndexField
GetIndexFieldCount
GetIndexFieldNames
GetIndexInfo
GetIndexName
GetIndexNames
GetIndexParams
GetInfo
GetInfoPtr
GetInitialDir
GetInitialValues
GetIsControl
GetIsIndexField
GetIsNull
GetIsSQLBased
GetItem
GetItemCount
GetItemHeight


All Methods and Properties (044)

GetItemIndex
GetItemPath
GetKeyBuffer
GetKeyExclusive
GetKeyFieldCount
GetKind
GetLastChild
GetLastEditChar
GetLastIndex
GetLeft
GetLength
GetLevel
GetList
GetLookupDisplay
GetLookupField
GetLookupSource
GetMask
GetMasked
GetMasterFields
GetMaxChars


All Methods and Properties (045)

GetMaxDisplayWidth
GetMaxLength
GetMDIChildCount
GetMDIChildren
GetMenuText
GetMessage
GetMetafile
GetMethodName
GetMethods
GetMethodValue
GetMethodValueAt
GetMinHeight
GetMode
GetModified
GetModifyTime
GetModuleCount
GetModuleName
GetMonochrome
GetMouseCapture
GetName


All Methods and Properties (046)

GetNetFileDir
GetNewModuleName
GetNextChild
GetNextEditChar
GetNextRecord
GetNextRecords
GetNode
GetNodeAtIndex
GetNodeDisplayWidth
GetNumGlyphs
GetObjClass
GetObjDoc
GetObject
GetObjectMenuItem
GetObjectMenuItemCount
GetObjects
GetObjItem
GetObjMenuItem
GetOle2AcceleratorTable
GetOptions


All Methods and Properties (047)

GetOrdValue
GetOrdValueAt
GetOrientation
GetPageHeight
GetPageWidth
GetPalette
GetParam
GetParamName
GetParamsCount
GetParentHandle
GetPart
GetPassword
GetPenPos
GetPicture
GetPitch
GetPixel
GetPixelsPerInch
GetPosition
GetPrevChild
GetPrinter


All Methods and Properties (048)

GetPrinterIndex
GetPrinters
GetPriorEditChar
GetPriorRecord
GetPriorRecords
GetPrivateDir
GetPrivateDirectory
GetProcName
GetProjectName
GetProperties
GetPropInfo
GetPropType
GetQueryCursor
GetReadOnly
GetRecord
GetRecordCount
GetReportDir
GetReportHandle
GetReportName
GetResults


All Methods and Properties (049)

GetRowHeights
GetRowOfNode
GetRows
GetScaled
GetScrollPos
GetSel
GetSelCount
GetSelected
GetSelectedField
GetSelectedIndex
GetSelectedItem
GetSelection
GetSelLength
GetSelStart
GetSelText
GetSelTextBuf
GetServerConv
GetServiceApp
GetSize
GetSQLText


All Methods and Properties (050)

GetSrvrConv
GetStart
GetState
GetStatementHandle
GetStorage
GetStoredProcNames
GetStrings
GetStrValue
GetStrValueAt
GetStyle
GetSubCode
GetTableNames
GetTableTypeName
GetTabOrder
GetTabOrderList
GetTabStops
GetText
GetTextBuf
GetTextCase
GetTextHeight


All Methods and Properties (051)

GetTextItem
GetTextLen
GetTimeFormat
GetTitle
GetTop
GetTopIndex
GetTopItem
GetTrackLength
GetTrackPosition
GetTracks
GetTransparent
GetTransparentColor
GetUnitCount
GetUnitName
GetValue
GetValueCheck
GetValueIndex
GetValues
GetValueUncheck
GetVerb


All Methods and Properties (052)

GetVerbCount
GetVersion
GetVisibleColCount
GetVisibleNode
GetVisibleParent
GetVisibleRowCount
GetWidth
Glyph
GlyphChanged
GotoBookmark
GotoCurrent
GotoKey
GotoNearest
Graphic
GridClick
GridHeight
GridLineWidth
GridRectToScreenRect
GridWidth
GroupIndex


All Methods and Properties (053)

Grow
Handle
HandleAllocated
HandleException
HandleMessage
HandleNeeded
HasAsParent
HasChildren
HasFormat
HasItems
HasParent
HasVisibleParent
Height
HelpCommand
HelpContext
Helper
HelpFile
HelpJump
HexToBinary
Hide


All Methods and Properties (054)

HideEdit
HideEditor
HideSelection
HighlightCell
Hint
HintColor
HintPause
HintTimerExpired
HistoryList
HomeEndKeys
HookMainWindow
HorzScrollBar
Icon
IconChanged
Idle
ImageNeeded
InActivation
Inch
Increment
Index


All Methods and Properties (055)

IndexDefs
IndexFieldCount
IndexFieldNames
IndexFields
IndexName
IndexOf
IndexOfObject
InfoQueryMode
InheritsForm
Init
InitFieldDefs
InitFields
InitialDir
Initialize
InitialValues
InitInfo
InitInstance
InitKeyBuffer
InitRecord
InitValue


All Methods and Properties (056)

InitValues
InPlaceActive
InplaceEditor
InputChar
InputString
Insert
InsertComponent
InsertControl
InsertCursor
InsertNode
InsertObject
InsertRecord
InsertServerConv
InstanceSize
IntegralHeight
InternalClose
InternalMove
InternalOpen
Interval
Invalidate


All Methods and Properties (057)

InvalidateCell
InvalidateControl
InvalidateEditor
InvalidateFrame
InvalidateGrid
InvalidateRect
InvalidateRow
InvertRect
InvokeHelp
IsAutoScrollStored
IsClientSizeStored
IsColorStored
IsControl
IsControlMouseMsg
IsCtl3DStored
IsCurItem
IsCustom
IsCustomCaption
IsDBaseTable
IsDesignMsg


All Methods and Properties (058)

IsDisplayLabelStored
IsDisplayWidthStored
IsDlgMsg
IsFileOpen
IsFilterStored
IsFontStored
IsForm
IsFormSizeStored
IsHintMsg
IsIconStored
IsIndexField
IsKeyMsg
IsLinkedTo
IsMasked
IsMaskStored
IsMDIMsg
IsMenuKey
IsNull
IsRangeStored
IsShortCut


All Methods and Properties (059)

IsShowHintStored
IsSQLBased
IsValidChar
IsValidFloat
IsValidInt
IsVisible
ItemAtPos
ItemChanged
ItemCount
ItemHeight
ItemIndex
ItemRect
Items
ItemsChange
ItemSeparator
KeepConnection
KeepConnections
KeyDown
KeyExclusive
KeyFieldCount


All Methods and Properties (060)

KeyPress
KeyPreview
KeyUp
KeyViolCount
KeyViolTableName
Kind
LargeChange
Last
Layout
LayoutChanged
Left
LeftCol
Length
Level
Lines
LineTo
LinkActive
LinkClipFmt
List
ListClick


All Methods and Properties (061)

ListWndProc
LoadBitmaps
Loaded
LoadFromBitmap
LoadFromBlob
LoadFromClipboardFormat
LoadFromFile
LoadFromStream
LoadFromStrings
LoadMemo
LoadPicture
LoadTextValues
Local
Locale
Locked
LockTable
Login
LoginPrompt
LookupDisplay
LookupField


All Methods and Properties (062)

LookupSource
MainForm
MainWndProc
Mappings
Margin
Mask
MaskState
MasterChanged
MasterFields
MasterSource
Max
MaxFontSize
MaxLength
MaxPage
MaxRecords
MaxValue
MDIChildCount
MDIChildren
MeasureItem
MeasureTab


All Methods and Properties (063)

Memory
MemoryImageNeeded
MemoryStream
Menu
MenuChanged
Merge
MergeMenu
MergeWith
Message
MessageBox
MessagePtr
Metafile
MethodAddress
MethodExists
MethodName
Min
MinFontSize
Minimize
MinPage
MinValue


All Methods and Properties (064)

MMNotify
ModalDialogBox
ModalResult
Mode
Modified
ModifyScrollBar
Monochrome
MouseCapture
MouseCoord
MouseDown
MouseMove
MouseToCell
MouseUp
Move
MoveAnchor
MoveBuffer
MoveBy
MoveCol
MoveColRow
MoveCurrent


All Methods and Properties (065)

MovedCount
MoveNode
MoveTo
MoveTopLeft
MultiSelect
Name
NativeError
NavStyle
NeedsScrollBarVisible
NetFileDir
NewImage
NewInstance
NewLayout
NewPage
Next
NextToken
NextValue
NonEditMouseDown
NormalColor
NormalizeTopMosts


All Methods and Properties (066)

Notification
Notify
NotifyControls
NotifyDataLinks
NotifyForms
NotifyValue
NullValueClick
NumGlyphs
ObjClass
ObjDoc
ObjectMenuAction
ObjectMenuItem
Objects
ObjItem
ObjMenuItemClick
OEMConvert
OkBtnClick
OKButtonClick
OleObjAllocated
OnActivate


All Methods and Properties (067)

OnActiveChange
OnActiveControlChange
OnActiveFormChange
OnAdvise
OnApply
OnAttach
OnCalcFields
OnChange
OnChanging
OnClick
OnClose
OnCloseQuery
OnColEnter
OnColExit
OnCollapse
OnColumnMoved
OnCreate
OnDataChange
OnDblClick
OnDeactivate


All Methods and Properties (068)

OnDestroy
OnDetach
OnDragDrop
OnDragOver
OnDrawCell
OnDrawDataCell
OnDrawItem
OnDrawTab
OnDropDown
OnEditingChange
OnEndDrag
OnEnter
OnError
OnException
OnExecuteMacro
OnExit
OnExpand
OnFind
OnFindMethod
OnFormMouseDown


All Methods and Properties (069)

OnGetEditMask
OnGetEditText
OnGetText
OnHelp
OnHide
OnHint
OnIdle
OnKeyDown
OnKeyPress
OnKeyUp
OnLogin
OnMeasureItem
OnMeasureTab
OnMessage
OnMinimize
OnMouseDown
OnMouseMove
OnMouseUp
OnNewRecord
OnNotify


All Methods and Properties (070)

OnOpen
OnPageChanged
OnPaint
OnParentNotify
OnPassword
OnPokeData
OnPopup
OnPostClick
OnReplace
OnResize
OnRestore
OnRowMoved
OnScroll
OnSelectCell
OnSetEditText
OnSetFocus
OnSetItem
OnSetName
OnSetText
OnShow


All Methods and Properties (071)

OnShowHint
OnShowModal
OnSized
OnSizing
OnStateChange
OnStatusLineEvent
OnTimer
OnTopLeftChanged
OnUpdateData
OnValidate
Open
OpenCurrent
OpenCursor
OpenDatabase
OpenFile
OpenLink
OpenProject
OpenProjectInfo
Options
Orientation


All Methods and Properties (072)

Outline
OutlineStyle
Overload
Owner
OwnStream
Pack
PageHeight
PageIndex
PageNumber
Pages
PageWidth
Paint
PaintControls
PaintGrid
PaintHandler
PaintWindow
Palette
PaletteChanged
ParamBindMode
ParamByName


All Methods and Properties (073)

ParamCount
ParamListChange
Params
ParamsChanging
ParamType
ParamTypeListChange
ParamValueExit
Parent
ParentColor
ParentCtl3D
ParentFont
ParentShowHint
Part
PartRect
PasswordChar
PasteFromClipboard
PasteLink
Pause
PauseOnly
Pen


All Methods and Properties (074)

PenChanged
PenPos
Perform
Picture
PictureChanged
PictureClosed
PictureLeaf
PictureMinus
PictureOpen
PicturePlus
Pie
PInitInfo
Pitch
Pixels
PixelsPerInch
Play
PokeData
PokeDataLines
Polygon
Polyline


All Methods and Properties (075)

PopulateMenu
PopulateOle2Menu
Popup
PopupComponent
PopupMenu
PosEqual
Position
Post
PostClick
PostDataChange
PostKeyBuffer
PrecedingWindow
Precision
Prepare
PrepareCursor
Prepared
PrepareProc
PrepareSQL
Preview
Previous


All Methods and Properties (076)

Print
PrintCopies
PrinterIndex
Printers
Printing
PrintRange
PrintScale
PrintToFile
Prior
PrivateDir
PrivateDirectory
ProblemCount
ProblemTableName
ProcessHints
ProcessMessage
ProcessMessages
PropCount
PropertyChanged
PropertyError
Put


All Methods and Properties (077)

PutObject
QueryChanged
QuickSort
RaiseException
Range
RangeError
Read
ReadBinaryData
ReadBitmaps
ReadBool
ReadBoolean
ReadBuffer
ReadChar
ReadColWidths
ReadComponent
ReadComponentRes
ReadComponents
ReadData
ReadDataInner
ReadFileNames


All Methods and Properties (078)

ReadFloat
ReadIdent
ReadInitInfo
ReadInteger
ReadIsControl
ReadLeft
ReadLinkInfo
ReadListBegin
ReadListEnd
ReadOnly
ReadProperty
ReadPropValue
ReadResHeader
ReadRootComponent
ReadRowHeights
ReadSection
ReadSectionValues
ReadSet
ReadShortCutText
ReadSignature


All Methods and Properties (079)

ReadState
ReadStr
ReadStream
ReadString
ReadStringData
ReadTextHeight
ReadTop
ReadValue
Realign
RebuildHandle
RecalcReport
RecordChanged
RecordCount
RecordSize
RecreateWnd
Rectangle
Reference
ReformatText
Refresh
RefreshMDIMenu


All Methods and Properties (080)

RefreshParams
RegisterClass
RegisterClipboardFormat
RegisterFileFormat
ReIndex
Release
ReleaseHandle
ReleasePalette
ReloadFile
Remove
RemoveAllButtonClick
RemoveAllPasswords
RemoveButtonClick
RemoveComponent
RemoveControl
RemoveDataLink
RemoveDataSource
RemoveEditFormat
RemoveField
RemoveFocus


All Methods and Properties (081)

RemoveForm
RemoveParam
RemovePassword
RemoveServerConv
RenameMethod
RenameTable
Repaint
Replace
ReplaceMasked
ReplaceText
ReportActive
ReportDir
ReportHandle
ReportName
RequestAlign
RequestData
RequestLive
Required
RequiredState
Reset


All Methods and Properties (082)

ResetAppName
ResetCursorRange
ResetItemHeight
ResetObjMenuItem
ResetSelectedItem
Resize
ResizeCol
ResizeGrid
ResizeRow
Restore
RestoreTopMosts
Resume
Resync
Rewind
Rollback
Root
RoundRect
Row
RowCount
RowHeights


All Methods and Properties (083)

RowHeightsChanged
RowMoved
Rows
Run
RunApp
RunMacro
RunReport
Save
SaveFile
SaveProject
SaveToBitmap
SaveToClipboardFormat
SaveToFile
SaveToStream
SaveToStrings
ScaleBy
ScaleControls
Scaled
ScaleScrollBars
ScreenToClient


All Methods and Properties (084)

Scroll
ScrollBars
ScrollBy
ScrollData
ScrollDataInfo
ScrollInView
ScrollMessage
ScrollPos
Sections
SectionWidth
Seek
SelCount
SelectAll
SelectCell
Selected
SelectedColor
SelectedField
SelectedIndex
SelectedItem
SelectFirst


All Methods and Properties (085)

Selection
SelectionMoved
SelectNext
SelLength
SelStart
SelText
SendCancelMode
SendToBack
ServerConv
ServiceApplication
SetActive
SetActiveControl
SetActivePage
SetActiveRecord
SetAliasName
SetAlign
SetAlignment
SetAllowAllUp
SetAppName
SetAsBCD


All Methods and Properties (086)

SetAsBoolean
SetAsCurrency
SetAsDate
SetAsDateTime
SetAsFloat
SetAsHandle
SetAsInteger
SetAsSmallInt
SetAsString
SetAsText
SetAsTime
SetAsWord
SetAutoDisplay
SetAutoEnable
SetAutoMerge
SetAutoScroll
SetAutoSize
SetBevelInner
SetBevelOuter
SetBevelWidth


All Methods and Properties (087)

SetBitmap
SetBorderIcons
SetBorderStyle
SetBorderWidth
SetBounds
SetBoundsRect
SetBreak
SetBrush
SetBuffer
SetBufferCount
SetBufListSize
SetButtonCount
SetButtonStyle
SetCalculated
SetCapacity
SetCaption
SetCells
SetCenter
SetCharCase
SetChecked


All Methods and Properties (088)

SetClientHeight
SetClientSize
SetClientWidth
SetCol
SetColCount
SetColor
SetColored
SetCols
SetColumnAttributes
SetColumns
SetColumnWidth
SetColWidths
SetComboText
SetComponent
SetComponentIndex
SetConnected
SetConnectMode
SetControl
SetControls
SetCount


All Methods and Properties (089)

SetCtl3D
SetCurItem
SetCurrency
SetCurrentRecord
SetCursor
SetCursorRange
SetCursors
SetCustomColors
SetData
SetDatabaseName
SetDatabaseType
SetDataField
SetDataSet
SetDataSource
SetDataType
SetDBFlag
SetDdeClientConv
SetDdeClientItem
SetDdeService
SetDdeTopic


All Methods and Properties (090)

SetDefault
SetDefaultColWidth
SetDefaultRowHeight
SetDesigner
SetDesigning
SetDeviceType
SetDir
SetDirectory
SetDirLabel
SetDirLabelCaption
SetDirListBox
SetDisplay
SetDisplayFormat
SetDisplayLabel
SetDisplayRect
SetDisplayValue
SetDisplayValues
SetDisplayWidth
SetDown
SetDrive


All Methods and Properties (091)

SetDriverName
SetDroppedDown
SetEditFormat
SetEditing
SetEditMask
SetEditorMode
SetEditReadOnly
SetEditRect
SetEditText
SetEnabled
SetEnabledButtons
SetExclusive
SetExpandedState
SetExtendedSelect
SetField
SetFieldDefs
SetFieldName
SetFieldNames
SetFields
SetFileEdit


All Methods and Properties (092)

SetFileListBox
SetFileName
SetFileType
SetFilter
SetFixedColor
SetFixedCols
SetFixedRows
SetFloatValue
SetFocus
SetFocused
SetFocusedControl
SetFont
SetFormatChars
SetFormStyle
SetFrom
SetGlyph
SetGoodIndex
SetGraphic
SetGrid
SetGridLineWidth


All Methods and Properties (093)

SetGroupIndex
SetHandle
SetHeight
SetHelpContext
SetHelpFile
SetHideSelection
SetHint
SetHintColor
SetHintPause
SetHistoryList
SetHorzScrollBar
SetIcon
SetInch
SetIndex
SetIndexField
SetIndexFieldNames
SetIndexName
SetInfo
SetInitialDir
SetInitialValues


All Methods and Properties (094)

SetInitInfo
SetInPlaceActive
SetIntegralHeight
SetInterval
SetIsControl
SetItemHeight
SetItemIndex
SetItems
SetKeepConnection
SetKey
SetKeyBuffer
SetKeyExclusive
SetKeyFieldCount
SetKeyFields
SetKind
SetLayout
SetLeft
SetLeftCol
SetLevel
SetLines


All Methods and Properties (095)

SetLink
SetLinkRanges
SetLookupDisplay
SetLookupField
SetLookupSource
SetMappings
SetMargin
SetMask
SetMaskColor
SetMasterFields
SetMax
SetMaxLength
SetMaxValue
SetMenu
SetMessage
SetMetafile
SetMethodValue
SetMin
SetMinValue
SetMode


All Methods and Properties (096)

SetModified
SetMonochrome
SetMouseCapture
SetMultiSelect
SetName
SetNetFileDir
SetNotify
SetNumGlyphs
SetObjClass
SetObjDoc
SetObjectMenuItem
SetObjects
SetObjItem
SetObjMenuItem
SetOEMConvert
SetOle2MenuHandle
SetOnTimer
SetOptions
SetOrdValue
SetOrientation


All Methods and Properties (097)

SetOrigDisplay
SetOutlineOptions
SetOutlineStyle
SetOverLoad
SetPageIndex
SetPages
SetPalette
SetParamName
SetParams
SetParamsFromCursor
SetParamsList
SetParent
SetParentColor
SetParentCtl3D
SetParentFont
SetParentShowHint
SetPartRect
SetPasswordChar
SetPen
SetPenPos


All Methods and Properties (098)

SetPicture
SetPitch
SetPixel
SetPixelsPerInch
SetPosition
SetPrecision
SetPrepare
SetPrepared
SetPrinter
SetPrinterIndex
SetPrivateDir
SetProcName
SetPropEntry
SetQuery
SetRange
SetRangeEnd
SetRangeStart
SetReadOnly
SetReference
SetReportDir


All Methods and Properties (099)

SetReportName
SetRow
SetRowCount
SetRowFromNode
SetRowHeight
SetRowHeights
SetRows
SetScaled
SetScrollBars
SetSections
SetSel
SetSelected
SetSelectedField
SetSelectedIndex
SetSelectedItem
SetSelection
SetSelLength
SetSelStart
SetSelText
SetSelTextBuf


All Methods and Properties (100)

SetServerConv
SetServerParams
SetService
SetServiceApp
SetShape
SetShortCut
SetShowAccelChar
SetShowGlyphs
SetShowHint
SetSize
SetSorted
SetSpacing
SetState
SetStretch
SetStrings
SetStrValue
SetStyle
SetTableLock
SetTableName
SetTableType


All Methods and Properties (101)

SetTabOrder
SetTabStop
SetTabStops
SetText
SetTextBuf
SetTextCase
SetTimeFormat
SetTitle
SetTitleFont
SetTo
SetToDefaultPrinter
SetTop
SetTopic
SetTopIndex
SetTopRow
SetTransparent
SetUpdateState
SetValue
SetValueCheck
SetValues


All Methods and Properties (102)

SetValueUncheck
SetVariable
SetVariableLines
SetVertScrollBar
SetVisible
SetWait
SetWidth
SetWindowFocus
SetWindowHandle
SetWindowMenu
SetWindowState
SetWordWrap
SetZoomFactor
SetZOrder
Shape
Shareable
ShortCut
Show
ShowAccelChar
ShowControl


All Methods and Properties (103)

ShowEditor
ShowEditorChar
ShowException
ShowGlyphs
ShowHint
Showing
ShowMethod
ShowModal
Site
Size
SizeChanged
Sized
Sizing
SkipBlanks
SkipComponent
SkipProperty
SkipSetBody
SkipValue
SmallChange
Sort


All Methods and Properties (104)

Sorted
Source
SourceLine
SourcePos
Spacing
SQL
SQLBinary
SrvrDisconnect
Start
StartAdvise
StartApplication
StartHintTimer
StartMargin
StartPage
StartPos
StartRecording
StartTransaction
State
Step
StmtHandle


All Methods and Properties (105)

Stop
StopHintTimer
Storage
StoreBitmap
StoredProcName
Stretch
StretchDraw
Strings
Style
StyleChanged
SubCode
SubItemChanged
SupportsClipboardFormat
SwitchToIndex
TabHeight
TabIndex
TableName
TableType
TabOrder
Tabs


All Methods and Properties (106)

TabStop
TabStops
Tag
Temporary
Terminate
Terminated
Text
TextCase
TextHeight
TextOut
TextRect
TextWidth
Tile
TileMode
TimedScroll
TimeFormat
Timer
TimerExpired
Title
TitleColor


All Methods and Properties (107)

TitleFont
TitleFontChanged
Toggle
Token
TokenFloat
TokenInt
TokenString
TokenSymbolIs
Top
ToPage
TopIndex
TopItem
TopLeftChanged
TopLeftMoved
TopRow
TrackLength
TrackPosition
Tracks
TransIsolation
Transliterate


All Methods and Properties (108)

Transparent
TransparentColor
Truncate
TypeListChange
Unbind
UnhookMainWindow
UniDirectional
UniqueImage
UnlockTable
Unmerge
UnPrepare
UnselectedColor
Update
UpdateActive
UpdateBounds
UpdateBoundsRect
UpdateBufferCount
UpdateButtons
UpdateCheckRange
UpdateControlState


All Methods and Properties (109)

UpdateCursorPos
UpdateData
UpdateDataSize
UpdateEdit
UpdateExclusive
UpdateField
UpdateFieldDefs
UpdateFromLogFont
UpdateHeight
UpdateImage
UpdateIndexDefs
UpdateLastActive
UpdateLoc
UpdateMode
UpdateRange
UpdateRecord
UpdateRowCount
UpdateScrollBar
UpdateScrollBars
UpdateScrollPos


All Methods and Properties (110)

UpdateScrollRange
UpdateShowing
UpdateState
UpdateTabOrder
UpdateText
UpdateTimer
UseRunTime
Validate
ValidateEdit
ValidateError
ValidateName
ValidateRename
Value
ValueChanged
ValueChecked
ValueMatch
Values
ValueUnchecked
VerifyGroupIndex
VersionMajor


All Methods and Properties (111)

VersionMinor
VertScrollBar
Visible
VisibleButtonCount
VisibleButtons
VisibleChanging
VisibleColCount
VisibleRowCount
VisibleTabs
Wait
WaitStat
WantReturns
WantTabs
Width
WindowHandle
WindowMenu
WindowState
WindowText
WMActivate
WMCancelMode


All Methods and Properties (112)

WMChar
WMCharToItem
WMClose
WMCommand
WMCompareItem
WMCopy
WMCreate
WMCtlColor
WMCut
WMDeleteItem
WMDestroy
WMDrawItem
WMEnterIdle
WMEnterMenuLoop
WMEraseBkgnd
WMFontChange
WMGetDlgCode
WMHScroll
WMIconEraseBkgnd
WMInitMenuPopup


All Methods and Properties (113)

WMKeyDown
WMKeyUp
WMKillFocus
WMLButtonDblClk
WMLButtonDown
WMLButtonUp
WMMButtonDblClk
WMMButtonDown
WMMButtonUp
WMMDIAtivate
WMMeasureItem
WMMenuSelect
WMMouseMove
WMMove
WMNCCreate
WMNCDestroy
WMNCHitTest
WMNCLButtonDown
WMNCRButtonDown
WMNextDlgCtl


All Methods and Properties (114)

WMPaint
WMPaletteChanged
WMParentNotify
WMPaste
WMQueryDragIcon
WMQueryEndSession
WMQueryNewPalette
WMRButtonDblClk
WMRButtonDown
WMRButtonUp
WMSetCursor
WMSetFocus
WMShowWindow
WMSize
WMSysColorChange
WMSysCommand
WMSysKeyDown
WMSysKeyUp
WMTimeChange
WMTimer


All Methods and Properties (115)

WMVBXFireEvent
WMVKeyToItem
WMVScroll
WMWindowPosChanged
WMWinIniChange
WndProc
WordWrap
Write
WriteBinary
WriteBinaryData
WriteBool
WriteBoolean
WriteBuffer
WriteChar
WriteColWidths
WriteComponent
WriteComponentRes
WriteComponents
WriteData
WriteFloat


All Methods and Properties (116)

WriteIdent
WriteInitInfo
WriteInteger
WriteIsControl
WriteLeft
WriteLinkInfo
WriteListBegin
WriteListEnd
WriteNode
WriteProperties
WriteProperty
WritePropName
WriteRootComponent
WriteRowHeights
WriteShortCutText
WriteSignature
WriteState
WriteStr
WriteStream
WriteString


All Methods and Properties (117)

WriteTextHeight
WriteTop
WriteValue
XactComplete
Zoom


Abort (all)
Abort 	TPrinter 	PRINTERS


Aborted (all)
Aborted 	TPrinter 	PRINTERS


AbortOnKeyViol (all)
AbortOnKeyViol 	TBatchMove 	DBTABLES


AbortOnProblem (all)
AbortOnProblem 	TBatchMove 	DBTABLES


AcceptFieldClass (all)
AcceptFieldClass 	TProcParams 	PROCDLG
AcceptFieldClass 	TQueryParams 	QBINDDLG


AccessError (all)
AccessError 	TField 	DB
AccessError 	TParam 	DBTABLES


AcquireFocus (all)
AcquireFocus 	TCustomDBGrid 	DBGRIDS


Activate (all)
Activate 	TForm 	FORMS
Activate 	TPropertyEditor 	DSGNINTF


ActivateBuffers (all)
ActivateBuffers 	TDataSet 	DB


ActivateControl (all)
ActivateControl 	TOleContainer 	TOCTRL


ActivateHint (all)
ActivateHint 	TApplication 	FORMS
ActivateHint 	THintWindow 	CONTROLS


ActivateObjMenuItem (all)
ActivateObjMenuItem 	TOleContainer 	TOCTRL


Active (all)
Active 	TApplication 	FORMS
Active 	TDataLink 	DB
Active 	TDataSet 	DB
Active 	TForm 	FORMS
Active 	TOleContainer 	TOCTRL


ActiveBuffer (all)
ActiveBuffer 	TDataSet 	DB


ActiveChanged (all)
ActiveChanged 	TDataLink 	DB
ActiveChanged 	TFieldDataLink 	DBTABLES
ActiveChanged 	TForm 	FORMS
ActiveChanged 	TGridDataLink 	DBGRIDS
ActiveChanged 	TNavDataLink 	DBCTRLS
ActiveChanged 	TTableDataLink 	DBTABLES


ActiveControl (all)
ActiveControl 	TForm 	FORMS
ActiveControl 	TScreen 	FORMS


ActiveForm (all)
ActiveForm 	TScreen 	FORMS


ActiveMDIChild (all)
ActiveMDIChild 	TForm 	FORMS


ActivePage (all)
ActivePage 	TNotebook 	EXTCTRLS


ActiveRecord (all)
ActiveRecord 	TDataLink 	DB


Add (all)
Add 	TComponentList 	DSGNINTF
Add 	TCustomOutline 	OUTLINE
Add 	TFieldDefs 	DB
Add 	TImageList 	GRAPHICS
Add 	TIndexDefs 	DBTABLES
Add 	TList 	CLASSES
Add 	TMenuItem 	MENUS
Add 	TStringGridStrings 	GRIDS
Add 	TStringList 	CLASSES
Add 	TStrings 	CLASSES


AddButtonClick (all)
AddButtonClick 	TPasswordDialog 	DBPWDLG
AddButtonClick 	TProcParams 	PROCDLG


AddChild (all)
AddChild 	TCustomOutline 	OUTLINE


AddChildObject (all)
AddChildObject 	TCustomOutline 	OUTLINE


AddDataLink (all)
AddDataLink 	TDataSource 	DB


AddDataSource (all)
AddDataSource 	TDataSet 	DB


AddEditFormat (all)
AddEditFormat 	TCustomMaskEdit 	MASK


AddField (all)
AddField 	TDataSet 	DB


AddFieldDesc (all)
AddFieldDesc 	TFieldDefs 	DB


AddForm (all)
AddForm 	TScreen 	FORMS


AddIndex (all)
AddIndex 	TTable 	DBTABLES


Adding (all)
Adding 	TClipboard 	CLIPBRD


AddMapping (all)
AddMapping 	TGridDataLink 	DBGRIDS


AddMasked (all)
AddMasked 	TImageList 	GRAPHICS


AddNode (all)
AddNode 	OutlineError 	OUTLINE
AddNode 	TOutlineNode 	OUTLINE


AddObject (all)
AddObject 	TCustomOutline 	OUTLINE
AddObject 	TStrings 	CLASSES


AddParam (all)
AddParam 	TParams 	DBTABLES


AddPassword (all)
AddPassword 	TSession 	DB


AddRecord (all)
AddRecord 	TDataSet 	DB


AddStrings (all)
AddStrings 	TStrings 	CLASSES


Adjust (all)
Adjust 	TMediaPlayer 	MPLAYER


AdjustBounds (all)
AdjustBounds 	TCustomLabel 	STDCTRLS


AdjustDropDown (all)
AdjustDropDown 	TCustomComboBox 	STDCTRLS


AdjustHeight (all)
AdjustHeight 	TCustomEdit 	STDCTRLS


AdjustSize (all)
AdjustSize 	TCustomGrid 	GRIDS


AfterCancel (all)
AfterCancel 	TDataSet 	DB


AfterClose (all)
AfterClose 	TDataSet 	DB


AfterDelete (all)
AfterDelete 	TDataSet 	DB


AfterEdit (all)
AfterEdit 	TDataSet 	DB


AfterInsert (all)
AfterInsert 	TDataSet 	DB


AfterOpen (all)
AfterOpen 	TDataSet 	DB


AfterPost (all)
AfterPost 	TDataSet 	DB


AliasName (all)
AliasName 	TDatabase 	DB


Align (all)
Align 	TBevel 	EXTCTRLS
Align 	TControl 	CONTROLS
Align 	TDBGrid 	DBGRIDS
Align 	TDBImage 	DBCTRLS
Align 	TDBListBox 	DBCTRLS
Align 	TDBLookupList 	DBLOOKUP
Align 	TDBMemo 	DBCTRLS
Align 	TDBRadioGroup 	DBCTRLS
Align 	TDBText 	DBCTRLS
Align 	TDirectoryListBox 	FILECTRL
Align 	TDrawGrid 	GRIDS
Align 	TFileListBox 	FILECTRL
Align 	TGroupBox 	STDCTRLS
Align 	THeader 	EXTCTRLS
Align 	TImage 	EXTCTRLS
Align 	TLabel 	STDCTRLS
Align 	TListBox 	STDCTRLS
Align 	TMemo 	STDCTRLS
Align 	TNotebook 	EXTCTRLS
Align 	TOleContainer 	TOCTRL
Align 	TOutline 	OUTLINE
Align 	TPaintBox 	EXTCTRLS
Align 	TPanel 	EXTCTRLS
Align 	TRadioGroup 	EXTCTRLS
Align 	TScrollBox 	FORMS
Align 	TTabSet 	TABS


AlignControl (all)
AlignControl 	TWinControl 	CONTROLS


AlignControls (all)
AlignControls 	TCustomGroupBox 	STDCTRLS
AlignControls 	TCustomPanel 	EXTCTRLS
AlignControls 	TForm 	FORMS
AlignControls 	TScrollingWinControl 	FORMS
AlignControls 	TWinControl 	CONTROLS


Alignment (all)
Alignment 	TCheckBox 	STDCTRLS
Alignment 	TCustomCheckBox 	STDCTRLS
Alignment 	TCustomLabel 	STDCTRLS
Alignment 	TCustomMemo 	STDCTRLS
Alignment 	TCustomPanel 	EXTCTRLS
Alignment 	TDBCheckBox 	DBCTRLS
Alignment 	TDBMemo 	DBCTRLS
Alignment 	TDBText 	DBCTRLS
Alignment 	TField 	DB
Alignment 	TLabel 	STDCTRLS
Alignment 	TMemo 	STDCTRLS
Alignment 	TNumericField 	DBTABLES
Alignment 	TPanel 	EXTCTRLS
Alignment 	TPopupMenu 	MENUS
Alignment 	TRadioButton 	STDCTRLS


AllEqual (all)
AllEqual 	TFloatProperty 	DSGNINTF
AllEqual 	TMethodProperty 	DSGNINTF
AllEqual 	TOrdinalProperty 	DSGNINTF
AllEqual 	TPropertyEditor 	DSGNINTF
AllEqual 	TSetElementProperty 	DSGNINTF
AllEqual 	TStringProperty 	DSGNINTF


AllocateSpace (all)
AllocateSpace 	TImageList 	GRAPHICS


AllowAllUp (all)
AllowAllUp 	TSpeedButton 	BUTTONS


AllowConnect (all)
AllowConnect 	TDdeMgr 	DDEMAN


AllowGrayed (all)
AllowGrayed 	TCheckBox 	STDCTRLS
AllowGrayed 	TCustomCheckBox 	STDCTRLS
AllowGrayed 	TDBCheckBox 	DBCTRLS


AllowInPlace (all)
AllowInPlace 	TOleContainer 	TOCTRL


AllowResize (all)
AllowResize 	THeader 	EXTCTRLS


AllowWildConnect (all)
AllowWildConnect 	TDdeMgr 	DDEMAN


Append (all)
Append 	TDataSet 	DB


AppendRecord (all)
AppendRecord 	TDataSet 	DB


AppendTo (all)
AppendTo 	TMenuItem 	MENUS


Apply (all)
Apply 	TFontDialog 	DIALOGS


ApplyFilePath (all)
ApplyFilePath 	TFileListBox 	FILECTRL


ApplyRange (all)
ApplyRange 	TTable 	DBTABLES


AppName (all)
AppName 	TDdeMgr 	DDEMAN


Arc (all)
Arc 	TCanvas 	GRAPHICS


ArrangeButtons (all)
ArrangeButtons 	TCustomRadioGroup 	EXTCTRLS


ArrangeIcons (all)
ArrangeIcons 	TForm 	FORMS


ArrowKeys (all)
ArrowKeys 	TCustomMaskEdit 	MASK


AsBCD (all)
AsBCD 	TParam 	DBTABLES


AsBoolean (all)
AsBoolean 	TField 	DB
AsBoolean 	TParam 	DBTABLES


AsCurrency (all)
AsCurrency 	TParam 	DBTABLES


AsDate (all)
AsDate 	TParam 	DBTABLES


AsDateTime (all)
AsDateTime 	TField 	DB
AsDateTime 	TParam 	DBTABLES


AsFloat (all)
AsFloat 	TField 	DB
AsFloat 	TParam 	DBTABLES


AsInteger (all)
AsInteger 	TField 	DB
AsInteger 	TParam 	DBTABLES


Assign (all)
Assign 	TBitmap 	GRAPHICS
Assign 	TBlobField 	DBTABLES
Assign 	TBrush 	GRAPHICS
Assign 	TClipboard 	CLIPBRD
Assign 	TControlScrollBar 	FORMS
Assign 	TField 	DB
Assign 	TFieldDefs 	DB
Assign 	TFont 	GRAPHICS
Assign 	TGraphic 	GRAPHICS
Assign 	TIcon 	GRAPHICS
Assign 	TIndexDefs 	DBTABLES
Assign 	TMetafile 	GRAPHICS
Assign 	TParam 	DBTABLES
Assign 	TParams 	DBTABLES
Assign 	TPen 	GRAPHICS
Assign 	TPersistent 	CLASSES
Assign 	TPicture 	GRAPHICS
Assign 	TStringGridStrings 	GRIDS
Assign 	TStrings 	CLASSES


AssignError (all)
AssignError 	TPersistent 	CLASSES


AssignField (all)
AssignField 	TParam 	DBTABLES


AssignGraphic (all)
AssignGraphic 	TClipboard 	CLIPBRD


AssignPicture (all)
AssignPicture 	TClipboard 	CLIPBRD


AssignTo (all)
AssignTo 	TBlobField 	DBTABLES
AssignTo 	TClipboard 	CLIPBRD
AssignTo 	TParams 	DBTABLES
AssignTo 	TPersistent 	CLASSES


AssignToBitmap (all)
AssignToBitmap 	TClipboard 	CLIPBRD


AssignToMetafile (all)
AssignToMetafile 	TClipboard 	CLIPBRD


AssignToPicture (all)
AssignToPicture 	TClipboard 	CLIPBRD


AssignValue (all)
AssignValue 	TField 	DB


AssignValues (all)
AssignValues 	TParams 	DBTABLES


AsSmallInt (all)
AsSmallInt 	TParam 	DBTABLES


AsString (all)
AsString 	TField 	DB
AsString 	TParam 	DBTABLES


AsText (all)
AsText 	TClipboard 	CLIPBRD


AsTime (all)
AsTime 	TParam 	DBTABLES


AsWord (all)
AsWord 	TParam 	DBTABLES


AttachNode (all)
AttachNode 	TCustomOutline 	OUTLINE


AutoActivate (all)
AutoActivate 	TOleContainer 	TOCTRL


AutoButtonSet (all)
AutoButtonSet 	TMediaPlayer 	MPLAYER


AutoCalcFields (all)
AutoCalcFields 	TDataSet 	DB


AutoDisplay (all)
AutoDisplay 	TDBImage 	DBCTRLS
AutoDisplay 	TDBMemo 	DBCTRLS


AutoEdit (all)
AutoEdit 	TDataSource 	DB


AutoEnable (all)
AutoEnable 	TMediaPlayer 	MPLAYER


AutoMerge (all)
AutoMerge 	TMainMenu 	MENUS


AutoOpen (all)
AutoOpen 	TMediaPlayer 	MPLAYER


AutoPopup (all)
AutoPopup 	TPopupMenu 	MENUS


AutoRewind (all)
AutoRewind 	TMediaPlayer 	MPLAYER


AutoScroll (all)
AutoScroll 	TForm 	FORMS
AutoScroll 	TScrollBox 	FORMS
AutoScroll 	TScrollingWinControl 	FORMS
AutoScroll 	TTabSet 	TABS


AutoScrollInView (all)
AutoScrollInView 	TScrollingWinControl 	FORMS


AutoSelect (all)
AutoSelect 	TCustomEdit 	STDCTRLS
AutoSelect 	TDBEdit 	DBCTRLS
AutoSelect 	TDBLookupCombo 	DBLOOKUP
AutoSelect 	TEdit 	STDCTRLS
AutoSelect 	TMaskEdit 	MASK


AutoSize (all)
AutoSize 	TCustomEdit 	STDCTRLS
AutoSize 	TCustomLabel 	STDCTRLS
AutoSize 	TDBEdit 	DBCTRLS
AutoSize 	TDBText 	DBCTRLS
AutoSize 	TEdit 	STDCTRLS
AutoSize 	TImage 	EXTCTRLS
AutoSize 	TLabel 	STDCTRLS
AutoSize 	TMaskEdit 	MASK
AutoSize 	TOleContainer 	TOCTRL


AutoUnload (all)
AutoUnload 	TReport 	REPORT


Back (all)
Back 	TMediaPlayer 	MPLAYER


BackgroundColor (all)
BackgroundColor 	TTabSet 	TABS


BadIndex (all)
BadIndex 	TCustomOutline 	OUTLINE


BatchMove (all)
BatchMove 	TTable 	DBTABLES


BeforeCancel (all)
BeforeCancel 	TDataSet 	DB


BeforeClose (all)
BeforeClose 	TDataSet 	DB


BeforeDelete (all)
BeforeDelete 	TDataSet 	DB


BeforeEdit (all)
BeforeEdit 	TDataSet 	DB


BeforeInsert (all)
BeforeInsert 	TDataSet 	DB


BeforeOpen (all)
BeforeOpen 	TDataSet 	DB


BeforePost (all)
BeforePost 	TDataSet 	DB


BeginDesign (all)
BeginDesign 	TDataSetDesigner 	DB


BeginDoc (all)
BeginDoc 	TPrinter 	PRINTERS


BeginDrag (all)
BeginDrag 	TControl 	CONTROLS


BeginInsertAppend (all)
BeginInsertAppend 	TDataSet 	DB


BeginUpdate (all)
BeginUpdate 	TCustomOutline 	OUTLINE
BeginUpdate 	TStrings 	CLASSES


BevelInner (all)
BevelInner 	TCustomPanel 	EXTCTRLS
BevelInner 	TPanel 	EXTCTRLS


BevelOuter (all)
BevelOuter 	TCustomPanel 	EXTCTRLS
BevelOuter 	TPanel 	EXTCTRLS


BevelWidth (all)
BevelWidth 	TCustomPanel 	EXTCTRLS
BevelWidth 	TPanel 	EXTCTRLS


BindFields (all)
BindFields 	TDataSet 	DB


BindParams (all)
BindParams 	TStoredProc 	DBTABLES


Bitmap (all)
Bitmap 	TBrush 	GRAPHICS
Bitmap 	TPicture 	GRAPHICS


BOF (all)
BOF 	TDataSet 	DB


BorderIcons (all)
BorderIcons 	TForm 	FORMS


BorderStyle (all)
BorderStyle 	TCustomEdit 	STDCTRLS
BorderStyle 	TCustomGrid 	GRIDS
BorderStyle 	TCustomListBox 	STDCTRLS
BorderStyle 	TCustomPanel 	EXTCTRLS
BorderStyle 	TDBEdit 	DBCTRLS
BorderStyle 	TDBGrid 	DBGRIDS
BorderStyle 	TDBImage 	DBCTRLS
BorderStyle 	TDBListBox 	DBCTRLS
BorderStyle 	TDBLookupList 	DBLOOKUP
BorderStyle 	TDBMemo 	DBCTRLS
BorderStyle 	TDrawGrid 	GRIDS
BorderStyle 	TEdit 	STDCTRLS
BorderStyle 	TForm 	FORMS
BorderStyle 	THeader 	EXTCTRLS
BorderStyle 	TListBox 	STDCTRLS
BorderStyle 	TMaskEdit 	MASK
BorderStyle 	TMemo 	STDCTRLS
BorderStyle 	TOleContainer 	TOCTRL
BorderStyle 	TOutline 	OUTLINE
BorderStyle 	TPanel 	EXTCTRLS
BorderStyle 	TScrollBox 	FORMS


BorderWidth (all)
BorderWidth 	TCustomPanel 	EXTCTRLS
BorderWidth 	TPanel 	EXTCTRLS


Bound (all)
Bound 	TParam 	DBTABLES


BoundsRect (all)
BoundsRect 	TControl 	CONTROLS


BoxRect (all)
BoxRect 	TCustomGrid 	GRIDS


Break (all)
Break 	TMenuItem 	MENUS


BringToFront (all)
BringToFront 	TApplication 	FORMS
BringToFront 	TControl 	CONTROLS


Broadcast (all)
Broadcast 	TWinControl 	CONTROLS


Brush (all)
Brush 	TCanvas 	GRAPHICS
Brush 	TShape 	EXTCTRLS
Brush 	TWinControl 	CONTROLS


BrushChanged (all)
BrushChanged 	TCanvas 	GRAPHICS


BrushCopy (all)
BrushCopy 	TCanvas 	GRAPHICS


Buffer (all)
Buffer 	TParamList 	DB


BufferCount (all)
BufferCount 	TDataLink 	DB


BuildList (all)
BuildList 	TDirectoryListBox 	FILECTRL
BuildList 	TDriveComboBox 	FILECTRL
BuildList 	TFilterComboBox 	FILECTRL


Busy (all)
Busy 	TReport 	REPORT


ButtonClick (all)
ButtonClick 	TCustomRadioGroup 	EXTCTRLS


CalcAutoRange (all)
CalcAutoRange 	TControlScrollBar 	FORMS
CalcAutoRange 	TScrollingWinControl 	FORMS


CalcCoordFromPoint (all)
CalcCoordFromPoint 	TCustomGrid 	GRIDS


CalcDrawInfo (all)
CalcDrawInfo 	TCustomGrid 	GRIDS


CalcDrawInfoXY (all)
CalcDrawInfoXY 	TCustomGrid 	GRIDS


CalcFixedInfo (all)
CalcFixedInfo 	TCustomGrid 	GRIDS


CalcMaxTopLeft (all)
CalcMaxTopLeft 	TCustomGrid 	GRIDS


CalcSizingState (all)
CalcSizingState 	TCustomGrid 	GRIDS


CalcTextMargin (all)
CalcTextMargin 	TDBEdit 	DBCTRLS


Calculated (all)
Calculated 	TField 	DB


CalcXY (all)
CalcXY 	TStringGridStrings 	GRIDS


Cancel (all)
Cancel 	TBitBtn 	BUTTONS
Cancel 	TButton 	STDCTRLS
Cancel 	TDataSet 	DB


CancelHint (all)
CancelHint 	TApplication 	FORMS


CancelRange (all)
CancelRange 	TTable 	DBTABLES


CanChange (all)
CanChange 	TTabSet 	TABS


CanEdit (all)
CanEdit 	TDBLookupCombo 	DBLOOKUP
CanEdit 	TDBLookupList 	DBLOOKUP
CanEdit 	TPopupGrid 	DBLOOKUP


CanEditAcceptKey (all)
CanEditAcceptKey 	TCustomDBGrid 	DBGRIDS
CanEditAcceptKey 	TCustomGrid 	GRIDS


CanEditModify (all)
CanEditModify 	TCustomDBGrid 	DBGRIDS
CanEditModify 	TCustomGrid 	GRIDS


CanEditShow (all)
CanEditShow 	TCustomGrid 	GRIDS


CanFocus (all)
CanFocus 	TWinControl 	CONTROLS


CanGridAcceptKey (all)
CanGridAcceptKey 	TCustomGrid 	GRIDS
CanGridAcceptKey 	TDBLookupList 	DBLOOKUP


CanModify (all)
CanModify 	TCustomRadioGroup 	EXTCTRLS
CanModify 	TDataSet 	DB
CanModify 	TDBRadioGroup 	DBCTRLS
CanModify 	TField 	DB
CanModify 	TFieldDataLink 	DBTABLES


Canvas (all)
Canvas 	TBitmap 	GRAPHICS
Canvas 	TCustomComboBox 	STDCTRLS
Canvas 	TCustomControl 	CONTROLS
Canvas 	TCustomLabel 	STDCTRLS
Canvas 	TCustomListBox 	STDCTRLS
Canvas 	TCustomOutline 	OUTLINE
Canvas 	TDBGrid 	DBGRIDS
Canvas 	TDrawGrid 	GRIDS
Canvas 	TForm 	FORMS
Canvas 	TGraphicControl 	CONTROLS
Canvas 	THintWindow 	CONTROLS
Canvas 	TImage 	EXTCTRLS
Canvas 	TPaintBox 	EXTCTRLS
Canvas 	TPrinter 	PRINTERS
Canvas 	TTabSet 	TABS


Capabilities (all)
Capabilities 	TMediaPlayer 	MPLAYER


Capacity (all)
Capacity 	TList 	CLASSES


Caption (all)
Caption 	TBitBtn 	BUTTONS
Caption 	TButton 	STDCTRLS
Caption 	TCheckBox 	STDCTRLS
Caption 	TControl 	CONTROLS
Caption 	TDBCheckBox 	DBCTRLS
Caption 	TDBRadioGroup 	DBCTRLS
Caption 	TForm 	FORMS
Caption 	TGroupBox 	STDCTRLS
Caption 	THintWindow 	CONTROLS
Caption 	TLabel 	STDCTRLS
Caption 	TMenuItem 	MENUS
Caption 	TPage 	EXTCTRLS
Caption 	TPanel 	EXTCTRLS
Caption 	TRadioButton 	STDCTRLS
Caption 	TRadioGroup 	EXTCTRLS
Caption 	TSpeedButton 	BUTTONS


Cascade (all)
Cascade 	TForm 	FORMS


Category (all)
Category 	TDBError 	DB


CellRect (all)
CellRect 	TCustomGrid 	GRIDS
CellRect 	TDrawGrid 	GRIDS


Cells (all)
Cells 	TStringGrid 	GRIDS


Center (all)
Center 	TDBImage 	DBCTRLS
Center 	TImage 	EXTCTRLS


Change (all)
Change 	TCustomComboBox 	STDCTRLS
Change 	TCustomEdit 	STDCTRLS
Change 	TDBComboBox 	DBCTRLS
Change 	TDBEdit 	DBCTRLS
Change 	TDBLookupCombo 	DBLOOKUP
Change 	TDBMemo 	DBCTRLS
Change 	TDBRadioGroup 	DBCTRLS
Change 	TDdeServerItem 	DDEMAN
Change 	TDirectoryListBox 	FILECTRL
Change 	TDriveComboBox 	FILECTRL
Change 	TField 	DB
Change 	TFileListBox 	FILECTRL
Change 	TFilterComboBox 	FILECTRL
Change 	TScrollBar 	STDCTRLS


ChangeBitmap (all)
ChangeBitmap 	TCustomOutline 	OUTLINE


Changed (all)
Changed 	TCanvas 	GRAPHICS
Changed 	TGraphic 	GRAPHICS
Changed 	TGraphicsObject 	GRAPHICS
Changed 	TPicture 	GRAPHICS
Changed 	TStringList 	CLASSES


ChangedCount (all)
ChangedCount 	TBatchMove 	DBTABLES


ChangedTableName (all)
ChangedTableName 	TBatchMove 	DBTABLES


ChangeExpandedCount (all)
ChangeExpandedCount 	OutlineError 	OUTLINE
ChangeExpandedCount 	TOutlineNode 	OUTLINE


ChangeLevelBy (all)
ChangeLevelBy 	OutlineError 	OUTLINE
ChangeLevelBy 	TOutlineNode 	OUTLINE


ChangeLink (all)
ChangeLink 	TDdeClientConv 	DDEMAN


ChangeName (all)
ChangeName 	TComponent 	CLASSES


ChangeScale (all)
ChangeScale 	TControl 	CONTROLS
ChangeScale 	TForm 	FORMS
ChangeScale 	TScrollingWinControl 	FORMS
ChangeScale 	TWinControl 	CONTROLS


ChangeSize (all)
ChangeSize 	TCustomGrid 	GRIDS


Changing (all)
Changing 	TBitmap 	GRAPHICS
Changing 	TCanvas 	GRAPHICS
Changing 	TStringList 	CLASSES


CharCase (all)
CharCase 	TCustomEdit 	STDCTRLS
CharCase 	TDBEdit 	DBCTRLS
CharCase 	TEdit 	STDCTRLS
CharCase 	TMaskEdit 	MASK


CharKeys (all)
CharKeys 	TCustomMaskEdit 	MASK


CheckActive (all)
CheckActive 	TDatabase 	DB


CheckBrowseMode (all)
CheckBrowseMode 	TDataLink 	DB
CheckBrowseMode 	TDataSet 	DB
CheckBrowseMode 	TTableDataLink 	DBTABLES


CheckCanModify (all)
CheckCanModify 	TDataSet 	DB


CheckCursor (all)
CheckCursor 	TCustomMaskEdit 	MASK


Checked (all)
Checked 	TCheckBox 	STDCTRLS
Checked 	TCustomCheckBox 	STDCTRLS
Checked 	TDBCheckBox 	DBCTRLS
Checked 	TMenuItem 	MENUS
Checked 	TRadioButton 	STDCTRLS


CheckEdit (all)
CheckEdit 	TDefaultEditor 	DSGNINTF


CheckFieldName (all)
CheckFieldName 	TDataSet 	DB


CheckIfOpen (all)
CheckIfOpen 	TMediaPlayer 	MPLAYER


CheckImage (all)
CheckImage 	TImageList 	GRAPHICS


CheckInactive (all)
CheckInactive 	TDatabase 	DB
CheckInactive 	TDataSet 	DB
CheckInactive 	TField 	DB


CheckLinkInfo (all)
CheckLinkInfo 	TOleContainer 	TOCTRL


CheckMenuPopup (all)
CheckMenuPopup 	TControl 	CONTROLS


CheckPrinting (all)
CheckPrinting 	TPrinter 	PRINTERS


CheckRange (all)
CheckRange 	TIntegerField 	DBTABLES


CheckRequiredFields (all)
CheckRequiredFields 	TDataSet 	DB


CheckServerParams (all)
CheckServerParams 	TStoredProc 	DBTABLES


CheckSetKeyMode (all)
CheckSetKeyMode 	TDataSet 	DB


CheckToken (all)
CheckToken 	TParser 	CLASSES


CheckTokenSymbol (all)
CheckTokenSymbol 	TParser 	CLASSES


CheckValue (all)
CheckValue 	TProcParams 	PROCDLG
CheckValue 	TQueryParams 	QBINDDLG
CheckValue 	TReader 	CLASSES


Chord (all)
Chord 	TCanvas 	GRAPHICS


ClampInView (all)
ClampInView 	TCustomGrid 	GRIDS


ClassInfo (all)
ClassInfo 	TObject 	SYSTEM


ClassName (all)
ClassName 	TObject 	SYSTEM


ClassParent (all)
ClassParent 	TObject 	SYSTEM


ClassType (all)
ClassType 	TObject 	SYSTEM


Clear (all)
Clear 	OutlineError 	OUTLINE
Clear 	TBlobField 	DBTABLES
Clear 	TClipboard 	CLIPBRD
Clear 	TCustomComboBox 	STDCTRLS
Clear 	TCustomEdit 	STDCTRLS
Clear 	TCustomListBox 	STDCTRLS
Clear 	TCustomMaskEdit 	MASK
Clear 	TCustomOutline 	OUTLINE
Clear 	TField 	DB
Clear 	TFieldDefs 	DB
Clear 	TIndexDefs 	DBTABLES
Clear 	TList 	CLASSES
Clear 	TMemoryStream 	CLASSES
Clear 	TOutlineNode 	OUTLINE
Clear 	TParam 	DBTABLES
Clear 	TParams 	DBTABLES
Clear 	TStringGridStrings 	GRIDS
Clear 	TStringList 	CLASSES
Clear 	TStrings 	CLASSES


ClearBitmap (all)
ClearBitmap 	TCustomOutline 	OUTLINE


ClearBuffers (all)
ClearBuffers 	TDataSet 	DB


ClearButtonClick (all)
ClearButtonClick 	TProcParams 	PROCDLG


ClearFields (all)
ClearFields 	TDataSet 	DB


ClearHandles (all)
ClearHandles 	TMenuItem 	MENUS


ClearItems (all)
ClearItems 	TDdeClientConv 	DDEMAN


ClearMapping (all)
ClearMapping 	TGridDataLink 	DBGRIDS


ClearSelection (all)
ClearSelection 	TCustomEdit 	STDCTRLS


Click (all)
Click 	TBitBtn 	BUTTONS
Click 	TButton 	STDCTRLS
Click 	TControl 	CONTROLS
Click 	TCustomOutline 	OUTLINE
Click 	TDBComboBox 	DBCTRLS
Click 	TDBListBox 	DBCTRLS
Click 	TDBRadioGroup 	DBCTRLS
Click 	TDriveComboBox 	FILECTRL
Click 	TFileListBox 	FILECTRL
Click 	TFilterComboBox 	FILECTRL
Click 	TMediaPlayer 	MPLAYER
Click 	TMenuItem 	MENUS
Click 	TSpeedButton 	BUTTONS


ClientHandle (all)
ClientHandle 	TForm 	FORMS


ClientHeight (all)
ClientHeight 	TControl 	CONTROLS
ClientHeight 	TForm 	FORMS


ClientOrigin (all)
ClientOrigin 	TControl 	CONTROLS


ClientRect (all)
ClientRect 	TControl 	CONTROLS


ClientToScreen (all)
ClientToScreen 	TControl 	CONTROLS


ClientWidth (all)
ClientWidth 	TControl 	CONTROLS
ClientWidth 	TForm 	FORMS


ClientWndProc (all)
ClientWndProc 	TForm 	FORMS


ClipRect (all)
ClipRect 	TCanvas 	GRAPHICS


Close (all)
Close 	TClipboard 	CLIPBRD
Close 	TDatabase 	DB
Close 	TDataSet 	DB
Close 	TDdeClientConv 	DDEMAN
Close 	TForm 	FORMS
Close 	TMediaPlayer 	MPLAYER


CloseApplication (all)
CloseApplication 	TReport 	REPORT


CloseCursor (all)
CloseCursor 	TDataSet 	DB
CloseCursor 	TDBDataSet 	DB


CloseDatabase (all)
CloseDatabase 	TSession 	DB


CloseDatasets (all)
CloseDatasets 	TDatabase 	DB


CloseDialog (all)
CloseDialog 	TFindDialog 	DIALOGS


CloseFile (all)
CloseFile 	TIToolServices 	TOOLINTF


CloseLink (all)
CloseLink 	TDdeClientConv 	DDEMAN


CloseModal (all)
CloseModal 	TForm 	FORMS


CloseNode (all)
CloseNode 	OutlineError 	OUTLINE
CloseNode 	TOutlineNode 	OUTLINE


CloseProject (all)
CloseProject 	TIToolServices 	TOOLINTF


CloseQuery (all)
CloseQuery 	TForm 	FORMS


CloseReport (all)
CloseReport 	TReport 	REPORT


Closeup (all)
Closeup 	TComboButton 	DIALOGS
CloseUp 	TDBLookupCombo 	DBLOOKUP


CMActivate (all)
CMActivate 	TForm 	FORMS


CMButtonPressed (all)
CMButtonPressed 	TSpeedButton 	BUTTONS


CMCancelMode (all)
CMCancelMode 	TCustomComboBox 	STDCTRLS
CMCancelMode 	TDBLookupCombo 	DBLOOKUP


CMColorChanged (all)
CMColorChanged 	TControl 	CONTROLS
CMColorChanged 	TForm 	FORMS
CMColorChanged 	TWinControl 	CONTROLS


CMCtl3DChanged (all)
CMCtl3DChanged 	TCustomCheckBox 	STDCTRLS
CMCtl3DChanged 	TCustomGrid 	GRIDS
CMCtl3DChanged 	TCustomGroupBox 	STDCTRLS
CMCtl3DChanged 	TForm 	FORMS
CMCtl3DChanged 	TRadioButton 	STDCTRLS
CMCtl3DChanged 	TWinControl 	CONTROLS


CMCursorChanged (all)
CMCursorChanged 	TWinControl 	CONTROLS


CMDeactivate (all)
CMDeactivate 	TForm 	FORMS


CMDesignHitTest (all)
CMDesignHitTest 	TControl 	CONTROLS
CMDesignHitTest 	TCustomDBGrid 	DBGRIDS
CMDesignHitTest 	TCustomGrid 	GRIDS
CMDesignHitTest 	TWinControl 	CONTROLS


CMDialogChar (all)
CMDialogChar 	TButton 	STDCTRLS
CMDialogChar 	TCustomCheckBox 	STDCTRLS
CMDialogChar 	TCustomGroupBox 	STDCTRLS
CMDialogChar 	TCustomLabel 	STDCTRLS
CMDialogChar 	TRadioButton 	STDCTRLS
CMDialogChar 	TSpeedButton 	BUTTONS
CMDialogChar 	TWinControl 	CONTROLS


CMDialogKey (all)
CMDialogKey 	TButton 	STDCTRLS
CMDialogKey 	TForm 	FORMS
CMDialogKey 	TWinControl 	CONTROLS


CMEnabledChanged (all)
CMEnabledChanged 	TBitBtn 	BUTTONS
CMEnabledChanged 	TControl 	CONTROLS
CMEnabledChanged 	TCustomRadioGroup 	EXTCTRLS
CMEnabledChanged 	TDBLookupCombo 	DBLOOKUP
CMEnabledChanged 	TOleContainer 	TOCTRL
CMEnabledChanged 	TSpeedButton 	BUTTONS
CMEnabledChanged 	TWinControl 	CONTROLS


CMEnter (all)
CMEnter 	TCustomEdit 	STDCTRLS
CMEnter 	TCustomMaskEdit 	MASK
CMEnter 	TDBEdit 	DBCTRLS
CMEnter 	TDBImage 	DBCTRLS
CMEnter 	TDBLookupCombo 	DBLOOKUP
CMEnter 	TDBLookupList 	DBLOOKUP
CMEnter 	TDBMemo 	DBCTRLS
CMEnter 	TOleContainer 	TOCTRL
CMEnter 	TWinControl 	CONTROLS


CMExit (all)
CMExit 	TCustomDBGrid 	DBGRIDS
CMExit 	TCustomMaskEdit 	MASK
CMExit 	TDBCheckBox 	DBCTRLS
CMExit 	TDBComboBox 	DBCTRLS
CMExit 	TDBEdit 	DBCTRLS
CMExit 	TDBImage 	DBCTRLS
CMExit 	TDBListBox 	DBCTRLS
CMExit 	TDBLookupCombo 	DBLOOKUP
CMExit 	TDBLookupList 	DBLOOKUP
CMExit 	TDBMemo 	DBCTRLS
CMExit 	TDBRadioGroup 	DBCTRLS
CMExit 	TOleContainer 	TOCTRL
CMExit 	TWinControl 	CONTROLS


CMFocusChanged (all)
CMFocusChanged 	TButton 	STDCTRLS
CMFocusChanged 	TWinControl 	CONTROLS


CMFontChange (all)
CMFontChange 	TWinControl 	CONTROLS


CMFontChanged (all)
CMFontChanged 	TBitBtn 	BUTTONS
CMFontChanged 	TControl 	CONTROLS
CMFontChanged 	TCustomDBGrid 	DBGRIDS
CMFontChanged 	TCustomEdit 	STDCTRLS
CMFontChanged 	TCustomGrid 	GRIDS
CMFontChanged 	TCustomLabel 	STDCTRLS
CMFontChanged 	TCustomOutline 	OUTLINE
CMFontChanged 	TCustomRadioGroup 	EXTCTRLS
CMFontChanged 	TDBEdit 	DBCTRLS
CMFontChanged 	TDBLookupCombo 	DBLOOKUP
CMFontChanged 	TDirectoryListBox 	FILECTRL
CMFontChanged 	TDriveComboBox 	FILECTRL
CMFontChanged 	TFileListBox 	FILECTRL
CMFontChanged 	TForm 	FORMS
CMFontChanged 	TSpeedButton 	BUTTONS
CMFontChanged 	TWinControl 	CONTROLS


CMHitTest (all)
CMHitTest 	TControl 	CONTROLS


CMIconChanged (all)
CMIconChanged 	TForm 	FORMS


CMMenuChanged (all)
CMMenuChanged 	TForm 	FORMS


CMMouseEnter (all)
CMMouseEnter 	TControl 	CONTROLS


CMMouseLeave (all)
CMMouseLeave 	TControl 	CONTROLS


CMParentColorChanged (all)
CMParentColorChanged 	TControl 	CONTROLS
CMParentColorChanged 	TCustomComboBox 	STDCTRLS


CMParentCtl3DChanged (all)
CMParentCtl3DChanged 	TWinControl 	CONTROLS


CMParentFontChanged (all)
CMParentFontChanged 	TControl 	CONTROLS
CMParentFontChanged 	TCustomDBGrid 	DBGRIDS


CMParentShowHintChanged (all)
CMParentShowHintChanged 	TControl 	CONTROLS


CMRelease (all)
CMRelease 	TForm 	FORMS


CMShowHintChanged (all)
CMShowHintChanged 	TWinControl 	CONTROLS


CMShowingChanged (all)
CMShowingChanged 	TForm 	FORMS
CMShowingChanged 	TInplaceEdit 	GRIDS
CMShowingChanged 	TOleContainer 	TOCTRL
CMShowingChanged 	TWinControl 	CONTROLS


CMSysColorChange (all)
CMSysColorChange 	TSpeedButton 	BUTTONS
CMSysColorChange 	TWinControl 	CONTROLS


CMTextChanged (all)
CMTextChanged 	TCustomEdit 	STDCTRLS
CMTextChanged 	TCustomGroupBox 	STDCTRLS
CMTextChanged 	TCustomLabel 	STDCTRLS
CMTextChanged 	TCustomMaskEdit 	MASK
CMTextChanged 	TCustomPanel 	EXTCTRLS
CMTextChanged 	TDBImage 	DBCTRLS
CMTextChanged 	TForm 	FORMS
CMTextChanged 	THintWindow 	CONTROLS
CMTextChanged 	TSpeedButton 	BUTTONS


CMTimeChange (all)
CMTimeChange 	TWinControl 	CONTROLS


CMVisibleChanged (all)
CMVisibleChanged 	TControl 	CONTROLS
CMVisibleChanged 	TOleContainer 	TOCTRL
CMVisibleChanged 	TWinControl 	CONTROLS


CMWantSpecialKey (all)
CMWantSpecialKey 	TCustomGrid 	GRIDS


CMWinIniChange (all)
CMWinIniChange 	TWinControl 	CONTROLS


CNChar (all)
CNChar 	TWinControl 	CONTROLS


CNCommand (all)
CNCommand 	TButton 	STDCTRLS
CNCommand 	TCustomCheckBox 	STDCTRLS
CNCommand 	TCustomComboBox 	STDCTRLS
CNCommand 	TCustomEdit 	STDCTRLS
CNCommand 	TCustomListBox 	STDCTRLS
CNCommand 	TRadioButton 	STDCTRLS


CNCtlColor (all)
CNCtlColor 	TCustomComboBox 	STDCTRLS
CNCtlColor 	TWinControl 	CONTROLS


CNDrawItem (all)
CNDrawItem 	TBitBtn 	BUTTONS
CNDrawItem 	TCustomComboBox 	STDCTRLS
CNDrawItem 	TCustomListBox 	STDCTRLS


CNHScroll (all)
CNHScroll 	TScrollBar 	STDCTRLS


CNKeyDown (all)
CNKeyDown 	TWinControl 	CONTROLS


CNKeyUp (all)
CNKeyUp 	TWinControl 	CONTROLS


CNMeasureItem (all)
CNMeasureItem 	TBitBtn 	BUTTONS
CNMeasureItem 	TCustomComboBox 	STDCTRLS
CNMeasureItem 	TCustomListBox 	STDCTRLS


CNSysChar (all)
CNSysChar 	TWinControl 	CONTROLS


CNSysKeyDown (all)
CNSysKeyDown 	TWinControl 	CONTROLS


CNVScroll (all)
CNVScroll 	TScrollBar 	STDCTRLS


Col (all)
Col 	TCustomGrid 	GRIDS
Col 	TDrawGrid 	GRIDS


ColCount (all)
ColCount 	TCustomGrid 	GRIDS
ColCount 	TDrawGrid 	GRIDS


ColEnter (all)
ColEnter 	TCustomDBGrid 	DBGRIDS


ColExit (all)
ColExit 	TCustomDBGrid 	DBGRIDS


Collapse (all)
Collapse 	OutlineError 	OUTLINE
Collapse 	TCustomOutline 	OUTLINE
Collapse 	TOutlineNode 	OUTLINE


Collate (all)
Collate 	TPrintDialog 	DIALOGS


Color (all)
Color 	TBrush 	GRAPHICS
Color 	TCheckBox 	STDCTRLS
Color 	TColorDialog 	DIALOGS
Color 	TComboBox 	STDCTRLS
Color 	TControl 	CONTROLS
Color 	TCustomGrid 	GRIDS
Color 	TCustomPanel 	EXTCTRLS
Color 	TDBCheckBox 	DBCTRLS
Color 	TDBComboBox 	DBCTRLS
Color 	TDBEdit 	DBCTRLS
Color 	TDBGrid 	DBGRIDS
Color 	TDBImage 	DBCTRLS
Color 	TDBListBox 	DBCTRLS
Color 	TDBLookupCombo 	DBLOOKUP
Color 	TDBLookupList 	DBLOOKUP
Color 	TDBMemo 	DBCTRLS
Color 	TDBRadioGroup 	DBCTRLS
Color 	TDBText 	DBCTRLS
Color 	TDirectoryListBox 	FILECTRL
Color 	TDrawGrid 	GRIDS
Color 	TDriveComboBox 	FILECTRL
Color 	TEdit 	STDCTRLS
Color 	TFileListBox 	FILECTRL
Color 	TFilterComboBox 	FILECTRL
Color 	TFont 	GRAPHICS
Color 	TForm 	FORMS
Color 	TGroupBox 	STDCTRLS
Color 	THintWindow 	CONTROLS
Color 	TLabel 	STDCTRLS
Color 	TListBox 	STDCTRLS
Color 	TMaskEdit 	MASK
Color 	TMemo 	STDCTRLS
Color 	TNotebook 	EXTCTRLS
Color 	TOutline 	OUTLINE
Color 	TPaintBox 	EXTCTRLS
Color 	TPanel 	EXTCTRLS
Color 	TPen 	GRAPHICS
Color 	TRadioButton 	STDCTRLS
Color 	TRadioGroup 	EXTCTRLS
Color 	TScrollBox 	FORMS


ColoredButtons (all)
ColoredButtons 	TMediaPlayer 	MPLAYER


Cols (all)
Cols 	TStringGrid 	GRIDS


ColumnMoved (all)
ColumnMoved 	TCustomDBGrid 	DBGRIDS
ColumnMoved 	TCustomGrid 	GRIDS
ColumnMoved 	TDrawGrid 	GRIDS
ColumnMoved 	TStringGrid 	GRIDS


Columns (all)
Columns 	TCustomListBox 	STDCTRLS
Columns 	TCustomRadioGroup 	EXTCTRLS
Columns 	TDBRadioGroup 	DBCTRLS
Columns 	TDirectoryListBox 	FILECTRL
Columns 	TListBox 	STDCTRLS
Columns 	TRadioGroup 	EXTCTRLS


ColWidths (all)
ColWidths 	TCustomGrid 	GRIDS
ColWidths 	TDrawGrid 	GRIDS


ColWidthsChanged (all)
ColWidthsChanged 	TCustomDBGrid 	DBGRIDS
ColWidthsChanged 	TCustomGrid 	GRIDS


ComboWndProc (all)
ComboWndProc 	TCustomComboBox 	STDCTRLS
ComboWndProc 	TDBComboBox 	DBCTRLS


Command (all)
Command 	TMenuItem 	MENUS


Commit (all)
Commit 	TDatabase 	DB


CompareNodes (all)
CompareNodes 	TCustomOutline 	OUTLINE


Component (all)
Component 	TComponentEditor 	DSGNINTF


ComponentCount (all)
ComponentCount 	TComponent 	CLASSES


ComponentIndex (all)
ComponentIndex 	TComponent 	CLASSES


Components (all)
Components 	TComponent 	CLASSES


ComponentState (all)
ComponentState 	TComponent 	CLASSES


Connect (all)
Connect 	TDdeMgr 	DDEMAN
Connect 	TDdeServerConv 	DDEMAN
Connect 	TReport 	REPORT


Connected (all)
Connected 	TDatabase 	DB


ConnectMode (all)
ConnectMode 	TDdeClientConv 	DDEMAN


ContainsControl (all)
ContainsControl 	TWinControl 	CONTROLS


Control (all)
Control 	TControlCanvas 	CONTROLS
Control 	TFieldDataLink 	DBTABLES


ControlAtPos (all)
ControlAtPos 	TWinControl 	CONTROLS


ControlCount (all)
ControlCount 	TWinControl 	CONTROLS


ControlDestroyed (all)
ControlDestroyed 	TApplication 	FORMS


Controls (all)
Controls 	TWinControl 	CONTROLS


ControlSize (all)
ControlSize 	TControlScrollBar 	FORMS


ControlState (all)
ControlState 	TControl 	CONTROLS


ControlStyle (all)
ControlStyle 	TControl 	CONTROLS


Conv (all)
Conv 	TDdeClientConv 	DDEMAN


ConvertDlgHelp (all)
ConvertDlgHelp 	TOleContainer 	TOCTRL


ConvertFields (all)
ConvertFields 	TFindDialog 	DIALOGS
ConvertFields 	TReplaceDialog 	DIALOGS


ConvertFieldsForCallBack (all)
ConvertFieldsForCallBack 	TFindDialog 	DIALOGS
ConvertFieldsForCallBack 	TReplaceDialog 	DIALOGS


ConvertItemClick (all)
ConvertItemClick 	TOleContainer 	TOCTRL


ConvertName (all)
ConvertName 	TBatchMove 	DBTABLES


Copies (all)
Copies 	TPrintDialog 	DIALOGS


Copy (all)
Copy 	TComponentEditor 	DSGNINTF


CopyBuffer (all)
CopyBuffer 	TDataSet 	DB


CopyFrom (all)
CopyFrom 	TStream 	CLASSES


CopyImage (all)
CopyImage 	TBitmap 	GRAPHICS


CopyMode (all)
CopyMode 	TCanvas 	GRAPHICS


CopyParams (all)
CopyParams 	TStoredProc 	DBTABLES


CopyRect (all)
CopyRect 	TCanvas 	GRAPHICS


CopyToClipboard (all)
CopyToClipboard 	TCustomEdit 	STDCTRLS
CopyToClipboard 	TDBImage 	DBCTRLS
CopyToClipboard 	TDdeServerItem 	DDEMAN
CopyToClipboard 	TOleContainer 	TOCTRL


Count (all)
Count 	TComponentList 	DSGNINTF
Count 	TFieldDefs 	DB
Count 	TImageList 	GRAPHICS
Count 	TIndexDefs 	DBTABLES
Count 	TList 	CLASSES
Count 	TMenuItem 	MENUS
Count 	TParams 	DBTABLES
Count 	TStrings 	CLASSES


Create (all)
Create 	EDBEngineError 	DB
Create 	Exception 	SYSUTILS
Create 	OutlineError 	OUTLINE
Create 	TApplication 	FORMS
Create 	TBatchMove 	DBTABLES
Create 	TBCDField 	DBTABLES
Create 	TBevel 	EXTCTRLS
Create 	TBitBtn 	BUTTONS
Create 	TBitmap 	GRAPHICS
Create 	TBlobField 	DBTABLES
Create 	TBlobStream 	DBTABLES
Create 	TBooleanField 	DBTABLES
Create 	TBrush 	GRAPHICS
Create 	TButton 	STDCTRLS
Create 	TBytesField 	DBTABLES
Create 	TCanvas 	GRAPHICS
Create 	TColorDialog 	DIALOGS
Create 	TComboButton 	DIALOGS
Create 	TCommonDialog 	DIALOGS
Create 	TComponent 	CLASSES
Create 	TComponentEditor 	DSGNINTF
Create 	TComponentList 	DSGNINTF
Create 	TControl 	CONTROLS
Create 	TControlScrollBar 	FORMS
Create 	TCurrencyField 	DBTABLES
Create 	TCustomCheckBox 	STDCTRLS
Create 	TCustomComboBox 	STDCTRLS
Create 	TCustomControl 	CONTROLS
Create 	TCustomDBGrid 	DBGRIDS
Create 	TCustomEdit 	STDCTRLS
Create 	TCustomGrid 	GRIDS
Create 	TCustomGroupBox 	STDCTRLS
Create 	TCustomLabel 	STDCTRLS
Create 	TCustomListBox 	STDCTRLS
Create 	TCustomMaskEdit 	MASK
Create 	TCustomMemo 	STDCTRLS
Create 	TCustomOutline 	OUTLINE
Create 	TCustomPanel 	EXTCTRLS
Create 	TCustomRadioGroup 	EXTCTRLS
Create 	TDatabase 	DB
Create 	TDataLink 	DB
Create 	TDataSet 	DB
Create 	TDataSetDesigner 	DB
Create 	TDataSource 	DB
Create 	TDateField 	DBTABLES
Create 	TDateTimeField 	DBTABLES
Create 	TDBCheckBox 	DBCTRLS
Create 	TDBComboBox 	DBCTRLS
Create 	TDBEdit 	DBCTRLS
Create 	TDBError 	DB
Create 	TDBImage 	DBCTRLS
Create 	TDBListBox 	DBCTRLS
Create 	TDBLookupCombo 	DBLOOKUP
Create 	TDBLookupList 	DBLOOKUP
Create 	TDBMemo 	DBCTRLS
Create 	TDBRadioGroup 	DBCTRLS
Create 	TDBText 	DBCTRLS
Create 	TDdeClientConv 	DDEMAN
Create 	TDdeClientItem 	DDEMAN
Create 	TDdeMgr 	DDEMAN
Create 	TDdeServerConv 	DDEMAN
Create 	TDdeServerItem 	DDEMAN
Create 	TDirectoryListBox 	FILECTRL
Create 	TDlgControl 	DIALOGS
Create 	TDriveComboBox 	FILECTRL
Create 	TField 	DB
Create 	TFieldDataLink 	DBTABLES
Create 	TFieldDef 	DB
Create 	TFieldDefs 	DB
Create 	TFileListBox 	FILECTRL
Create 	TFiler 	CLASSES
Create 	TFileStream 	CLASSES
Create 	TFilterComboBox 	FILECTRL
Create 	TFindDialog 	DIALOGS
Create 	TFloatField 	DBTABLES
Create 	TFolderBitmap 	FILECTRL
Create 	TFont 	GRAPHICS
Create 	TFontDialog 	DIALOGS
Create 	TForm 	FORMS
Create 	TGraphic 	GRAPHICS
Create 	TGraphicControl 	CONTROLS
Create 	TGraphicField 	DBTABLES
Create 	TGridDataLink 	DBGRIDS
Create 	THandleStream 	CLASSES
Create 	THeader 	EXTCTRLS
Create 	THintWindow 	CONTROLS
Create 	TIcon 	GRAPHICS
Create 	TIFileStream 	ISTREAMS
Create 	TImage 	EXTCTRLS
Create 	TImageList 	GRAPHICS
Create 	TIMemoryStream 	ISTREAMS
Create 	TIndexDef 	DBTABLES
Create 	TIndexDefs 	DBTABLES
Create 	TIniFile 	INIFILES
Create 	TInplaceEdit 	GRIDS
Create 	TIntegerField 	DBTABLES
Create 	TMediaPlayer 	MPLAYER
Create 	TMemoField 	DBTABLES
Create 	TMenu 	MENUS
Create 	TMenuItem 	MENUS
Create 	TMetafile 	GRAPHICS
Create 	TNavDataLink 	DBCTRLS
Create 	TNotebook 	EXTCTRLS
Create 	TNumericField 	DBTABLES
Create 	TObject 	SYSTEM
Create 	TOleContainer 	TOCTRL
Create 	TOpenDialog 	DIALOGS
Create 	TOutlineNode 	OUTLINE
Create 	TPage 	EXTCTRLS
Create 	TPaintBox 	EXTCTRLS
Create 	TParam 	DBTABLES
Create 	TParamList 	DB
Create 	TParams 	DBTABLES
Create 	TParser 	CLASSES
Create 	TPen 	GRAPHICS
Create 	TPopupGrid 	DBLOOKUP
Create 	TPopupMenu 	MENUS
Create 	TPrinter 	PRINTERS
Create 	TPropertyEditor 	DSGNINTF
Create 	TQuery 	DBTABLES
Create 	TRadioButton 	STDCTRLS
Create 	TReport 	REPORT
Create 	TScreen 	FORMS
Create 	TScrollBar 	STDCTRLS
Create 	TScrollBox 	FORMS
Create 	TScrollingWinControl 	FORMS
Create 	TSession 	DB
Create 	TSetElementProperty 	DSGNINTF
Create 	TShape 	EXTCTRLS
Create 	TSmallintField 	DBTABLES
Create 	TSpeedButton 	BUTTONS
Create 	TStoredProc 	DBTABLES
Create 	TStringField 	DBTABLES
Create 	TStringGrid 	GRIDS
Create 	TStringGridStrings 	GRIDS
Create 	TStringList 	CLASSES
Create 	TTable 	DBTABLES
Create 	TTableDataLink 	DBTABLES
Create 	TTabSet 	TABS
Create 	TTimeField 	DBTABLES
Create 	TTimer 	EXTCTRLS
Create 	TVarBytesField 	DBTABLES
Create 	TVirtualStream 	ISTREAMS
Create 	TWinControl 	CONTROLS
Create 	TWordField 	DBTABLES


CreateBrush (all)
CreateBrush 	TCanvas 	GRAPHICS


CreateCursor (all)
CreateCursor 	TQuery 	DBTABLES
CreateCursor 	TStoredProc 	DBTABLES


CreateCursors (all)
CreateCursors 	TScreen 	FORMS


CreateDdeConv (all)
CreateDdeConv 	TDdeClientConv 	DDEMAN


CreateEditor (all)
CreateEditor 	TCustomGrid 	GRIDS


CreateField (all)
CreateField 	TFieldDef 	DB


CreateFields (all)
CreateFields 	TDataSet 	DB


CreateFmt (all)
CreateFmt 	Exception 	SYSUTILS


CreateFmtHelp (all)
CreateFmtHelp 	Exception 	SYSUTILS


CreateFont (all)
CreateFont 	TCanvas 	GRAPHICS


CreateForm (all)
CreateForm 	TApplication 	FORMS


CreateGlyph (all)
CreateGlyph 	TCustomOutline 	OUTLINE


CreateHandle (all)
CreateHandle 	TCanvas 	GRAPHICS
CreateHandle 	TControlCanvas 	CONTROLS
CreateHandle 	TDataSet 	DB
CreateHandle 	TOleContainer 	TOCTRL
CreateHandle 	TQuery 	DBTABLES
CreateHandle 	TStoredProc 	DBTABLES
CreateHandle 	TTable 	DBTABLES
CreateHandle 	TWinControl 	CONTROLS


CreateHelp (all)
CreateHelp 	Exception 	SYSUTILS


CreateMethod (all)
CreateMethod 	TFormDesigner 	DSGNINTF


CreateModule (all)
CreateModule 	TIToolServices 	TOOLINTF


CreateNew (all)
CreateNew 	TForm 	FORMS


CreateParam (all)
CreateParam 	TParams 	DBTABLES


CreateParamDesc (all)
CreateParamDesc 	TStoredProc 	DBTABLES


CreateParams (all)
CreateParams 	TBitBtn 	BUTTONS
CreateParams 	TButton 	STDCTRLS
CreateParams 	TCustomCheckBox 	STDCTRLS
CreateParams 	TCustomComboBox 	STDCTRLS
CreateParams 	TCustomEdit 	STDCTRLS
CreateParams 	TCustomGrid 	GRIDS
CreateParams 	TCustomListBox 	STDCTRLS
CreateParams 	TCustomMemo 	STDCTRLS
CreateParams 	TCustomPanel 	EXTCTRLS
CreateParams 	TDBImage 	DBCTRLS
CreateParams 	TDBLookupCombo 	DBLOOKUP
CreateParams 	TForm 	FORMS
CreateParams 	THeader 	EXTCTRLS
CreateParams 	THintWindow 	CONTROLS
CreateParams 	TInplaceEdit 	GRIDS
CreateParams 	TNotebook 	EXTCTRLS
CreateParams 	TOleContainer 	TOCTRL
CreateParams 	TPopupGrid 	DBLOOKUP
CreateParams 	TQuery 	DBTABLES
CreateParams 	TRadioButton 	STDCTRLS
CreateParams 	TScrollBar 	STDCTRLS
CreateParams 	TScrollBox 	FORMS
CreateParams 	TWinControl 	CONTROLS


CreatePen (all)
CreatePen 	TCanvas 	GRAPHICS


CreateRes (all)
CreateRes 	Exception 	SYSUTILS


CreateResFmt (all)
CreateResFmt 	Exception 	SYSUTILS


CreateResFmtHelp (all)
CreateResFmtHelp 	Exception 	SYSUTILS


CreateResHelp (all)
CreateResHelp 	Exception 	SYSUTILS


CreateSite (all)
CreateSite 	TOleContainer 	TOCTRL


CreateSubClass (all)
CreateSubClass 	TWinControl 	CONTROLS


CreateTable (all)
CreateTable 	TTable 	DBTABLES


CreateWindowHandle (all)
CreateWindowHandle 	TCustomMemo 	STDCTRLS
CreateWindowHandle 	TForm 	FORMS
CreateWindowHandle 	TWinControl 	CONTROLS


CreateWnd (all)
CreateWnd 	TButton 	STDCTRLS
CreateWnd 	TComboButton 	DIALOGS
CreateWnd 	TCustomCheckBox 	STDCTRLS
CreateWnd 	TCustomComboBox 	STDCTRLS
CreateWnd 	TCustomDBGrid 	DBGRIDS
CreateWnd 	TCustomEdit 	STDCTRLS
CreateWnd 	TCustomListBox 	STDCTRLS
CreateWnd 	TDBComboBox 	DBCTRLS
CreateWnd 	TDBLookupCombo 	DBLOOKUP
CreateWnd 	TDBLookupList 	DBLOOKUP
CreateWnd 	TDirectoryListBox 	FILECTRL
CreateWnd 	TDriveComboBox 	FILECTRL
CreateWnd 	TFileListBox 	FILECTRL
CreateWnd 	TFilterComboBox 	FILECTRL
CreateWnd 	TForm 	FORMS
CreateWnd 	TPopupGrid 	DBLOOKUP
CreateWnd 	TRadioButton 	STDCTRLS
CreateWnd 	TScrollBar 	STDCTRLS
CreateWnd 	TScrollingWinControl 	FORMS
CreateWnd 	TWinControl 	CONTROLS


Ctl3D (all)
Ctl3D 	TCheckBox 	STDCTRLS
Ctl3D 	TColorDialog 	DIALOGS
Ctl3D 	TComboBox 	STDCTRLS
Ctl3D 	TCommonDialog 	DIALOGS
Ctl3D 	TDBCheckBox 	DBCTRLS
Ctl3D 	TDBComboBox 	DBCTRLS
Ctl3D 	TDBEdit 	DBCTRLS
Ctl3D 	TDBGrid 	DBGRIDS
Ctl3D 	TDBImage 	DBCTRLS
Ctl3D 	TDBListBox 	DBCTRLS
Ctl3D 	TDBLookupCombo 	DBLOOKUP
Ctl3D 	TDBLookupList 	DBLOOKUP
Ctl3D 	TDBMemo 	DBCTRLS
Ctl3D 	TDBRadioGroup 	DBCTRLS
Ctl3D 	TDirectoryListBox 	FILECTRL
Ctl3D 	TDrawGrid 	GRIDS
Ctl3D 	TDriveComboBox 	FILECTRL
Ctl3D 	TEdit 	STDCTRLS
Ctl3D 	TFileListBox 	FILECTRL
Ctl3D 	TFilterComboBox 	FILECTRL
Ctl3D 	TForm 	FORMS
Ctl3D 	TGroupBox 	STDCTRLS
Ctl3D 	TListBox 	STDCTRLS
Ctl3D 	TMaskEdit 	MASK
Ctl3D 	TMemo 	STDCTRLS
Ctl3D 	TNotebook 	EXTCTRLS
Ctl3D 	TOleContainer 	TOCTRL
Ctl3D 	TOutline 	OUTLINE
Ctl3D 	TPanel 	EXTCTRLS
Ctl3D 	TRadioButton 	STDCTRLS
Ctl3D 	TRadioGroup 	EXTCTRLS
Ctl3D 	TScrollBar 	STDCTRLS
Ctl3D 	TScrollBox 	FORMS
Ctl3D 	TWinControl 	CONTROLS


Currency (all)
Currency 	TFloatField 	DBTABLES


Cursor (all)
Cursor 	TControl 	CONTROLS
Cursor 	TScreen 	FORMS


CursorDec (all)
CursorDec 	TCustomMaskEdit 	MASK


CursorInc (all)
CursorInc 	TCustomMaskEdit 	MASK


CursorPosChanged (all)
CursorPosChanged 	TDataSet 	DB


Cursors (all)
Cursors 	TScreen 	FORMS


CustomColors (all)
CustomColors 	TColorDialog 	DIALOGS


CutToClipboard (all)
CutToClipboard 	TCustomEdit 	STDCTRLS
CutToClipboard 	TDBImage 	DBCTRLS


Data (all)
Data 	OutlineError 	OUTLINE
Data 	TOutlineNode 	OUTLINE


Database (all)
Database 	TDBDataSet 	DB


DatabaseCount (all)
DatabaseCount 	TSession 	DB


DatabaseName (all)
DatabaseName 	TDatabase 	DB
DatabaseName 	TDBDataSet 	DB


Databases (all)
Databases 	TSession 	DB


DataChange (all)
DataChange 	TDBCheckBox 	DBCTRLS
DataChange 	TDBComboBox 	DBCTRLS
DataChange 	TDBEdit 	DBCTRLS
DataChange 	TDBImage 	DBCTRLS
DataChange 	TDBListBox 	DBCTRLS
DataChange 	TDBLookupCombo 	DBLOOKUP
DataChange 	TDBLookupList 	DBLOOKUP
DataChange 	TDBMemo 	DBCTRLS
DataChange 	TDBRadioGroup 	DBCTRLS
DataChange 	TDBText 	DBCTRLS
DataChange 	TDdeClientConv 	DDEMAN


DataChanged (all)
DataChanged 	TCustomDBGrid 	DBGRIDS
DataChanged 	TField 	DB


DataEvent (all)
DataEvent 	TDataLink 	DB
DataEvent 	TDataSet 	DB
DataEvent 	TDataSetDesigner 	DB
DataEvent 	TDataSource 	DB
DataEvent 	TTable 	DBTABLES


DataField (all)
DataField 	TDBCheckBox 	DBCTRLS
DataField 	TDBComboBox 	DBCTRLS
DataField 	TDBEdit 	DBCTRLS
DataField 	TDBImage 	DBCTRLS
DataField 	TDBListBox 	DBCTRLS
DataField 	TDBLookupCombo 	DBLOOKUP
DataField 	TDBLookupList 	DBLOOKUP
DataField 	TDBMemo 	DBCTRLS
DataField 	TDBRadioGroup 	DBCTRLS
DataField 	TDBText 	DBCTRLS


DataFormat (all)
DataFormat 	TOleDropNotify 	TOCTRL


DataHandle (all)
DataHandle 	TOleDropNotify 	TOCTRL


DataLink (all)
DataLink 	TCustomDBGrid 	DBGRIDS
DataLink 	TDBRadioGroup 	DBCTRLS


DataMode (all)
DataMode 	TDdeClientConv 	DDEMAN


DataSet (all)
DataSet 	TDataLink 	DB
DataSet 	TDataSetDesigner 	DB
DataSet 	TDataSource 	DB
DataSet 	TField 	DB


DataSetChanged (all)
DataSetChanged 	TDataLink 	DB
DataSetChanged 	TGridDataLink 	DBGRIDS
DataSetChanged 	TNavDataLink 	DBCTRLS


DatasetCount (all)
DatasetCount 	TDatabase 	DB


Datasets (all)
Datasets 	TDatabase 	DB


DataSetScrolled (all)
DataSetScrolled 	TDataLink 	DB
DataSetScrolled 	TGridDataLink 	DBGRIDS


DataSize (all)
DataSize 	TField 	DB


DataSource (all)
DataSource 	TCustomDBGrid 	DBGRIDS
DataSource 	TDataLink 	DB
DataSource 	TDataSet 	DB
DataSource 	TDBCheckBox 	DBCTRLS
DataSource 	TDBComboBox 	DBCTRLS
DataSource 	TDBEdit 	DBCTRLS
DataSource 	TDBGrid 	DBGRIDS
DataSource 	TDBImage 	DBCTRLS
DataSource 	TDBListBox 	DBCTRLS
DataSource 	TDBLookupCombo 	DBLOOKUP
DataSource 	TDBLookupList 	DBLOOKUP
DataSource 	TDBMemo 	DBCTRLS
DataSource 	TDBRadioGroup 	DBCTRLS
DataSource 	TDBText 	DBCTRLS
DataSource 	TQuery 	DBTABLES


DataType (all)
DataType 	TField 	DB
DataType 	TFieldDef 	DB
DataType 	TParam 	DBTABLES


DBFlags (all)
DBFlags 	TDBDataSet 	DB


DBHandle (all)
DBHandle 	TDBDataSet 	DB


DblClick (all)
DblClick 	TControl 	CONTROLS
DblClick 	TCustomOutline 	OUTLINE
DblClick 	TDirectoryListBox 	FILECTRL
DblClick 	TInplaceEdit 	GRIDS


DBLocale (all)
DBLocale 	TDBDataSet 	DB


DdeConv (all)
DdeConv 	TDdeClientItem 	DDEMAN


DdeFmt (all)
DdeFmt 	TDdeClientConv 	DDEMAN


DdeInstId (all)
DdeInstId 	TDdeMgr 	DDEMAN


DdeItem (all)
DdeItem 	TDdeClientItem 	DDEMAN


DdeService (all)
DdeService 	TDdeClientConv 	DDEMAN


DdeTopic (all)
DdeTopic 	TDdeClientConv 	DDEMAN


Deactivate (all)
Deactivate 	TForm 	FORMS


DeactivateControl (all)
DeactivateControl 	TOleContainer 	TOCTRL


DecodeIndexDesc (all)
DecodeIndexDesc 	TTable 	DBTABLES


Default (all)
Default 	TBitBtn 	BUTTONS
Default 	TButton 	STDCTRLS


DefaultColWidth (all)
DefaultColWidth 	TCustomGrid 	GRIDS
DefaultColWidth 	TDrawGrid 	GRIDS


DefaultDrawDataCell (all)
DefaultDrawDataCell 	TCustomDBGrid 	DBGRIDS


DefaultDrawing (all)
DefaultDrawing 	TCustomDBGrid 	DBGRIDS
DefaultDrawing 	TCustomGrid 	GRIDS
DefaultDrawing 	TDBGrid 	DBGRIDS
DefaultDrawing 	TDrawGrid 	GRIDS


DefaultExt (all)
DefaultExt 	TOpenDialog 	DIALOGS


DefaultFields (all)
DefaultFields 	TDataSet 	DB
DefaultFields 	TGridDataLink 	DBGRIDS


DefaultHandler (all)
DefaultHandler 	TComboButton 	DIALOGS
DefaultHandler 	TControl 	CONTROLS
DefaultHandler 	TDlgControl 	DIALOGS
DefaultHandler 	TForm 	FORMS
DefaultHandler 	TObject 	SYSTEM
DefaultHandler 	TWinControl 	CONTROLS


DefaultRowHeight (all)
DefaultRowHeight 	TCustomGrid 	GRIDS
DefaultRowHeight 	TDrawGrid 	GRIDS


DefineBinaryProperty (all)
DefineBinaryProperty 	TFiler 	CLASSES
DefineBinaryProperty 	TReader 	CLASSES
DefineBinaryProperty 	TWriter 	CLASSES


DefineFieldMap (all)
DefineFieldMap 	TCustomDBGrid 	DBGRIDS
DefineFieldMap 	TDBLookupList 	DBLOOKUP


DefineProperties (all)
DefineProperties 	TComponent 	CLASSES
DefineProperties 	TControl 	CONTROLS
DefineProperties 	TCustomGrid 	GRIDS
DefineProperties 	TCustomOutline 	OUTLINE
DefineProperties 	TCustomPanel 	EXTCTRLS
DefineProperties 	TDdeClientConv 	DDEMAN
DefineProperties 	TForm 	FORMS
DefineProperties 	TGraphic 	GRAPHICS
DefineProperties 	TMemo 	STDCTRLS
DefineProperties 	TMenuItem 	MENUS
DefineProperties 	TOleContainer 	TOCTRL
DefineProperties 	TParams 	DBTABLES
DefineProperties 	TPersistent 	CLASSES
DefineProperties 	TPicture 	GRAPHICS
DefineProperties 	TQuery 	DBTABLES
DefineProperties 	TStrings 	CLASSES
DefineProperties 	TTabSet 	TABS


DefineProperty (all)
DefineProperty 	TFiler 	CLASSES
DefineProperty 	TReader 	CLASSES
DefineProperty 	TWriter 	CLASSES


DefocusControl (all)
DefocusControl 	TForm 	FORMS


DefWndProc (all)
DefWndProc 	TWinControl 	CONTROLS


Delete (all)
Delete 	TCustomOutline 	OUTLINE
Delete 	TDataSet 	DB
Delete 	TImageList 	GRAPHICS
Delete 	TList 	CLASSES
Delete 	TMenuItem 	MENUS
Delete 	TStringList 	CLASSES
Delete 	TStrings 	CLASSES


DeleteButtonClick (all)
DeleteButtonClick 	TProcParams 	PROCDLG


DeleteCursor (all)
DeleteCursor 	TScreen 	FORMS


DeleteIndex (all)
DeleteIndex 	TTable 	DBTABLES


DeleteKeys (all)
DeleteKeys 	TCustomMaskEdit 	MASK


DeleteNode (all)
DeleteNode 	TCustomOutline 	OUTLINE


DeleteSelection (all)
DeleteSelection 	TCustomMaskEdit 	MASK


DeleteSite (all)
DeleteSite 	TOleContainer 	TOCTRL


DeleteStorage (all)
DeleteStorage 	TOleContainer 	TOCTRL


DeleteTable (all)
DeleteTable 	TTable 	DBTABLES


Delta (all)
Delta 	TImageList 	GRAPHICS


DescriptionsAvailable (all)
DescriptionsAvailable 	TStoredProc 	DBTABLES


Deselect (all)
Deselect 	TInplaceEdit 	GRIDS


DeselectHandles (all)
DeselectHandles 	TCanvas 	GRAPHICS


Designer (all)
Designer 	TComponentEditor 	DSGNINTF
Designer 	TDataSet 	DB
Designer 	TForm 	FORMS
Designer 	TPropertyEditor 	DSGNINTF


DesignInfo (all)
DesignInfo 	TComponent 	CLASSES


Destination (all)
Destination 	TBatchMove 	DBTABLES


Destroy (all)
Destroy 	EDBEngineError 	DB
Destroy 	EOutOfMemory 	SYSUTILS
Destroy 	Exception 	SYSUTILS
Destroy 	OutlineError 	OUTLINE
Destroy 	TApplication 	FORMS
Destroy 	TBatchMove 	DBTABLES
Destroy 	TBitBtn 	BUTTONS
Destroy 	TBitmap 	GRAPHICS
Destroy 	TBlobStream 	DBTABLES
Destroy 	TBooleanField 	DBTABLES
Destroy 	TBrush 	GRAPHICS
Destroy 	TCanvas 	GRAPHICS
Destroy 	TColorDialog 	DIALOGS
Destroy 	TComboButton 	DIALOGS
Destroy 	TComponent 	CLASSES
Destroy 	TComponentList 	DSGNINTF
Destroy 	TControl 	CONTROLS
Destroy 	TControlCanvas 	CONTROLS
Destroy 	TCustomComboBox 	STDCTRLS
Destroy 	TCustomControl 	CONTROLS
Destroy 	TCustomDBGrid 	DBGRIDS
Destroy 	TCustomGrid 	GRIDS
Destroy 	TCustomListBox 	STDCTRLS
Destroy 	TCustomMaskEdit 	MASK
Destroy 	TCustomMemo 	STDCTRLS
Destroy 	TCustomOutline 	OUTLINE
Destroy 	TCustomRadioGroup 	EXTCTRLS
Destroy 	TDatabase 	DB
Destroy 	TDataLink 	DB
Destroy 	TDataSet 	DB
Destroy 	TDataSetDesigner 	DB
Destroy 	TDataSource 	DB
Destroy 	TDateTimeField 	DBTABLES
Destroy 	TDBCheckBox 	DBCTRLS
Destroy 	TDBComboBox 	DBCTRLS
Destroy 	TDBEdit 	DBCTRLS
Destroy 	TDBImage 	DBCTRLS
Destroy 	TDBListBox 	DBCTRLS
Destroy 	TDBLookupCombo 	DBLOOKUP
Destroy 	TDBLookupList 	DBLOOKUP
Destroy 	TDBMemo 	DBCTRLS
Destroy 	TDBRadioGroup 	DBCTRLS
Destroy 	TDBText 	DBCTRLS
Destroy 	TDdeClientConv 	DDEMAN
Destroy 	TDdeClientItem 	DDEMAN
Destroy 	TDdeMgr 	DDEMAN
Destroy 	TDdeServerConv 	DDEMAN
Destroy 	TDdeServerItem 	DDEMAN
Destroy 	TDirectoryListBox 	FILECTRL
Destroy 	TDlgControl 	DIALOGS
Destroy 	TDriveComboBox 	FILECTRL
Destroy 	TField 	DB
Destroy 	TFieldDataLink 	DBTABLES
Destroy 	TFieldDef 	DB
Destroy 	TFieldDefs 	DB
Destroy 	TFileListBox 	FILECTRL
Destroy 	TFiler 	CLASSES
Destroy 	TFileStream 	CLASSES
Destroy 	TFilterComboBox 	FILECTRL
Destroy 	TFindDialog 	DIALOGS
Destroy 	TFont 	GRAPHICS
Destroy 	TFontDialog 	DIALOGS
Destroy 	TForm 	FORMS
Destroy 	TGraphicControl 	CONTROLS
Destroy 	TGridDataLink 	DBGRIDS
Destroy 	THeader 	EXTCTRLS
Destroy 	TIcon 	GRAPHICS
Destroy 	TIFileStream 	ISTREAMS
Destroy 	TImage 	EXTCTRLS
Destroy 	TImageList 	GRAPHICS
Destroy 	TIMemoryStream 	ISTREAMS
Destroy 	TIndexDef 	DBTABLES
Destroy 	TIndexDefs 	DBTABLES
Destroy 	TIniFile 	INIFILES
Destroy 	TList 	CLASSES
Destroy 	TMediaPlayer 	MPLAYER
Destroy 	TMemoryStream 	CLASSES
Destroy 	TMenu 	MENUS
Destroy 	TMenuItem 	MENUS
Destroy 	TMetafile 	GRAPHICS
Destroy 	TNavButton 	DBCTRLS
Destroy 	TNavDataLink 	DBCTRLS
Destroy 	TNotebook 	EXTCTRLS
Destroy 	TNumericField 	DBTABLES
Destroy 	TObject 	SYSTEM
Destroy 	TOleContainer 	TOCTRL
Destroy 	TOpenDialog 	DIALOGS
Destroy 	TOutlineNode 	OUTLINE
Destroy 	TParam 	DBTABLES
Destroy 	TParamList 	DB
Destroy 	TParams 	DBTABLES
Destroy 	TParser 	CLASSES
Destroy 	TPen 	GRAPHICS
Destroy 	TPicture 	GRAPHICS
Destroy 	TPopupMenu 	MENUS
Destroy 	TPrinter 	PRINTERS
Destroy 	TPropertyEditor 	DSGNINTF
Destroy 	TQuery 	DBTABLES
Destroy 	TReader 	CLASSES
Destroy 	TReplaceDialog 	DIALOGS
Destroy 	TReport 	REPORT
Destroy 	TScreen 	FORMS
Destroy 	TScrollingWinControl 	FORMS
Destroy 	TSession 	DB
Destroy 	TSetElementProperty 	DSGNINTF
Destroy 	TShape 	EXTCTRLS
Destroy 	TSpeedButton 	BUTTONS
Destroy 	TStoredProc 	DBTABLES
Destroy 	TStringGrid 	GRIDS
Destroy 	TStringList 	CLASSES
Destroy 	TTable 	DBTABLES
Destroy 	TTableDataLink 	DBTABLES
Destroy 	TTabSet 	TABS
Destroy 	TTimer 	EXTCTRLS
Destroy 	TWinControl 	CONTROLS
Destroy 	TWriter 	CLASSES


DestroyBitmaps (all)
DestroyBitmaps 	TMediaPlayer 	MPLAYER


DestroyComponents (all)
DestroyComponents 	TComponent 	CLASSES


DestroyCursors (all)
DestroyCursors 	TScreen 	FORMS


DestroyFields (all)
DestroyFields 	TDataSet 	DB


DestroyHandle (all)
DestroyHandle 	TWinControl 	CONTROLS


Destroying (all)
Destroying 	TComponent 	CLASSES


DestroyWindowHandle (all)
DestroyWindowHandle 	TForm 	FORMS
DestroyWindowHandle 	TWinControl 	CONTROLS


DestroyWnd (all)
DestroyWnd 	TCustomComboBox 	STDCTRLS
DestroyWnd 	TCustomListBox 	STDCTRLS
DestroyWnd 	TWinControl 	CONTROLS


Device (all)
Device 	TFontDialog 	DIALOGS


DeviceID (all)
DeviceID 	TMediaPlayer 	MPLAYER


DeviceType (all)
DeviceType 	TMediaPlayer 	MPLAYER


DialogHandle (all)
DialogHandle 	TApplication 	FORMS


Directory (all)
Directory 	TDirectoryListBox 	FILECTRL
Directory 	TFileListBox 	FILECTRL


DirLabel (all)
DirLabel 	TDirectoryListBox 	FILECTRL


DirList (all)
DirList 	TDriveComboBox 	FILECTRL


DisableAlign (all)
DisableAlign 	TWinControl 	CONTROLS


DisableControls (all)
DisableControls 	TDataSet 	DB


DisableEditUpdate (all)
DisableEditUpdate 	TStringGrid 	GRIDS


Disconnect (all)
Disconnect 	TDBDataSet 	DB
Disconnect 	TDdeMgr 	DDEMAN
Disconnect 	TDdeServerConv 	DDEMAN
Disconnect 	TQuery 	DBTABLES
Disconnect 	TStoredProc 	DBTABLES


Dispatch (all)
Dispatch 	TObject 	SYSTEM


DispatchCommand (all)
DispatchCommand 	TMenu 	MENUS


DispatchPopup (all)
DispatchPopup 	TMenu 	MENUS


Display (all)
Display 	TMediaPlayer 	MPLAYER


DisplayFormat (all)
DisplayFormat 	TDateTimeField 	DBTABLES
DisplayFormat 	TNumericField 	DBTABLES


DisplayLabel (all)
DisplayLabel 	TField 	DB


DisplayName (all)
DisplayName 	TField 	DB


DisplayRect (all)
DisplayRect 	TMediaPlayer 	MPLAYER


DisplayText (all)
DisplayText 	TField 	DB


DisplayValue (all)
DisplayValue 	TDBLookupCombo 	DBLOOKUP
DisplayValue 	TDBLookupList 	DBLOOKUP


DisplayValues (all)
DisplayValues 	TBooleanField 	DBTABLES


DisplayWidth (all)
DisplayWidth 	TField 	DB


DitherBackground (all)
DitherBackground 	TTabSet 	TABS


DoAfterCancel (all)
DoAfterCancel 	TDataSet 	DB


DoAfterClose (all)
DoAfterClose 	TDataSet 	DB


DoAfterDelete (all)
DoAfterDelete 	TDataSet 	DB


DoAfterEdit (all)
DoAfterEdit 	TDataSet 	DB


DoAfterInsert (all)
DoAfterInsert 	TDataSet 	DB


DoAfterOpen (all)
DoAfterOpen 	TDataSet 	DB


DoAfterPost (all)
DoAfterPost 	TDataSet 	DB


DoApply (all)
DoApply 	TFontDialog 	DIALOGS


DoBeforeCancel (all)
DoBeforeCancel 	TDataSet 	DB


DoBeforeClose (all)
DoBeforeClose 	TDataSet 	DB


DoBeforeDelete (all)
DoBeforeDelete 	TDataSet 	DB


DoBeforeEdit (all)
DoBeforeEdit 	TDataSet 	DB


DoBeforeInsert (all)
DoBeforeInsert 	TDataSet 	DB


DoBeforeOpen (all)
DoBeforeOpen 	TDataSet 	DB


DoBeforePost (all)
DoBeforePost 	TDataSet 	DB


DoClick (all)
DoClick 	TMediaPlayer 	MPLAYER


DoDrawText (all)
DoDrawText 	TCustomLabel 	STDCTRLS


DoEnter (all)
DoEnter 	TWinControl 	CONTROLS


DoError (all)
DoError 	TDdeMgr 	DDEMAN


DoExecute (all)
DoExecute 	TFindDialog 	DIALOGS
DoExecute 	TOpenDialog 	DIALOGS


DoExit (all)
DoExit 	TCustomGrid 	GRIDS
DoExit 	TWinControl 	CONTROLS


DoExpand (all)
DoExpand 	TCustomOutline 	OUTLINE


DoHide (all)
DoHide 	TForm 	FORMS


DoInputChar (all)
DoInputChar 	TCustomMaskEdit 	MASK


DoKeyDown (all)
DoKeyDown 	TWinControl 	CONTROLS


DoKeyPress (all)
DoKeyPress 	TWinControl 	CONTROLS


DoKeyUp (all)
DoKeyUp 	TWinControl 	CONTROLS


DoLookup (all)
DoLookup 	TDBLookupList 	DBLOOKUP


DoMouseDown (all)
DoMouseDown 	TControl 	CONTROLS
DoMouseDown 	TMediaPlayer 	MPLAYER


DoMouseUp (all)
DoMouseUp 	TControl 	CONTROLS


DoNotify (all)
DoNotify 	TMediaPlayer 	MPLAYER


DoOnCalcFields (all)
DoOnCalcFields 	TDataSet 	DB


DoOnNewRecord (all)
DoOnNewRecord 	TDataSet 	DB
DoOnNewRecord 	TTable 	DBTABLES


DoPostClick (all)
DoPostClick 	TMediaPlayer 	MPLAYER


Dormant (all)
Dormant 	TBitmap 	GRAPHICS


DoScroll (all)
DoScroll 	TScrollBar 	STDCTRLS


DoSelectAll (all)
DoSelectAll 	TDBLookupCombo 	DBLOOKUP


DoSetRange (all)
DoSetRange 	TControlScrollBar 	FORMS


DoShow (all)
DoShow 	TForm 	FORMS


DoStatusLineMsg (all)
DoStatusLineMsg 	TOleContainer 	TOCTRL


Down (all)
Down 	TSpeedButton 	BUTTONS


DragCanceled (all)
DragCanceled 	TControl 	CONTROLS
DragCanceled 	TCustomListBox 	STDCTRLS


DragCursor (all)
DragCursor 	TButton 	STDCTRLS
DragCursor 	TCheckBox 	STDCTRLS
DragCursor 	TComboBox 	STDCTRLS
DragCursor 	TControl 	CONTROLS
DragCursor 	TDBCheckBox 	DBCTRLS
DragCursor 	TDBComboBox 	DBCTRLS
DragCursor 	TDBEdit 	DBCTRLS
DragCursor 	TDBGrid 	DBGRIDS
DragCursor 	TDBImage 	DBCTRLS
DragCursor 	TDBListBox 	DBCTRLS
DragCursor 	TDBLookupCombo 	DBLOOKUP
DragCursor 	TDBLookupList 	DBLOOKUP
DragCursor 	TDBMemo 	DBCTRLS
DragCursor 	TDBRadioGroup 	DBCTRLS
DragCursor 	TDBText 	DBCTRLS
DragCursor 	TDirectoryListBox 	FILECTRL
DragCursor 	TDrawGrid 	GRIDS
DragCursor 	TDriveComboBox 	FILECTRL
DragCursor 	TEdit 	STDCTRLS
DragCursor 	TFileListBox 	FILECTRL
DragCursor 	TFilterComboBox 	FILECTRL
DragCursor 	TGroupBox 	STDCTRLS
DragCursor 	TImage 	EXTCTRLS
DragCursor 	TLabel 	STDCTRLS
DragCursor 	TListBox 	STDCTRLS
DragCursor 	TMaskEdit 	MASK
DragCursor 	TMemo 	STDCTRLS
DragCursor 	TNotebook 	EXTCTRLS
DragCursor 	TOleContainer 	TOCTRL
DragCursor 	TOutline 	OUTLINE
DragCursor 	TPaintBox 	EXTCTRLS
DragCursor 	TPanel 	EXTCTRLS
DragCursor 	TRadioButton 	STDCTRLS
DragCursor 	TRadioGroup 	EXTCTRLS
DragCursor 	TScrollBar 	STDCTRLS
DragCursor 	TScrollBox 	FORMS
DragCursor 	TShape 	EXTCTRLS


DragDrop (all)
DragDrop 	TControl 	CONTROLS


Dragging (all)
Dragging 	TControl 	CONTROLS


DragMode (all)
DragMode 	TButton 	STDCTRLS
DragMode 	TCheckBox 	STDCTRLS
DragMode 	TComboBox 	STDCTRLS
DragMode 	TControl 	CONTROLS
DragMode 	TDBCheckBox 	DBCTRLS
DragMode 	TDBComboBox 	DBCTRLS
DragMode 	TDBEdit 	DBCTRLS
DragMode 	TDBGrid 	DBGRIDS
DragMode 	TDBImage 	DBCTRLS
DragMode 	TDBListBox 	DBCTRLS
DragMode 	TDBLookupCombo 	DBLOOKUP
DragMode 	TDBLookupList 	DBLOOKUP
DragMode 	TDBMemo 	DBCTRLS
DragMode 	TDBRadioGroup 	DBCTRLS
DragMode 	TDBText 	DBCTRLS
DragMode 	TDirectoryListBox 	FILECTRL
DragMode 	TDrawGrid 	GRIDS
DragMode 	TDriveComboBox 	FILECTRL
DragMode 	TEdit 	STDCTRLS
DragMode 	TFileListBox 	FILECTRL
DragMode 	TFilterComboBox 	FILECTRL
DragMode 	TGroupBox 	STDCTRLS
DragMode 	TImage 	EXTCTRLS
DragMode 	TLabel 	STDCTRLS
DragMode 	TListBox 	STDCTRLS
DragMode 	TMaskEdit 	MASK
DragMode 	TMemo 	STDCTRLS
DragMode 	TNotebook 	EXTCTRLS
DragMode 	TOleContainer 	TOCTRL
DragMode 	TOutline 	OUTLINE
DragMode 	TPaintBox 	EXTCTRLS
DragMode 	TPanel 	EXTCTRLS
DragMode 	TRadioButton 	STDCTRLS
DragMode 	TRadioGroup 	EXTCTRLS
DragMode 	TScrollBar 	STDCTRLS
DragMode 	TScrollBox 	FORMS
DragMode 	TShape 	EXTCTRLS
DragMode 	TTabSet 	TABS


Draw (all)
Draw 	TBitmap 	GRAPHICS
Draw 	TCanvas 	GRAPHICS
Draw 	TGraphic 	GRAPHICS
Draw 	TIcon 	GRAPHICS
Draw 	TImageList 	GRAPHICS
Draw 	TMetafile 	GRAPHICS


DrawAutoButtons (all)
DrawAutoButtons 	TMediaPlayer 	MPLAYER


DrawButton (all)
DrawButton 	TMediaPlayer 	MPLAYER


DrawCell (all)
DrawCell 	TCustomDBGrid 	DBGRIDS
DrawCell 	TCustomGrid 	GRIDS
DrawCell 	TCustomOutline 	OUTLINE
DrawCell 	TDrawGrid 	GRIDS
DrawCell 	TStringGrid 	GRIDS


DrawDataCell (all)
DrawDataCell 	TCustomDBGrid 	DBGRIDS


DrawFocusRect (all)
DrawFocusRect 	TCanvas 	GRAPHICS


DrawItem (all)
DrawItem 	TBitBtn 	BUTTONS
DrawItem 	TCustomComboBox 	STDCTRLS
DrawItem 	TCustomListBox 	STDCTRLS
DrawItem 	TDirectoryListBox 	FILECTRL
DrawItem 	TDriveComboBox 	FILECTRL
DrawItem 	TFileListBox 	FILECTRL


DrawMove (all)
DrawMove 	TCustomGrid 	GRIDS


DrawPictures (all)
DrawPictures 	TCustomOutline 	OUTLINE


DrawSizingLine (all)
DrawSizingLine 	TCustomGrid 	GRIDS


DrawTab (all)
DrawTab 	TTabSet 	TABS


DrawText (all)
DrawText 	TCustomOutline 	OUTLINE


DrawTree (all)
DrawTree 	TCustomOutline 	OUTLINE


Drive (all)
Drive 	TDirectoryListBox 	FILECTRL
Drive 	TDriveComboBox 	FILECTRL
Drive 	TFileListBox 	FILECTRL


DriveChange (all)
DriveChange 	TDirectoryListBox 	FILECTRL


DriverName (all)
DriverName 	TDatabase 	DB


DropConnections (all)
DropConnections 	TSession 	DB


DropDown (all)
DropDown 	TComboButton 	DIALOGS
DropDown 	TCustomComboBox 	STDCTRLS
DropDown 	TDBComboBox 	DBCTRLS
DropDown 	TDBLookupCombo 	DBLOOKUP


DropDownCount (all)
DropDownCount 	TComboBox 	STDCTRLS
DropDownCount 	TCustomComboBox 	STDCTRLS
DropDownCount 	TDBComboBox 	DBCTRLS
DropDownCount 	TDBLookupCombo 	DBLOOKUP


DropDownWidth (all)
DropDownWidth 	TDBLookupCombo 	DBLOOKUP


DropForm (all)
DropForm 	TOleDropNotify 	TOCTRL


DroppedDown (all)
DroppedDown 	TCustomComboBox 	STDCTRLS


DropRect (all)
DropRect 	TOleDropNotify 	TOCTRL


DropTarget (all)
DropTarget 	TForm 	FORMS


Duplicates (all)
Duplicates 	TStringList 	CLASSES


Edit (all)
Edit 	TColorProperty 	DSGNINTF
Edit 	TComponentEditor 	DSGNINTF
Edit 	TCustomDBGrid 	DBGRIDS
Edit 	TDataLink 	DB
Edit 	TDataSet 	DB
Edit 	TDataSource 	DB
Edit 	TDefaultEditor 	DSGNINTF
Edit 	TFieldDataLink 	DBTABLES
Edit 	TFontProperty 	DSGNINTF
Edit 	TMethodProperty 	DSGNINTF
Edit 	TMPFilenameProperty 	DSGNINTF
Edit 	TProcParams 	PROCDLG
Edit 	TPropertyEditor 	DSGNINTF
Edit 	TQueryParams 	QBINDDLG
Edit 	TReportDirProperty 	REPORT
Edit 	TReportEditor 	REPORT
Edit 	TReportNameProperty 	REPORT


Editable (all)
Editable 	TDBLookupCombo 	DBLOOKUP


EditCanModify (all)
EditCanModify 	TCustomMaskEdit 	MASK
EditCanModify 	TDBEdit 	DBCTRLS
EditCanModify 	TInplaceEdit 	GRIDS


EditChange (all)
EditChange 	TPasswordDialog 	DBPWDLG


EditFormat (all)
EditFormat 	TNumericField 	DBTABLES


Editing (all)
Editing 	TDataLink 	DB
Editing 	TFieldDataLink 	DBTABLES


EditingChange (all)
EditingChange 	TDBComboBox 	DBCTRLS
EditingChange 	TDBEdit 	DBCTRLS
EditingChange 	TDBLookupCombo 	DBLOOKUP
EditingChange 	TDBLookupList 	DBLOOKUP
EditingChange 	TDBMemo 	DBCTRLS


EditingChanged (all)
EditingChanged 	TCustomDBGrid 	DBGRIDS
EditingChanged 	TDataLink 	DB
EditingChanged 	TFieldDataLink 	DBTABLES
EditingChanged 	TGridDataLink 	DBGRIDS
EditingChanged 	TNavDataLink 	DBCTRLS


EditKey (all)
EditKey 	TTable 	DBTABLES


EditMask (all)
EditMask 	TCustomMaskEdit 	MASK
EditMask 	TDateTimeField 	DBTABLES
EditMask 	TField 	DB
EditMask 	TMaskEdit 	MASK
EditMask 	TStringField 	DBTABLES


EditMaskPtr (all)
EditMaskPtr 	TField 	DB


EditorMode (all)
EditorMode 	TCustomDBGrid 	DBGRIDS
EditorMode 	TCustomGrid 	GRIDS
EditorMode 	TDrawGrid 	GRIDS


EditProperty (all)
EditProperty 	TDefaultEditor 	DSGNINTF


EditRangeEnd (all)
EditRangeEnd 	TTable 	DBTABLES


EditRangeStart (all)
EditRangeStart 	TTable 	DBTABLES


EditText (all)
EditText 	TCustomMaskEdit 	MASK


EditWndProc (all)
EditWndProc 	TCustomComboBox 	STDCTRLS


Eject (all)
Eject 	TMediaPlayer 	MPLAYER


Ellipse (all)
Ellipse 	TCanvas 	GRAPHICS


Empty (all)
Empty 	TGraphic 	GRAPHICS


EmptyTable (all)
EmptyTable 	TTable 	DBTABLES


EnableAlign (all)
EnableAlign 	TWinControl 	CONTROLS


EnableControls (all)
EnableControls 	TDataSet 	DB


Enabled (all)
Enabled 	TBitBtn 	BUTTONS
Enabled 	TButton 	STDCTRLS
Enabled 	TCheckBox 	STDCTRLS
Enabled 	TComboBox 	STDCTRLS
Enabled 	TControl 	CONTROLS
Enabled 	TDataSource 	DB
Enabled 	TDBCheckBox 	DBCTRLS
Enabled 	TDBComboBox 	DBCTRLS
Enabled 	TDBEdit 	DBCTRLS
Enabled 	TDBGrid 	DBGRIDS
Enabled 	TDBImage 	DBCTRLS
Enabled 	TDBListBox 	DBCTRLS
Enabled 	TDBLookupCombo 	DBLOOKUP
Enabled 	TDBLookupList 	DBLOOKUP
Enabled 	TDBMemo 	DBCTRLS
Enabled 	TDBRadioGroup 	DBCTRLS
Enabled 	TDBText 	DBCTRLS
Enabled 	TDirectoryListBox 	FILECTRL
Enabled 	TDrawGrid 	GRIDS
Enabled 	TDriveComboBox 	FILECTRL
Enabled 	TEdit 	STDCTRLS
Enabled 	TFileListBox 	FILECTRL
Enabled 	TFilterComboBox 	FILECTRL
Enabled 	TForm 	FORMS
Enabled 	TGroupBox 	STDCTRLS
Enabled 	THeader 	EXTCTRLS
Enabled 	TImage 	EXTCTRLS
Enabled 	TLabel 	STDCTRLS
Enabled 	TListBox 	STDCTRLS
Enabled 	TMaskEdit 	MASK
Enabled 	TMediaPlayer 	MPLAYER
Enabled 	TMemo 	STDCTRLS
Enabled 	TMenuItem 	MENUS
Enabled 	TNotebook 	EXTCTRLS
Enabled 	TOleContainer 	TOCTRL
Enabled 	TOutline 	OUTLINE
Enabled 	TPaintBox 	EXTCTRLS
Enabled 	TPanel 	EXTCTRLS
Enabled 	TRadioButton 	STDCTRLS
Enabled 	TRadioGroup 	EXTCTRLS
Enabled 	TScrollBar 	STDCTRLS
Enabled 	TScrollBox 	FORMS
Enabled 	TShape 	EXTCTRLS
Enabled 	TSpeedButton 	BUTTONS
Enabled 	TTabSet 	TABS
Enabled 	TTimer 	EXTCTRLS


EnabledButtons (all)
EnabledButtons 	TMediaPlayer 	MPLAYER


EnableEditUpdate (all)
EnableEditUpdate 	TStringGrid 	GRIDS


EncodeFieldDesc (all)
EncodeFieldDesc 	TTable 	DBTABLES


EncodeIndexDesc (all)
EncodeIndexDesc 	TTable 	DBTABLES


EndDesign (all)
EndDesign 	TDataSetDesigner 	DB


EndDoc (all)
EndDoc 	TPrinter 	PRINTERS


EndDrag (all)
EndDrag 	TControl 	CONTROLS


EndInsertAppend (all)
EndInsertAppend 	TDataSet 	DB


EndMargin (all)
EndMargin 	TTabSet 	TABS


EndOfList (all)
EndOfList 	TReader 	CLASSES


EndPage (all)
EndPage 	TReport 	REPORT


EndPos (all)
EndPos 	TMediaPlayer 	MPLAYER


EndTransaction (all)
EndTransaction 	TDatabase 	DB


EndUpdate (all)
EndUpdate 	TCustomOutline 	OUTLINE
EndUpdate 	TStrings 	CLASSES


EnsureColRow (all)
EnsureColRow 	TStringGrid 	GRIDS


EnsureDataRow (all)
EnsureDataRow 	TStringGrid 	GRIDS


EOF (all)
EOF 	TDataSet 	DB


Equals (all)
Equals 	TComponentList 	DSGNINTF
Equals 	TStrings 	CLASSES


EraseSection (all)
EraseSection 	TIniFile 	INIFILES


Error (all)
Error 	OutlineError 	OUTLINE
Error 	TCustomOutline 	OUTLINE
Error 	TList 	CLASSES
Error 	TMediaPlayer 	MPLAYER
Error 	TOutlineNode 	OUTLINE
Error 	TParser 	CLASSES
Error 	TReader 	CLASSES


ErrorCode (all)
ErrorCode 	TDBError 	DB


ErrorCount (all)
ErrorCount 	EDBEngineError 	DB


ErrorMessage (all)
ErrorMessage 	TMediaPlayer 	MPLAYER


Errors (all)
Errors 	EDBEngineError 	DB


ErrorStr (all)
ErrorStr 	TParser 	CLASSES


Exchange (all)
Exchange 	TList 	CLASSES
Exchange 	TStringList 	CLASSES
Exchange 	TStrings 	CLASSES


Exclusive (all)
Exclusive 	TTable 	DBTABLES


ExecProc (all)
ExecProc 	TStoredProc 	DBTABLES


ExecSQL (all)
ExecSQL 	TQuery 	DBTABLES


Execute (all)
Execute 	TBatchMove 	DBTABLES
Execute 	TColorDialog 	DIALOGS
Execute 	TFindDialog 	DIALOGS
Execute 	TFontDialog 	DIALOGS
Execute 	TIExpert 	EXPTINTF
Execute 	TOpenDialog 	DIALOGS
Execute 	TPrintDialog 	DIALOGS
Execute 	TPrinterSetupDialog 	DIALOGS
Execute 	TReplaceDialog 	DIALOGS
Execute 	TSaveDialog 	DIALOGS


ExecuteMacro (all)
ExecuteMacro 	TDdeClientConv 	DDEMAN
ExecuteMacro 	TDdeServerConv 	DDEMAN


ExecuteMacroLines (all)
ExecuteMacroLines 	TDdeClientConv 	DDEMAN


ExecuteVerb (all)
ExecuteVerb 	TComponentEditor 	DSGNINTF
ExecuteVerb 	TReportEditor 	REPORT


ExeName (all)
ExeName 	TApplication 	FORMS


Expand (all)
Expand 	OutlineError 	OUTLINE
Expand 	TCustomOutline 	OUTLINE
Expand 	TList 	CLASSES
Expand 	TOutlineNode 	OUTLINE


ExpandCount (all)
ExpandCount 	OutlineError 	OUTLINE
ExpandCount 	TOutlineNode 	OUTLINE


Expanded (all)
Expanded 	OutlineError 	OUTLINE
Expanded 	TOutlineNode 	OUTLINE


Expression (all)
Expression 	TIndexDef 	DBTABLES


ExtendedSelect (all)
ExtendedSelect 	TCustomListBox 	STDCTRLS
ExtendedSelect 	TListBox 	STDCTRLS


Field (all)
Field 	TDBCheckBox 	DBCTRLS
Field 	TDBComboBox 	DBCTRLS
Field 	TDBEdit 	DBCTRLS
Field 	TDBImage 	DBCTRLS
Field 	TDBListBox 	DBCTRLS
Field 	TDBMemo 	DBCTRLS
Field 	TDBRadioGroup 	DBCTRLS
Field 	TDBText 	DBCTRLS
Field 	TFieldDataLink 	DBTABLES


FieldAddress (all)
FieldAddress 	TObject 	SYSTEM


FieldByName (all)
FieldByName 	TDataSet 	DB


FieldByNumber (all)
FieldByNumber 	TDataSet 	DB


FieldClass (all)
FieldClass 	TFieldDef 	DB


FieldCount (all)
FieldCount 	TCustomDBGrid 	DBGRIDS
FieldCount 	TDataSet 	DB
FieldCount 	TGridDataLink 	DBGRIDS
FieldCount 	TParamList 	DB


FieldDefs (all)
FieldDefs 	TDataSet 	DB


FieldDescs (all)
FieldDescs 	TParamList 	DB


FieldLinkActive (all)
FieldLinkActive 	TDBLookupCombo 	DBLOOKUP
FieldLinkActive 	TDBLookupList 	DBLOOKUP


FieldName (all)
FieldName 	TField 	DB
FieldName 	TFieldDataLink 	DBTABLES


FieldNo (all)
FieldNo 	TField 	DB
FieldNo 	TFieldDef 	DB


Fields (all)
Fields 	TCustomDBGrid 	DBGRIDS
Fields 	TDataSet 	DB
Fields 	TGridDataLink 	DBGRIDS
Fields 	TIndexDef 	DBTABLES


FileEdit (all)
FileEdit 	TFileListBox 	FILECTRL


FileEditStyle (all)
FileEditStyle 	TOpenDialog 	DIALOGS


FileList (all)
FileList 	TDirectoryListBox 	FILECTRL
FileList 	TFilterComboBox 	FILECTRL


FileName (all)
FileName 	TFileListBox 	FILECTRL
FileName 	TIniFile 	INIFILES
FileName 	TMediaPlayer 	MPLAYER
FileName 	TOpenDialog 	DIALOGS


Files (all)
Files 	TOpenDialog 	DIALOGS


FileStream (all)
FileStream 	TIFileStream 	ISTREAMS


FileType (all)
FileType 	TFileListBox 	FILECTRL


FillRect (all)
FillRect 	TCanvas 	GRAPHICS


Filter (all)
Filter 	TFilterComboBox 	FILECTRL
Filter 	TOpenDialog 	DIALOGS


FilterIndex (all)
FilterIndex 	TOpenDialog 	DIALOGS


Find (all)
Find 	TFieldDefs 	DB
Find 	TFindDialog 	DIALOGS
Find 	TStringList 	CLASSES


FindComponent (all)
FindComponent 	TComponent 	CLASSES


FindDatabase (all)
FindDatabase 	TSession 	DB


FindField (all)
FindField 	TDataSet 	DB


FindIndexForFields (all)
FindIndexForFields 	TIndexDefs 	DBTABLES


FindItem (all)
FindItem 	TMenu 	MENUS


FindKey (all)
FindKey 	TTable 	DBTABLES


FindLiteralChar (all)
FindLiteralChar 	TCustomMaskEdit 	MASK


FindMethod (all)
FindMethod 	TReader 	CLASSES


FindNearest (all)
FindNearest 	TTable 	DBTABLES


FindNextControl (all)
FindNextControl 	TWinControl 	CONTROLS


FindText (all)
FindText 	TFindDialog 	DIALOGS


First (all)
First 	TDataSet 	DB
First 	TList 	CLASSES


FirstIndex (all)
FirstIndex 	TTabSet 	TABS


FixedColor (all)
FixedColor 	TCustomGrid 	GRIDS
FixedColor 	TDBGrid 	DBGRIDS
FixedColor 	TDrawGrid 	GRIDS


FixedCols (all)
FixedCols 	TCustomGrid 	GRIDS
FixedCols 	TDrawGrid 	GRIDS


FixedRows (all)
FixedRows 	TCustomGrid 	GRIDS
FixedRows 	TDrawGrid 	GRIDS


FixupReferences (all)
FixupReferences 	TReader 	CLASSES


FixupTabList (all)
FixupTabList 	TWinControl 	CONTROLS


FloodFill (all)
FloodFill 	TCanvas 	GRAPHICS


Fmt (all)
Fmt 	TDdeServerItem 	DDEMAN


FocusCell (all)
FocusCell 	TCustomGrid 	GRIDS


FocusControl (all)
FocusControl 	TCustomLabel 	STDCTRLS
FocusControl 	TDataLink 	DB
FocusControl 	TField 	DB
FocusControl 	TFieldDataLink 	DBTABLES
FocusControl 	TForm 	FORMS
FocusControl 	TLabel 	STDCTRLS


Focused (all)
Focused 	TWinControl 	CONTROLS


Font (all)
Font 	TButton 	STDCTRLS
Font 	TCanvas 	GRAPHICS
Font 	TCheckBox 	STDCTRLS
Font 	TComboBox 	STDCTRLS
Font 	TControl 	CONTROLS
Font 	TDBCheckBox 	DBCTRLS
Font 	TDBComboBox 	DBCTRLS
Font 	TDBEdit 	DBCTRLS
Font 	TDBGrid 	DBGRIDS
Font 	TDBImage 	DBCTRLS
Font 	TDBListBox 	DBCTRLS
Font 	TDBLookupCombo 	DBLOOKUP
Font 	TDBLookupList 	DBLOOKUP
Font 	TDBMemo 	DBCTRLS
Font 	TDBRadioGroup 	DBCTRLS
Font 	TDBText 	DBCTRLS
Font 	TDirectoryListBox 	FILECTRL
Font 	TDrawGrid 	GRIDS
Font 	TDriveComboBox 	FILECTRL
Font 	TEdit 	STDCTRLS
Font 	TFileListBox 	FILECTRL
Font 	TFilterComboBox 	FILECTRL
Font 	TFontDialog 	DIALOGS
Font 	TForm 	FORMS
Font 	TGroupBox 	STDCTRLS
Font 	THeader 	EXTCTRLS
Font 	TLabel 	STDCTRLS
Font 	TListBox 	STDCTRLS
Font 	TMaskEdit 	MASK
Font 	TMemo 	STDCTRLS
Font 	TNotebook 	EXTCTRLS
Font 	TOutline 	OUTLINE
Font 	TPaintBox 	EXTCTRLS
Font 	TPanel 	EXTCTRLS
Font 	TRadioButton 	STDCTRLS
Font 	TRadioGroup 	EXTCTRLS
Font 	TScrollBox 	FORMS
Font 	TSpeedButton 	BUTTONS
Font 	TTabSet 	TABS


FontChanged (all)
FontChanged 	TCanvas 	GRAPHICS
FontChanged 	TControl 	CONTROLS


Fonts (all)
Fonts 	TPrinter 	PRINTERS
Fonts 	TScreen 	FORMS


ForceType (all)
ForceType 	TPicture 	GRAPHICS


Form (all)
Form 	TDesigner 	FORMS


FormatChars (all)
FormatChars 	TDdeClientConv 	DDEMAN


FormatCount (all)
FormatCount 	TClipboard 	CLIPBRD


Formats (all)
Formats 	TClipboard 	CLIPBRD


FormCount (all)
FormCount 	TScreen 	FORMS


FormCreate (all)
FormCreate 	TParamDlg 	PARAMDLG
FormCreate 	TProcParams 	PROCDLG
FormCreate 	TQueryParams 	QBINDDLG


Forms (all)
Forms 	TScreen 	FORMS


FormStyle (all)
FormStyle 	TForm 	FORMS


FrameRect (all)
FrameRect 	TCanvas 	GRAPHICS


Frames (all)
Frames 	TMediaPlayer 	MPLAYER


Free (all)
Free 	TInterface 	VIRTINTF
Free 	TObject 	SYSTEM


FreeBookmark (all)
FreeBookmark 	TDataSet 	DB


FreeBuffers (all)
FreeBuffers 	TBlobField 	DBTABLES
FreeBuffers 	TField 	DB


FreeContext (all)
FreeContext 	TBitmap 	GRAPHICS


FreeFieldBuffers (all)
FreeFieldBuffers 	TDataSet 	DB


FreeFixups (all)
FreeFixups 	TReader 	CLASSES


FreeFonts (all)
FreeFonts 	TPrinter 	PRINTERS


FreeHandle (all)
FreeHandle 	TBitmapImage 	GRAPHICS
FreeHandle 	TControlCanvas 	CONTROLS
FreeHandle 	TIconImage 	GRAPHICS
FreeHandle 	TInternalImage 	GRAPHICS


FreeImage (all)
FreeImage 	TBitmap 	GRAPHICS


FreeInstance (all)
FreeInstance 	EOutOfMemory 	SYSUTILS
FreeInstance 	TObject 	SYSTEM


FreePrinters (all)
FreePrinters 	TPrinter 	PRINTERS


FreeSections (all)
FreeSections 	THeader 	EXTCTRLS


FreeStatement (all)
FreeStatement 	TQuery 	DBTABLES
FreeStatement 	TStoredProc 	DBTABLES


FromPage (all)
FromPage 	TPrintDialog 	DIALOGS


FullCollapse (all)
FullCollapse 	TCustomOutline 	OUTLINE


FullExpand (all)
FullExpand 	OutlineError 	OUTLINE
FullExpand 	TCustomOutline 	OUTLINE
FullExpand 	TOutlineNode 	OUTLINE


FullPath (all)
FullPath 	OutlineError 	OUTLINE
FullPath 	TOutlineNode 	OUTLINE


Get (all)
Get 	TComponentList 	DSGNINTF
Get 	TCustomOutline 	OUTLINE
Get 	TList 	CLASSES
Get 	TStringGridStrings 	GRIDS
Get 	TStringList 	CLASSES
Get 	TStrings 	CLASSES


GetActive (all)
GetActive 	TDataSet 	DB


GetActiveMDIChild (all)
GetActiveMDIChild 	TForm 	FORMS


GetActivePage (all)
GetActivePage 	TNotebook 	EXTCTRLS


GetActiveRecord (all)
GetActiveRecord 	TDataLink 	DB


GetAliasName (all)
GetAliasName 	TDatabase 	DB


GetAliasNames (all)
GetAliasNames 	TSession 	DB


GetAliasParams (all)
GetAliasParams 	TSession 	DB


GetAppName (all)
GetAppName 	TDdeMgr 	DDEMAN


GetAsBoolean (all)
GetAsBoolean 	TBooleanField 	DBTABLES
GetAsBoolean 	TField 	DB
GetAsBoolean 	TParam 	DBTABLES
GetAsBoolean 	TStringField 	DBTABLES


GetAsDateTime (all)
GetAsDateTime 	TDateTimeField 	DBTABLES
GetAsDateTime 	TField 	DB
GetAsDateTime 	TParam 	DBTABLES
GetAsDateTime 	TStringField 	DBTABLES


GetAsFloat (all)
GetAsFloat 	TDateTimeField 	DBTABLES
GetAsFloat 	TField 	DB
GetAsFloat 	TFloatField 	DBTABLES
GetAsFloat 	TIntegerField 	DBTABLES
GetAsFloat 	TParam 	DBTABLES
GetAsFloat 	TStringField 	DBTABLES


GetAsHandle (all)
GetAsHandle 	TClipboard 	CLIPBRD


GetAsInteger (all)
GetAsInteger 	TField 	DB
GetAsInteger 	TFloatField 	DBTABLES
GetAsInteger 	TIntegerField 	DBTABLES
GetAsInteger 	TParam 	DBTABLES
GetAsInteger 	TStringField 	DBTABLES


GetAsString (all)
GetAsString 	TBooleanField 	DBTABLES
GetAsString 	TDateTimeField 	DBTABLES
GetAsString 	TField 	DB
GetAsString 	TFloatField 	DBTABLES
GetAsString 	TIntegerField 	DBTABLES
GetAsString 	TParam 	DBTABLES
GetAsString 	TStringField 	DBTABLES


GetAsText (all)
GetAsText 	TClipboard 	CLIPBRD


GetAttributes (all)
GetAttributes 	TCaptionProperty 	DSGNINTF
GetAttributes 	TClassProperty 	DSGNINTF
GetAttributes 	TColorProperty 	DSGNINTF
GetAttributes 	TComponentNameProperty 	DSGNINTF
GetAttributes 	TComponentProperty 	DSGNINTF
GetAttributes 	TCursorProperty 	DSGNINTF
GetAttributes 	TEnumProperty 	DSGNINTF
GetAttributes 	TFontNameProperty 	DSGNINTF
GetAttributes 	TFontProperty 	DSGNINTF
GetAttributes 	TMethodProperty 	DSGNINTF
GetAttributes 	TModalResultProperty 	DSGNINTF
GetAttributes 	TMPFilenameProperty 	DSGNINTF
GetAttributes 	TPropertyEditor 	DSGNINTF
GetAttributes 	TReportDirProperty 	REPORT
GetAttributes 	TReportNameProperty 	REPORT
GetAttributes 	TSetElementProperty 	DSGNINTF
GetAttributes 	TSetProperty 	DSGNINTF
GetAttributes 	TShortCutProperty 	DSGNINTF
GetAttributes 	TTabOrderProperty 	DSGNINTF


GetBitmap (all)
GetBitmap 	TBrush 	GRAPHICS
GetBitmap 	TPicture 	GRAPHICS


GetBlobSize (all)
GetBlobSize 	TBlobStream 	DBTABLES


GetBookmark (all)
GetBookmark 	TDataSet 	DB


GetBorderSize (all)
GetBorderSize 	TForm 	FORMS


GetBoundsRect (all)
GetBoundsRect 	TControl 	CONTROLS


GetButtonValue (all)
GetButtonValue 	TDBRadioGroup 	DBCTRLS


GetCalcFields (all)
GetCalcFields 	TDataSet 	DB


GetCanModify (all)
GetCanModify 	TField 	DB
GetCanModify 	TFieldDataLink 	DBTABLES


GetCanvas (all)
GetCanvas 	TBitmap 	GRAPHICS
GetCanvas 	TForm 	FORMS
GetCanvas 	TImage 	EXTCTRLS
GetCanvas 	TPrinter 	PRINTERS


GetCaption (all)
GetCaption 	TMenuItem 	MENUS


GetCategory (all)
GetCategory 	TDBError 	DB


GetCells (all)
GetCells 	TStringGrid 	GRIDS


GetChecked (all)
GetChecked 	TCustomCheckBox 	STDCTRLS


GetClientHeight (all)
GetClientHeight 	TControl 	CONTROLS


GetClientOrigin (all)
GetClientOrigin 	TControl 	CONTROLS
GetClientOrigin 	TWinControl 	CONTROLS


GetClientRect (all)
GetClientRect 	TControl 	CONTROLS
GetClientRect 	TForm 	FORMS
GetClientRect 	TWinControl 	CONTROLS


GetClientWidth (all)
GetClientWidth 	TControl 	CONTROLS


GetCliItemByCtrl (all)
GetCliItemByCtrl 	TDdeClientConv 	DDEMAN


GetCliItemByName (all)
GetCliItemByName 	TDdeClientConv 	DDEMAN


GetClipRect (all)
GetClipRect 	TCanvas 	GRAPHICS


GetColField (all)
GetColField 	TCustomDBGrid 	DBGRIDS


GetColor (all)
GetColor 	TBrush 	GRAPHICS
GetColor 	TPen 	GRAPHICS


GetCols (all)
GetCols 	TStringGrid 	GRIDS


GetColWidths (all)
GetColWidths 	TCustomGrid 	GRIDS


GetComboText (all)
GetComboText 	TDBComboBox 	DBCTRLS


GetComment (all)
GetComment 	TIExpert 	EXPTINTF


GetComponent (all)
GetComponent 	TClipboard 	CLIPBRD
GetComponent 	TComponent 	CLASSES
GetComponent 	TPropertyEditor 	DSGNINTF


GetComponentCount (all)
GetComponentCount 	TComponent 	CLASSES
GetComponentCount 	TIToolServices 	TOOLINTF


GetComponentIndex (all)
GetComponentIndex 	TComponent 	CLASSES


GetComponentName (all)
GetComponentName 	TIToolServices 	TOOLINTF


GetConfigParams (all)
GetConfigParams 	TSession 	DB


GetConnected (all)
GetConnected 	TDatabase 	DB


GetContainer (all)
GetContainer 	TOleContainer 	TOCTRL


GetControl (all)
GetControl 	TWinControl 	CONTROLS


GetControlCount (all)
GetControlCount 	TWinControl 	CONTROLS


GetCount (all)
GetCount 	TComponentList 	DSGNINTF
GetCount 	TFieldDefs 	DB
GetCount 	TImageList 	GRAPHICS
GetCount 	TIndexDefs 	DBTABLES
GetCount 	TMenuItem 	MENUS
GetCount 	TStringGridStrings 	GRIDS
GetCount 	TStringList 	CLASSES
GetCount 	TStrings 	CLASSES


GetCurrentDir (all)
GetCurrentDir 	TDirectoryListBox 	FILECTRL


GetCurrentFile (all)
GetCurrentFile 	TIToolServices 	TOOLINTF


GetCurrentRecord (all)
GetCurrentRecord 	TDataSet 	DB


GetCursor (all)
GetCursor 	TStoredProc 	DBTABLES


GetCursors (all)
GetCursors 	TScreen 	FORMS


GetData (all)
GetData 	TBrush 	GRAPHICS
GetData 	TField 	DB
GetData 	TFont 	GRAPHICS
GetData 	TParam 	DBTABLES
GetData 	TPen 	GRAPHICS


GetDatabase (all)
GetDatabase 	TSession 	DB


GetDatabaseCount (all)
GetDatabaseCount 	TSession 	DB


GetDatabaseNames (all)
GetDatabaseNames 	TSession 	DB


GetDataField (all)
GetDataField 	TDBCheckBox 	DBCTRLS
GetDataField 	TDBComboBox 	DBCTRLS
GetDataField 	TDBEdit 	DBCTRLS
GetDataField 	TDBImage 	DBCTRLS
GetDataField 	TDBListBox 	DBCTRLS
GetDataField 	TDBLookupCombo 	DBLOOKUP
GetDataField 	TDBLookupList 	DBLOOKUP
GetDataField 	TDBMemo 	DBCTRLS
GetDataField 	TDBRadioGroup 	DBCTRLS
GetDataField 	TDBText 	DBCTRLS


GetDataItem (all)
GetDataItem 	OutlineError 	OUTLINE
GetDataItem 	TCustomOutline 	OUTLINE
GetDataItem 	TOutlineNode 	OUTLINE


GetDataset (all)
GetDataset 	TDatabase 	DB
GetDataSet 	TDataLink 	DB


GetDatasetCount (all)
GetDatasetCount 	TDatabase 	DB


GetDataSize (all)
GetDataSize 	TParam 	DBTABLES


GetDataSource (all)
GetDataSource 	TCustomDBGrid 	DBGRIDS
GetDataSource 	TDataSet 	DB
GetDataSource 	TDBCheckBox 	DBCTRLS
GetDataSource 	TDBComboBox 	DBCTRLS
GetDataSource 	TDBEdit 	DBCTRLS
GetDataSource 	TDBImage 	DBCTRLS
GetDataSource 	TDBListBox 	DBCTRLS
GetDataSource 	TDBLookupCombo 	DBLOOKUP
GetDataSource 	TDBLookupList 	DBLOOKUP
GetDataSource 	TDBMemo 	DBCTRLS
GetDataSource 	TDBRadioGroup 	DBCTRLS
GetDataSource 	TDBText 	DBCTRLS
GetDataSource 	TQuery 	DBTABLES
GetDataSource 	TTable 	DBTABLES


GetDBFlag (all)
GetDBFlag 	TDBDataSet 	DB


GetDBHandle (all)
GetDBHandle 	TDBDataSet 	DB


GetDBLocale (all)
GetDBLocale 	TDBDataSet 	DB


GetDdeClientItem (all)
GetDdeClientItem 	TDdeClientItem 	DDEMAN


GetDdeService (all)
GetDdeService 	TDdeClientConv 	DDEMAN


GetDdeTopic (all)
GetDdeTopic 	TDdeClientConv 	DDEMAN


GetDefaultFields (all)
GetDefaultFields 	TGridDataLink 	DBGRIDS


GetDefaultWidth (all)
GetDefaultWidth 	TBooleanField 	DBTABLES
GetDefaultWidth 	TField 	DB
GetDefaultWidth 	TStringField 	DBTABLES


GetDeviceCaps (all)
GetDeviceCaps 	TMediaPlayer 	MPLAYER


GetDeviceContext (all)
GetDeviceContext 	TControl 	CONTROLS
GetDeviceContext 	TWinControl 	CONTROLS


GetDirectory (all)
GetDirectory 	TDirectoryListBox 	FILECTRL
GetDirectory 	TFileListBox 	FILECTRL


GetDisplayFormat (all)
GetDisplayFormat 	TDateTimeField 	DBTABLES
GetDisplayFormat 	TNumericField 	DBTABLES


GetDisplayLabel (all)
GetDisplayLabel 	TField 	DB


GetDisplayName (all)
GetDisplayName 	TField 	DB


GetDisplayRect (all)
GetDisplayRect 	TMediaPlayer 	MPLAYER


GetDisplayText (all)
GetDisplayText 	TField 	DB


GetDisplayValue (all)
GetDisplayValue 	TDBLookupCombo 	DBLOOKUP
GetDisplayValue 	TDBLookupList 	DBLOOKUP


GetDisplayValues (all)
GetDisplayValues 	TBooleanField 	DBTABLES


GetDisplayWidth (all)
GetDisplayWidth 	OutlineError 	OUTLINE
GetDisplayWidth 	TField 	DB
GetDisplayWidth 	TOutlineNode 	OUTLINE


GetDrive (all)
GetDrive 	TDirectoryListBox 	FILECTRL
GetDrive 	TFileListBox 	FILECTRL


GetDriverName (all)
GetDriverName 	TDatabase 	DB


GetDriverNames (all)
GetDriverNames 	TSession 	DB


GetDriverParams (all)
GetDriverParams 	TSession 	DB


GetDriverTypeName (all)
GetDriverTypeName 	TTable 	DBTABLES


GetDroppedDown (all)
GetDroppedDown 	TCustomComboBox 	STDCTRLS


GetEditFormat (all)
GetEditFormat 	TNumericField 	DBTABLES


GetEditLimit (all)
GetEditLimit 	TComponentProperty 	DSGNINTF
GetEditLimit 	TCustomDBGrid 	DBGRIDS
GetEditLimit 	TCustomGrid 	GRIDS
GetEditLimit 	TMethodProperty 	DSGNINTF
GetEditLimit 	TOrdinalProperty 	DSGNINTF
GetEditLimit 	TPropertyEditor 	DSGNINTF
GetEditLimit 	TStringProperty 	DSGNINTF


GetEditMask (all)
GetEditMask 	TCustomDBGrid 	DBGRIDS
GetEditMask 	TCustomGrid 	GRIDS
GetEditMask 	TCustomMaskEdit 	MASK
GetEditMask 	TDrawGrid 	GRIDS
GetEditMask 	TField 	DB


GetEditText (all)
GetEditText 	TCustomDBGrid 	DBGRIDS
GetEditText 	TCustomGrid 	GRIDS
GetEditText 	TCustomMaskEdit 	MASK
GetEditText 	TDrawGrid 	GRIDS
GetEditText 	TField 	DB
GetEditText 	TStringGrid 	GRIDS


GetEmpty (all)
GetEmpty 	TBitmap 	GRAPHICS
GetEmpty 	TGraphic 	GRAPHICS
GetEmpty 	TIcon 	GRAPHICS
GetEmpty 	TMetafile 	GRAPHICS


GetError (all)
GetError 	EDBEngineError 	DB


GetErrorCount (all)
GetErrorCount 	EDBEngineError 	DB


GetErrorMessage (all)
GetErrorMessage 	TMediaPlayer 	MPLAYER


GetExeName (all)
GetExeName 	TApplication 	FORMS
GetExeName 	TDdeMgr 	DDEMAN


GetExpandedNodeCount (all)
GetExpandedNodeCount 	OutlineError 	OUTLINE
GetExpandedNodeCount 	TOutlineNode 	OUTLINE


GetExpression (all)
GetExpression 	TIndexDef 	DBTABLES


GetField (all)
GetField 	TDataSet 	DB
GetField 	TDBCheckBox 	DBCTRLS
GetField 	TDBComboBox 	DBCTRLS
GetField 	TDBEdit 	DBCTRLS
GetField 	TDBImage 	DBCTRLS
GetField 	TDBListBox 	DBCTRLS
GetField 	TDBMemo 	DBCTRLS
GetField 	TDBRadioGroup 	DBCTRLS
GetField 	TDBText 	DBCTRLS


GetFieldClass (all)
GetFieldClass 	TFieldDef 	DB


GetFieldCount (all)
GetFieldCount 	TCustomDBGrid 	DBGRIDS
GetFieldCount 	TDataSet 	DB


GetFieldName (all)
GetFieldName 	TField 	DB
GetFieldName 	TFieldDataLink 	DBTABLES


GetFieldNames (all)
GetFieldNames 	TDataSet 	DB


GetFields (all)
GetFields 	TCustomDBGrid 	DBGRIDS
GetFields 	TGridDataLink 	DBGRIDS
GetFields 	TIndexDef 	DBTABLES


GetFieldValue (all)
GetFieldValue 	TCustomDBGrid 	DBGRIDS


GetFileName (all)
GetFileName 	TFileListBox 	FILECTRL
GetFileName 	TIniFile 	INIFILES


GetFilePath (all)
GetFilePath 	TFileListBox 	FILECTRL


GetFiles (all)
GetFiles 	TOpenDialog 	DIALOGS


GetFileType (all)
GetFileType 	TFileListBox 	FILECTRL


GetFilter (all)
GetFilter 	TFilterComboBox 	FILECTRL
GetFilter 	TOpenDialog 	DIALOGS


GetFirstChild (all)
GetFirstChild 	OutlineError 	OUTLINE
GetFirstChild 	TOutlineNode 	OUTLINE


GetFirstEditChar (all)
GetFirstEditChar 	TCustomMaskEdit 	MASK


GetFloatValue (all)
GetFloatValue 	TPropertyEditor 	DSGNINTF


GetFloatValueAt (all)
GetFloatValueAt 	TPropertyEditor 	DSGNINTF


GetFonts (all)
GetFonts 	TPrinter 	PRINTERS


GetForm (all)
GetForm 	TDdeMgr 	DDEMAN
GetForm 	TScreen 	FORMS


GetFormatCount (all)
GetFormatCount 	TClipboard 	CLIPBRD


GetFormats (all)
GetFormats 	TClipboard 	CLIPBRD


GetFormCount (all)
GetFormCount 	TIToolServices 	TOOLINTF
GetFormCount 	TScreen 	FORMS


GetFormImage (all)
GetFormImage 	TForm 	FORMS


GetFormName (all)
GetFormName 	TIToolServices 	TOOLINTF


GetFullPath (all)
GetFullPath 	OutlineError 	OUTLINE
GetFullPath 	TOutlineNode 	OUTLINE


GetGlyph (all)
GetGlyph 	TBitBtn 	BUTTONS
GetGlyph 	TIExpert 	EXPTINTF
GetGlyph 	TSpeedButton 	BUTTONS


GetGridHeight (all)
GetGridHeight 	TCustomGrid 	GRIDS


GetGridWidth (all)
GetGridWidth 	TCustomGrid 	GRIDS


GetHandle (all)
GetHandle 	TBitmap 	GRAPHICS
GetHandle 	TBrush 	GRAPHICS
GetHandle 	TCanvas 	GRAPHICS
GetHandle 	TFont 	GRAPHICS
GetHandle 	TIcon 	GRAPHICS
GetHandle 	TMainMenu 	MENUS
GetHandle 	TMenu 	MENUS
GetHandle 	TMenuItem 	MENUS
GetHandle 	TMetafile 	GRAPHICS
GetHandle 	TPen 	GRAPHICS
GetHandle 	TPrinter 	PRINTERS
GetHandle 	TSession 	DB
GetHandle 	TWinControl 	CONTROLS


GetHeight (all)
GetHeight 	TBitmap 	GRAPHICS
GetHeight 	TFont 	GRAPHICS
GetHeight 	TGraphic 	GRAPHICS
GetHeight 	TIcon 	GRAPHICS
GetHeight 	TMetafile 	GRAPHICS
GetHeight 	TPicture 	GRAPHICS
GetHeight 	TScreen 	FORMS


GetHelpContext (all)
GetHelpContext 	TMenu 	MENUS
GetHelpContext 	TPopupMenu 	MENUS


GetHelpFile (all)
GetHelpFile 	TApplication 	FORMS


GetHint (all)
GetHint 	TApplication 	FORMS
GetHint 	TControl 	CONTROLS
GetHint 	TMenuItem 	MENUS


GetIcon (all)
GetIcon 	TPicture 	GRAPHICS


GetIconHandle (all)
GetIconHandle 	TForm 	FORMS


GetIDString (all)
GetIDString 	TIExpert 	EXPTINTF


GetInch (all)
GetInch 	TMetafile 	GRAPHICS


GetIndex (all)
GetIndex 	OutlineError 	OUTLINE
GetIndex 	TField 	DB
GetIndex 	TOutlineNode 	OUTLINE


GetIndexField (all)
GetIndexField 	TDataSet 	DB


GetIndexFieldCount (all)
GetIndexFieldCount 	TDataSet 	DB


GetIndexFieldNames (all)
GetIndexFieldNames 	TTable 	DBTABLES


GetIndexInfo (all)
GetIndexInfo 	TDataSet 	DB


GetIndexName (all)
GetIndexName 	TTable 	DBTABLES


GetIndexNames (all)
GetIndexNames 	TTable 	DBTABLES


GetIndexParams (all)
GetIndexParams 	TTable 	DBTABLES


GetInfo (all)
GetInfo 	TOleContainer 	TOCTRL


GetInfoPtr (all)
GetInfoPtr 	TOleDropNotify 	TOCTRL


GetInitialDir (all)
GetInitialDir 	TOpenDialog 	DIALOGS


GetInitialValues (all)
GetInitialValues 	TReport 	REPORT


GetIsControl (all)
GetIsControl 	TDesigner 	FORMS


GetIsIndexField (all)
GetIsIndexField 	TField 	DB


GetIsNull (all)
GetIsNull 	TField 	DB


GetIsSQLBased (all)
GetIsSQLBased 	TDatabase 	DB


GetItem (all)
GetItem 	TCustomOutline 	OUTLINE
GetItem 	TFieldDefs 	DB
GetItem 	TIndexDefs 	DBTABLES
GetItem 	TMenuItem 	MENUS


GetItemCount (all)
GetItemCount 	TCustomOutline 	OUTLINE


GetItemHeight (all)
GetItemHeight 	TCustomComboBox 	STDCTRLS
GetItemHeight 	TCustomListBox 	STDCTRLS


GetItemIndex (all)
GetItemIndex 	TCustomComboBox 	STDCTRLS
GetItemIndex 	TCustomListBox 	STDCTRLS


GetItemPath (all)
GetItemPath 	TDirectoryListBox 	FILECTRL


GetKeyBuffer (all)
GetKeyBuffer 	TDataSet 	DB


GetKeyExclusive (all)
GetKeyExclusive 	TDataSet 	DB


GetKeyFieldCount (all)
GetKeyFieldCount 	TDataSet 	DB


GetKind (all)
GetKind 	TBitBtn 	BUTTONS


GetLastChild (all)
GetLastChild 	OutlineError 	OUTLINE
GetLastChild 	TOutlineNode 	OUTLINE


GetLastEditChar (all)
GetLastEditChar 	TCustomMaskEdit 	MASK


GetLastIndex (all)
GetLastIndex 	OutlineError 	OUTLINE
GetLastIndex 	TOutlineNode 	OUTLINE


GetLeft (all)
GetLeft 	TFindDialog 	DIALOGS


GetLength (all)
GetLength 	TMediaPlayer 	MPLAYER


GetLevel (all)
GetLevel 	OutlineError 	OUTLINE
GetLevel 	TOutlineNode 	OUTLINE


GetList (all)
GetList 	OutlineError 	OUTLINE
GetList 	TOutlineNode 	OUTLINE


GetLookupDisplay (all)
GetLookupDisplay 	TDBLookupCombo 	DBLOOKUP
GetLookupDisplay 	TDBLookupList 	DBLOOKUP


GetLookupField (all)
GetLookupField 	TDBLookupCombo 	DBLOOKUP
GetLookupField 	TDBLookupList 	DBLOOKUP


GetLookupSource (all)
GetLookupSource 	TDBLookupCombo 	DBLOOKUP
GetLookupSource 	TDBLookupList 	DBLOOKUP


GetMask (all)
GetMask 	TFileListBox 	FILECTRL
GetMask 	TFilterComboBox 	FILECTRL


GetMasked (all)
GetMasked 	TCustomMaskEdit 	MASK


GetMasterFields (all)
GetMasterFields 	TTable 	DBTABLES


GetMaxChars (all)
GetMaxChars 	TCustomMaskEdit 	MASK


GetMaxDisplayWidth (all)
GetMaxDisplayWidth 	OutlineError 	OUTLINE
GetMaxDisplayWidth 	TOutlineNode 	OUTLINE


GetMaxLength (all)
GetMaxLength 	TCustomMaskEdit 	MASK


GetMDIChildCount (all)
GetMDIChildCount 	TForm 	FORMS


GetMDIChildren (all)
GetMDIChildren 	TForm 	FORMS


GetMenuText (all)
GetMenuText 	TIExpert 	EXPTINTF


GetMessage (all)
GetMessage 	Exception 	SYSUTILS


GetMetafile (all)
GetMetafile 	TPicture 	GRAPHICS


GetMethodName (all)
GetMethodName 	TFormDesigner 	DSGNINTF


GetMethods (all)
GetMethods 	TFormDesigner 	DSGNINTF


GetMethodValue (all)
GetMethodValue 	TPropertyEditor 	DSGNINTF


GetMethodValueAt (all)
GetMethodValueAt 	TPropertyEditor 	DSGNINTF


GetMinHeight (all)
GetMinHeight 	TDBLookupCombo 	DBLOOKUP


GetMode (all)
GetMode 	TMediaPlayer 	MPLAYER


GetModified (all)
GetModified 	TCustomEdit 	STDCTRLS


GetModifyTime (all)
GetModifyTime 	TIFileStream 	ISTREAMS
GetModifyTime 	TIMemoryStream 	ISTREAMS
GetModifyTime 	TIStream 	VIRTINTF
GetModifyTime 	TVirtualStream 	ISTREAMS


GetModuleCount (all)
GetModuleCount 	TIToolServices 	TOOLINTF


GetModuleName (all)
GetModuleName 	TIToolServices 	TOOLINTF


GetMonochrome (all)
GetMonochrome 	TBitmap 	GRAPHICS


GetMouseCapture (all)
GetMouseCapture 	TControl 	CONTROLS


GetName (all)
GetName 	TComponent 	CLASSES
GetName 	TFieldDef 	DB
GetName 	TFont 	GRAPHICS
GetName 	TIExpert 	EXPTINTF
GetName 	TIndexDef 	DBTABLES
GetName 	TPropertyEditor 	DSGNINTF
GetName 	TSetElementProperty 	DSGNINTF


GetNetFileDir (all)
GetNetFileDir 	TSession 	DB


GetNewModuleName (all)
GetNewModuleName 	TIToolServices 	TOOLINTF


GetNextChild (all)
GetNextChild 	OutlineError 	OUTLINE
GetNextChild 	TOutlineNode 	OUTLINE


GetNextEditChar (all)
GetNextEditChar 	TCustomMaskEdit 	MASK


GetNextRecord (all)
GetNextRecord 	TDataSet 	DB


GetNextRecords (all)
GetNextRecords 	TDataSet 	DB


GetNode (all)
GetNode 	OutlineError 	OUTLINE
GetNode 	TOutlineNode 	OUTLINE


GetNodeAtIndex (all)
GetNodeAtIndex 	OutlineError 	OUTLINE
GetNodeAtIndex 	TOutlineNode 	OUTLINE


GetNodeDisplayWidth (all)
GetNodeDisplayWidth 	TCustomOutline 	OUTLINE


GetNumGlyphs (all)
GetNumGlyphs 	TBitBtn 	BUTTONS
GetNumGlyphs 	TSpeedButton 	BUTTONS


GetObjClass (all)
GetObjClass 	TOleContainer 	TOCTRL


GetObjDoc (all)
GetObjDoc 	TOleContainer 	TOCTRL


GetObject (all)
GetObject 	TStringGridStrings 	GRIDS
GetObject 	TStringList 	CLASSES
GetObject 	TStrings 	CLASSES


GetObjectMenuItem (all)
GetObjectMenuItem 	TOleContainer 	TOCTRL


GetObjectMenuItemCount (all)
GetObjectMenuItemCount 	TOleContainer 	TOCTRL


GetObjects (all)
GetObjects 	TStringGrid 	GRIDS


GetObjItem (all)
GetObjItem 	TOleContainer 	TOCTRL


GetObjMenuItem (all)
GetObjMenuItem 	TOleContainer 	TOCTRL


GetOle2AcceleratorTable (all)
GetOle2AcceleratorTable 	TMainMenu 	MENUS


GetOptions (all)
GetOptions 	TDBLookupCombo 	DBLOOKUP


GetOrdValue (all)
GetOrdValue 	TPropertyEditor 	DSGNINTF


GetOrdValueAt (all)
GetOrdValueAt 	TPropertyEditor 	DSGNINTF


GetOrientation (all)
GetOrientation 	TPrinter 	PRINTERS


GetPageHeight (all)
GetPageHeight 	TPrinter 	PRINTERS


GetPageWidth (all)
GetPageWidth 	TPrinter 	PRINTERS


GetPalette (all)
GetPalette 	TBitBtn 	BUTTONS
GetPalette 	TBitmap 	GRAPHICS
GetPalette 	TControl 	CONTROLS
GetPalette 	TDBImage 	DBCTRLS
GetPalette 	TImage 	EXTCTRLS
GetPalette 	TSpeedButton 	BUTTONS


GetParam (all)
GetParam 	TParams 	DBTABLES


GetParamName (all)
GetParamName 	TParam 	DBTABLES


GetParamsCount (all)
GetParamsCount 	TQuery 	DBTABLES
GetParamsCount 	TStoredProc 	DBTABLES


GetParentHandle (all)
GetParentHandle 	TIToolServices 	TOOLINTF


GetPart (all)
GetPart 	TOleContainer 	TOCTRL


GetPassword (all)
GetPassword 	TSession 	DB


GetPenPos (all)
GetPenPos 	TCanvas 	GRAPHICS


GetPicture (all)
GetPicture 	TCustomOutline 	OUTLINE


GetPitch (all)
GetPitch 	TFont 	GRAPHICS


GetPixel (all)
GetPixel 	TCanvas 	GRAPHICS


GetPixelsPerInch (all)
GetPixelsPerInch 	TForm 	FORMS


GetPosition (all)
GetPosition 	TFindDialog 	DIALOGS
GetPosition 	TMediaPlayer 	MPLAYER
GetPosition 	TStream 	CLASSES


GetPrevChild (all)
GetPrevChild 	OutlineError 	OUTLINE
GetPrevChild 	TOutlineNode 	OUTLINE


GetPrinter (all)
GetPrinter 	TPrinter 	PRINTERS


GetPrinterIndex (all)
GetPrinterIndex 	TPrinter 	PRINTERS


GetPrinters (all)
GetPrinters 	TPrinter 	PRINTERS


GetPriorEditChar (all)
GetPriorEditChar 	TCustomMaskEdit 	MASK


GetPriorRecord (all)
GetPriorRecord 	TDataSet 	DB


GetPriorRecords (all)
GetPriorRecords 	TDataSet 	DB


GetPrivateDir (all)
GetPrivateDir 	TSession 	DB


GetPrivateDirectory (all)
GetPrivateDirectory 	TFormDesigner 	DSGNINTF
GetPrivateDirectory 	TPropertyEditor 	DSGNINTF


GetProcName (all)
GetProcName 	TStoredProc 	DBTABLES


GetProjectName (all)
GetProjectName 	TIToolServices 	TOOLINTF


GetProperties (all)
GetProperties 	TClassProperty 	DSGNINTF
GetProperties 	TPropertyEditor 	DSGNINTF
GetProperties 	TSetProperty 	DSGNINTF


GetPropInfo (all)
GetPropInfo 	TPropertyEditor 	DSGNINTF


GetPropType (all)
GetPropType 	TPropertyEditor 	DSGNINTF


GetQueryCursor (all)
GetQueryCursor 	TQuery 	DBTABLES


GetReadOnly (all)
GetReadOnly 	TDBCheckBox 	DBCTRLS
GetReadOnly 	TDBComboBox 	DBCTRLS
GetReadOnly 	TDBEdit 	DBCTRLS
GetReadOnly 	TDBImage 	DBCTRLS
GetReadOnly 	TDBListBox 	DBCTRLS
GetReadOnly 	TDBLookupCombo 	DBLOOKUP
GetReadOnly 	TDBLookupList 	DBLOOKUP
GetReadOnly 	TDBMemo 	DBCTRLS
GetReadOnly 	TDBRadioGroup 	DBCTRLS


GetRecord (all)
GetRecord 	TDataSet 	DB


GetRecordCount (all)
GetRecordCount 	TDataLink 	DB
GetRecordCount 	TDataSet 	DB


GetReportDir (all)
GetReportDir 	TReport 	REPORT


GetReportHandle (all)
GetReportHandle 	TReport 	REPORT


GetReportName (all)
GetReportName 	TReport 	REPORT


GetResults (all)
GetResults 	TStoredProc 	DBTABLES


GetRowHeights (all)
GetRowHeights 	TCustomGrid 	GRIDS


GetRowOfNode (all)
GetRowOfNode 	OutlineError 	OUTLINE
GetRowOfNode 	TOutlineNode 	OUTLINE


GetRows (all)
GetRows 	TStringGrid 	GRIDS


GetScaled (all)
GetScaled 	TForm 	FORMS


GetScrollPos (all)
GetScrollPos 	TControlScrollBar 	FORMS


GetSel (all)
GetSel 	TCustomMaskEdit 	MASK


GetSelCount (all)
GetSelCount 	TCustomListBox 	STDCTRLS


GetSelected (all)
GetSelected 	TCustomListBox 	STDCTRLS


GetSelectedField (all)
GetSelectedField 	TCustomDBGrid 	DBGRIDS


GetSelectedIndex (all)
GetSelectedIndex 	TCustomDBGrid 	DBGRIDS


GetSelectedItem (all)
GetSelectedItem 	TCustomOutline 	OUTLINE


GetSelection (all)
GetSelection 	TCustomGrid 	GRIDS


GetSelLength (all)
GetSelLength 	TCustomComboBox 	STDCTRLS
GetSelLength 	TCustomEdit 	STDCTRLS


GetSelStart (all)
GetSelStart 	TCustomComboBox 	STDCTRLS
GetSelStart 	TCustomEdit 	STDCTRLS


GetSelText (all)
GetSelText 	TCustomComboBox 	STDCTRLS
GetSelText 	TCustomEdit 	STDCTRLS


GetSelTextBuf (all)
GetSelTextBuf 	TCustomEdit 	STDCTRLS


GetServerConv (all)
GetServerConv 	TDdeMgr 	DDEMAN


GetServiceApp (all)
GetServiceApp 	TDdeClientConv 	DDEMAN


GetSize (all)
GetSize 	TFont 	GRAPHICS
GetSize 	TStream 	CLASSES


GetSQLText (all)
GetSQLText 	TQuery 	DBTABLES


GetSrvrConv (all)
GetSrvrConv 	TDdeMgr 	DDEMAN


GetStart (all)
GetStart 	TMediaPlayer 	MPLAYER


GetState (all)
GetState 	TIExpert 	EXPTINTF


GetStatementHandle (all)
GetStatementHandle 	TQuery 	DBTABLES


GetStorage (all)
GetStorage 	TOleContainer 	TOCTRL


GetStoredProcNames (all)
GetStoredProcNames 	TSession 	DB


GetStrings (all)
GetStrings 	TCustomOutline 	OUTLINE


GetStrValue (all)
GetStrValue 	TPropertyEditor 	DSGNINTF


GetStrValueAt (all)
GetStrValueAt 	TPropertyEditor 	DSGNINTF


GetStyle (all)
GetStyle 	TBrush 	GRAPHICS
GetStyle 	TFont 	GRAPHICS
GetStyle 	TIExpert 	EXPTINTF
GetStyle 	TPen 	GRAPHICS


GetSubCode (all)
GetSubCode 	TDBError 	DB


GetTableNames (all)
GetTableNames 	TSession 	DB


GetTableTypeName (all)
GetTableTypeName 	TTable 	DBTABLES


GetTabOrder (all)
GetTabOrder 	TWinControl 	CONTROLS


GetTabOrderList (all)
GetTabOrderList 	TWinControl 	CONTROLS


GetTabStops (all)
GetTabStops 	TCustomGrid 	GRIDS


GetText (all)
GetText 	OutlineError 	OUTLINE
GetText 	TControl 	CONTROLS
GetText 	TCustomMaskEdit 	MASK
GetText 	TDateTimeField 	DBTABLES
GetText 	TDdeClientItem 	DDEMAN
GetText 	TDdeServerItem 	DDEMAN
GetText 	TField 	DB
GetText 	TFloatField 	DBTABLES
GetText 	TIntegerField 	DBTABLES
GetText 	TOutlineNode 	OUTLINE
GetText 	TStringField 	DBTABLES
GetText 	TStrings 	CLASSES


GetTextBuf (all)
GetTextBuf 	TClipboard 	CLIPBRD
GetTextBuf 	TControl 	CONTROLS


GetTextCase (all)
GetTextCase 	TDriveComboBox 	FILECTRL


GetTextHeight (all)
GetTextHeight 	TForm 	FORMS


GetTextItem (all)
GetTextItem 	OutlineError 	OUTLINE
GetTextItem 	TCustomOutline 	OUTLINE
GetTextItem 	TOutlineNode 	OUTLINE


GetTextLen (all)
GetTextLen 	TControl 	CONTROLS
GetTextLen 	TCustomMaskEdit 	MASK


GetTimeFormat (all)
GetTimeFormat 	TMediaPlayer 	MPLAYER


GetTitle (all)
GetTitle 	TApplication 	FORMS
GetTitle 	TOpenDialog 	DIALOGS
GetTitle 	TPrinter 	PRINTERS


GetTop (all)
GetTop 	TFindDialog 	DIALOGS


GetTopIndex (all)
GetTopIndex 	TCustomListBox 	STDCTRLS


GetTopItem (all)
GetTopItem 	OutlineError 	OUTLINE
GetTopItem 	TOutlineNode 	OUTLINE


GetTrackLength (all)
GetTrackLength 	TMediaPlayer 	MPLAYER


GetTrackPosition (all)
GetTrackPosition 	TMediaPlayer 	MPLAYER


GetTracks (all)
GetTracks 	TMediaPlayer 	MPLAYER


GetTransparent (all)
GetTransparent 	TCustomLabel 	STDCTRLS


GetTransparentColor (all)
GetTransparentColor 	TBitmap 	GRAPHICS


GetUnitCount (all)
GetUnitCount 	TIToolServices 	TOOLINTF


GetUnitName (all)
GetUnitName 	TIToolServices 	TOOLINTF


GetValue (all)
GetValue 	TCharProperty 	DSGNINTF
GetValue 	TClassProperty 	DSGNINTF
GetValue 	TColorProperty 	DSGNINTF
GetValue 	TComponentProperty 	DSGNINTF
GetValue 	TCursorProperty 	DSGNINTF
GetValue 	TDateTimeField 	DBTABLES
GetValue 	TDBLookupCombo 	DBLOOKUP
GetValue 	TDBLookupList 	DBLOOKUP
GetValue 	TDBRadioGroup 	DBCTRLS
GetValue 	TEnumProperty 	DSGNINTF
GetValue 	TFloatField 	DBTABLES
GetValue 	TFloatProperty 	DSGNINTF
GetValue 	TIntegerField 	DBTABLES
GetValue 	TIntegerProperty 	DSGNINTF
GetValue 	TMethodProperty 	DSGNINTF
GetValue 	TModalResultProperty 	DSGNINTF
GetValue 	TPropertyEditor 	DSGNINTF
GetValue 	TReportDirProperty 	REPORT
GetValue 	TReportNameProperty 	REPORT
GetValue 	TSetElementProperty 	DSGNINTF
GetValue 	TSetProperty 	DSGNINTF
GetValue 	TShortCutProperty 	DSGNINTF
GetValue 	TStringProperty 	DSGNINTF
GetValue 	TStrings 	CLASSES


GetValueCheck (all)
GetValueCheck 	TDBCheckBox 	DBCTRLS


GetValueIndex (all)
GetValueIndex 	TStrings 	CLASSES


GetValues (all)
GetValues 	TColorProperty 	DSGNINTF
GetValues 	TComponentProperty 	DSGNINTF
GetValues 	TCursorProperty 	DSGNINTF
GetValues 	TEnumProperty 	DSGNINTF
GetValues 	TFontNameProperty 	DSGNINTF
GetValues 	TMethodProperty 	DSGNINTF
GetValues 	TModalResultProperty 	DSGNINTF
GetValues 	TPropertyEditor 	DSGNINTF
GetValues 	TSetElementProperty 	DSGNINTF
GetValues 	TShortCutProperty 	DSGNINTF


GetValueUncheck (all)
GetValueUncheck 	TDBCheckBox 	DBCTRLS


GetVerb (all)
GetVerb 	TComponentEditor 	DSGNINTF
GetVerb 	TReportEditor 	REPORT


GetVerbCount (all)
GetVerbCount 	TComponentEditor 	DSGNINTF
GetVerbCount 	TReportEditor 	REPORT


GetVersion (all)
GetVersion 	TInterface 	VIRTINTF
GetVersion 	TParams 	DBTABLES


GetVisibleColCount (all)
GetVisibleColCount 	TCustomGrid 	GRIDS


GetVisibleNode (all)
GetVisibleNode 	OutlineError 	OUTLINE
GetVisibleNode 	TOutlineNode 	OUTLINE


GetVisibleParent (all)
GetVisibleParent 	OutlineError 	OUTLINE
GetVisibleParent 	TOutlineNode 	OUTLINE


GetVisibleRowCount (all)
GetVisibleRowCount 	TCustomGrid 	GRIDS


GetWidth (all)
GetWidth 	TBitmap 	GRAPHICS
GetWidth 	TGraphic 	GRAPHICS
GetWidth 	THeader 	EXTCTRLS
GetWidth 	TIcon 	GRAPHICS
GetWidth 	TMetafile 	GRAPHICS
GetWidth 	TPen 	GRAPHICS
GetWidth 	TPicture 	GRAPHICS
GetWidth 	TScreen 	FORMS


Glyph (all)
Glyph 	TBitBtn 	BUTTONS
Glyph 	TSpeedButton 	BUTTONS


GlyphChanged (all)
GlyphChanged 	TBitBtn 	BUTTONS
GlyphChanged 	TSpeedButton 	BUTTONS


GotoBookmark (all)
GotoBookmark 	TDataSet 	DB


GotoCurrent (all)
GotoCurrent 	TTable 	DBTABLES


GotoKey (all)
GotoKey 	TTable 	DBTABLES


GotoNearest (all)
GotoNearest 	TTable 	DBTABLES


Graphic (all)
Graphic 	TPicture 	GRAPHICS


GridClick (all)
GridClick 	TDBLookupCombo 	DBLOOKUP


GridHeight (all)
GridHeight 	TCustomGrid 	GRIDS
GridHeight 	TDrawGrid 	GRIDS


GridLineWidth (all)
GridLineWidth 	TCustomGrid 	GRIDS
GridLineWidth 	TDrawGrid 	GRIDS


GridRectToScreenRect (all)
GridRectToScreenRect 	TCustomGrid 	GRIDS


GridWidth (all)
GridWidth 	TCustomGrid 	GRIDS
GridWidth 	TDrawGrid 	GRIDS


GroupIndex (all)
GroupIndex 	TMenuItem 	MENUS
GroupIndex 	TSpeedButton 	BUTTONS


Grow (all)
Grow 	TList 	CLASSES


Handle (all)
Handle 	TApplication 	FORMS
Handle 	TBitmap 	GRAPHICS
Handle 	TBrush 	GRAPHICS
Handle 	TCanvas 	GRAPHICS
Handle 	TDatabase 	DB
Handle 	TDataSet 	DB
Handle 	TFindDialog 	DIALOGS
Handle 	TFont 	GRAPHICS
Handle 	THandleStream 	CLASSES
Handle 	TIcon 	GRAPHICS
Handle 	TMenu 	MENUS
Handle 	TMenuItem 	MENUS
Handle 	TMetafile 	GRAPHICS
Handle 	TPen 	GRAPHICS
Handle 	TPrinter 	PRINTERS
Handle 	TSession 	DB
Handle 	TWinControl 	CONTROLS


HandleAllocated (all)
HandleAllocated 	TWinControl 	CONTROLS


HandleException (all)
HandleException 	TApplication 	FORMS


HandleMessage (all)
HandleMessage 	TApplication 	FORMS


HandleNeeded (all)
HandleNeeded 	TBitmap 	GRAPHICS
HandleNeeded 	TIcon 	GRAPHICS
HandleNeeded 	TWinControl 	CONTROLS


HasAsParent (all)
HasAsParent 	OutlineError 	OUTLINE
HasAsParent 	TOutlineNode 	OUTLINE


HasChildren (all)
HasChildren 	OutlineError 	OUTLINE
HasChildren 	TOutlineNode 	OUTLINE


HasFormat (all)
HasFormat 	TClipboard 	CLIPBRD


HasItems (all)
HasItems 	OutlineError 	OUTLINE
HasItems 	TOutlineNode 	OUTLINE


HasParent (all)
HasParent 	TComponent 	CLASSES
HasParent 	TControl 	CONTROLS
HasParent 	TField 	DB
HasParent 	TMenuItem 	MENUS


HasVisibleParent (all)
HasVisibleParent 	OutlineError 	OUTLINE
HasVisibleParent 	TOutlineNode 	OUTLINE


Height (all)
Height 	TControl 	CONTROLS
Height 	TFont 	GRAPHICS
Height 	TForm 	FORMS
Height 	TGraphic 	GRAPHICS
Height 	TImageList 	GRAPHICS
Height 	TPage 	EXTCTRLS
Height 	TPicture 	GRAPHICS
Height 	TScreen 	FORMS


HelpCommand (all)
HelpCommand 	TApplication 	FORMS


HelpContext (all)
HelpContext 	Exception 	SYSUTILS
HelpContext 	TApplication 	FORMS
HelpContext 	TCommonDialog 	DIALOGS
HelpContext 	TMenuItem 	MENUS
HelpContext 	TPopupMenu 	MENUS
HelpContext 	TWinControl 	CONTROLS


Helper (all)
Helper 	TForm 	FORMS


HelpFile (all)
HelpFile 	TApplication 	FORMS


HelpJump (all)
HelpJump 	TApplication 	FORMS


HexToBinary (all)
HexToBinary 	TParser 	CLASSES


Hide (all)
Hide 	TControl 	CONTROLS
Hide 	TForm 	FORMS
Hide 	TInplaceEdit 	GRIDS


HideEdit (all)
HideEdit 	TCustomGrid 	GRIDS


HideEditor (all)
HideEditor 	TCustomGrid 	GRIDS


HideSelection (all)
HideSelection 	TCustomEdit 	STDCTRLS
HideSelection 	TEdit 	STDCTRLS
HideSelection 	TMemo 	STDCTRLS


HighlightCell (all)
HighlightCell 	TCustomDBGrid 	DBGRIDS
HighlightCell 	TDBLookupList 	DBLOOKUP


Hint (all)
Hint 	TApplication 	FORMS
Hint 	TControl 	CONTROLS
Hint 	TMenuItem 	MENUS


HintColor (all)
HintColor 	TApplication 	FORMS


HintPause (all)
HintPause 	TApplication 	FORMS


HintTimerExpired (all)
HintTimerExpired 	TApplication 	FORMS


HistoryList (all)
HistoryList 	TOpenDialog 	DIALOGS


HomeEndKeys (all)
HomeEndKeys 	TCustomMaskEdit 	MASK


HookMainWindow (all)
HookMainWindow 	TApplication 	FORMS


HorzScrollBar (all)
HorzScrollBar 	TForm 	FORMS
HorzScrollBar 	TScrollingWinControl 	FORMS


Icon (all)
Icon 	TApplication 	FORMS
Icon 	TForm 	FORMS
Icon 	TPicture 	GRAPHICS


IconChanged (all)
IconChanged 	TApplication 	FORMS
IconChanged 	TForm 	FORMS


Idle (all)
Idle 	TApplication 	FORMS


ImageNeeded (all)
ImageNeeded 	TIcon 	GRAPHICS


InActivation (all)
InActivation 	TOleContainer 	TOCTRL


Inch (all)
Inch 	TMetafile 	GRAPHICS


Increment (all)
Increment 	TControlScrollBar 	FORMS


Index (all)
Index 	OutlineError 	OUTLINE
Index 	TField 	DB
Index 	TNavButton 	DBCTRLS
Index 	TOutlineNode 	OUTLINE


IndexDefs (all)
IndexDefs 	TTable 	DBTABLES


IndexFieldCount (all)
IndexFieldCount 	TTable 	DBTABLES


IndexFieldNames (all)
IndexFieldNames 	TTable 	DBTABLES


IndexFields (all)
IndexFields 	TTable 	DBTABLES


IndexName (all)
IndexName 	TTable 	DBTABLES


IndexOf (all)
IndexOf 	TFieldDefs 	DB
IndexOf 	TIndexDefs 	DBTABLES
IndexOf 	TList 	CLASSES
IndexOf 	TMenuItem 	MENUS
IndexOf 	TStringList 	CLASSES
IndexOf 	TStrings 	CLASSES


IndexOfObject (all)
IndexOfObject 	TStrings 	CLASSES


InfoQueryMode (all)
InfoQueryMode 	TDataSet 	DB


InheritsForm (all)
InheritsForm 	TObject 	SYSTEM


Init (all)
Init 	TCustomOutline 	OUTLINE
Init 	TDlgControl 	DIALOGS


InitFieldDefs (all)
InitFieldDefs 	TDataSet 	DB
InitFieldDefs 	TTable 	DBTABLES


InitFields (all)
InitFields 	TDBLookupList 	DBLOOKUP


InitialDir (all)
InitialDir 	TOpenDialog 	DIALOGS


Initialize (all)
Initialize 	TCustomGrid 	GRIDS
Initialize 	TPropertyEditor 	DSGNINTF
Initialize 	TStringGrid 	GRIDS


InitialValues (all)
InitialValues 	TReport 	REPORT


InitInfo (all)
InitInfo 	TOleContainer 	TOCTRL


InitInstance (all)
InitInstance 	TObject 	SYSTEM


InitKeyBuffer (all)
InitKeyBuffer 	TDataSet 	DB


InitRecord (all)
InitRecord 	TDataSet 	DB


InitValue (all)
InitValue 	TParam 	DBTABLES


InitValues (all)
InitValues 	TProcParams 	PROCDLG


InPlaceActive (all)
InPlaceActive 	TOleContainer 	TOCTRL


InplaceEditor (all)
InplaceEditor 	TCustomGrid 	GRIDS


InputChar (all)
InputChar 	TCustomMaskEdit 	MASK


InputString (all)
InputString 	TCustomMaskEdit 	MASK


Insert (all)
Insert 	TComponent 	CLASSES
Insert 	TCustomOutline 	OUTLINE
Insert 	TDataSet 	DB
Insert 	TList 	CLASSES
Insert 	TMenuItem 	MENUS
Insert 	TStringList 	CLASSES
Insert 	TStrings 	CLASSES
Insert 	TWinControl 	CONTROLS


InsertComponent (all)
InsertComponent 	TComponent 	CLASSES


InsertControl (all)
InsertControl 	TWinControl 	CONTROLS


InsertCursor (all)
InsertCursor 	TScreen 	FORMS


InsertNode (all)
InsertNode 	OutlineError 	OUTLINE
InsertNode 	TOutlineNode 	OUTLINE


InsertObject (all)
InsertObject 	TCustomOutline 	OUTLINE
InsertObject 	TStrings 	CLASSES


InsertRecord (all)
InsertRecord 	TDataSet 	DB


InsertServerConv (all)
InsertServerConv 	TDdeMgr 	DDEMAN


InstanceSize (all)
InstanceSize 	TObject 	SYSTEM


IntegralHeight (all)
IntegralHeight 	TCustomListBox 	STDCTRLS
IntegralHeight 	TDBListBox 	DBCTRLS
IntegralHeight 	TDirectoryListBox 	FILECTRL
IntegralHeight 	TFileListBox 	FILECTRL
IntegralHeight 	TListBox 	STDCTRLS


InternalClose (all)
InternalClose 	TDataSet 	DB


InternalMove (all)
InternalMove 	TInplaceEdit 	GRIDS


InternalOpen (all)
InternalOpen 	TDataSet 	DB


Interval (all)
Interval 	TTimer 	EXTCTRLS


Invalidate (all)
Invalidate 	TControl 	CONTROLS
Invalidate 	TInplaceEdit 	GRIDS
Invalidate 	TWinControl 	CONTROLS


InvalidateCell (all)
InvalidateCell 	TCustomGrid 	GRIDS


InvalidateControl (all)
InvalidateControl 	TControl 	CONTROLS


InvalidateEditor (all)
InvalidateEditor 	TCustomGrid 	GRIDS


InvalidateFrame (all)
InvalidateFrame 	TWinControl 	CONTROLS


InvalidateGrid (all)
InvalidateGrid 	TCustomGrid 	GRIDS


InvalidateRect (all)
InvalidateRect 	TCustomGrid 	GRIDS


InvalidateRow (all)
InvalidateRow 	TCustomGrid 	GRIDS


InvertRect (all)
InvertRect 	TCustomGrid 	GRIDS


InvokeHelp (all)
InvokeHelp 	TApplication 	FORMS


IsAutoScrollStored (all)
IsAutoScrollStored 	TForm 	FORMS


IsClientSizeStored (all)
IsClientSizeStored 	TForm 	FORMS


IsColorStored (all)
IsColorStored 	TControl 	CONTROLS
IsColorStored 	TForm 	FORMS


IsControl (all)
IsControl 	TControl 	CONTROLS
IsControl 	TDesigner 	FORMS


IsControlMouseMsg (all)
IsControlMouseMsg 	TWinControl 	CONTROLS


IsCtl3DStored (all)
IsCtl3DStored 	TWinControl 	CONTROLS


IsCurItem (all)
IsCurItem 	TCustomOutline 	OUTLINE


IsCustom (all)
IsCustom 	TBitBtn 	BUTTONS


IsCustomCaption (all)
IsCustomCaption 	TBitBtn 	BUTTONS


IsDBaseTable (all)
IsDBaseTable 	TTable 	DBTABLES


IsDesignMsg (all)
IsDesignMsg 	TDesigner 	FORMS


IsDisplayLabelStored (all)
IsDisplayLabelStored 	TField 	DB


IsDisplayWidthStored (all)
IsDisplayWidthStored 	TField 	DB


IsDlgMsg (all)
IsDlgMsg 	TApplication 	FORMS


IsFileOpen (all)
IsFileOpen 	TIToolServices 	TOOLINTF


IsFilterStored (all)
IsFilterStored 	TFilterComboBox 	FILECTRL


IsFontStored (all)
IsFontStored 	TControl 	CONTROLS


IsForm (all)
IsForm 	TForm 	FORMS


IsFormSizeStored (all)
IsFormSizeStored 	TForm 	FORMS


IsHintMsg (all)
IsHintMsg 	TApplication 	FORMS
IsHintMsg 	THintWindow 	CONTROLS


IsIconStored (all)
IsIconStored 	TForm 	FORMS


IsIndexField (all)
IsIndexField 	TField 	DB


IsKeyMsg (all)
IsKeyMsg 	TApplication 	FORMS


IsLinkedTo (all)
IsLinkedTo 	TDataSet 	DB
IsLinkedTo 	TDataSource 	DB


IsMasked (all)
IsMasked 	TCustomMaskEdit 	MASK


IsMaskStored (all)
IsMaskStored 	TFileListBox 	FILECTRL


IsMDIMsg (all)
IsMDIMsg 	TApplication 	FORMS


IsMenuKey (all)
IsMenuKey 	TWinControl 	CONTROLS


IsNull (all)
IsNull 	TField 	DB
IsNull 	TParam 	DBTABLES


IsRangeStored (all)
IsRangeStored 	TControlScrollBar 	FORMS


IsShortCut (all)
IsShortCut 	TMenu 	MENUS


IsShowHintStored (all)
IsShowHintStored 	TControl 	CONTROLS


IsSQLBased (all)
IsSQLBased 	TDatabase 	DB


IsValidChar (all)
IsValidChar 	TField 	DB
IsValidChar 	TFloatField 	DBTABLES
IsValidChar 	TIntegerField 	DBTABLES


IsValidFloat (all)
IsValidFloat 	TParam 	DBTABLES


IsValidInt (all)
IsValidInt 	TParam 	DBTABLES


IsVisible (all)
IsVisible 	OutlineError 	OUTLINE
IsVisible 	TOutlineNode 	OUTLINE


ItemAtPos (all)
ItemAtPos 	TCustomListBox 	STDCTRLS
ItemAtPos 	TTabSet 	TABS


ItemChanged (all)
ItemChanged 	TMainMenu 	MENUS


ItemCount (all)
ItemCount 	TCustomOutline 	OUTLINE


ItemHeight (all)
ItemHeight 	TComboBox 	STDCTRLS
ItemHeight 	TCustomComboBox 	STDCTRLS
ItemHeight 	TCustomListBox 	STDCTRLS
ItemHeight 	TCustomOutline 	OUTLINE
ItemHeight 	TDBComboBox 	DBCTRLS
ItemHeight 	TDBListBox 	DBCTRLS
ItemHeight 	TDirectoryListBox 	FILECTRL
ItemHeight 	TFileListBox 	FILECTRL
ItemHeight 	TListBox 	STDCTRLS
ItemHeight 	TOutline 	OUTLINE


ItemIndex (all)
ItemIndex 	TCustomComboBox 	STDCTRLS
ItemIndex 	TCustomListBox 	STDCTRLS
ItemIndex 	TCustomRadioGroup 	EXTCTRLS
ItemIndex 	TDBRadioGroup 	DBCTRLS
ItemIndex 	TRadioGroup 	EXTCTRLS


ItemRect (all)
ItemRect 	TCustomListBox 	STDCTRLS
ItemRect 	TTabSet 	TABS


Items (all)
Items 	OutlineError 	OUTLINE
Items 	TComboBox 	STDCTRLS
Items 	TComponentList 	DSGNINTF
Items 	TCustomComboBox 	STDCTRLS
Items 	TCustomListBox 	STDCTRLS
Items 	TCustomOutline 	OUTLINE
Items 	TCustomRadioGroup 	EXTCTRLS
Items 	TDBComboBox 	DBCTRLS
Items 	TDBListBox 	DBCTRLS
Items 	TDBRadioGroup 	DBCTRLS
Items 	TFieldDefs 	DB
Items 	TIndexDefs 	DBTABLES
Items 	TList 	CLASSES
Items 	TListBox 	STDCTRLS
Items 	TMenu 	MENUS
Items 	TMenuItem 	MENUS
Items 	TOutlineNode 	OUTLINE
Items 	TParams 	DBTABLES
Items 	TRadioGroup 	EXTCTRLS


ItemsChange (all)
ItemsChange 	TCustomRadioGroup 	EXTCTRLS


ItemSeparator (all)
ItemSeparator 	TCustomOutline 	OUTLINE
ItemSeparator 	TOutline 	OUTLINE


KeepConnection (all)
KeepConnection 	TDatabase 	DB


KeepConnections (all)
KeepConnections 	TSession 	DB


KeyDown (all)
KeyDown 	TCustomDBGrid 	DBGRIDS
KeyDown 	TCustomGrid 	GRIDS
KeyDown 	TCustomMaskEdit 	MASK
KeyDown 	TCustomOutline 	OUTLINE
KeyDown 	TDBComboBox 	DBCTRLS
KeyDown 	TDBEdit 	DBCTRLS
KeyDown 	TDBImage 	DBCTRLS
KeyDown 	TDBListBox 	DBCTRLS
KeyDown 	TDBLookupCombo 	DBLOOKUP
KeyDown 	TDBLookupList 	DBLOOKUP
KeyDown 	TDBMemo 	DBCTRLS
KeyDown 	TInplaceEdit 	GRIDS
KeyDown 	TMediaPlayer 	MPLAYER
KeyDown 	TOleContainer 	TOCTRL
KeyDown 	TWinControl 	CONTROLS


KeyExclusive (all)
KeyExclusive 	TTable 	DBTABLES


KeyFieldCount (all)
KeyFieldCount 	TTable 	DBTABLES


KeyPress (all)
KeyPress 	TCustomDBGrid 	DBGRIDS
KeyPress 	TCustomGrid 	GRIDS
KeyPress 	TCustomMaskEdit 	MASK
KeyPress 	TCustomMemo 	STDCTRLS
KeyPress 	TCustomOutline 	OUTLINE
KeyPress 	TDBCheckBox 	DBCTRLS
KeyPress 	TDBComboBox 	DBCTRLS
KeyPress 	TDBEdit 	DBCTRLS
KeyPress 	TDBImage 	DBCTRLS
KeyPress 	TDBListBox 	DBCTRLS
KeyPress 	TDBLookupCombo 	DBLOOKUP
KeyPress 	TDBLookupList 	DBLOOKUP
KeyPress 	TDBMemo 	DBCTRLS
KeyPress 	TDBRadioGroup 	DBCTRLS
KeyPress 	TDirectoryListBox 	FILECTRL
KeyPress 	TInplaceEdit 	GRIDS
KeyPress 	TWinControl 	CONTROLS


KeyPreview (all)
KeyPreview 	TForm 	FORMS


KeyUp (all)
KeyUp 	TCustomMaskEdit 	MASK
KeyUp 	TInplaceEdit 	GRIDS
KeyUp 	TWinControl 	CONTROLS


KeyViolCount (all)
KeyViolCount 	TBatchMove 	DBTABLES


KeyViolTableName (all)
KeyViolTableName 	TBatchMove 	DBTABLES


Kind (all)
Kind 	TBitBtn 	BUTTONS
Kind 	TControlScrollBar 	FORMS
Kind 	TScrollBar 	STDCTRLS


LargeChange (all)
LargeChange 	TScrollBar 	STDCTRLS


Last (all)
Last 	TDataSet 	DB
Last 	TList 	CLASSES


Layout (all)
Layout 	TBitBtn 	BUTTONS
Layout 	TSpeedButton 	BUTTONS


LayoutChanged (all)
LayoutChanged 	TCustomDBGrid 	DBGRIDS
LayoutChanged 	TDataLink 	DB
LayoutChanged 	TFieldDataLink 	DBTABLES
LayoutChanged 	TGridDataLink 	DBGRIDS
LayoutChanged 	TTableDataLink 	DBTABLES


Left (all)
Left 	TControl 	CONTROLS
Left 	TFindDialog 	DIALOGS


LeftCol (all)
LeftCol 	TCustomGrid 	GRIDS
LeftCol 	TDrawGrid 	GRIDS


Length (all)
Length 	TMediaPlayer 	MPLAYER


Level (all)
Level 	OutlineError 	OUTLINE
Level 	TOutlineNode 	OUTLINE


Lines (all)
Lines 	TCustomMemo 	STDCTRLS
Lines 	TCustomOutline 	OUTLINE
Lines 	TDdeClientItem 	DDEMAN
Lines 	TDdeServerItem 	DDEMAN
Lines 	TMemo 	STDCTRLS
Lines 	TOutline 	OUTLINE


LineTo (all)
LineTo 	TCanvas 	GRAPHICS


LinkActive (all)
LinkActive 	TCustomDBGrid 	DBGRIDS
LinkActive 	TDBLookupList 	DBLOOKUP
LinkActive 	TPopupGrid 	DBLOOKUP


LinkClipFmt (all)
LinkClipFmt 	TDdeMgr 	DDEMAN


List (all)
List 	OutlineError 	OUTLINE
List 	TList 	CLASSES
List 	TOutlineNode 	OUTLINE


ListClick (all)
ListClick 	TDBLookupList 	DBLOOKUP


ListWndProc (all)
ListWndProc 	TCustomComboBox 	STDCTRLS


LoadBitmaps (all)
LoadBitmaps 	TMediaPlayer 	MPLAYER


Loaded (all)
Loaded 	TComponent 	CLASSES
Loaded 	TCustomDBGrid 	DBGRIDS
Loaded 	TCustomOutline 	OUTLINE
Loaded 	TDatabase 	DB
Loaded 	TDataSet 	DB
Loaded 	TDBLookupCombo 	DBLOOKUP
Loaded 	TDBLookupList 	DBLOOKUP
Loaded 	TDdeClientConv 	DDEMAN
Loaded 	TMediaPlayer 	MPLAYER


LoadFromBitmap (all)
LoadFromBitmap 	TBlobField 	DBTABLES


LoadFromBlob (all)
LoadFromBlob 	TBlobField 	DBTABLES


LoadFromClipboardFormat (all)
LoadFromClipboardFormat 	TBitmap 	GRAPHICS
LoadFromClipboardFormat 	TGraphic 	GRAPHICS
LoadFromClipboardFormat 	TMetafile 	GRAPHICS
LoadFromClipboardFormat 	TPicture 	GRAPHICS


LoadFromFile (all)
LoadFromFile 	TBlobField 	DBTABLES
LoadFromFile 	TCustomOutline 	OUTLINE
LoadFromFile 	TGraphic 	GRAPHICS
LoadFromFile 	TMemoryStream 	CLASSES
LoadFromFile 	TOleContainer 	TOCTRL
LoadFromFile 	TPicture 	GRAPHICS
LoadFromFile 	TStrings 	CLASSES


LoadFromStream (all)
LoadFromStream 	TBitmap 	GRAPHICS
LoadFromStream 	TBlobField 	DBTABLES
LoadFromStream 	TCustomOutline 	OUTLINE
LoadFromStream 	TGraphic 	GRAPHICS
LoadFromStream 	TIcon 	GRAPHICS
LoadFromStream 	TMemoryStream 	CLASSES
LoadFromStream 	TMetafile 	GRAPHICS
LoadFromStream 	TOleContainer 	TOCTRL
LoadFromStream 	TStrings 	CLASSES


LoadFromStrings (all)
LoadFromStrings 	TBlobField 	DBTABLES


LoadMemo (all)
LoadMemo 	TDBMemo 	DBCTRLS


LoadPicture (all)
LoadPicture 	TDBImage 	DBCTRLS


LoadTextValues (all)
LoadTextValues 	TBooleanField 	DBTABLES


Local (all)
Local 	TQuery 	DBTABLES


Locale (all)
Locale 	TDatabase 	DB
Locale 	TDataSet 	DB
Locale 	TSession 	DB


Locked (all)
Locked 	TCustomPanel 	EXTCTRLS
Locked 	TPanel 	EXTCTRLS


LockTable (all)
LockTable 	TTable 	DBTABLES


Login (all)
Login 	TDatabase 	DB


LoginPrompt (all)
LoginPrompt 	TDatabase 	DB


LookupDisplay (all)
LookupDisplay 	TDBLookupCombo 	DBLOOKUP
LookupDisplay 	TDBLookupList 	DBLOOKUP


LookupField (all)
LookupField 	TDBLookupCombo 	DBLOOKUP
LookupField 	TDBLookupList 	DBLOOKUP


LookupSource (all)
LookupSource 	TDBLookupCombo 	DBLOOKUP
LookupSource 	TDBLookupList 	DBLOOKUP


MainForm (all)
MainForm 	TApplication 	FORMS


MainWndProc (all)
MainWndProc 	TDlgControl 	DIALOGS
MainWndProc 	TWinControl 	CONTROLS


Mappings (all)
Mappings 	TBatchMove 	DBTABLES


Margin (all)
Margin 	TBitBtn 	BUTTONS
Margin 	TControlScrollBar 	FORMS
Margin 	TSpeedButton 	BUTTONS


Mask (all)
Mask 	TFileListBox 	FILECTRL
Mask 	TFilterComboBox 	FILECTRL


MaskState (all)
MaskState 	TCustomMaskEdit 	MASK


MasterChanged (all)
MasterChanged 	TTable 	DBTABLES


MasterFields (all)
MasterFields 	TTable 	DBTABLES


MasterSource (all)
MasterSource 	TTable 	DBTABLES


Max (all)
Max 	TScrollBar 	STDCTRLS


MaxFontSize (all)
MaxFontSize 	TFontDialog 	DIALOGS


MaxLength (all)
MaxLength 	TComboBox 	STDCTRLS
MaxLength 	TCustomComboBox 	STDCTRLS
MaxLength 	TCustomEdit 	STDCTRLS
MaxLength 	TCustomMaskEdit 	MASK
MaxLength 	TDBEdit 	DBCTRLS
MaxLength 	TDBLookupCombo 	DBLOOKUP
MaxLength 	TDBMemo 	DBCTRLS
MaxLength 	TEdit 	STDCTRLS
MaxLength 	TMaskEdit 	MASK
MaxLength 	TMemo 	STDCTRLS


MaxPage (all)
MaxPage 	TPrintDialog 	DIALOGS


MaxRecords (all)
MaxRecords 	TReport 	REPORT


MaxValue (all)
MaxValue 	TFloatField 	DBTABLES
MaxValue 	TIntegerField 	DBTABLES


MDIChildCount (all)
MDIChildCount 	TForm 	FORMS


MDIChildren (all)
MDIChildren 	TForm 	FORMS


MeasureItem (all)
MeasureItem 	TCustomComboBox 	STDCTRLS
MeasureItem 	TCustomListBox 	STDCTRLS


MeasureTab (all)
MeasureTab 	TTabSet 	TABS


Memory (all)
Memory 	TMemoryStream 	CLASSES


MemoryImageNeeded (all)
MemoryImageNeeded 	TBitmap 	GRAPHICS


MemoryStream (all)
MemoryStream 	TIMemoryStream 	ISTREAMS


Menu (all)
Menu 	TForm 	FORMS


MenuChanged (all)
MenuChanged 	TMainMenu 	MENUS
MenuChanged 	TMenu 	MENUS
MenuChanged 	TMenuItem 	MENUS


Merge (all)
Merge 	TMainMenu 	MENUS


MergeMenu (all)
MergeMenu 	TForm 	FORMS


MergeWith (all)
MergeWith 	TMenuItem 	MENUS


Message (all)
Message 	Exception 	SYSUTILS
Message 	TCommonDialog 	DIALOGS
Message 	TDBError 	DB
Message 	TFindDialog 	DIALOGS
Message 	TReplaceDialog 	DIALOGS


MessageBox (all)
MessageBox 	TApplication 	FORMS


MessagePtr (all)
MessagePtr 	Exception 	SYSUTILS


Metafile (all)
Metafile 	TPicture 	GRAPHICS


MethodAddress (all)
MethodAddress 	TObject 	SYSTEM


MethodExists (all)
MethodExists 	TFormDesigner 	DSGNINTF


MethodName (all)
MethodName 	TObject 	SYSTEM


Min (all)
Min 	TScrollBar 	STDCTRLS


MinFontSize (all)
MinFontSize 	TFontDialog 	DIALOGS


Minimize (all)
Minimize 	TApplication 	FORMS


MinPage (all)
MinPage 	TPrintDialog 	DIALOGS


MinValue (all)
MinValue 	TFloatField 	DBTABLES
MinValue 	TIntegerField 	DBTABLES


MMNotify (all)
MMNotify 	TMediaPlayer 	MPLAYER


ModalDialogBox (all)
ModalDialogBox 	TIToolServices 	TOOLINTF


ModalResult (all)
ModalResult 	TBitBtn 	BUTTONS
ModalResult 	TButton 	STDCTRLS
ModalResult 	TForm 	FORMS


Mode (all)
Mode 	TBatchMove 	DBTABLES
Mode 	TMediaPlayer 	MPLAYER
Mode 	TPen 	GRAPHICS


Modified (all)
Modified 	TCustomEdit 	STDCTRLS
Modified 	TDataSet 	DB
Modified 	TDesigner 	FORMS
Modified 	TFieldDataLink 	DBTABLES
Modified 	TGraphic 	GRAPHICS
Modified 	TGridDataLink 	DBGRIDS
Modified 	TOleContainer 	TOCTRL
Modified 	TPropertyEditor 	DSGNINTF


ModifyScrollBar (all)
ModifyScrollBar 	TCustomGrid 	GRIDS


Monochrome (all)
Monochrome 	TBitmap 	GRAPHICS


MouseCapture (all)
MouseCapture 	TControl 	CONTROLS


MouseCoord (all)
MouseCoord 	TCustomGrid 	GRIDS


MouseDown (all)
MouseDown 	TComboButton 	DBLOOKUP
MouseDown 	TControl 	CONTROLS
MouseDown 	TCustomDBGrid 	DBGRIDS
MouseDown 	TCustomGrid 	GRIDS
MouseDown 	TCustomOutline 	OUTLINE
MouseDown 	TDBLookupList 	DBLOOKUP
MouseDown 	THeader 	EXTCTRLS
MouseDown 	TNavButton 	DBCTRLS
MouseDown 	TPopupGrid 	DBLOOKUP
MouseDown 	TSpeedButton 	BUTTONS


MouseMove (all)
MouseMove 	TComboButton 	DBLOOKUP
MouseMove 	TControl 	CONTROLS
MouseMove 	TCustomGrid 	GRIDS
MouseMove 	TDBLookupCombo 	DBLOOKUP
MouseMove 	TDBLookupList 	DBLOOKUP
MouseMove 	THeader 	EXTCTRLS
MouseMove 	TSpeedButton 	BUTTONS


MouseToCell (all)
MouseToCell 	TDrawGrid 	GRIDS


MouseUp (all)
MouseUp 	TControl 	CONTROLS
MouseUp 	TCustomGrid 	GRIDS
MouseUp 	TDBLookupList 	DBLOOKUP
MouseUp 	THeader 	EXTCTRLS
MouseUp 	TNavButton 	DBCTRLS
MouseUp 	TSpeedButton 	BUTTONS


Move (all)
Move 	TCustomOutline 	OUTLINE
Move 	TInplaceEdit 	GRIDS
Move 	TList 	CLASSES
Move 	TStrings 	CLASSES


MoveAnchor (all)
MoveAnchor 	TCustomGrid 	GRIDS


MoveBuffer (all)
MoveBuffer 	TDataSet 	DB


MoveBy (all)
MoveBy 	TDataSet 	DB


MoveCol (all)
MoveCol 	TCustomDBGrid 	DBGRIDS


MoveColRow (all)
MoveColRow 	TCustomGrid 	GRIDS


MoveCurrent (all)
MoveCurrent 	TCustomGrid 	GRIDS


MovedCount (all)
MovedCount 	TBatchMove 	DBTABLES


MoveNode (all)
MoveNode 	TCustomOutline 	OUTLINE


MoveTo (all)
MoveTo 	OutlineError 	OUTLINE
MoveTo 	TCanvas 	GRAPHICS
MoveTo 	TOutlineNode 	OUTLINE


MoveTopLeft (all)
MoveTopLeft 	TCustomGrid 	GRIDS


MultiSelect (all)
MultiSelect 	TCustomListBox 	STDCTRLS
MultiSelect 	TFileListBox 	FILECTRL
MultiSelect 	TListBox 	STDCTRLS


Name (all)
Name 	TComponent 	CLASSES
Name 	TFieldDef 	DB
Name 	TFont 	GRAPHICS
Name 	TIndexDef 	DBTABLES
Name 	TParam 	DBTABLES


NativeError (all)
NativeError 	TDBError 	DB


NavStyle (all)
NavStyle 	TNavButton 	DBCTRLS


NeedsScrollBarVisible (all)
NeedsScrollBarVisible 	TControlScrollBar 	FORMS


NetFileDir (all)
NetFileDir 	TSession 	DB


NewImage (all)
NewImage 	TBitmap 	GRAPHICS
NewImage 	TIcon 	GRAPHICS
NewImage 	TMetafile 	GRAPHICS


NewInstance (all)
NewInstance 	TObject 	SYSTEM


NewLayout (all)
NewLayout 	TDBLookupList 	DBLOOKUP


NewPage (all)
NewPage 	TPrinter 	PRINTERS


Next (all)
Next 	TDataSet 	DB
Next 	TForm 	FORMS
Next 	TMediaPlayer 	MPLAYER


NextToken (all)
NextToken 	TParser 	CLASSES


NextValue (all)
NextValue 	TReader 	CLASSES


NonEditMouseDown (all)
NonEditMouseDown 	TDBLookupCombo 	DBLOOKUP


NormalColor (all)
NormalColor 	TForm 	FORMS


NormalizeTopMosts (all)
NormalizeTopMosts 	TApplication 	FORMS


Notification (all)
Notification 	TBatchMove 	DBTABLES
Notification 	TComponent 	CLASSES
Notification 	TControl 	CONTROLS
Notification 	TCustomDBGrid 	DBGRIDS
Notification 	TCustomLabel 	STDCTRLS
Notification 	TDBCheckBox 	DBCTRLS
Notification 	TDBComboBox 	DBCTRLS
Notification 	TDBEdit 	DBCTRLS
Notification 	TDBImage 	DBCTRLS
Notification 	TDBListBox 	DBCTRLS
Notification 	TDBLookupCombo 	DBLOOKUP
Notification 	TDBLookupList 	DBLOOKUP
Notification 	TDBMemo 	DBCTRLS
Notification 	TDBRadioGroup 	DBCTRLS
Notification 	TDBText 	DBCTRLS
Notification 	TDdeClientConv 	DDEMAN
Notification 	TDdeClientItem 	DDEMAN
Notification 	TDdeServerItem 	DDEMAN
Notification 	TDesigner 	FORMS
Notification 	TDirectoryListBox 	FILECTRL
Notification 	TDriveComboBox 	FILECTRL
Notification 	TFileListBox 	FILECTRL
Notification 	TFilterComboBox 	FILECTRL
Notification 	TForm 	FORMS
Notification 	TMediaPlayer 	MPLAYER


Notify (all)
Notify 	TMediaPlayer 	MPLAYER


NotifyControls (all)
NotifyControls 	TWinControl 	CONTROLS


NotifyDataLinks (all)
NotifyDataLinks 	TDataSource 	DB


NotifyForms (all)
NotifyForms 	TApplication 	FORMS


NotifyValue (all)
NotifyValue 	TMediaPlayer 	MPLAYER


NullValueClick (all)
NullValueClick 	TProcParams 	PROCDLG
NullValueClick 	TQueryParams 	QBINDDLG


NumGlyphs (all)
NumGlyphs 	TBitBtn 	BUTTONS
NumGlyphs 	TSpeedButton 	BUTTONS


ObjClass (all)
ObjClass 	TOleContainer 	TOCTRL


ObjDoc (all)
ObjDoc 	TOleContainer 	TOCTRL


ObjectMenuAction (all)
ObjectMenuAction 	TOleContainer 	TOCTRL


ObjectMenuItem (all)
ObjectMenuItem 	TForm 	FORMS


Objects (all)
Objects 	TStringGrid 	GRIDS
Objects 	TStrings 	CLASSES


ObjItem (all)
ObjItem 	TOleContainer 	TOCTRL


ObjMenuItemClick (all)
ObjMenuItemClick 	TOleContainer 	TOCTRL


OEMConvert (all)
OEMConvert 	TCustomEdit 	STDCTRLS
OEMConvert 	TEdit 	STDCTRLS
OEMConvert 	TMemo 	STDCTRLS


OkBtnClick (all)
OkBtnClick 	TProcParams 	PROCDLG
OkBtnClick 	TQueryParams 	QBINDDLG


OKButtonClick (all)
OKButtonClick 	TPasswordDialog 	DBPWDLG


OleObjAllocated (all)
OleObjAllocated 	TOleContainer 	TOCTRL


OnActivate (all)
OnActivate 	TApplication 	FORMS
OnActivate 	TForm 	FORMS
OnActivate 	TOleContainer 	TOCTRL
OnActivate 	TWinOleHelper 	FORMS


OnActiveChange (all)
OnActiveChange 	TFieldDataLink 	DBTABLES


OnActiveControlChange (all)
OnActiveControlChange 	TScreen 	FORMS


OnActiveFormChange (all)
OnActiveFormChange 	TScreen 	FORMS


OnAdvise (all)
OnAdvise 	TDdeClientItem 	DDEMAN


OnApply (all)
OnApply 	TFontDialog 	DIALOGS


OnAttach (all)
OnAttach 	TDdeClientConv 	DDEMAN


OnCalcFields (all)
OnCalcFields 	TDataSet 	DB


OnChange (all)
OnChange 	TCanvas 	GRAPHICS
OnChange 	TComboBox 	STDCTRLS
OnChange 	TCustomComboBox 	STDCTRLS
OnChange 	TCustomEdit 	STDCTRLS
OnChange 	TDBComboBox 	DBCTRLS
OnChange 	TDBEdit 	DBCTRLS
OnChange 	TDBLookupCombo 	DBLOOKUP
OnChange 	TDBMemo 	DBCTRLS
OnChange 	TDBRadioGroup 	DBCTRLS
OnChange 	TDdeClientItem 	DDEMAN
OnChange 	TDdeServerItem 	DDEMAN
OnChange 	TDirectoryListBox 	FILECTRL
OnChange 	TDriveComboBox 	FILECTRL
OnChange 	TEdit 	STDCTRLS
OnChange 	TField 	DB
OnChange 	TFileListBox 	FILECTRL
OnChange 	TFilterComboBox 	FILECTRL
OnChange 	TGraphic 	GRAPHICS
OnChange 	TGraphicsObject 	GRAPHICS
OnChange 	TMaskEdit 	MASK
OnChange 	TMemo 	STDCTRLS
OnChange 	TPicture 	GRAPHICS
OnChange 	TScrollBar 	STDCTRLS
OnChange 	TStringList 	CLASSES
OnChange 	TTabSet 	TABS


OnChanging (all)
OnChanging 	TCanvas 	GRAPHICS
OnChanging 	TStringList 	CLASSES


OnClick (all)
OnClick 	TButton 	STDCTRLS
OnClick 	TCheckBox 	STDCTRLS
OnClick 	TComboBox 	STDCTRLS
OnClick 	TControl 	CONTROLS
OnClick 	TDBCheckBox 	DBCTRLS
OnClick 	TDBComboBox 	DBCTRLS
OnClick 	TDBEdit 	DBCTRLS
OnClick 	TDBImage 	DBCTRLS
OnClick 	TDBListBox 	DBCTRLS
OnClick 	TDBLookupCombo 	DBLOOKUP
OnClick 	TDBLookupList 	DBLOOKUP
OnClick 	TDBMemo 	DBCTRLS
OnClick 	TDBRadioGroup 	DBCTRLS
OnClick 	TDBText 	DBCTRLS
OnClick 	TDirectoryListBox 	FILECTRL
OnClick 	TDrawGrid 	GRIDS
OnClick 	TDriveComboBox 	FILECTRL
OnClick 	TEdit 	STDCTRLS
OnClick 	TFileListBox 	FILECTRL
OnClick 	TFilterComboBox 	FILECTRL
OnClick 	TForm 	FORMS
OnClick 	TGroupBox 	STDCTRLS
OnClick 	TImage 	EXTCTRLS
OnClick 	TLabel 	STDCTRLS
OnClick 	TListBox 	STDCTRLS
OnClick 	TMaskEdit 	MASK
OnClick 	TMediaPlayer 	MPLAYER
OnClick 	TMemo 	STDCTRLS
OnClick 	TMenuItem 	MENUS
OnClick 	TNotebook 	EXTCTRLS
OnClick 	TOutline 	OUTLINE
OnClick 	TPaintBox 	EXTCTRLS
OnClick 	TPanel 	EXTCTRLS
OnClick 	TRadioButton 	STDCTRLS
OnClick 	TRadioGroup 	EXTCTRLS
OnClick 	TScrollBox 	FORMS
OnClick 	TSpeedButton 	BUTTONS
OnClick 	TTabSet 	TABS


OnClose (all)
OnClose 	TDdeClientConv 	DDEMAN
OnClose 	TDdeServerConv 	DDEMAN
OnClose 	TForm 	FORMS
OnClose 	TWinOleHelper 	FORMS


OnCloseQuery (all)
OnCloseQuery 	TForm 	FORMS


OnColEnter (all)
OnColEnter 	TCustomDBGrid 	DBGRIDS
OnColEnter 	TDBGrid 	DBGRIDS


OnColExit (all)
OnColExit 	TCustomDBGrid 	DBGRIDS
OnColExit 	TDBGrid 	DBGRIDS


OnCollapse (all)
OnCollapse 	TCustomOutline 	OUTLINE
OnCollapse 	TOutline 	OUTLINE


OnColumnMoved (all)
OnColumnMoved 	TDrawGrid 	GRIDS


OnCreate (all)
OnCreate 	TForm 	FORMS


OnDataChange (all)
OnDataChange 	TDataSource 	DB
OnDataChange 	TFieldDataLink 	DBTABLES


OnDblClick (all)
OnDblClick 	TComboBox 	STDCTRLS
OnDblClick 	TControl 	CONTROLS
OnDblClick 	TDBComboBox 	DBCTRLS
OnDblClick 	TDBEdit 	DBCTRLS
OnDblClick 	TDBGrid 	DBGRIDS
OnDblClick 	TDBImage 	DBCTRLS
OnDblClick 	TDBListBox 	DBCTRLS
OnDblClick 	TDBLookupCombo 	DBLOOKUP
OnDblClick 	TDBLookupList 	DBLOOKUP
OnDblClick 	TDBMemo 	DBCTRLS
OnDblClick 	TDBText 	DBCTRLS
OnDblClick 	TDirectoryListBox 	FILECTRL
OnDblClick 	TDrawGrid 	GRIDS
OnDblClick 	TDriveComboBox 	FILECTRL
OnDblClick 	TEdit 	STDCTRLS
OnDblClick 	TFileListBox 	FILECTRL
OnDblClick 	TFilterComboBox 	FILECTRL
OnDblClick 	TForm 	FORMS
OnDblClick 	TGroupBox 	STDCTRLS
OnDblClick 	TImage 	EXTCTRLS
OnDblClick 	TLabel 	STDCTRLS
OnDblClick 	TListBox 	STDCTRLS
OnDblClick 	TMaskEdit 	MASK
OnDblClick 	TMemo 	STDCTRLS
OnDblClick 	TNotebook 	EXTCTRLS
OnDblClick 	TOleContainer 	TOCTRL
OnDblClick 	TOutline 	OUTLINE
OnDblClick 	TPaintBox 	EXTCTRLS
OnDblClick 	TPanel 	EXTCTRLS
OnDblClick 	TRadioButton 	STDCTRLS
OnDblClick 	TScrollBox 	FORMS
OnDblClick 	TSpeedButton 	BUTTONS


OnDeactivate (all)
OnDeactivate 	TApplication 	FORMS
OnDeactivate 	TForm 	FORMS


OnDestroy (all)
OnDestroy 	TForm 	FORMS


OnDetach (all)
OnDetach 	TDdeClientConv 	DDEMAN


OnDragDrop (all)
OnDragDrop 	TButton 	STDCTRLS
OnDragDrop 	TCheckBox 	STDCTRLS
OnDragDrop 	TComboBox 	STDCTRLS
OnDragDrop 	TControl 	CONTROLS
OnDragDrop 	TDBCheckBox 	DBCTRLS
OnDragDrop 	TDBComboBox 	DBCTRLS
OnDragDrop 	TDBEdit 	DBCTRLS
OnDragDrop 	TDBGrid 	DBGRIDS
OnDragDrop 	TDBImage 	DBCTRLS
OnDragDrop 	TDBListBox 	DBCTRLS
OnDragDrop 	TDBLookupCombo 	DBLOOKUP
OnDragDrop 	TDBLookupList 	DBLOOKUP
OnDragDrop 	TDBMemo 	DBCTRLS
OnDragDrop 	TDBRadioGroup 	DBCTRLS
OnDragDrop 	TDBText 	DBCTRLS
OnDragDrop 	TDirectoryListBox 	FILECTRL
OnDragDrop 	TDrawGrid 	GRIDS
OnDragDrop 	TDriveComboBox 	FILECTRL
OnDragDrop 	TEdit 	STDCTRLS
OnDragDrop 	TFileListBox 	FILECTRL
OnDragDrop 	TFilterComboBox 	FILECTRL
OnDragDrop 	TForm 	FORMS
OnDragDrop 	TGroupBox 	STDCTRLS
OnDragDrop 	TImage 	EXTCTRLS
OnDragDrop 	TLabel 	STDCTRLS
OnDragDrop 	TListBox 	STDCTRLS
OnDragDrop 	TMaskEdit 	MASK
OnDragDrop 	TMemo 	STDCTRLS
OnDragDrop 	TNotebook 	EXTCTRLS
OnDragDrop 	TOleContainer 	TOCTRL
OnDragDrop 	TOutline 	OUTLINE
OnDragDrop 	TPaintBox 	EXTCTRLS
OnDragDrop 	TPanel 	EXTCTRLS
OnDragDrop 	TRadioButton 	STDCTRLS
OnDragDrop 	TRadioGroup 	EXTCTRLS
OnDragDrop 	TScrollBar 	STDCTRLS
OnDragDrop 	TScrollBox 	FORMS
OnDragDrop 	TShape 	EXTCTRLS
OnDragDrop 	TTabSet 	TABS


OnDragOver (all)
OnDragOver 	TButton 	STDCTRLS
OnDragOver 	TCheckBox 	STDCTRLS
OnDragOver 	TComboBox 	STDCTRLS
OnDragOver 	TControl 	CONTROLS
OnDragOver 	TDBCheckBox 	DBCTRLS
OnDragOver 	TDBComboBox 	DBCTRLS
OnDragOver 	TDBEdit 	DBCTRLS
OnDragOver 	TDBGrid 	DBGRIDS
OnDragOver 	TDBImage 	DBCTRLS
OnDragOver 	TDBListBox 	DBCTRLS
OnDragOver 	TDBLookupCombo 	DBLOOKUP
OnDragOver 	TDBLookupList 	DBLOOKUP
OnDragOver 	TDBMemo 	DBCTRLS
OnDragOver 	TDBRadioGroup 	DBCTRLS
OnDragOver 	TDBText 	DBCTRLS
OnDragOver 	TDirectoryListBox 	FILECTRL
OnDragOver 	TDrawGrid 	GRIDS
OnDragOver 	TDriveComboBox 	FILECTRL
OnDragOver 	TEdit 	STDCTRLS
OnDragOver 	TFileListBox 	FILECTRL
OnDragOver 	TFilterComboBox 	FILECTRL
OnDragOver 	TForm 	FORMS
OnDragOver 	TGroupBox 	STDCTRLS
OnDragOver 	TImage 	EXTCTRLS
OnDragOver 	TLabel 	STDCTRLS
OnDragOver 	TListBox 	STDCTRLS
OnDragOver 	TMaskEdit 	MASK
OnDragOver 	TMemo 	STDCTRLS
OnDragOver 	TNotebook 	EXTCTRLS
OnDragOver 	TOleContainer 	TOCTRL
OnDragOver 	TOutline 	OUTLINE
OnDragOver 	TPaintBox 	EXTCTRLS
OnDragOver 	TPanel 	EXTCTRLS
OnDragOver 	TRadioButton 	STDCTRLS
OnDragOver 	TRadioGroup 	EXTCTRLS
OnDragOver 	TScrollBar 	STDCTRLS
OnDragOver 	TScrollBox 	FORMS
OnDragOver 	TShape 	EXTCTRLS
OnDragOver 	TTabSet 	TABS


OnDrawCell (all)
OnDrawCell 	TDrawGrid 	GRIDS


OnDrawDataCell (all)
OnDrawDataCell 	TCustomDBGrid 	DBGRIDS
OnDrawDataCell 	TDBGrid 	DBGRIDS


OnDrawItem (all)
OnDrawItem 	TComboBox 	STDCTRLS
OnDrawItem 	TCustomComboBox 	STDCTRLS
OnDrawItem 	TCustomListBox 	STDCTRLS
OnDrawItem 	TCustomOutline 	OUTLINE
OnDrawItem 	TDBComboBox 	DBCTRLS
OnDrawItem 	TDBListBox 	DBCTRLS
OnDrawItem 	TListBox 	STDCTRLS
OnDrawItem 	TOutline 	OUTLINE


OnDrawTab (all)
OnDrawTab 	TTabSet 	TABS


OnDropDown (all)
OnDropDown 	TComboBox 	STDCTRLS
OnDropDown 	TCustomComboBox 	STDCTRLS
OnDropDown 	TDBComboBox 	DBCTRLS
OnDropDown 	TDBLookupCombo 	DBLOOKUP
OnDropDown 	TDriveComboBox 	FILECTRL
OnDropDown 	TFilterComboBox 	FILECTRL


OnEditingChange (all)
OnEditingChange 	TFieldDataLink 	DBTABLES


OnEndDrag (all)
OnEndDrag 	TButton 	STDCTRLS
OnEndDrag 	TCheckBox 	STDCTRLS
OnEndDrag 	TComboBox 	STDCTRLS
OnEndDrag 	TControl 	CONTROLS
OnEndDrag 	TDBCheckBox 	DBCTRLS
OnEndDrag 	TDBComboBox 	DBCTRLS
OnEndDrag 	TDBEdit 	DBCTRLS
OnEndDrag 	TDBGrid 	DBGRIDS
OnEndDrag 	TDBImage 	DBCTRLS
OnEndDrag 	TDBListBox 	DBCTRLS
OnEndDrag 	TDBLookupCombo 	DBLOOKUP
OnEndDrag 	TDBLookupList 	DBLOOKUP
OnEndDrag 	TDBMemo 	DBCTRLS
OnEndDrag 	TDBRadioGroup 	DBCTRLS
OnEndDrag 	TDBText 	DBCTRLS
OnEndDrag 	TDirectoryListBox 	FILECTRL
OnEndDrag 	TDrawGrid 	GRIDS
OnEndDrag 	TDriveComboBox 	FILECTRL
OnEndDrag 	TEdit 	STDCTRLS
OnEndDrag 	TFileListBox 	FILECTRL
OnEndDrag 	TFilterComboBox 	FILECTRL
OnEndDrag 	TGroupBox 	STDCTRLS
OnEndDrag 	TImage 	EXTCTRLS
OnEndDrag 	TLabel 	STDCTRLS
OnEndDrag 	TListBox 	STDCTRLS
OnEndDrag 	TMaskEdit 	MASK
OnEndDrag 	TMemo 	STDCTRLS
OnEndDrag 	TNotebook 	EXTCTRLS
OnEndDrag 	TOleContainer 	TOCTRL
OnEndDrag 	TOutline 	OUTLINE
OnEndDrag 	TPanel 	EXTCTRLS
OnEndDrag 	TRadioButton 	STDCTRLS
OnEndDrag 	TRadioGroup 	EXTCTRLS
OnEndDrag 	TScrollBar 	STDCTRLS
OnEndDrag 	TScrollBox 	FORMS
OnEndDrag 	TShape 	EXTCTRLS
OnEndDrag 	TTabSet 	TABS


OnEnter (all)
OnEnter 	TBitBtn 	BUTTONS
OnEnter 	TButton 	STDCTRLS
OnEnter 	TCheckBox 	STDCTRLS
OnEnter 	TComboBox 	STDCTRLS
OnEnter 	TDBCheckBox 	DBCTRLS
OnEnter 	TDBComboBox 	DBCTRLS
OnEnter 	TDBEdit 	DBCTRLS
OnEnter 	TDBGrid 	DBGRIDS
OnEnter 	TDBImage 	DBCTRLS
OnEnter 	TDBListBox 	DBCTRLS
OnEnter 	TDBLookupCombo 	DBLOOKUP
OnEnter 	TDBLookupList 	DBLOOKUP
OnEnter 	TDBMemo 	DBCTRLS
OnEnter 	TDBRadioGroup 	DBCTRLS
OnEnter 	TDirectoryListBox 	FILECTRL
OnEnter 	TDrawGrid 	GRIDS
OnEnter 	TDriveComboBox 	FILECTRL
OnEnter 	TEdit 	STDCTRLS
OnEnter 	TFileListBox 	FILECTRL
OnEnter 	TFilterComboBox 	FILECTRL
OnEnter 	TGroupBox 	STDCTRLS
OnEnter 	TListBox 	STDCTRLS
OnEnter 	TMaskEdit 	MASK
OnEnter 	TMediaPlayer 	MPLAYER
OnEnter 	TMemo 	STDCTRLS
OnEnter 	TNotebook 	EXTCTRLS
OnEnter 	TOleContainer 	TOCTRL
OnEnter 	TOutline 	OUTLINE
OnEnter 	TPanel 	EXTCTRLS
OnEnter 	TRadioButton 	STDCTRLS
OnEnter 	TRadioGroup 	EXTCTRLS
OnEnter 	TScrollBar 	STDCTRLS
OnEnter 	TScrollBox 	FORMS
OnEnter 	TTabSet 	TABS
OnEnter 	TWinControl 	CONTROLS


OnError (all)
OnError 	TReader 	CLASSES


OnException (all)
OnException 	TApplication 	FORMS


OnExecuteMacro (all)
OnExecuteMacro 	TDdeServerConv 	DDEMAN


OnExit (all)
OnExit 	TBitBtn 	BUTTONS
OnExit 	TButton 	STDCTRLS
OnExit 	TCheckBox 	STDCTRLS
OnExit 	TComboBox 	STDCTRLS
OnExit 	TDBCheckBox 	DBCTRLS
OnExit 	TDBComboBox 	DBCTRLS
OnExit 	TDBEdit 	DBCTRLS
OnExit 	TDBGrid 	DBGRIDS
OnExit 	TDBImage 	DBCTRLS
OnExit 	TDBListBox 	DBCTRLS
OnExit 	TDBLookupCombo 	DBLOOKUP
OnExit 	TDBLookupList 	DBLOOKUP
OnExit 	TDBMemo 	DBCTRLS
OnExit 	TDBRadioGroup 	DBCTRLS
OnExit 	TDirectoryListBox 	FILECTRL
OnExit 	TDrawGrid 	GRIDS
OnExit 	TDriveComboBox 	FILECTRL
OnExit 	TEdit 	STDCTRLS
OnExit 	TFileListBox 	FILECTRL
OnExit 	TFilterComboBox 	FILECTRL
OnExit 	TGroupBox 	STDCTRLS
OnExit 	TListBox 	STDCTRLS
OnExit 	TMaskEdit 	MASK
OnExit 	TMediaPlayer 	MPLAYER
OnExit 	TMemo 	STDCTRLS
OnExit 	TNotebook 	EXTCTRLS
OnExit 	TOleContainer 	TOCTRL
OnExit 	TOutline 	OUTLINE
OnExit 	TPanel 	EXTCTRLS
OnExit 	TRadioButton 	STDCTRLS
OnExit 	TRadioGroup 	EXTCTRLS
OnExit 	TScrollBar 	STDCTRLS
OnExit 	TScrollBox 	FORMS
OnExit 	TTabSet 	TABS
OnExit 	TWinControl 	CONTROLS


OnExpand (all)
OnExpand 	TCustomOutline 	OUTLINE
OnExpand 	TOutline 	OUTLINE


OnFind (all)
OnFind 	TFindDialog 	DIALOGS


OnFindMethod (all)
OnFindMethod 	TReader 	CLASSES


OnFormMouseDown (all)
OnFormMouseDown 	TWinOleHelper 	FORMS


OnGetEditMask (all)
OnGetEditMask 	TDrawGrid 	GRIDS


OnGetEditText (all)
OnGetEditText 	TDrawGrid 	GRIDS


OnGetText (all)
OnGetText 	TField 	DB


OnHelp (all)
OnHelp 	TApplication 	FORMS


OnHide (all)
OnHide 	TForm 	FORMS


OnHint (all)
OnHint 	TApplication 	FORMS


OnIdle (all)
OnIdle 	TApplication 	FORMS


OnKeyDown (all)
OnKeyDown 	TButton 	STDCTRLS
OnKeyDown 	TCheckBox 	STDCTRLS
OnKeyDown 	TComboBox 	STDCTRLS
OnKeyDown 	TDBCheckBox 	DBCTRLS
OnKeyDown 	TDBComboBox 	DBCTRLS
OnKeyDown 	TDBEdit 	DBCTRLS
OnKeyDown 	TDBGrid 	DBGRIDS
OnKeyDown 	TDBImage 	DBCTRLS
OnKeyDown 	TDBListBox 	DBCTRLS
OnKeyDown 	TDBLookupCombo 	DBLOOKUP
OnKeyDown 	TDBLookupList 	DBLOOKUP
OnKeyDown 	TDBMemo 	DBCTRLS
OnKeyDown 	TDirectoryListBox 	FILECTRL
OnKeyDown 	TDrawGrid 	GRIDS
OnKeyDown 	TDriveComboBox 	FILECTRL
OnKeyDown 	TEdit 	STDCTRLS
OnKeyDown 	TFileListBox 	FILECTRL
OnKeyDown 	TFilterComboBox 	FILECTRL
OnKeyDown 	TForm 	FORMS
OnKeyDown 	TListBox 	STDCTRLS
OnKeyDown 	TMaskEdit 	MASK
OnKeyDown 	TMemo 	STDCTRLS
OnKeyDown 	TOleContainer 	TOCTRL
OnKeyDown 	TOutline 	OUTLINE
OnKeyDown 	TRadioButton 	STDCTRLS
OnKeyDown 	TScrollBar 	STDCTRLS
OnKeyDown 	TWinControl 	CONTROLS


OnKeyPress (all)
OnKeyPress 	TButton 	STDCTRLS
OnKeyPress 	TCheckBox 	STDCTRLS
OnKeyPress 	TComboBox 	STDCTRLS
OnKeyPress 	TDBCheckBox 	DBCTRLS
OnKeyPress 	TDBComboBox 	DBCTRLS
OnKeyPress 	TDBEdit 	DBCTRLS
OnKeyPress 	TDBGrid 	DBGRIDS
OnKeyPress 	TDBImage 	DBCTRLS
OnKeyPress 	TDBListBox 	DBCTRLS
OnKeyPress 	TDBLookupCombo 	DBLOOKUP
OnKeyPress 	TDBLookupList 	DBLOOKUP
OnKeyPress 	TDBMemo 	DBCTRLS
OnKeyPress 	TDirectoryListBox 	FILECTRL
OnKeyPress 	TDrawGrid 	GRIDS
OnKeyPress 	TDriveComboBox 	FILECTRL
OnKeyPress 	TEdit 	STDCTRLS
OnKeyPress 	TFileListBox 	FILECTRL
OnKeyPress 	TFilterComboBox 	FILECTRL
OnKeyPress 	TForm 	FORMS
OnKeyPress 	TListBox 	STDCTRLS
OnKeyPress 	TMaskEdit 	MASK
OnKeyPress 	TMemo 	STDCTRLS
OnKeyPress 	TOleContainer 	TOCTRL
OnKeyPress 	TOutline 	OUTLINE
OnKeyPress 	TRadioButton 	STDCTRLS
OnKeyPress 	TScrollBar 	STDCTRLS
OnKeyPress 	TWinControl 	CONTROLS


OnKeyUp (all)
OnKeyUp 	TButton 	STDCTRLS
OnKeyUp 	TCheckBox 	STDCTRLS
OnKeyUp 	TComboBox 	STDCTRLS
OnKeyUp 	TDBCheckBox 	DBCTRLS
OnKeyUp 	TDBComboBox 	DBCTRLS
OnKeyUp 	TDBEdit 	DBCTRLS
OnKeyUp 	TDBGrid 	DBGRIDS
OnKeyUp 	TDBImage 	DBCTRLS
OnKeyUp 	TDBListBox 	DBCTRLS
OnKeyUp 	TDBLookupCombo 	DBLOOKUP
OnKeyUp 	TDBLookupList 	DBLOOKUP
OnKeyUp 	TDBMemo 	DBCTRLS
OnKeyUp 	TDirectoryListBox 	FILECTRL
OnKeyUp 	TDrawGrid 	GRIDS
OnKeyUp 	TDriveComboBox 	FILECTRL
OnKeyUp 	TEdit 	STDCTRLS
OnKeyUp 	TFileListBox 	FILECTRL
OnKeyUp 	TFilterComboBox 	FILECTRL
OnKeyUp 	TForm 	FORMS
OnKeyUp 	TListBox 	STDCTRLS
OnKeyUp 	TMaskEdit 	MASK
OnKeyUp 	TMemo 	STDCTRLS
OnKeyUp 	TOleContainer 	TOCTRL
OnKeyUp 	TOutline 	OUTLINE
OnKeyUp 	TRadioButton 	STDCTRLS
OnKeyUp 	TScrollBar 	STDCTRLS
OnKeyUp 	TWinControl 	CONTROLS


OnLogin (all)
OnLogin 	TDatabase 	DB


OnMeasureItem (all)
OnMeasureItem 	TComboBox 	STDCTRLS
OnMeasureItem 	TCustomComboBox 	STDCTRLS
OnMeasureItem 	TCustomListBox 	STDCTRLS
OnMeasureItem 	TDBComboBox 	DBCTRLS
OnMeasureItem 	TDBListBox 	DBCTRLS
OnMeasureItem 	TListBox 	STDCTRLS


OnMeasureTab (all)
OnMeasureTab 	TTabSet 	TABS


OnMessage (all)
OnMessage 	TApplication 	FORMS


OnMinimize (all)
OnMinimize 	TApplication 	FORMS


OnMouseDown (all)
OnMouseDown 	TButton 	STDCTRLS
OnMouseDown 	TCheckBox 	STDCTRLS
OnMouseDown 	TControl 	CONTROLS
OnMouseDown 	TDBCheckBox 	DBCTRLS
OnMouseDown 	TDBEdit 	DBCTRLS
OnMouseDown 	TDBImage 	DBCTRLS
OnMouseDown 	TDBListBox 	DBCTRLS
OnMouseDown 	TDBLookupCombo 	DBLOOKUP
OnMouseDown 	TDBMemo 	DBCTRLS
OnMouseDown 	TDBText 	DBCTRLS
OnMouseDown 	TDirectoryListBox 	FILECTRL
OnMouseDown 	TDrawGrid 	GRIDS
OnMouseDown 	TEdit 	STDCTRLS
OnMouseDown 	TFileListBox 	FILECTRL
OnMouseDown 	TForm 	FORMS
OnMouseDown 	TGroupBox 	STDCTRLS
OnMouseDown 	TImage 	EXTCTRLS
OnMouseDown 	TLabel 	STDCTRLS
OnMouseDown 	TListBox 	STDCTRLS
OnMouseDown 	TMaskEdit 	MASK
OnMouseDown 	TMemo 	STDCTRLS
OnMouseDown 	TNotebook 	EXTCTRLS
OnMouseDown 	TOleContainer 	TOCTRL
OnMouseDown 	TOutline 	OUTLINE
OnMouseDown 	TPaintBox 	EXTCTRLS
OnMouseDown 	TPanel 	EXTCTRLS
OnMouseDown 	TRadioButton 	STDCTRLS
OnMouseDown 	TScrollBox 	FORMS
OnMouseDown 	TShape 	EXTCTRLS
OnMouseDown 	TSpeedButton 	BUTTONS
OnMouseDown 	TTabSet 	TABS


OnMouseMove (all)
OnMouseMove 	TButton 	STDCTRLS
OnMouseMove 	TCheckBox 	STDCTRLS
OnMouseMove 	TControl 	CONTROLS
OnMouseMove 	TDBCheckBox 	DBCTRLS
OnMouseMove 	TDBEdit 	DBCTRLS
OnMouseMove 	TDBImage 	DBCTRLS
OnMouseMove 	TDBListBox 	DBCTRLS
OnMouseMove 	TDBLookupCombo 	DBLOOKUP
OnMouseMove 	TDBMemo 	DBCTRLS
OnMouseMove 	TDBText 	DBCTRLS
OnMouseMove 	TDirectoryListBox 	FILECTRL
OnMouseMove 	TDrawGrid 	GRIDS
OnMouseMove 	TEdit 	STDCTRLS
OnMouseMove 	TFileListBox 	FILECTRL
OnMouseMove 	TForm 	FORMS
OnMouseMove 	TGroupBox 	STDCTRLS
OnMouseMove 	TImage 	EXTCTRLS
OnMouseMove 	TLabel 	STDCTRLS
OnMouseMove 	TListBox 	STDCTRLS
OnMouseMove 	TMaskEdit 	MASK
OnMouseMove 	TMemo 	STDCTRLS
OnMouseMove 	TNotebook 	EXTCTRLS
OnMouseMove 	TOleContainer 	TOCTRL
OnMouseMove 	TOutline 	OUTLINE
OnMouseMove 	TPaintBox 	EXTCTRLS
OnMouseMove 	TPanel 	EXTCTRLS
OnMouseMove 	TRadioButton 	STDCTRLS
OnMouseMove 	TScrollBox 	FORMS
OnMouseMove 	TShape 	EXTCTRLS
OnMouseMove 	TSpeedButton 	BUTTONS
OnMouseMove 	TTabSet 	TABS


OnMouseUp (all)
OnMouseUp 	TButton 	STDCTRLS
OnMouseUp 	TCheckBox 	STDCTRLS
OnMouseUp 	TControl 	CONTROLS
OnMouseUp 	TDBCheckBox 	DBCTRLS
OnMouseUp 	TDBEdit 	DBCTRLS
OnMouseUp 	TDBImage 	DBCTRLS
OnMouseUp 	TDBListBox 	DBCTRLS
OnMouseUp 	TDBLookupCombo 	DBLOOKUP
OnMouseUp 	TDBMemo 	DBCTRLS
OnMouseUp 	TDBText 	DBCTRLS
OnMouseUp 	TDirectoryListBox 	FILECTRL
OnMouseUp 	TDrawGrid 	GRIDS
OnMouseUp 	TEdit 	STDCTRLS
OnMouseUp 	TFileListBox 	FILECTRL
OnMouseUp 	TForm 	FORMS
OnMouseUp 	TGroupBox 	STDCTRLS
OnMouseUp 	TImage 	EXTCTRLS
OnMouseUp 	TLabel 	STDCTRLS
OnMouseUp 	TListBox 	STDCTRLS
OnMouseUp 	TMaskEdit 	MASK
OnMouseUp 	TMemo 	STDCTRLS
OnMouseUp 	TNotebook 	EXTCTRLS
OnMouseUp 	TOleContainer 	TOCTRL
OnMouseUp 	TOutline 	OUTLINE
OnMouseUp 	TPaintBox 	EXTCTRLS
OnMouseUp 	TPanel 	EXTCTRLS
OnMouseUp 	TRadioButton 	STDCTRLS
OnMouseUp 	TScrollBox 	FORMS
OnMouseUp 	TShape 	EXTCTRLS
OnMouseUp 	TSpeedButton 	BUTTONS
OnMouseUp 	TTabSet 	TABS


OnNewRecord (all)
OnNewRecord 	TDataSet 	DB


OnNotify (all)
OnNotify 	TMediaPlayer 	MPLAYER


OnOpen (all)
OnOpen 	TDdeClientConv 	DDEMAN
OnOpen 	TDdeServerConv 	DDEMAN


OnPageChanged (all)
OnPageChanged 	TNotebook 	EXTCTRLS


OnPaint (all)
OnPaint 	TForm 	FORMS
OnPaint 	TPaintBox 	EXTCTRLS


OnParentNotify (all)
OnParentNotify 	TWinOleHelper 	FORMS


OnPassword (all)
OnPassword 	TSession 	DB


OnPokeData (all)
OnPokeData 	TDdeServerItem 	DDEMAN


OnPopup (all)
OnPopup 	TPopupMenu 	MENUS


OnPostClick (all)
OnPostClick 	TMediaPlayer 	MPLAYER


OnReplace (all)
OnReplace 	TReplaceDialog 	DIALOGS


OnResize (all)
OnResize 	TCustomPanel 	EXTCTRLS
OnResize 	TForm 	FORMS
OnResize 	TPanel 	EXTCTRLS
OnResize 	TScrollBox 	FORMS
OnResize 	TWinOleHelper 	FORMS


OnRestore (all)
OnRestore 	TApplication 	FORMS


OnRowMoved (all)
OnRowMoved 	TDrawGrid 	GRIDS


OnScroll (all)
OnScroll 	TScrollBar 	STDCTRLS


OnSelectCell (all)
OnSelectCell 	TDrawGrid 	GRIDS


OnSetEditText (all)
OnSetEditText 	TDrawGrid 	GRIDS


OnSetFocus (all)
OnSetFocus 	TWinOleHelper 	FORMS


OnSetItem (all)
OnSetItem 	TDdeClientConv 	DDEMAN


OnSetName (all)
OnSetName 	TReader 	CLASSES
OnSetName 	TWinOleHelper 	FORMS


OnSetText (all)
OnSetText 	TField 	DB


OnShow (all)
OnShow 	TForm 	FORMS


OnShowHint (all)
OnShowHint 	TApplication 	FORMS


OnShowModal (all)
OnShowModal 	TWinOleHelper 	FORMS


OnSized (all)
OnSized 	THeader 	EXTCTRLS


OnSizing (all)
OnSizing 	THeader 	EXTCTRLS


OnStateChange (all)
OnStateChange 	TDataSource 	DB


OnStatusLineEvent (all)
OnStatusLineEvent 	TOleContainer 	TOCTRL


OnTimer (all)
OnTimer 	TTimer 	EXTCTRLS


OnTopLeftChanged (all)
OnTopLeftChanged 	TDrawGrid 	GRIDS


OnUpdateData (all)
OnUpdateData 	TDataSource 	DB
OnUpdateData 	TFieldDataLink 	DBTABLES


OnValidate (all)
OnValidate 	TField 	DB


Open (all)
Open 	TClipboard 	CLIPBRD
Open 	TDatabase 	DB
Open 	TDataSet 	DB
Open 	TDdeClientConv 	DDEMAN
Open 	TMediaPlayer 	MPLAYER


OpenCurrent (all)
OpenCurrent 	TDirectoryListBox 	FILECTRL


OpenCursor (all)
OpenCursor 	TDataSet 	DB
OpenCursor 	TDBDataSet 	DB


OpenDatabase (all)
OpenDatabase 	TSession 	DB


OpenFile (all)
OpenFile 	TIToolServices 	TOOLINTF


OpenLink (all)
OpenLink 	TDdeClientConv 	DDEMAN


OpenProject (all)
OpenProject 	TIToolServices 	TOOLINTF


OpenProjectInfo (all)
OpenProjectInfo 	TIToolServices 	TOOLINTF


Options (all)
Options 	TColorDialog 	DIALOGS
Options 	TCustomDBGrid 	DBGRIDS
Options 	TCustomGrid 	GRIDS
Options 	TCustomOutline 	OUTLINE
Options 	TDBGrid 	DBGRIDS
Options 	TDBLookupCombo 	DBLOOKUP
Options 	TDBLookupList 	DBLOOKUP
Options 	TDrawGrid 	GRIDS
Options 	TFindDialog 	DIALOGS
Options 	TFontDialog 	DIALOGS
Options 	TIndexDef 	DBTABLES
Options 	TOpenDialog 	DIALOGS
Options 	TOutline 	OUTLINE
Options 	TPrintDialog 	DIALOGS


Orientation (all)
Orientation 	TPrinter 	PRINTERS


Outline (all)
Outline 	OutlineError 	OUTLINE
Outline 	TOutlineNode 	OUTLINE


OutlineStyle (all)
OutlineStyle 	TCustomOutline 	OUTLINE
OutlineStyle 	TOutline 	OUTLINE


Overload (all)
Overload 	TStoredProc 	DBTABLES


Owner (all)
Owner 	TComponent 	CLASSES
Owner 	TReader 	CLASSES


OwnStream (all)
OwnStream 	TIMemoryStream 	ISTREAMS


Pack (all)
Pack 	TList 	CLASSES


PageHeight (all)
PageHeight 	TPrinter 	PRINTERS


PageIndex (all)
PageIndex 	TNotebook 	EXTCTRLS


PageNumber (all)
PageNumber 	TPrinter 	PRINTERS


Pages (all)
Pages 	TNotebook 	EXTCTRLS


PageWidth (all)
PageWidth 	TPrinter 	PRINTERS


Paint (all)
Paint 	TBevel 	EXTCTRLS
Paint 	TCustomControl 	CONTROLS
Paint 	TCustomGrid 	GRIDS
Paint 	TCustomGroupBox 	STDCTRLS
Paint 	TCustomLabel 	STDCTRLS
Paint 	TCustomPanel 	EXTCTRLS
Paint 	TDBImage 	DBCTRLS
Paint 	TDBLookupList 	DBLOOKUP
Paint 	TForm 	FORMS
Paint 	TGraphicControl 	CONTROLS
Paint 	THeader 	EXTCTRLS
Paint 	THintWindow 	CONTROLS
Paint 	TImage 	EXTCTRLS
Paint 	TMediaPlayer 	MPLAYER
Paint 	TNavButton 	DBCTRLS
Paint 	TOleContainer 	TOCTRL
Paint 	TPage 	EXTCTRLS
Paint 	TPaintBox 	EXTCTRLS
Paint 	TShape 	EXTCTRLS
Paint 	TSpeedButton 	BUTTONS
Paint 	TTabSet 	TABS


PaintControls (all)
PaintControls 	TWinControl 	CONTROLS


PaintGrid (all)
PaintGrid 	TDesigner 	FORMS


PaintHandler (all)
PaintHandler 	TWinControl 	CONTROLS


PaintWindow (all)
PaintWindow 	TCustomControl 	CONTROLS
PaintWindow 	TForm 	FORMS
PaintWindow 	TWinControl 	CONTROLS


Palette (all)
Palette 	TBitmap 	GRAPHICS


PaletteChanged (all)
PaletteChanged 	TControl 	CONTROLS
PaletteChanged 	TWinControl 	CONTROLS


ParamBindMode (all)
ParamBindMode 	TStoredProc 	DBTABLES


ParamByName (all)
ParamByName 	TParams 	DBTABLES
ParamByName 	TQuery 	DBTABLES
ParamByName 	TStoredProc 	DBTABLES


ParamCount (all)
ParamCount 	TQuery 	DBTABLES
ParamCount 	TStoredProc 	DBTABLES


ParamListChange (all)
ParamListChange 	TProcParams 	PROCDLG
ParamListChange 	TQueryParams 	QBINDDLG


Params (all)
Params 	TDatabase 	DB
Params 	TQuery 	DBTABLES
Params 	TStoredProc 	DBTABLES


ParamsChanging (all)
ParamsChanging 	TDatabase 	DB


ParamType (all)
ParamType 	TParam 	DBTABLES


ParamTypeListChange (all)
ParamTypeListChange 	TProcParams 	PROCDLG


ParamValueExit (all)
ParamValueExit 	TProcParams 	PROCDLG
ParamValueExit 	TQueryParams 	QBINDDLG


Parent (all)
Parent 	OutlineError 	OUTLINE
Parent 	TControl 	CONTROLS
Parent 	TMenuItem 	MENUS
Parent 	TOutlineNode 	OUTLINE
Parent 	TReader 	CLASSES


ParentColor (all)
ParentColor 	TCheckBox 	STDCTRLS
ParentColor 	TComboBox 	STDCTRLS
ParentColor 	TControl 	CONTROLS
ParentColor 	TCustomComboBox 	STDCTRLS
ParentColor 	TCustomDBGrid 	DBGRIDS
ParentColor 	TCustomEdit 	STDCTRLS
ParentColor 	TCustomGrid 	GRIDS
ParentColor 	TCustomListBox 	STDCTRLS
ParentColor 	TCustomPanel 	EXTCTRLS
ParentColor 	TDBCheckBox 	DBCTRLS
ParentColor 	TDBComboBox 	DBCTRLS
ParentColor 	TDBEdit 	DBCTRLS
ParentColor 	TDBGrid 	DBGRIDS
ParentColor 	TDBImage 	DBCTRLS
ParentColor 	TDBListBox 	DBCTRLS
ParentColor 	TDBLookupCombo 	DBLOOKUP
ParentColor 	TDBLookupList 	DBLOOKUP
ParentColor 	TDBMemo 	DBCTRLS
ParentColor 	TDBRadioGroup 	DBCTRLS
ParentColor 	TDBText 	DBCTRLS
ParentColor 	TDirectoryListBox 	FILECTRL
ParentColor 	TDrawGrid 	GRIDS
ParentColor 	TDriveComboBox 	FILECTRL
ParentColor 	TEdit 	STDCTRLS
ParentColor 	TFileListBox 	FILECTRL
ParentColor 	TFilterComboBox 	FILECTRL
ParentColor 	TGroupBox 	STDCTRLS
ParentColor 	TLabel 	STDCTRLS
ParentColor 	TListBox 	STDCTRLS
ParentColor 	TMaskEdit 	MASK
ParentColor 	TMemo 	STDCTRLS
ParentColor 	TNotebook 	EXTCTRLS
ParentColor 	TOutline 	OUTLINE
ParentColor 	TPaintBox 	EXTCTRLS
ParentColor 	TPanel 	EXTCTRLS
ParentColor 	TRadioButton 	STDCTRLS
ParentColor 	TRadioGroup 	EXTCTRLS
ParentColor 	TScrollBox 	FORMS


ParentCtl3D (all)
ParentCtl3D 	TCheckBox 	STDCTRLS
ParentCtl3D 	TComboBox 	STDCTRLS
ParentCtl3D 	TDBCheckBox 	DBCTRLS
ParentCtl3D 	TDBComboBox 	DBCTRLS
ParentCtl3D 	TDBEdit 	DBCTRLS
ParentCtl3D 	TDBGrid 	DBGRIDS
ParentCtl3D 	TDBImage 	DBCTRLS
ParentCtl3D 	TDBListBox 	DBCTRLS
ParentCtl3D 	TDBLookupCombo 	DBLOOKUP
ParentCtl3D 	TDBLookupList 	DBLOOKUP
ParentCtl3D 	TDBMemo 	DBCTRLS
ParentCtl3D 	TDBRadioGroup 	DBCTRLS
ParentCtl3D 	TDirectoryListBox 	FILECTRL
ParentCtl3D 	TDrawGrid 	GRIDS
ParentCtl3D 	TDriveComboBox 	FILECTRL
ParentCtl3D 	TEdit 	STDCTRLS
ParentCtl3D 	TFileListBox 	FILECTRL
ParentCtl3D 	TFilterComboBox 	FILECTRL
ParentCtl3D 	TGroupBox 	STDCTRLS
ParentCtl3D 	TListBox 	STDCTRLS
ParentCtl3D 	TMaskEdit 	MASK
ParentCtl3D 	TMemo 	STDCTRLS
ParentCtl3D 	TNotebook 	EXTCTRLS
ParentCtl3D 	TOleContainer 	TOCTRL
ParentCtl3D 	TOutline 	OUTLINE
ParentCtl3D 	TPanel 	EXTCTRLS
ParentCtl3D 	TRadioButton 	STDCTRLS
ParentCtl3D 	TRadioGroup 	EXTCTRLS
ParentCtl3D 	TScrollBar 	STDCTRLS
ParentCtl3D 	TScrollBox 	FORMS
ParentCtl3D 	TWinControl 	CONTROLS


ParentFont (all)
ParentFont 	TButton 	STDCTRLS
ParentFont 	TCheckBox 	STDCTRLS
ParentFont 	TComboBox 	STDCTRLS
ParentFont 	TControl 	CONTROLS
ParentFont 	TDBCheckBox 	DBCTRLS
ParentFont 	TDBComboBox 	DBCTRLS
ParentFont 	TDBEdit 	DBCTRLS
ParentFont 	TDBGrid 	DBGRIDS
ParentFont 	TDBImage 	DBCTRLS
ParentFont 	TDBListBox 	DBCTRLS
ParentFont 	TDBLookupCombo 	DBLOOKUP
ParentFont 	TDBLookupList 	DBLOOKUP
ParentFont 	TDBMemo 	DBCTRLS
ParentFont 	TDBRadioGroup 	DBCTRLS
ParentFont 	TDBText 	DBCTRLS
ParentFont 	TDirectoryListBox 	FILECTRL
ParentFont 	TDrawGrid 	GRIDS
ParentFont 	TDriveComboBox 	FILECTRL
ParentFont 	TEdit 	STDCTRLS
ParentFont 	TFileListBox 	FILECTRL
ParentFont 	TFilterComboBox 	FILECTRL
ParentFont 	TGroupBox 	STDCTRLS
ParentFont 	THeader 	EXTCTRLS
ParentFont 	TLabel 	STDCTRLS
ParentFont 	TListBox 	STDCTRLS
ParentFont 	TMaskEdit 	MASK
ParentFont 	TMemo 	STDCTRLS
ParentFont 	TNotebook 	EXTCTRLS
ParentFont 	TOutline 	OUTLINE
ParentFont 	TPaintBox 	EXTCTRLS
ParentFont 	TPanel 	EXTCTRLS
ParentFont 	TRadioButton 	STDCTRLS
ParentFont 	TRadioGroup 	EXTCTRLS
ParentFont 	TScrollBox 	FORMS
ParentFont 	TSpeedButton 	BUTTONS


ParentShowHint (all)
ParentShowHint 	TBevel 	EXTCTRLS
ParentShowHint 	TBitBtn 	BUTTONS
ParentShowHint 	TButton 	STDCTRLS
ParentShowHint 	TCheckBox 	STDCTRLS
ParentShowHint 	TComboBox 	STDCTRLS
ParentShowHint 	TControl 	CONTROLS
ParentShowHint 	TDBCheckBox 	DBCTRLS
ParentShowHint 	TDBComboBox 	DBCTRLS
ParentShowHint 	TDBEdit 	DBCTRLS
ParentShowHint 	TDBGrid 	DBGRIDS
ParentShowHint 	TDBImage 	DBCTRLS
ParentShowHint 	TDBListBox 	DBCTRLS
ParentShowHint 	TDBLookupCombo 	DBLOOKUP
ParentShowHint 	TDBLookupList 	DBLOOKUP
ParentShowHint 	TDBMemo 	DBCTRLS
ParentShowHint 	TDBRadioGroup 	DBCTRLS
ParentShowHint 	TDBText 	DBCTRLS
ParentShowHint 	TDirectoryListBox 	FILECTRL
ParentShowHint 	TDrawGrid 	GRIDS
ParentShowHint 	TDriveComboBox 	FILECTRL
ParentShowHint 	TEdit 	STDCTRLS
ParentShowHint 	TFileListBox 	FILECTRL
ParentShowHint 	TFilterComboBox 	FILECTRL
ParentShowHint 	TGroupBox 	STDCTRLS
ParentShowHint 	THeader 	EXTCTRLS
ParentShowHint 	TImage 	EXTCTRLS
ParentShowHint 	TLabel 	STDCTRLS
ParentShowHint 	TListBox 	STDCTRLS
ParentShowHint 	TMaskEdit 	MASK
ParentShowHint 	TMediaPlayer 	MPLAYER
ParentShowHint 	TMemo 	STDCTRLS
ParentShowHint 	TNotebook 	EXTCTRLS
ParentShowHint 	TOleContainer 	TOCTRL
ParentShowHint 	TOutline 	OUTLINE
ParentShowHint 	TPaintBox 	EXTCTRLS
ParentShowHint 	TPanel 	EXTCTRLS
ParentShowHint 	TRadioButton 	STDCTRLS
ParentShowHint 	TRadioGroup 	EXTCTRLS
ParentShowHint 	TScrollBar 	STDCTRLS
ParentShowHint 	TScrollBox 	FORMS
ParentShowHint 	TShape 	EXTCTRLS
ParentShowHint 	TSpeedButton 	BUTTONS
ParentShowHint 	TTabSet 	TABS


Part (all)
Part 	TOleContainer 	TOCTRL


PartRect (all)
PartRect 	TOleContainer 	TOCTRL


PasswordChar (all)
PasswordChar 	TCustomEdit 	STDCTRLS
PasswordChar 	TDBEdit 	DBCTRLS
PasswordChar 	TEdit 	STDCTRLS
PasswordChar 	TMaskEdit 	MASK


PasteFromClipboard (all)
PasteFromClipboard 	TCustomEdit 	STDCTRLS
PasteFromClipboard 	TDBImage 	DBCTRLS


PasteLink (all)
PasteLink 	TDdeClientConv 	DDEMAN


Pause (all)
Pause 	TMediaPlayer 	MPLAYER


PauseOnly (all)
PauseOnly 	TMediaPlayer 	MPLAYER


Pen (all)
Pen 	TCanvas 	GRAPHICS
Pen 	TShape 	EXTCTRLS


PenChanged (all)
PenChanged 	TCanvas 	GRAPHICS


PenPos (all)
PenPos 	TCanvas 	GRAPHICS


Perform (all)
Perform 	TControl 	CONTROLS


Picture (all)
Picture 	TDBImage 	DBCTRLS
Picture 	TImage 	EXTCTRLS


PictureChanged (all)
PictureChanged 	TDBImage 	DBCTRLS
PictureChanged 	TImage 	EXTCTRLS


PictureClosed (all)
PictureClosed 	TCustomOutline 	OUTLINE
PictureClosed 	TOutline 	OUTLINE


PictureLeaf (all)
PictureLeaf 	TCustomOutline 	OUTLINE
PictureLeaf 	TOutline 	OUTLINE


PictureMinus (all)
PictureMinus 	TCustomOutline 	OUTLINE
PictureMinus 	TOutline 	OUTLINE


PictureOpen (all)
PictureOpen 	TCustomOutline 	OUTLINE
PictureOpen 	TOutline 	OUTLINE


PicturePlus (all)
PicturePlus 	TCustomOutline 	OUTLINE
PicturePlus 	TOutline 	OUTLINE


Pie (all)
Pie 	TCanvas 	GRAPHICS


PInitInfo (all)
PInitInfo 	TOleContainer 	TOCTRL
PInitInfo 	TOleDropNotify 	TOCTRL


Pitch (all)
Pitch 	TFont 	GRAPHICS


Pixels (all)
Pixels 	TCanvas 	GRAPHICS


PixelsPerInch (all)
PixelsPerInch 	TFont 	GRAPHICS
PixelsPerInch 	TForm 	FORMS
PixelsPerInch 	TScreen 	FORMS


Play (all)
Play 	TMediaPlayer 	MPLAYER


PokeData (all)
PokeData 	TDdeClientConv 	DDEMAN
PokeData 	TDdeServerItem 	DDEMAN


PokeDataLines (all)
PokeDataLines 	TDdeClientConv 	DDEMAN


Polygon (all)
Polygon 	TCanvas 	GRAPHICS


Polyline (all)
Polyline 	TCanvas 	GRAPHICS


PopulateMenu (all)
PopulateMenu 	TMenuItem 	MENUS


PopulateOle2Menu (all)
PopulateOle2Menu 	TMainMenu 	MENUS


Popup (all)
Popup 	TPopupMenu 	MENUS


PopupComponent (all)
PopupComponent 	TPopupMenu 	MENUS


PopupMenu (all)
PopupMenu 	TButton 	STDCTRLS
PopupMenu 	TCheckBox 	STDCTRLS
PopupMenu 	TComboBox 	STDCTRLS
PopupMenu 	TControl 	CONTROLS
PopupMenu 	TDBCheckBox 	DBCTRLS
PopupMenu 	TDBComboBox 	DBCTRLS
PopupMenu 	TDBEdit 	DBCTRLS
PopupMenu 	TDBGrid 	DBGRIDS
PopupMenu 	TDBImage 	DBCTRLS
PopupMenu 	TDBListBox 	DBCTRLS
PopupMenu 	TDBLookupCombo 	DBLOOKUP
PopupMenu 	TDBLookupList 	DBLOOKUP
PopupMenu 	TDBMemo 	DBCTRLS
PopupMenu 	TDBRadioGroup 	DBCTRLS
PopupMenu 	TDBText 	DBCTRLS
PopupMenu 	TDirectoryListBox 	FILECTRL
PopupMenu 	TDrawGrid 	GRIDS
PopupMenu 	TDriveComboBox 	FILECTRL
PopupMenu 	TEdit 	STDCTRLS
PopupMenu 	TFileListBox 	FILECTRL
PopupMenu 	TForm 	FORMS
PopupMenu 	TGroupBox 	STDCTRLS
PopupMenu 	TImage 	EXTCTRLS
PopupMenu 	TLabel 	STDCTRLS
PopupMenu 	TListBox 	STDCTRLS
PopupMenu 	TMaskEdit 	MASK
PopupMenu 	TMemo 	STDCTRLS
PopupMenu 	TNotebook 	EXTCTRLS
PopupMenu 	TOutline 	OUTLINE
PopupMenu 	TPaintBox 	EXTCTRLS
PopupMenu 	TPanel 	EXTCTRLS
PopupMenu 	TRadioButton 	STDCTRLS
PopupMenu 	TRadioGroup 	EXTCTRLS
PopupMenu 	TScrollBar 	STDCTRLS
PopupMenu 	TScrollBox 	FORMS


PosEqual (all)
PosEqual 	TInplaceEdit 	GRIDS


Position (all)
Position 	TControlScrollBar 	FORMS
Position 	TFindDialog 	DIALOGS
Position 	TForm 	FORMS
Position 	TMediaPlayer 	MPLAYER
Position 	TScrollBar 	STDCTRLS
Position 	TStream 	CLASSES


Post (all)
Post 	TDataSet 	DB


PostClick (all)
PostClick 	TMediaPlayer 	MPLAYER


PostDataChange (all)
PostDataChange 	TDdeMgr 	DDEMAN


PostKeyBuffer (all)
PostKeyBuffer 	TDataSet 	DB


PrecedingWindow (all)
PrecedingWindow 	TWinControl 	CONTROLS


Precision (all)
Precision 	TFloatField 	DBTABLES


Prepare (all)
Prepare 	TQuery 	DBTABLES
Prepare 	TStoredProc 	DBTABLES


PrepareCursor (all)
PrepareCursor 	TDataSet 	DB
PrepareCursor 	TTable 	DBTABLES


Prepared (all)
Prepared 	TQuery 	DBTABLES
Prepared 	TStoredProc 	DBTABLES


PrepareProc (all)
PrepareProc 	TStoredProc 	DBTABLES


PrepareSQL (all)
PrepareSQL 	TQuery 	DBTABLES


Preview (all)
Preview 	TReport 	REPORT


Previous (all)
Previous 	TForm 	FORMS
Previous 	TMediaPlayer 	MPLAYER


Print (all)
Print 	TForm 	FORMS
Print 	TReport 	REPORT


PrintCopies (all)
PrintCopies 	TReport 	REPORT


PrinterIndex (all)
PrinterIndex 	TPrinter 	PRINTERS


Printers (all)
Printers 	TPrinter 	PRINTERS


Printing (all)
Printing 	TPrinter 	PRINTERS


PrintRange (all)
PrintRange 	TPrintDialog 	DIALOGS


PrintScale (all)
PrintScale 	TForm 	FORMS


PrintToFile (all)
PrintToFile 	TPrintDialog 	DIALOGS


Prior (all)
Prior 	TDataSet 	DB


PrivateDir (all)
PrivateDir 	TSession 	DB


PrivateDirectory (all)
PrivateDirectory 	TPropertyEditor 	DSGNINTF


ProblemCount (all)
ProblemCount 	TBatchMove 	DBTABLES


ProblemTableName (all)
ProblemTableName 	TBatchMove 	DBTABLES


ProcessHints (all)
ProcessHints 	TApplication 	FORMS


ProcessMessage (all)
ProcessMessage 	TApplication 	FORMS


ProcessMessages (all)
ProcessMessages 	TApplication 	FORMS


PropCount (all)
PropCount 	TPropertyEditor 	DSGNINTF


PropertyChanged (all)
PropertyChanged 	TField 	DB


PropertyError (all)
PropertyError 	TReader 	CLASSES


Put (all)
Put 	TList 	CLASSES
Put 	TStringGridStrings 	GRIDS
Put 	TStringList 	CLASSES
Put 	TStrings 	CLASSES


PutObject (all)
PutObject 	TStringGridStrings 	GRIDS
PutObject 	TStringList 	CLASSES
PutObject 	TStrings 	CLASSES


QueryChanged (all)
QueryChanged 	TQuery 	DBTABLES


QuickSort (all)
QuickSort 	TStringList 	CLASSES


RaiseException (all)
RaiseException 	TIToolServices 	TOOLINTF


Range (all)
Range 	TControlScrollBar 	FORMS


RangeError (all)
RangeError 	TNumericField 	DBTABLES


Read (all)
Read 	TBlobStream 	DBTABLES
Read 	THandleStream 	CLASSES
Read 	TIFileStream 	ISTREAMS
Read 	TIMemoryStream 	ISTREAMS
Read 	TIStream 	VIRTINTF
Read 	TMemoryStream 	CLASSES
Read 	TReader 	CLASSES
Read 	TStream 	CLASSES
Read 	TVirtualStream 	ISTREAMS


ReadBinaryData (all)
ReadBinaryData 	TCustomOutline 	OUTLINE
ReadBinaryData 	TParams 	DBTABLES
ReadBinaryData 	TQuery 	DBTABLES


ReadBitmaps (all)
ReadBitmaps 	TDirectoryListBox 	FILECTRL
ReadBitmaps 	TDriveComboBox 	FILECTRL
ReadBitmaps 	TFileListBox 	FILECTRL


ReadBool (all)
ReadBool 	TIniFile 	INIFILES


ReadBoolean (all)
ReadBoolean 	TReader 	CLASSES


ReadBuffer (all)
ReadBuffer 	TParser 	CLASSES
ReadBuffer 	TReader 	CLASSES
ReadBuffer 	TStream 	CLASSES


ReadChar (all)
ReadChar 	TReader 	CLASSES


ReadColWidths (all)
ReadColWidths 	TCustomGrid 	GRIDS


ReadComponent (all)
ReadComponent 	TReader 	CLASSES
ReadComponent 	TStream 	CLASSES


ReadComponentRes (all)
ReadComponentRes 	TStream 	CLASSES


ReadComponents (all)
ReadComponents 	TReader 	CLASSES


ReadData (all)
ReadData 	TBitmap 	GRAPHICS
ReadData 	TCustomPanel 	EXTCTRLS
ReadData 	TGraphic 	GRAPHICS
ReadData 	TMetafile 	GRAPHICS
ReadData 	TOleContainer 	TOCTRL
ReadData 	TPicture 	GRAPHICS
ReadData 	TReader 	CLASSES
ReadData 	TStrings 	CLASSES


ReadDataInner (all)
ReadDataInner 	TReader 	CLASSES


ReadFileNames (all)
ReadFileNames 	TFileListBox 	FILECTRL


ReadFloat (all)
ReadFloat 	TReader 	CLASSES


ReadIdent (all)
ReadIdent 	TReader 	CLASSES


ReadInitInfo (all)
ReadInitInfo 	TOleContainer 	TOCTRL


ReadInteger (all)
ReadInteger 	TIniFile 	INIFILES
ReadInteger 	TReader 	CLASSES


ReadIsControl (all)
ReadIsControl 	TControl 	CONTROLS


ReadLeft (all)
ReadLeft 	TComponent 	CLASSES


ReadLinkInfo (all)
ReadLinkInfo 	TDdeClientConv 	DDEMAN


ReadListBegin (all)
ReadListBegin 	TReader 	CLASSES


ReadListEnd (all)
ReadListEnd 	TReader 	CLASSES


ReadOnly (all)
ReadOnly 	TCustomDBGrid 	DBGRIDS
ReadOnly 	TCustomEdit 	STDCTRLS
ReadOnly 	TDataLink 	DB
ReadOnly 	TDBCheckBox 	DBCTRLS
ReadOnly 	TDBComboBox 	DBCTRLS
ReadOnly 	TDBEdit 	DBCTRLS
ReadOnly 	TDBGrid 	DBGRIDS
ReadOnly 	TDBImage 	DBCTRLS
ReadOnly 	TDBListBox 	DBCTRLS
ReadOnly 	TDBLookupCombo 	DBLOOKUP
ReadOnly 	TDBLookupList 	DBLOOKUP
ReadOnly 	TDBMemo 	DBCTRLS
ReadOnly 	TDBRadioGroup 	DBCTRLS
ReadOnly 	TEdit 	STDCTRLS
ReadOnly 	TField 	DB
ReadOnly 	TMaskEdit 	MASK
ReadOnly 	TMemo 	STDCTRLS
ReadOnly 	TTable 	DBTABLES


ReadProperty (all)
ReadProperty 	TReader 	CLASSES


ReadPropValue (all)
ReadPropValue 	TReader 	CLASSES


ReadResHeader (all)
ReadResHeader 	TStream 	CLASSES


ReadRootComponent (all)
ReadRootComponent 	TReader 	CLASSES


ReadRowHeights (all)
ReadRowHeights 	TCustomGrid 	GRIDS


ReadSection (all)
ReadSection 	TIniFile 	INIFILES


ReadSectionValues (all)
ReadSectionValues 	TIniFile 	INIFILES


ReadSet (all)
ReadSet 	TReader 	CLASSES


ReadShortCutText (all)
ReadShortCutText 	TMenuItem 	MENUS


ReadSignature (all)
ReadSignature 	TReader 	CLASSES


ReadState (all)
ReadState 	TComponent 	CLASSES
ReadState 	TControl 	CONTROLS
ReadState 	TCustomRadioGroup 	EXTCTRLS
ReadState 	TField 	DB
ReadState 	TForm 	FORMS
ReadState 	TMenuItem 	MENUS
ReadState 	TNotebook 	EXTCTRLS
ReadState 	TPage 	EXTCTRLS
ReadState 	TWinControl 	CONTROLS


ReadStr (all)
ReadStr 	TReader 	CLASSES


ReadStream (all)
ReadStream 	TBitmap 	GRAPHICS


ReadString (all)
ReadString 	TIniFile 	INIFILES
ReadString 	TReader 	CLASSES


ReadStringData (all)
ReadStringData 	TMemo 	STDCTRLS


ReadTextHeight (all)
ReadTextHeight 	TForm 	FORMS


ReadTop (all)
ReadTop 	TComponent 	CLASSES


ReadValue (all)
ReadValue 	TReader 	CLASSES


Realign (all)
Realign 	TWinControl 	CONTROLS


RebuildHandle (all)
RebuildHandle 	TMenuItem 	MENUS


RecalcReport (all)
RecalcReport 	TReport 	REPORT


RecordChanged (all)
RecordChanged 	TCustomDBGrid 	DBGRIDS
RecordChanged 	TDataLink 	DB
RecordChanged 	TFieldDataLink 	DBTABLES
RecordChanged 	TGridDataLink 	DBGRIDS
RecordChanged 	TTableDataLink 	DBTABLES


RecordCount (all)
RecordCount 	TBatchMove 	DBTABLES
RecordCount 	TDataLink 	DB
RecordCount 	TDataSet 	DB


RecordSize (all)
RecordSize 	TDataSet 	DB


RecreateWnd (all)
RecreateWnd 	TWinControl 	CONTROLS


Rectangle (all)
Rectangle 	TCanvas 	GRAPHICS


Reference (all)
Reference 	TInternalImage 	GRAPHICS
Reference 	TMetafileImage 	GRAPHICS


ReformatText (all)
ReformatText 	TCustomMaskEdit 	MASK


Refresh (all)
Refresh 	TCanvas 	GRAPHICS
Refresh 	TControl 	CONTROLS
Refresh 	TDataSet 	DB


RefreshMDIMenu (all)
RefreshMDIMenu 	TForm 	FORMS


RefreshParams (all)
RefreshParams 	TQuery 	DBTABLES


RegisterClass (all)
RegisterClass 	TComboButton 	DIALOGS


RegisterClipboardFormat (all)
RegisterClipboardFormat 	TPicture 	GRAPHICS


RegisterFileFormat (all)
RegisterFileFormat 	TPicture 	GRAPHICS


ReIndex (all)
ReIndex 	OutlineError 	OUTLINE
ReIndex 	TOutlineNode 	OUTLINE


Release (all)
Release 	TForm 	FORMS
Release 	TInterface 	VIRTINTF
Release 	TInternalImage 	GRAPHICS
Release 	TMetafileImage 	GRAPHICS


ReleaseHandle (all)
ReleaseHandle 	TBitmap 	GRAPHICS
ReleaseHandle 	THintWindow 	CONTROLS
ReleaseHandle 	TIcon 	GRAPHICS


ReleasePalette (all)
ReleasePalette 	TBitmap 	GRAPHICS


ReloadFile (all)
ReloadFile 	TIToolServices 	TOOLINTF


Remove (all)
Remove 	OutlineError 	OUTLINE
Remove 	TComponent 	CLASSES
Remove 	TList 	CLASSES
Remove 	TMenuItem 	MENUS
Remove 	TOutlineNode 	OUTLINE
Remove 	TWinControl 	CONTROLS


RemoveAllButtonClick (all)
RemoveAllButtonClick 	TPasswordDialog 	DBPWDLG


RemoveAllPasswords (all)
RemoveAllPasswords 	TSession 	DB


RemoveButtonClick (all)
RemoveButtonClick 	TPasswordDialog 	DBPWDLG


RemoveComponent (all)
RemoveComponent 	TComponent 	CLASSES


RemoveControl (all)
RemoveControl 	TWinControl 	CONTROLS


RemoveDataLink (all)
RemoveDataLink 	TDataSource 	DB


RemoveDataSource (all)
RemoveDataSource 	TDataSet 	DB


RemoveEditFormat (all)
RemoveEditFormat 	TCustomMaskEdit 	MASK


RemoveField (all)
RemoveField 	TDataSet 	DB


RemoveFocus (all)
RemoveFocus 	TWinControl 	CONTROLS


RemoveForm (all)
RemoveForm 	TScreen 	FORMS


RemoveParam (all)
RemoveParam 	TParams 	DBTABLES


RemovePassword (all)
RemovePassword 	TSession 	DB


RemoveServerConv (all)
RemoveServerConv 	TDdeMgr 	DDEMAN


RenameMethod (all)
RenameMethod 	TFormDesigner 	DSGNINTF


RenameTable (all)
RenameTable 	TTable 	DBTABLES


Repaint (all)
Repaint 	OutlineError 	OUTLINE
Repaint 	TComboButton 	DIALOGS
Repaint 	TControl 	CONTROLS
Repaint 	TOutlineNode 	OUTLINE
Repaint 	TWinControl 	CONTROLS


Replace (all)
Replace 	TImageList 	GRAPHICS
Replace 	TReplaceDialog 	DIALOGS


ReplaceMasked (all)
ReplaceMasked 	TImageList 	GRAPHICS


ReplaceText (all)
ReplaceText 	TReplaceDialog 	DIALOGS


ReportActive (all)
ReportActive 	TReport 	REPORT


ReportDir (all)
ReportDir 	TReport 	REPORT


ReportHandle (all)
ReportHandle 	TReport 	REPORT


ReportName (all)
ReportName 	TReport 	REPORT


RequestAlign (all)
RequestAlign 	TControl 	CONTROLS


RequestData (all)
RequestData 	TDdeClientConv 	DDEMAN


RequestLive (all)
RequestLive 	TQuery 	DBTABLES


Required (all)
Required 	TField 	DB
Required 	TFieldDef 	DB


RequiredState (all)
RequiredState 	TCanvas 	GRAPHICS


Reset (all)
Reset 	TCustomMaskEdit 	MASK
Reset 	TDBEdit 	DBCTRLS
Reset 	TFieldDataLink 	DBTABLES
Reset 	TGridDataLink 	DBGRIDS


ResetAppName (all)
ResetAppName 	TDdeMgr 	DDEMAN


ResetCursorRange (all)
ResetCursorRange 	TDataSet 	DB


ResetItemHeight (all)
ResetItemHeight 	TDirectoryListBox 	FILECTRL
ResetItemHeight 	TDriveComboBox 	FILECTRL
ResetItemHeight 	TFileListBox 	FILECTRL


ResetObjMenuItem (all)
ResetObjMenuItem 	TOleContainer 	TOCTRL


ResetSelectedItem (all)
ResetSelectedItem 	TCustomOutline 	OUTLINE


Resize (all)
Resize 	TCustomPanel 	EXTCTRLS
Resize 	TForm 	FORMS
Resize 	TScrollBox 	FORMS


ResizeCol (all)
ResizeCol 	TCustomGrid 	GRIDS


ResizeGrid (all)
ResizeGrid 	TCustomOutline 	OUTLINE


ResizeRow (all)
ResizeRow 	TCustomGrid 	GRIDS


Restore (all)
Restore 	TApplication 	FORMS


RestoreTopMosts (all)
RestoreTopMosts 	TApplication 	FORMS


Resume (all)
Resume 	TMediaPlayer 	MPLAYER


Resync (all)
Resync 	OutlineError 	OUTLINE
Resync 	TDataSet 	DB
Resync 	TOutlineNode 	OUTLINE


Rewind (all)
Rewind 	TMediaPlayer 	MPLAYER


Rollback (all)
Rollback 	TDatabase 	DB


Root (all)
Root 	TFiler 	CLASSES


RoundRect (all)
RoundRect 	TCanvas 	GRAPHICS


Row (all)
Row 	TCustomGrid 	GRIDS
Row 	TCustomOutline 	OUTLINE
Row 	TDrawGrid 	GRIDS


RowCount (all)
RowCount 	TCustomGrid 	GRIDS
RowCount 	TDrawGrid 	GRIDS
RowCount 	TPopupGrid 	DBLOOKUP


RowHeights (all)
RowHeights 	TCustomGrid 	GRIDS
RowHeights 	TDrawGrid 	GRIDS


RowHeightsChanged (all)
RowHeightsChanged 	TCustomGrid 	GRIDS


RowMoved (all)
RowMoved 	TCustomGrid 	GRIDS
RowMoved 	TDrawGrid 	GRIDS
RowMoved 	TStringGrid 	GRIDS


Rows (all)
Rows 	TStringGrid 	GRIDS


Run (all)
Run 	TApplication 	FORMS
Run 	TReport 	REPORT


RunApp (all)
RunApp 	TReport 	REPORT


RunMacro (all)
RunMacro 	TReport 	REPORT


RunReport (all)
RunReport 	TReport 	REPORT


Save (all)
Save 	TMediaPlayer 	MPLAYER


SaveFile (all)
SaveFile 	TIToolServices 	TOOLINTF


SaveProject (all)
SaveProject 	TIToolServices 	TOOLINTF


SaveToBitmap (all)
SaveToBitmap 	TBlobField 	DBTABLES


SaveToClipboardFormat (all)
SaveToClipboardFormat 	TBitmap 	GRAPHICS
SaveToClipboardFormat 	TGraphic 	GRAPHICS
SaveToClipboardFormat 	TIcon 	GRAPHICS
SaveToClipboardFormat 	TMetafile 	GRAPHICS
SaveToClipboardFormat 	TPicture 	GRAPHICS


SaveToFile (all)
SaveToFile 	TBlobField 	DBTABLES
SaveToFile 	TCustomOutline 	OUTLINE
SaveToFile 	TGraphic 	GRAPHICS
SaveToFile 	TMemoryStream 	CLASSES
SaveToFile 	TOleContainer 	TOCTRL
SaveToFile 	TPicture 	GRAPHICS
SaveToFile 	TStrings 	CLASSES


SaveToStream (all)
SaveToStream 	TBitmap 	GRAPHICS
SaveToStream 	TBlobField 	DBTABLES
SaveToStream 	TCustomOutline 	OUTLINE
SaveToStream 	TGraphic 	GRAPHICS
SaveToStream 	TIcon 	GRAPHICS
SaveToStream 	TMemoryStream 	CLASSES
SaveToStream 	TMetafile 	GRAPHICS
SaveToStream 	TOleContainer 	TOCTRL
SaveToStream 	TStrings 	CLASSES


SaveToStrings (all)
SaveToStrings 	TBlobField 	DBTABLES


ScaleBy (all)
ScaleBy 	TWinControl 	CONTROLS


ScaleControls (all)
ScaleControls 	TWinControl 	CONTROLS


Scaled (all)
Scaled 	TForm 	FORMS


ScaleScrollBars (all)
ScaleScrollBars 	TScrollingWinControl 	FORMS


ScreenToClient (all)
ScreenToClient 	TControl 	CONTROLS


Scroll (all)
Scroll 	TCustomDBGrid 	DBGRIDS
Scroll 	TDBLookupList 	DBLOOKUP
Scroll 	TScrollBar 	STDCTRLS


ScrollBars (all)
ScrollBars 	TCustomGrid 	GRIDS
ScrollBars 	TCustomMemo 	STDCTRLS
ScrollBars 	TDBMemo 	DBCTRLS
ScrollBars 	TDrawGrid 	GRIDS
ScrollBars 	TMemo 	STDCTRLS
ScrollBars 	TOutline 	OUTLINE


ScrollBy (all)
ScrollBy 	TWinControl 	CONTROLS


ScrollData (all)
ScrollData 	TCustomGrid 	GRIDS


ScrollDataInfo (all)
ScrollDataInfo 	TCustomGrid 	GRIDS


ScrollInView (all)
ScrollInView 	TScrollingWinControl 	FORMS


ScrollMessage (all)
ScrollMessage 	TControlScrollBar 	FORMS


ScrollPos (all)
ScrollPos 	TControlScrollBar 	FORMS


Sections (all)
Sections 	THeader 	EXTCTRLS


SectionWidth (all)
SectionWidth 	THeader 	EXTCTRLS


Seek (all)
Seek 	TBlobStream 	DBTABLES
Seek 	THandleStream 	CLASSES
Seek 	TIFileStream 	ISTREAMS
Seek 	TIMemoryStream 	ISTREAMS
Seek 	TIStream 	VIRTINTF
Seek 	TMemoryStream 	CLASSES
Seek 	TStream 	CLASSES
Seek 	TVirtualStream 	ISTREAMS


SelCount (all)
SelCount 	TCustomListBox 	STDCTRLS


SelectAll (all)
SelectAll 	TCustomComboBox 	STDCTRLS
SelectAll 	TCustomEdit 	STDCTRLS


SelectCell (all)
SelectCell 	TCustomGrid 	GRIDS
SelectCell 	TDrawGrid 	GRIDS


Selected (all)
Selected 	TCustomListBox 	STDCTRLS


SelectedColor (all)
SelectedColor 	TTabSet 	TABS


SelectedField (all)
SelectedField 	TCustomDBGrid 	DBGRIDS


SelectedIndex (all)
SelectedIndex 	TCustomDBGrid 	DBGRIDS


SelectedItem (all)
SelectedItem 	TCustomOutline 	OUTLINE


SelectFirst (all)
SelectFirst 	TWinControl 	CONTROLS


Selection (all)
Selection 	TCustomGrid 	GRIDS
Selection 	TDrawGrid 	GRIDS


SelectionMoved (all)
SelectionMoved 	TCustomGrid 	GRIDS


SelectNext (all)
SelectNext 	TTabSet 	TABS
SelectNext 	TWinControl 	CONTROLS


SelLength (all)
SelLength 	TCustomComboBox 	STDCTRLS
SelLength 	TCustomEdit 	STDCTRLS


SelStart (all)
SelStart 	TCustomComboBox 	STDCTRLS
SelStart 	TCustomEdit 	STDCTRLS


SelText (all)
SelText 	TCustomComboBox 	STDCTRLS
SelText 	TCustomEdit 	STDCTRLS


SendCancelMode (all)
SendCancelMode 	TControl 	CONTROLS
SendCancelMode 	TForm 	FORMS


SendToBack (all)
SendToBack 	TControl 	CONTROLS


ServerConv (all)
ServerConv 	TDdeServerItem 	DDEMAN


ServiceApplication (all)
ServiceApplication 	TDdeClientConv 	DDEMAN


SetActive (all)
SetActive 	TDataLink 	DB
SetActive 	TDataSet 	DB
SetActive 	TOleContainer 	TOCTRL


SetActiveControl (all)
SetActiveControl 	TForm 	FORMS


SetActivePage (all)
SetActivePage 	TNotebook 	EXTCTRLS


SetActiveRecord (all)
SetActiveRecord 	TDataLink 	DB


SetAliasName (all)
SetAliasName 	TDatabase 	DB


SetAlign (all)
SetAlign 	TControl 	CONTROLS


SetAlignment (all)
SetAlignment 	TCustomCheckBox 	STDCTRLS
SetAlignment 	TCustomLabel 	STDCTRLS
SetAlignment 	TCustomMemo 	STDCTRLS
SetAlignment 	TCustomPanel 	EXTCTRLS
SetAlignment 	TField 	DB
SetAlignment 	TRadioButton 	STDCTRLS


SetAllowAllUp (all)
SetAllowAllUp 	TSpeedButton 	BUTTONS


SetAppName (all)
SetAppName 	TDdeMgr 	DDEMAN


SetAsBCD (all)
SetAsBCD 	TParam 	DBTABLES


SetAsBoolean (all)
SetAsBoolean 	TBooleanField 	DBTABLES
SetAsBoolean 	TField 	DB
SetAsBoolean 	TParam 	DBTABLES
SetAsBoolean 	TStringField 	DBTABLES


SetAsCurrency (all)
SetAsCurrency 	TParam 	DBTABLES


SetAsDate (all)
SetAsDate 	TParam 	DBTABLES


SetAsDateTime (all)
SetAsDateTime 	TDateTimeField 	DBTABLES
SetAsDateTime 	TField 	DB
SetAsDateTime 	TParam 	DBTABLES
SetAsDateTime 	TStringField 	DBTABLES


SetAsFloat (all)
SetAsFloat 	TDateTimeField 	DBTABLES
SetAsFloat 	TField 	DB
SetAsFloat 	TFloatField 	DBTABLES
SetAsFloat 	TIntegerField 	DBTABLES
SetAsFloat 	TParam 	DBTABLES
SetAsFloat 	TStringField 	DBTABLES


SetAsHandle (all)
SetAsHandle 	TClipboard 	CLIPBRD


SetAsInteger (all)
SetAsInteger 	TField 	DB
SetAsInteger 	TFloatField 	DBTABLES
SetAsInteger 	TIntegerField 	DBTABLES
SetAsInteger 	TParam 	DBTABLES
SetAsInteger 	TStringField 	DBTABLES


SetAsSmallInt (all)
SetAsSmallInt 	TParam 	DBTABLES


SetAsString (all)
SetAsString 	TBooleanField 	DBTABLES
SetAsString 	TDateTimeField 	DBTABLES
SetAsString 	TField 	DB
SetAsString 	TFloatField 	DBTABLES
SetAsString 	TIntegerField 	DBTABLES
SetAsString 	TParam 	DBTABLES
SetAsString 	TStringField 	DBTABLES


SetAsText (all)
SetAsText 	TClipboard 	CLIPBRD


SetAsTime (all)
SetAsTime 	TParam 	DBTABLES


SetAsWord (all)
SetAsWord 	TParam 	DBTABLES


SetAutoDisplay (all)
SetAutoDisplay 	TDBImage 	DBCTRLS
SetAutoDisplay 	TDBMemo 	DBCTRLS


SetAutoEnable (all)
SetAutoEnable 	TMediaPlayer 	MPLAYER


SetAutoMerge (all)
SetAutoMerge 	TMainMenu 	MENUS


SetAutoScroll (all)
SetAutoScroll 	TScrollingWinControl 	FORMS


SetAutoSize (all)
SetAutoSize 	TCustomEdit 	STDCTRLS
SetAutoSize 	TCustomLabel 	STDCTRLS
SetAutoSize 	TImage 	EXTCTRLS


SetBevelInner (all)
SetBevelInner 	TCustomPanel 	EXTCTRLS


SetBevelOuter (all)
SetBevelOuter 	TCustomPanel 	EXTCTRLS


SetBevelWidth (all)
SetBevelWidth 	TCustomPanel 	EXTCTRLS


SetBitmap (all)
SetBitmap 	TBrush 	GRAPHICS
SetBitmap 	TPicture 	GRAPHICS


SetBorderIcons (all)
SetBorderIcons 	TForm 	FORMS


SetBorderStyle (all)
SetBorderStyle 	TCustomEdit 	STDCTRLS
SetBorderStyle 	TCustomGrid 	GRIDS
SetBorderStyle 	TCustomListBox 	STDCTRLS
SetBorderStyle 	TCustomPanel 	EXTCTRLS
SetBorderStyle 	TDBImage 	DBCTRLS
SetBorderStyle 	TForm 	FORMS
SetBorderStyle 	THeader 	EXTCTRLS
SetBorderStyle 	TOleContainer 	TOCTRL
SetBorderStyle 	TScrollBox 	FORMS


SetBorderWidth (all)
SetBorderWidth 	TCustomPanel 	EXTCTRLS


SetBounds (all)
SetBounds 	TControl 	CONTROLS
SetBounds 	TWinControl 	CONTROLS


SetBoundsRect (all)
SetBoundsRect 	TControl 	CONTROLS


SetBreak (all)
SetBreak 	TMenuItem 	MENUS


SetBrush (all)
SetBrush 	TCanvas 	GRAPHICS
SetBrush 	TShape 	EXTCTRLS


SetBuffer (all)
SetBuffer 	TClipboard 	CLIPBRD


SetBufferCount (all)
SetBufferCount 	TDataLink 	DB
SetBufferCount 	TDataSet 	DB


SetBufListSize (all)
SetBufListSize 	TDataSet 	DB


SetButtonCount (all)
SetButtonCount 	TCustomRadioGroup 	EXTCTRLS


SetButtonStyle (all)
SetButtonStyle 	TBitBtn 	BUTTONS
SetButtonStyle 	TButton 	STDCTRLS


SetCalculated (all)
SetCalculated 	TField 	DB


SetCapacity (all)
SetCapacity 	TList 	CLASSES
SetCapacity 	TMemoryStream 	CLASSES


SetCaption (all)
SetCaption 	TMenuItem 	MENUS


SetCells (all)
SetCells 	TStringGrid 	GRIDS


SetCenter (all)
SetCenter 	TDBImage 	DBCTRLS
SetCenter 	TImage 	EXTCTRLS


SetCharCase (all)
SetCharCase 	TCustomEdit 	STDCTRLS


SetChecked (all)
SetChecked 	TCustomCheckBox 	STDCTRLS
SetChecked 	TMenuItem 	MENUS
SetChecked 	TRadioButton 	STDCTRLS


SetClientHeight (all)
SetClientHeight 	TControl 	CONTROLS
SetClientHeight 	TForm 	FORMS


SetClientSize (all)
SetClientSize 	TControl 	CONTROLS


SetClientWidth (all)
SetClientWidth 	TControl 	CONTROLS
SetClientWidth 	TForm 	FORMS


SetCol (all)
SetCol 	TCustomGrid 	GRIDS


SetColCount (all)
SetColCount 	TCustomGrid 	GRIDS


SetColor (all)
SetColor 	TBrush 	GRAPHICS
SetColor 	TControl 	CONTROLS
SetColor 	TFont 	GRAPHICS
SetColor 	TPen 	GRAPHICS


SetColored (all)
SetColored 	TMediaPlayer 	MPLAYER


SetCols (all)
SetCols 	TStringGrid 	GRIDS


SetColumnAttributes (all)
SetColumnAttributes 	TCustomDBGrid 	DBGRIDS
SetColumnAttributes 	TDBLookupList 	DBLOOKUP


SetColumns (all)
SetColumns 	TCustomListBox 	STDCTRLS
SetColumns 	TCustomRadioGroup 	EXTCTRLS


SetColumnWidth (all)
SetColumnWidth 	TCustomListBox 	STDCTRLS


SetColWidths (all)
SetColWidths 	TCustomGrid 	GRIDS


SetComboText (all)
SetComboText 	TDBComboBox 	DBCTRLS


SetComponent (all)
SetComponent 	TClipboard 	CLIPBRD


SetComponentIndex (all)
SetComponentIndex 	TComponent 	CLASSES


SetConnected (all)
SetConnected 	TDatabase 	DB


SetConnectMode (all)
SetConnectMode 	TDdeClientConv 	DDEMAN


SetControl (all)
SetControl 	TControlCanvas 	CONTROLS


SetControls (all)
SetControls 	TProcParams 	PROCDLG


SetCount (all)
SetCount 	TList 	CLASSES


SetCtl3D (all)
SetCtl3D 	TWinControl 	CONTROLS


SetCurItem (all)
SetCurItem 	TCustomOutline 	OUTLINE


SetCurrency (all)
SetCurrency 	TFloatField 	DBTABLES


SetCurrentRecord (all)
SetCurrentRecord 	TDataSet 	DB


SetCursor (all)
SetCursor 	TControl 	CONTROLS
SetCursor 	TCustomMaskEdit 	MASK
SetCursor 	TScreen 	FORMS


SetCursorRange (all)
SetCursorRange 	TDataSet 	DB


SetCursors (all)
SetCursors 	TScreen 	FORMS


SetCustomColors (all)
SetCustomColors 	TColorDialog 	DIALOGS


SetData (all)
SetData 	TBrush 	GRAPHICS
SetData 	TField 	DB
SetData 	TFont 	GRAPHICS
SetData 	TParam 	DBTABLES
SetData 	TPen 	GRAPHICS


SetDatabaseName (all)
SetDatabaseName 	TDatabase 	DB
SetDatabaseName 	TDBDataSet 	DB


SetDatabaseType (all)
SetDatabaseType 	TDatabase 	DB


SetDataField (all)
SetDataField 	TDBCheckBox 	DBCTRLS
SetDataField 	TDBComboBox 	DBCTRLS
SetDataField 	TDBEdit 	DBCTRLS
SetDataField 	TDBImage 	DBCTRLS
SetDataField 	TDBListBox 	DBCTRLS
SetDataField 	TDBLookupCombo 	DBLOOKUP
SetDataField 	TDBLookupList 	DBLOOKUP
SetDataField 	TDBMemo 	DBCTRLS
SetDataField 	TDBRadioGroup 	DBCTRLS
SetDataField 	TDBText 	DBCTRLS


SetDataSet (all)
SetDataSet 	TDataSource 	DB
SetDataSet 	TField 	DB


SetDataSource (all)
SetDataSource 	TCustomDBGrid 	DBGRIDS
SetDataSource 	TDataLink 	DB
SetDataSource 	TDBCheckBox 	DBCTRLS
SetDataSource 	TDBComboBox 	DBCTRLS
SetDataSource 	TDBEdit 	DBCTRLS
SetDataSource 	TDBImage 	DBCTRLS
SetDataSource 	TDBListBox 	DBCTRLS
SetDataSource 	TDBLookupCombo 	DBLOOKUP
SetDataSource 	TDBLookupList 	DBLOOKUP
SetDataSource 	TDBMemo 	DBCTRLS
SetDataSource 	TDBRadioGroup 	DBCTRLS
SetDataSource 	TDBText 	DBCTRLS
SetDataSource 	TQuery 	DBTABLES
SetDataSource 	TTable 	DBTABLES


SetDataType (all)
SetDataType 	TField 	DB
SetDataType 	TParam 	DBTABLES


SetDBFlag (all)
SetDBFlag 	TDBDataSet 	DB
SetDBFlag 	TQuery 	DBTABLES
SetDBFlag 	TStoredProc 	DBTABLES


SetDdeClientConv (all)
SetDdeClientConv 	TDdeClientItem 	DDEMAN


SetDdeClientItem (all)
SetDdeClientItem 	TDdeClientItem 	DDEMAN


SetDdeService (all)
SetDdeService 	TDdeClientConv 	DDEMAN


SetDdeTopic (all)
SetDdeTopic 	TDdeClientConv 	DDEMAN


SetDefault (all)
SetDefault 	TButton 	STDCTRLS


SetDefaultColWidth (all)
SetDefaultColWidth 	TCustomGrid 	GRIDS


SetDefaultRowHeight (all)
SetDefaultRowHeight 	TCustomGrid 	GRIDS


SetDesigner (all)
SetDesigner 	TForm 	FORMS


SetDesigning (all)
SetDesigning 	TComponent 	CLASSES


SetDeviceType (all)
SetDeviceType 	TMediaPlayer 	MPLAYER


SetDir (all)
SetDir 	TDirectoryListBox 	FILECTRL


SetDirectory (all)
SetDirectory 	TDirectoryListBox 	FILECTRL
SetDirectory 	TFileListBox 	FILECTRL


SetDirLabel (all)
SetDirLabel 	TDirectoryListBox 	FILECTRL


SetDirLabelCaption (all)
SetDirLabelCaption 	TDirectoryListBox 	FILECTRL


SetDirListBox (all)
SetDirListBox 	TDriveComboBox 	FILECTRL


SetDisplay (all)
SetDisplay 	TMediaPlayer 	MPLAYER


SetDisplayFormat (all)
SetDisplayFormat 	TDateTimeField 	DBTABLES
SetDisplayFormat 	TNumericField 	DBTABLES


SetDisplayLabel (all)
SetDisplayLabel 	TField 	DB


SetDisplayRect (all)
SetDisplayRect 	TMediaPlayer 	MPLAYER


SetDisplayValue (all)
SetDisplayValue 	TDBLookupCombo 	DBLOOKUP
SetDisplayValue 	TDBLookupList 	DBLOOKUP


SetDisplayValues (all)
SetDisplayValues 	TBooleanField 	DBTABLES


SetDisplayWidth (all)
SetDisplayWidth 	TCustomOutline 	OUTLINE
SetDisplayWidth 	TField 	DB


SetDown (all)
SetDown 	TSpeedButton 	BUTTONS


SetDrive (all)
SetDrive 	TDirectoryListBox 	FILECTRL
SetDrive 	TDriveComboBox 	FILECTRL
SetDrive 	TFileListBox 	FILECTRL


SetDriverName (all)
SetDriverName 	TDatabase 	DB


SetDroppedDown (all)
SetDroppedDown 	TCustomComboBox 	STDCTRLS


SetEditFormat (all)
SetEditFormat 	TNumericField 	DBTABLES


SetEditing (all)
SetEditing 	TDataLink 	DB
SetEditing 	TFieldDataLink 	DBTABLES


SetEditMask (all)
SetEditMask 	TCustomMaskEdit 	MASK
SetEditMask 	TField 	DB


SetEditorMode (all)
SetEditorMode 	TCustomGrid 	GRIDS


SetEditReadOnly (all)
SetEditReadOnly 	TDBComboBox 	DBCTRLS


SetEditRect (all)
SetEditRect 	TDBLookupCombo 	DBLOOKUP


SetEditText (all)
SetEditText 	TCustomDBGrid 	DBGRIDS
SetEditText 	TCustomGrid 	GRIDS
SetEditText 	TCustomMaskEdit 	MASK
SetEditText 	TDrawGrid 	GRIDS
SetEditText 	TField 	DB
SetEditText 	TStringGrid 	GRIDS


SetEnabled (all)
SetEnabled 	TControl 	CONTROLS
SetEnabled 	TDataSource 	DB
SetEnabled 	TMenuItem 	MENUS
SetEnabled 	TTimer 	EXTCTRLS


SetEnabledButtons (all)
SetEnabledButtons 	TMediaPlayer 	MPLAYER


SetExclusive (all)
SetExclusive 	TTable 	DBTABLES


SetExpandedState (all)
SetExpandedState 	OutlineError 	OUTLINE
SetExpandedState 	TOutlineNode 	OUTLINE


SetExtendedSelect (all)
SetExtendedSelect 	TCustomListBox 	STDCTRLS


SetField (all)
SetField 	TDataSet 	DB
SetField 	TFieldDataLink 	DBTABLES


SetFieldDefs (all)
SetFieldDefs 	TDataSet 	DB


SetFieldName (all)
SetFieldName 	TField 	DB
SetFieldName 	TFieldDataLink 	DBTABLES


SetFieldNames (all)
SetFieldNames 	TTableDataLink 	DBTABLES


SetFields (all)
SetFields 	TDataSet 	DB


SetFileEdit (all)
SetFileEdit 	TFileListBox 	FILECTRL


SetFileListBox (all)
SetFileListBox 	TDirectoryListBox 	FILECTRL
SetFileListBox 	TFilterComboBox 	FILECTRL


SetFileName (all)
SetFileName 	TFileListBox 	FILECTRL


SetFileType (all)
SetFileType 	TFileListBox 	FILECTRL


SetFilter (all)
SetFilter 	TFilterComboBox 	FILECTRL
SetFilter 	TOpenDialog 	DIALOGS


SetFixedColor (all)
SetFixedColor 	TCustomGrid 	GRIDS


SetFixedCols (all)
SetFixedCols 	TCustomGrid 	GRIDS


SetFixedRows (all)
SetFixedRows 	TCustomGrid 	GRIDS


SetFloatValue (all)
SetFloatValue 	TPropertyEditor 	DSGNINTF


SetFocus (all)
SetFocus 	TForm 	FORMS
SetFocus 	TInplaceEdit 	GRIDS
SetFocus 	TWinControl 	CONTROLS


SetFocused (all)
SetFocused 	TDBEdit 	DBCTRLS
SetFocused 	TDBMemo 	DBCTRLS


SetFocusedControl (all)
SetFocusedControl 	TForm 	FORMS


SetFont (all)
SetFont 	TCanvas 	GRAPHICS
SetFont 	TControl 	CONTROLS
SetFont 	TFontDialog 	DIALOGS


SetFormatChars (all)
SetFormatChars 	TDdeClientConv 	DDEMAN


SetFormStyle (all)
SetFormStyle 	TForm 	FORMS


SetFrom (all)
SetFrom 	TMediaPlayer 	MPLAYER


SetGlyph (all)
SetGlyph 	TBitBtn 	BUTTONS
SetGlyph 	TSpeedButton 	BUTTONS


SetGoodIndex (all)
SetGoodIndex 	OutlineError 	OUTLINE
SetGoodIndex 	TCustomOutline 	OUTLINE
SetGoodIndex 	TOutlineNode 	OUTLINE


SetGraphic (all)
SetGraphic 	TPicture 	GRAPHICS


SetGrid (all)
SetGrid 	TInplaceEdit 	GRIDS


SetGridLineWidth (all)
SetGridLineWidth 	TCustomGrid 	GRIDS


SetGroupIndex (all)
SetGroupIndex 	TMenuItem 	MENUS
SetGroupIndex 	TSpeedButton 	BUTTONS


SetHandle (all)
SetHandle 	TApplication 	FORMS
SetHandle 	TBitmap 	GRAPHICS
SetHandle 	TBrush 	GRAPHICS
SetHandle 	TCanvas 	GRAPHICS
SetHandle 	TFont 	GRAPHICS
SetHandle 	TIcon 	GRAPHICS
SetHandle 	TMetafile 	GRAPHICS
SetHandle 	TPen 	GRAPHICS


SetHeight (all)
SetHeight 	TBitmap 	GRAPHICS
SetHeight 	TControl 	CONTROLS
SetHeight 	TFont 	GRAPHICS
SetHeight 	TGraphic 	GRAPHICS
SetHeight 	TIcon 	GRAPHICS
SetHeight 	TMetafile 	GRAPHICS


SetHelpContext (all)
SetHelpContext 	TPopupMenu 	MENUS


SetHelpFile (all)
SetHelpFile 	TApplication 	FORMS


SetHideSelection (all)
SetHideSelection 	TCustomEdit 	STDCTRLS


SetHint (all)
SetHint 	TApplication 	FORMS
SetHint 	TControl 	CONTROLS
SetHint 	TMenuItem 	MENUS


SetHintColor (all)
SetHintColor 	TApplication 	FORMS


SetHintPause (all)
SetHintPause 	TApplication 	FORMS


SetHistoryList (all)
SetHistoryList 	TOpenDialog 	DIALOGS


SetHorzScrollBar (all)
SetHorzScrollBar 	OutlineError 	OUTLINE
SetHorzScrollBar 	TCustomOutline 	OUTLINE
SetHorzScrollBar 	TOutlineNode 	OUTLINE
SetHorzScrollBar 	TScrollingWinControl 	FORMS


SetIcon (all)
SetIcon 	TApplication 	FORMS
SetIcon 	TForm 	FORMS
SetIcon 	TPicture 	GRAPHICS


SetInch (all)
SetInch 	TMetafile 	GRAPHICS


SetIndex (all)
SetIndex 	TField 	DB
SetIndex 	TTable 	DBTABLES


SetIndexField (all)
SetIndexField 	TDataSet 	DB


SetIndexFieldNames (all)
SetIndexFieldNames 	TTable 	DBTABLES


SetIndexName (all)
SetIndexName 	TTable 	DBTABLES


SetInfo (all)
SetInfo 	TOleContainer 	TOCTRL
SetInfo 	TOleDropNotify 	TOCTRL


SetInitialDir (all)
SetInitialDir 	TOpenDialog 	DIALOGS


SetInitialValues (all)
SetInitialValues 	TReport 	REPORT


SetInitInfo (all)
SetInitInfo 	TOleContainer 	TOCTRL


SetInPlaceActive (all)
SetInPlaceActive 	TOleContainer 	TOCTRL


SetIntegralHeight (all)
SetIntegralHeight 	TCustomListBox 	STDCTRLS


SetInterval (all)
SetInterval 	TTimer 	EXTCTRLS


SetIsControl (all)
SetIsControl 	TDesigner 	FORMS


SetItemHeight (all)
SetItemHeight 	TCustomComboBox 	STDCTRLS
SetItemHeight 	TCustomListBox 	STDCTRLS
SetItemHeight 	TCustomOutline 	OUTLINE


SetItemIndex (all)
SetItemIndex 	TCustomComboBox 	STDCTRLS
SetItemIndex 	TCustomListBox 	STDCTRLS
SetItemIndex 	TCustomRadioGroup 	EXTCTRLS


SetItems (all)
SetItems 	TCustomComboBox 	STDCTRLS
SetItems 	TCustomListBox 	STDCTRLS
SetItems 	TCustomRadioGroup 	EXTCTRLS
SetItems 	TDBComboBox 	DBCTRLS
SetItems 	TDBListBox 	DBCTRLS
SetItems 	TDBRadioGroup 	DBCTRLS


SetKeepConnection (all)
SetKeepConnection 	TDatabase 	DB


SetKey (all)
SetKey 	TTable 	DBTABLES


SetKeyBuffer (all)
SetKeyBuffer 	TDataSet 	DB


SetKeyExclusive (all)
SetKeyExclusive 	TDataSet 	DB


SetKeyFieldCount (all)
SetKeyFieldCount 	TDataSet 	DB


SetKeyFields (all)
SetKeyFields 	TDataSet 	DB


SetKind (all)
SetKind 	TBitBtn 	BUTTONS
SetKind 	TScrollBar 	STDCTRLS


SetLayout (all)
SetLayout 	TBitBtn 	BUTTONS
SetLayout 	TSpeedButton 	BUTTONS


SetLeft (all)
SetLeft 	TControl 	CONTROLS
SetLeft 	TFindDialog 	DIALOGS


SetLeftCol (all)
SetLeftCol 	TCustomGrid 	GRIDS


SetLevel (all)
SetLevel 	OutlineError 	OUTLINE
SetLevel 	TCustomOutline 	OUTLINE
SetLevel 	TOutlineNode 	OUTLINE


SetLines (all)
SetLines 	TCustomMemo 	STDCTRLS
SetLines 	TDdeClientItem 	DDEMAN
SetLines 	TDdeServerItem 	DDEMAN


SetLink (all)
SetLink 	TDdeClientConv 	DDEMAN


SetLinkRanges (all)
SetLinkRanges 	TDataSet 	DB


SetLookupDisplay (all)
SetLookupDisplay 	TDBLookupCombo 	DBLOOKUP
SetLookupDisplay 	TDBLookupList 	DBLOOKUP


SetLookupField (all)
SetLookupField 	TDBLookupCombo 	DBLOOKUP
SetLookupField 	TDBLookupList 	DBLOOKUP


SetLookupSource (all)
SetLookupSource 	TDBLookupCombo 	DBLOOKUP
SetLookupSource 	TDBLookupList 	DBLOOKUP


SetMappings (all)
SetMappings 	TBatchMove 	DBTABLES


SetMargin (all)
SetMargin 	TBitBtn 	BUTTONS
SetMargin 	TSpeedButton 	BUTTONS


SetMask (all)
SetMask 	TFileListBox 	FILECTRL


SetMaskColor (all)
SetMaskColor 	TCustomOutline 	OUTLINE


SetMasterFields (all)
SetMasterFields 	TTable 	DBTABLES


SetMax (all)
SetMax 	TScrollBar 	STDCTRLS


SetMaxLength (all)
SetMaxLength 	TCustomComboBox 	STDCTRLS
SetMaxLength 	TCustomEdit 	STDCTRLS
SetMaxLength 	TCustomMaskEdit 	MASK


SetMaxValue (all)
SetMaxValue 	TFloatField 	DBTABLES
SetMaxValue 	TIntegerField 	DBTABLES


SetMenu (all)
SetMenu 	TForm 	FORMS


SetMessage (all)
SetMessage 	Exception 	SYSUTILS


SetMetafile (all)
SetMetafile 	TPicture 	GRAPHICS


SetMethodValue (all)
SetMethodValue 	TPropertyEditor 	DSGNINTF


SetMin (all)
SetMin 	TScrollBar 	STDCTRLS


SetMinValue (all)
SetMinValue 	TFloatField 	DBTABLES
SetMinValue 	TIntegerField 	DBTABLES


SetMode (all)
SetMode 	TPen 	GRAPHICS


SetModified (all)
SetModified 	TCustomEdit 	STDCTRLS
SetModified 	TGraphic 	GRAPHICS


SetMonochrome (all)
SetMonochrome 	TBitmap 	GRAPHICS


SetMouseCapture (all)
SetMouseCapture 	TControl 	CONTROLS


SetMultiSelect (all)
SetMultiSelect 	TCustomListBox 	STDCTRLS


SetName (all)
SetName 	TComponent 	CLASSES
SetName 	TControl 	CONTROLS
SetName 	TDataSet 	DB
SetName 	TFont 	GRAPHICS
SetName 	TForm 	FORMS
SetName 	TReader 	CLASSES


SetNetFileDir (all)
SetNetFileDir 	TSession 	DB


SetNotify (all)
SetNotify 	TMediaPlayer 	MPLAYER


SetNumGlyphs (all)
SetNumGlyphs 	TBitBtn 	BUTTONS
SetNumGlyphs 	TSpeedButton 	BUTTONS


SetObjClass (all)
SetObjClass 	TOleContainer 	TOCTRL


SetObjDoc (all)
SetObjDoc 	TOleContainer 	TOCTRL


SetObjectMenuItem (all)
SetObjectMenuItem 	TForm 	FORMS


SetObjects (all)
SetObjects 	TStringGrid 	GRIDS


SetObjItem (all)
SetObjItem 	TOleContainer 	TOCTRL


SetObjMenuItem (all)
SetObjMenuItem 	TOleContainer 	TOCTRL


SetOEMConvert (all)
SetOEMConvert 	TCustomEdit 	STDCTRLS


SetOle2MenuHandle (all)
SetOle2MenuHandle 	TMainMenu 	MENUS


SetOnTimer (all)
SetOnTimer 	TTimer 	EXTCTRLS


SetOptions (all)
SetOptions 	TCustomDBGrid 	DBGRIDS
SetOptions 	TCustomGrid 	GRIDS
SetOptions 	TDBLookupCombo 	DBLOOKUP
SetOptions 	TDBLookupList 	DBLOOKUP


SetOrdValue (all)
SetOrdValue 	TPropertyEditor 	DSGNINTF


SetOrientation (all)
SetOrientation 	TPrinter 	PRINTERS


SetOrigDisplay (all)
SetOrigDisplay 	TMediaPlayer 	MPLAYER


SetOutlineOptions (all)
SetOutlineOptions 	TCustomOutline 	OUTLINE


SetOutlineStyle (all)
SetOutlineStyle 	TCustomOutline 	OUTLINE


SetOverLoad (all)
SetOverLoad 	TStoredProc 	DBTABLES


SetPageIndex (all)
SetPageIndex 	TNotebook 	EXTCTRLS


SetPages (all)
SetPages 	TNotebook 	EXTCTRLS


SetPalette (all)
SetPalette 	TBitmap 	GRAPHICS


SetParamName (all)
SetParamName 	TParam 	DBTABLES


SetParams (all)
SetParams 	TDatabase 	DB
SetParams 	TQuery 	DBTABLES
SetParams 	TScrollBar 	STDCTRLS


SetParamsFromCursor (all)
SetParamsFromCursor 	TQuery 	DBTABLES


SetParamsList (all)
SetParamsList 	TQuery 	DBTABLES
SetParamsList 	TStoredProc 	DBTABLES


SetParent (all)
SetParent 	TControl 	CONTROLS


SetParentColor (all)
SetParentColor 	TControl 	CONTROLS


SetParentCtl3D (all)
SetParentCtl3D 	TWinControl 	CONTROLS


SetParentFont (all)
SetParentFont 	TControl 	CONTROLS


SetParentShowHint (all)
SetParentShowHint 	TControl 	CONTROLS


SetPartRect (all)
SetPartRect 	TOleContainer 	TOCTRL


SetPasswordChar (all)
SetPasswordChar 	TCustomEdit 	STDCTRLS


SetPen (all)
SetPen 	TCanvas 	GRAPHICS
SetPen 	TShape 	EXTCTRLS


SetPenPos (all)
SetPenPos 	TCanvas 	GRAPHICS


SetPicture (all)
SetPicture 	TCustomOutline 	OUTLINE
SetPicture 	TDBImage 	DBCTRLS
SetPicture 	TImage 	EXTCTRLS


SetPitch (all)
SetPitch 	TFont 	GRAPHICS


SetPixel (all)
SetPixel 	TCanvas 	GRAPHICS


SetPixelsPerInch (all)
SetPixelsPerInch 	TForm 	FORMS


SetPosition (all)
SetPosition 	TControlScrollBar 	FORMS
SetPosition 	TFindDialog 	DIALOGS
SetPosition 	TForm 	FORMS
SetPosition 	TMediaPlayer 	MPLAYER
SetPosition 	TScrollBar 	STDCTRLS
SetPosition 	TStream 	CLASSES


SetPrecision (all)
SetPrecision 	TFloatField 	DBTABLES


SetPrepare (all)
SetPrepare 	TQuery 	DBTABLES
SetPrepare 	TStoredProc 	DBTABLES


SetPrepared (all)
SetPrepared 	TQuery 	DBTABLES
SetPrepared 	TStoredProc 	DBTABLES


SetPrinter (all)
SetPrinter 	TPrinter 	PRINTERS


SetPrinterIndex (all)
SetPrinterIndex 	TPrinter 	PRINTERS


SetPrivateDir (all)
SetPrivateDir 	TSession 	DB


SetProcName (all)
SetProcName 	TStoredProc 	DBTABLES


SetPropEntry (all)
SetPropEntry 	TPropertyEditor 	DSGNINTF


SetQuery (all)
SetQuery 	TQuery 	DBTABLES


SetRange (all)
SetRange 	TControlScrollBar 	FORMS
SetRange 	TTable 	DBTABLES


SetRangeEnd (all)
SetRangeEnd 	TTable 	DBTABLES


SetRangeStart (all)
SetRangeStart 	TTable 	DBTABLES


SetReadOnly (all)
SetReadOnly 	TCustomEdit 	STDCTRLS
SetReadOnly 	TDataLink 	DB
SetReadOnly 	TDBCheckBox 	DBCTRLS
SetReadOnly 	TDBComboBox 	DBCTRLS
SetReadOnly 	TDBEdit 	DBCTRLS
SetReadOnly 	TDBImage 	DBCTRLS
SetReadOnly 	TDBListBox 	DBCTRLS
SetReadOnly 	TDBLookupCombo 	DBLOOKUP
SetReadOnly 	TDBLookupList 	DBLOOKUP
SetReadOnly 	TDBMemo 	DBCTRLS
SetReadOnly 	TDBRadioGroup 	DBCTRLS
SetReadOnly 	TTable 	DBTABLES


SetReference (all)
SetReference 	TComponent 	CLASSES


SetReportDir (all)
SetReportDir 	TReport 	REPORT


SetReportName (all)
SetReportName 	TReport 	REPORT


SetRow (all)
SetRow 	TCustomGrid 	GRIDS


SetRowCount (all)
SetRowCount 	TCustomGrid 	GRIDS


SetRowFromNode (all)
SetRowFromNode 	TCustomOutline 	OUTLINE


SetRowHeight (all)
SetRowHeight 	TCustomOutline 	OUTLINE


SetRowHeights (all)
SetRowHeights 	TCustomGrid 	GRIDS


SetRows (all)
SetRows 	TStringGrid 	GRIDS


SetScaled (all)
SetScaled 	TForm 	FORMS


SetScrollBars (all)
SetScrollBars 	TCustomGrid 	GRIDS
SetScrollBars 	TCustomMemo 	STDCTRLS


SetSections (all)
SetSections 	THeader 	EXTCTRLS


SetSel (all)
SetSel 	TCustomMaskEdit 	MASK


SetSelected (all)
SetSelected 	TCustomListBox 	STDCTRLS


SetSelectedField (all)
SetSelectedField 	TCustomDBGrid 	DBGRIDS


SetSelectedIndex (all)
SetSelectedIndex 	TCustomDBGrid 	DBGRIDS


SetSelectedItem (all)
SetSelectedItem 	TCustomOutline 	OUTLINE


SetSelection (all)
SetSelection 	TCustomGrid 	GRIDS


SetSelLength (all)
SetSelLength 	TCustomComboBox 	STDCTRLS
SetSelLength 	TCustomEdit 	STDCTRLS


SetSelStart (all)
SetSelStart 	TCustomComboBox 	STDCTRLS
SetSelStart 	TCustomEdit 	STDCTRLS


SetSelText (all)
SetSelText 	TCustomComboBox 	STDCTRLS
SetSelText 	TCustomEdit 	STDCTRLS


SetSelTextBuf (all)
SetSelTextBuf 	TCustomEdit 	STDCTRLS


SetServerConv (all)
SetServerConv 	TDdeServerItem 	DDEMAN


SetServerParams (all)
SetServerParams 	TStoredProc 	DBTABLES


SetService (all)
SetService 	TDdeClientConv 	DDEMAN


SetServiceApp (all)
SetServiceApp 	TDdeClientConv 	DDEMAN


SetShape (all)
SetShape 	TBevel 	EXTCTRLS
SetShape 	TShape 	EXTCTRLS


SetShortCut (all)
SetShortCut 	TMenuItem 	MENUS


SetShowAccelChar (all)
SetShowAccelChar 	TCustomLabel 	STDCTRLS


SetShowGlyphs (all)
SetShowGlyphs 	TFileListBox 	FILECTRL


SetShowHint (all)
SetShowHint 	TApplication 	FORMS
SetShowHint 	TControl 	CONTROLS


SetSize (all)
SetSize 	TField 	DB
SetSize 	TFont 	GRAPHICS
SetSize 	TMemoryStream 	CLASSES


SetSorted (all)
SetSorted 	TCustomComboBox 	STDCTRLS
SetSorted 	TCustomListBox 	STDCTRLS
SetSorted 	TStringList 	CLASSES


SetSpacing (all)
SetSpacing 	TBitBtn 	BUTTONS
SetSpacing 	TSpeedButton 	BUTTONS


SetState (all)
SetState 	TCustomCheckBox 	STDCTRLS
SetState 	TDataSet 	DB
SetState 	TDataSource 	DB
SetState 	TPrinter 	PRINTERS


SetStretch (all)
SetStretch 	TDBImage 	DBCTRLS
SetStretch 	TImage 	EXTCTRLS


SetStrings (all)
SetStrings 	TCustomOutline 	OUTLINE


SetStrValue (all)
SetStrValue 	TPropertyEditor 	DSGNINTF


SetStyle (all)
SetStyle 	TBevel 	EXTCTRLS
SetStyle 	TBitBtn 	BUTTONS
SetStyle 	TBrush 	GRAPHICS
SetStyle 	TCustomComboBox 	STDCTRLS
SetStyle 	TCustomListBox 	STDCTRLS
SetStyle 	TCustomOutline 	OUTLINE
SetStyle 	TDBLookupCombo 	DBLOOKUP
SetStyle 	TFont 	GRAPHICS
SetStyle 	TPen 	GRAPHICS


SetTableLock (all)
SetTableLock 	TTable 	DBTABLES


SetTableName (all)
SetTableName 	TTable 	DBTABLES


SetTableType (all)
SetTableType 	TTable 	DBTABLES


SetTabOrder (all)
SetTabOrder 	TWinControl 	CONTROLS


SetTabStop (all)
SetTabStop 	TWinControl 	CONTROLS


SetTabStops (all)
SetTabStops 	TCustomGrid 	GRIDS


SetText (all)
SetText 	OutlineError 	OUTLINE
SetText 	TControl 	CONTROLS
SetText 	TCustomMaskEdit 	MASK
SetText 	TDdeClientItem 	DDEMAN
SetText 	TDdeServerItem 	DDEMAN
SetText 	TField 	DB
SetText 	TOutlineNode 	OUTLINE
SetText 	TParam 	DBTABLES
SetText 	TStrings 	CLASSES


SetTextBuf (all)
SetTextBuf 	TClipboard 	CLIPBRD
SetTextBuf 	TControl 	CONTROLS


SetTextCase (all)
SetTextCase 	TDriveComboBox 	FILECTRL


SetTimeFormat (all)
SetTimeFormat 	TMediaPlayer 	MPLAYER


SetTitle (all)
SetTitle 	TApplication 	FORMS
SetTitle 	TOpenDialog 	DIALOGS
SetTitle 	TPrinter 	PRINTERS


SetTitleFont (all)
SetTitleFont 	TCustomDBGrid 	DBGRIDS


SetTo (all)
SetTo 	TMediaPlayer 	MPLAYER


SetToDefaultPrinter (all)
SetToDefaultPrinter 	TPrinter 	PRINTERS


SetTop (all)
SetTop 	TControl 	CONTROLS
SetTop 	TFindDialog 	DIALOGS


SetTopic (all)
SetTopic 	TDdeClientConv 	DDEMAN


SetTopIndex (all)
SetTopIndex 	TCustomListBox 	STDCTRLS


SetTopRow (all)
SetTopRow 	TCustomGrid 	GRIDS


SetTransparent (all)
SetTransparent 	TCustomLabel 	STDCTRLS


SetUpdateState (all)
SetUpdateState 	TCustomOutline 	OUTLINE
SetUpdateState 	TStringGrid 	GRIDS
SetUpdateState 	TStringGridStrings 	GRIDS
SetUpdateState 	TStringList 	CLASSES
SetUpdateState 	TStrings 	CLASSES


SetValue (all)
SetValue 	TCharProperty 	DSGNINTF
SetValue 	TColorProperty 	DSGNINTF
SetValue 	TComponentProperty 	DSGNINTF
SetValue 	TCursorProperty 	DSGNINTF
SetValue 	TDBLookupCombo 	DBLOOKUP
SetValue 	TDBLookupList 	DBLOOKUP
SetValue 	TDBRadioGroup 	DBCTRLS
SetValue 	TEnumProperty 	DSGNINTF
SetValue 	TFloatProperty 	DSGNINTF
SetValue 	TIntegerProperty 	DSGNINTF
SetValue 	TMethodProperty 	DSGNINTF
SetValue 	TModalResultProperty 	DSGNINTF
SetValue 	TPropertyEditor 	DSGNINTF
SetValue 	TReportDirProperty 	REPORT
SetValue 	TReportNameProperty 	REPORT
SetValue 	TSetElementProperty 	DSGNINTF
SetValue 	TShortCutProperty 	DSGNINTF
SetValue 	TStringProperty 	DSGNINTF
SetValue 	TStrings 	CLASSES


SetValueCheck (all)
SetValueCheck 	TDBCheckBox 	DBCTRLS


SetValues (all)
SetValues 	TDBRadioGroup 	DBCTRLS


SetValueUncheck (all)
SetValueUncheck 	TDBCheckBox 	DBCTRLS


SetVariable (all)
SetVariable 	TReport 	REPORT


SetVariableLines (all)
SetVariableLines 	TReport 	REPORT


SetVertScrollBar (all)
SetVertScrollBar 	TScrollingWinControl 	FORMS


SetVisible (all)
SetVisible 	TControl 	CONTROLS
SetVisible 	TControlScrollBar 	FORMS
SetVisible 	TDlgControl 	DIALOGS
SetVisible 	TField 	DB
SetVisible 	TForm 	FORMS
SetVisible 	TMediaPlayer 	MPLAYER
SetVisible 	TMenuItem 	MENUS


SetWait (all)
SetWait 	TMediaPlayer 	MPLAYER


SetWidth (all)
SetWidth 	TBitmap 	GRAPHICS
SetWidth 	TControl 	CONTROLS
SetWidth 	TGraphic 	GRAPHICS
SetWidth 	THeader 	EXTCTRLS
SetWidth 	TIcon 	GRAPHICS
SetWidth 	TMetafile 	GRAPHICS
SetWidth 	TPen 	GRAPHICS


SetWindowFocus (all)
SetWindowFocus 	TForm 	FORMS


SetWindowHandle (all)
SetWindowHandle 	TMenu 	MENUS


SetWindowMenu (all)
SetWindowMenu 	TForm 	FORMS


SetWindowState (all)
SetWindowState 	TForm 	FORMS


SetWordWrap (all)
SetWordWrap 	TCustomLabel 	STDCTRLS
SetWordWrap 	TCustomMemo 	STDCTRLS


SetZoomFactor (all)
SetZoomFactor 	TOleContainer 	TOCTRL


SetZOrder (all)
SetZOrder 	TControl 	CONTROLS
SetZOrder 	TWinControl 	CONTROLS


Shape (all)
Shape 	TBevel 	EXTCTRLS
Shape 	TShape 	EXTCTRLS


Shareable (all)
Shareable 	TMediaPlayer 	MPLAYER


ShortCut (all)
ShortCut 	TMenuItem 	MENUS


Show (all)
Show 	TControl 	CONTROLS
Show 	TForm 	FORMS


ShowAccelChar (all)
ShowAccelChar 	TCustomLabel 	STDCTRLS
ShowAccelChar 	TLabel 	STDCTRLS


ShowControl (all)
ShowControl 	TNotebook 	EXTCTRLS
ShowControl 	TWinControl 	CONTROLS


ShowEditor (all)
ShowEditor 	TCustomGrid 	GRIDS


ShowEditorChar (all)
ShowEditorChar 	TCustomGrid 	GRIDS


ShowException (all)
ShowException 	TApplication 	FORMS


ShowGlyphs (all)
ShowGlyphs 	TFileListBox 	FILECTRL


ShowHint (all)
ShowHint 	TApplication 	FORMS
ShowHint 	TBevel 	EXTCTRLS
ShowHint 	TBitBtn 	BUTTONS
ShowHint 	TButton 	STDCTRLS
ShowHint 	TCheckBox 	STDCTRLS
ShowHint 	TComboBox 	STDCTRLS
ShowHint 	TControl 	CONTROLS
ShowHint 	TDBCheckBox 	DBCTRLS
ShowHint 	TDBComboBox 	DBCTRLS
ShowHint 	TDBEdit 	DBCTRLS
ShowHint 	TDBGrid 	DBGRIDS
ShowHint 	TDBImage 	DBCTRLS
ShowHint 	TDBListBox 	DBCTRLS
ShowHint 	TDBLookupCombo 	DBLOOKUP
ShowHint 	TDBLookupList 	DBLOOKUP
ShowHint 	TDBMemo 	DBCTRLS
ShowHint 	TDBRadioGroup 	DBCTRLS
ShowHint 	TDBText 	DBCTRLS
ShowHint 	TDirectoryListBox 	FILECTRL
ShowHint 	TDrawGrid 	GRIDS
ShowHint 	TDriveComboBox 	FILECTRL
ShowHint 	TEdit 	STDCTRLS
ShowHint 	TFileListBox 	FILECTRL
ShowHint 	TFilterComboBox 	FILECTRL
ShowHint 	TForm 	FORMS
ShowHint 	TGroupBox 	STDCTRLS
ShowHint 	THeader 	EXTCTRLS
ShowHint 	TImage 	EXTCTRLS
ShowHint 	TLabel 	STDCTRLS
ShowHint 	TListBox 	STDCTRLS
ShowHint 	TMaskEdit 	MASK
ShowHint 	TMediaPlayer 	MPLAYER
ShowHint 	TMemo 	STDCTRLS
ShowHint 	TNotebook 	EXTCTRLS
ShowHint 	TOleContainer 	TOCTRL
ShowHint 	TOutline 	OUTLINE
ShowHint 	TPaintBox 	EXTCTRLS
ShowHint 	TPanel 	EXTCTRLS
ShowHint 	TRadioButton 	STDCTRLS
ShowHint 	TRadioGroup 	EXTCTRLS
ShowHint 	TScrollBar 	STDCTRLS
ShowHint 	TScrollBox 	FORMS
ShowHint 	TShape 	EXTCTRLS
ShowHint 	TSpeedButton 	BUTTONS
ShowHint 	TTabSet 	TABS


Showing (all)
Showing 	TWinControl 	CONTROLS


ShowMethod (all)
ShowMethod 	TFormDesigner 	DSGNINTF


ShowModal (all)
ShowModal 	TForm 	FORMS


Site (all)
Site 	TOleContainer 	TOCTRL


Size (all)
Size 	TBCDField 	DBTABLES
Size 	TBlobField 	DBTABLES
Size 	TBytesField 	DBTABLES
Size 	TField 	DB
Size 	TFieldDef 	DB
Size 	TFont 	GRAPHICS
Size 	TStream 	CLASSES
Size 	TStringField 	DBTABLES
Size 	TVarBytesField 	DBTABLES


SizeChanged (all)
SizeChanged 	TCustomGrid 	GRIDS


Sized (all)
Sized 	THeader 	EXTCTRLS


Sizing (all)
Sizing 	TCustomGrid 	GRIDS
Sizing 	THeader 	EXTCTRLS


SkipBlanks (all)
SkipBlanks 	TParser 	CLASSES


SkipComponent (all)
SkipComponent 	TReader 	CLASSES


SkipProperty (all)
SkipProperty 	TReader 	CLASSES


SkipSetBody (all)
SkipSetBody 	TReader 	CLASSES


SkipValue (all)
SkipValue 	TReader 	CLASSES


SmallChange (all)
SmallChange 	TScrollBar 	STDCTRLS


Sort (all)
Sort 	TStringList 	CLASSES


Sorted (all)
Sorted 	TComboBox 	STDCTRLS
Sorted 	TCustomComboBox 	STDCTRLS
Sorted 	TCustomListBox 	STDCTRLS
Sorted 	TDBComboBox 	DBCTRLS
Sorted 	TListBox 	STDCTRLS
Sorted 	TStringList 	CLASSES


Source (all)
Source 	TBatchMove 	DBTABLES


SourceLine (all)
SourceLine 	TParser 	CLASSES


SourcePos (all)
SourcePos 	TParser 	CLASSES


Spacing (all)
Spacing 	TBitBtn 	BUTTONS
Spacing 	TSpeedButton 	BUTTONS


SQL (all)
SQL 	TQuery 	DBTABLES


SQLBinary (all)
SQLBinary 	TQuery 	DBTABLES


SrvrDisconnect (all)
SrvrDisconnect 	TDdeClientConv 	DDEMAN


Start (all)
Start 	TMediaPlayer 	MPLAYER


StartAdvise (all)
StartAdvise 	TDdeClientConv 	DDEMAN


StartApplication (all)
StartApplication 	TReport 	REPORT


StartHintTimer (all)
StartHintTimer 	TApplication 	FORMS


StartMargin (all)
StartMargin 	TTabSet 	TABS


StartPage (all)
StartPage 	TReport 	REPORT


StartPos (all)
StartPos 	TMediaPlayer 	MPLAYER


StartRecording (all)
StartRecording 	TMediaPlayer 	MPLAYER


StartTransaction (all)
StartTransaction 	TDatabase 	DB


State (all)
State 	TCheckBox 	STDCTRLS
State 	TCustomCheckBox 	STDCTRLS
State 	TDataSet 	DB
State 	TDataSource 	DB
State 	TDBCheckBox 	DBCTRLS


Step (all)
Step 	TMediaPlayer 	MPLAYER


StmtHandle (all)
StmtHandle 	TQuery 	DBTABLES
StmtHandle 	TStoredProc 	DBTABLES


Stop (all)
Stop 	TMediaPlayer 	MPLAYER


StopHintTimer (all)
StopHintTimer 	TApplication 	FORMS


Storage (all)
Storage 	TOleContainer 	TOCTRL


StoreBitmap (all)
StoreBitmap 	TCustomOutline 	OUTLINE


StoredProcName (all)
StoredProcName 	TStoredProc 	DBTABLES


Stretch (all)
Stretch 	TDBImage 	DBCTRLS
Stretch 	TImage 	EXTCTRLS


StretchDraw (all)
StretchDraw 	TCanvas 	GRAPHICS


Strings (all)
Strings 	TStrings 	CLASSES


Style (all)
Style 	TBevel 	EXTCTRLS
Style 	TBitBtn 	BUTTONS
Style 	TBrush 	GRAPHICS
Style 	TComboBox 	STDCTRLS
Style 	TCustomComboBox 	STDCTRLS
Style 	TCustomListBox 	STDCTRLS
Style 	TCustomOutline 	OUTLINE
Style 	TDBComboBox 	DBCTRLS
Style 	TDBLookupCombo 	DBLOOKUP
Style 	TFont 	GRAPHICS
Style 	TListBox 	STDCTRLS
Style 	TOutline 	OUTLINE
Style 	TPen 	GRAPHICS
Style 	TTabSet 	TABS


StyleChanged (all)
StyleChanged 	TShape 	EXTCTRLS


SubCode (all)
SubCode 	TDBError 	DB


SubItemChanged (all)
SubItemChanged 	TMenuItem 	MENUS


SupportsClipboardFormat (all)
SupportsClipboardFormat 	TPicture 	GRAPHICS


SwitchToIndex (all)
SwitchToIndex 	TDataSet 	DB


TabHeight (all)
TabHeight 	TTabSet 	TABS


TabIndex (all)
TabIndex 	TTabSet 	TABS


TableName (all)
TableName 	TTable 	DBTABLES


TableType (all)
TableType 	TTable 	DBTABLES


TabOrder (all)
TabOrder 	TBitBtn 	BUTTONS
TabOrder 	TButton 	STDCTRLS
TabOrder 	TCheckBox 	STDCTRLS
TabOrder 	TComboBox 	STDCTRLS
TabOrder 	TDBCheckBox 	DBCTRLS
TabOrder 	TDBComboBox 	DBCTRLS
TabOrder 	TDBEdit 	DBCTRLS
TabOrder 	TDBGrid 	DBGRIDS
TabOrder 	TDBImage 	DBCTRLS
TabOrder 	TDBListBox 	DBCTRLS
TabOrder 	TDBLookupCombo 	DBLOOKUP
TabOrder 	TDBLookupList 	DBLOOKUP
TabOrder 	TDBMemo 	DBCTRLS
TabOrder 	TDBRadioGroup 	DBCTRLS
TabOrder 	TDirectoryListBox 	FILECTRL
TabOrder 	TDrawGrid 	GRIDS
TabOrder 	TDriveComboBox 	FILECTRL
TabOrder 	TEdit 	STDCTRLS
TabOrder 	TFileListBox 	FILECTRL
TabOrder 	TFilterComboBox 	FILECTRL
TabOrder 	TGroupBox 	STDCTRLS
TabOrder 	THeader 	EXTCTRLS
TabOrder 	TListBox 	STDCTRLS
TabOrder 	TMaskEdit 	MASK
TabOrder 	TMediaPlayer 	MPLAYER
TabOrder 	TMemo 	STDCTRLS
TabOrder 	TNotebook 	EXTCTRLS
TabOrder 	TOleContainer 	TOCTRL
TabOrder 	TOutline 	OUTLINE
TabOrder 	TPage 	EXTCTRLS
TabOrder 	TPanel 	EXTCTRLS
TabOrder 	TRadioButton 	STDCTRLS
TabOrder 	TRadioGroup 	EXTCTRLS
TabOrder 	TScrollBar 	STDCTRLS
TabOrder 	TScrollBox 	FORMS
TabOrder 	TWinControl 	CONTROLS


Tabs (all)
Tabs 	TTabSet 	TABS


TabStop (all)
TabStop 	TBitBtn 	BUTTONS
TabStop 	TButton 	STDCTRLS
TabStop 	TCheckBox 	STDCTRLS
TabStop 	TComboBox 	STDCTRLS
TabStop 	TCustomCheckBox 	STDCTRLS
TabStop 	TCustomComboBox 	STDCTRLS
TabStop 	TCustomEdit 	STDCTRLS
TabStop 	TCustomGrid 	GRIDS
TabStop 	TCustomListBox 	STDCTRLS
TabStop 	TDBCheckBox 	DBCTRLS
TabStop 	TDBComboBox 	DBCTRLS
TabStop 	TDBEdit 	DBCTRLS
TabStop 	TDBGrid 	DBGRIDS
TabStop 	TDBImage 	DBCTRLS
TabStop 	TDBListBox 	DBCTRLS
TabStop 	TDBLookupCombo 	DBLOOKUP
TabStop 	TDBLookupList 	DBLOOKUP
TabStop 	TDBMemo 	DBCTRLS
TabStop 	TDBRadioGroup 	DBCTRLS
TabStop 	TDirectoryListBox 	FILECTRL
TabStop 	TDrawGrid 	GRIDS
TabStop 	TDriveComboBox 	FILECTRL
TabStop 	TEdit 	STDCTRLS
TabStop 	TFileListBox 	FILECTRL
TabStop 	TFilterComboBox 	FILECTRL
TabStop 	TGroupBox 	STDCTRLS
TabStop 	THeader 	EXTCTRLS
TabStop 	TListBox 	STDCTRLS
TabStop 	TMaskEdit 	MASK
TabStop 	TMediaPlayer 	MPLAYER
TabStop 	TMemo 	STDCTRLS
TabStop 	TNotebook 	EXTCTRLS
TabStop 	TOleContainer 	TOCTRL
TabStop 	TOutline 	OUTLINE
TabStop 	TPanel 	EXTCTRLS
TabStop 	TRadioButton 	STDCTRLS
TabStop 	TRadioGroup 	EXTCTRLS
TabStop 	TScrollBar 	STDCTRLS
TabStop 	TScrollBox 	FORMS
TabStop 	TWinControl 	CONTROLS


TabStops (all)
TabStops 	TCustomGrid 	GRIDS
TabStops 	TDrawGrid 	GRIDS


Tag (all)
Tag 	TComponent 	CLASSES


Temporary (all)
Temporary 	TDatabase 	DB


Terminate (all)
Terminate 	TApplication 	FORMS


Terminated (all)
Terminated 	TApplication 	FORMS


Text (all)
Text 	OutlineError 	OUTLINE
Text 	TComboBox 	STDCTRLS
Text 	TControl 	CONTROLS
Text 	TCustomEdit 	STDCTRLS
Text 	TCustomMaskEdit 	MASK
Text 	TDBComboBox 	DBCTRLS
Text 	TDdeClientItem 	DDEMAN
Text 	TDdeServerItem 	DDEMAN
Text 	TDriveComboBox 	FILECTRL
Text 	TEdit 	STDCTRLS
Text 	TField 	DB
Text 	TFilterComboBox 	FILECTRL
Text 	TMaskEdit 	MASK
Text 	TOutlineNode 	OUTLINE
Text 	TParam 	DBTABLES
Text 	TQuery 	DBTABLES


TextCase (all)
TextCase 	TDriveComboBox 	FILECTRL


TextHeight (all)
TextHeight 	TCanvas 	GRAPHICS


TextOut (all)
TextOut 	TCanvas 	GRAPHICS


TextRect (all)
TextRect 	TCanvas 	GRAPHICS


TextWidth (all)
TextWidth 	TCanvas 	GRAPHICS


Tile (all)
Tile 	TForm 	FORMS


TileMode (all)
TileMode 	TForm 	FORMS


TimedScroll (all)
TimedScroll 	TCustomDBGrid 	DBGRIDS
TimedScroll 	TCustomGrid 	GRIDS


TimeFormat (all)
TimeFormat 	TMediaPlayer 	MPLAYER


Timer (all)
Timer 	TTimer 	EXTCTRLS


TimerExpired (all)
TimerExpired 	TNavButton 	DBCTRLS


Title (all)
Title 	TApplication 	FORMS
Title 	TOpenDialog 	DIALOGS
Title 	TPrinter 	PRINTERS


TitleColor (all)
TitleColor 	TCustomDBGrid 	DBGRIDS


TitleFont (all)
TitleFont 	TCustomDBGrid 	DBGRIDS
TitleFont 	TDBGrid 	DBGRIDS


TitleFontChanged (all)
TitleFontChanged 	TCustomDBGrid 	DBGRIDS


Toggle (all)
Toggle 	TCustomCheckBox 	STDCTRLS
Toggle 	TDBCheckBox 	DBCTRLS


Token (all)
Token 	TParser 	CLASSES


TokenFloat (all)
TokenFloat 	TParser 	CLASSES


TokenInt (all)
TokenInt 	TParser 	CLASSES


TokenString (all)
TokenString 	TParser 	CLASSES


TokenSymbolIs (all)
TokenSymbolIs 	TParser 	CLASSES


Top (all)
Top 	TControl 	CONTROLS
Top 	TFindDialog 	DIALOGS


ToPage (all)
ToPage 	TPrintDialog 	DIALOGS


TopIndex (all)
TopIndex 	TCustomListBox 	STDCTRLS


TopItem (all)
TopItem 	OutlineError 	OUTLINE
TopItem 	TOutlineNode 	OUTLINE


TopLeftChanged (all)
TopLeftChanged 	TCustomGrid 	GRIDS
TopLeftChanged 	TDrawGrid 	GRIDS


TopLeftMoved (all)
TopLeftMoved 	TCustomGrid 	GRIDS


TopRow (all)
TopRow 	TCustomGrid 	GRIDS
TopRow 	TDrawGrid 	GRIDS


TrackLength (all)
TrackLength 	TMediaPlayer 	MPLAYER


TrackPosition (all)
TrackPosition 	TMediaPlayer 	MPLAYER


Tracks (all)
Tracks 	TMediaPlayer 	MPLAYER


TransIsolation (all)
TransIsolation 	TDatabase 	DB


Transliterate (all)
Transliterate 	TBatchMove 	DBTABLES
Transliterate 	TMemoField 	DBTABLES
Transliterate 	TStringField 	DBTABLES


Transparent (all)
Transparent 	TCustomLabel 	STDCTRLS
Transparent 	TDBText 	DBCTRLS
Transparent 	TLabel 	STDCTRLS


TransparentColor (all)
TransparentColor 	TBitmap 	GRAPHICS


Truncate (all)
Truncate 	TBlobStream 	DBTABLES


TypeListChange (all)
TypeListChange 	TProcParams 	PROCDLG
TypeListChange 	TQueryParams 	QBINDDLG


Unbind (all)
Unbind 	TProcParams 	PROCDLG
Unbind 	TQueryParams 	QBINDDLG


UnhookMainWindow (all)
UnhookMainWindow 	TApplication 	FORMS


UniDirectional (all)
UniDirectional 	TQuery 	DBTABLES


UniqueImage (all)
UniqueImage 	TMetafile 	GRAPHICS


UnlockTable (all)
UnlockTable 	TTable 	DBTABLES


Unmerge (all)
Unmerge 	TMainMenu 	MENUS


UnPrepare (all)
UnPrepare 	TQuery 	DBTABLES
UnPrepare 	TStoredProc 	DBTABLES


UnselectedColor (all)
UnselectedColor 	TTabSet 	TABS


Update (all)
Update 	TControl 	CONTROLS
Update 	TControlScrollBar 	FORMS
Update 	TDirectoryListBox 	FILECTRL
Update 	TFieldDefs 	DB
Update 	TFileListBox 	FILECTRL
Update 	TIndexDefs 	DBTABLES
Update 	TStringGrid 	GRIDS
Update 	TWinControl 	CONTROLS


UpdateActive (all)
UpdateActive 	TCustomDBGrid 	DBGRIDS


UpdateBounds (all)
UpdateBounds 	TWinControl 	CONTROLS


UpdateBoundsRect (all)
UpdateBoundsRect 	TControl 	CONTROLS


UpdateBufferCount (all)
UpdateBufferCount 	TDataSet 	DB


UpdateButtons (all)
UpdateButtons 	TCustomRadioGroup 	EXTCTRLS


UpdateCheckRange (all)
UpdateCheckRange 	TFloatField 	DBTABLES


UpdateControlState (all)
UpdateControlState 	TWinControl 	CONTROLS


UpdateCursorPos (all)
UpdateCursorPos 	TDataSet 	DB


UpdateData (all)
UpdateData 	TCustomDBGrid 	DBGRIDS
UpdateData 	TDataLink 	DB
UpdateData 	TDBCheckBox 	DBCTRLS
UpdateData 	TDBComboBox 	DBCTRLS
UpdateData 	TDBEdit 	DBCTRLS
UpdateData 	TDBImage 	DBCTRLS
UpdateData 	TDBListBox 	DBCTRLS
UpdateData 	TDBLookupCombo 	DBLOOKUP
UpdateData 	TDBLookupList 	DBLOOKUP
UpdateData 	TDBMemo 	DBCTRLS
UpdateData 	TDBRadioGroup 	DBCTRLS
UpdateData 	TFieldDataLink 	DBTABLES
UpdateData 	TGridDataLink 	DBGRIDS


UpdateDataSize (all)
UpdateDataSize 	TField 	DB


UpdateEdit (all)
UpdateEdit 	TCustomGrid 	GRIDS


UpdateExclusive (all)
UpdateExclusive 	TSpeedButton 	BUTTONS


UpdateField (all)
UpdateField 	TFieldDataLink 	DBTABLES


UpdateFieldDefs (all)
UpdateFieldDefs 	TDataSet 	DB


UpdateFromLogFont (all)
UpdateFromLogFont 	TFontDialog 	DIALOGS


UpdateHeight (all)
UpdateHeight 	TCustomEdit 	STDCTRLS


UpdateImage (all)
UpdateImage 	TMenu 	MENUS


UpdateIndexDefs (all)
UpdateIndexDefs 	TTable 	DBTABLES


UpdateLastActive (all)
UpdateLastActive 	TScreen 	FORMS


UpdateLoc (all)
UpdateLoc 	TInplaceEdit 	GRIDS


UpdateMode (all)
UpdateMode 	TDBDataSet 	DB
UpdateMode 	TQuery 	DBTABLES
UpdateMode 	TTable 	DBTABLES


UpdateRange (all)
UpdateRange 	TDataLink 	DB
UpdateRange 	TTable 	DBTABLES


UpdateRecord (all)
UpdateRecord 	TDataLink 	DB
UpdateRecord 	TDataSet 	DB


UpdateRowCount (all)
UpdateRowCount 	TCustomDBGrid 	DBGRIDS


UpdateScrollBar (all)
UpdateScrollBar 	TCustomDBGrid 	DBGRIDS


UpdateScrollBars (all)
UpdateScrollBars 	TScrollingWinControl 	FORMS


UpdateScrollPos (all)
UpdateScrollPos 	TCustomGrid 	GRIDS


UpdateScrollRange (all)
UpdateScrollRange 	TCustomGrid 	GRIDS


UpdateShowing (all)
UpdateShowing 	TWinControl 	CONTROLS


UpdateState (all)
UpdateState 	TDataLink 	DB
UpdateState 	TDataSource 	DB


UpdateTabOrder (all)
UpdateTabOrder 	TWinControl 	CONTROLS


UpdateText (all)
UpdateText 	TCustomGrid 	GRIDS


UpdateTimer (all)
UpdateTimer 	TTimer 	EXTCTRLS


UseRunTime (all)
UseRunTime 	TReport 	REPORT


Validate (all)
Validate 	TCustomMaskEdit 	MASK


ValidateEdit (all)
ValidateEdit 	TCustomMaskEdit 	MASK


ValidateError (all)
ValidateError 	TCustomMaskEdit 	MASK


ValidateName (all)
ValidateName 	TDatabase 	DB


ValidateRename (all)
ValidateRename 	TComponent 	CLASSES
ValidateRename 	TDesigner 	FORMS
ValidateRename 	TForm 	FORMS


Value (all)
Value 	TBooleanField 	DBTABLES
Value 	TDateTimeField 	DBTABLES
Value 	TDBLookupCombo 	DBLOOKUP
Value 	TDBLookupList 	DBLOOKUP
Value 	TDBRadioGroup 	DBCTRLS
Value 	TFloatField 	DBTABLES
Value 	TIntegerField 	DBTABLES
Value 	TPropertyEditor 	DSGNINTF
Value 	TStringField 	DBTABLES


ValueChanged (all)
ValueChanged 	TDdeServerItem 	DDEMAN


ValueChecked (all)
ValueChecked 	TDBCheckBox 	DBCTRLS


ValueMatch (all)
ValueMatch 	TDBCheckBox 	DBCTRLS


Values (all)
Values 	TDBRadioGroup 	DBCTRLS
Values 	TStrings 	CLASSES


ValueUnchecked (all)
ValueUnchecked 	TDBCheckBox 	DBCTRLS


VerifyGroupIndex (all)
VerifyGroupIndex 	TMenuItem 	MENUS


VersionMajor (all)
VersionMajor 	TReport 	REPORT


VersionMinor (all)
VersionMinor 	TReport 	REPORT


VertScrollBar (all)
VertScrollBar 	TForm 	FORMS
VertScrollBar 	TScrollingWinControl 	FORMS


Visible (all)
Visible 	TBevel 	EXTCTRLS
Visible 	TBitBtn 	BUTTONS
Visible 	TButton 	STDCTRLS
Visible 	TCheckBox 	STDCTRLS
Visible 	TComboBox 	STDCTRLS
Visible 	TControl 	CONTROLS
Visible 	TControlScrollBar 	FORMS
Visible 	TDBCheckBox 	DBCTRLS
Visible 	TDBComboBox 	DBCTRLS
Visible 	TDBEdit 	DBCTRLS
Visible 	TDBGrid 	DBGRIDS
Visible 	TDBImage 	DBCTRLS
Visible 	TDBListBox 	DBCTRLS
Visible 	TDBLookupCombo 	DBLOOKUP
Visible 	TDBLookupList 	DBLOOKUP
Visible 	TDBMemo 	DBCTRLS
Visible 	TDBRadioGroup 	DBCTRLS
Visible 	TDBText 	DBCTRLS
Visible 	TDirectoryListBox 	FILECTRL
Visible 	TDrawGrid 	GRIDS
Visible 	TDriveComboBox 	FILECTRL
Visible 	TEdit 	STDCTRLS
Visible 	TField 	DB
Visible 	TFileListBox 	FILECTRL
Visible 	TFilterComboBox 	FILECTRL
Visible 	TForm 	FORMS
Visible 	TGroupBox 	STDCTRLS
Visible 	THeader 	EXTCTRLS
Visible 	TImage 	EXTCTRLS
Visible 	TInplaceEdit 	GRIDS
Visible 	TLabel 	STDCTRLS
Visible 	TListBox 	STDCTRLS
Visible 	TMaskEdit 	MASK
Visible 	TMediaPlayer 	MPLAYER
Visible 	TMemo 	STDCTRLS
Visible 	TMenuItem 	MENUS
Visible 	TNotebook 	EXTCTRLS
Visible 	TOleContainer 	TOCTRL
Visible 	TOutline 	OUTLINE
Visible 	TPage 	EXTCTRLS
Visible 	TPaintBox 	EXTCTRLS
Visible 	TPanel 	EXTCTRLS
Visible 	TRadioButton 	STDCTRLS
Visible 	TRadioGroup 	EXTCTRLS
Visible 	TScrollBar 	STDCTRLS
Visible 	TScrollBox 	FORMS
Visible 	TShape 	EXTCTRLS
Visible 	TSpeedButton 	BUTTONS
Visible 	TTabSet 	TABS


VisibleButtonCount (all)
VisibleButtonCount 	TMediaPlayer 	MPLAYER


VisibleButtons (all)
VisibleButtons 	TMediaPlayer 	MPLAYER


VisibleChanging (all)
VisibleChanging 	TControl 	CONTROLS
VisibleChanging 	TForm 	FORMS


VisibleColCount (all)
VisibleColCount 	TCustomGrid 	GRIDS
VisibleColCount 	TDrawGrid 	GRIDS


VisibleRowCount (all)
VisibleRowCount 	TCustomGrid 	GRIDS
VisibleRowCount 	TDrawGrid 	GRIDS


VisibleTabs (all)
VisibleTabs 	TTabSet 	TABS


Wait (all)
Wait 	TMediaPlayer 	MPLAYER
Wait 	TReport 	REPORT


WaitStat (all)
WaitStat 	TDdeClientConv 	DDEMAN


WantReturns (all)
WantReturns 	TCustomMemo 	STDCTRLS
WantReturns 	TMemo 	STDCTRLS


WantTabs (all)
WantTabs 	TCustomMemo 	STDCTRLS
WantTabs 	TDBMemo 	DBCTRLS
WantTabs 	TMemo 	STDCTRLS


Width (all)
Width 	TControl 	CONTROLS
Width 	TForm 	FORMS
Width 	TGraphic 	GRAPHICS
Width 	TImageList 	GRAPHICS
Width 	TPage 	EXTCTRLS
Width 	TPen 	GRAPHICS
Width 	TPicture 	GRAPHICS
Width 	TScreen 	FORMS


WindowHandle (all)
WindowHandle 	TMenu 	MENUS
WindowHandle 	TWinControl 	CONTROLS


WindowMenu (all)
WindowMenu 	TForm 	FORMS


WindowState (all)
WindowState 	TForm 	FORMS


WindowText (all)
WindowText 	TControl 	CONTROLS


WMActivate (all)
WMActivate 	TForm 	FORMS


WMCancelMode (all)
WMCancelMode 	TControl 	CONTROLS


WMChar (all)
WMChar 	TCustomGrid 	GRIDS
WMChar 	TWinControl 	CONTROLS


WMCharToItem (all)
WMCharToItem 	TWinControl 	CONTROLS


WMClose (all)
WMClose 	TForm 	FORMS


WMCommand (all)
WMCommand 	TComboButton 	DIALOGS
WMCommand 	TCustomGrid 	GRIDS
WMCommand 	TForm 	FORMS
WMCommand 	TWinControl 	CONTROLS


WMCompareItem (all)
WMCompareItem 	TWinControl 	CONTROLS


WMCopy (all)
WMCopy 	TDBImage 	DBCTRLS


WMCreate (all)
WMCreate 	TCustomComboBox 	STDCTRLS


WMCtlColor (all)
WMCtlColor 	TCustomComboBox 	STDCTRLS
WMCtlColor 	TWinControl 	CONTROLS


WMCut (all)
WMCut 	TCustomMaskEdit 	MASK
WMCut 	TDBEdit 	DBCTRLS
WMCut 	TDBImage 	DBCTRLS
WMCut 	TDBLookupCombo 	DBLOOKUP
WMCut 	TDBMemo 	DBCTRLS


WMDeleteItem (all)
WMDeleteItem 	TCustomComboBox 	STDCTRLS
WMDeleteItem 	TWinControl 	CONTROLS


WMDestroy (all)
WMDestroy 	TComboButton 	DIALOGS
WMDestroy 	TForm 	FORMS
WMDestroy 	TWinControl 	CONTROLS


WMDrawItem (all)
WMDrawItem 	TCustomComboBox 	STDCTRLS
WMDrawItem 	TWinControl 	CONTROLS


WMEnterIdle (all)
WMEnterIdle 	TForm 	FORMS


WMEnterMenuLoop (all)
WMEnterMenuLoop 	TForm 	FORMS


WMEraseBkgnd (all)
WMEraseBkgnd 	TCustomComboBox 	STDCTRLS
WMEraseBkgnd 	TForm 	FORMS
WMEraseBkgnd 	TWinControl 	CONTROLS


WMFontChange (all)
WMFontChange 	TWinControl 	CONTROLS


WMGetDlgCode (all)
WMGetDlgCode 	TCustomGrid 	GRIDS
WMGetDlgCode 	TCustomMaskEdit 	MASK
WMGetDlgCode 	TCustomMemo 	STDCTRLS
WMGetDlgCode 	TInplaceEdit 	GRIDS
WMGetDlgCode 	TMediaPlayer 	MPLAYER


WMHScroll (all)
WMHScroll 	TCustomGrid 	GRIDS
WMHScroll 	TScrollingWinControl 	FORMS
WMHScroll 	TWinControl 	CONTROLS


WMIconEraseBkgnd (all)
WMIconEraseBkgnd 	TForm 	FORMS


WMInitMenuPopup (all)
WMInitMenuPopup 	TForm 	FORMS


WMKeyDown (all)
WMKeyDown 	TWinControl 	CONTROLS


WMKeyUp (all)
WMKeyUp 	TWinControl 	CONTROLS


WMKillFocus (all)
WMKillFocus 	TCustomGrid 	GRIDS
WMKillFocus 	TDBLookupCombo 	DBLOOKUP
WMKillFocus 	TForm 	FORMS
WMKillFocus 	TMediaPlayer 	MPLAYER
WMKillFocus 	TOleContainer 	TOCTRL


WMLButtonDblClk (all)
WMLButtonDblClk 	TBitBtn 	BUTTONS
WMLButtonDblClk 	TControl 	CONTROLS
WMLButtonDblClk 	TDBImage 	DBCTRLS
WMLButtonDblClk 	TDBLookupCombo 	DBLOOKUP
WMLButtonDblClk 	TDBMemo 	DBCTRLS
WMLButtonDblClk 	TMediaPlayer 	MPLAYER
WMLButtonDblClk 	TOleContainer 	TOCTRL
WMLButtonDblClk 	TSpeedButton 	BUTTONS


WMLButtonDown (all)
WMLButtonDown 	TComboButton 	DIALOGS
WMLButtonDown 	TControl 	CONTROLS
WMLButtonDown 	TCustomComboBox 	STDCTRLS
WMLButtonDown 	TCustomGrid 	GRIDS
WMLButtonDown 	TCustomListBox 	STDCTRLS
WMLButtonDown 	TCustomMaskEdit 	MASK
WMLButtonDown 	TDBImage 	DBCTRLS
WMLButtonDown 	TDBListBox 	DBCTRLS
WMLButtonDown 	TDBLookupCombo 	DBLOOKUP
WMLButtonDown 	TMediaPlayer 	MPLAYER
WMLButtonDown 	TOleContainer 	TOCTRL


WMLButtonUp (all)
WMLButtonUp 	TComboButton 	DIALOGS
WMLButtonUp 	TControl 	CONTROLS
WMLButtonUp 	TCustomMaskEdit 	MASK
WMLButtonUp 	TDBLookupCombo 	DBLOOKUP
WMLButtonUp 	TMediaPlayer 	MPLAYER
WMLButtonUp 	TPopupGrid 	DBLOOKUP


WMMButtonDblClk (all)
WMMButtonDblClk 	TControl 	CONTROLS


WMMButtonDown (all)
WMMButtonDown 	TControl 	CONTROLS


WMMButtonUp (all)
WMMButtonUp 	TControl 	CONTROLS


WMMDIAtivate (all)
WMMDIAtivate 	TForm 	FORMS


WMMeasureItem (all)
WMMeasureItem 	TCustomComboBox 	STDCTRLS
WMMeasureItem 	TWinControl 	CONTROLS


WMMenuSelect (all)
WMMenuSelect 	TForm 	FORMS


WMMouseMove (all)
WMMouseMove 	TComboButton 	DIALOGS
WMMouseMove 	TControl 	CONTROLS
WMMouseMove 	TMediaPlayer 	MPLAYER


WMMove (all)
WMMove 	TOleContainer 	TOCTRL
WMMove 	TWinControl 	CONTROLS


WMNCCreate (all)
WMNCCreate 	TForm 	FORMS


WMNCDestroy (all)
WMNCDestroy 	TComboButton 	DIALOGS
WMNCDestroy 	TCustomMemo 	STDCTRLS
WMNCDestroy 	TDlgControl 	DIALOGS
WMNCDestroy 	TOleContainer 	TOCTRL
WMNCDestroy 	TWinControl 	CONTROLS


WMNCHitTest (all)
WMNCHitTest 	TCustomGrid 	GRIDS
WMNCHitTest 	THeader 	EXTCTRLS
WMNCHitTest 	TPage 	EXTCTRLS
WMNCHitTest 	TScrollBox 	FORMS
WMNCHitTest 	TWinControl 	CONTROLS


WMNCLButtonDown (all)
WMNCLButtonDown 	TControl 	CONTROLS


WMNCRButtonDown (all)
WMNCRButtonDown 	TControl 	CONTROLS


WMNextDlgCtl (all)
WMNextDlgCtl 	TForm 	FORMS


WMPaint (all)
WMPaint 	TComboButton 	DIALOGS
WMPaint 	TCustomControl 	CONTROLS
WMPaint 	TCustomListBox 	STDCTRLS
WMPaint 	TDBEdit 	DBCTRLS
WMPaint 	TDBLookupCombo 	DBLOOKUP
WMPaint 	TForm 	FORMS
WMPaint 	TGraphicControl 	CONTROLS
WMPaint 	TWinControl 	CONTROLS


WMPaletteChanged (all)
WMPaletteChanged 	TWinControl 	CONTROLS


WMParentNotify (all)
WMParentNotify 	TForm 	FORMS
WMParentNotify 	TWinControl 	CONTROLS


WMPaste (all)
WMPaste 	TCustomMaskEdit 	MASK
WMPaste 	TDBEdit 	DBCTRLS
WMPaste 	TDBImage 	DBCTRLS
WMPaste 	TDBLookupCombo 	DBLOOKUP
WMPaste 	TDBMemo 	DBCTRLS


WMQueryDragIcon (all)
WMQueryDragIcon 	TForm 	FORMS


WMQueryEndSession (all)
WMQueryEndSession 	TForm 	FORMS


WMQueryNewPalette (all)
WMQueryNewPalette 	TWinControl 	CONTROLS


WMRButtonDblClk (all)
WMRButtonDblClk 	TControl 	CONTROLS


WMRButtonDown (all)
WMRButtonDown 	TControl 	CONTROLS


WMRButtonUp (all)
WMRButtonUp 	TControl 	CONTROLS


WMSetCursor (all)
WMSetCursor 	TCustomDBGrid 	DBGRIDS
WMSetCursor 	TCustomGrid 	GRIDS
WMSetCursor 	THeader 	EXTCTRLS
WMSetCursor 	TWinControl 	CONTROLS


WMSetFocus (all)
WMSetFocus 	TCustomCheckBox 	STDCTRLS
WMSetFocus 	TCustomGrid 	GRIDS
WMSetFocus 	TCustomMaskEdit 	MASK
WMSetFocus 	TDBLookupCombo 	DBLOOKUP
WMSetFocus 	TForm 	FORMS
WMSetFocus 	TMediaPlayer 	MPLAYER
WMSetFocus 	TOleContainer 	TOCTRL
WMSetFocus 	TRadioButton 	STDCTRLS


WMShowWindow (all)
WMShowWindow 	TForm 	FORMS


WMSize (all)
WMSize 	TCustomDBGrid 	DBGRIDS
WMSize 	TCustomGrid 	GRIDS
WMSize 	TCustomListBox 	STDCTRLS
WMSize 	TCustomOutline 	OUTLINE
WMSize 	TCustomPanel 	EXTCTRLS
WMSize 	TCustomRadioGroup 	EXTCTRLS
WMSize 	TDBLookupCombo 	DBLOOKUP
WMSize 	TDBLookupList 	DBLOOKUP
WMSize 	TForm 	FORMS
WMSize 	TMediaPlayer 	MPLAYER
WMSize 	TScrollBox 	FORMS
WMSize 	TScrollingWinControl 	FORMS
WMSize 	TWinControl 	CONTROLS


WMSysColorChange (all)
WMSysColorChange 	TWinControl 	CONTROLS


WMSysCommand (all)
WMSysCommand 	TForm 	FORMS
WMSysCommand 	TWinControl 	CONTROLS


WMSysKeyDown (all)
WMSysKeyDown 	TWinControl 	CONTROLS


WMSysKeyUp (all)
WMSysKeyUp 	TWinControl 	CONTROLS


WMTimeChange (all)
WMTimeChange 	TWinControl 	CONTROLS


WMTimer (all)
WMTimer 	TCustomGrid 	GRIDS


WMVBXFireEvent (all)
WMVBXFireEvent 	TWinControl 	CONTROLS


WMVKeyToItem (all)
WMVKeyToItem 	TWinControl 	CONTROLS


WMVScroll (all)
WMVScroll 	TCustomDBGrid 	DBGRIDS
WMVScroll 	TCustomGrid 	GRIDS
WMVScroll 	TScrollingWinControl 	FORMS
WMVScroll 	TWinControl 	CONTROLS


WMWindowPosChanged (all)
WMWindowPosChanged 	TOleContainer 	TOCTRL
WMWindowPosChanged 	TWinControl 	CONTROLS


WMWinIniChange (all)
WMWinIniChange 	TWinControl 	CONTROLS


WndProc (all)
WndProc 	TApplication 	FORMS
WndProc 	TButtonControl 	STDCTRLS
WndProc 	TClipboard 	CLIPBRD
WndProc 	TComboButton 	DIALOGS
WndProc 	TControl 	CONTROLS
WndProc 	TCustomComboBox 	STDCTRLS
WndProc 	TCustomListBox 	STDCTRLS
WndProc 	TDBComboBox 	DBCTRLS
WndProc 	TDlgControl 	DIALOGS
WndProc 	TForm 	FORMS
WndProc 	TInplaceEdit 	GRIDS
WndProc 	TTimer 	EXTCTRLS
WndProc 	TWinControl 	CONTROLS


WordWrap (all)
WordWrap 	TCustomLabel 	STDCTRLS
WordWrap 	TCustomMemo 	STDCTRLS
WordWrap 	TDBMemo 	DBCTRLS
WordWrap 	TDBText 	DBCTRLS
WordWrap 	TLabel 	STDCTRLS
WordWrap 	TMemo 	STDCTRLS


Write (all)
Write 	TBlobStream 	DBTABLES
Write 	THandleStream 	CLASSES
Write 	TIFileStream 	ISTREAMS
Write 	TIMemoryStream 	ISTREAMS
Write 	TIStream 	VIRTINTF
Write 	TMemoryStream 	CLASSES
Write 	TStream 	CLASSES
Write 	TVirtualStream 	ISTREAMS
Write 	TWriter 	CLASSES


WriteBinary (all)
WriteBinary 	TWriter 	CLASSES


WriteBinaryData (all)
WriteBinaryData 	TCustomOutline 	OUTLINE
WriteBinaryData 	TParams 	DBTABLES
WriteBinaryData 	TQuery 	DBTABLES


WriteBool (all)
WriteBool 	TIniFile 	INIFILES


WriteBoolean (all)
WriteBoolean 	TWriter 	CLASSES


WriteBuffer (all)
WriteBuffer 	TStream 	CLASSES
WriteBuffer 	TWriter 	CLASSES


WriteChar (all)
WriteChar 	TWriter 	CLASSES


WriteColWidths (all)
WriteColWidths 	TCustomGrid 	GRIDS


WriteComponent (all)
WriteComponent 	TStream 	CLASSES
WriteComponent 	TWriter 	CLASSES


WriteComponentRes (all)
WriteComponentRes 	TStream 	CLASSES


WriteComponents (all)
WriteComponents 	TApplication 	FORMS
WriteComponents 	TComponent 	CLASSES
WriteComponents 	TDataSet 	DB
WriteComponents 	TMenu 	MENUS
WriteComponents 	TMenuItem 	MENUS
WriteComponents 	TNotebook 	EXTCTRLS
WriteComponents 	TWinControl 	CONTROLS


WriteData (all)
WriteData 	TBitmap 	GRAPHICS
WriteData 	TGraphic 	GRAPHICS
WriteData 	TMetafile 	GRAPHICS
WriteData 	TOleContainer 	TOCTRL
WriteData 	TPicture 	GRAPHICS
WriteData 	TStrings 	CLASSES
WriteData 	TWriter 	CLASSES


WriteFloat (all)
WriteFloat 	TWriter 	CLASSES


WriteIdent (all)
WriteIdent 	TWriter 	CLASSES


WriteInitInfo (all)
WriteInitInfo 	TOleContainer 	TOCTRL


WriteInteger (all)
WriteInteger 	TIniFile 	INIFILES
WriteInteger 	TWriter 	CLASSES


WriteIsControl (all)
WriteIsControl 	TControl 	CONTROLS


WriteLeft (all)
WriteLeft 	TComponent 	CLASSES


WriteLinkInfo (all)
WriteLinkInfo 	TDdeClientConv 	DDEMAN


WriteListBegin (all)
WriteListBegin 	TWriter 	CLASSES


WriteListEnd (all)
WriteListEnd 	TWriter 	CLASSES


WriteNode (all)
WriteNode 	OutlineError 	OUTLINE
WriteNode 	TOutlineNode 	OUTLINE


WriteProperties (all)
WriteProperties 	TWriter 	CLASSES


WriteProperty (all)
WriteProperty 	TWriter 	CLASSES


WritePropName (all)
WritePropName 	TWriter 	CLASSES


WriteRootComponent (all)
WriteRootComponent 	TWriter 	CLASSES


WriteRowHeights (all)
WriteRowHeights 	TCustomGrid 	GRIDS


WriteShortCutText (all)
WriteShortCutText 	TMenuItem 	MENUS


WriteSignature (all)
WriteSignature 	TWriter 	CLASSES


WriteState (all)
WriteState 	TComponent 	CLASSES


WriteStr (all)
WriteStr 	TWriter 	CLASSES


WriteStream (all)
WriteStream 	TBitmap 	GRAPHICS


WriteString (all)
WriteString 	TIniFile 	INIFILES
WriteString 	TWriter 	CLASSES


WriteTextHeight (all)
WriteTextHeight 	TForm 	FORMS


WriteTop (all)
WriteTop 	TComponent 	CLASSES


WriteValue (all)
WriteValue 	TWriter 	CLASSES


XactComplete (all)
XactComplete 	TDdeClientConv 	DDEMAN


Zoom (all)
Zoom 	TOleContainer 	TOCTRL